Welcome to Silk4NET 18.5
Micro Focus Product Name

Welcome to Silk4NET 18.5

  • About the Silk4NET Visual Studio Integration
  • Product Suite
New features

What's new

  • Release Notes
Featured sections

Featured sections

  • Create a Silk4NET Project in Visual Studio
  • Recording a Test
  • Running Silk4NET Test Scripts
Tutorials and demonstrations

Tutorials and demonstrations

  • Silk4NET Sample Test Scripts
  • Free Web-Based Training at our Training Store
Samples

Code samples

  • Manually Creating a Silk4NET Test in Visual Studio
Online resources

Online resources

  • Micro Focus Home Page
  • Micro Focus Learning Center
  • Micro Focus Channel on YouTube
  • Silk Test Documentation on SupportLine
  • Online Documentation
  • Micro Focus SupportLine
  • Micro Focus Product Updates
  • Silk Test Knowledge Base
  • Silk Test Forum
  • Web-Based Training
Provide feedback

Provide feedback

  • Contacting Micro Focus
  • Email us feedback regarding this Help
  • Suggest a feature


Licensing Information

Unless you are using a trial version, Silk Test requires a license.

Note: A Silk Test license is bound to a specific version of Silk Test. For example, Silk Test 18.5 requires a Silk Test 18.5 license.
The licensing model is based on the client that you are using and the applications that you want to be able to test. The available licensing modes support the following application types:
Licensing Mode | Application Type
Mobile Native
  • Mobile web applications.
    • Android
    • iOS
  • Native mobile applications.
    • Android
    • iOS
Full
  • Web applications, including the following:
    • Apache Flex
    • Java-Applets
  • Mobile web applications.
    • Android
    • iOS
  • Apache Flex
  • Java AWT/Swing, including Oracle Forms
  • Java SWT and Eclipse RCP
  • .NET, including Windows Forms and Windows Presentation Foundation (WPF)
  • Rumba
  • Windows API-Based
Note: To upgrade your license to a Full license, visit http://www.microfocus.com.
Premium

All application types that are supported with a Full license, plus SAP applications.

Note: To upgrade your license to a Premium license, visit http://www.microfocus.com.
Mobile Native Add-On | In addition to the technologies supported with a Full or Premium license, the mobile native add-on license offers support for testing native mobile applications on Android and iOS.


Silk4NET

Silk4NET is the Silk Test plug-in for Microsoft Visual Studio. Silk4NET enables you to efficiently create and manage functional, regression, and localization tests directly in Visual Studio. With Silk4NET, you can perform the following tasks within Visual studio:
  • Record tests.
  • Develop tests using Visual Basic .NET.
  • Develop tests using C#.
  • Run tests as a part of a test plan in the Microsoft test environment.
  • Run tests as a part of your build process.
  • View test results.

For information on the tested versions of Visual Studio, refer to the Release Notes.

Silk4NET supports the testing of a broad set of application technologies. Designed for realizing automation benefits even when applied to complex tests, Silk4NET brings true test automation capability directly to the developer’s preferred environment and lets you easily cope with changes made in the test application.

Additionally, the powerful testing framework of Silk4NET enables high reusability of tests across multiple test projects, which further increases the achievable Return On Investment (ROI). With less time spent on building and maintaining testing suites, your QA staff can expand test coverage and optimize application quality.

Note: If you have opted not to display the start screen when you start Silk4NET, you can check for available updates by clicking Help > Check for Product Update.
  • Do I Need Administrator Privileges to Run Silk4NET?
    Describes the privileges that you require to run Silk4NET.
  • Automation Under Special Conditions (Missing Peripherals)
    Describes how you can use Silk4NET in a complex testing environment which includes access to remote machines.
  • Silk Test Product Suite
    Describes the components available with Silk Test.
  • Enabling or Disabling Usage Data Collection
    Provide usage data to Micro Focus to help improve the usability of Silk Test.
  • Contacting Micro Focus
    Describes how you can access Micro Focus SupportLine for your support needs.


Do I Need Administrator Privileges to Run Silk4NET?

You require the following privileges to install or run Silk4NET:

  • To install Silk4NET, you must have local administrator privileges.
  • To install Silk4NET on a Windows server, you must have domain-level administrator privileges.
  • To run Silk4NET, you require full access rights to the following folders, including all subfolders:
    • C:\ProgramData\Silk\SilkTest.
    • %APPDATA%\Roaming\Silk\SilkTest.
    • %APPDATA%\Local\Silk\SilkTest.
    • %TEMP%.
Parent topic: Silk4NET


Automation Under Special Conditions (Missing Peripherals)

Basic product orientation

Silk4NET is a GUI testing product that tries to act like a human user in order to achieve meaningful test results under automation conditions. A test performed by Silk4NET should be as valuable as a test performed by a human user while executing much faster. This means that Silk4NET requires a testing environment that is as similar as possible to the testing environment that a human user would require in order to perform the same test.

Physical peripherals

Manually testing the UI of a real application requires physical input and output devices like a keyboard, a mouse, and a display. Silk4NET does not necessarily require physical input devices during test replay. What Silk4NET requires is the ability of the operating system to perform keystrokes and mouse clicks. The Silk4NET replay usually works as expected without any input devices connected. However, some device drivers might block the Silk4NET replay mechanisms if the physical input device is not available.

The same applies to physical output devices. A physical display does not necessarily need to be connected, but a working video device driver must be installed and the operating system must be in a condition to render things to the screen. For example, rendering is not possible in screen saver mode or if a session is locked. If rendering is not possible, low-level replay will not work and high-level replay might also not work as expected, depend on the technology that is used in the application under test (AUT).

Virtual machines

Silk4NET does not directly support virtualization vendors, but can operate with any type of virtualization solution as long as the virtual guest machine behaves like a physical machine. Standard peripherals are usually provided as virtual devices, regardless of which physical devices are used with the machine that runs the virtual machine.

Cloud instances

From an automation point of view, a cloud instance is not different to a virtual machine. However, a cloud instance might run some special video rendering optimization, which might lead to situations where screen rendering is temporarily turned off to save hardware resources. This might happen when the cloud instance detects that no client is actively viewing the display. In such a case, you could open a VNC window as a workaround.

Special cases

Application launched without any window (headless)
Such an application cannot be tested with Silk4NET. Silk4NET needs to hook to a target application process in order to interact with it. Hooking is not possible for processes that do not have a visible window. In such a case you can only run system commands.
Remote desktops, terminal services, and remote applications (all vendors)
If Silk4NET resides and operates within a remote desktop session, it will fully operate as expected.
Note: You require a full user session and the remote viewing window needs to be maximized. If the remote viewing window is not displayed for some reason, for example network issues, Silk4NET will continue to replay but might produce unexpected results, depending on what remote viewing technology is used. For example, a lost remote desktop session will negatively impact video rendering, whereas other remote viewing solutions might show no impact at all once the viewing window was lost.

If Silk4NET is used to interact with the remote desktop, remote view, or remote app window, only low-level techniques can be used, because Silk4NET sees only a screenshot of the remote machine. For some remote viewing solutions even low-level operations may not be possible because of security restrictions. For example, it might not be possible to send keystrokes to a remote application window.

Known automation obstacles

Silk4NET requires an interactively-logged-on full-user session. Disable anything that could lock the session, for example screen savers, hibernation, or sleep mode. If this is not possible because of organizational policies you could workaround such issues by adding keep alive actions, for example moving the mouse, in regular intervals or at the end of each test case.

Note: Depending on the configuration of the actual testing environment and the technologies that are used for the AUT, the virtualization, and the terminal services, you may face additional challenges and limitations during the test automation process.
Parent topic: Silk4NET


Silk Test Product Suite

Silk Test is an automated testing tool for fast and reliable functional and regression testing. Silk Test helps development teams, quality teams, and business analysts to deliver software faster, and with high quality. With Silk Test you can record and replay tests across multiple platforms and devices to ensure that your applications work exactly as intended.

The Silk Test product suite includes the following components:
  • Silk Test Workbench – Silk Test Workbench is the quality testing environment that offers .NET scripting for power users and easy to use visual tests to make testing more accessible to a broader audience.
  • Silk4NET – The Silk4NET Visual Studio plug-in enables you to create Visual Basic or C# test scripts directly in Visual Studio.
  • Silk4J – The Silk4J Eclipse plug-in enables you to create Java-based test scripts directly in your Eclipse environment.
  • Silk Test Classic – Silk Test Classic is the Silk Test client that enables you to create scripts based on 4Test.
  • Silk Test Agents – The Silk Test agent is the software process that translates the commands in your tests into GUI-specific commands. In other words, the agent drives and monitors the application you are testing. One agent can run locally on the host machine. In a networked environment, any number of agents can run on remote machines.

The sizes of the individual boxes in the image above differ for visualization purposes and do not reflect the included functionality.

The product suite that you install determines which components are available. To install all components, choose the complete install option. To install all components with the exception of Silk Test Classic, choose the standard install option.

Parent topic: Silk4NET


Enabling or Disabling Usage Data Collection

To help Micro Focus improve your overall testing experience, Micro Focus would like to collect some information on how you use Micro Focus software and services. By accepting the terms of the License Agreement while installing Silk4NET, you allow Micro Focus to collect information about how you use Silk4NET and about the computer system on which Silk4NET is installed. Micro Focus does not collect any personally identifiable information, for example your name or address, or any of your data files, for example scripts or passwords. By allowing Micro Focus to collect this information, you assist Micro Focus in identifying trends and usage patters.

To enable or disable the collection of usage data by Micro Focus:

  1. Click Silk4NET > About Silk4NET in the menu.
  2. In the About dialog box, click Customer Feedback Options.
  3. Select one of the following options:
    • To enable usage data collection, click Yes, I am willing to participate.
    • To disable usage data collection, click No, I would not like to participate.
  4. Click OK.
Parent topic: Silk4NET


Contacting Micro Focus

Micro Focus is committed to providing world-class technical support and consulting services. Micro Focus provides worldwide support, delivering timely, reliable service to ensure every customer's business success.

All customers who are under a maintenance and support contract, as well as prospective customers who are evaluating products, are eligible for customer support. Our highly trained staff respond to your requests as quickly and professionally as possible.

Visit http://supportline.microfocus.com/assistedservices.asp to communicate directly with Micro Focus SupportLine to resolve your issues, or email supportline@microfocus.com.

Visit Micro Focus SupportLine at http://supportline.microfocus.com for up-to-date support news and access to other support information. First time users may be required to register to the site.

  • Information Needed by Micro Focus SupportLine
    Lists information needed by Micro Focus SupportLine to help address customer issues.
Parent topic: Silk4NET


Information Needed by Micro Focus SupportLine

When contacting Micro Focus SupportLine, please include the following information if possible. The more information you can give, the better Micro Focus SupportLine can help you.

  • The name and version number of all products that you think might be causing an issue.
  • Your computer make and model.
  • System information such as operating system name and version, processors, and memory details.
  • Any detailed description of the issue, including steps to reproduce the issue.
  • Exact wording of any error messages involved.
  • Your serial number.

To find out these numbers, look in the subject line and body of your Electronic Product Delivery Notice email that you received from Micro Focus.

Parent topic: Contacting Micro Focus


What's New in Silk4NET

Silk4NET supports the following new features:

  • Support for Virtualized Test Environments
    You can now use cloud-based devices and browsers for automated testing through Silk Central.
  • Enhanced Recording on Microsoft Edge
    Action recording on Microsoft Edge now supports additional functionality.
  • Usability Enhancements
    Lists usability enhancements that have been made in Silk Test 18.5.
  • API Enhancements
    Lists API enhancements that have been made in Silk Test 18.5.
  • Technology Updates
    Lists the significant technology updates for Silk Test 18.5.


Support for Virtualized Test Environments

You can now execute your mobile and web tests on mobile devices and browsers that are managed by Mobile Center or Sauce Labs. Just configure the Mobile Center or Sauce Labs integration through Silk Central and start testing on remote devices and browsers.

Parent topic: What's New in Silk4NET
Related tasks
Using Devices from Mobile Center
Using SauceLabs Devices


Enhanced Recording on Microsoft Edge

Recording actions on Microsoft Edge now supports all functionality available when recording actions on Google Chrome and Mozilla Firefox.

Parent topic: What's New in Silk4NET


Usability Enhancements

This section lists usability enhancements that have been made in Silk Test 18.5.

Testing complex embedded Chrome applications

You can now test embedded Chrome applications that expose more than a single browser window in the UI, for example applications that contain multiple browser windows in the UI, or applications that include UI controls that are based on Win32. Silk4NET now also supports testing WeChat apps.

Parent topic: What's New in Silk4NET


API Enhancements

This section lists API enhancements that have been made in Silk Test 18.5.

Retrieving the page source of a web application

You can now use the GetPageSource method to retrieve the page source of a web application.

System functions

To enable communication between your test scripts and the operating system of the Open Agent host, all Silk Test clients now support operating system calls. These calls are available from the SystemFunctions class.

Double-clicking on a mobile object

You can now use the DoubleClick method to double-click on a mobile object.

Parent topic: What's New in Silk4NET


Technology Updates

This section lists the significant technology updates for Silk Test 18.5.

  • New macOS Version
    Silk Test now supports macOS High Sierra (10.13).
  • New iOS Version
    Silk Test now provides support for the latest iOS version.
  • New Android Version
    Silk Test now provides support for the latest Android version.
  • New Mozilla Firefox Versions
    Silk Test has now been tested for recording and replay with new versions of Mozilla Firefox.
  • New Google Chrome Versions
    Silk Test has now been tested with the following versions of Google Chrome.
  • New Apple Safari Version
    Silk Test has now been tested with an additional version of Apple Safari.
  • New Microsoft Edge Version
    Silk Test has now been tested for recording and replay with a new version of Microsoft Edge.
  • New SAPGUI Client Version
    Silk Test now supports SAPGUI client 7.50.
  • New Java SWT Version
    Silk Test now supports Java SWT 4.7.
Parent topic: What's New in Silk4NET


New macOS Version

You can now leverage your test set by simply executing all your existing functional, regression, and localization tests for Apple Safari or iOS on macOS High Sierra (10.13).

Parent topic: Technology Updates


New iOS Version

In addition to the iOS versions, which have been tested with the previous version of Silk Test, Silk Test has now been tested with iOS 11.

Parent topic: Technology Updates


New Android Version

In addition to the Android versions, which have been tested with the previous version of Silk Test, Silk Test has now been tested with Android 8.

Parent topic: Technology Updates


New Mozilla Firefox Versions

In addition to the versions of Mozilla Firefox, which have been tested with the previous version of Silk Test, Silk Test has now been tested with the following new versions of Mozilla Firefox:
  • Mozilla Firefox 55
  • Mozilla Firefox 56
Note: This list includes the new versions of Mozilla Firefox that have been tested with Silk Test 18.5 until the release date of Silk Test 18.5. Silk Test 18.5 should be able to support newer versions of Mozilla Firefox, even if these versions have been released after the release date of Silk Test 18.5.
Parent topic: Technology Updates


New Google Chrome Versions

In addition to the versions of Google Chrome, which have been tested with the previous version of Silk Test, Silk Test has now been tested with the following versions of Google Chrome:
  • Google Chrome 60
  • Google Chrome 61
  • Google Chrome 62
Note: This list includes the versions of Google Chrome that have been tested with Silk Test 18.5 until the release date of Silk Test 18.5. Silk Test 18.5 should be able to test with newer versions of Google Chrome, even if these versions have been released after the release date of Silk Test 18.5.
Parent topic: Technology Updates


New Apple Safari Version

In addition to the versions of Apple Safari, which have been tested with the previous version of Silk Test, Silk Test has now been tested with Apple Safari 11.

Parent topic: Technology Updates


New Microsoft Edge Version

In addition to the versions of Microsoft Edge, which have been tested with the previous version of Silk Test, Silk Test has been tested for recording and replay with build 10.0.16299.19, the Microsoft Edge version for the Windows 10 Fall Creators Update.

Parent topic: Technology Updates


New SAPGUI Client Version

Silk Test now supports SAPGUI client 7.50.

Parent topic: Technology Updates


New Java SWT Version

Silk Test now supports Java SWT 4.7 standalone and Rich Client Platform (RCP) applications.

Parent topic: Technology Updates


Getting Started with Silk4NET

Silk4NET enables you to create and execute automated functional and regression tests. Perform the following actions to get started with Silk4NET:
  1. Create a Silk4NET project.
  2. Create automated Silk4NET tests, either by recording actions or keywords, or by manually scripting the tests.
  3. Add the Silk4NET tests to your project. A project can include any combination of recorded tests and manually scripted tests.
  4. Execute the tests.
  5. Analyze the test results.
Related tasks
Creating a Silk4NET Project
Adding a Silk4NET Test to a Project
Running Silk4NET Tests
Replaying a Test from the Command Line
Analyzing Test Results


Working with Silk4NET Projects

This section describes how you can use Silk4NET projects.

A Silk4NET project contains all the resources needed to test the functionality of your applications by using Silk4NET.

Note: To optimally use the functionality that Silk4NET provides, create an individual project for each application that you want to test, except when testing multiple applications in the same test.
  • Creating a Silk4NET Project
    Create a Silk4NET project to record or manually script tests for your application under test.
Related concepts
Working with Silk4NET Tests
Application Configuration


Creating a Silk4NET Project

  1. Click Silk4NET > New Project or File > New Project . The New Project dialog box displays.
  2. Under Installed > Templates, click Visual Basic or Visual C#, select Test and then select Silk4NET Project.
  3. Type a name for the project into the Name field. For the tutorial, type Tutorial.
  4. Optional: Type a name for the solution into the Solution field.
  5. Click OK. The Project Created dialog box opens.
  6. Click Yes to start recording a new test or click No to create an empty project. For the tutorial, click No. If you have selected to start recording, the Add New Item dialog box opens.
  7. In the Add New Item dialog box, select which type of test you want to record.
    • To bundle the recorded actions into one or more keywords, select Silk4NET Keyword-Driven Test.
    • To record the test without creating keywords, select Silk4NET Test.
  8. If you have selected to start recording, type a name for the new test into the Name text box in the Add New Item dialog box.
  9. Click Add.
  10. If you have selected to record a new Silk4NET test, the Select Application dialog box opens. Select the tab that corresponds to the type of application that you want to test:
    • If you are testing a standard application that does not run in a browser, select the Windows tab.
    • If you are testing a web application or a mobile web application, select the Web tab.
    • If you are testing a native mobile application, select the Mobile tab.
  11. To test a standard application, if you have not set an application configuration for the current project, select the application from the list.
  12. To test a web application or a mobile web application, if you have not set an application configuration for the current project, select one of the installed browsers or mobile browsers from the list.
    1. Specify the web page to open in the Enter URL to navigate text box. If an instance of the selected browser is already running, you can click Use URL from running browser to record against the URL currently displayed in the running browser instance. For the tutorial, select Internet Explorer and specify http://demo.borland.com/InsuranceWebExtJS/ in the Enter URL to navigate text box.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  13. To test a native mobile application (app) if you have not set an application configuration for the current project:
    1. Select the mobile device, on which you want to test the app, from the list.
    2. Click Browse to select the app file or enter the full path to the app file into the Mobile app file text field. Silk4NET supports HTTP and UNC formats for the path. Silk4NET installs the app on the mobile device or emulator.
  14. Click OK. If you have selected an existing instance of Google Chrome on which you want to replay a test method, Silk4NET checks whether the automation support is included. If the automation support is not included, Silk4NET informs you that Google Chrome has to be restarted. The application and the Recording window open.
If you have selected to create an empty Silk4NET test, a new solution containing the Silk4NET project is created. Additionally, a Silk4NET test is created in the project with the following language-specific file name:
  • UnitTest1.vb
  • UnitTest1.cs
Note: You can also use the context menu in the Solution Explorer to add Silk4NET projects to an existing solution.
Parent topic: Working with Silk4NET Projects
Related concepts
Responsive Web Design Testing
Select Application Dialog Box
Related tasks
Adding a Silk4NET Test to a Project
Recording a Silk4NET Test


Working with Silk4NET Tests

Describes how you can use Silk4NET tests.

You can create new Silk4NET tests by recording user actions made against your AUT or by manually scripting your test classes and methods in Visual Basic or Visual C#.

  • Adding a Silk4NET Test to a Project
    Add a Silk4NET test to a Silk4NET or Test project to test the functionality of your application.
  • Recording a Silk4NET Test
    Record Silk4NET tests to test the functionality of your applications.
  • Recording a Test on Microsoft Edge
    Record a test on Microsoft Edge to test a web application.
  • Recording a Test on Mozilla Firefox
    Record a test on Mozilla Firefox to test a web application.
  • Recording a Test on Google Chrome
    Record a test on Google Chrome to test a web application.
  • Characters Excluded from Recording and Replaying
    Lists the characters that are excluded from recording and are not recognized by Silk Test during replay.
  • Actions Available During Recording
    Lists actions that you can perform during recording.
  • Manually Creating a Silk4NET Test
    Manually created Silk4NET tests give you the flexibility of including hand-coded complex test logic along with recorded test steps.
  • Best Practices for Creating Test Scripts
    Describes how you can create stable test scripts with Silk4NET.
  • Adding a Verification to a Script while Recording
    Describes how to add a verification to a script during recording.
  • Adding a Locator or an Object Map Item to a Test Method Using the Locator Spy
    Manually capture a locator or an object map item using the Locator Spy and copy the locator or the object map item to the test method.
  • Running Silk4NET Tests
    Use Visual Studio to run Silk4NET tests.
  • Replaying a Test from the Command Line
    Describes how to run tests from the command line.
  • Running Tests in Parallel
    Describes how you can execute tests in parallel on multiple browsers, mobile devices, or emulators.
  • Analyzing Test Results
    After running a test, review the test results and analyze the success or failure of the test run.
  • How Does Silk4NET Synchronize Tests?
    Describes how Silk4NET performs test synchronization during replay.
  • Enabling the Playback Status Dialog Box
    Enable the Playback Status dialog box to view the actions that are performed during the replay of a remote or mobile test.
Related concepts
Working with Silk4NET Projects


Adding a Silk4NET Test to a Project

You can only add Silk4NET tests to an existing Silk4NET or Test project. If no Silk4NET or Test project exists, create a Silk4NET or Test project before you try to create a Silk4NET test.

  1. Click Silk4NET > New Test or Project > Add New Item .
    Note: If your solution contains more than one Silk4NET projects, select the project to which you want to add the new test from the list in the Project Selector.
    The Add New Item dialog box opens.
  2. Under Installed, click one of the following:
    • If your project is a Visual Basic project, click Common Items > Silk4NET Test.
    • If your project is a Visual C# project, click Visual C# Items > Silk4NET Test.
  3. Type a name for the test into the Name field and click Add.
    The Create a Silk4NET Test dialog box opens.
  4. Select how you want to create your Silk4NET test by clicking one of the following option buttons:
    Record a Silk4NET test
    Record actions and verifications against your application under test and generate a new test containing the recorded automation statements.
    Create an empty Silk4NET test
    Create an empty test that can be filled with automation statements later on.

    For the tutorial, click Create an empty Silk4NET test.

  5. Click OK.
  6. If you have selected to record a new Silk4NET test, the Select Application dialog box opens. Select the tab that corresponds to the type of application that you want to test:
    • If you are testing a standard application that does not run in a browser, select the Windows tab.
    • If you are testing a web application or a mobile web application, select the Web tab.
    • If you are testing a native mobile application, select the Mobile tab.
  7. To test a standard application, if you have not set an application configuration for the current project, select the application from the list.
  8. To test a web application or a mobile web application, if you have not set an application configuration for the current project, select one of the installed browsers or mobile browsers from the list.
    1. Specify the web page to open in the Enter URL to navigate text box. If an instance of the selected browser is already running, you can click Use URL from running browser to record against the URL currently displayed in the running browser instance. For the tutorial, select Internet Explorer and specify http://demo.borland.com/InsuranceWebExtJS/ in the Enter URL to navigate text box.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  9. To test a native mobile application (app) if you have not set an application configuration for the current project:
    1. Select the mobile device, on which you want to test the app, from the list.
    2. Click Browse to select the app file or enter the full path to the app file into the Mobile app file text field. Silk4NET supports HTTP and UNC formats for the path. Silk4NET installs the app on the mobile device or emulator.
  10. Click OK. If you have selected an existing instance of Google Chrome on which you want to replay a test method, Silk4NET checks whether the automation support is included. If the automation support is not included, Silk4NET informs you that Google Chrome has to be restarted. The application and the Recording window open.
If you have selected to record the test, the recorded test is added to your project. If you have selected to add an empty test, an empty Silk4NET test is added to your project.
Note: You can also use the context menu in the Solution Explorer to add Silk4NET tests to your Silk4NET or Test project.
Parent topic: Working with Silk4NET Tests
Related concepts
Responsive Web Design Testing
Related tasks
Creating a Silk4NET Project
Manually Creating a Silk4NET Test
Recording a Silk4NET Test


Recording a Silk4NET Test

  1. Click Silk4NET > New Test or Project > Add New Item .
    Note: If your solution contains more than one Silk4NET projects, select the project to which you want to add the new test from the list in the Project Selector.
    The Add New Item dialog box opens.
  2. Under Installed, click one of the following:
    • If your project is a Visual Basic project, click Common Items > Silk4NET Test.
    • If your project is a Visual C# project, click Visual C# Items > Silk4NET Test.
  3. Type a name for the test into the Name field and click Add.
    The Create a Silk4NET Test dialog box opens.
  4. Select Record a Silk4NET test and click OK.
  5. If you have not set an application configuration for the current project, select the tab that corresponds to the type of application that you are testing:
    • If you are testing a standard application that does not run in a browser, select the Windows tab.
    • If you are testing a web application or a mobile web application, select the Web tab.
    • If you are testing a native mobile application, select the Mobile tab.
  6. To test a standard application, select the application from the list.
  7. To test a web application or a mobile web application, if you have not set an application configuration for the current project, select one of the installed browsers or mobile browsers from the list.
    1. Specify the web page to open in the Enter URL to navigate text box. If an instance of the selected browser is already running, you can click Use URL from running browser to record against the URL currently displayed in the running browser instance. For the tutorial, select Internet Explorer and specify http://demo.borland.com/InsuranceWebExtJS/ in the Enter URL to navigate text box.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  8. To test a native mobile application (app) if you have not set an application configuration for the current project:
    1. Select the mobile device, on which you want to test the app, from the list.
    2. Click Browse to select the app file or enter the full path to the app file into the Mobile app file text field. Silk4NET supports HTTP and UNC formats for the path. Silk4NET installs the app on the mobile device or emulator.
  9. Click OK. If you have selected an existing instance of Google Chrome on which you want to replay a test method, Silk4NET checks whether the automation support is included. If the automation support is not included, Silk4NET informs you that Google Chrome has to be restarted. The application and the Recording window open.
  10. Perform the interactions, which you want to record, with your application under test.
    For additional information about recording a mobile application, see Recording Mobile Applications. For information about the actions available during recording, see Actions Available During Recording.
  11. When you are finished with recording, click Stop. The Recording Complete dialog box opens. From this dialog box, you can click Playback to replay the recorded test.
    • If you are using Visual Studio 2010, you can also access the Test View in Visual Studio, where you can replay and manage your tests.
    • If you are using Visual Studio 2012 or later, you can also access the Test Explorer in Visual Studio, where you can replay and manage your tests.
The recorded interactions are added as a file to your project. The default file name of the generated file is UnitTest<Index>.cs or UnitTest<Index>.vb, depending on the default programming language of your project. For example, if you are recording the first test for a Visual Basic project, the name of the generated file is UnitTest1.vb
Note: You can also create a new project and record the new test into the new project.
Parent topic: Working with Silk4NET Tests
Related concepts
Responsive Web Design Testing
Related tasks
Adding a Silk4NET Test to a Project
Recording a Test on Microsoft Edge
Recording a Test on Mozilla Firefox
Creating a Silk4NET Project
Recording Additional Actions Into an Existing Test
Adding a Verification to a Script while Recording
Interacting with a Mobile Device
Recording Mobile Applications
Related reference
Characters Excluded from Recording and Replaying
Actions Available During Recording


Recording a Test on Microsoft Edge

Before you can record a Silk4NET test, you must have created a Silk4NET project.

When starting the interaction with a web application on Microsoft Edge, Silk4NET closes any open instance of Microsoft Edge and starts a new browser. This new browser uses a temporary profile without add-ons and with an empty cache. This instance of Microsoft Edge is closed when shutting down the Open Agent or when starting to test another application outside Microsoft Edge.

Note: You can currently not record keyword-driven tests on Microsoft Edge.
To record a new test for a web application on Microsoft Edge:
  1. Select the project to which you want to add the new test.
  2. In the toolbar, click Record Actions. The Add New Item dialog box opens.
  3. Select Silk4NET Test.
  4. Type a name for the new test into the Name field.
  5. Click Add.
  6. In the Select Browser dialog box, select the browser that you want to use.
  7. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
  8. Optional: Select an Orientation for the browser window.
  9. Click Record.
  10. The Interactive Recording window opens and displays the web application. Perform the actions that you want to record.
    1. Click on the object with which you want to interact. Silk4NET performs the default action for the object. If there is no default action, or if you have to insert text or specify parameters, the Choose Action dialog box opens.
    2. Optional: To chose an action for an object, which might not be the default action, right-click on the object. The Choose Action dialog box opens.
    3. Optional: If the action has parameters, type the parameters into the parameter fields. Silk4NET automatically validates the parameters.
    4. Click OK to close the Choose Action dialog box. Silk4NET adds the action to the recorded actions and replays it on the mobile device or emulator.
    During recording, Silk4NET displays the mouse position next to the recording window. You can toggle the location to switch between displaying the absolute mouse position on the device display and the mouse position in relation to the active object. For additional information about the actions available during recording, see Actions Available During Recording.
  11. Click Stop. The Record Complete dialog box opens.
  12. Click OK.

Replay the test to ensure that it works as expected. You can modify the test to make changes if necessary.

Parent topic: Working with Silk4NET Tests
Related tasks
Recording a Silk4NET Test
Related reference
Limitations for Testing with Microsoft Edge


Recording a Test on Mozilla Firefox

Before you can record a Silk4NET test, you must have created a Silk4NET project.

To record a new test for a web application on Mozilla Firefox:
  1. Select the project to which you want to add the new test.
  2. In the toolbar, click Record Actions. The Add New Item dialog box opens.
  3. Select Silk4NET Test.
  4. Type a name for the new test into the Name field.
  5. Click Add.
  6. In the Select Browser dialog box, select the browser that you want to use.
  7. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
  8. Optional: Select an Orientation for the browser window.
  9. Click Record.
  10. The Interactive Recording window opens and displays the web application. Perform the actions that you want to record.
    1. Click on the object with which you want to interact. Silk4NET performs the default action for the object. If there is no default action, or if you have to insert text or specify parameters, the Choose Action dialog box opens.
    2. Optional: To chose an action for an object, which might not be the default action, right-click on the object. The Choose Action dialog box opens.
    3. Optional: If the action has parameters, type the parameters into the parameter fields. Silk4NET automatically validates the parameters.
    4. Click OK to close the Choose Action dialog box. Silk4NET adds the action to the recorded actions and replays it on the mobile device or emulator.
    During recording, Silk4NET displays the mouse position next to the recording window. You can toggle the location to switch between displaying the absolute mouse position on the device display and the mouse position in relation to the active object. For additional information about the actions available during recording, see Actions Available During Recording.
  11. Click Stop. The Record Complete dialog box opens.
  12. Click OK.

Replay the test to ensure that it works as expected. You can modify the test to make changes if necessary.

Parent topic: Working with Silk4NET Tests
Related tasks
Recording a Silk4NET Test
Related reference
Limitations for Testing with Mozilla Firefox


Recording a Test on Google Chrome

Silk4NET supports recording a test on Google Chrome 50 or later. For previous versions of Google Chrome, Silk4NET supports only replaying test and recording locators.

Before you can record a Silk4NET test, you must have created a Silk4NET project.

Note: You cannot record tests on Google Chrome versions prior to version 50.
To record a new test for a web application on Google Chrome 50 or later:
  1. Select the project to which you want to add the new test.
  2. In the toolbar, click Record Actions. The Add New Item dialog box opens.
  3. Select Silk4NET Test.
  4. Type a name for the new test into the Name field.
  5. Click Add.
  6. In the Select Browser dialog box, select the browser that you want to use.
  7. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
  8. Optional: Select an Orientation for the browser window.
  9. Click Record.
  10. The Interactive Recording window opens and displays the web application. Perform the actions that you want to record.
    1. Click on the object with which you want to interact. Silk4NET performs the default action for the object. If there is no default action, or if you have to insert text or specify parameters, the Choose Action dialog box opens.
    2. Optional: To chose an action for an object, which might not be the default action, right-click on the object. The Choose Action dialog box opens.
    3. Optional: If the action has parameters, type the parameters into the parameter fields. Silk4NET automatically validates the parameters.
    4. Click OK to close the Choose Action dialog box. Silk4NET adds the action to the recorded actions and replays it on the mobile device or emulator.
    During recording, Silk4NET displays the mouse position next to the recording window. You can toggle the location to switch between displaying the absolute mouse position on the device display and the mouse position in relation to the active object. For additional information about the actions available during recording, see Actions Available During Recording.
  11. Click Stop. The Record Complete dialog box opens.
  12. Click OK.

Replay the test to ensure that it works as expected. You can modify the test to make changes if necessary.

Parent topic: Working with Silk4NET Tests


Characters Excluded from Recording and Replaying

The following characters are ignored by Silk Test during recording and replay:
Characters | Control
... | MenuItem
tab | MenuItem
& | All controls. The ampersand (&) is used as an accelerator and therefore not recorded.
Parent topic: Working with Silk4NET Tests
Related tasks
Recording a Silk4NET Test
Running Silk4NET Tests


Actions Available During Recording

During recording, you can perform the following actions in the Recording window:

Action | Steps
Pause recording. | Click Pause to bring the AUT into a specific state without recording the actions, and then click Record to resume recording.
Change the sequence of the recorded actions. | To change the sequence of the recorded actions in the Recording window, select the actions that you want to move and drag them to the new location.
Select multiple actions. | To select multiple actions, press Ctrl and click on the actions or press Shift and click on the first and the last action that you want to select.
Replay recorded actions. | To replay recorded actions from the Recording window, select the actions and click Play. To select all recorded actions, click on Recorded Actions and then click Play.
Remove a recorded action. | To remove a falsely recorded action from the Recording window, hover the mouse cursor over the action and click Delete.
Verify an image or a property of a control. | Move the mouse cursor over the object that you want to verify and press Ctrl+Alt. For additional information, see Adding a Verification to a Script while Recording.
Parent topic: Working with Silk4NET Tests
Related tasks
Recording a Silk4NET Test


Manually Creating a Silk4NET Test

  1. Add a Silk4NET test to your project.
  2. Optional: To add support for controls of a specific application technology, you must include an import statement at the beginning of the test that references the application technology namespace, as shown in the following examples:
    'Visual Basic .NET
Imports SilkTest.Ntf.Wpf
Imports SilkTest.Ntf.XBrowser
Imports SilkTest.Ntf.Win32
    //C#
using SilkTest.Ntf.Wpf;
using SilkTest.Ntf.XBrowser;
using SilkTest.Ntf.Win32;
  3. Configure the base state of the test application. For example:
    'Visual Basic .NET
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
baseState.Execute()
    //C#
BrowserBaseState baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
baseState.Execute();
    Note: The base state makes sure that the application that you want to test is running and in the foreground. This ensures that tests will always start with the same application state, which makes them more reliable. In order to use the base state, it is necessary to specify what the main window looks like and how to launch the application that you want to test if it is not running. Creating a base state is optional. However, it is recommended as a best practice.
  4. Add test classes and methods that test the desired functionality of the test application.
Parent topic: Working with Silk4NET Tests
Related tasks
Adding a Silk4NET Test to a Project


Best Practices for Creating Test Scripts

The way in which you write your test cases might have a great impact on the performance and stability of your test set. During recording, Silk4NET creates scripts that are as fast and stable as possible. However, there might be circumstances that require you to manually create or edit test scripts. This topic provides some general guidelines that might help you create test scripts that are maintainable, reusable, and lead to stable tests.

  • Name your tests consistently and ensure that test names are self-explaining. Try to make the names correspond with the application under test and the tested functionality. For example, the test names MyApp_SuccessfulLogin and MyApp_FailingLogin are far easier to understand for other users than Untitled_42 and Untitled_43.
  • Describe your test cases as thoroughly as possible in a comment. Without a good description of the test case in natural language, someone who needs to change the implementing code might not be able to comprehend what exactly the test is doing.
  • Ensure that your application under test is at the proper state when the test case starts. Return the application under test to the correct state before executing the actions in a test case.
  • Ensure that your application under test is at a proper state when the test case finishes. If additional tests depend on the outcome of the test, ensure that they can start. Return the application under test to the correct state when the actions in a test case are executed.
  • Whenever possible, ensure that your test cases are not depending on the results of other test cases. When this is not possible, ensure that the test cases are executed in the right order.
  • Add verifications to your tests, to test the correctness of your application under test as well as the functional flow.
  • Use keyword-driven testing to create highly reusable action sets. Bundle commonly used actions into keywords, combine keywords that are often executed sequentially into keyword sequences, and execute combinations of keywords and keyword sequences as keyword driven-tests.
  • To keep your tests maintainable and reusable, prefer writing multiple simple test cases that are combinable to writing complex test cases.
  • To avoid redundancies in your test set, prefer updating existing test cases to adding new test cases.
Parent topic: Working with Silk4NET Tests


Adding a Verification to a Script while Recording

Do the following to add a verification to a script during recording:

  1. Begin recording.
  2. Move the mouse cursor over the object that you want to verify and press Ctrl+Alt.
    When you are recording a mobile Web application, you can also click on the object and click Add Verification. This option temporarily suspends recording and displays the Select Verification Type dialog box.
  3. Select Verify properties of the TestObject. For information about adding an image verification to a script, see Adding an Image Verification During Recording.
  4. Click OK. The Verify Properties dialog box opens.
  5. To select the property that you want to verify, check the corresponding check box.
  6. Click OK. Silk4NET adds the verification to the recorded script and you can continue recording.
Parent topic: Working with Silk4NET Tests
Related tasks
Adding an Image Verification During Recording


Adding a Locator or an Object Map Item to a Test Method Using the Locator Spy

Manually capture a locator or an object map item using the Locator Spy and copy the locator or the object map item to the test method. For instance, you can identify the caption or the XPath locator string for GUI objects using the Locator Spy. Then, copy the relevant locator strings and attributes into the test methods in your scripts.
  1. Open the test class that you want to modify.
  2. Click Silk4NET > Locator Spy.
    The Locator Spy and the application under test open. If you are testing a mobile application, a recording window opens, representing the screen of the mobile device. You cannot perform actions in the recording window, but you can perform actions on the mobile device or emulator and then refresh the recording window.
  3. Optional: To bring the application under test into the appropriate state before recording a locator, click Stop Recording Locator. The actions that you perform in the application under test are no longer recorded. To continue with the recording of a locator, click Start Recording Locator.
  4. Optional: To display locators in the Locator column instead of object map items, uncheck the Show object map identifiers check box. Object map item names associate a logical name (an alias) with a control or a window, rather than the control or window's locator. By default, object map item names are displayed.
    Note: When you check or uncheck the check box, the change is not automatically reflected in the locator details. To update an entry in the Locator Details table, you have to click on the entry.
  5. Position the mouse over the object that you want to record. The related locator string or object map item shows in the Selected Locator text box.
    Note: If you are testing on a browser, the Selected Locator field displays the locator only when you actually capture it.
  6. Press Ctrl+Alt to capture the object.
    Note: Press Ctrl+Shift to capture the object if you specified the alternative record break key sequence on the General Recording Options page of the Script Options dialog box.
  7. Optional: Click Show additional locator attributes to display any related attributes in the Locator Attribute table.
  8. Optional: You can replace a recorded locator attribute with another locator attribute from the Locator Attribute table. For example, your recorded locator might look like the following:
    /BrowserApplication//BrowserWindow//input[@id='loginButton']
    If you have a textContents Login listed in the Locator Attribute table, you can manually change the locator to the following:
    /BrowserApplication//BrowserWindow//input[@textContents='Login']
    The new locator displays in the Selected Locator text box.
  9. To copy the locator, click Copy Locator to Clipboard. In the Selected Locator text box, you can also mark the portion of the locator string that you want to copy, and then you can right-click the marked text and click Copy.
  10. In the script, position your cursor to the location to which you want to paste the recorded locator. For example, position your cursor in the appropriate parameter of a Find method in the script.

    The test method, into which you want to paste the locator, must use a method that can take a locator as a parameter. Using the Locator Spy ensures that the locator is valid.

  11. Copy the locator or the object map item to the test case or to the Clipboard.
  12. Click Close.
Parent topic: Working with Silk4NET Tests
Related concepts
Locator Spy


Running Silk4NET Tests

This topic describes how you can run your Silk4NET tests in Visual Studio.

  1. To view all the tests that are available in the selected project or solution:
    • In Visual Studio 2010, click Test > Windows > Test View.
    • In Visual Studio 2012 later, click Test > Windows > Test Explorer.
  2. In the Test View or the Test Explorer, depending on which version of Visual Studio you are using, select the tests that you want to execute.
  3. Right-click on your selection and click one of the following:
    • In Visual Studio 2010, click Run Selection.
    • In Visual Studio 2012 or later, click Run Selected Tests.
    To run all tests in the selected project or solution, click Run All in the Test View or the Test Explorer, depending on which version of Visual Studio you are using.
  4. If you are testing a web application, the Select Browser dialog box opens. Select the browser and click Run.
    Note: If multiple applications are configured for the current project, the Select Browser dialog box is not displayed.
  5. Optional: If necessary, you can press both Shift keys at the same time to stop the execution of the test.
  6. When the test execution is complete, the Playback Complete dialog box opens. Click Explore Results to examine the results of the tests with TrueLog or click OK to close the dialog box.
Note: When you execute your tests, and Visual Studio starts the components that are needed for the execution of the tests, Visual Studio will clean up everything when the test execution is finished, terminating the Open Agent and all open browser windows.
Parent topic: Working with Silk4NET Tests
Related concepts
Why Does TrueLog Not Write Result Files During Playback?
Characters Excluded from Recording and Replaying
Related tasks
Analyzing Test Results
Replaying a Test from the Command Line


Replaying a Test from the Command Line

To run Silk4NET tests from the command line, you can use VSTest.Console.exe. This command line executable is included in Visual Studio and does not require any additional tools in addition to Silk4NET to be installed. For additional information on using the VSTest.console from the command line, refer to Using VSTest.console from the command line.

To run your Silk4NET tests from the command line, perform the following actions:

  1. Create a DLL with the tests to be executed. For example, call the DLL myTestFile.dll.
    Note: You can include multiple test classes in a single DLL. All tests in the various test classes will be executed.
  2. Run the tests in the DLL by typing:
    Vstest.console.exe [TestFileNames] [Options]
    For example, to execute the tests in myTestFile.dll, type the following:
    vstest.console.exe myTestFile.dll
    Note: For information on the available command line options, refer to Using VSTest.console from the command line.
  3. To create a TrueLog for a test class, use the <SilkTestClass> annotation. For example, to run the class MyTestClass with TrueLog enabled, use the following class header in your script:
    <SilkTestClass> Public Class MyTestClass
    Then create the DLL, for example myTestClass.dll and execute the tests from the command line by typing:
    vstest.console.exe myTestClass.dll
Parent topic: Working with Silk4NET Tests
Related concepts
Running Tests in Parallel
Selecting the Browser for Test Replay
Related tasks
Running Silk4NET Tests


Running Tests in Parallel

You can use multiple MSTest processes to execute tests in parallel against multiple browsers or mobile devices. For example, you can use this functionality when executing test from a continuous integration server, or from Silk Central.

Silk Test supports parallel testing for the following browsers and platforms:
  • Google Chrome.
  • Mozilla Firefox.
  • Web, native, and hybrid apps on the following platforms:
    • Physical Android devices.
    • Android Emulators.
    • Physical iOS devices.

To enable parallel test replay, set the environment variable SILKTEST_ENABLE_PARALLEL_TESTING to true.

Note: Enabling parallel testing causes the Open Agent to handle each test-executing process separately. Applications which have been tested in one Silk Test client cannot be tested from another client, while the initial client is running. For example, you cannot test the same application alternating between Silk4J and JUnit.
Note: You cannot execute multiple test runs on the same mobile device at the same time. Before running tests in parallel, ensure that enough devices or emulators are available. Any test runs that get no mobile device or emulator assigned will fail.

Each parallel test run starts as a separate vstestconsole.exe or mstest.exe, which corresponds to one browser or mobile device. You can specify the browser or mobile device that you want to associate with a specific vstestconsole.exe or mstest.exe through the connection string. For additional information, see Connection String for a Mobile Device or Connection String for a Remote Desktop Browser .

The following image shows testing multiple browsers in parallel:

The following image shows testing multiple devices in parallel:

Multiple processes starting simultaneously might each try to start the Open Agent on the machine on which Silk4NET is running. Running the Open Agent multiple times on the same machine is not possible and will cause Silk4NET to throw an exception. To avoid this, ensure that the Open Agent is running before starting the parallel test runs.

The test results are stored in multiple TrueLog files, one for each test run. To ensure that the TrueLog files are not overwritten, you can add placeholders to the TrueLog file name. For additional information, see Setting TrueLog Options.
Note: If you are experiencing high memory consumption during testing, ensure that test results are saved in the compressed TLZ file format, and not in the XLG format.
Parent topic: Working with Silk4NET Tests
Related concepts
Selecting the Browser for Test Replay
Related tasks
Replaying a Test from the Command Line
Setting TrueLog Options


Analyzing Test Results

After running a test, you can review the test results and analyze the success or failure of the test run.

  1. Run a Silk4NET test. When the execution is finished, the Playback Complete dialog box opens.
  2. Click Explore Results to examine the results of the tests with TrueLog. Silk TrueLog Explorer opens.
  3. Click through the results in Silk TrueLog Explorer. Silk TrueLog Explorer captures a screenshot whenever a test fails.
Parent topic: Working with Silk4NET Tests
Related concepts
Why Does TrueLog Not Write Result Files During Playback?
Visual Execution Logs with TrueLog
Related tasks
Running Silk4NET Tests


How Does Silk4NET Synchronize Tests?

Many unexpected test failures are related to synchronization issues. Weak synchronization during test replay might generate false negative results, making it difficult to detect actual application problems. Synchronization errors are timing issues that heavily depend on the test environment, making these errors difficult to reproduce and solve. For example, a synchronization error that occurs in a specific test environment might never be reproduced in the development environment. Weak synchronization is one of the most common reasons for an automation project to get unmanageable with a growing set of automated tests.

Silk4NET provides automated test synchronization for all supported technologies, enabling you to build robust and manageable test sets. During the replay of a test, Silk4NET ensures that the test always waits until the AUT is ready to perform the next action. For a verification step in a test, Silk4NET ensures that any preceding actions in the test are completed before performing the verification.

To adapt your tests to the specific behavior of your AUT, you can change the values of the following synchronization timeouts:
Synchronization timeout (OPT_SYNC_TIMEOUT)
The maximum time in milliseconds that Silk4NET waits for the AUT to become ready during playback. The default value is 300000 milliseconds.
Object resolve timeout (OBJ_WAIT_RESOLVE_OBJDEF)
The maximum time in milliseconds that the Find method searches for an object. The default value is 5000 milliseconds.
Note: To be able to successfully run tests under load or on slow systems, for example a virtual machine accessed through a slow connection, Silk4NET occasionally increases the internal timeout, for example while the AUT is starting and when a dialog or window appears. As soon as the AUT, dialog, or window is completely started, Silk4NET reduces the timeout again to the value you have specified for OPT_WAIT_RESOLVE_OBJDEF.
Object resolve retry interval (OPT_WAIT_RESOLVE_OBJDEF_RETRY)
If Silk4NET cannot immediately find an object, Silk4NET will retry to find the object until the object resolve timeout expires. The object resolve retry interval specifies the time in milliseconds that Silk4NET waits before retrying to find the object. The default value is 1000 milliseconds.
Object enabled timeout (OPT_OBJECT_ENABLED_TIMEOUT)
The maximum time in milliseconds that Silk4NET waits for an object to become enabled during playback. The default value is 1000 milliseconds.
Note: The timeouts do not overlap.

For detailed information about the automated synchronization that Silk4NET provides specifically for Web applications, see Page Synchronization for xBrowser. For detailed information about the synchronization that Silk4NET provides specifically for Ajax applications, see How to Synchronize Test Automation Scripts for Ajax Applications.

In addition to the automated synchronization, Silk4NET also enables you to manually add wait functions to your scripts. Silk4NET provides the following wait functions for manual synchronization:
WaitForObject
Waits for an object that matches the specified locator. Works with an xPath locator or an object map identifier.
WaitForProperty
Waits until the property specified by the propertyName parameter gets the value specified by the expectedValue parameter or until the timeout is reached.
WaitForDisappearance
Waits until the object does not exist or until the timeout is reached.
WaitForChildDisappearance
Waits until the child object specified by the locator parameter does not exist or until the timeout is reached.

If a test randomly fails with an ObjectNotFoundException, increase the Object resolve timeout, for example to 30 seconds. For very specific long running operations, for example a click on an object that displays after a long calculation with a progress dialog, manually add the WaitForObject method to the test script, to wait until the object is found, or add the WaitForDisappearance method to the test script, to wait until the progress dialog is no longer displayed.

Automated synchronization example

Consider the following code sample, where Silk4NET tries to click on a button with the caption Ok:

'VB .NET code
Dim button = _desktop.PushButton("@caption='Ok'")
button.Click()
// C# code
var button = _desktop.PushButton("@caption='Ok'");
button.Click();
To replay the actions in this code sample, Silk4NET performs the following synchronization actions:
  1. Silk4NET tries to find the button. If the Object resolve timeout runs out, Silk4NET stops the replay and throws an exception.
  2. Silk4NET waits until the application under test (AUT) is ready. If the Synchronization timeout runs out before the AUT is ready, Silk4NET stops the replay and throws an exception.
  3. Silk4NET waits until the button is enabled. If the Object enabled timeout runs out before the button is enabled, Silk4NET stops the replay and throws an exception.
  4. Silk4NET clicks the button.
  5. Silk4NET waits until the application under test (AUT) is ready again.
Parent topic: Working with Silk4NET Tests
Related concepts
Page Synchronization for xBrowser
Related tasks
Setting Synchronization Options
Setting Replay Options


Enabling the Playback Status Dialog Box

Enable the Playback Status dialog box to view the actions that are performed during the replay of a test. This dialog box is very useful when replaying tests on another machine, for example on a remote Mac or on a mobile device.

To enable the Playback Status dialog box:

  1. Click Silk4NET > Edit Options.
  2. Click the Replay tab.
  3. To enable the Playback Status dialog box, check the OPT_SHOW_PLAYBACK_STATUS_DIALOG check box.
  4. To display a video or screenshots of the application under test in the Playback Status dialog box, check the OPT_PLAYBACK_STATUS_DIALOG_SCREENSHOTS check box.
  5. Click OK.
Note: If you are testing on a remote Mac or on a mobile device, ensure that the Mac or device does not switch off the screen during testing, otherwise the Playback Status dialog box will not display anything.
Parent topic: Working with Silk4NET Tests
Related tasks
Setting Replay Options


Visual Execution Logs with TrueLog

TrueLog is a powerful technology that simplifies root cause analysis of test case failures through visual verification. The results of test runs can be examined in TrueLog Explorer. When an error occurs during a test run, TrueLog enables you to easily locate the line in your script that generated the error so that the issue can be resolved.

Note: TrueLog is supported only for one local or remote agent in a script. When you use multiple agents, for example when testing an application on one machine, and that application writes data to a database on another machine, a TrueLog is written only for the first agent that was used in the script. When you are using a remote agent, the TrueLog file is also written on the remote machine.

For additional information about TrueLog Explorer, refer to the Silk TrueLog Explorer User Guide, located in (in Microsoft Windows 7) Start > Programs > Silk > Silk Test > Documentation or (in Microsoft Windows 10) Start > Silk.

You can enable TrueLog in Silk4NET to create visual execution logs during the execution of Silk4NET tests. The TrueLog file is created in the working directory of the process that executed the Silk4NET tests.

The default setting is that screenshots are only created when an error occurs in the script, and only test cases with errors are logged.

  • Enabling TrueLog
    Enable TrueLog to create visual execution logs during the execution of Silk4NET tests.
  • Changing the Location of the TrueLog
    Specify a location to save the TrueLog when running tests in the current project.
  • Why is TrueLog Not Displaying Non-ASCII Characters Correctly?
    Describes what you can do when non-ASCII characters are not correctly displayed in your TrueLog files.
  • Why Does TrueLog Not Write Result Files During Playback?
    Describes what you can do if no result files are written during playback.
Related tasks
Analyzing Test Results


Enabling TrueLog

For new Silk4NET scripts, TrueLog is enabled by default. You can enable or disable TrueLog by checking or un-checking the Enable TrueLog check box in the TrueLog tab of the Script Options dialog box. To open the Script Options dialog box, click Silk4NET > Edit Options.

To enable TrueLog for existing Silk4NET scripts, which are using the Visual Studio Unit Testing Framework, you have to replace the TestClass attribute of all test classes in the script with the SilkTestClass attribute.

To enable TrueLog for existing Silk4NET scripts:

  1. Open the script that contains the test class for which you want to enable TrueLog.
  2. Add the SilkTestClass attribute to the test class.

By default, the TrueLog is created in the TestResults sub-directory of the directory, in which the Visual Studio solution file and the results of the Visual Studio Unit Testing Framework are located. To specify a different location for the TrueLog, click Silk4NET > Edit Options to open the Script Options dialog box and click Browse to the right of the TrueLog file field.

The Visual Studio solution file is the file in which the Silk4NET scripts are located. When the Silk4NET test execution is complete, a dialog box opens, and you can click Explore Results to review the TrueLog for the completed test.

Examples

To enable TrueLog for a class in a Visual Basic script, use the following code:
<SilkTestClass()> Public Class MyTestClass
  <TestMethod()> Public Sub MyTest()
    ' my test code
  End Sub
End Sub
To enable TrueLog for a class in a C# script, use the following code:
[SilkTestClass]
public class MyTestClass {
  [TestMethod]
  public void MyTest() {
    // my test code
  }
}
Parent topic: Visual Execution Logs with TrueLog
Related concepts
Inserting a Result Comment in a Script
Related tasks
Setting TrueLog Options


Changing the Location of the TrueLog

By default, the TrueLog is created in the TestResults sub-directory of the directory, in which the Visual Studio solution file and the results of the Visual Studio Unit Testing Framework are located.

To specify another location for the TrueLog:

  1. In the menu, click Silk4NET > Edit Options. The Script Options dialog box displays.
  2. Select the TrueLog tab.
  3. Click Browse to the right of the TrueLog directory field.
When running a test in the current project, the TrueLog is saved to the specified location.
Parent topic: Visual Execution Logs with TrueLog


Why is TrueLog Not Displaying Non-ASCII Characters Correctly?

TrueLog Explorer is a MBCS-based application, meaning that to be displayed correctly, every string must be encoded in MBCS format. When TrueLog Explorer visualizes and customizes data, many string conversion operations may be involved before the data is displayed.

Sometimes when testing UTF-8 encoded Web sites, data containing characters cannot be converted to the active Windows system code page. In such cases, TrueLog Explorer will replace the non-convertible characters, which are the non-ASCII characters, with a configurable replacement character, which usually is '?'.

To enable TrueLog Explorer to accurately display non-ASCII characters, set the system code page to the appropriate language, for example Japanese.

Parent topic: Visual Execution Logs with TrueLog


Why Does TrueLog Not Write Result Files During Playback?

Silk4NET might display the following error message after playback:
Unable to explore result file because no result file was written. Ensure that you have sufficient permissions
and that the unit testing extension in the references of your Silk4NET project corresponds to the used version of
Visual Studio.

In this case, the reference to the unit testing extension is pointing to a different version of Visual Studio than the one that you are currently using. For example, this can happen if you have migrated the Silk4NET project from a previous version of Visual Studio. To enable TrueLog to write result files, change the reference to the wrong Visual Studio version so that it points to the correct version. Also ensure that the Enable TrueLog check box in the TrueLog tab of the Script Options dialog box is checked. To open the Script Options dialog box, click Silk4NET > Edit Options.

Example

If the Silk4NET projects reference Visual Studio 2012 and the version that you are using is Visual Studio 2013, remove the reference to SilkTest.Ntf.VisualStudio2012.UnitTestingExtension from the Silk4NET projects and add the reference SilkTest.Ntf.VisualStudio2013.UnitTestingExtension to the projects.

Parent topic: Visual Execution Logs with TrueLog
Related tasks
Running Silk4NET Tests
Analyzing Test Results


Silk Test Open Agent

The Silk Test Open Agent is the software process that translates the commands in your scripts into GUI-specific commands. In other words, the Open Agent drives and monitors the application that you are testing.

One Agent can run locally on the host machine. In a networked environment, any number of Agents can replay tests on remote machines. However, you can record only on a local machine.

  • Starting the Silk Test Open Agent
    Before you can create a test or run a sample script, the Silk Test Open Agent must be running. Typically, the Agent starts when you launch the product.
  • Stopping the Open Agent After Test Execution
    Stop the Open Agent from a script at the end of the test execution to ensure that the agent does not continue running.
  • Agent Options
    Describes the Agent class options that can be manipulated with the GetOption and SetOption methods.
  • Open Agent Port Numbers
    Describes how the Silk Test Open Agent communicates with the information service and connects to ports.
  • Remote Testing with the Open Agent
    Describes how you can use a remote agent to test an application in a remote location.
  • Configuring the Open Agent to Run Remotely in a NAT Environment
    To remotely run the Open Agent in a network address translation (NAT) environment, such as on a Lab Manager virtual machine (VM), configure the Agent to include a VM argument.


Starting the Silk Test Open Agent

Before you can create a test or run a sample script, the Silk Test Open Agent must be running. Typically, the Agent starts when you launch the product. If you must manually start the Open Agent, perform this step.

Click (in Microsoft Windows 7) Start > Programs > Silk > Silk Test > Tools > Silk Test Open Agent or (in Microsoft Windows 10) Start > Silk > Silk Test Open Agent. The Silk Test Open Agent icon Open Agent icon displays in the system tray.
Parent topic: Silk Test Open Agent


Stopping the Open Agent After Test Execution

You can stop the Open Agent from a script, to ensure that the agent does not continue running after the end of the test execution.
  1. Open or create a script that is executed when the test execution is finished. For example, open an existing script that is used for cleanup after test execution.
  2. Add the ShutDown method to the script.
Note: The Open Agent will restart as soon as the agent is required by another script.
Parent topic: Silk Test Open Agent


Agent Options

This section describes the options that can be manipulated with the GetOption and SetOption methods.

Note: By default, you can set global options by choosing Silk4NET > Edit Options in the menu.

To set or get agent options in a script, use the GetOption or SetOption methods. For instance, when you type, Agent.SetOption(Options., the agent options display automatically in the active editor window with the auto-completion and syntactical assistance technology. For instance, you might see the following options in the active editor window:

Code window syntax

An example for inserting an option into a script would be the following:
'VB .NET code
Agent.SetOption(Options.ApplicationReadyTimeout, 100000)
// C# code
Agent.SetOption(Options.ApplicationReadyTimeout, 100000);
Alternatively, you can use the agent option name in scripts. For instance, you can type:
'VB .NET code
Agent.SetOption("OPT_APPREADY_TIMEOUT", 100000)
// C# code
Agent.SetOption("OPT_APPREADY_TIMEOUT", 100000);
.NET Option Name | Agent Option Name | Constant Type | Description
ApplicationReadyTimeout | OPT_APPREADY_TIMEOUT | NUMBER | Specifies the number of milliseconds to wait for a newly launched application to become ready. If the application is not ready within the specified timeout, Silk4NET raises an exception.
BitmapMatchCount OPT_BITMAP_MATCH_COUNT INTEGER Specifies the number of consecutive snapshots that must be the same for the bitmap to be considered stable. Snapshots are taken up to the number of seconds specified by OPT_BITMAP_MATCH_TIMEOUT, with a pause specified by OPT_BITMAP_MATCH_INTERVAL occurring between each snapshot.

By default, this is 0.

BitmapMatchInterval OPT_BITMAP_MATCH_INTERVAL REAL Specifies the time interval between snapshots to use for ensuring the stability of the bitmap image. The snapshots are taken up to the time specified by OPT_BITMAP_MATCH_TIMEOUT.

By default, this is 0.1.

BitmapMatchTimeout OPT_BITMAP_MATCH_TIMEOUT REAL Specifies the total time allowed for a bitmap image to become stable.

During the time period, Silk4NET takes multiple snapshots of the image, waiting the number of seconds specified with OPT_BITMAP_MATCH_TIMEOUT between snapshots. If the value returned by OPT_BITMAP_MATCH_TIMEOUT is reached before the number of bitmaps specified by OPT_BITMAP_MATCH_COUNT match, Silk4NET stops taking snapshots and raises the exception E_BITMAP_NOT_STABLE.

By default, this is 5.

BitmapPixelTolerance OPT_BITMAP_PIXEL_TOLERANCE INTEGER Specifies the number of pixels of difference below which two bitmaps are considered to match. If the number of pixels that are different is smaller than the number specified with this option, the bitmaps are considered identical. The maximum tolerance is 32767 pixels.

By default, this is 0.

ButttonsToCloseWindows | OPT_CLOSE_WINDOW_BUTTONS | LIST OF STRING | Specifies the buttons used to close windows with the CloseSynchron method.
ButttonsToConfirmDialogs | OPT_CLOSE_CONFIRM_BUTTONS | LIST OF STRING | Specifies the buttons used to close confirmation dialog boxes that appear when closing windows with the CloseSynchron method.
CloseUnresponsiveApplications | OPT_KILL_HANGING_APPS | BOOLEAN | Specifies whether unresponsive applications are closed. An application is unresponsive if communication between the Agent and the application fails, e.g. times out. Set this option to TRUE when testing applications that cannot run multiple instances. By default, this is FALSE.
CloseWindowTimeout | OPT_CLOSE_WINDOW_TIMEOUT | NUMBER | Specifies the number of milliseconds to wait before the next close strategy is tried. The Agent executes four close attempts before failing, so the total time before a close fails is four times the value you specify.
Compatibility OPT_COMPATIBILITY STRING

Enables you to use the Silk4NET behavior of the specified Silk4NET version for specific features, when the behavior of these features has changed in the latest version.

Example strings:
  • 12
  • 11.1
  • 13.0.1

By default, this option is not set.

EnsureObjectIsActive | OPT_ENSURE_ACTIVE_OBJDEF | BOOLEAN | Ensures that the target object is active. By default, this is FALSE.
EnableAccessibility OPT_ENABLE_ACCESSIBILITY BOOLEAN

TRUE to enable Accessibility when you are testing a Win32 application and Silk4NET cannot recognize objects. Accessibility is designed to enhance object recognition at the class level.

FALSE to disable Accessibility.

By default, this is FALSE.

Note: For Mozilla Firefox and Google Chrome, Accessibility is always activated and cannot be deactivated.
EnableMobileWebviewFallbackSupport OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT BOOLEAN

Enables mobile native fallback support for hybrid mobile applications that are not testable with the default browser support.

By default, this is FALSE.

HangAppTimeOut OPT_HANG_APP_TIME_OUT NUMBER

Specifies the Unresponsive application timeout, which is the timeout for pending playback actions.

The default value is 5000 milliseconds.

HighlightObjectDuringPlayback OPT_REPLAY_HIGHLIGHT BOOLEAN Specifies whether the current object is highlighted during playback.

By default, this is FALSE, which means that objects are not highlighted by default.

KeyboardEventDelay OPT_KEYBOARD_INPUT_DELAY NUMBER Sets the delay in milliseconds between playback of keyboard strokes.

Be aware that the optimal number you select can vary, depending on the application that you are testing. For example, if you are testing a Web application, a setting of 1 millisecond radically slows down the browser. However, setting this to 0 (zero) may cause basic application testing to fail.

KeysToCloseDialogs | OPT_CLOSE_DIALOG_KEYS | LIST OF STRING | Specifies the keystroke sequence to close dialog boxes that open after trying to close a window with the CloseSynchron method. Examples include: <ESC>, <Alt+F4>.
LocatorAttributesCaseSensitive OPT_LOCATOR_ATTRIBUTES_CASE_SENSITIVE BOOLEAN

Set to Yes to add case-sensitivity to locator attribute names, or to No to match the locator names case insensitive. The names of locator attributes for mobile Web applications are always case insensitive, and this option is ignored when recording or replaying mobile Web applications.

MenuItemsToCloseWindows | OPT_CLOSE_WINDOW_MENUS | LIST OF STRING | Specifies the menu items used to close windows with the CloseSynchron method. Examples include: "File/Exit*", "File/Quit*".
MouseEventDelay | OPT_MOUSE_INPUT_DELAY | NUMBER | Specifies the delay in milliseconds used before each mouse event.
ObjectResolveRetryTimeout | OPT_WAIT_RESOLVE_OBJDEF | NUMBER | Specifies the time in milliseconds to wait for an object to be resolved during playback. As soon as the object is resolved, Silk4NET can recognize it.
PlaybackMode OPT_REPLAY_MODE NUMBER Defines how controls are replayed. Use low level to replay each control using the mouse and keyboard. Use high level to use the API to replay each control. All controls have a default playback mode assigned. When the default replay mode is selected, each control uses its default playback mode. The default mode delivers the most reliable results. Selecting low or high level playback overrides the playback mode of all controls with the playback mode selected.

Possible values include 0, 1 and 2. 0 is default, 1 is high level, 2 is low level. By default, this is 0.

PostReplayDelay | OPT_POST_REPLAY_DELAY | NUMBER | Specifies the time in milliseconds to wait after invoking a function or setting a property.
RemoveFocusOnCaptureText OPT_REMOVE_FOCUS_ON_CAPTURE_TEXT BOOLEAN
Set to Yes to take the focus off the application under test during a text capture. By default, this is set to No, leaving the focus on the application under test. A text capture is performed during recording and replay by the following methods:
  • TextClick
  • TextCapture
  • TextExists
  • TextRect
SuspensionTimeout | OPT_NTF_SUSPENSION_TIMEOUT | NUMBER | Specifies the maximum time in milliseconds to wait for an answer from the NTF. If the time is exceeded, the communication between NTF and the Open Agent is considered as suspended.
SyncTimeout OPT_SYNC_TIMEOUT NUMBER Specifies the maximum time in milliseconds for an object to be ready.
Note: When you upgrade from a Silk Test version prior to Silk Test 13.0, and you had set the OPT_XBROWSER_SYNC_TIMEOUT option, the Options dialog box will display the default value of the OPT_SYNC_TIMEOUT, although your timeout is still set to the value you have defined.
TransparentClasses OPT_TRANSPARENT_CLASSES LIST OF STRING
To simplify the object hierarchy and to shorten the length of the lines of code in your test scripts and functions, you can suppress the controls for certain unnecessary classes in the following technologies:
  • Win32.
  • Java AWT/Swing.
  • Java SWT/Eclipse.
  • Windows Presentation Foundation (WPF).
Specify the names of any classes that you want to ignore during recording and playback.
OPT_WPF_CHECK_DISPATCHER_FOR_IDLE | BOOLEAN | For some WPF applications the Silk Test synchronization might not work due to how certain controls are implemented, resulting in Silk4NET not recognising when the WPF application is idle. Setting this option to FALSE disables the WPF synchronization and prevents Silk4NET from checking the WPF dispatcher, which is the thread that controls the WPF application. Set this option to FALSE to solve synchronization issues with certain WPF applications. By default, this is TRUE.
WPFCustomClasses | OPT_WPF_CUSTOM_CLASSES | LIST OF STRING | Specify the names of any WPF classes that you want to expose during recording and playback. For example, if a custom class called MyGrid derives from the WPF Grid class, the objects of the MyGrid custom class are not available for recording and playback. Grid objects are not available for recording and playback because the Grid class is not relevant for functional testing since it exists only for layout purposes. As a result, Grid objects are not exposed by default. In order to use custom classes that are based on classes that are not relevant to functional testing, add the custom class, in this case MyGrid, to the OPT_WPF_CUSTOM_CLASSES option. Then you can record, playback, find, verify properties, and perform any other supported actions for the specified classes.
WPFPrefillItems | OPT_WPF_PREFILL_ITEMS | BOOLEAN | Defines whether items in a WPFItemsControl, like WPFComboBox or WPFListBox, are pre-filled during recording and playback. WPF itself lazily loads items for certain controls, so these items are not available for Silk4NET if they are not scrolled into view. Turn pre-filling on, which is the default setting, to additionally access items that are not accessible without scrolling them into view. However, some applications have problems when the items are pre-filled by Silk4NET in the background, and these applications can therefore crash. In this case turn pre-filling off.
XBrowserFindHiddenInputFields OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS BOOLEAN

Specifies whether to display hidden input fields, which are HTML fields for which the tag includes type="hidden". The default value is TRUE.

XBrowserSynchronizationMode | OPT_XBROWSER_SYNC_MODE | STRING | Configures the supported synchronization mode for HTML or AJAX. Using the HTML mode ensures that all HTML documents are in an interactive state. With this mode, you can test simple Web pages. If more complex scenarios with Java script are used, it might be necessary to manually script synchronization functions, such as WaitForObject, WaitForProperty, WaitForDisappearance, or WaitForChildDisappearance. Using the AJAX mode eliminates the need to manually script synchronization functions. By default, this value is set to AJAX.
XBrowserSynchronizationTimeout OPT_XBROWSER_SYNC_TIMEOUT NUMBER Specifies the maximum time in milliseconds for an object to be ready.
Note: Deprecated. Use the option OPT_SYNC_TIMEOUT instead.
XBrowserSynchronizationURLExcludes OPT_XBROWSER_SYNC_EXCLUDE_URLS STRING Specifies the URL for the service or Web page that you want to exclude during page synchronization. Some AJAX frameworks or browser applications use special HTTP requests, which are permanently open in order to retrieve asynchronous data from the server. These requests may let the synchronization hang until the specified synchronization timeout expires. To prevent this situation, either use the HTML synchronization mode or specify the URL of the problematic request in the Synchronization exclude list setting.

Type the entire URL or a fragment of the URL, such as http://test.com/timeService or timeService.

Separate entries by comma, for example:
'VB .NET code
Agent.SetOption(OPT_XBROWSER_SYNC_EXCLUDE_URLS, { "fpdownload.macromedia.com", "fpdownload.adobe.com", "download.microsoft.com" })
// C# code
Agent.SetOption(OPT_XBROWSER_SYNC_EXCLUDE_URLS, { "fpdownload.macromedia.com", "fpdownload.adobe.com", "download.microsoft.com" });
Parent topic: Silk Test Open Agent


Open Agent Port Numbers

When the Open Agent starts, a random available port is assigned to Silk4NET and to the application that you are testing. The port numbers are registered on the information service. Silk4NET contacts the information service to determine the port to use to connect to the Open Agent. The information service communicates the appropriate port, and Silk4NET connects to that port. Communication runs directly between Silk4NET and the agent.

By default, the Open Agent communicates with the information service on port 22901. You can configure additional ports for the information service as alternate ports that work when the default port is not available. By default, the information service uses ports 2966, 11998, and 11999 as alternate ports.

Typically, you do not have to configure port numbers manually. However, if you have a port number conflict or an issue with a firewall, you must configure the port number for that machine or for the information service. You can use a different port number for a single machine or you can use the same available port number for all your machines.

  • Configuring the Port to Connect to the Information Service
    Change the port number that all clients use to connect to the information service.
  • Configuring the Port to Connect to the Open Agent
    Change the port number that the Silk Test client or the application that you want to test uses to connect to the Open Agent.
  • Configuring the Port to Connect to Silk Test Recorder
    Change the port number that the Silk Test client uses to connect to Silk Test Recorder.
Parent topic: Silk Test Open Agent


Configuring the Port to Connect to the Information Service

Before you begin this task, stop the Silk Test Open Agent.

Typically, you do not have to configure port numbers manually. The information service handles port configuration automatically. Use the default port of the information service to connect to the Agent. Then, the information service forwards communication to the port that the Agent uses.

The default port of the information service is 22901. When you can use the default port, you can type hostname without the port number for ease of use. If you do specify a port number, ensure that it matches the value for the default port of the information service or one of the additional information service ports. Otherwise, communication will fail.

If necessary, you can change the port number that all clients use to connect to the information service.

  1. Navigate to the infoservice.properties.sample file and open it.
    • In a Microsoft Windows system, this file is located in C:\ProgramData\Silk\Silk Test\conf, where “C:\ProgramData” is equivalent to the content of the ALLUSERSPROFILE environment variable, which is set by default on Windows systems.
    • On macOS, this file is located in /Users/<user>/.silk/silktest/conf.
    This file contains commented text and sample alternate port settings.
  2. Change the value for the appropriate port. Typically, you configure the information service port settings to avoid problems with a firewall by forcing communication on a specific port.

    Port numbers can be any number from 1 to 65535.

    • infoservice.default.port – The default port where the information service runs. By default, this port is set to 22901.

  3. Save the file as infoservice.properties.
  4. Restart the Open Agent, the Silk Test client, and the application that you want to test.
Parent topic: Open Agent Port Numbers


Configuring the Port to Connect to the Open Agent

Before you begin this task, stop the Silk Test Open Agent.

Typically, you do not have to configure port numbers manually. The information service handles port configuration automatically. Use the default port of the information service to connect to the Agent. Then, the information service forwards communication to the port that the Agent uses.

If necessary, change the port number that the Silk Test client or the application that you want to test uses to connect to the Open Agent.

  1. Navigate to the agent.properties.sample file and open it. By default, this file is located at: %APPDATA%\Silk\SilkTest\conf, which is typically C:\Users\<user name>\AppData\Silk\SilkTest\conf where <user name> equals the current user name.
  2. Change the value for the appropriate port. Typically, you configure port settings to resolve a port conflict.
    Note: Each port number must be unique. Ensure that the port numbers for the Agent differ from the information service port settings.
    Port numbers can be any number from 1 to 65535.

    Port settings include:

    • agent.vtadapter.port – Controls communication between Silk Test Workbench and the Open Agent when running tests.

    • agent.xpmodule.port – Controls communication between Silk Test Classic and the Agent when running tests.

    • agent.autcommunication.port – Controls communication between the Open Agent and the application that you are testing.

    • agent.rmi.port – Controls communication with the Open Agent and Silk4J.

    • agent.ntfadapter.port – Controls communication with the Open Agent and Silk4NET.

    Note: The ports for Apache Flex testing are not controlled by this configuration file. The assigned port for Flex application testing is 6000 and increases by 1 for each Flex application that is tested. You cannot configure the starting port for Flex testing.
  3. Save the file as agent.properties.
  4. Restart the Open Agent, the Silk Test client, and the application that you want to test.
Parent topic: Open Agent Port Numbers


Configuring the Port to Connect to Silk Test Recorder

Before you begin this task, stop the Silk Test Open Agent.

Typically, you do not have to configure port numbers manually. The information service handles port configuration automatically. Use the default port of the information service to connect to the Agent. Then, the information service forwards communication to the port that the Agent uses.

If necessary, change the port number that Silk Test Classic, Silk4J, or Silk4NET uses to connect to Silk Test Recorder.

  1. Navigate to the recorder.properties.sample file and open it. By default, this file is located at: %APPDATA%\Silk\Silk Test\conf, which is typically C:\Documents and Settings\<user name>\AppData\Silk\SilkTest\conf where <user name> equals the current user name.
  2. Change the recorder.api.rmi.port to the port that you want to use. Port numbers can be any number from 1 to 65535.
    Note: Each port number must be unique. Ensure that the port numbers for the Agent settings differ from the recorder and the information service port settings.
  3. Save the file as recorder.properties.
  4. Restart the Open Agent, the Silk Test client, and the application that you want to test.
Parent topic: Open Agent Port Numbers


Remote Testing with the Open Agent

You can install Silk4NET on a remote machine and test an application on this remote location from the Silk4NET that is installed on your local machine.

Note: If you want to test mobile applications on a mobile device that is connected to a remote machine or on an Emulator or Simulator on a remote machine, or web applications on Apple Safari or on a remote Microsoft Edge, you have to use a remote Silk Test information service instead of a remote Open Agent.
  • Testing with a Remote Open Agent
    Install the Open Agent on a remote machine to replay tests against an application on the remote machine.
Parent topic: Silk Test Open Agent
Related concepts
Working with Silk4NET Tests
Related tasks
Editing Remote Locations


Testing with a Remote Open Agent

To replay tests against an application on a remote machine with Silk4NET, perform the following actions:
  1. Create a test against the application on the local machine.
  2. Install the Open Agent on the remote machine. For additional information, refer to the Silk Test Installation Guide.
  3. Start the Open Agent on the remote machine.
  4. In the test script, use the Connect method of the Agent class to connect to the remote Open Agent. For example, add the following line to the script:
    // VB .NET code
Private agent As RemoteAgent = Agent.Connect("hostname:port")
    // C# code
private RemoteAgent agent = Agent.Connect("hostname:port");
    For additional information, see Testing Applications in Multiple UI Sessions on a Single Machine .
  5. To execute a command in the test script on the remote machine, add the agent to the command. For example, if the command in the local test script was SomeAgentFunction, change the command to the following:
    // VB .NET code
Dim d As Desktop = agent.Desktop
Dim baseState = New BaseState()
agent.ExecuteBaseState(basestate)
d.SomeAgentFunction()
    // C# code
Desktop d = agent.Desktop;
BaseState basestate = new BaseState();
agent.ExecuteBaseState(basestate);
d.SomeAgentFunction();
Parent topic: Remote Testing with the Open Agent
Related reference
Connect Method


Configuring the Open Agent to Run Remotely in a NAT Environment

To remotely run the Open Agent in a network address translation (NAT) environment, such as on a Lab Manager virtual machine (VM), configure the Agent to include a VM argument.

  1. Navigate to the agent.properties.sample file and open it. By default, this file is located at: %APPDATA%\Silk\SilkTest\conf, which is typically C:\Documents and Settings\<user name>\Application Data\Silk\SilkTest\conf.
  2. Add the following property:
    java.rmi.server.hostname=<external IP of VM>
  3. Save the file as agent.properties .
Parent topic: Silk Test Open Agent


Base State

An application’s base state is the known, stable state that you expect the application to be in before each test case begins execution, and the state the application can be returned to after each test case has ended execution. This state may be the state of an application when it is first started.

When you create a class for an application, Silk4NET automatically creates a base state.

Base states are important because they ensure the integrity of your tests. By guaranteeing that each test case can start from a stable base state, you can be assured that an error in one test case does not cause subsequent test cases to fail.

Silk4NET automatically ensures that your application is at its base state during the following stages:
  • Before a test runs
  • During the execution of a test
  • After a test completes successfully
Note: Silk4NET stores the base state and any Silk4NET options in the config.silk4net configuration file. Silk4NET creates such a file for each Silk4NET project.
Note: Do not add more than one browser application configuration when testing a web application with a defined base state.
You can edit the base state in the following ways:
  • Through the user interface, for example if you want to specify how to start the AUT during both recording and replay.
  • In a script, for example if you only want to start the AUT in the specified way when replaying the tests in the script.
  • Modifying the Base State from the User Interface
    Edit the base state from the user interface to specify how Silk4NET starts an application under test during recording and replay.
  • Modifying the Base State in a Script
    Edit the base state in a script to specify how Silk4NET starts an application under test during replay.
  • Running the Base State
    Before starting to record a test against an application, you can execute the base state to bring all applications, against which you want to record, to the appropriate state for recording.
Related concepts
Application Configuration
Setting the Base State for a Keyword-Driven Test in Silk4NET


Modifying the Base State from the User Interface

You can edit the base state from the user interface to specify how Silk4NET starts an application under test (AUT) during recording and replay. You can specify the executable location of the AUT, the working directory, the URL and the connection string for a web application, and so on. For example, if you want to execute tests on a production web site, which have already been executed on a staging web site, you can simply change the URL in the base state and the tests are executed against the new web site.

Note: To specify how Silk4NET starts an application under test (AUT) only for specific tests during replay, edit the base state in the script that contains the tests. For additional information, see Modifying the Base State in a Script.

To edit the base state through the user interface:

  1. Click Silk4NET and choose Edit Application Configurations. The Edit Application Configurations dialog box opens and lists the existing application configurations.
  2. Click Edit to the right of the application configuration that you want to change.
  3. To test a web application or a mobile web application, if you have not set an application configuration for the current project, select one of the installed browsers or mobile browsers from the list. You can also click Change to open the Select Application dialog box and then select the browser that you want to use.
  4. To specify an executable, type the full path to the executable into the Executable field.
    Note: If you are testing a web application, and you want to specify an executable for the browser, select the custom browser type.
    For example, to start Mozilla Firefox, type C:\Program Files (x86)\Mozilla Firefox\firefox.exe.
  5. To specify command line arguments, type the arguments into the Command Line Arguments field.
    Note: If you are testing a web application, and you want to start a browser with command line arguments, select the custom browser type.
    For example, to start Mozilla Firefox with the profile myProfile, type -p myProfile.
  6. If you are testing an application which depends on a supplemental directory, specify the path to the directory in the Working directory filed.
    For example, if you use a batch file to start a Java application, the batch file may reference a JAR file that relies on a relative path. In this case, specify a working directory to reconcile the relative path.
  7. If you are testing a desktop application, specify the main window of the application in the Locator field. For example, the locator might look like /Shell[@caption='Swt Test Application'].
  8. If you are testing a desktop application and you want to use an executable pattern, type the executable name and file path of the desktop application that you want to test into the Executable Pattern text box. For example, you might type *\calc.exe to specify the Calculator.
  9. If you are testing a desktop application and you want to use a command line pattern in combination with the executable file, type the command line pattern into the Command Line Pattern text box.
  10. If you are testing a web application, type the address of the web application into the Navigate to URL text box.
  11. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
    For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
  12. Optional: Select an Orientation for the browser window.
  13. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  14. If you are testing a web application or a mobile native application on a remote location, for example on a mobile device that is connected to a Mac, and you want to edit the remote location, click Change to open the Select Application dialog box and then click Edit Remote Locations.
  15. If you are testing a mobile application or a web application on Apple Safari, type the connection string into the Connection String text box. For additional information, see Connection String.
  16. To edit the capabilities for a WebDriver-based browser, you can use the Connection String text box. For example, to start Google Chrome with a maximized browser window, type the following into the Connection String text box:
    chromeOptions={"args":["--start-maximized"]}
    For additional information, see Setting Options and Capabilities for Web-Driver Based Browsers.
  17. If you are testing a mobile native application, specify the name of the mobile application that you want to test in the Mobile app text box.
  18. Click OK.
  19. If the application under test usually takes a long time to start, increase the application ready timeout in the replay options.

Executing the base state starts the application if it is not already running. If the application is already running, Silk4NET does not start another instance of the application.

If your test includes multiple application configurations and you are modifying an application or Web page other than the object associated with the base state, you can turn off the base state. This indicates that the base state will not be used for recording or replaying the modifications. Therefore, you must record the steps to launch the application or Web page within your test. For instance, if you want to test a Web page, start Internet Explorer within your test.

Note: Do not add more than one browser application configuration when testing a web application with a defined base state.
Parent topic: Base State
Related concepts
Responsive Web Design Testing
Related tasks
Modifying an Application Configuration
Modifying the Base State in a Script


Modifying the Base State in a Script

You can edit the base state in a script to specify how Silk4NET starts an application under test (AUT) during replay. You can specify the executable location of the AUT, the working directory, the URL and the connection string for a web application, and so on. For example, if you want to execute tests on a production web site, which have already been executed on a staging web site, you can simply change the URL in the base state and the tests are executed against the new web site.

Note: To specify how Silk4NET starts an application under test (AUT) during recording and replay, edit the base state from the user interface. For additional information, see Modifying the Base State.

To edit the base state in a script:

  1. Open the script.
  2. Change the baseState method. You can add your code between creating the base state and executing it:
    ' VB code
' Go to web page 'demo.borland.com/InsuranceWebExtJS'
BrowserBaseState baseState = new BrowserBaseState()
' <-- Insert your changes here!
baseState.Execute()
    // C# code
//Go to web page 'demo.borland.com/InsuranceWebExtJS'
BrowserBaseState baseState = new BrowserBaseState();
// <-- Insert your changes here!
baseState.Execute();
  3. Use the following code to specify the executable name and file path of the application that you want to test:
    ' VB code
baseState.Executable=executable
    // C# code
baseState.Executable=executable;
    For example, to specify the Calculator, type the following:
    ' VB code
baseState.Executable = "C:\\Windows\\SysWOW64\\calc.exe"
    // C# code
baseState.Executable = "C:\\Windows\\SysWOW64\\calc.exe";
    To specify Mozilla Firefox, type the following:
    ' VB code
baseState.Executable = "C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe"
    // C# code
baseState.Executable = "C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe";
  4. Use the following code to specify command line arguments:
    ' VB code
baseState.CommandLineArguments = commandLineArguments
    // C# code
baseState.CommandLineArguments = commandLineArguments;
    For example, to start Mozilla Firefox with the profile myProfile, type the following:
    ' VB code
baseState.CommandLineArguments = "-p myProfile"
    // C# code
baseState.CommandLineArguments = "-p myProfile";
  5. You can use the following code to specify a different working directory:
    ' VB code
baseState.WorkingDirectory = workingDirectory
    // C# code
baseState.WorkingDirectory = workingDirectory;
  6. If you want to use an executable pattern, use the following code:
    ' VB code
baseState.ExecutablePattern = executablePattern
    // C# code
baseState.ExecutablePattern = executablePattern;
    For example, if you want to specify an executable pattern for the Calculator, type:
    ' VB code
baseState.ExecutablePattern = "*\\calc.exe"
    // C# code
baseState.ExecutablePattern = "*\\calc.exe";
  7. If you want to use a command line pattern in combination with the executable file, use the following code:
    ' VB code
baseState.CommandLinePattern = commandLinePattern
    // C# code
baseState.CommandLinePattern = commandLinePattern;
    For example, if the command line of the application ends with com.example.MyMainClass you might want to use *com.example.MyMainClass as the command line pattern:
    ' VB code
baseState.CommandLinePattern = "*com.example.MyMainClass"
    // C# code
baseState.CommandLinePattern = "*com.example.MyMainClass";
  8. If you are testing a web application or a mobile web application, and you have not set an application configuration for the current project, specify one of the installed browsers or mobile browsers. For example, to specify Google Chrome, type the following:
    ' VB code
baseState.BrowserType = BrowserType.GoogleChrome
    // C# code
baseState.BrowserType = BrowserType.GoogleChrome;
  9. If you are testing a web application or a mobile web application, and you have not set an application configuration for the current project, specify the address of the web application that you want to test:
    ' VB code
baseState.Url = url
    // C# code
baseState.Url = url;
    For example, type the following:
    ' VB code
baseState.Url = "demo.borland.com/InsuranceWebExtJS/"
    // C# code
baseState.Url = "demo.borland.com/InsuranceWebExtJS/";
  10. If you want to test a web application on a desktop browser, you can specify the height and width of the browser window:
    ' VB code
baseState.ViewportHeight = viewportHeight
baseState.ViewportWidth = viewportWidth
    // C# code
baseState.ViewportHeight = viewportHeight;
baseState.ViewportWidth = viewportWidth;
  11. If you want to test a web application or a mobile native application on a remote location, specify the connection string:
    ' VB code
baseState.ConnectionString = connectionString
    // C# code
baseState.ConnectionString = connectionString);
    For information on the connection string, see Connection String for a Remote Desktop Browser or Connection String for a Mobile Device.
  12. To edit the capabilities for Mozilla Firefox or Google Chrome , you can also use the connection string. For example, to set the download folder for Mozilla Firefox, type the following:
    ' VB code
baseState.ConnectionString = "moz:firefoxOptions= {\"prefs\": { \"browser.download.dir\":\"C:/Download/\"}};"
    // C# code
baseState.ConnectionString = "moz:firefoxOptions= {\"prefs\": { \"browser.download.dir\":\"C:/Download/\"}};";
    For additional information, see Setting Options and Capabilities for Web-Driver Based Browsers.
Parent topic: Base State
Related tasks
Modifying the Base State from the User Interface


Running the Base State

Before starting to record a test against an application, you can execute the base state to bring all applications, against which you want to record, to the appropriate state for recording.

To run the base state:

Click Silk4NET > Run Base State.
Depending on the type of the application, Silk4NET performs the following actions:
  • Executes the application configurations of all applications, for which an application configuration is defined in the current project.
  • For web applications, Silk4NET opens the web application in the specified browser and to the specified URL.
  • For mobile web applications, Silk4NET opens the specified browser on the specified mobile device or Emulator to the specified URL.
  • For mobile native applications, Silk4NET opens the specified app on the specified mobile device or Emulator. If the specified app is not installed on the specified mobile device or Emulator, Silk4NET installs and then opens the app.
Parent topic: Base State


Application Configuration

An application configuration defines how Silk4NET connects to the application that you want to test. Silk4NET automatically creates an application configuration when you create the base state. However, at times, you might need to modify, remove, or add an additional application configuration. For example, if you are testing an application that modifies a database and you use a database viewer tool to verify the database contents, you must add an additional application configuration for the database viewer tool.

  • For a Windows application, an application configuration includes the following:
    • Executable pattern

      All processes that match this pattern are enabled for testing. For example, the executable pattern for Internet Explorer is *\IEXPLORE.EXE. All processes whose executable is named IEXPLORE.EXE and that are located in any arbitrary directory are enabled.

    • Command line pattern

      The command line pattern is an additional pattern that is used to constrain the process that is enabled for testing by matching parts of the command line arguments (the part after the executable name). An application configuration that contains a command line pattern enables only processes for testing that match both the executable pattern and the command line pattern. If no command-line pattern is defined, all processes with the specified executable pattern are enabled. Using the command line is especially useful for Java applications because most Java programs run by using javaw.exe. This means that when you create an application configuration for a typical Java application, the executable pattern, *\javaw.exe is used, which matches any Java process. Use the command line pattern in such cases to ensure that only the application that you want is enabled for testing. For example, if the command line of the application ends with com.example.MyMainClass you might want to use *com.example.MyMainClass as the command line pattern.

  • For a web application in a desktop browser on the local machine, an application configuration includes only the browser type.
    Note: To start a browser with command line arguments or to specify a working directory or a specific executable for the browser, select the custom browser type. For additional information, see Modifying the Base State.
  • For a web application in Apple Safari or in Microsoft Edge on a remote machine, an application configuration includes the following:
    • Browser type.
    • Connection string.
  • For a web application in a mobile browser, an application configuration includes the following:
    • Browser type.
    • Connection string.
  • For a native mobile application, an application configuration includes the following:
    • Connection string.
    • Simple application name. If multiple applications on the mobile device have the same name, the fully qualified name of the application is used.
Note: Do not add more than one browser application configuration when testing a web application with a defined base state.

  • Modifying an Application Configuration
    Define how Silk4NET connects to the application that you want to test.
  • Select Application Dialog Box
    Describes the Select Application dialog box.
  • Editing Remote Locations
    Specify remote locations to add any browsers and mobile devices that are available on these locations to the set of applications that you can test.
  • Application Configuration Errors
    Lists the possible issues that may lead to the failure of attaching to an application as well as the suggested solutions for these issues.
  • Troubleshooting Application Configurations
    Provides useful information on handling potential difficulties while configuring the applications that you want to test.
  • Creating a Test that Tests Multiple Applications
    Add multiple application configurations to a project to test multiple applications at the same time.
Related concepts
Base State
Working with Silk4NET Projects
Connection String for a Mobile Device
Connection String for a Remote Desktop Browser
Related tasks
Modifying the Base State from the User Interface


Modifying an Application Configuration

An application configuration defines how Silk4NET connects to the application that you want to test. Silk4NET automatically creates an application configuration when you create the base state. However, at times, you might need to modify, remove, or add an additional application configuration. For example, if you are testing an application that modifies a database and you use a database viewer tool to verify the database contents, you must add an additional application configuration for the database viewer tool.
  1. Click Silk4NET and choose Edit Application Configurations. The Edit Application Configurations dialog box opens and lists the existing application configurations.
  2. To add an additional application configuration, click Add application configuration.
    Note: Do not add more than one browser application configuration when testing a web application with a defined base state.
    The Select Application dialog box opens. Select the tab and then the application that you want to test and click OK.
  3. To remove an application configuration, click Remove next to the appropriate application configuration.
  4. To edit an application configuration, click Edit.
  5. If you are testing a desktop application, type the executable name and file path of the desktop application that you want to test into the Executable Pattern text box. For example, you might type *\calc.exe to specify the Calculator.
  6. If you are testing a desktop application and you want to use a command line pattern in combination with the executable file, type the command line pattern into the Command Line Pattern text box.
  7. To test a web application or a mobile web application, if you have not set an application configuration for the current project, select one of the installed browsers or mobile browsers from the list. You can also click Change to open the Select Application dialog box and then select the browser that you want to use.
  8. If you are testing a web application, type the web address for the web page to launch when a test begins into the URL to navigate text box.
  9. To detect any visual breakpoints for a web application, click Analyze. For additional information, see Detecting Visual Breakpoints.
  10. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
    For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
  11. Optional: Select an Orientation for the browser window.
  12. If you are testing a mobile application or a web application on Apple Safari, type the connection string into the Connection String text box. For additional information, see Connection String.
  13. Click OK.
Parent topic: Application Configuration
Related concepts
Select Application Dialog Box
Responsive Web Design Testing
Related tasks
Modifying the Base State from the User Interface
Editing Remote Locations
Detecting Visual Breakpoints


Select Application Dialog Box

Use the Select Application dialog box to select the application that you want to test, to associate an application with an object map, or to add an application configuration to a test. Application types are listed in tabs on the dialog box. Select the tab for the application type you want to use.

Windows
Lists all Microsoft Windows applications that are running on the system. Select an item from the list and click OK.

Use the Hide processes without caption check box to filter out applications that have no caption.

Web

Lists all available browsers, including mobile browsers on any connected mobile devices and Apple Safari on a Mac. Specify the web page to open in the Enter URL to navigate text box. If an instance of the selected browser is already running, you can click Use URL from running browser to record against the URL currently displayed in the running browser instance. If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list. When selecting a browser size, you can also select an Orientation for the selected browser.

Note: Do not add more than one browser application configuration when testing a web application with a defined base state.
Mobile
Lists all available mobile devices and all running Android emulators, including devices connected to a remote location. Select this tab to test mobile native applications. You can select to test the mobile application (app) that is currently running on the selected mobile device, or you can browse for or manually specify the name or file of the app that you want to test.
Parent topic: Application Configuration
Related concepts
Connection String for a Mobile Device
Connection String for a Remote Desktop Browser
Related tasks
Modifying an Application Configuration
Editing Remote Locations


Editing Remote Locations

You can use the Remote Locations dialog box to add any browsers and mobile devices on a remote location to the set of applications that you can test.
  1. Click Silk4NET > Edit Remote Locations. The Remote Locations dialog box appears.
  2. To add an additional remote location, perform the following actions:
    1. Click on the arrow to the right of Add Location to specify whether you want to add a remote location which is using the Silk Test Information Service, or Silk Central.
      Note: You can only configure one Silk Central as a remote location. If you have already configured the integration with Silk Central, Silk Central is listed in the remote locations list.
    2. Click Add Location. The Add Location dialog box appears.
    3. Type the URL of the remote location and the port through which Silk4NET connects to the information service on the remote machine into the Host field. The default port is 22901.
    4. Optional: Edit the name of the remote location in the Name field.
  3. To edit an existing remote location, click Edit.
  4. To remove a remote location, click Remove.
  5. Optional: To reduce the amount of browsers and devices in the Select Application dialog, click Do not show devices and browsers from this location. The installed browsers and connected devices of the remote location will no longer be displayed in the Select Application dialog. By default, all installed browsers and connected devices of all remote locations are displayed in the Select Application dialog.
  6. By default, remote locations are saved to %APPDATA%\Silk\SilkTest\conf\remoteLocations.xml. To change the file in which the remote locations are saved, for example to share the file with other team members, perform the following actions:
    1. Click Sharing Options. The Sharing Options dialog box appears.
    2. Click Save to shared file.
    3. Click Browse to select the file.
    You could also set the full path to the remote locations in a file named remoteLocationsFileLocation.properties, for example if you want to use a file that is located in a repository. For example, to use the remote locations that are specified in the file remoteLocations.xml, under C:\mySources, create a file with the name remoteLocationsFileLocation.properties in the folder %APPDATA%\Silk\SilkTest\conf\ and type fileLocation=C\:\\mySources\\remoteLocations.xml into the file.
  7. To load a set of already configured remote locations from a shared file, for example to use remote locations that have been specified by another team member, perform the following actions:
    1. Click Sharing Options. The Sharing Options dialog box appears.
    2. Click Load from shared file.
    3. Click Browse to select the file.
  8. Click OK.
When you have added a remote location, the browsers that are installed on the remote location, including Apple Safari on a Mac, are available in the Web tab of the Select Application dialog box, and the mobile devices that are connected to the remote location are available in the Mobile tab of the Select Application dialog box.
Parent topic: Application Configuration
Related concepts
Remote Testing with the Open Agent
Select Application Dialog Box
Related tasks
Modifying an Application Configuration
Installing the Silk Test Information Service on a Mac
Related reference
Prerequisites for Testing with Apple Safari on a Mac


Application Configuration Errors

When the program cannot attach to an application, the following error message opens:
Failed to attach to application <Application Name>. For additional information, refer to the Help.

In this case, one or more of the issues listed in the following table may have caused the failure:

Issue | Reason | Solution
Time out
  • The system is too slow.
  • The size of the memory of the system is too small.
Use a faster system or try to reduce the memory usage on your current system.
User Account Control (UAC) fails | You have no administrator rights on the system. | Log in with a user account that has administrator rights.
Command-line pattern | The command-line pattern is too specific. This issue occurs especially for Java. The replay may not work as intended. | Remove ambiguous commands from the pattern.
  • The Select Browser dialog box does not display when running a test against a Web application.
  • Multiple browser instances are started when running a test against a Web application.
  • When running a test against a Web application with a browser instance open, Silk4NET might stop working.
A base state and multiple browser application configurations are defined for the test case. Remove all browser application configurations except one from the test case.
Playback error when running a test

No application configuration is defined for the test.

The following exception might be displayed:

No application configuration present.
  • When running a keyword-driven test, ensure that a keyword which executes the base state is included in the test.
  • Ensure that an application configuration is configured for the current project.
Parent topic: Application Configuration
Related reference
Troubleshooting Application Configurations


Troubleshooting Application Configurations

Why is my application not displayed in the Select Application dialog box

  • Uncheck the Hide processes without caption check box. This check box is checked by default and prevents applications without a caption from being displayed in the dialog box.
  • Run Silk4NET with elevated privileges.
    1. Close Silk4NET.
    2. Stop the Open Agent.
    3. Run Silk4NET as an administrator.
  • Use the Task Manager to check if the application is running under a different user account.
  • Ensure that the application is not started with the runas command or a similar command.
Parent topic: Application Configuration
Related reference
Application Configuration Errors


Creating a Test that Tests Multiple Applications

You can test multiple applications with a single test script. To create such a test script, you need to add an application configuration for each application that you want to test to the project in which the script resides.
  1. Record or manually script a test for the primary application that you want to test.
  2. Click Silk4NET and choose Edit Application Configurations. The Edit Application Configurations dialog box opens and lists the existing application configurations.
  3. To add an additional application configuration, click Add application configuration.
    Note: Do not add more than one browser application configuration when testing a web application with a defined base state.
    The Select Application dialog box opens. Select the tab and then the application that you want to test and click OK.
  4. Click OK.
  5. Record or manually script additional actions into the script using the new application configuration.
Note: Do not add more than one browser application configuration when testing a web application with a defined base state.
Parent topic: Application Configuration


Setting Script Options

Specify script options for recording, browser and custom attributes, classes to ignore, synchronization, and the replay mode.

Note: For each Silk4NET project, Silk4NET creates the config.Silk4net configuration file. Silk4NET stores the base state of the application under test and all options in this file. The options are then used during replay.
  • Setting TrueLog Options
    Enable TrueLogs to capture bitmaps and to log information for Silk4NET.
  • Setting Recording Preferences
    Set the shortcut key combination to pause recording and specify whether absolute values and mouse move actions are recorded.
  • Setting Browser Recording Options
    Specify browser attributes to ignore while recording and whether to record native user input instead of DOM functions.
  • Setting Custom Attributes
    A well-defined locator relies on attributes that change infrequently and therefore requires less maintenance. Using a custom attribute is more reliable than other attributes like caption or index, since a caption will change when you translate the application into another language, and the index might change when another object is added.
  • Setting Classes to Ignore
    Specify the names of any classes that you want to ignore during recording and playback.
  • Setting WPF Classes to Expose During Recording and Playback
    Specify the names of any WPF classes that you want to expose during recording and playback.
  • Setting Synchronization Options
    Specify the synchronization and timeout values for web applications.
  • Setting Replay Options
    Specify whether you want to ensure that the object that you want to test is active and whether to override the default replay mode. The replay mode defines whether controls are replayed with the mouse and keyboard or with the API. Use the default mode to deliver the most reliable results. When you select another mode, all controls use the selected mode.
  • Setting Advanced Options
    Set advanced options to enable fallback support for hybrid apps, to specify whether locator attribute names should be case sensitive, and so on.


Setting TrueLog Options

Enable TrueLogs to capture bitmaps and to log information for Silk4NET.

Logging bitmaps and controls in TrueLogs may adversely affect the performance of Silk4NET. Because capturing bitmaps and logging information can result in large TrueLog files, you may want to log test cases with errors only and then adjust the TrueLog options for test cases where more information is needed.

The results of test runs can be examined in TrueLog Explorer. For additional information, refer to the Silk TrueLog Explorer Help for Silk Test.

Note: To reduce the size of TrueLog files with Silk Test 17.5 or later, the file format for TrueLog files has changed from .xlg to the compressed .tlz file format. Files with a .xlg suffix are automatically appended with a .tlz suffix. To parse result data from a .tlz file, you can unzip the .tlz file and parse the data from the included .xlg file.

To enable TrueLog and customize the information that the TrueLog collects for Silk4NET, perform the following steps:

  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the TrueLog tab.
  3. In the TrueLog location field, type the name of and optionally the path to the TrueLog file, or click Browse and select the file.
  4. Select the Screenshot mode. Default is On Error.
  5. Optional: Set the Delay. This delay gives the operating system time to draw the application window before a bitmap is taken. You can try to add a delay if your application is not drawn properly in the captured bitmaps.
  6. Click OK.
Parent topic: Setting Script Options
Related concepts
Enabling TrueLog


Setting Recording Preferences

Set the shortcut key combination to pause recording and specify whether absolute values and mouse move actions are recorded.
Note: All the following settings are optional. Change these settings if they will improve the quality of your test methods.
  1. Click Silk4NET > Edit Options.
  2. Click the Recording tab.
  3. To set Ctrl+Shift as the shortcut key combination to use to pause recording, check the OPT_ALTERNATE_RECORD_BREAK check box. By default, Ctrl+Alt is the shortcut key combination.
  4. To record absolute values for scroll events, check the OPT_RECORD_SCROLLBAR_ABSOLUT check box.
  5. To record mouse move actions for web applications, Win32 applications, and Windows Forms applications, check the OPT_RECORD_MOUSEMOVES check box. You cannot record mouse move actions for child technology domains of the xBrowser technology domain, for example Apache Flex and Swing.
  6. If you record mouse move actions, in the OPT_RECORD_MOUSEMOVE_DELAY text box, specify how many milliseconds the mouse has to be motionless before a MouseMove is recorded. By default this value is set to 200.
  7. To record text clicks instead of Click actions on objects where TextClick actions usually are preferable to Click actions, check the OPT_RECORD_TEXT_CLICK check box.
  8. To record image clicks instead of Click actions on objects where ImageClick actions usually are preferable to Click actions, check the OPT_RECORD_IMAGE_CLICK check box.
  9. To define whether you want to record object map entries or XPath locators, select the appropriate recording mode from the OPT_RECORD_OBJECTMAPS_MODE list:
    • Object map entries for new and existing objects. This is the default mode.
    • XPath locators for new and existing objects.
    • XPath locators for new objects only. For objects that already exist in an object map, the object map entry is reused. Choosing this setting enables you to create object maps for the main controls of an AUT, and to persist these object maps while creating additional tests against the AUT.
  10. To resize the application under test (AUT) when a recording session starts, check the OPT_RESIZE_APPLICATION_BEFORE_RECORDING check box. This check box is checked by default, enabling the Silk Recorder to display next to the AUT. When this check box is unchecked, the AUT and the Silk Recorder might overlap.
  11. Click OK.
Parent topic: Setting Script Options


Setting Browser Recording Options

Specify browser attributes to ignore while recording and whether to record native user input instead of DOM functions.
Note: All the following settings are optional. Change these settings if they will improve the quality of your test methods.
  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the Browser tab.
  3. In the Locator attribute name exclude list grid, type the attribute names to ignore while recording. For example, if you do not want to record attributes named height, add the height attribute name to the grid. Separate attribute names with a comma.
  4. In the Locator attribute value exclude list grid, type the attribute values to ignore while recording. For example, if you do not want to record attributes assigned the value of x-auto, add x-auto to the grid. Separate attribute values with a comma.
  5. To record native user input instead of DOM functions, check the OPT_XBROWSER_RECORD_LOWLEVEL check box. For example, to record Click instead of DomClick and TypeKeys instead of SetText, check this check box. If your application uses a plug-in or AJAX, use native user input. If your application does not use a plug-in or AJAX, we recommend using high-level DOM functions, which do not require the browser to be focused or active during playback. As a result, tests that use DOM functions are faster and more reliable.
  6. To set the maximum length for locator attribute values, type the length into the field in the Maximum attribute value length section. If the actual length exceeds that limit the value is truncated and a wild card (*) is appended. By default this value is set to 20 characters.
  7. To automatically search for an unobstructed click spot on the specified target element, check the OPT_XBROWSER_ENABLE_SMART_CLICK_POSITION check box.
  8. To force Mozilla Firefox to open external links in a new tab instead of a new window, check OPT_FIREFOX_SINGLE_WINDOW_MODE.
    Note: This option only works with Mozilla Firefox 52 or later.
  9. Click OK.
Parent topic: Setting Script Options
Related concepts
Comparing API Playback and Native Playback for xBrowser


Setting Custom Attributes

Silk4NET includes a sophisticated locator generator mechanism that guarantees locators are unique at the time of recording and are easy to maintain. Depending on your application and the frameworks that you use, you might want to modify the default settings to achieve the best results. You can use any property that is available in the respective technology as a custom attribute given that they are either numbers (integers, doubles), strings, item identifiers, or enumeration values.

A well-defined locator relies on attributes that change infrequently and therefore requires less maintenance. Using a custom attribute is more reliable than other attributes like caption or index, since a caption will change when you translate the application into another language, and the index might change when another object is added.

For the technology domains listed in the list box on the Custom Attributes tab, you can also retrieve arbitrary properties (such as a WPFButton that defines myCustomProperty) and then use those properties as custom attributes. To achieve optimal results, add a custom automation ID to the elements that you want to interact with in your test. In Web applications, you can add an attribute to the element that you want to interact with, such as <div myAutomationId= "my unique element name" />. Or, in Java SWT, the developer implementing the GUI can define an attribute (for example testAutomationId) for a widget that uniquely identifies the widget in the application. A tester can then add that attribute to the list of custom attributes (in this case, testAutomationId), and can identify controls by that unique ID. This approach can eliminate the maintenance associated with locator changes.

If multiple objects share the same attribute value, such as a caption, Silk4NET tries to make the locator unique by combining multiple available attributes with the "and" operation and thus further narrowing down the list of matching objects to a single object. Should that fail, an index is appended. Meaning the locator looks for the nth control with the caption xyz.

If more than one object is assigned the same custom attribute value, all the objects with that value will return when you call the custom attribute. For example, if you assign the unique ID, loginName to two different text fields, both fields will return when you call the loginName attribute.

  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the Custom Attributes tab.
  3. From the Select a tech domain list box, select the technology domain for the application that you are testing.
    Note: You cannot set custom attributes for Flex or Windows API-based client/server (Win32) applications.
  4. Add the attributes that you want to use to the list. If custom attributes are available, the locator generator uses these attributes before any other attribute. The order of the list also represents the priority in which the attributes are used by the locator generator. If the attributes that you specify are not available for the objects that you select, Silk4NET uses the default attributes for the application that you are testing.

    Separate attribute names with a comma.

    Note: To include custom attributes in a web application, add them to the html tag. For example type, <input type='button' bcauid='abc' value='click me' /> to add an attribute called bcauid.
    Note: To include custom attributes in a Java SWT control, use the org.swt.widgets.Widget.setData(String key, Object value) method.
    Note: To include custom attributes in a Swing control, use the putClientProperty("propertyName", "propertyValue") method.
  5. Click OK.
Parent topic: Setting Script Options


Setting Classes to Ignore

To simplify the object hierarchy and to shorten the length of the lines of code in your test scripts and functions, you can suppress the controls for certain unnecessary classes in the following technologies:
  • Win32.
  • Java AWT/Swing.
  • Java SWT/Eclipse.
  • Windows Presentation Foundation (WPF).
  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the Transparent Classes tab.
  3. In the Transparent classes grid, type the name of the class that you want to ignore during recording and playback. Separate class names with a comma.
  4. Click OK.
Parent topic: Setting Script Options


Setting WPF Classes to Expose During Recording and Playback

Specify the names of any WPF classes that you want to expose during recording and playback. For example, if a custom class called MyGrid derives from the WPF Grid class, the objects of the MyGrid custom class are not available for recording and playback. Grid objects are not available for recording and playback because the Grid class is not relevant for functional testing since it exists only for layout purposes. As a result, Grid objects are not exposed by default. In order to use custom classes that are based on classes that are not relevant to functional testing, add the custom class, in this case MyGrid, to the OPT_WPF_CUSTOM_CLASSES option. Then you can record, playback, find, verify properties, and perform any other supported actions for the specified classes.

  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the WPF tab.
  3. In the Custom WPF class names grid, type the name of the class that you want to expose during recording and playback. Separate class names with a comma.
  4. Click OK.
Parent topic: Setting Script Options


Setting Synchronization Options

Specify the synchronization and timeout values for web applications.
Note: All the following settings are optional. Change these settings if they will improve the quality of your test methods.
  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the Synchronization tab.
  3. To specify the synchronization algorithm for the ready state of a web application, from the OPT_XBROWSER_SYNC_MODE list box, choose an option. The synchronization algorithm configures the waiting period for the ready state of an invoke call. By default, this value is set to AJAX.
  4. In the Synchronization exclude list text box, type the entire URL or a fragment of the URL for any service or web page that you want to exclude.

    Some AJAX frameworks or browser applications use special HTTP requests, which are permanently open in order to retrieve asynchronous data from the server. These requests may let the synchronization hang until the specified synchronization timeout expires. To prevent this situation, either use the HTML synchronization mode or specify the URL of the problematic request in the Synchronization exclude list setting.

    For example, if your web application uses a widget that displays the server time by polling data from the client, permanent traffic is sent to the server for this widget. To exclude this service from the synchronization, determine what the service URL is and enter it in the exclusion list. For example, you might type:
    • http://example.com/syncsample/timeService
    • timeService
    • UICallBackServiceHandler
    Separate multiple entries with a comma.
    Note: If your application uses only one service, and you want to disable that service for testing, you must use the HTML synchronization mode rather than adding the service URL to the exclusion list.
    Tip: Micro Focus recommends adding a substring of an URL to the exclude list, instead of the entire URL. For example, add /syncsample to the exclude list instead of http://example.com/syncsample/timeService. Excluding the entire URL might not work because the browser might return only a relative URL to Silk4NET. For example, if the browser returns only /syncsample/timeService and you have added http://example.com/syncsample/timeService to the exclude list, Silk4NET does not exclude the returned URL.
  5. To specify the maximum time, in milliseconds, to wait for an object to be ready, type a value in the OPT_SYNC_TIMEOUT text box. By default, this value is set to 300000.
  6. To specify the time, in milliseconds, to wait for an object to be resolved during replay, type a value in the OPT_WAIT_RESOLVE_OBJDEF text box. By default, this value is set to 5000.
  7. To specify the time, in milliseconds, to wait before the agent attempts to resolve an object again, type a value in the OPT_WAIT_RESOLVE_OBJDEF_RETRY text box. By default, this value is set to 500.
  8. Click OK.
Parent topic: Setting Script Options
Related concepts
How Does Silk4NET Synchronize Tests?


Setting Replay Options

Specify whether you want to ensure that the object that you want to test is active and whether to override the default replay mode. The replay mode defines whether controls are replayed with the mouse and keyboard or with the API. Use the default mode to deliver the most reliable results. When you select another mode, all controls use the selected mode.
  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the Replay tab. The Replay Options page displays.
  3. If the application under test usually takes a long time to start, increase the time to wait for the application by increasing the value in the OPT_APPREADY_TIMEOUT text box.
  4. From the OPT_REPLAY_MODE list box, select one of the following options:
    • Default – Use this mode for the most reliable results. By default, each control uses either the mouse and keyboard (low level) or API (high level) modes. With the default mode, each control uses the best method for the control type.
    • High level – Use this mode to replay each control using the API of the target technology. For example for Rumba controls, the Rumba RDE API is used to replay the controls.
    • Low level – Use this mode to replay each control using the mouse and keyboard.
  5. To ensure that the object that you want to test is active, check the OPT_ENSURE_ACTIVE_OBJDEF check box.
  6. To change the time to wait for an object to become enabled during playback, type the new time into the field in the Object enabled timeout section. The time is specified in milliseconds. The default value is 1000.
  7. To enable the Playback Status dialog box, check the OPT_SHOW_PLAYBACK_STATUS_DIALOG check box. You can use the Playback Status dialog box to see the actions that are performed during the replay of a test on a remote location, for example when executing a test against a mobile application on a remote device.
  8. To display a video or screenshots of the application under test in the Playback Status dialog box, check the OPT_PLAYBACK_STATUS_DIALOG_SCREENSHOTS check box.
  9. Click OK.
Parent topic: Setting Script Options
Related concepts
How Does Silk4NET Synchronize Tests?
Related tasks
Enabling the Playback Status Dialog Box


Setting Advanced Options

Set advanced options to enable fallback support for hybrid apps, to specify whether locator attribute names should be case sensitive, and so on.
  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click the Advanced tab. The Advanced Options page displays.
  3. To test an embedded Chrome application, specify the executable and the port as a value pair in the Enable embedded Chrome support field. For example, myApp.exe=9222. To specify multiple embedded Chrome applications, separate the value pairs with a comma.
  4. Enable OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT to enable the mobile native fallback support for hybrid mobile applications that are not testable with the default browser support.
  5. Enable OPT_ENABLE_ACCESSIBILITY to enable Microsoft Accessibility in addition to the normal Win32 control recognition.
  6. Enable OPT_REMOVE_FOCUS_ON_CAPTURE_TEXT to remove the focus from the window before capturing a text. A text capture is performed during recording and replay by the following methods:
    • TextClick
    • TextCapture
    • TextExists
    • TextRect
  7. Enable OPT_LOCATOR_ATTRIBUTES_CASE_SENSITIVE to set locator attribute names to be case sensitive. The names of locator attributes for mobile web applications are always case insensitive, and this option is ignored when recording or replaying mobile web applications.
  8. Set the default accuracy level for new image assets by selecting a value from 1 (low accuracy) to 10 (high accuracy) from the OPT_IMAGE_ASSET_DEFAULT_ACCURACY list box.
  9. Set the default accuracy level for new image verification assets by selecting a value from 1 (low accuracy) to 10 (high accuracy) from the OPT_IMAGE_VERIFICATION_DEFAULT_ACCURACY list box.
  10. Click OK.
Parent topic: Setting Script Options
Related concepts
Testing Hybrid Applications on Android
Testing Hybrid Applications on iOS


Silk4NET Sample Tests

The Silk4NET sample tests are packaged in a Visual Studio solution which you can open and view as well as run against the Silk Test sample applications.

To open the sample projects, click Open sample projects in the Silk4NET Start Page, or click FILE > Open Project in Visual Studio and browse to \Users\Public\Documents\SilkTest\samples\Silk4NET. Select the folder that corresponds to the Visual Studio version that you are using and select the samples solution file. Then click Open.

In addition to the installed Silk4NET sample applications, the set of Silk4NET sample tests includes several tests for the following Silk Test Web-based sample applications:

Insurance Co. Web site
http://demo.borland.com/InsuranceWebExtJS/
Green Mountain Outpost Web
http://demo.borland.com/gmopost/


Object Recognition

Silk4NET identifies any control in the application under test (AUT) by combining the name of the control class and a collection of prioritized attributes into a unique XPath locator. If the combined XPath locator does not uniquely identify the control, Silk4NET additionally adds an index to the locator.

Within Silk4NET, literal references to identified objects are referred to as locators. Silk4NET uses locators to find and identify objects in the application under test (AUT). Locators are a subset of the XPath query language, which is a common XML-based language defined by the World Wide Web Consortium, W3C.

  • Locator Basic Concepts
    Provides an overview of basic locator concepts.
  • Locator Syntax
    Lists the locator constructs that are supported as well as examples of constructs that are not supported.
  • Using Locators
    Describes how to use shortened forms for the locators.
  • Using the Find Method
    Describes how you can use the Find method to identify a single object with a locator.
  • Using Locators to Check if an Object Exists
    Describes how you can use the Exists method to determine if an object exists in the application under test.
  • Identifying Multiple Objects with One Locator
    Describes how you can identify multiple objects by using a single locator.
  • Locator Customization
    Describes how you can create stable locators that enable Silk4NET to reliably recognize the controls in your application under test.
  • Troubleshooting Performance Issues for XPath
    Describes how you can enhance the performance of your scripts by using different locators.
  • Locator Spy
    Describes how you can use the Locator Spy to uniquely identify GUI controls.
Related concepts
Locator Spy


Locator Basic Concepts

Silk4NET supports a subset of the XPath query language. For additional information about XPath, see http://www.w3.org/TR/xpath20/.

XPath expressions rely on the current context, the position of the object in the hierarchy on which the Find method was invoked. All XPath expressions depend on this position, much like a file system. For example:
  • "//Shell" finds all shells in any hierarchy starting from the current context.
  • "Shell" finds all shells that are direct children of the current context.

Additionally, some XPath expressions are context sensitive. For example, myWindow.find(xPath) makes myWindow the current context.

Dynamic object recognition uses a Find or FindAll functions to identify an object in a test case. Silk Test Classic provides an alternative to using Find or FindAll functions in scripts that use XPath queries. You can use locator keywords in an INC file to create scripts that use dynamic object recognition and window declarations.

  • Object Type and Search Scope
    Describes how Silk4NET uses the object type and the search scope to identify objects.
  • Using Attributes to Identify an Object
    Describes how you can use attributes to improve the identification of an object.
Parent topic: Object Recognition
Related concepts
Locator Spy
Supported Attribute Types
Troubleshooting Performance Issues for XPath
Related reference
Locator Syntax


Object Type and Search Scope

A locator typically contains the type of object to identify and a search scope. The search scope is one of the following:
  • //
  • /

Locators rely on the current object, which is the object for which the locator is specified. The current object is located in the object hierarchy of the application's UI. All locators depend on the position of the current object in this hierarchy, much like a file system.

XPath expressions rely on the current context, which is the position of the object in the hierarchy on which the Find method was invoked. All XPath expressions depend on this position, much like a file system.

Note:

The object type in a locator for an HTML element is either the HTML tag name or the class name that Silk4NET uses for this object. For example, the locators //a and //DomLink, where DomLink is the name for hyperlinks in Silk4NET, are equivalent. For all non-HTML based technologies only the Silk4NET class name can be used.

Example

  • //a identifies hyperlink objects in any hierarchy relative to the current object.
  • /a identifies hyperlink objects that are direct children of the current object.
Note: <a> is the HTML tag for hyperlinks on a Web page.

Example

The following code sample identifies the first hyperlink in a browser. This example assumes that a variable with the name browserWindow exists in the script that refers to a running browser instance. Here the type is "a" and the current object is browserWindow.

VB

Dim link As DomLink = browserWindow.DomLink("//a")

C#

DomLink link = browserWindow.DomLink("//a");
Parent topic: Locator Basic Concepts


Using Attributes to Identify an Object

To identify an object based on its properties, you can use locator attributes. The locator attributes are specified in square brackets after the type of the object.

Example

The following sample uses the textContents attribute to identify a hyperlink with the text Home. If there are multiple hyperlinks with the same text, the locator identifies the first one.

VB

 Dim link as DomLink = browserWindow.DomLink("//a[@textContents='Home']")

C#

DomLink link = browserWindow.DomLink("//a[@textContents='Home']");
Parent topic: Locator Basic Concepts


Locator Syntax

Silk4NET supports a subset of the XPath query language to locate UI controls.

The following table lists the constructs that Silk4NET supports.

Note: <a> is the HTML tag for hyperlinks on a Web page.
Supported Locator Construct | Sample | Description
// | //a | Identifies objects that are descendants of the current object. The example identifies hyperlinks on a Web page.
/ | /a | Identifies objects that are direct children of the current object. Objects located on lower hierarchy levels are not recognized. The example identifies hyperlinks on a Web page that are direct children of the current object.
Attribute | //a[@textContents='Home'] | Identifies objects by a specific attribute. The example identifies hyperlinks with the text Home.
Index | Example 1: //a[3] Example 2: //a[@textContents='Home'][2] | Identifies a specific occurrence of an object if there are multiple ones. Indices are 1-based in locators. Example 1 identifies the third hyperlink and Example 2 identifies the second hyperlink with the text Home.
Logical Operators: and, or, not, =, != | Example 1: //a[@textContents='Remove' or @textContents='Delete'] Example 2: //a[@textContents!='Remove'] Example 3: //a[not(@textContents='Delete' or @id='lnkDelete') and @href='*/delete'] | Identifies objects by using logical operators to combine attributes. Example 1 identifies hyperlinks that either have the caption Remove or Delete, Example 2 identifies hyperlinks with a text that is not Remove, and Example 3 shows how to combine different logical operators.
.. | Example 1: //a[@textContents='Edit']/.. Example 2: //a[@textContents='Edit']/..//a[@textContents='Delete'] | Identifies the parent of an object. Example 1 identifies the parent of the hyperlink with the text Edit and Example 2 identifies a hyperlink with the text Delete that has a sibling hyperlink with the text Edit.
* | Example 1: //*[@textContents='Home'] Example 2: /*/a | Identifies objects without considering their types, like hyperlink, text field, or button. Example 1 identifies objects with the given text content, regardless of their type, and Example 2 identifies hyperlinks that are second-level descendants of the current object.

The following table lists the locator constructs that Silk4NET does not support.

Unsupported Locator Construct | Example
Comparing two attributes with each other. | //a[@textContents = @id]
An attribute name on the right side is not supported. An attribute name must be on the left side. | //a['abc' = @id]
Combining multiple locators with and or or. | //a[@id = 'abc'] or ..//Checkbox
More than one set of attribute brackets. | //a[@id = 'abc'] [@textContents = '123'] (use //a [@id = 'abc' and @textContents = '123'] instead)
More than one set of index brackets. | //a[1][2]
Any construct that does not explicitly specify a class or the class wildcard, such as including a wildcard as part of a class name. | //[@id = 'abc'] (use //*[@id = 'abc'] instead) "//*//a[@id='abc']"
Parent topic: Object Recognition
Related concepts
Locator Basic Concepts
Troubleshooting Performance Issues for XPath
Supported Attribute Types


Using Locators

Within Silk4NET, literal references to identified objects are referred to as locators. For convenience, you can use shortened forms for the locator strings in scripts. Silk4NET automatically expands the syntax to use full locator strings when you playback a script. When you manually code a script, you can omit the following parts in the following order:

  • The search scope, //.
  • The object type name. Silk4NET defaults to the class name.
  • The surrounding square brackets of the attributes, [ ].

When you manually code a script, we recommend that you use the shortest form available.

Note: When you identify an object, the full locator string is captured by default.
The following locators are equivalent:
  • The first example uses the full locator string.

    VB

    _desktop.DomLink("//BrowserApplication//BrowserWindow//a[@textContents='Home']").Select()

    C#

    _desktop.DomLink("//BrowserApplication//BrowserWindow//a[@textContents='Home']").Select();

    To confirm the full locator string, use the Locator Spy dialog box.

  • The second example works when the browser window already exists.

    VB

    browserWindow.DomLink("//a[@textContents='Home']").Select()

    C#

    browserWindow.DomLink("//a[@textContents='Home']").Select();
    Alternatively, you can use the shortened form.

    VB

    browserWindow.DomLink("@textContents='Home'").Select()

    C#

    browserWindow.DomLink("@textContents='Home'").Select();

To find an object that has no real attributes for identification, use the index. For instance, to select the second hyperlink on a Web page, you can type:

VB

browserWindow.DomLink("[2]").Select()

C#

browserWindow.DomLink("[2]").Select();

Additionally, to find the first object of its kind, which might be useful if the object has no real attributes, you can type:

VB

browserWindow.DomLink().Select()

C#

browserWindow.DomLink().Select();
Parent topic: Object Recognition
Related concepts
Locator Spy


Using the Find Method

Instead of using methods like .DomLink, you can use the Find method to identify a single object with a locator.

Note: The Find method can only use full locators, the shortened locator form is not supported.

Instead of typing:

VB

_desktop.DomLink("//a[@textContents='Home']").Select()

C#

_desktop.DomLink("//a[@textContents='Home']").Select();

you can type:

VB

_desktop.Find(Of DomLink)("//a[@textContents='Home']").Select()

C#

_desktop.Find<DomLink>("//a[@textContents='Home']").Select();

The .DomLink method also uses the Find method internally. Prefer using the .DomLink method, because it is more concise than the Find method.

Parent topic: Object Recognition
Related reference
Find Method (TestObject)


Using Locators to Check if an Object Exists

You can use the Exists method to determine if an object exists in the application under test.

The following code checks if a hyperlink with the text Log out exists on a Web page:

VB

If (browserWindow.Exists( "//a[@textContents='Log out']" )) Then
  ' do something
End If

C#

if (browserWindow.Exists( "//a[@textContents='Log out']" )){
  // do something
}

Using the Find method

You can use the Find method and the FindOptions method to check if an object, which you want to use later, exists.

The following code searches for a window and closes the window if the window is found:

VB

Dim mainWindow As Window
mainWindow = _desktop.Find("//Window[@caption='My Window']", New FindOptions(False))
If (mainWindow IsNot Nothing) Then
   mainWindow.CloseSynchron()
End If

C#

Window mainWindow = _desktop.Find<Window>("//Window[@caption='My Window']", new FindOptions(false));
if (mainWindow != null){
  mainWindow.CloseSynchron();
}
Parent topic: Object Recognition
Related reference
Exists Method (TestObject)


Identifying Multiple Objects with One Locator

You can use the FindAll method to identify all objects that match a locator rather that only identifying the first object that matches the locator.

Example

The following code example uses the FindAll method to retrieve all hyperlinks of a Web page:

VB

Dim links As IList(Of DomLink) = browserWindow.FindAll(Of DomLink)("//a")

C#

IList<DomLink> links = browserWindow.FindAll<DomLink>("//a");
Parent topic: Object Recognition
Related reference
FindAll Method (TestObject)


Locator Customization

This section describes how you can create stable locators that enable Silk4NET to reliably recognize the controls in your application under test (AUT).

Silk4NET relies on the identifiers that the AUT exposes for its UI controls and is very flexible and powerful in regards to identifying UI controls. Silk4NET can use any declared properties for any UI control class and can also create locators by using the hierarchy of UI controls. From the hierarchy, Silk4NET chooses the most appropriate items and properties to identify each UI control.

Silk4NET can exclude dynamic numbers of controls along the UI control hierarchy, which makes the object recognition in Silk4NET very robust against changes in the AUT. Intermediate grouping controls that change the hierarchy of the UI control tree, like formatting elements in Web pages, can be excluded from the object recognition.

Some UI controls do not expose meaningful properties, based on which they can be identified uniquely. Applications which include such controls are described as applications with bad testability. Hierarchies, and especially dynamic hierarchies, provide a good means to create unique locators for such applications. Applications with good testability should always provide a simple mechanism to identify UI controls uniquely.

One of the simplest and most effective practices to make your AUT easier to test is to introduce stable identifiers for controls and to expose these stable identifiers through the existing interfaces of the application.

  • Stable Identifiers
    Describes what a stable identifier is and why stable identifiers are important for object recognition.
  • Custom Attributes
    Describes what custom attributes are and how you can use them to identify UI controls.
Parent topic: Object Recognition


Stable Identifiers

A stable identifier for a UI control is an identifier that does not change between invocations of the control and between different versions of the application, in which the UI control exists. A stable identifier needs to be unique in the context of its usage, meaning that no other control with the same identifier is accessible at the same time. This does not necessarily mean that you need to use GUID-style identifiers that are unique in a global context. Identifiers for controls should be readable and provide meaningful names. Naming conventions for these identifiers will make it much easier to associate the identifier to the actual control.

Example: Is the caption a good identifier for a control?

Very often test tools are using the caption as the default identifier for UI controls. The caption is the text in the UI that is associated with the control. However, using the caption to identify a UI control has the following drawbacks:
  • The caption is not stable. Captions can change frequently during the development process. For example, the UI of the AUT might be reviewed at the end of the development process. This prevents introducing UI testing early in the development process because the UI is not stable.
  • The caption is not unique. For example, an application might include multiple buttons with the caption OK.
  • Many controls are not exposing a caption, so you need to use another property for identification.
  • Using captions for testing localized applications is cumbersome, as you need to maintain a caption for a control in each language and you also have to maintain a complex script logic where you dynamically can assign the appropriate caption for each language.
  • Creating Stable Locators
    Describes how you can create stable locators with Silk4NET.
  • Example: Locating Siblings of a Control
    Describes how you can locate a control in an application when you have a stable locator for a sibling of the control.
  • Example: Locating the Expand Icon in a Dynamic GWT Tree
    Describes how you can locate a control in an application for which Silk4NET does not generate stable locators by default.
Parent topic: Locator Customization


Creating Stable Locators

One of the main advantages of Silk4NET is the flexible and powerful object-recognition mechanism. By using XPath notation to locate UI controls, Silk4NET can reliably identify UI controls that do not have any suitable attributes, as long as there are UI elements near the element of interest that have suitable attributes. The XPath locators in Silk4NET can use the entire UI control hierarchy or parts of it for identifying UI controls. Especially modern AJAX toolkits, which dynamically generate very complex Document Object Models (DOMs), do not provide suitable control attributes that can be used for locating UI controls.

In such a case, test tools that do not provide intelligent object-recognition mechanisms often need to use index-based recognition techniques to identity UI controls. For example, identify the n-th control with icon Expand. This often results in test scripts that are hard to maintain, as even minor changes in the application can break the test script.

A good strategy to create stable locators for UI controls that do not provide useful attributes is to look for an anchor element with a stable locator somewhere in the hierarchy. From that anchor element you can then work your way to the element for which you want to create the locator.

Silk4NET uses this strategy when creating locators, however there might be situations in which you have to manually create a stable locator for a control.

Parent topic: Stable Identifiers


Example: Locating Siblings of a Control

This topic describes how you can locate a control, which does not provide any meaningful attributes that can be used in locators, when a stable locator for a sibling of the control is available.

Assume that you have already identified the control Item 0.0, which has the following stable locator:
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
If you know that Item 0.0 has a sibling of the type a, you can use the following code to build a stable locator for the sibling:
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/../a
You can also use the sibling approach to identify text fields. Text fields often do not provide any meaningful attributes that can be used in locators. By using the label of a text field, you could create a meaningful locator for the text field, because the label is the best identifier for the text field from the perspective of a tester. You can easily use the label as a part of the locator for a test field by using the sibling approach. For example, if the text field is a sibling of a label with the text User Name, you can use the following locator:
/BrowserApplication//BrowserWindow//DIV[@textContent='User Name']/../input[@type='text']
Parent topic: Stable Identifiers


Example: Locating the Expand Icon in a Dynamic GWT Tree

The Google Widget Toolkit (GWT) is a very popular and powerful toolkit, which is hard to test. The dynamic tree control is a very commonly used UI control in GWT. To expand the tree, we need to identify the Expand icon element.

You can find a sample dynamic GWT tree at http://samples.gwtproject.org/samples/Showcase/Showcase.html#!CwTree.

The default locator generated by Silk4NET is the following:
/BrowserApplication//BrowserWindow//DIV[@id='gwt-debug-cwTree-dynamicTree-root-child0']/DIV/DIV[1]//IMG[@border='0']
For the following reasons, this default locator is no reliable locator for identifying the Expand icon for the control Item 0.0:
  • The locator is complex and built on multiple hierarchies. A small change in the DOM structure, which is dynamic with AJAX, can break the locator.
  • The locator contains an index for some of the controls along the hierarchy. Index based locators are generally weak as they find controls by their occurrence, for example finding the sixth expand icon in a tree does not define the control well. An exception to that rule would be if the index is used to express different data sets that you want to identify, for example the sixth data row in a grid.

Often a good strategy for finding better locators is to search for siblings of elements that you need to locate. If you find siblings with better locators, XPath allows you to construct the locator by identifying those siblings. In this case, the tree item Item 0.0 provides a better locator than the Expand icon. The locator of the tree item Item 0.0 is a stable and simple locator as it uses the @textContents property of the control.

By default, Silk4NET uses the property @id, but in GWT the @id is often not a stable property, because it contains a value like ='gwt-uid-<nnn>', where <nnn> changes frequently, even for the same element between different calls.

You can manually change the locator to use the @textContents property instead of the @id.

Original Locator:
/BrowserApplication//BrowserWindow//DIV[@id='gwt-uid-109']
Alternate Locator:
/BrowserApplication//BrowserWindow//DIV[@textContents='Item 0.0']

Or you can instruct Silk4NET to avoid using @id='gwt-uid-<nnn>'. In this case Silk4NET will automatically record the stable locator. You can do this by adding the text pattern that is used in @id properties to the locator attribute value blacklist. In this case, add gwt-uid* to the blacklist.

When inspecting the hierarchy of elements, you can see that the control Item 0.0 and the Expand icon control have a joint root node, which is a DomTableRow control.

To build a stable locator for the Expand icon, you first need to locate Item 0.0 with the following locator:
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']
Then you need to go up two levels in the element hierarchy to the DomTableRow element. You express this with XPath by adding /../.. to the locator. Finally you need to search from DomTableRow for the Expand icon. This is easy as the Expand icon is the only IMG control in the sub-tree. You express this with XPath by adding //IMG to the locator. The final stable locator for the Expand icon looks like the following:
/BrowserApplication//BrowserWindow//DIV[@textContent='Item 0.0']/../..//IMG
Parent topic: Stable Identifiers


Custom Attributes

Many UI technologies provide a mechanism that allows them to extend the set of predefined attributes of UI controls with custom attributes. These custom attributes can be used by the application developer to introduce stable identifiers that uniquely identify the control. Silk4NET can access custom attributes of UI controls and can also use these custom attributes to identify UI controls.

Using special automation for the identification of UI controls has several advantages compared to using the defined attributes like caption. Being able to establish stable identifiers in the application code and to expose these identifiers through either custom attributes or defined automation properties leads to understandable and maintainable test-automation scripts, allowing you to start with your test automation early in the development process.

You can configure the attributes used for identification by using the flexible locator strategy of Silk4NET.

  • Custom Attributes for Apache Flex Applications
    Describes which attributes you can use to create stable identifiers for Apache Flex applications.
  • Java SWT Custom Attributes
    Add custom attributes to a test application to make a test more stable.
  • Custom Attributes for Web Applications
    Describes which attributes you can use to create stable identifiers for Web applications.
  • Custom Attributes for Windows Forms Applications
    Describes which attributes you can use to create stable identifiers for Windows Forms applications.
  • Custom Attributes for WPF Applications
    Describes which attributes you can use to create stable identifiers for WPF applications.
Parent topic: Locator Customization


Custom Attributes for Apache Flex Applications

Apache Flex applications use the predefined property automationName to specify a stable identifier for the Apache Flex control as follows:
  <s:Group xmlns:fx="http://ns.adobe.com/mxml/2009"
      xmlns:s="library://ns.adobe.com/flex/spark"
      xmlns:mx="library://ns.adobe.com/flex/mx" width="400" height="300">
    <fx:Script>
    …
    </fx:Script>
    <s:Button x="247" y="81" label="Button" id="button1" enabled="true" click="button1_clickHandler(event)"
        automationName="AID_buttonRepeat"/>
    <s:Label x="128" y="123" width="315" height="18" id="label1" verticalAlign="middle"
        text="awaiting your click" textAlign="center"/>
  </s:Group>
Apache Flex application locators look like the following:
…//SparkApplication//SparkButton[@caption='AID_buttonRepeat'
Attention: For Apache Flex applications, the automationName is always mapped to the locator attribute caption in Silk4NET. If the automationName attribute is not specified, Silk4NET maps the property ID to the locator attribute caption.
Parent topic: Custom Attributes
Parent topic: Creating Testable Flex Applications


Java SWT Custom Attributes

You can add custom attributes to a test application to make a test more stable. For example, in Java SWT, the developer implementing the GUI can define an attribute (for example, 'silkTestAutomationId') for a widget that uniquely identifies the widget in the application. A tester using Silk4NET can then add that attribute to the list of custom attributes (in this case, 'silkTestAutomationId'), and can identify controls by that unique ID. Using a custom attribute is more reliable than other attributes like caption or index, since a caption will change when you translate the application into another language, and the index will change whenever another widget is added before the one you have defined already.

If more than one object is assigned the same custom attribute value, all the objects with that value will return when you call the custom attribute. For example, if you assign the unique ID, 'loginName' to two different text fields, both fields will return when you call the 'loginName' attribute.

Java SWT Example

If you create a button in the application that you want to test using the following code:
Button myButton = Button(parent, SWT.NONE);

myButton.setData("SilkTestAutomationId", "myButtonId");
To add the attribute to your XPath query string in your test, you can use the following query:
Dim button =
desktop.PushButton("@SilkTestAutomationId='myButton'")

To enable a Java SWT application for testing custom attributes, the developers must include custom attributes in the application. Include the attributes using the org.swt.widgets.Widget.setData(String key, Object value) method.

Parent topic: Custom Attributes
Parent topic: Java SWT and Eclipse RCP Support


Custom Attributes for Web Applications

HTML defines a common attribute ID that can represent a stable identifier. By definition, the ID uniquely identifies an element within a document. Only one element with a specific ID can exist in a document.

However, in many cases, and especially with AJAX applications, the ID is used to dynamically identify the associated server handler for the HTML element, meaning that the ID changes with each creation of the Web document. In such a case the ID is not a stable identifier and is not suitable to identify UI controls in a Web application.

A better alternative for Web applications is to introduce a new custom HTML attribute that is exclusively used to expose UI control information to Silk4NET.

Custom HTML attributes are ignored by browsers and by that do not change the behavior of the AUT. They are accessible through the DOM of the browser. Silk4NET allows you to configure the attribute that you want to use as the default attribute for identification, even if the attribute is a custom attribute of the control class. To set the custom attribute as the default identification attribute for a specific technology domain, click Silk4NET > Edit Options > Custom Attributes and select the technology domain.

Example: Changing ID

The application developer just needs to add the additional HTML attribute to the Web element.

Original HTML code:
<A HREF="http://abc.com/control=4543772788784322..." <IMG
src="http://abc.com/xxx.gif" width=16 height=16> </A>
HTML code with the new custom HTML attribute AUTOMATION_ID:
<A HREF="http://abc.com/control=4543772788784322..."
AUTOMATION_ID = "AID_Login" <IMG src="http://abc.com/xxx.gif"
width=16 height=16> </A>
When configuring the custom attributes, Silk4NET uses the custom attribute to construct a unique locator whenever possible. Web locators look like the following:
…//DomLink[@AUTOMATION_ID='AID_Login'
One example of a changing ID is the Google Widget Toolkit (GWT), where the ID often holds a dynamic value which changes with every creation of the Web document:
ID = 'gwt-uid-<nnn>'
In this case <nnn> changes frequently.
Parent topic: Custom Attributes
Parent topic: Cross-Browser Testing


Custom Attributes for Windows Forms Applications

Windows Forms applications use the predefined automation property automationId to specify a stable identifier for the Windows forms control.

Silk4NET automatically will use this property for identification in the locator. Windows Forms application locators look like the following:
/FormsWindow//PushButton[@automationId='btnBasicControls']
Parent topic: Custom Attributes
Parent topic: Windows Forms Support


Custom Attributes for WPF Applications

WPF applications use the predefined automation property AutomationProperties.AutomationId to specify a stable identifier for the WPF control as follows:
<Window x:Class="Test.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    Title="MainWindow" Height="350" Width="525">
  <Grid>
    <Button AutomationProperties.AutomationId="AID_buttonA">The
Button</Button>
  </Grid>
</Window>
Silk4NET automatically uses this property for identification in the locator. WPF application locators look like the following:
/WPFWindow[@caption='MainWindow']//WPFButton[@automationId='AID_buttonA']
Parent topic: Custom Attributes
Parent topic: Windows Presentation Foundation (WPF) Support


Troubleshooting Performance Issues for XPath

When testing applications with a complex object structure, for example complex web applications, you may encounter performance issues, or issues related to the reliability of your scripts. This topic describes how you can improve the performance of your scripts by using different locators than the ones that Silk4NET has automatically generated during recording.

Note: In general, we do not recommend using complex locators. Using complex locators might lead to a loss of reliability for your tests. Small changes in the structure of the tested application can break such a complex locator. Nevertheless, when the performance of your scripts is not satisfying, using more specific locators might result in tests with better performance.
The following is a sample element tree for the application MyApplication:
Root
  Node id=1
    Leaf id=2
    Leaf id=3
    Leaf id=4
    Leaf id=5
  Node id=6
    Node id=7
      Leaf id=8
      Leaf id=9
    Node id=9
      Leaf id=10
You can use one or more of the following optimizations to improve the performance of your scripts:
  • If you want to locate an element in a complex object structure , search for the element in a specific part of the object structure, not in the entire object structure. For example, to find the element with the identifier 4 in the sample tree, if you have a query like Root.Find("//Leaf[@id='4']"), replace it with a query like Root.Find("/Node[@id='1']/Leaf[@id='4']"). The first query searches the entire element tree of the application for leafs with the identifier 4. The first leaf found is then returned. The second query searches only the first level nodes, which are the node with the identifier 1 and the node with the identifier 6, for the node with the identifier 1, and then searches in the subtree of the node with the identifier 1 for all leafs with the identifier 4.
  • When you want to locate multiple items in the same hierarchy, first locate the hierarchy, and then locate the items in a loop. If you have a query like Root.FindAll("/Node[@id='1']/Leaf"), replace it with a loop like the following:
    Public Sub Main()
  Dim node As TestObject

  node = _desktop.Find("//Node[@id='1']")
  For i As Integer = 1 To 4 Step 1
    node.Find("/Leaf[@id='"+i+"']")
  Next

End Sub
Parent topic: Object Recognition
Related concepts
Locator Basic Concepts
Related reference
Locator Syntax


Locator Spy

You can use the Locator Spy to record unique Silk Test locators for any control in your application under test (AUT). From the Locator Spy, you can copy the locator for a control or any attributes of the control into methods in your scripts. You can also use the Locator Spy to edit the attributes of the locator for a control and you to validate these changes. Using the Locator Spy ensures that the locator for a control is valid.

The object tree in the Locator Spy lists all the controls that are available in the AUT. You can use the object tree to inspect the available controls and the control hierarchy of the AUT. When recording WebDriver locators, a ">" in the object tree denotes switching from one IFrame to another.

Note: The locator attributes table of the Locator Spy displays all attributes that you can use in the locator. For web applications, the table also includes any attributes that you have defined to be ignored during recording.
Parent topic: Object Recognition
Related concepts
Locator Basic Concepts
Supported Attribute Types
Related tasks
Adding a Locator or an Object Map Item to a Test Method Using the Locator Spy


Object Maps

An object map is a test asset that contains items that associate a logical name (an alias) with a control or a window, rather than the control or window's locator. Once a control is registered in an object map asset, all references to it in scripts are made by its alias, rather than by its actual locator name.

You can use object maps to store objects that you are using often in multiple scripts. Multiple tests can reference a single object map item definition, which enables you to update that object map definition once and have Silk4NET update it in all tests that reference the object map definition.

In your scripts, you can mix object map identifiers and locators. This feature enables you to keep your object maps relatively small and easier to manage. You can simply store the commonly used objects in your object maps, and use locators to reference objects that are rarely used.

Tip: To optimally use the functionality that object maps provide, create an individual project in Silk4NET for each application that you want to test.

Example for object maps

The following construct shows a definition for a BrowserWindow where the locator is used:

_desktop.BrowserApplication("cnn_com").BrowserWindow("//BrowserWindow[1]")

The name of the object map asset is cnn_com. The locator that can be substituted by an alias in the object map is the following:

"//BrowserWindow[1]"

The object map entry for the BrowserWindow is BrowserWindow.

The resulting definition of the BrowserWindow in the script is the following:

_desktop.BrowserApplication("cnn_com").BrowserWindow("BrowserWindow")

If the index in the locator changes, you can just change the alias in the object map, instead of having to change every appearance of the locator in your test script. Silk4NET will update all tests that reference the object map definition.

Example for mixing object map identifiers and locators

The following sample code shows how you can mix object map identifiers and locators to specify a rarely used child object of an object stored in an object map:
// VB
Window window = _desktop.Window("MyApplication") // object map id - the application window is used often
MenuItem aboutMenuItem = _desktop.MenuItem("@caption='About'") // locator - the About dialog is only used once
aboutMenuItem.Select()
// C#
Window window = _desktop.Window("MyApplication"); // object map id - the application window is used often
MenuItem aboutMenuItem = _desktop.MenuItem("@caption='About'"); // locator - the About dialog is only used once-
aboutMenuItem.Select();
  • Advantages of Using Object Maps
    Lists the advantages that you have by using object maps.
  • Turning Object Maps Off and On
    Turn object maps on to use the alias from the object map during recording.
  • Using Assets in Multiple Projects
    Describes how you can use image assets, image verifications, and project maps outside of the scope of the project in which they are located.
  • Merging Object Maps During Action Recording
    Describes how Silk4NET reuses existing object map identifiers during the recording of actions.
  • Using Object Maps with Web Applications
    Describes how you can use object maps with Web applications.
  • Renaming an Object Map Item
    Manually rename items and locators in an object map to make the items and locators comprehensive.
  • Modifying Object Maps
    Describes how you can modify an object map.
  • Modifying a Locator in an Object Map
    Modify a locator path in an object map to make the path more generic.
  • Updating Object Maps from the Test Application
    If items in the test application change, you can use the Object Map UI to update the locators for these items.
  • Copying an Object Map Item
    You can copy and paste object map entries within or between object maps. For example, if the same functionality exists in two separate test applications, you might copy a portion of one object map into another object map.
  • Adding an Object Map Item
    Manually add an object map item when the items that are automatically created during recording do not suit your testing requirements.
  • Opening an Object Map from a Script
    Describes how to open an object map from a script
  • Highlighting an Object Map Item in the Test Application
    After you add or record an object map item, you can click Highlight to highlight the item in the test application. You might want to highlight an item to confirm that it's the item that you want to modify in the object map.
  • Finding Errors in an Object Map
    If you use an invalid character or locator, the item name or locator text displays in red and a tooltip explains the error. Use the toolbar in the Object Map window to navigate to any errors.
  • Deleting an Object Map Item
    You might want to delete an item from an object map if it no longer exists in the test application or for some other reason.
  • Initially Filling Object Maps
    Describes how you can use object maps efficiently, by creating an initial test that fills the object map.
  • Grouping Elements in Object Maps
    When items in an object map have no consistent parent object, group these elements by using the locator ".".
  • Object Maps: Frequently Asked Questions
    Lists questions that you might encounter when using object maps.


Advantages of Using Object Maps

Object maps have the following advantages:
  • They simplify test maintenance by applying changes made to a locator for an object map item to all tests that include the corresponding object map item.
  • They ease the handling of locators in a large scale functional testing environment.
  • They can be managed independent of individual scripts.
  • They substitute complex locator names with descriptive names, which can make scripts easier to read.
  • They eliminate dependence on locators, which may change if the test application is modified.
Parent topic: Object Maps


Turning Object Maps Off and On

You can configure Silk4NET to use the locator name or the alias from the object map during recording.

To use the alias from the object map during recording:

  1. Click Silk4NET > Edit Options.
  2. Click Recording.
  3. To define whether you want to record object map entries or XPath locators, select the appropriate recording mode from the OPT_RECORD_OBJECTMAPS_MODE list:
    • Object map entries for new and existing objects. This is the default mode.
    • XPath locators for new and existing objects.
    • XPath locators for new objects only. For objects that already exist in an object map, the object map entry is reused. Choosing this setting enables you to create object maps for the main controls of an AUT, and to persist these object maps while creating additional tests against the AUT.
Note: In addition to the XPath attributes, Silk4NET uses additional attributes of the element when merging object maps during locator recording. However, attributes that might lead to ambiguous usage of object map IDs in a recorded script are not used to map locators to existing object map entries.
Note: When you enable the Record object maps setting, object map item names display in place of locators throughout Silk4NET. For instance, if you view the Application Configurations category in the Properties pane, you will notice that the Locator box shows the object map item name rather than the locator name.
Parent topic: Object Maps


Using Assets in Multiple Projects

In Silk4NET, image assets, image verifications, and object maps are referred to as assets. If you want to use assets outside of the scope of the project in which they are located, you need to add a direct project reference from the project in which you want to use the assets to the project in which the assets are located.

During replay, when an asset is used, Silk4NET firstly searches in the current project for the asset. The current project is the directory which contains the test code that is currently executed. If Silk4NET does not find the asset in the current project, Silk4NET additionally searches the projects to which the current project has a project reference. If the asset is still not found, Silk4NET throws an error.

Note: When the code of a project, which you have added as a dependency to another project, is not referenced in the code of the dependent project, Visual Studio will remove the project dependency when you build the dependent project. To use assets that are located in a project dependency, you have to add a code reference from the dependent project to a member of the project in which the assets are located. By adding such a code reference, you ensure that Visual Studio will not remove the project dependency when you are building the dependent project. For example, you could add a class or a constant to the project dependency, and then call the class or constant in the code of the dependent project.

If assets with the same name exist in more than one project, and you do not want to use the asset that is included in the current project, you can define which specific asset you want to use in any method that uses the asset. To define which asset you want to use, add the assembly name as a prefix to the asset name when calling the method. The assembly name defaults to the project name.

Example: Adding a project reference

If the project ProjectA contains a test that calls the following code:
'VB code
window.ImageClick("imageAsset")
and the image asset imageAsset is located in project ProjectB, you need to add a direct project reference from ProjectA to ProjectB.

Example: Calling a specific asset

If ProjectA and ProjectB both contain an image asset with the name anotherImageAsset, and you explicitly want to click the image asset from ProjectB, use the following code:
'VB code
window.ImageClick("ProjectB:anotherImageAsset")
Parent topic: Object Maps
Parent topic: Image Recognition Support
Related concepts
Image Assets


Merging Object Maps During Action Recording

When you record actions with Silk4NET, Silk4NET checks if existing object map entries can be reused. Silk4NET checks this directly during recording, when a new locator is generated. Silk4NET checks if the object that is currently recorded in the application under test exactly matches an existing object map entry, and if yes, Silk4NET reuses the object map identifier from the object map.

This behavior has the following benefits:
  • Silk4NET correctly reuses an object map identifier during recording, even if the locator in the object map has changed.
  • A recorded script cannot contain wrong object map identifiers, and therefore will never fail to play back because of a wrong object map identifier.
  • If you restructure your object map, for example by adding an additional level of hierarchy, the object map identifiers are still reused.

Example

Silk4NET records the following script when you click on the Products link in the Micro Focus website, http://www.borland.com.

With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
The recorded object map looks like this:
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    Products                                     //A[@textContents='Products']
You could now manually restructure the object map to include the header section of the Micro Focus website:
borland_com                           //BrowserApplication
  BrowserWindow                                //BrowserWindow
    header                                       //HEADER[@role='banner']
      Products                                     //A[@textContents='Products']
When you now record a click on the Products link the object map is reused correctly, and the following script is recorded:
With _desktop.BrowserApplication( "borland_com" )
  With .BrowserWindow( "BrowserWindow" )
    .DomElement("header").DomLink( "Products" ).Click( MouseButton .Left, New Point (47, 18))
  End With
End With
Note: When you record another object in the header section of the Micro Focus website, for example the About link, Silk4NET adds the About object map entry as a child of BrowserWindow, and not of header.
Parent topic: Object Maps


Using Object Maps with Web Applications

By default, when you record actions against a Web application, Silk4NET creates an object map with the name WebBrowser for native browser controls and an object map asset for every Web domain.

For common browser controls which are not specific for a Web domain, like the main window or the dialog boxes for printing or settings, an additional object map is generated in the current project with the name WebBrowser.

In the object map, you can edit the URL pattern by which the object map entries are grouped. When you edit the pattern, Silk4NET performs a syntactical validation of the pattern. You can use the wildcards * and ? in the pattern.

Example

When you record some actions on http://www.borland.com and http://www.microfocus.com and then open the printer dialog, the following three new object map assets are added to the Asset Browser:
  • WebBrowser
  • borland_com
  • microfocus_com
Note: Silk4NET generates the new object map assets only for projects without an object map. If you record actions against a Web application for which Silk4NET already includes an object map that was generated with a version of Silk4NET prior to version 14.0, the additionally recorded entries are stored into the existing object map, and there are no additional object map assets generated for the Web domains.
Parent topic: Object Maps


Renaming an Object Map Item

You can manually rename items and locators in an object map.

Warning: Renaming an object map item affects every script that uses that item. For example, if you rename the Cancel button object map item from CancelMe to Cancel, every script that uses CancelMe must be changed manually to use Cancel.

Object map items must be unique. If you try to add a duplicate object map item, Silk4NET notifies you that the object must be unique.

If you use an invalid character or locator, the item name or locator text displays in red and a tooltip explains the error. Invalid characters for object map items include: \, /, <, >, ", :, *, ?, |, =, ., @, [, ]. Invalid locator paths include: empty or incomplete locator paths.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Choose one of the following:
    • Double-click the object map that includes the object map item that you want to rename.
    • Right-click the object map that includes the object map item that you want to rename and choose Open.
    The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. Navigate to the object map item that you want to rename. For example, you might need to expand a node to locate the item that you want to rename.
  4. Click the object that you want to rename and then click the object again.
  5. Type the item name that you want to use and then press Enter. If you use an invalid character, the item name displays in red. The new name displays in the Item name list.
  6. Press CTRL+S to save your changes
Note: All child nodes of any node in the object map tree are sorted alphabetically when you save the object map.

If any existing scripts use the item name that you changed, you must manually change the scripts to use the new item name.

Parent topic: Object Maps


Modifying Object Maps

An existing object map is able to reuse existing object map identifiers during recording, even if you have added additional structural elements to the object map.

Example: Adding a DIV to an existing object map

Let us suppose you want to add a DIV element to bundle the email and login fields in the following simple object map:
demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    login-form email                                    //INPUT[@id='login-form:email']
    login-form login                                    //INPUT[@id='login-form:login']

You can change the structure of the object map by adding the new DIV loginArea and the object map will still be able to correctly reuse the object map identifiers during recording.

demo_borland_com                               //BrowserApplication
  BrowserWindow                                         //BrowserWindow
    loginArea                                           //'DIV[@id='login']
      login-form email                                  //INPUT[@id='login-form:email']
      login-form login                                  //INPUT[@id='login-form:login']
Parent topic: Object Maps


Modifying a Locator in an Object Map

Locators are automatically associated with an object map item when you record a script. However, you might want to modify a locator path to make it more generic. For example, if your test application automatically assigns the date or time to a specific control, you might want to modify the locator for that control to use a wildcard. Using a wildcard enables you to use the same locator for each test even though each test inserts a different date or time.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Choose one of the following:
    • Double-click the object map that includes the locator that you want to modify.
    • Right-click the object map that includes the locator that you want to modify and choose Open.
    The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. Navigate to the locator that you want to modify. For example, you might need to expand a node to locate the locator that you want to modify.
  4. Click the locator path that you want to modify and then click the locator path again.
  5. If you have a valid locator path, you can type the item name and locator path that you want to use and then press Enter. To determine a valid locator path, use the Locator Spy dialog box as described in the following steps:
    1. Click Silk4NET > Locator Spy.
    2. Position the mouse over the object that you want to record and press CTRL+ALT. Silk4NET displays the locator string in the Locator text field.
    3. Select the locator that you want to use in the Locator Details table.
    4. Copy and paste the locator into the object map.
  6. If necessary, modify the item name or locator text to meet your needs. If you use an invalid character or locator, the item name or locator text displays in red and a tooltip explains the error.

    Invalid characters for object map items include: \, /, <, >, ", :, *, ?, |, =, ., @, [, ].

    Invalid locator paths include: empty or incomplete locator paths.

  7. Press CTRL+S to save your changes

If any existing scripts use the locator path that you modified, you must manually change the visual tests or scripts to use the new locator path.

Parent topic: Object Maps


Updating Object Maps from the Test Application

If items in the test application change, you can use the Object Map UI to update the locators for these items.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Choose one of the following:
    • Double-click the object map that you want to use.
    • Right-click the object map that you want to use and choose Open.
    The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. Click Update Locator. The Locator Spy displays and Silk4NET opens the test application.
  4. Position the mouse cursor over the object that you want to record and press CTRL+ALT. Silk4NET displays the locator string in the Locator text field.
  5. Select the locator that you want to use in the Locator Details table.
  6. Remove any attributes that you do not want to use from the locator that is displayed in the Locator text field.
  7. Click Validate Locator to validate that the locator works.
  8. Click Paste Locator to Editor to update the locator in the object map.
  9. Save the changed object map.
When you update an object map item from the AUT, you can change only the XPath representations of leaf nodes in the object map tree. You cannot change the XPath representations of any parent nodes. When the XPath representations of higher-level nodesin the object map tree are not consistent after the update, an error message displays.

Example

For example, suppose you have an object map item with an object map ID that has the following three hierarchy levels:
WebBrowser.Dialog.Cancel
The corresponding XPath representation of these hierarchy levels is the following:
 /BrowserApplication//Dialog//PushButton[@caption='Cancel']
  • First hierarchy level: /BrowserApplication
  • Second hierarchy level: //Dialog
  • Third hierarchy level: //PushButton[@caption='Cancel']
You can use the following locator to update the object map item:
 /BrowserApplication//Dialog//PushButton[@id='123']
  • First hierarchy level: /BrowserApplication
  • Second hierarchy level: //Dialog
  • Third hierarchy level: //PushButton[@id='123']
You cannot use the following locator cannot to update the object map item, because the second level hierarchy nodes do not match:
 /BrowserApplication//BrowserWindow//PushButton[@id='9999999']
  • First hierarchy level: /BrowserApplication
  • Second hierarchy level: //BrowserWindow
  • Third hierarchy level: //PushButton[@id='9999999']
Parent topic: Object Maps


Copying an Object Map Item

You can copy and paste object map entries within or between object maps. For example, if the same functionality exists in two separate test applications, you might copy a portion of one object map into another object map.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Choose one of the following:
    • Double-click the object map that includes the object map item that you want to copy.
    • Right-click the object map that includes the object map item that you want to copy and choose Open.
    The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. Navigate to the object map item that you want to copy. For example, you might need to expand a node to locate the item that you want to copy.
  4. Choose one of the following:
    • Right-click the object map item that you want to copy and choose Copy tree.
    • Click the object map item that you want to copy and then press Ctrl+C.
  5. In the object map hierarchy, navigate to the position where you want to paste the item that you copied. For instance, to include an item on the first level of the hierarchy, click the first item name in the item list. To position the copied item a level below a specific item, click the item that you want to position the copied item below. To copy and paste between object maps, you must exit the map where you copied the object map item and open and edit the object map where you want to paste the object map item.
  6. Choose one of the following:
    • Right-click the position in the object map where you want to paste the copied object map item and choose Paste.
    • Click the position in the object map where you want to paste the copied object map item and then press Ctrl+V.
    The object map item displays in its new position in the hierarchy.
  7. Press CTRL+S to save your changes

If any existing scripts use the object map item name that you moved, you must manually change the scripts to use the new position in the hierarchy.

Parent topic: Object Maps


Adding an Object Map Item

Object map items are automatically created when you record a script. Occasionally, you might want to manually add an object map item.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Double-click the object map to which you want to add the new item. The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. In the object map hierarchy, right-click on the item below which you want to add the new object map item. For instance, to include an item on the first level of the hierarchy, right-click on the first item name in the item list. To position the new item a level below a specific item, right-click on the item below which you want to position the new item.
  4. Click Insert new. A new item is added to the hierarchy, as the first child of the current node.
  5. If you have a valid locator path, you can type the item name and locator path that you want to use and then press Enter. To determine a valid locator path, use the Locator Spy dialog box as described in the following steps:
    1. Click Silk4NET > Locator Spy.
    2. Position the mouse over the object that you want to record and press CTRL+ALT. Silk4NET displays the locator string in the Locator text field.
    3. Select the locator that you want to use in the Locator Details table.
    4. Copy and paste the locator into the object map.
  6. If necessary, modify the item name or locator text to meet your needs. If you use an invalid character or locator, the item name or locator text displays in red and a tooltip explains the error.

    Invalid characters for object map items include: \, /, <, >, ", :, *, ?, |, =, ., @, [, ].

    Invalid locator paths include: empty or incomplete locator paths.

  7. Press CTRL+S to save your changes
Note: All child nodes of any node in the object map tree are sorted alphabetically when you save the object map.
Parent topic: Object Maps


Opening an Object Map from a Script

When you are editing a script, you can open an object map by right clicking on an object map entry in the script and selecting Open Silk4NET Asset. This will open the object map in the GUI.

Example

// VB .NET code
<TestMethod()> Public Sub TestMethod1()
  With _desktop.Window("Untitled - Notepad").TextField("TextField").TypeKeys("hello")
  End With
End Sub
// C# code
[TestMethod]
public void TestMethod1()
{
  Window untitledNotepad = _desktop.Window("Untitled - Notepad");
  untitledNotepad.TextField("TextField").TypeKeys("hello");
}
In the previous code sample, right-click Untitled - Notepad to open the entry Untitled - Notepad in the object map, or right-click TextField to open the entry Untitled - Notepad.TextField in the object map.
Parent topic: Object Maps


Highlighting an Object Map Item in the Test Application

After you add or record an object map item, you can click Highlight to highlight the item in the test application. You might want to highlight an item to confirm that it's the item that you want to modify in the object map.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Choose one of the following:
    • Double-click the object map that you want to use.
    • Right-click the object map that you want to use and choose Open.
    The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. In the object map hierarchy, select the object map item that you want to highlight in the test application.
    Note: Ensure that only one instance of the test application is running. Running multiple instances of the test application will cause an error because multiple objects will match the locator.
  4. Click Highlight. The Select Application dialog box might open if the test application has not been associated with the object map. If this happens, select the application that you want to test and then click OK. Silk4NET opens the test application and displays a green box around the control that the object map item represents.
Parent topic: Object Maps


Finding Errors in an Object Map

If you use an invalid character or locator, the item name or locator text displays in red and a tooltip explains the error. Use the toolbar in the Object Map window to navigate to any errors.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Choose one of the following:
    • Double-click the object map that you want to troubleshoot.
    • Right-click the object map that you want to troubleshoot and choose Open.
    The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. Look for any item name or locator text displayed in red.
  4. If necessary, modify the item name or locator text to meet your needs. If you use an invalid character or locator, the item name or locator text displays in red and a tooltip explains the error.

    Invalid characters for object map items include: \, /, <, >, ", :, *, ?, |, =, ., @, [, ].

    Invalid locator paths include: empty or incomplete locator paths.

  5. Press CTRL+S to save your changes
Parent topic: Object Maps


Deleting an Object Map Item

You might want to delete an item from an object map if it no longer exists in the test application or for some other reason.

  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Double-click the object map that includes the object map item that you want to delete. The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. Navigate to the object map item that you want to delete. For example, you might need to expand a node to locate the object map item that you want to delete.
  4. Choose one of the following:
    • Right-click the object map item that you want to delete and choose Delete, or choose Delete tree to additionally delete all child items of the object map item.
    • Click the object map item that you want to delete and then press DEL, or press CTRL+DEL to additionally delete all child items of the object map item.
    After deleting an object map item, the focus moves to the next item in the object map.
  5. Press CTRL+S to save your changes

If any existing scripts use the object map item or its children that you deleted, you must manually change any references to that object map item in the scripts.

Parent topic: Object Maps


Initially Filling Object Maps

As a best practice, we recommend that you fill your object map and then review all object map items before you record your tests.

To initially fill your object map with all available items in the AUT, you might create a test that clicks every object and opens every window and dialog box in your test application. Then, you can review the object map item for each object and make any necessary modifications before you record your functional tests. After you have reviewed and modified the object map items you can delete the test that you have created to fill the object map.

Tip: You can use the arrow keys to navigate between items in an object map.
Parent topic: Object Maps


Grouping Elements in Object Maps

When items in an object map have no consistent parent object, you can group these elements by adding a new tree item with the locator ".", which is the locator for the current element in Xpath.

Warning: Grouping object map items affects every script that uses these items. Every script that uses these items must be changed manually to use the new locators.
  1. In the Solution Explorer, click on the Object Maps folder of the project in which the object map that you want to change is located.
  2. Choose one of the following:
    • Double-click the object map that you want to edit.
    • Right-click the object map that you want to edit and choose Open.
    The object map displays a hierarchy of the object map items and the locator associated with each item.
  3. Right click on the tree item below which you want to add the new structuring item and choose Insert New.
  4. Double click the Item name field of the new object map item.
  5. Type the item name that you want to use and then press Enter. If you use an invalid character, the item name displays in red. The new name displays in the Item name list.
  6. Click the Locator path field of the new object map item and type . into the field.
  7. Press Enter.
  8. For every object map item that you want to relocate to a new location under the new item:
    1. Right click on the item that you want to relocate and choose Cut tree.
    2. Right click on the new structuring item and choose Paste.
  9. Press CTRL+S to save your changes
Parent topic: Object Maps


Object Maps: Frequently Asked Questions

This section lists questions that you might encounter when using object maps with Silk4NET.

  • Can I Merge Multiple Object Maps Into a Single Map?
    Describes how you can merge multiple object maps into a single map.
  • What Happens to an Object Map when I Delete a Test Script?
    Describes what happens to object map items when deleting the corresponding test script.
  • Can I Manually Create an Object Map for My Application Under Test?
    Describes how you can manually create an object map in Silk4NET.
Parent topic: Object Maps


Can I Merge Multiple Object Maps Into a Single Map?

Although Micro Focus recommends recording into the same object map instead of merging existing object maps, you can use a text editor to merge multiple object maps into a single map.

Parent topic: Object Maps: Frequently Asked Questions


What Happens to an Object Map when I Delete a Test Script?

When you delete a test script that includes object map entries, the associated object maps are not changed. All object map entries are persisted.

Parent topic: Object Maps: Frequently Asked Questions


Can I Manually Create an Object Map for My Application Under Test?

Micro Focus recommends creating object maps during the recording of a test. However, you can also create an empty object map and manually add object map entries to this map.

To create a new object map, select Silk4NET > New Object Map from the menu.

Parent topic: Object Maps: Frequently Asked Questions


Image Recognition Support

You can use image recognition in the following situations:
  • To conveniently interact with test applications that contain highly customized controls, which cannot be identified using object recognition. You can use image clicks instead of coordinate-based clicks to click on a specified image.
  • To test graphical objects in the application under test, for example charts.
  • To perform a check of the visible UI of the application under test.

If you want to click on a control that is otherwise not recognizable, you can use the ImageClick method with an image asset. If you want to verify that an otherwise not recognizable control exists in your application under test, you can use the VerifyAsset method with an image verification.

Image recognition methods are supported for all technology domains that are supported by Silk4NET.

Note: Image recognition methods do not work with controls that are not visible on the screen. For example, you cannot use image recognition for an image that is scrolled out of view.
  • Image Click Recording
    Describes how you can record clicks on images.
  • Image Recognition Methods
    Lists the methods that are supported for image recognition.
  • Image Assets
    Describes what image assets are and how you can use them in Silk4NET.
  • Image Verifications
    Describes what image verifications are and how you can use them in Silk4NET.
  • Using Assets in Multiple Projects
    Describes how you can use image assets, image verifications, and project maps outside of the scope of the project in which they are located.
Related concepts
Text Recognition Support


Image Click Recording

Image click recording is disabled by default in favor of coordinate-based click recording, because image click recording might generate a confusingly large number of images.

To enable image click recording, click Silk4NET > Edit Options, select the Recording tab, and check the check box in the Record image clicks section.

Note: When recording on a mobile browser, you do not have to enable image click recording.

When image click recording is enabled, Silk4NET records ImageClick methods when object recognition or text recognition is not possible. You can insert image clicks in your script for any control, even if the image clicks are not recorded.

If you do not whish to record an ImageClick action, you can turn off image click recording and record normal clicks or text clicks.

Note: The recorded images are not reused. Silk4NET creates a new image asset for each image click that you record.
Note: Image click recording is not supported for applications or applets that use the Java AWT/Swing controls.
Parent topic: Image Recognition Support


Image Recognition Methods

Silk4NET provides the following methods for image recognition:
Method | Description
ImageClick | Clicks in the middle of the image that is specified in an asset. Waits until the image is found or the Object resolve timeout, which you can define in the synchronization options, is over.
ImageExists | Returns whether the image that is specified in an asset exists.
ImageRectangle | Returns the object-relative rectangle of the image that is specified in an asset.
ImageClickFile | Clicks on the image that is specified in a file.
ImageExistsFile | Returns whether the image that is specified in a file exists.
ImageRectangleFile | Returns the object-relative rectangle of the image that is specified in a file.
VerifyAsset | Executes a verification asset. Throws a VerificationFailedException if the verification does not pass.
TryVerifyAsset | Executes a verification asset and returns whether the verification passed.
Note: Image recognition methods do not work with controls that are not visible on the screen. For example, you cannot use image recognition for an image that is scrolled out of view.
Parent topic: Image Recognition Support
Related reference
ImageClick Method (TestObject)
ImageExists Method (TestObject)
ImageRectangle Method (TestObject)
ImageClickFile Method (TestObject)
ImageExistsFile Method (TestObject)
ImageRectangleFile Method (TestObject)
VerifyAsset Method (Silk4NET)
TryVerifyAsset Method


Image Assets

You can use image assets in the following situations:
  • To conveniently interact with test applications that contain highly customized controls, which cannot be identified using object recognition. You can use image clicks instead of coordinate-based clicks to click on a specified image.
  • To test graphical objects in the application under test, for example charts.

Image assets consist of an image with some additional information that is required by Silk4NET to work with the asset.

Silk4NET provides the following methods for image assets:
Method | Description
ImageClick | Clicks in the middle of the specified image asset. Waits until the image is found or the Object resolve timeout, which you can define in the synchronization options, is over.
ImageExists | Returns whether the specified image asset exists.
ImageRectangle | Returns the object-relative rectangle of the specified image asset.

Image assets must be located in the Image Assets folder of the project. The .imageasset files must be embedded resources.

  • Creating an Image Asset
    Create an image asset to use image recognition support.
  • Adding Multiple Images to the Same Image Asset
    Add multiple images to the same image asset to use the asset with multiple different test configurations.
  • Opening an Asset from a Script
    Describes how to open an asset from a script
Parent topic: Image Recognition Support
Related concepts
Image Verifications
Using Assets in Multiple Projects
Related reference
ImageClick Method (TestObject)
ImageExists Method (TestObject)
ImageRectangle Method (TestObject)


Creating an Image Asset

You can create image assets in one of the following ways:
  • By inserting a new image asset into an existing script.
  • During recording.
  • From the menu.

To create a new image asset from the menu, perform the following steps:

  1. In the menu, click Silk4NET > New Image Asset.
  2. Type a useful name for the asset into the Name field and double-click Silk4NET Image Asset. The image asset UI opens.
  3. Select how you want to add an image to the asset.
    • If you want to use an existing image, click Browse and select the image file.
    • If you want to capture a new image from the UI of the application under test, click Capture. If you are testing a Web application, you can select the browser on which you want to capture the image from the Select Browser window.
  4. If you have selected to capture a new image, select the area of the screen that you want to capture and click Capture Selection.
  5. Optional: Click Verify to check if Silk4NET can find the image asset in the UI of the AUT. If you are testing a Web application, you can select the browser on which you want to capture the image from the Select Browser window.
  6. Optional: Check the Click position check box to select the location on which any clicks on the image asset are performed. The default location is the center of the image. Type the location into the x and y fields or select the location on the image.
  7. Specify the Accuracy Level. The accuracy level defines how much the image to be verified is allowed to be different to the image in the application under test, before Silk4NET declares the images as different. This is helpful if you are testing multiple systems or browsers with different screen resolutions. We recommend to choose a high level of accuracy in order to prevent false positives. You can change the default accuracy level in the options.
    Note: When you set the Accuracy Level to less than five, the actual colors of the images are no longer considered for the comparison. Only the grayscale representations of the images are compared.
  8. Save the image asset.

The new image asset is listed under the current project in the Solution Explorer, and you can use it to perform image clicks.

You can add multiple images to the same image asset.

Note: To add an image click while recording against a mobile browser, you can right-click in the Recording window and select ImageClick from the action list.
Parent topic: Image Assets
Related tasks
Adding Multiple Images to the Same Image Asset


Adding Multiple Images to the Same Image Asset

During testing, you will often need to test functionality on multiple environments and with different testing configurations. In a different environment, the actual image might differ in such a degree from the image that you have captured in the image asset, that image clicks might fail, although the image is existing. In such a case, you can add multiple images to the same image asset.

To add an additional image to an image asset:

  1. Double-click on the image asset to which you want to add an additional image. The image asset UI opens.
  2. Click on the plus sign in the lower part of the UI to add a new image to the image asset.
  3. Save the image asset.
The new image is added to the asset. Each time an image click is called, and until a match is achieved, Silk4NET will compare the images in the asset with the images in the UI of the application under test. By default, Silk4NET compares the images in the order in which they have been added to the asset.
Note: To change the order in which Silk4NET compares the images, click on an image in the lower part of the image asset UI and drag the image to the position that you want. The order lowers from left to right. The image that is compared first is the image in the left-most position.
Parent topic: Image Assets
Related tasks
Creating an Image Asset


Opening an Asset from a Script

When you are editing a script, you can open an asset by right clicking it and selecting Open Silk4NET Asset. This will open the asset in the GUI.

If the asset is a reference to a file on the system, for example, referenced by ImageClickFile, the file will be opened by your system's default editor.

Parent topic: Image Assets


Image Verifications

You can use an Image Verification to check if an image exists in the UI of the application under test (AUT) or not.

Image verifications consist of an image with some additional information that is required by Silk4NET to work with the asset.

To execute an image verification, use the VerifyAsset method.

Image verification assets must be located in the Verifications folder of the project. The .verification files must be embedded resources.

An image verification fails when Silk4NET cannot find the image in the AUT. In this case the script breaks execution and throws a VerificationFailedException. To avoid this behavior, use the TryVerifyAsset method.

If the locator for the image verification is not found in the AUT, Silk4NET throws an ObjectNotFoundException.

You can open a successful image verification in TrueLog Explorer by clicking Open Verification in the Info tab of the verification step. You can open a failed image verification in TrueLog Explorer by clicking Show Differences in the Info tab of the verification step. If a failed image verification would have been successful if a lower accuracy level had been used, the accuracy level that would have succeeded is suggested.

  • Creating an Image Verification
    Create an image verification to check if a control otherwise not recognizable exists in the UI of the application under test or not.
  • Adding an Image Verification During Recording
    Add an image verification to your script to check if a control which is otherwise not recognizable exists in the UI of the application under test.
Parent topic: Image Recognition Support
Related concepts
Image Assets


Creating an Image Verification

You can create image verifications in one of the following ways:
  • By using the menu.
  • During recording.

To create a new image verification in the menu, perform the following steps:

  1. Click Silk4NET > New Image Verification.
  2. Type a useful name for the asset into the Name field and double-click Silk4NET Image Verification. The image verification UI opens.
  3. Click Identify to identify the image that you want to verify in the application under test.
  4. Optional: If you want to recapture the same image from the application under test, because there is a change in comparison to the image that you had initially captured, click Recapture. If you are testing a Web application, you can select the browser on which you want to capture the image from the Select Browser window.
  5. Optional: You can click Verify to test if the image verification works. Silk4NET searches for the image in the UI of the AUT, top-down and left to right, and highlights the first matching image.
  6. Optional: You can add an exclusion area to the image verification, which will not be considered when Silk4NET compares the image verification to the UI of the application under test (AUT).
  7. Optional: You can set the option Client Area Only to define that only the part of the image that is actually part of the AUT is considered when Silk4NET compares the image verification to the UI of the AUT.
  8. Specify the Accuracy Level. The accuracy level defines how much the image to be verified is allowed to be different to the image in the application under test, before Silk4NET declares the images as different. This is helpful if you are testing multiple systems or browsers with different screen resolutions. We recommend to choose a high level of accuracy in order to prevent false positives. You can change the default accuracy level in the options.
    Note: When you set the Accuracy Level to less than five, the actual colors of the images are no longer considered for the comparison. Only the grayscale representations of the images are compared.
  9. Save the image verification.
The new image verification is listed in the Solution Explorer, and you can use it to check if the image exists in the UI of your application under test.
Parent topic: Image Verifications


Adding an Image Verification During Recording

You can add image verifications to your scripts to check if controls which are otherwise not recognizable exist in the UI of the application under test. To add an image verification during the recording of a script, perform the following steps:
  1. Begin recording.
  2. Move the mouse cursor over the image that you want to verify and click Ctrl + Alt. Silk4NET asks you if you want to verify a property or an image.
  3. Select Create or Insert an Image Verification.
  4. Perform one of the following steps:
    • To create a new image verification in the image verification UI, select New from the list box.
    • To insert an existing image verification asset, select the image verification asset from the list box.
  5. Click OK.
    • If you have chosen to create a new image verification, the image verification UI opens.
    • If you have chosen to use an existing image verification, the image verification is added to your script. You can skip the remaining steps in this topic.
  6. To create a new image verification, click Verify in the image verification UI.
  7. Move the mouse cursor over the image in the AUT and click CTRL+ALT. The image verification UI displays the new image verification.
  8. Click OK. The new image verification is added to the current project.
  9. Continue recording.
Parent topic: Image Verifications
Related tasks
Adding a Verification to a Script while Recording


Enhancing Tests

This section describes how you can enhance a test.

  • Recording Additional Actions Into an Existing Test
    Record additional actions to update an existing test.
  • Calling Windows DLLs
    Describes how you can call DLLs from Visual Basic or Visual C#.
  • Custom Controls
    Describes how Silk4NET supports custom controls.
  • Improving Object Recognition with Microsoft Accessibility
    Describes how you can use Microsoft Accessibility to ease the recognition of objects at the class level.
  • Overview of Silk4NET Support of Unicode Content
    Describes how Silk4NET supports Unicode content.
  • Text Recognition Support
    Describes how you can use text recognition to conveniently interact with test applications that contain highly customized controls.
  • Inserting a Result Comment in a Script
    Describes how you can add result comments to a test script to provide supplemental information about the test in the TrueLog file.
  • Measuring Execution Time
    Describes how you can measure the time that your tests require to execute.
  • Slowing Down Tests
    Slow down a test to enable the UI of the AUT to finish loading.
  • Testing Applications in Multiple UI Sessions on a Single Machine
    Connect to multiple Open Agent instances on a single machine to test applications in multiple UI sessions on the machine or to test on multiple agents.


Recording Additional Actions Into an Existing Test

Once a test is created, you can open the test and record additional actions to any point in the test. This allows you to update an existing test with additional actions.

  1. Open an existing test script.
  2. Select the location in the test script into which you want to record additional actions.
    Note: Recorded actions are inserted after the selected location. The application under test (AUT) does not return to the base state. Instead, the AUT opens to the scope in which the preceding actions in the test script were recorded.
  3. Click Silk4NET > Record Actions. Silk4NET minimizes and the Recording window opens.
  4. Record the additional actions that you want to perform against the AUT. For information about the actions available during recording, see Actions Available During Recording.
  5. To stop recording, click Stop in the Recording window.
Parent topic: Enhancing Tests
Related tasks
Recording a Silk4NET Test


Calling Windows DLLs

This section describes how you can call DLLs. You can call a DLL either within the process of the Open Agent or in the application under test (AUT). This allows the reuse of existing native DLLs in test scripts.

DLL calls in the Open Agent are typically used to call global functions that do not interact with UI controls in the AUT.

DLL calls in the AUT are typically used to call functions that interact with UI controls of the application. This allows Silk4NET to automatically synchronize the DLL call during playback.

Note: In 32-bit applications, you can call 32-bit DLLs, while in 64-bit applications you can call 64-bit DLLs. The Open Agent can execute both 32-bit and 64-bit DLLs.
Note: The .NET framework also provides built-in support for DLL calling, which is called P/Invoke. P/Invoke can be used in Visual Basic scripts to call DLL functions within the process that executes the script. However, in contrast to calling DLL functions with Silk Test Workbench in the application under test, there is no automatic synchronization.
Note: You can only call DLLs with a C interface. If you want to call .NET assemblies, which also have the file extension .dll, do not use the DLL calling feature but instead just add a reference to the assembly in your .NET script.
  • Calling a Windows DLL from Within a Script
    Describes how you can call a DLL from within a script.
  • DLL Function Declaration Syntax
    Describes the syntax of a declaration of a DLL function.
  • DLL Calling Example
    Provides an example of calling a DLL function.
  • Passing Arguments to DLL Functions
    Describes how you can pass arguments to DLL functions.
  • Passing String Arguments to DLL Functions
    Describes how you can pass string arguments to DLL functions.
  • Aliasing a DLL Name
    Describes how you can alias a DLL function name.
  • Conventions for Calling DLL Functions
    Lists the conventions that are supported when calling DLL functions, and describes how you can change the convention.
Parent topic: Enhancing Tests


Calling a Windows DLL from Within a Script

A declaration for a DLL starts with an interface that has a Dll attribute. The syntax of the declaration is the following:
<Dll("dllname.dll")> Public Interface DllInterfaceName
  FunctionDeclaration
  [FunctionDeclaration]…
End Interface
// C# code
[Dll("dllname.dll")]
public interface DllInterfaceName {
  FunctionDeclaration ...
}
dllname
The name of or the full path to the DLL file that contains the functions you want to call from your scripts. Environment variables in the DLL path are automatically resolved. You do not have to use double backslashes (\\) in the path, single backslashes (\) are sufficient.
DllInterfaceName
The identifier that is used to interact with the DLL in a script.
FunctionDeclaration
A function declaration of a DLL function you want to call.
Parent topic: Calling Windows DLLs


DLL Function Declaration Syntax

A function declaration for a DLL typically has the following form:

For functions that do not have a return value, the declaration has the following form:

return-type
The data type of the return value.
function-name
The name of the function.
arg-list
A list of the arguments that are passed to the function.
The list is specified as follows:
data-type
The data type of the argument.
identifier
The name of the argument.
Parent topic: Calling Windows DLLs


DLL Calling Example

This example writes the text hello world! into a field by calling the SendMessage DLL function from user32.dll.

DLL Declaration:

// VB .NET code
<Dll("user32.dll")> Public Interface IUserDll32Functions
  Function SendMessageW( _
    ByVal obj As TestObject,ByVal message As Integer,ByVal wParam As Integer,ByVal lParam As String) As Integer
End Interface
// C# code
[Dll("user32.dll")]
public interface IUserDll32Functions {
  int SendMessageW(TestObject obj, int message, int wParam, string lParam);
}
The following code shows how to call the declared DLL function in the AUT:
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateInProcessDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
// C# code
public void main()
{
  IUserDll32Functions user32Functions = DllCall.CreateInProcessDllCall<IUserDll32Functions>();
  TextField textField = _desktop.Window().TextField();
  user32Functions.SendMessageW(textField, (int) WindowsMessages.WM_SETTEXT, 0, "my text");
}
Note: You can only call DLL functions in the AUT if the first parameter of the DLL function has the C data type HWND.
The following code shows how to call the declared DLL functions in the process of the Open Agent:
// VB .NET code
Public Sub Main()
  Dim user32Functions As IUserDll32Functions = DllCall.CreateAgentDllCall(Of IUserDll32Functions)()
  Dim textField = _desktop.Window().TextField()
  user32Functions.SendMessageW(textField, WindowsMessages.WM_SETTEXT, 0, "my text")
End Sub
// C# code
public void main()
{
  IUserDll32Functions user32Functions = DllCall.CreateAgentDllCall<IUserDll32Functions>();
  TextField textField = _desktop.Window().TextField();
  user32Functions.SendMessageW(textField, (int) WindowsMessages.WM_SETTEXT, 0, "my text");
}
Note: The example code uses the WindowsMessages class that contains useful constants for usage with DLL functions that relate to Windows messaging.
Parent topic: Calling Windows DLLs


Passing Arguments to DLL Functions

DLL functions are written in C, so the arguments that you pass to these functions must have the appropriate C data types. The following data types are supported:
Use this data type for arguments or return values with the following data types:
  • int
  • INT
  • long
  • LONG
  • DWORD
  • BOOL
  • WPARAM
  • HWND
The type works for all DLL arguments that have a 4-byte value.
Use this data type for arguments or return values with the C data types long and int64. The type works for all DLL arguments that have an 8-byte value.
Use this data type for arguments or return values with the C data types short and WORD. The type works for all DLL arguments that have a 2-byte value.
Use this data type for arguments or return values with the C data type bool.
String
Use this for arguments or return values that are Strings in C.
Use this for arguments or return values with the C data type double.
Use this for arguments with the C data type RECT. cannot be used as a return value.
Use this for arguments with the C data type POINT. Point cannot be used as a return value.
Use this for arguments with the C data type HWND. TestObject cannot be used as a return value, however you can declare DLL functions that return a HWND with an Integer as the return type.
Note: The passed TestObject must implement the interface so that Silk4NET is able to determine the window handle for the TestObject that should be passed into the DLL function. Otherwise an exception is thrown when calling the DLL function.
List
Use this for arrays for user defined C structs. Lists cannot be used as a return value.
Note: When you use a List as an parameter, the list that is passed in must be large enough to hold the returned contents.
Note: A C struct can be represented by a List, where every list element corresponds to a struct member. The first struct member is represented by the first element in the list, the second struct members is represented by the second element in the list, and so on.
Note: Any argument that you pass to a DLL function must have one of the preceding data types.
Parent topic: Calling Windows DLLs


Passing String Arguments to DLL Functions

Strings that are passing into a DLL function or that are returned by a DLL function are treated by default as Unicode Strings. If your DLL function requires ANSI String arguments, use the CharacterSet property of the DllFunctionOptions attribute.

Example

<Dll( "user32.dll" )> Public Interface IUserDll32Functions
  <DllFunctionOptions(CharacterSet:=CharacterSet.Ansi)> Function SendMessageA( _
    ByVal obj As TestObject, ByVal message As Integer , ByVal wParam As Integer , ByRef lParam As String ) As Integer
End Interface

Passing a String back from a DLL call as a ByRef argument works per default if the String's size does not exceed 256 characters length. If the String that should be passed back is longer than 256 characters, you need to pass a Visual Basic String in that is long enough to hold the resulting String.

Example

Use the following code to create a String with 1024 blank characters:
Dim longEmptyString = New String ( " "c , 1024 )
Pass this String as a ByRef argument into a DLL function and the DLL function will pass back Strings of up to 1024 characters of length.

When passing a String back from a DLL call as a function return value, the DLL should implement a DLL function called FreeDllMemory that accepts the C String pointer returned by the DLL function and that frees the previously allocated memory. If no such function exists the memory will be leaked.

Parent topic: Calling Windows DLLs


Aliasing a DLL Name

If a DLL function has the same name as a reserved word in Visual Basic, or the function does not have a name but an ordinal number, you need to rename the function within your declaration and use the alias statement to map the declared name to the actual name.

Example

For example, the Exit statement is reserved by the Visual Basic compiler. Therefore, to call a function named exit, you need to declare it with another name, and add an alias statement, as shown here:
<Dll("mydll.dll")> Public Interface IMyDllFunctions
  <DllFunctionOptions(Alias:="exit")> Sub MyExit()
End Interface
Parent topic: Calling Windows DLLs


Conventions for Calling DLL Functions

The following calling conventions are supported when calling DLL functions:
  • __stdcall
  • __cdecl

The __stdcall calling convention is used by default when calling DLL functions. This calling convention is used by all Windows API DLL functions.

You can change the calling convention for a DLL function by using the CallingConvention property of the DllFunctionOptions attribute.

Example

The following code example declares a DLL function with the __decl calling convention:
<Dll("msvcrt.dll")> Public Interface IMsVisualCRuntime
 <DllFunctionOptions(CallingConvention:=CallingConvention.Cdecl)> Function cos(ByVal input As Double) As Double
End Interface
Parent topic: Calling Windows DLLs


Custom Controls

Silk4NET provides the following features to support you when you are working with custom controls:
  • The dynamic invoke functionality of Silk4NET enables you to directly call methods, retrieve properties, or set properties on an actual instance of a control in the application under test (AUT).
  • The class mapping functionality enables you to map the name of a custom control class to the name of a standard Silk Test class. You can then use the functionality that is supported for the standard Silk Test class in your test.
    Silk4NET supports managing custom controls over the UI for the following technology domains:
    • Win32
    • Windows Presentation Foundation (WPF)
    • Windows Forms
    • Java AWT/Swing
    • Java SWT
  • You can add code to the AUT to test custom controls.
  • The Manage Custom Controls dialog box enables you to specify a name for a custom control that can be used in a locator and also enables you to write reusable code for the interaction with the custom control.
Note: For custom controls, you can only record methods like Click,TextClick, and TypeKeys with Silk4NET. You cannot record custom methods for custom controls except when you are testing Apache Flex applications.
  • Dynamic Invoke
    Describes how you can call methods, retrieve properties, or set properties, on an actual instance of a control in the application under test.
  • Adding Code to the Application Under Test to Test Custom Controls
    Add code to the AUT to test custom controls that you cannot test with a simple call to a dynamic invoke method.
  • Testing Apache Flex Custom Controls
    Describes the basic and advanced support available for testing custom controls.
  • Managing Custom Controls
    Describes how Silk4NET supports custom controls.
Parent topic: Enhancing Tests
Related reference
Custom Controls Options


Dynamic Invoke

Dynamic invoke enables you to directly call methods, retrieve properties, or set properties, on an actual instance of a control in the application under test. You can also call methods and properties that are not available in the Silk4NET API for this control. Dynamic invoke is especially useful when you are working with custom controls, where the required functionality for interacting with the control is not exposed through the Silk4NET API.

Call dynamic methods on objects with the Invoke method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Call multiple dynamic methods on objects with the InvokeMethods method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Retrieve dynamic properties with the GetProperty method and set dynamic properties with the SetProperty method. To retrieve a list of supported dynamic properties for a control, use the GetPropertyList method.

For example, to call a method named SetTitle, which requires the title to be set as an input parameter of type string, on an actual instance of a control in the application under test, type the following:
control.Invoke("SetTitle", "my new title")
Note: Typically, most properties are read-only and cannot be set.
Note: Reflection is used in most technology domains to call methods and retrieve properties.
Note: You cannot dynamically invoke methods for DOM elements.
  • Frequently Asked Questions About Dynamic Invoke
    Includes a collection of questions that you might encounter when you are dynamically invoking methods to test custom controls.
Parent topic: Custom Controls
Related concepts
Dynamically Invoking Flex Methods
Dynamically Invoking Java Methods
Dynamically Invoking SAP Methods
Dynamically Invoking Silverlight Methods
Dynamically Invoking Windows Forms Methods
Dynamically Invoking WPF Methods


Frequently Asked Questions About Dynamic Invoke

This section includes a collection of questions that you might encounter when you are dynamically invoking methods to test custom controls.

  • Which Methods Can I Call With the Invoke Method?
    Describes how you can get a list of the instance methods that you can call with the Invoke method.
  • Why Does an Invoke Call Return a Simple String when the Expected Return is a Complex Object?
    Describes why an Invoke call, that is expected to return a complex object, returns a simple string.
  • How Can I Simplify My Scripts When I Use Many Calls To InvokeMethods?
    Describes how you can simplify your scripts, when you use many calls to InvokeMethods in the scripts.
Parent topic: Dynamic Invoke


Which Methods Can I Call With the Invoke Method?

To get a list of all the methods that you can call with the Invoke method for a specific test object, you can use the GetDynamicMethodList. To view the list, you can for example print it to the console or view it in the debugger.

Parent topic: Frequently Asked Questions About Dynamic Invoke


Why Does an Invoke Call Return a Simple String when the Expected Return is a Complex Object?

The Invoke method can only return simple data types. Complex types are returned as string. Silk4NET uses the ToString method to retrieve the string representation of the return value. To call the individual methods and read properties of the complex object that is returned by the first method invocation, use InvokeMethods instead of Invoke.

Parent topic: Frequently Asked Questions About Dynamic Invoke


How Can I Simplify My Scripts When I Use Many Calls To InvokeMethods?

When you extensively use InvokeMethods in your scripts, the scripts might become complex because you have to pass all method names as strings and all parameters as lists. To simplify such complex scripts, create a static method that interacts with the actual control in the AUT instead of interacting with the control through InvokeMethods. For additional information, see Adding Code to the Application Under Test to Test Custom Controls.

Parent topic: Frequently Asked Questions About Dynamic Invoke
Related concepts
Adding Code to the Application Under Test to Test Custom Controls


Adding Code to the Application Under Test to Test Custom Controls

When you are testing Windows Forms applications or WPF applications, and you want to test complex custom controls or custom controls that you cannot test by simply using the Invoke and InvokeMethods methods, you can create a static method that interacts with the actual control in the application under test (AUT) and you can add this code to the AUT.

The benefit for you from adding code to the AUT is that the code in the AUT can use regular method calls for interacting with the control, instead of using the reflection-like style of calling methods with the dynamic invoke methods. Therefore you can use code completion and IntelliSense when you are writing you code. You can then call the code in the AUT with a simple invoke call, where you pass the control of interest as a parameter.

You can add code to the AUT in the following ways:
  • Compile the code into the AUT. The implementation is simple, but you will be changing the AUT, which you might not want to do.
  • Inject code to the AUT at runtime by using the LoadAssembly method in a test script. This requires more effort than compiling the code into the AUT, but the injected code will be located close to the test code. The LoadAssembly method is available for the classes WPFWindow and FormsWindow.

Example: Testing the UltraGrid Infragistics control

This example demonstrates how you can retrieve the content of an UltraGrid control. The UltraGrid control is included in the NETAdvantage for Windows Forms library which is provided by Infragistics. You can download a trial of the library from http://www.infragistics.com/products/windows-forms/downloads.

To create the UltraGridUtil class, perform the following actions:
  1. Create a new class library project in C# or VB .NET. Call the new project AUTExtensions.
    Note: The class library should use the same .NET version as the AUT.
  2. Add references to the required dependencies to the project. For example, for Infragistics version 12.2 you need to reference the following assemblies:
    • Infragistics4.Shared.v12.2
    • Infragistics4.Win.UltraWinGrid.v12.2
    • Infragistics4.Win.v12.2
    If you are not sure which version of Infragistics is used in your AUT you can use the Process Explorer tool from Microsoft to see which assemblies are loaded in your AUT.
    1. In the AUTExtensions project, create the new class UltraGridUtil with the following content:
      ' VB code
Public Class UltraGridUtil

  Public Shared Function GetContents(ultraGrid As Infragistics.Win.UltraWinGrid.UltraGrid) As List(Of List(Of String))
    Dim contents = New List(Of List(Of String))
    For Each row In ultraGrid.Rows
      Dim rowContents = New List(Of String)
      For Each cell In row.Cells
        rowContents.Add(cell.Text)
      Next
      contents.Add(rowContents)
    Next
    Return contents
  End Function

End Class
      // C# code
using System.Collections.Generic;

namespace AUTExtensions {

  public class UltraGridUtil {

    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }

  }

}
      Note: The Shared modifier makes the GetContents method a static method.
  3. Build the AUTExtensions project.
  4. Load the assembly into the AUT during playback.
    • Open an existing test script or create a new test script in a Silk4NET project.
    • Add the AUTExtensions project as a reference to the Silk4NET project.
    • Add the following code to your test script:
      ' VB code
mainWindow.LoadAssembly(GetType(UltraGridUtil).Assembly.Location)
      // C# code
mainWindow.LoadAssembly(typeof(UltraGridUtil).Assembly.Location);
  5. Call the static method of the injected code in order to get the contents of the UltraGrid:
    'VB code
Dim ultraGrid = mainWindow.Control("@automationId='my grid'")
Dim contents As IList = mainWindow.Invoke("AUTExtensions.UltraGridUtil.GetContents", ultraGrid)
    // C# code
Dim ultraGrid = mainWindow.Control("@automationId='my grid'");
Dim contents As IList = mainWindow.Invoke("AUTExtensions.UltraGridUtil.GetContents", ultraGrid);
  • Frequently Asked Questions About Adding Code to the AUT
    Includes a collection of questions that you might encounter when you are adding code to the AUT to test custom controls.
Parent topic: Custom Controls
Related concepts
Dynamically Invoking WPF Methods
Dynamically Invoking Windows Forms Methods
Managing Custom Controls


Frequently Asked Questions About Adding Code to the AUT

This section includes a collection of questions that you might encounter when you are adding code to the AUT to test custom controls.

  • Why is Code That I Have Injected Into the AUT With the LoadAssembly Method Not Updated in the AUT?
    Describes what you can do if code in the AUT is not replaced by code that you have injected with the LoadAssembly method.
  • Why Do the Input Argument Types Not Match When I Invoke a Method?
    Describes what you can do if you invoke a method and you get an error that says that the input argument types do not match.
  • How Do I Fix the Compile Error when an Assembly Can Not Be Copied?
    Describes what you can do if an assembly file cannot be copied when you try to add code to the AUT with the LoadAssembly method.
Parent topic: Adding Code to the Application Under Test to Test Custom Controls


Why is Code That I Have Injected Into the AUT With the LoadAssembly Method Not Updated in the AUT?

If code in the AUT is not replaced by code that you have injected with the LoadAssembly method into the AUT, the assembly might already be loaded in your AUT. Assemblies cannot be unloaded, so you have to close and re-start your AUT.

Parent topic: Frequently Asked Questions About Adding Code to the AUT


Why Do the Input Argument Types Not Match When I Invoke a Method?

If you invoke a method and you get an error that says that the input argument types do not match, the method that you want to invoke was found but the arguments are not correct. Make sure that you use the correct data types in your script.

If you use the LoadAssembly method in your script to load an assembly into the AUT, another reason for this error might be that your assembly is built against a different version of the third-party library than the version that is used by the AUT. To fix this problem, change the referenced assembly in your project. If you are not sure which version of the third-party library is used in your AUT, you can use the Process Explorer tool from Microsoft.

Parent topic: Frequently Asked Questions About Adding Code to the AUT


How Do I Fix the Compile Error when an Assembly Can Not Be Copied?

When you have tried to add code to the AUT with the LoadAssembly method, you might get the following compile error:
Could not copy '<assembly_name>.dll' to '<assembly_name>.dll'. The process cannot access the file.
The reason for this compile error is that the assembly is already loaded in the AUT and cannot be overwritten.

To fix this compile error, close the AUT and compile your script again.

Parent topic: Frequently Asked Questions About Adding Code to the AUT


Testing Apache Flex Custom Controls

Silk4NET supports testing Apache Flex custom controls. However, by default, Silk4NET cannot record and playback the individual sub-controls of the custom control.

For testing custom controls, the following options exist:
  • Basic support

    With basic support, you use dynamic invoke to interact with the custom control during replay. Use this low-effort approach when you want to access properties and methods of the custom control in the test application that Silk4NET does not expose. The developer of the custom control can also add methods and properties to the custom control specifically for making the control easier to test. A user can then call those methods or properties using the dynamic invoke feature.

    The advantages of basic support include:
    • Dynamic invoke requires no code changes in the test application.
    • Using dynamic invoke is sufficient for most testing needs.
    The disadvantages of basic support include:
    • No specific class name is included in the locator, for example Silk4NET records //FlexBox rather than //FlexSpinner.
    • Only limited recording support.
    • Silk4NET cannot replay events.

    For more details about dynamic invoke, including an example, see Dynamically Invoking Apache Flex Methods.

  • Advanced support
    With advanced support, you create specific automation support for the custom control. This additional automation support provides recording support and more powerful play-back support. The advantages of advanced support include:
    • High-level recording and playback support, including the recording and replaying of events.
    • Silk4NET treats the custom control exactly the same as any other built-in Apache Flex control.
    • Seamless integration into Silk4NET API
    • Silk4NET uses the specific class name in the locator, for example Silk4NET records //FlexSpinner.
    The disadvantages of advanced support include:
    • Implementation effort is required. The test application must be modified and the Open Agent must be extended.
  • Dynamically Invoking Flex Methods
    Explains how to call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature.
  • Defining a Custom Control in the Test Application
    The following procedure uses a custom Flex spinner control to demonstrate how to define a custom control.
  • Testing a Flex Custom Control Using Dynamic Invoke
    Silk4NET provides record and playback support for custom controls using dynamic invoke to interact with the custom control during replay.
  • Testing a Custom Control Using Automation Support
    Enable custom controls for testing.
Parent topic: Custom Controls
Parent topic: Apache Flex Support


Managing Custom Controls

You can create custom classes for custom controls for which Silk4NET does not offer any dedicated support. Creating custom classes offers the following advantages:
  • Better locators for scripts.
  • An easy way to write reusable code for the interaction with the custom control.

Example: Testing the UltraGrid Infragistics control

Suppose that a custom grid control is recognized by Silk4NET as the generic class Control. Using the custom control support of Silk4NET has the following advantages:
Better object recognition because the custom control class name can be used in a locator.
Many objects might be recognized as Control. The locator requires an index to identify the specific object. For example, the object might be identified by the locator //Control[13]. When you create a custom class for this control, for example the class UltraGrid, you can use the locator //UltraGrid. By creating the custom class, you do not require the high index, which would be a fragile object identifier if the application under test changed.
You can implement reusable playback actions for the control in scripts.

When you are using custom classes, you can encapsulate the behavior for getting the contents of a grid into a method by adding the following code to your custom class, which is the class that gets generated when you specify the custom control in the user interface.

Typically, you can implement the methods in a custom control class in one of the following ways:
  • You can use methods like Click, TypeKeys, TextClick, and TextCapture.
  • You can dynamically invoke methods on the object in the AUT.
  • You can dynamically invoke methods that you have added to the AUT. This is the approach that is described in this example.
You can use the following code to call the static method that is defined in the example in Adding Code to the Application Under Test to Test Custom Controls. The method GetContents is added into the generated class UltraGrid.
' VB code
Partial Public Class UltraGrid

  Public Function GetContents() As IList
    Return Invoke("AUTExtensions.UltraGridUtil.GetContents", Me)
  End Function

End Class
// C# code
public partial class UltraGrid {

  public System.Collections.IList GetContents() {
    return (System.Collections.IList) Invoke("AUTExtensions.UltraGridUtil.GetContents", this);
  }

}
When you define a class as a custom control, you can use the class in the same way in which you can use any built-in class, for example the Dialog class.
' VB code
Dim ultraGrid As UltraGrid = mainWindow.UltraGrid("@automationId='my grid'")
Dim contents = ultraGrid.GetContents()
// C# code
UltraGrid ultraGrid = mainWindow.UltraGrid("@automationId='my grid'");
IList contents = ultraGrid.GetContents();
  • Supporting a Custom Control
    Create a new custom class to support a custom control in Silk4NET.
  • Custom Controls Options
    Describes how you can set options to support custom controls.
Parent topic: Custom Controls
Related tasks
Adding Code to the Application Under Test to Test Custom Controls


Supporting a Custom Control

Silk4NET supports managing custom controls over the UI for the following technology domains:
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

To create a custom class for a custom control for which Silk4NET does not offer any dedicated support.

  1. Click Silk4NET > Manage Custom Controls. The Manage Custom Controls dialog box opens.
  2. In the Silk4NET Custom Controls Output Directory field, type in a name or click Browse to select the script that will contain the custom control.
  3. Click on the tab of the technology domain for which you want to create a new custom class.
  4. Click Add.
  5. Click one of the following:
    • Click Identify new custom control to directly select a custom control in your application with the Identify Object dialog box.
    • Click Add new custom control to manually add a custom control to the list.
    A new row is added to the list of custom controls.
  6. If you have chosen to manually add a custom control to the list:
    1. In the Silk Test base class column, select an existing base class from which your class will derive. This class should be the closest match to your type of custom control.
    2. In the Silk Test class column, enter the name to use to refer to the class. This is what will be seen in locators. For example: //UltraGrid instead of //Control[13].
      Note: After you add a valid class, it will become available in the Silk Test base class list. You can then reuse it as a base class.
    3. In the Custom control class name column, enter the fully qualified class name of the class that is being mapped. For example: Infragistics.Win.UltraWinGrid.UltraGrid. For Win32 applications, you can use the wildcards ? and * in the class name.
  7. Only for Win32 applications: In the Use class declaration column, set the value to False to simply map the name of a custom control class to the name of a standard Silk Test class. When you map the custom control class to the standard Silk Test class, you can use the functionality supported for the standard Silk Test class in your test. Set the value to True to additionally use the class declaration of the custom control class.
  8. Click OK.
  9. Only for scripts:
    1. Add custom methods and properties to your class for the custom control.
    2. Use the custom methods and properties of your new class in your script.
      Note: The custom methods and properties are not recorded.
Note: Do not rename the custom class or the base class in the script file. Changing the generated classes in the script might result in unexpected behavior. Use the script only to add properties and methods to your custom classes. Use the Manage Custom Controls dialog box to make any other changes to the custom classes.
Parent topic: Managing Custom Controls
Related reference
Custom Controls Options


Custom Controls Options

Silk4NET > Manage Custom Controls.

Silk4NET supports managing custom controls over the UI for the following technology domains:
  • Win32
  • Windows Presentation Foundation (WPF)
  • Windows Forms
  • Java AWT/Swing
  • Java SWT

In the Silk4NET Custom Controls Output Directory, define the script file into which the new custom classes should be generated.

When you map a custom control class to a standard Silk Test class, you can use the functionality supported for the standard Silk Test class in your test. The following Custom Controls options are available:
Option
Description
Silk Test base class
Select an existing base class to use that your class will derive from. This class should be the closest match to your type of custom control.
Silk Test class
Enter the name to use to refer to the class. This is what will be seen in locators.
Custom control class name
Enter the fully qualified class name of the class that is being mapped. You can use the wildcards ? and * in the class name.
Use class declaration
This option is available only for Win32 applications. By default False, which means the name of the custom control class is mapped to the name of the standard Silk Test class. Set this setting to True to additionally use the class declaration of the custom control class.
Note: After you add a valid class, it will become available in the Silk Test base class list. You can then reuse it as a base class.

Example: Setting the options for the UltraGrid Infragistics control

To support the UltraGrid Infragistics control, use the following values:
Option | Value
Silk Test base class | Control
Silk Test class | UltraGrid
Custom control class name | Infragistics.Win.UltraWinGrid.UltraGrid
Parent topic: Managing Custom Controls
Related concepts
Custom Controls
Supporting a Custom Control


Improving Object Recognition with Microsoft Accessibility

You can use Microsoft Accessibility (Accessibility) to ease the recognition of objects at the class level. There are several objects in Internet Explorer and in Microsoft applications that Silk4NET can better recognize if you enable Accessibility. For example, without enabling Accessibility Silk4NET records only basic information about the menu bar in Microsoft Word and the tabs that appear. However, with Accessibility enabled, Silk4NET fully recognizes those objects.

Example

Without using Accessibility, Silk4NET cannot fully recognize a DirectUIHwnd control, because there is no public information about this control. Internet Explorer uses two DirectUIHwnd controls, one of which is a popup at the bottom of the browser window. This popup usually shows the following:
  • The dialog box asking if you want to make Internet Explorer your default browser.
  • The download options Open, Save, and Cancel.

When you start a project in Silk4NET and record locators against the DirectUIHwnd popup, with accessibility disabled, you will see only a single control. If you enable Accessibility you will get full recognition of the DirectUIHwnd control.

  • Using Accessibility
    Describes how you can use Accessibility.
  • Enabling Accessibility
    Describes how to enable Accessibility.
Parent topic: Enhancing Tests


Using Accessibility

Win32 uses the Accessibility support for controls that are recognized as generic controls. When Win32 locates a control, it tries to get the accessible object along with all accessible children of the control.

Objects returned by Accessibility are either of the class AccessibleControl, Button or CheckBox. Button and Checkbox are treated specifically because they support the normal set of methods and properties defined for those classes. For all generic objects returned by Accessibility the class is AccessibleControl.

Example

If an application has the following control hierarchy before Accessibility is enabled:
  • Control
    • Control
  • Button
When Accessibility is enabled, the hierarchy changes to the following:
  • Control
    • Control
      • Accessible Control
      • Accessible Control
        • Button
  • Button
Parent topic: Improving Object Recognition with Microsoft Accessibility


Enabling Accessibility

If you are testing a Win32 application and cannot recognize objects, you should first enable Accessibility. Accessibility is designed to enhance object recognition at the class level.

To enable Accessibility:

  1. Click Silk4NET > Edit Options. The Script Options dialog box opens.
  2. Click Advanced.
  3. Select the Use Microsoft Accessibility option. Accessibility is turned on.
Parent topic: Improving Object Recognition with Microsoft Accessibility


Overview of Silk4NET Support of Unicode Content

The Open Agent is Unicode-enabled, which means that the Open Agent is able to recognize double-byte (wide) languages.

With Silk4NET you can test applications that contain content in double-byte languages such as Chinese, Korean, or Japanese (Kanji) characters, or any combination of these.

The Open Agent supports the following:

  • Localized versions of Windows.
  • International keyboards and native language Input Method Editors (IME).
  • Passing international strings as parameters to test cases, methods, and so on, and comparing strings.
  • Reading and writing text files in multiple formats: ANSI, Unicode, and UTF-8.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Before testing double-byte characters with Silk4NET

Testing an internationalized application, particularly one that contains double-byte characters, is more complicated than testing an application that contains strictly English single-byte characters. Testing an internationalized application requires that you understand a variety of issues, from operating system support, to language packs, to fonts, to working with IMEs and complex languages.

Before you begin testing your application using Silk4NET, you must do the following:

  • Meet the needs of your application under test (AUT) for any necessary localized OS, regional settings, and required language packs.
  • Install the fonts necessary to display your AUT.
  • If you are testing an application that requires an IME for data input, install the appropriate IME.
Parent topic: Enhancing Tests


Text Recognition Support

Text recognition methods enable you to conveniently interact with test applications that contain highly customized controls, which cannot be identified using object recognition. You can use text clicks instead of coordinate-based clicks to click on a specified text string within a control.

For example, you can simulate selecting the first cell in the second row of the following table:

Specifying the text of the cell results in the following code:
'VB code
table.TextClick("Brian Miller")
// C# code
table.TextClick("Brian Miller");
Text recognition methods are supported for the following technology domains:
  • Win32.
  • WPF.
  • Windows Forms.
  • Java SWT and Eclipse.
  • Java AWT/Swing.
    Note: For Java Applets, and for Swing applications with Java versions prior to version 1.6.10, text recognition is supported out-of-the-box. For Swing applications with Java version 1.6.10 or later, which do not support Direct3D, you have to add the following command-line element when starting the application:
    -Dsun.java2d.d3d=false
    For example:
    javaw.exe -Dsun.java2d.d3d=false -jar mySwingApplication.jar
    Text recognition is not supported for Java Applets and Swing applications that support Direct3D.
  • Internet Explorer.
Note: Text recognition does not work with controls that are not visible on the screen. For example, you cannot use text recognition for a text that is scrolled out of view.
Note: Text recognition might not work if the font that is used in the target text is not installed on the machine on which the test is executed.

Text recognition methods

The following methods enable you to interact with the text of a control:
TextCapture
Returns the text that is within a control. Also returns text from child controls.
TextClick
Clicks on a specified text within a control. Waits until the text is found or the Object resolve timeout, which you can define in the synchronization options, is over.
TextRectangle
Returns the rectangle of a certain text within a control or a region of a control.
TextExists
Determines whether a given text exists within a control or a region of a control.

Text click recording

Text click recording is enabled by default. To disable text click recording, click Silk4NET > Edit Options > Recording and uncheck the OPT_RECORD_TEXT_CLICK check box.

When text click recording is enabled, Silk4NET records TextClick methods instead of clicks with relative coordinates. Use this approach for controls where TextClick recording produces better results than normal coordinate-based clicks. You can insert text clicks in your script for any control, even if the text clicks are not recorded.

If you do not whish to record a TextClick action, you can turn off text click recording and record normal clicks.

The text recognition methods prefer whole word matches over partially matched words. Silk4NET recognizes occurrences of whole words previously than partially matched words, even if the partially matched words are displayed before the whole word matches on the screen. If there is no whole word found, the partly matched words will be used in the order in which they are displayed on the screen.

Example

The user interface displays the text the hostname is the name of the host. The following code clicks on host instead of hostname, although hostname is displayed before host on the screen:
'VB code
control.TextClick("host")
// C# code
control.TextClick("host");
The following code clicks on the substring host in the word hostname by specifying the second occurrence:
'VB code
control.TextClick("host", 2)
// C# code
control.TextClick("host", 2);
Parent topic: Enhancing Tests
Related concepts
Image Recognition Support


Inserting a Result Comment in a Script

You can add result comments to a test script to provide supplemental information about the test. During the execution of the test, the result comments are added to the TrueLog file of the test.

You can add different comment types for information, warnings, and errors. The following code sample shows an example for each comment type:
'VB .NET code
Agent.LogInfo("This is a comment!")
Agent.LogWarning("This is a warning!")
Agent.LogError("This is an error!")
// C# code
Agent.LogInfo("This is a comment!");
Agent.LogWarning("This is a warning!");
Agent.LogError("This is an error!");
Parent topic: Enhancing Tests
Related tasks
Enabling TrueLog


Measuring Execution Time

You can use methods and properties provided by the Timer class to measure the time that your tests require to execute. For additional information, see Timer Class.

Among other usages, these methods and properties are used for the timing of test executions that are triggered from Silk Performer. For additional information on integrating Silk4NET with Silk Performer, refer to the Silk Performer Help.

Parent topic: Enhancing Tests
Related reference
Timer Class


Slowing Down Tests

Some applications under test might require extensive loading of application data in the UI, and might not be finished on time with loading objects that are required for replaying a test. To successfully replay tests on such an AUT, you can check for the existence of an object before performing an action on it, or you can add sleeps before performing an action.

Note: Micro Focus does not recommend generally adding sleeps to tests, because in most cases Silk4NET will automatically detect if an object is available, and sleeps might severely reduce the performance of tests.
  1. To check if an object is available in the AUT, use the Exists method. For example, to wait for six seconds for the button INPUT to become available, add the following line to your test script:
    'VB .NET code
browserWindow.Exists("//INPUT", 6000)
    // C# code
browserWindow.Exists("//INPUT", 6000)
  2. To add a sleep before performing an action on a control, use the method. For example, to sleep for six seconds, add the following line to your test script:
    'VB .NET code
System.Threading.Thread.Sleep(6000)
    // C# code
browserWindow.Exists("//INPUT", 6000)
Parent topic: Enhancing Tests
Related concepts
Page Synchronization for xBrowser


Testing Applications in Multiple UI Sessions on a Single Machine

To test applications in multiple UI sessions on a single machine or to test multiple agents on a single machine, connect to multiple Open Agent instances on the machine. Every agent runs in its own UI-session. A UI session can be a Remote Desktop Protocol (RDP) connection or a Citrix-based connection.

  1. Create the UI sessions.
  2. Open a command line window.
  3. Navigate to the folder /ng/MultiSessionLauncher in the Silk Test installation directory. For example, the default folder path might look like the following: C:\Program Files (x86)\Silk\SilkTest\ng\MultiSessionLauncher.
  4. In each UI session, execute the following command: MicroFocus.SilkTest.MultiSessionLauncher.exe <port>.
    Note: Use a unique port number, because this port will be used in your Silk4NET script to identify the Open Agent and the UI session in which the agent is running.
  5. Change your Silk4NET scripts to connect to the Open Agent instances. To connect to an Open Agent instance, add the following line to the script:
    // VB .NET code
Private agent As RemoteAgent = Agent.Connect("hostname:port")
    // C# code
private RemoteAgent agent = Agent.Connect("hostname:port");
    Where hostname is the name of the machine on which the agent is running, and port is the unique port that you have used to execute the launcher.
The resulting objects are independent of each other and can be used either in one thread or in multiple threads.
Note: If you want to launch an application in multiple UI sessions, you have to execute the base state for each UI session.
The following classes include overloaded methods for multi-agent or multi-session testing:
  • Agent
  • BaseState
  • BrowserBaseState
  • Clipboard
  • ConsoleWindow
  • Desktop
  • DllCall
Note: To use TrueLog when testing applications in multiple UI sessions on a remote machine, you need to manually copy any generated TrueLog files from the remote machine to your local machine.

Example

Assume that the server machine that is hosting the UI sessions is named ui-srv. You can create three UI sessions by using the ports 22902, 22903, and 22904.

In the first session, open the command line window, navigate to the MultiSessionLauncher directory, and type the following:
 MicroFocus.SilkTest.MultiSessionLauncher.exe 22902

Do the same for the other two sessions with the respective ports 22903 and 22904.

To connect to the Open Agent instances, add the following code to your script:
// VB .NET code
Private agent1 As RemoteAgent = Agent.Connect("ui-srv:22902")
Private agent2 As RemoteAgent = Agent.Connect("ui-srv:22903")
Private agent3 As RemoteAgent = Agent.Connect("ui-srv:22904")
// C# code
private RemoteAgent agent1 = Agent.Connect("ui-srv:22902");
private RemoteAgent agent2 = Agent.Connect("ui-srv:22903");
private RemoteAgent agent3 = Agent.Connect("ui-srv:22904");
The following sample script prints a simple text to each of the three UI sessions:
// VB .NET code
<SilkTestClass()> Public Class TestMultiSession

  Private agent1 As RemoteAgent = Agent.Connect("ui-srv:22902")
  Private agent2 As RemoteAgent = Agent.Connect("ui-srv:22903")
  Private agent3 As RemoteAgent = Agent.Connect("ui-srv:22904")

  <TestMethod()> Public Sub Test()
    Dim d1 As Desktop = agent1.Desktop
    Dim d2 As Desktop = agent2.Desktop
    Dim d3 As Desktop = agent3.Desktop

    Dim baseState = New BaseState()
    agent1.ExecuteBaseState(baseState)
    agent2.ExecuteBaseState(baseState)
    agent3.ExecuteBaseState(baseState)

    d1.Window("@caption='My Application'").TypeKeys("Hello to session 1!")
    d2.Window("@caption='My Application'").TypeKeys("Hello to session 2!")
    d3.Window("@caption='My Application'").TypeKeys("Hello to session 3!")
  End Sub
End Class
// C# code
[SilkTestClass]
  public class TestMultiSession {

    private RemoteAgent agent1 = Agent.Connect("ui-srv:22902");
    private RemoteAgent agent2 = Agent.Connect("ui-srv:22903");
    private RemoteAgent agent3 = Agent.Connect("ui-srv:22904");

    [TestMethod]
    public void Test() {
      Desktop d1 = agent1.Desktop;
      Desktop d2 = agent2.Desktop;
      Desktop d3 = agent3.Desktop;

      BaseState basestate = new BaseState();
      agent1.ExecuteBaseState(basestate);
      agent2.ExecuteBaseState(basestate);
      agent3.ExecuteBaseState(basestate);

      d1.Window("@caption='My Application'").TypeKeys("Hello to session 1!");
      d2.Window("@caption='My Application'").TypeKeys("Hello to session 2!");
      d3.Window("@caption='My Application'").TypeKeys("Hello to session 3!");
    }
  }
Parent topic: Enhancing Tests


Using Keyword-Driven Tests as Performance Tests

In addition to performing functional testing and regression testing with Silk4NET, you can export your keyword-driven tests to Silk Performer and use them for performance testing and load testing.

To export keyword-driven tests to Silk Performer, ensure that Silk Performer 18.0 or later is installed. Select the Silk4NET project that contains the keyword-driven tests and click Export as Performance Tests in the Silk4NET menu.

If you have already exported the keyword-driven tests in a Silk4NET project to Silk Performer, and you want to update the corresponding project in Silk Performer, perform the following actions.
  1. Start Silk Performer.
  2. Open the project that you want to update.
  3. Open the Silk4NET project.
  4. Click Export as Performance Tests.
  5. Confirm that you want to update the current Silk Performer project.

The reference to the library in the Data Files node of the Silk Performer project will be updated.

For additional information, refer to the Silk Performer documentation.


Debugging Scripts

Run-time errors encountered during playback can be caused by a variety of factors, such as changes in the test application, script coding mistakes, or environmental changes. Quickly diagnosing and fixing these errors by debugging scripts minimizes script maintenance efforts and facilitates a more efficient team testing effort.

Script debugging lets you temporary suspend script playback in the development environment to manage, examine, reset, step through, or continue script playback.

  • Script Reliability
    Provides an overview of the features available to increase script reliability.
  • Stepping Through a Script in Debug Mode
    Lists the options to play back scripts to execute one line at a time while in debug mode.
  • Stepping Through Script Playback from a Selected Point
    During debugging, you can execute the script from where playback was suspended by a breakpoint.
  • Controlling Line Execution During Script Debugging
    While debugging a script, you can control flow to aid in error recognition and to reduce the time needed to diagnose and fix errors.
  • Stopping Script Playback at Selected Points
    Manage playback to facilitate debugging and help isolate where a script fails.
  • Printing a Script
    You can print the code that displays in the Code window for easy review and troubleshooting.


Script Reliability

Application testing reveals errors in the application being tested. When testing software applications, these errors can cause scripts to not execute to completion.

The ability of scripts to reliably play back to completion is essential to successful testing. Synchronization issues, and expected and unexpected application errors may cause scripts to fail before playing back to completion. Silk4NET provides built-in option settings and scripting features that allow scripts to adjust to synchronization and application issues and play back reliably in any testing environment.

When playing back scripts, some errors are the result of slow application response time, which causes the application to lose synchronization with the scripts that test it. These errors can be handled by adjusting Silk4NET option settings that optimize synchronization between the scripts and the application being tested.

Parent topic: Debugging Scripts


Stepping Through a Script in Debug Mode

You can play back scripts to execute one line at a time while in debug mode. Known as stepping, this allows a tester to trace through code during playback to see the order in which statements execute, which aids in debugging.

Stepping enables you to walk through a script in debug mode to closely examine its execution.

In debug mode, control playback execution by using the following commands:
Step Into (F11)
Executes the script one statement at a time. Step Into is useful to trace through each line in the code and steps into functions or embedded scripts. Each function or embedded script is also executed one code line at a time.

Step Into is useful for detailed analysis of a test, and lets you see the effect of each statement on variable usage and test application interaction.

Note: You cannot step into an iterator while debugging a VB .NET script. The iterator is executed but the debugger will not show that the iterator was entered during execution. You can set a breakpoint inside the iterator, and the execution will stop at the breakpoint, but any parameters or local variables of the iterator will not be shown in the Locals window. For additional information on iterators, see Iterators.
Step Over (F10)
Executes each procedure as if it were a single statement. Use this instead of Step Into to go directly into a function, without stepping through the individual lines that make up the function.
Step Out (Shift + F11)
Executes all remaining code in a procedure as if it were a single statement, and exits to the next statement in the procedure that caused the procedure to be initially called.
Set Run Pointer/Next Statement
Continues execution with the statement at which the pointer is currently located, without executing any intermediate statements. Drag the pointer to the statement and click F5 to execute it.

Stepping commands are accessed from the DEBUG menu.

Parent topic: Debugging Scripts


Stepping Through Script Playback from a Selected Point

During debugging, you can execute the script from where playback was suspended by a breakpoint.

  1. Set a breakpoint at a specific line in the script.
  2. Press F5 to playback the script. Playback executes to the breakpoint, suspends and enters debug mode.
  3. Press F5 to playback the script to the next breakpoint. If the code executes successfully, playback re-enters debug mode and the next code to be played back is highlighted in yellow. If the code does not playback successfully, the Playback Error dialog box opens.
  4. Press F5 to step through playback of the remaining code in the script. Playback executes to the set breakpoint. The script displays in debug mode where you can step through the playback execution, control the step playback execution, or playback to/from certain points in the script.
Parent topic: Debugging Scripts


Controlling Line Execution During Script Debugging

While debugging a script, you can control flow to aid in error recognition and to reduce the time needed to diagnose and fix errors.

The Step Over command sets the execution point to the line in your script that you choose. This feature is only available while at a breakpoint during debugging.

Use the Step Over command when you want to re-run a statement within the current procedure or to skip over statements in your script you do not want to play back. While debugging a script, this feature lets you control flow to aid in error recognition and reduce the time needed to diagnose and fix errors.

  1. While debugging or at a breakpoint during playback, perform one of the following steps:
    • Drag the yellow arrow to the code line to be played back next.
    • Click to position the cursor on the next line to be played back and then choose DEBUG > Step Over.
  2. Press F5 to resume playback at the selected line. After the selected line executes, playback suspends, and Silk4NET returns to debug mode. The execution point goes to the next sequential line.
Parent topic: Debugging Scripts


Stopping Script Playback at Selected Points

You can configure scripts to suspend at set points during playback and enter debug mode. The points at which you set a script to stop on playback are called breakpoints. Breakpoints let you manage playback to facilitate debugging, and can help isolate where a script fails. Breakpoints help to analyze how a script plays back even if there are no errors in the script. When you set a breakpoint, playback stops at the breakpoint and enters debug mode.

Setting breakpoints enables a script to play back to any specific point of interest. Place breakpoints at specific lines where you want to stop playback. Playback executes to the first breakpoint and suspends until you tell the script to proceed.

  1. Open the script in which you want to set a breakpoint.
  2. Click the line where playback is to be suspended.
  3. Click DEBUG > Toggle Breakpoint. A breakpoint icon appears in the column next to the line. Playback executes to the set breakpoint. When playback suspends at a breakpoint, the script highlights the breakpoint line in yellow with a yellow arrow pointing to the line.
During debugging, you can control line execution during playback. You can also configure scripts to playback to or from a specific line.
Tip: Select a line with a breakpoint and press F9 to delete the breakpoint from the selected line. Press Ctrl+Shift+F9 to delete all breakpoints from a script.
Parent topic: Debugging Scripts


Printing a Script

You can print the code that displays in the Code window for easy review and troubleshooting.

  1. Open the script that you want to print.
  2. Choose File > Print. The Print dialog box opens.
  3. Select the printer from the list or click Find Printer to search for an additional printer.
  4. Optional: Check the Print to file check box to print to a file, such as a PDF.
  5. Optional: Click Preferences to change the page setup settings, for example margins and orientation.
  6. Optional: In the Page Range section, specify whether to print the entire document or only selected pages. Click one of the following options.
    • All – Prints the entire document.
    • Selection – Prints the selected code.
    • Pages – Prints the specified pages.
    • Current Page – Prints the current page.
  7. Optional: In the Number of copies filed, specify the number of copies to print.
  8. Optional: Check the Collate check box to print the corresponding page of every copy together. This check box is only enabled when you have selected to print more than one copy.
  9. Click Print.
Parent topic: Debugging Scripts


Testing Specific Environments

Silk4NET supports testing several types of environments.

  • Apache Flex Support
    Provides an overview of the controls available for Apache Flex applications.
  • Java AWT/Swing Support
    Provides an overview of the sample applications and controls available for applications or applets that use the Java AWT/Swing toolkit.
  • Java SWT and Eclipse RCP Support
    Provides an overview of the controls available for Java SWT applications.
  • Testing Mobile Applications
    Describes how you can test mobile applications on a mobile device or an Android emulator.
  • .NET Support
    Lists the types of .NET applications that Silk Test supports.
  • Rumba Support
    Describes how Silk4NET supports testing Rumba applications.
  • SAP Support
    Provides an overview of the controls available for SAP applications.
  • Windows API-Based Application Support
    Provides an overview of the controls available for Windows API-based applications.
  • Cross-Browser Testing
    Provides an overview of the sample applications and the controls that are available for cross-browser testing.
  • Limitations for Testing on Microsoft Windows 10
    Lists the known limitations for testing on Microsoft Windows 10.
  • 64-bit Application Support
    Lists the technology types that support testing 64-bit applications.
  • Supported Attribute Types
    Lists the attributes supported for dynamic object recognition.


Apache Flex Support

Silk4NET provides built-in support for testing Apache Flex applications using Internet Explorer and the Standalone Flash Player, and Adobe AIR applications built with Apache Flex 4 or later.

Silk4NET also supports multiple application domains in Apache Flex 3.x and 4.x applications, which enables you to test sub-applications. Silk4NET recognizes each sub-application in the locator hierarchy tree as an application tree with the relevant application domain context. At the root level in the locator attribute table, Apache Flex 4.x sub-applications use the SparkApplication class. Apache Flex 3.x sub-applications use the FlexApplication class.

Supported Controls

For a complete list of the record and playback controls available for Apache Flex testing, see the Flex Class Reference.

Note: The Silk Test Flex Automation SDK is based on the Automation API for Apache Flex. The Silk Test Automation SDK supports the same components in the same manner that the Automation API for Apache Flex supports them. For instance, the typekey statement in the Flex Automation API does not support all keys. You can use the input text statement to resolve this issue. For more information about using the Flex Automation API, see the Apache Flex Release Notes.
  • Configuring Flex Applications to Run in Adobe Flash Player
    Open a Flex application in Flash Player rather than in a browser window.
  • Launching the Component Explorer
    Start the Component Explorer sample application.
  • Testing Apache Flex Applications
    Lists the steps that must be performed in order to test Apache Flex applications.
  • Testing Apache Flex Custom Controls
    Describes the basic and advanced support available for testing custom controls.
  • Customizing Apache Flex Scripts
    Manually customize your Flex scripts. For instance, you can add a verification call to your script.
  • Testing Multiple Flex Applications on the Same Web Page
    If multiple Flex applications are the same size on a single Web page, use this task to ensure that Silk4NET correctly identifies the applications.
  • Adobe AIR Support
    Provides an overview of Adobe Air support within Silk4NET.
  • Overview of the Flex Select Method Using Name or Index
    Provides an overview of the Flex Select method.
  • Selecting an Item in the FlexDataGrid Control
    Select an item in the FlexDataGrid control using the index value or the content value.
  • Enabling Your Flex Application for Testing
    Describes the components that Apache Flex developers must include in the Flex application to enable testing.
  • Styles in Apache Flex Applications
    With Apache Flex 4.x, all new Flex controls, which are prefixed with Spark, such as SparkButton, do not expose styles as properties.
  • Configuring Flex Applications for Adobe Flash Player Security Restrictions
    When you play back tests that use Adobe Flash Player, unexpected results occur when high-level clicks are used in certain situations.
  • Attributes for Apache Flex Applications
    Lists the attributes supported for Apache Flex applications.
  • Why Cannot Silk4NET Recognize Apache Flex Controls?
    Describes what you can try when Silk4NET cannot recognize controls for an Apache Flex application.
Parent topic: Testing Specific Environments
Related reference
Flex Class Reference


Configuring Flex Applications to Run in Adobe Flash Player

To run an Apache Flex application in Flash Player, one or both of the following must be true:
  • The developer who creates the Flex application must compile the application as an EXE file. When a user launches the application, it will open in Flash Player. Install Windows Flash Player from http://www.adobe.com/support/flashplayer/downloads.html.
  • The user must have Windows Flash Player Projector installed. When a user opens a Flex .SWF file, he can configure it to open in Flash Player. Windows Flash Projector is not installed when Flash Player is installed unless you install the Apache Flex developer suite. Install Windows Flash Projector from http://www.adobe.com/support/flashplayer/downloads.html.
  1. For Microsoft Windows 7 and Microsoft Windows Server 2008 R2, configure Flash Player to run as administrator. Perform the following steps:
    1. Right-click the Adobe Flash Player program shortcut or the FlashPlayer.exe file, then click Properties.
    2. In the Properties dialog box, click the Compatibility tab.
    3. Check the Run this program as an administrator check box and then click OK.
  2. Start the .SWF file in Flash Player from the command prompt (cmd.exe) by typing: "<Application_Install_Directory>\ApplicationName.swf" By default, the <SilkTest_Install_Directory> is located at Program Files\Silk\Silk Test.
Parent topic: Apache Flex Support
Related tasks
Configuring Flex Applications for Adobe Flash Player Security Restrictions
Launching the Component Explorer


Launching the Component Explorer

Silk Test provides a sample Apache Flex application, the Component Explorer. Compiled with the Adobe Automation SDK and the Silk Test specific automation implementation, the Component Explorer is pre-configured for testing.

In Internet Explorer, open http://demo.borland.com/flex/SilkTest18.5/index.html. The application launches in your default browser.
Parent topic: Apache Flex Support
Related tasks
Configuring Flex Applications to Run in Adobe Flash Player


Testing Apache Flex Applications

Silk Test provides built-in support for testing Apache Flex applications. Silk Test also provides several sample Apache Flex applications. You can access the sample applications at http://demo.borland.com/flex/SilkTest18.5/index.html.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Before you can test your own Apache Flex application, your Apache Flex developers must perform the following steps:

  • Enabling your Apache Flex application for testing
  • Creating testable Apache Flex applications
  • Coding Apache Flex containers
  • Implementing automation support for custom controls

To test your own Apache Flex application, follow these steps:

  • Configuring security settings for your local Flash Player
  • Recording a test
  • Playing back a test
  • Customizing Apache Flex scripts
  • Testing a custom Apache Flex control
Note: Loading an Apache Flex application and initializing the Flex automation framework may take some time depending on the machine on which you are testing and the complexity of your Apache Flex application. Set the Window timeout value to a higher value to enable your application to fully load.
Parent topic: Apache Flex Support
Related concepts
Creating Testable Flex Applications
Coding Flex Containers
Related tasks
Customizing Apache Flex Scripts
Testing a Custom Control Using Automation Support


Dynamically Invoking Flex Methods

You can call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature. This feature is useful for working with custom controls and for working with controls that Silk4NET supports without customization.

Note: Typically, most properties are read-only and cannot be set.

Supported Methods and Properties

The following methods and properties can be called:
  • Methods and properties that Silk4NET supports for the control.
  • All public methods that the Flex API defines
  • If the control is a custom control that is derived from a standard control, all methods and properties from the standard control can be called.

Supported Parameter Types

The following parameter types are supported:
  • All built-in Silk4NET types

    Silk4NET types includes primitive types (such as boolean, int, string), lists, and other types (such as Point)

Returned Values

The following values are returned for properties and methods that have a return value:
  • The correct value for all built-in Silk4NET types. These types are listed in the Supported Parameter Types section.
  • All methods that have no return value return null in C# or Nothing in VB.
Parent topic: Testing Apache Flex Custom Controls
Related concepts
Dynamic Invoke
Custom Controls
Frequently Asked Questions About Dynamic Invoke
Related tasks
Testing a Flex Custom Control Using Dynamic Invoke


Defining a Custom Control in the Test Application

Typically, the test application already contains custom controls, which were added during development of the application. If your test application already includes custom controls, you can proceed to Testing a Flex Custom Control Using Dynamic Invoke or to Testing a Custom Control Using Automation Support.

This procedure shows how a Flex application developer can create a spinner custom control in Flex. The spinner custom control that we create in this topic is used in several topics to illustrate the process of implementing and testing a custom control.

The spinner custom control includes two buttons and a textfield, as shown in the following graphic.

Flex custom control

The user can click Down to decrement the value that is displayed in the textfield and click Up to increment the value in the textfield.

The custom control offers a public "Value" property that can be set and retrieved.

  1. In the test application, define the layout of the control. For example, for the spinner control type:
    <customcontrols:SpinnerClass xmlns:mx="http://www.adobe.com/2006/mxml" xmlns:controls="mx.controls.*" xmlns:customcontrols="customcontrols.*">
    <controls:Button id="downButton" label="Down" />
    <controls:TextInput id="text" enabled="false" />
    <controls:Button id="upButton" label="Up"/>
</customcontrols:SpinnerClass>
  2. Define the implementation of the custom control. For example, for the spinner control type:
    package customcontrols
{
    import flash.events.MouseEvent;

    import mx.containers.HBox;
    import mx.controls.Button;
    import mx.controls.TextInput;
    import mx.core.UIComponent;
    import mx.events.FlexEvent;

    [Event(name="increment", 	type="customcontrols.SpinnerEvent")]
    [Event(name="decrement", 	type="customcontrols.SpinnerEvent")]

    public class SpinnerClass extends HBox
    {
        public var downButton : Button;
        public var upButton : Button;
        public var text : TextInput;
        public var ssss: SpinnerAutomationDelegate;
        private var _lowerBound : int = 0;
        private var _upperBound : int = 5;

        private var _value : int = 0;
        private var _stepSize : int = 1;

        public function SpinnerClass() {
            addEventListener(FlexEvent.CREATION_COMPLETE, creationCompleteHandler);
        }

        private function creationCompleteHandler(event:FlexEvent) : void {
            downButton.addEventListener(MouseEvent.CLICK, downButtonClickHandler);
            upButton.addEventListener(MouseEvent.CLICK, upButtonClickHandler);
            updateText();
        }

        private function downButtonClickHandler(event : MouseEvent) : void {
            if(Value - stepSize >= lowerBound) {
                Value = Value - stepSize;
            }
            else {
                Value = upperBound - stepSize + Value - lowerBound + 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.DECREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function upButtonClickHandler(event : MouseEvent) : void {
            if(cValue <= upperBound - stepSize) {
                Value = Value + stepSize;
            }
            else {
                Value = lowerBound + Value + stepSize - upperBound - 1;
            }

            var spinnerEvent : SpinnerEvent = new SpinnerEvent(SpinnerEvent.INCREMENT);
            spinnerEvent.steps = _stepSize;
            dispatchEvent(spinnerEvent);
        }

        private function updateText() : void {
            if(text != null) {
                text.text = _value.toString();
            }
        }

        public function get Value() : int {
            return _value;
        }

        public function set Value(v : int) : void {
            _value = v;
            if(v < lowerBound) {
                _value = lowerBound;
            }
            else if(v > upperBound) {
                _value = upperBound;
            }
            updateText();

        }

        public function get stepSize() : int {
            return _stepSize;
        }

        public function set stepSize(v : int) : void {
            _stepSize = v;
        }

        public function get lowerBound() : int {
            return _lowerBound;
        }

        public function set lowerBound(v : int) : void {
            _lowerBound = v;
            if(Value < lowerBound) {
                Value = lowerBound;
            }
        }

        public function get upperBound() : int {
            return _upperBound;
        }

        public function set upperBound(v : int) : void {
            _upperBound = v;
            if(Value > upperBound) {
                Value = upperBound;
            }
        }
    }
}
  3. Define the events that the control uses. For example, for the spinner control type:
    package customcontrols
{
    import flash.events.Event;

    public class SpinnerEvent extends Event
    {
        public static const INCREMENT : String = "increment";
        public static const DECREMENT : String = "decrement";

        private var _steps : int;

        public function SpinnerEvent(eventName : String) {
            super(eventName);
        }

        public function set steps(value:int) : void {
            _steps = value;
        }

        public function get steps() : int {
            return _steps;
        }

    }
}

The next step is to implement automation support for the test application.

Parent topic: Testing Apache Flex Custom Controls
Related tasks
Testing a Flex Custom Control Using Dynamic Invoke
Testing a Custom Control Using Automation Support
Implementing Automation Support for a Custom Control


Testing a Flex Custom Control Using Dynamic Invoke

Silk4NET provides record and playback support for custom controls using dynamic invoke to interact with the custom control during replay. Use this low-effort approach when you want to access properties and methods of the custom control in the test application that Silk4NET does not expose. The developer of the custom control can also add methods and properties to the custom control specifically for making the control easier to test.

  1. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.
  2. Call dynamic methods on objects with the Invoke method.
  3. Call multiple dynamic methods on objects with the InvokeMethods method.
  4. To retrieve a list of supported dynamic properties for a control, use the GetPropertyList method.
  5. Retrieve dynamic properties with the GetProperty method and set dynamic properties with the SetProperty method.

Example

The following example tests a spinner custom control that includes two buttons and a textfield, as shown in the following graphic.

Flex custom control

The user can click Down to decrement the value that is displayed in the textfield and click Up to increment the value in the textfield.

The custom control offers a public "Value" property that can be set and retrieved.

To set the spinner's value to 4, type the following:
Dim spinner = Desktop.Find("//FlexBox[@className=customcontrols.Spinner]")
spinner.SetProperty("Value", 4)
Parent topic: Testing Apache Flex Custom Controls
Related concepts
Dynamically Invoking Flex Methods


Testing a Custom Control Using Automation Support

You can create specific automation support for the custom control. This additional automation support provides recording support and more powerful play-back support. To create automation support, the test application must be modified and the Open Agent must be extended.

Before you can test a custom control in Silk4NET, perform the following steps:
  • Define the custom control in the test application
  • Implement automation support

After the test application has been modified and includes automation support, perform the following steps:

For scripts, record the script and make manual modifications to fit the custom control. For example, the following code shows how to increment the spinner's value by 3 by using the "Increment" method that has been implemented in the automation delegate:
_desktop.TestObject("//FlexSpinner[@caption='index:1']").Invoke("Increment", 3)
The following example shows how to set the value of the spinner to 3.
_desktop.TestObject("//FlexSpinner[@caption='index:1']").SetProperty("Value", 3)
  • Implementing Automation Support for a Custom Control
    Before you can test a custom control, implement automation support (the automation delegate) in ActionScript for the custom control and compile that into the test application.
  • Flex Class Definition File
    Describes the contents of the Flex class definition file.
Parent topic: Testing Apache Flex Custom Controls
Related concepts
Creating Testable Flex Applications


Implementing Automation Support for a Custom Control

Before you can test a custom control, implement automation support (the automation delegate) in ActionScript for the custom control and compile that into the test application.

The following procedure uses a custom Flex spinner control to demonstrate how to implement automation support for a custom control. The spinner custom control includes two buttons and a textfield, as shown in the following graphic.

Flex custom control

The user can click Down to decrement the value that is displayed in the textfield and click Up to increment the value in the textfield.

The custom control offers a public "Value" property that can be set and retrieved.

  1. Implement automation support (the automation delegate) in ActionScript for the custom control. For further information about implementing an automation delegate, see the Adobe Live Documentation at http://livedocs.adobe.com/flex/3/html/help.html?content=functest_components2_14.html. In this example, the automation delegate adds support for the methods "increment", "decrement". The example code for the automation delegate looks like this:
    package customcontrols
{
    import flash.display.DisplayObject;
    import mx.automation.Automation;
    import customcontrols.SpinnerEvent;
    import mx.automation.delegates.containers.BoxAutomationImpl;
    import flash.events.Event;
    import mx.automation.IAutomationObjectHelper;
    import mx.events.FlexEvent;
    import flash.events.IEventDispatcher;
    import mx.preloaders.DownloadProgressBar;
    import flash.events.MouseEvent;
    import mx.core.EventPriority;

    [Mixin]
    public class SpinnerAutomationDelegate extends BoxAutomationImpl
    {

        public static function init(root:DisplayObject) : void {
            // register delegate for the automation
            Automation.registerDelegateClass(Spinner, SpinnerAutomationDelegate);
        }

        public function SpinnerAutomationDelegate(obj:Spinner) {
            super(obj);
            // listen to the events of interest (for recording)
            obj.addEventListener(SpinnerEvent.DECREMENT, decrementHandler);
            obj.addEventListener(SpinnerEvent.INCREMENT, incrementHandler);
        }

        protected function decrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function incrementHandler(event : SpinnerEvent) : void {
            recordAutomatableEvent(event);
        }

        protected function get spinner() : Spinner {
            return uiComponent as Spinner;
        }

        //----------------------------------
        //  override functions
        //----------------------------------

        override public function get automationValue():Array {
            return [ spinner.Value.toString() ];
        }

        private function replayClicks(button : IEventDispatcher, steps : int) : Boolean {
            var helper : IAutomationObjectHelper = Automation.automationObjectHelper;
            var result : Boolean;
            for(var i:int; i < steps; i++) {
                helper.replayClick(button);
            }
            return result;
        }

        override public function replayAutomatableEvent(event:Event):Boolean {

            if(event is SpinnerEvent) {
                var spinnerEvent : SpinnerEvent = event as SpinnerEvent;
                if(event.type == SpinnerEvent.INCREMENT) {
                    return replayClicks(spinner.upButton, spinnerEvent.steps);
                }
                else if(event.type == SpinnerEvent.DECREMENT) {
                    return replayClicks(spinner.downButton, spinnerEvent.steps);
                }
                else {
                    return false;
                }

            }
            else {
                return super.replayAutomatableEvent(event);
            }
        }

        // do not expose the child controls (i.e the buttons and the textfield) as individual controls
        override public function get numAutomationChildren():int {
            return 0;
        }

    }
}
  2. To introduce the automation delegate to the Open Agent, create an XML file that describes the custom control. The class definition file contains information about all instrumented Flex components. This file (or files) provides information about the components that can send events during recording and accept events for replay. The class definition file also includes the definitions for the supported properties. The XML file for the spinner custom control looks like this:
    <TypeInformation>
    <ClassInfo Name="FlexSpinner" Extends="FlexBox">
        <Implementation
            Class="customcontrols.Spinner" />
        <Events>
            <Event Name="Decrement">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="decrement" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
            <Event Name="Increment">
                <Implementation
                    Class="customcontrols.SpinnerEvent"
                    Type="increment" />
                <Property Name="steps">
                    <PropertyType Type="integer" />
                </Property>
            </Event>
        </Events>
        <Properties>
            <Property Name="lowerBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="upperBound" accessType="read">
                <PropertyType Type="integer" />
            </Property>
            <!-- expose read and write access for the Value property -->
            <Property Name="Value" accessType="both">
                <PropertyType Type="integer" />
            </Property>
            <Property Name="stepSize" accessType="read">
                <PropertyType Type="integer" />
            </Property>
        </Properties>
    </ClassInfo>
</TypeInformation>
  3. Include the XML file for the custom control in the folder that includes all the XML files that describe all classes and their methods and properties for the supported Flex controls. Silk Test contains several XML files that describe all classes and their methods and properties for the supported Flex controls. Those XML files are located in the <<Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<version>\config\automationEnvironment folder. If you provide your own XML file, you must copy your XML file into this folder. When the Open Agent starts and initializes support for Apache Flex, it reads the contents of this directory. To test the Flex Spinner sample control, you must copy the CustomControls.xml file into this folder. If the Open Agent is currently running, restart it after you copy the file into the folder.
Parent topic: Testing a Custom Control Using Automation Support


Flex Class Definition File

The class definition file contains information about all instrumented Flex components. This file (or files) provides information about the components that can send events during recording and accept events for replay. The class definition file also includes the definitions for the supported properties.

Silk Test contains several XML files that describe all classes/events/properties for the common Flex common and specialized controls. Those XML files are located in the <Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<version>\config\automationEnvironment folder.

If you provide your own XML file, you must copy your XML file into this folder. When the Silk Test agent starts and initializes support for Apache Flex, it reads the contents of this directory.

The XML file has the following basic structure:
<TypeInformation>

<ClassInfo>

<Implementation />

<Events>

<Event />

…

</Events>

<Properties>

<Property />

…

</Properties>

</ClassInfo>

</TypeInformation>
Parent topic: Testing a Custom Control Using Automation Support
Parent topic: Creating Testable Flex Applications


Customizing Apache Flex Scripts

You can manually customize your Flex scripts. You can insert verifications manually using the Verify function on Flex object properties. Each Flex object has a list of properties that you can verify. For a list of the properties available for verification, review the Flex Class Reference.

  1. Record a test for your Flex application.
  2. Open the script file that you want to customize.
  3. Manually type the code that you want to add.
Parent topic: Apache Flex Support


Testing Multiple Flex Applications on the Same Web Page

When multiple Flex applications exist on the same Web page, Silk4NET uses the Flex application ID or the application size property to determine which application to test. If multiple applications exist on the same page, but they are different sizes, Silk4NET uses the size property to determine on which application to perform any actions and no additional steps are necessary.

Silk4NET uses JavaScript to find the Flex application ID to determine on which application to perform any actions if:

  • Multiple Flex applications exist on a single Web page
  • Those applications are the same size
Note: In this situation, if JavaScript is not enabled on the browser machine, an error occurs when a script runs.
  1. Enable JavaScript.
  2. In Internet Explorer, perform the following steps:
    1. Choose Tools > Internet Options.
    2. Click the Security tab.
    3. Click Custom level.
    4. In the Scripting section, under Active Scripting, click Enable and click OK.
  3. Follow the steps in Testing Apache Flex Applications.
    Note: If a frame exists on the Web page and the applications are the same size, this method will not work.
Parent topic: Apache Flex Support
Related concepts
Testing Apache Flex Applications


Adobe AIR Support

Silk4NET supports testing with Adobe AIR for applications that are compiled with the Flex 4 compiler. For details about supported versions, check the Release Notes for the latest information.

Silk Test provides a sample Adobe AIR application. You can access the sample application at http://demo.borland.com/flex/SilkTest18.5/index.html and then click the Adobe AIR application that you want to use. You can select the application with or without automation. In order to execute the AIR application, you must install the Adobe AIR Runtime.

Parent topic: Apache Flex Support


Overview of the Flex Select Method Using Name or Index

You can record Flex Select methods using the Name or Index of the control that you select. By default, Silk4NET records Select methods using the name of the control. However, you can change your environment to record Select events using the index for the control, or you can switch between the name and index for recording.

You can record Select events using the index for the following controls:

  • FlexList
  • FlexTree
  • FlexDataGrid
  • FlexAdvancedDataGrid
  • FlexOLAPDataGrid
  • FlexComboBox

The default setting is ItemBasedSelection (Select event), which uses the name control. To use the index, you must adapt the AutomationEnvironment to use the IndexBasedSelection (SelectIndex event). To change the behavior for one of these classes, you must modify the FlexCommonControls.xml, AdvancedDataGrid.xml, or OLAPDataGrid.xml file using the following code. Those XML files are located in the <Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_< version>\config\automationEnvironment folder. Make the following adaptations in the corresponding xml file.

<ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
With this adaption the IndexBasedSelection is used for recording FlexList::SelectIndex events. Setting the EnableIndexBasedSelection= to false in the code or removing the Boolean returns recording to using the name (FlexList::Select events).
Note: You must re-start your application, which automatically re-starts the Silk Test Agent, in order for these changes to become active.
Parent topic: Apache Flex Support


Selecting an Item in the FlexDataGrid Control

Select an item in the FlexDataGrid control using the index value or the content value.

  1. To select an item in the FlexDataGrid control using the index value, use the SelectIndex method. For example, type FlexDataGrid.SelectIndex(1).
  2. To select an item in the FlexDataGrid control using the content value, use the Select method. Identify the row that you want to select with the required formatted string. Items must be separated by a pipe (" | "). At least one Item must be enclosed by two stars ("*"). This identifies the item where the click will be performed. The syntax is: FlexDataGrid.Select("*Item1* | Item2 | Item3")
Parent topic: Apache Flex Support
Related tasks
Testing Multiple Flex Applications on the Same Web Page
Related reference
Flex Class Reference


Enabling Your Flex Application for Testing

To enable your Flex application for testing, your Apache Flex developers must include the following components in the Flex application:

  • Apache Flex Automation Package
  • Silk Test Automation Package

Apache Flex Automation Package

The Flex automation package provides developers with the ability to create Flex applications that use the Automation API. You can download the Flex automation package from Adobe's website, http://www.adobe.com. The package includes:

  • Automation libraries – the automation.swc and automation_agent.swc libraries are the implementations of the delegates for the Flex framework components. The automation_agent.swc file and its associated resource bundle are the generic agent mechanism. An agent, such as the Silk Test Agent, builds on top of these libraries.
  • Samples
Note: The Silk Test Flex Automation SDK is based on the Automation API for Flex. The Silk Test Automation SDK supports the same components in the same manner that the Automation API for Flex supports them. For instance, the typekey statement in the Flex Automation API does not support all keys. You can use the input text statement to resolve this issue. For more information about using the Flex Automation API, see the Apache Flex Release Notes.

Silk Test Automation Package

Silk Test's Open Agent uses the Apache Flex automation agent libraries. The FlexTechDomain.swc file contains the Silk Test specific implementation.

You can enable your application for testing using either of the following methods:

  • Linking automation packages to your Flex application
  • Run-time loading
  • Linking Automation Packages to Your Flex Application
    Describes how to precompile Flex applications that you plan to test.
  • Precompiling the Flex Application for Testing
    Enable your application for testing by precompiling your application for testing.
  • Run-Time Loading
    Provides an overview of loading Flex automation support at run time using the Silk Test Flex Automation Launcher.
  • Using the Command Line to Add Configuration Information
    Specify the location of the automation.swc, automation_agent.swc, and FlexTechDomain.swc libraries using the command-line compiler.
  • Passing Parameters into a Flex Application
    Lists the ways that you can pass parameters into a Flex application.
  • Creating Testable Flex Applications
    Describes how to provide meaningful identification of objects and how to avoid duplicating objects.
  • Coding Flex Containers
    Containers differ from other kinds of controls because they are used both to record user interactions (such as when a user moves to the next pane in an Accordion container) and to provide unique locations for controls in the testing scripts.
  • Flex Automation Testing Workflow
    Lists the Silk4NET workflow for testing Flex applications.
Parent topic: Apache Flex Support


Linking Automation Packages to Your Flex Application

You must precompile Flex applications that you plan to test. The functional testing classes are embedded in the application at compile time, and the application has no external dependencies for automated testing at run time.

When you embed functional testing classes in your application SWF file at compile time, the size of the SWF file increases. If the size of the SWF file is not important, use the same SWF file for functional testing and deployment. If the size of the SWF file is important, generate two SWF files, one with functional testing classes embedded and one without. Use the SWF file that does not include the embedded testing classes for deployment.

When you precompile the Flex application for testing, in the include-libraries compiler option, reference the following files:

  • automation.swc
  • automation_agent.swc
  • FlexTechDomain.swc
  • automation_charts.swc (include only if your application uses charts and Flex 2.0)
  • automation_dmv.swc (include if your application uses charts and Flex > 3.x)
  • automation_flasflexkit.swc (include if your application uses embedded flash content)
  • automation_spark.swc (include if your application uses the new Flex 4.x controls)
  • automation_air.swc (include if your application is an AIR application)
  • automation_airspark.swc (include if your application is an AIR application and uses new Flex 4.x controls)

When you create the final release version of your Flex application, you recompile the application without the references to these SWC files. For more information about using the automation SWC files, see the Apache Flex Release Notes.

If you do not deploy your application to a server, but instead request it by using the file protocol or run it from within Apache Flex Builder, you must include each SWF file in the local-trusted sandbox. This requires additional configuration information. Add the additional configuration information by modifying the compiler's configuration file or using a command-line option.

Note: The Silk Test Flex Automation SDK is based on the Automation API for Flex. The Silk Test Automation SDK supports the same components in the same manner that the Automation API for Flex supports them. For instance, when an application is compiled with automation code and successive SWF files are loaded, a memory leak occurs and the application runs out of memory eventually. The Flex Control Explorer sample application is affected by this issue. The workaround is to not compile the application SWF files that Explorer loads with automation libraries. For example, compile only the Explorer main application with automation libraries. Another alternative is to use the module loader instead of swfloader. For more information about using the Flex Automation API, see the Apache FlexRelease Notes.
Parent topic: Enabling Your Flex Application for Testing
Related concepts
Run-Time Loading
Related tasks
Precompiling the Flex Application for Testing
Using the Command Line to Add Configuration Information


Precompiling the Flex Application for Testing

You can enable your application for testing by precompiling your application for testing or by using run-time loading.

  1. Include the automation.swc, automation_agent.swc, and FlexTechDomain.swc libraries in the compiler’s configuration file by adding the following code to the configuration file:
    <include-libraries>

...

<library>/libs/automation.swc</library>

<library>/libs/automation_agent.swc</library>

<library>pathinfo/FlexTechDomain.swc</library>

</include-libraries>
    Note: If your application uses charts, you must also add the automation_charts.swc file.
  2. Specify the location of the automation.swc, automation_agent.swc, and FlexTechDomain.swc libraries using the include-libraries compiler option with the command-line compiler. The configuration files are located at:

    Apache Flex 2 SDK – <flex_installation_directory>/frameworks/flex-config.xml

    Apache Flex Data Services – <flex_installation_directory>/flex/WEB-INF/flex/flex-config.xml

    The following example adds the automation.swc and automation_agent.swc files to the application:
    mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
    Note: Explicitly setting the include-libraries option on the command line overwrites, rather than appends, the existing libraries. If you add the automation.swc and automation_agent.swc files using the include-libraries option on the command line, ensure that you use the += operator. This appends rather than overwrites the existing libraries that are included.
    Note: The Silk Test Flex Automation SDK is based on the Automation API for Flex. The Silk Test Automation SDK supports the same components in the same manner that the Automation API for Flex supports them. For instance, when an application is compiled with automation code and successive SWF files are loaded, a memory leak occurs and the application runs out of memory eventually. The Flex Control Explorer sample application is affected by this issue. The workaround is to not compile the application SWF files that Explorer loads with automation libraries. For example, compile only the Explorer main application with automation libraries. Another alternative is to use the module loader instead of swfloader. For more information about using the Flex Automation API, see the Apache FlexRelease Notes.
Parent topic: Enabling Your Flex Application for Testing
Related concepts
Run-Time Loading
Related tasks
Using the Command Line to Add Configuration Information


Run-Time Loading

You can load Flex automation support at run time using the Silk Test Flex Automation Launcher. This application is compiled with the automation libraries and loads your application with the SWFLoader class. This automatically enables your application for testing without compiling automation libraries into your SWF file. The Silk Test Flex Automation Launcher is available in HTML and SWF file formats.

Limitations

  • The Flex Automation Launcher Application automatically becomes the root application. If your application must be the root application, you cannot load automation support with the Silk Test Flex Automation Launcher.
  • Testing applications that load external libraries – Applications that load other SWF file libraries require a special setting for automated testing. A library that is loaded at run time (including run-time shared libraries (RSLs) must be loaded into the ApplicationDomain of the loading application. If the SWF file used in the application is loaded in a different application domain, automated testing record and playback will not function properly. The following example shows a library that is loaded into the same ApplicationDomain:
    import flash.display.*;

import flash.net.URLRequest;

import flash.system.ApplicationDomain;

import flash.system.LoaderContext;

var ldr:Loader = new Loader();

var urlReq:URLRequest = new URLRequest("RuntimeClasses.swf");

var context:LoaderContext = new LoaderContext();

context.applicationDomain = ApplicationDomain.currentDomain;

loader.load(request, context);
  • Loading at Run-Time
    Use the Silk Test Flex Automation Launcher to load Flex automation support at run time.
Parent topic: Enabling Your Flex Application for Testing
Related concepts
Linking Automation Packages to Your Flex Application
Related tasks
Precompiling the Flex Application for Testing
Using the Command Line to Add Configuration Information


Loading at Run-Time

  1. Copy the content of the Silk\Silk Test\ng\AutomationSDK\Flex\<version>\FlexAutomationLauncher directory into the directory of the Flex application that you are testing.
  2. Open FlexAutomationLauncher.html in Windows Explorer and add the following parameter as a suffix to the file path:
    ?automationurl=YourApplication.swf

    where YourApplication.swf is the name of the SWF file for your Flex application.

  3. Add file:/// as a prefix to the file path. For example, if your file URL includes a parameter, such as: ?automationurl=explorer.swf, type: .
    file:///C:/Program%20Files/Silk/Silk Test/ng/sampleapplications/Flex/3.2/FlexControlExplorer32/FlexAutomationLauncher.html?automationurl=explorer.swf
Parent topic: Run-Time Loading


Using the Command Line to Add Configuration Information

To specify the location of the automation.swc, automation_agent.swc, and FlexTechDomain.swc libraries using the command-line compiler, use the include-libraries compiler option.

The following example adds the automation.swc and automation_agent.swc files to the application:

mxmlc -include-libraries+=../frameworks/libs/automation.swc;../frameworks/libs/
automation_agent.swc;pathinfo/FlexTechDomain.swc MyApp.mxml
Note: If your application uses charts, you must also add the automation_charts.swc file to the include-libraries compiler option.

Explicitly setting the include-libraries option on the command line overwrites, rather than appends, the existing libraries. If you add the automation.swc and automation_agent.swc files using the include-libraries option on the command line, ensure that you use the += operator. This appends rather than overwrites the existing libraries that are included.

To add automated testing support to a Flex Builder project, you must also add the automation.swc and automation_agent.swc files to the include-libraries compiler option.

Parent topic: Enabling Your Flex Application for Testing
Related concepts
Linking Automation Packages to Your Flex Application
Run-Time Loading
Related tasks
Precompiling the Flex Application for Testing


Passing Parameters into a Flex Application

You can pass parameters into a Flex application using the following procedures.

  • Passing Parameters into a Flex Application Before Runtime
    Pass parameters into a Flex application before runtime using automation libraries.
  • Passing Parameters into a Flex Application at Runtime Using the Flex Automation Launcher
    Pass parameters into a Flex application at Runtime Using the Flex Automation Launcher.
Parent topic: Enabling Your Flex Application for Testing


Passing Parameters into a Flex Application Before Runtime

You can pass parameters into a Flex application before runtime using automation libraries.

  1. Compile your application with the appropriate automation libraries.
  2. Use the standard Flex mechanism for the parameter as you typically would.
Parent topic: Passing Parameters into a Flex Application
Related tasks
Precompiling the Flex Application for Testing


Passing Parameters into a Flex Application at Runtime Using the Flex Automation Launcher

Before you begin this task, prepare your application for run-time loading.

  1. Open the FlexAutomationLauncher.html file or create a file using FlexAutomationLauncher.html as an example.
  2. Navigate to the following section:
    <script language="JavaScript" type="text/javascript">

                AC_FL_RunContent(eef

                   "src", "FlexAutomationLauncher",

                   "width", "100%",

                   "height", "100%",

                   "align", "middle",

                   "id", "FlexAutomationLauncher",

                   "quality", "high",

                   "bgcolor", "white",

                   "name", "FlexAutomationLauncher",

                   "allowScriptAccess","sameDomain",

                   "type", "application/x-shockwave-flash",

                   "pluginspage", "http://www.adobe.com/go/getflashplayer",

                   "flashvars", "yourParameter=yourParameterValue"+ "&automationurl=YourApplication.swf"

                );

        </script>
    Note: Do not change the "FlexAutomationLauncher" value for "src", "id", or "name."
  3. Add your own parameter to "yourParameter=yourParameterValue".
  4. Pass the name of the Flex application that you want to test as value for the "& automationurl=YourApplication.swf" value.
  5. Save the file.
Parent topic: Passing Parameters into a Flex Application


Creating Testable Flex Applications

As a Flex developer, you can employ techniques to make Flex applications as "test friendly" as possible. These include:

  • Providing Meaningful Identification of Objects
  • Avoiding Duplication of Objects

Providing Meaningful Identification of Objects

To create "test friendly" applications, ensure that objects are identifiable in scripts. You can set the value of the ID property for all controls that are tested, and ensure that you use a meaningful string for that ID property.

To provide meaningful identification of objects:

  • Give all testable MXML components an ID to ensure that the test script has a unique identifier to use when referring to that Flex control.
  • Make these identifiers as human-readable as possible to make it easier for the user to identify that object in the testing script. For example, set the id property of a Panel container inside a TabNavigator to submit_panel rather than panel1 or p1.

When working with Silk4NET, an object is automatically given a name depending on certain tags, for instance, id, childIndex. If there is no value for the id property, Silk4NET uses other properties, such as the childIndex property. Assigning a value to the id property makes the testing scripts easier to read.

Avoiding Duplication of Objects

Automation agents rely on the fact that some properties of object instances will not be changed during run time. If you change the Flex component property that is used by Silk4NET as the object name at run time, unexpected results can occur. For example, if you create a Button control without an automationName property, and you do not initially set the value of its label property, and then later set the value of the label property, problems might occur. In this case, Silk4NET uses the value of the label property of Button controls to identify an object if the automationName property is not set. If you later set the value of the label property, or change the value of an existing label, Silk4NET identifies the object as a new object and does not reference the existing object.

To avoid duplicating objects:

  • Understand what properties are used to identify objects in the agent and avoid changing those properties at run time.
  • Set unique, human-readable id or automationName properties for all objects that are included in the recorded script.
  • Custom Attributes for Apache Flex Applications
    Describes which attributes you can use to create stable identifiers for Apache Flex applications.
  • Flex AutomationName and AutomationIndex Properties
    Describes how Silk Test uses the automationName and automationIndex properties.
  • Flex Class Definition File
    Describes the contents of the Flex class definition file.
  • Setting the Flex automationName Property
    Describes the benefits of setting the Flex automationName property.
  • Setting the Flex Select Method to Use Name or Index
    Record Flex Select methods using the Name or Index of the control that you select.
Parent topic: Enabling Your Flex Application for Testing
Related concepts
Testing Apache Flex Applications
Coding Flex Containers
Flex Automation Testing Workflow


Flex AutomationName and AutomationIndex Properties

The Flex Automation API introduces the automationName and automationIndex properties. If you provide the automationName, Silk4NET uses this value for the recorded window declaration's name. Providing a meaningful name makes it easier for Silk4NET to identify that object. As a best practice, set the value of the automationName property for all objects that are part of the application's test.

Use the automationIndex property to assign a unique index value to an object. For instance, if two objects share the same name, assign an index value to distinguish between the two objects.
Note: The Silk Test Flex Automation SDK is based on the Automation API for Flex. The Silk Test Automation SDK supports the same components in the same manner that the Automation API for Flex supports them. For instance, when an application is compiled with automation code and successive SWF files are loaded, a memory leak occurs and the application runs out of memory eventually. The Flex Control Explorer sample application is affected by this issue. The workaround is to not compile the application SWF files that Explorer loads with automation libraries. For example, compile only the Explorer main application with automation libraries. Another alternative is to use the module loader instead of swfloader. For more information about using the Flex Automation API, see the Apache Flex Release Notes.
Parent topic: Creating Testable Flex Applications
Related concepts
Enabling Your Flex Application for Testing
Coding Flex Containers
Flex Automation Testing Workflow
Related tasks
Setting the Flex Select Method to Use Name or Index


Setting the Flex automationName Property

The automationName property defines the name of a component as it appears in tests. The default value of this property varies depending on the type of component. For example, the automationName for a Button control is the label of the Button control. Sometimes, the automationName is the same as the id property for the control, but this is not always the case.

For some components, Flex sets the value of the automationName property to a recognizable attribute of that component. This helps testers recognize the component in their tests. Because testers typically do not have access to the underlying source code of the application, having a control's visible property define that control can be useful. For example, a Button labeled "Process Form Now" appears in the test as FlexButton("Process Form Now").

If you implement a new component, or derive from an existing component, you might want to override the default value of the automationName property. For example, UIComponent sets the value of the automationName to the component's id property by default. However, some components use their own methods for setting the value. For example, in the Flex Store sample application, containers are used to create the product thumbnails. A container's default automationName would not be very useful because it is the same as the container's id property. So, in Flex Store, the custom component that generates a product thumbnail explicitly sets the automationName to the product name to make testing the application easier.

Example

The following example from the CatalogPanel.mxml custom component sets the value of the automationName property to the name of the item as it appears in the catalog. This is more recognizable than the default automation name.

thumbs[i].automationName = catalog[i].name;

Example

The following example sets the automationName property of the ComboBox control to "Credit Card List"; rather than using the id property, the testing tool typically uses "Credit Card List" to identify the ComboBox in its scripts:
<?xml version="1.0"?>
<!-- at/SimpleComboBox.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>
    <![CDATA[
      [Bindable]
      public var cards: Array = [
        {label:"Visa", data:1},
        {label:"MasterCard", data:2},
        {label:"American Express", data:3}
      ];

      [Bindable]
      public var selectedItem:Object;
      ]
   ]>
  </mx:Script>
  <mx:Panel title="ComboBox Control Example">
    <mx:ComboBox id="cb1" dataProvider="{cards}"
      width="150"
      close="selectedItem=ComboBox(event.target).selectedItem"
      automationName="Credit Card List"
    />
    <mx:VBox width="250">
      <mx:Text width="200" color="blue" text="Select a type of credit card." />
      <mx:Label text="You selected: {selectedItem.label}"/>
      <mx:Label text="Data: {selectedItem.data}"/>
    </mx:VBox>
  </mx:Panel>
</mx:Application>

Setting the value of the automationName property ensures that the object name will not change at run time. This helps to eliminate unexpected results.

If you set the value of the automationName property, tests use that value rather than the default value. For example, by default, Silk4NET uses a Button control's label property as the name of the Button in the script. If the label changes, the script can break. You can prevent this from happening by explicitly setting the value of the automationName property.

Buttons that have no label, but have an icon, are recorded by their index number. In this case, ensure that you set the automationName property to something meaningful so that the tester can recognize the Button in the script. After the value of the automationName property is set, do not change the value during the component's life cycle. For item renderers, use the automationValue property rather than the automationName property. To use the automationValue property, override the createAutomationIDPart() method and return a new value that you assign to the automationName property, as the following example shows:

<mx:List xmlns:mx="http://www.adobe.com/2006/mxml">
  <mx:Script>
    <![CDATA[
      import mx.automation.IAutomationObject;
      override public function
      createAutomationIDPart(item:IAutomationObject):Object {
        var id:Object = super.createAutomationIDPart(item);
        id["automationName"] = id["automationIndex"];
        return id;
      }
    ]]>
  </mx:Script>
</mx:List>

Use this technique to add index values to the children of any container or list-like control. There is no method for a child to specify an index for itself.

Parent topic: Creating Testable Flex Applications
Related concepts
Enabling Your Flex Application for Testing
Coding Flex Containers
Flex AutomationName and AutomationIndex Properties
Related tasks
Setting the Flex Select Method to Use Name or Index


Setting the Flex Select Method to Use Name or Index

You can record Flex Select methods using the Name or Index of the control that you select. By default, Silk Test records Select methods using the name of the control. However, you can change your environment to record Select events using the index for the control, or you can switch between the name and index for recording.

  1. Determine which class you want to modify to use the Index. You can record Select events using the index for the following controls:
    • FlexList
    • FlexTree
    • FlexDataGrid
    • FlexOLAPDataGrid
    • FlexComboBox
    • FlexAdvancedDataGrid
  2. Determine which XML file is related to the class that you want to modify. The XML files related to the preceding controls include: FlexCommonControls.xml, AdvancedDataGrid.xml, or OLAPDataGrid.xml.
  3. Navigate to the XML files that are related to the class that you want to modify. The XML files are located in the <Silk Test_install_directory>\ng\agent\plugins\com.borland.fastxd.techdomain.flex.agent_<version>\config\automationEnvironment folder.
  4. Make the following adaptations in the corresponding XML file.
    <ClassInfo Extends="FlexList" Name="FlexControlName"  EnableIndexBasedSelection=”true” >

…

</ClassInfo>
    For instance, you might use "FlexList" as the " FlexControlName" and modify the FlexCommonControls.xml file.

    With this adaption the IndexBasedSelection is used for recording FlexList::SelectIndex events.

    Note: Setting the EnableIndexBasedSelection= to false in the code or removing the boolean returns recording to using the name (FlexList::Select events).
  5. Re-start your Flex application and the Open Agent in order for these changes to become active.
Parent topic: Creating Testable Flex Applications
Related concepts
Flex AutomationName and AutomationIndex Properties


Coding Flex Containers

Containers differ from other kinds of controls because they are used both to record user interactions (such as when a user moves to the next pane in an Accordion container) and to provide unique locations for controls in the testing scripts.

  • Adding and Removing Containers from the Automation Hierarchy
    Describes when and how to remove containers from the automation hierarchy.
  • Multiview Containers
    Describes best practices for using multiview containers.
Parent topic: Enabling Your Flex Application for Testing
Related concepts
Testing Apache Flex Applications
Creating Testable Flex Applications


Adding and Removing Containers from the Automation Hierarchy

In general, the automated testing feature reduces the amount of detail about nested containers in its scripts. It removes containers that have no impact on the results of the test or on the identification of the controls from the script. This applies to containers that are used exclusively for layout, such as the HBox, VBox, and Canvas containers, except when they are being used in multiple-view navigator containers, such as the ViewStack, TabNavigator, or Accordion containers. In these cases, they are added to the automation hierarchy to provide navigation.

Many composite components use containers, such as Canvas or VBox, to organize their children. These containers do not have any visible impact on the application. As a result, you typically exclude these containers from testing because there is no user interaction and no visual need for their operations to be recordable. By excluding a container from testing, the related test script is less cluttered and easier to read.

To exclude a container from being recorded (but not exclude its children), set the container's showInAutomationHierarchy property to false. This property is defined by the UIComponent class, so all containers that are a subclass of UIComponent have this property. Children of containers that are not visible in the hierarchy appear as children of the next highest visible parent.

The default value of the showInAutomationHierarchy property depends on the type of container. For containers such as Panel, Accordion, Application, DividedBox, and Form, the default value is true; for other containers, such as Canvas, HBox, VBox, and FormItem, the default value is false.

The following example forces the VBox containers to be included in the test script's hierarchy:
<?xml version="1.0"?>
<!-- at/NestedButton.mxml -->
<mx:Application xmlns:mx="http://www.adobe.com/2006/mxml">
<mx:Panel title="ComboBox Control Example">
<mx:HBox id="hb">
<mx:VBox id="vb1" showInAutomationHierarchy="true">
<mx:Canvas id="c1">
<mx:Button id="b1" automationName="Nested Button 1" label="Click Me" />
</mx:Canvas>
</mx:VBox>
<mx:VBox id="vb2" showInAutomationHierarchy="true">
<mx:Canvas id="c2">
<mx:Button id="b2" automationName="Nested Button 2" label="Click Me 2" />
</mx:Canvas>
</mx:VBox>
</mx:HBox>
</mx:Panel>
</mx:Application>
Parent topic: Coding Flex Containers
Related concepts
Multiview Containers
Enabling Your Flex Application for Testing
Testing Apache Flex Applications


Multiview Containers

Avoid using the same label on multiple tabs in multiview containers, such as the TabNavigator and Accordion containers. Although it is possible to use the same labels, this is generally not an acceptable UI design practice and can cause problems with control identification in your testing environment.

Parent topic: Coding Flex Containers
Related concepts
Adding and Removing Containers from the Automation Hierarchy


Flex Automation Testing Workflow

The Silk4NET workflow for testing Flex applications includes:

  • Automated Testing Initialization
  • Automated Testing Recording
  • Automated Testing Playback
  • Flex Automated Testing Initialization
    Lists the initialization events that occur when the Flex application launches.
  • Flex Automated Testing Recording
    Describes the events that occur when a user records a test for a Flex application.
  • Flex Automated Testing Playback
    Describes the events that occur when a user runs a test for a Flex application.
Parent topic: Enabling Your Flex Application for Testing
Related concepts
Creating Testable Flex Applications


Flex Automated Testing Initialization

When the user launches the Flex application, the following initialization events occur:
  1. The automation initialization code associates component delegate classes with component classes.
  2. The component delegate classes implement the IAutomationObject interface.
  3. An instance for the AutomationManager is created in the mixin init() method. (The AutomationManager is a mixin.)
  4. The SystemManager initializes the application. Component instances and their corresponding delegate instances are created. Delegate instances add event listeners for events of interest.
  5. The Silk4NET FlexTechDomain is a mixin. In the FlexTechDomain init() method, the FlexTechDomain registers for the SystemManager.APPLICATION_COMPLETE event. When the event is received, it creates a FlexTechDomain instance.
  6. The FlexTechDomain instance connects via a TCP/IP socket to the Silk Test Agent on the same machine that registers for record/playback functionality.
  7. The FlexTechDomain requests information about the automation environment. This information is stored in XML files and is forwarded from the Silk Test Agent to the FlexTechDomain.
Parent topic: Flex Automation Testing Workflow
Related concepts
Flex Automated Testing Recording
Flex Automated Testing Playback


Flex Automated Testing Recording

When the user records a new test in Silk4NET for a Flex application, the following events occur:

  1. Silk4NET calls the Silk Test Agent to start recording. The Agent forwards this command to the FlexTechDomain instance.
  2. FlexTechDomain notifies AutomationManager to start recording by calling beginRecording(). The AutomationManager adds a listener for the AutomationRecordEvent.RECORD event from the SystemManager.
  3. The user interacts with the application. For example, suppose the user clicks a Button control.
  4. The ButtonDelegate.clickEventHandler() method dispatches an AutomationRecordEvent event with the click event and Button instance as properties.
  5. The AutomationManager record event handler determines which properties of the click event to store based on the XML environment information. It converts the values into proper type or format. It dispatches the record event.
  6. The FlexTechDomain event handler receives the event. It calls the AutomationManager.createID() method to create the AutomationID object of the button. This object provides a structure for object identification. The AutomationID structure is an array of AutomationIDParts. An AutomationIDPart is created by using IAutomationObject. (The UIComponent.id, automationName, automationValue, childIndex, and label properties of the Button control are read and stored in the object. The label property is used because the XML information specifies that this property can be used for identification for the Button.)
  7. FlexTechDomain uses the AutomationManager.getParent() method to get the logical parent of Button. The AutomationIDPart objects of parent controls are collected at each level up to the application level.
  8. All the AutomationIDParts are included as part of the AutomationID object.
  9. The FlexTechDomain sends the information in a call to Silk4NET.
  10. When the user stops recording, the FlexTechDomain.endRecording() method is called.
Parent topic: Flex Automation Testing Workflow
Related concepts
Flex Automated Testing Initialization
Flex Automated Testing Playback


Flex Automated Testing Playback

When the user clicks the Playback button in Silk4NET, the following events occur:

  1. For each script call, Silk4NET contacts the Silk Test Agent and sends the information for the script call to be executed. This information includes the complete window declaration, the event name, and parameters.
  2. The Silk Test Agent forwards that information to the FlexTechDomain.
  3. The FlexTechDomain uses AutomaionManager.resolveIDToSingleObject with the window declaration information. The AutomationManager returns the resolved object based on the descriptive information (automationName, automationIndex, id, and so on).
  4. Once the Flex control is resolved, FlexTechDomain calls AutomationManager.replayAutomatableEvent() to replay the event.
  5. The AutomationManager.replayAutomatableEvent() method invokes the IAutomationObject.replayAutomatableEvent() method on the delegate class. The delegate uses the IAutomationObjectHelper.replayMouseEvent() method (or one of the other replay methods, such as replayKeyboardEvent()) to play back the event.
  6. If there are verifications in your script, FlexTechDomain invokes AutomationManager.getProperties() to access the values that must be verified.
Parent topic: Flex Automation Testing Workflow
Related concepts
Flex Automated Testing Recording
Flex Automated Testing Initialization


Styles in Apache Flex Applications

For applications developed in Apache Flex 3.x, Silk4NET does not distinguish between styles and properties. As a result, styles are exposed as properties. However, with Apache Flex 4.x, all new Flex controls, which are prefixed with Spark, such as SparkButton, do not expose styles as properties. As a result, the GetProperty() and GetPropertyList() methods for Flex 4.x controls do not return styles, such as color or fontSize, but only properties, such as text and name.

The GetStyle(string styleName) method returns values of styles as a string. To find out which styles exist, refer to the Adobe help located at: http://help.adobe.com/en_US/FlashPlatform/reference/actionscript/3/package-detail.html.

If the style is not set, a StyleNotSetException occurs during playback.

For the Flex 3.x controls, such as FlexTree, you can use GetProperty() to retrieve styles. Or, you can use GetStyle(). Both the GetProperty() and GetStyle() methods work with Flex 3.x controls.

Calculating the Color Style

In Flex, the color is represented as number. It can be calculated using the following formula:
red*65536 + green*256 + blue

Example

In the following example, the script verifies whether the buttonBar in the Spark application uses font size 12.
 Imports SilkTest.Ntf.Flex

Public Module Main
    Dim _desktop As Desktop = Agent.Desktop

    Public Sub Main()
        Dim Application As SparkApplication
        Dim ButtonBar As SparkButtonBar
        Application = _desktop.Find( "/BrowserApplication//BrowserWindow//
            SparkApplication" )
        ButtonBar = Application.SparkButtonBar()

        Workbench.Verify(ButtonBar.GetStyle( "fontSize" ), "12" )
    End Sub
End Module
Parent topic: Apache Flex Support


Configuring Flex Applications for Adobe Flash Player Security Restrictions

The security model in Adobe Flash Player 10 has changed from earlier versions. When you record tests that use Flash Player, recording works as expected. However, when you play back tests, unexpected results occur when high-level clicks are used in certain situations. For instance, a File Reference dialog box cannot be opened programmatically and when you attempt to play back this scenario, the test fails because of security restrictions.

To work around the security restrictions, you can perform a low-level click on the button that opens the dialog box. To create a low-level click, add a parameter to the Click method.

For example, instead of using SparkButton::Click(), use SparkButton::Click(MouseButton.Left). A Click() without parameters is a high-level click and a click with parameters (such as the button) is replayed as a low-level click.

  1. Record the steps that use Flash Player.
  2. Navigate to the Click method and add a parameter. For example, to open the Open File dialog box, specify:
    SparkButton("@caption='Open File Dialog…'").Click(MouseButton.Left)
    When you play back the test, it works as expected.
Parent topic: Apache Flex Support
Related tasks
Configuring Flex Applications to Run in Adobe Flash Player


Attributes for Apache Flex Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for Flex applications include:
  • automationName
  • caption (similar to automationName)
  • automationClassName (e.g. FlexButton)
  • className (the full qualified name of the implementation class, e.g. mx.controls.Button)
  • automationIndex (the index of the control in the view of the FlexAutomation, e.g. index:1)
  • index (similar to automationIndex but without the prefix, e.g. 1)
  • id (the id of the control)
  • windowId (similar to id)
  • label (the label of the control)
  • All dynamic locator attributes
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.

For additional information on dynamic locator attributes, see Dynamic Locator Attributes.

Parent topic: Apache Flex Support
Parent topic: Supported Attribute Types


Why Cannot Silk4NET Recognize Apache Flex Controls?

If Silk4NET cannot recognize the controls of an Apache Flex application, which you are accessing through a Web server, you can try the following things:
  • Compile your Apache Flex application with the Adobe automation libraries and the appropriate FlexTechDomain.swc for the Apache Flex version.
  • Use runtime loading.
  • Apache Flex controls are not recognized when embedding an Apache Flex application with an empty id attribute.
Parent topic: Apache Flex Support


Java AWT/Swing Support

Silk4NET provides built-in support for testing applications or applets that use the Java AWT/Swing controls. When you configure an application or applet that uses Java AWT/Swing, Silk4NET automatically provides support for testing standard AWT/Swing controls.
Note: You can also test Java SWT controls embedded in Java AWT/Swing applications or applets as well as Java AWT/Swing controls embedded in Java SWT applications.
Note: Image click recording is not supported for applications or applets that use the Java AWT/Swing controls.

Sample Applications

Silk Test provides a sample Swing test application. Download and install the sample applications from http://supportline.microfocus.com/websync/SilkTest.aspx. After you have installed the sample applications, click (in Microsoft Windows 7) Start > Programs > Silk > Silk Test > Sample Applications > Java Swing > Swing Test Application or (in Microsoft Windows 10) Start > Silk.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Supported Controls

For a complete list of the controls available for Java AWT/Swing testing, see Java Swing Class Reference.

  • Attributes for Java AWT/Swing Applications
    Lists the attributes supported for Java AWT/Swing applications.
  • Dynamically Invoking Java Methods
    Explains how to call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature.
  • Determining the priorLabel in the Java AWT/Swing Technology Domain
    Describes how the priorLabel is determined in the Java AWT/Swing technology domain.
  • Oracle Forms Support
    Describes the support that Silk4NET provides for testing applications that are based on Oracle Forms.
Parent topic: Testing Specific Environments
Related reference
Java AWT and Swing Class Reference


Attributes for Java AWT/Swing Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for Java AWT/Swing include:
  • caption
  • priorlabel: Helps to identify text input fields by the text of its adjacent label field. Every input field of a form usually has a label that explains the purpose of the input. For controls that do not have a caption, the attribute priorlabel is automatically used in the locator. For the priorlabel value of a control, for example a text input field, the caption of the closest label at the left side or above the control is used.
  • name
  • accessibleName
  • Swing only: All custom object definition attributes set in the widget with putClientProperty("propertyName", "propertyValue")
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.
Parent topic: Java AWT/Swing Support
Parent topic: Supported Attribute Types


Dynamically Invoking Java Methods

Dynamic invoke enables you to directly call methods, retrieve properties, or set properties, on an actual instance of a control in the application under test. You can also call methods and properties that are not available in the Silk4NET API for this control. Dynamic invoke is especially useful when you are working with custom controls, where the required functionality for interacting with the control is not exposed through the Silk4NET API.

Call dynamic methods on objects with the Invoke method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Call multiple dynamic methods on objects with the InvokeMethods method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Retrieve dynamic properties with the GetProperty method and set dynamic properties with the SetProperty method. To retrieve a list of supported dynamic properties for a control, use the GetPropertyList method.

For example, to call a method named SetTitle, which requires the title to be set as an input parameter of type string, on an actual instance of a control in the application under test, type the following:
control.Invoke("SetTitle", "my new title")
Note: Typically, most properties are read-only and cannot be set.
Note: Reflection is used in most technology domains to call methods and retrieve properties.

Supported Methods and Properties

The following methods and properties can be called:
  • Methods and properties that Silk4NET supports for the control.
  • All public methods of the SWT, AWT, or Swing widget
  • If the control is a custom control that is derived from a standard control, all methods and properties from the standard control can be called.

Supported Parameter Types

The following parameter types are supported:
  • Primitive types (boolean, integer, long, double, string)

    Both primitive types, such as int, and object types, such as java.lang.Integer are supported. Primitive types are widened if necessary, allowing, for example, to pass an int where a long is expected.

  • Enum types

    Enum parameters must be passed as string. The string must match the name of an enum value. For example, if the method expects a parameter of the enum type, java.sql.ClientInfoStatus you can use the string values of REASON_UNKNOWN, REASON_UNKNOWN_PROPERTY, REASON_VALUE_INVALID, or REASON_VALUE_TRUNCATED

  • Lists

    Allows calling methods with list, array, or var-arg parameters. Conversion to an array type is done automatically, provided the elements of the list are assignable to the target array type.

  • Other controls

    Control parameters can be passed or returned as TestObject.

Returned Values

The following values are returned for properties and methods that have a return value:
  • The correct value for all built-in Silk4NET types. These types are listed in the Supported Parameter Types section.
  • All methods that have no return value return null in C# or Nothing in VB.
Parent topic: Java AWT/Swing Support
Parent topic: Java SWT and Eclipse RCP Support
Related concepts
Dynamic Invoke
Frequently Asked Questions About Dynamic Invoke


Determining the priorLabel in the Java AWT/Swing Technology Domain

To determine the priorLabel in the Java AWT/Swing technology domain, all labels and groups in the same window as the target control are considered. The decision is then made based upon the following criteria:
  • Only labels either above or to the left of the control, and groups surrounding the control, are considered as candidates for a priorLabel.
  • If a parent of the control is a JViewPort or a ScrollPane, the algorithm works as if the parent is the window that contains the control, and nothing outside is considered relevant.
  • In the simplest case, the label closest to the control is used as the priorLabel.
  • If two labels have the same distance to the control, and one is to the left and the other above the control, the left one is preferred.
  • If no label is eligible, the caption of the closest group is used.
Parent topic: Java AWT/Swing Support


Oracle Forms Support

This functionality is supported only if you are using the Open Agent.

Silk4NET provides built-in support for testing applications that are based on Oracle Forms.

Note: For some controls, Silk4NET provides only low-level recording support.

For information on the supported versions and browsers for Oracle Forms, refer to the Release Notes.

  • Prerequisites for Testing Oracle Forms
    Lists the prerequisites for testing Oracle Forms
  • Attributes for Oracle Forms Applications
    Lists the attributes supported for applications that are based on Oracle Forms.
Parent topic: Java AWT/Swing Support
Related reference
Java AWT and Swing Class Reference


Prerequisites for Testing Oracle Forms

To test an application that is built with Oracle Forms, the following prerequisites need to be fulfilled:
  • The next-generation Java Plug-In needs to be enabled. This setting is enabled by default. You can change the setting in the Java Control Panel. For additional information on the next-generation Java Plug-In, refer to the Java documentation.
  • To prevent Java security dialogs from displaying during a test run, the Applet needs to be signed.
  • Micro Focus recommends enabling the Names property. When this property is enabled, the Oracle Forms runtime exposes the internal name, which is the name that the developer of the control has specified for the control, as the Name property of the control. Otherwise, the Name property will hold a calculated value, which usually consists of the class name of the control plus an index. This enables Silk4NET to generate stable locators for controls.
Parent topic: Oracle Forms Support


Attributes for Oracle Forms Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for Oracle Forms include:
  • priorlabel: Helps to identify text input fields by the text of its adjacent label field. Every input field of a form usually has a label that explains the purpose of the input. For controls that do not have a caption, the attribute priorlabel is automatically used in the locator. For the priorlabel value of a control, for example a text input field, the caption of the closest label at the left side or above the control is used.
  • name
  • accessibleName
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.
Parent topic: Oracle Forms Support


Java SWT and Eclipse RCP Support

Silk Test provides built-in support for testing applications that use widgets from the Standard Widget Toolkit (SWT) controls. When you configure a Java SWT/RCP application, Silk Test automatically provides support for testing standard Java SWT/RCP controls.

Silk Test supports:

  • Testing Java SWT controls embedded in Java AWT/Swing applications as well as Java AWT/Swing controls embedded in Java SWT applications.
  • Testing Java SWT applications.
  • Any Eclipse-based application that uses SWT widgets for rendering. Silk Test supports both Eclipse IDE-based applications and RCP-based applications.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Supported Controls

For a complete list of the widgets available for SWT testing, see Java SWT Class Reference.

  • Java SWT Class Reference
    Lists the Visual Basic classes for Java SWT support.
  • Java SWT Custom Attributes
    Add custom attributes to a test application to make a test more stable.
  • Attributes for Java SWT Applications
    Lists the attributes supported for Java SWT applications.
  • Dynamically Invoking Java Methods
    Explains how to call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature.
  • Troubleshooting Java SWT and Eclipse Applications
    Provides useful information on handling potential difficulties when testing Silverlight applications.
Parent topic: Testing Specific Environments


Java SWT Class Reference

When you configure a Java SWT application, Silk4NET automatically provides built-in support for testing standard Java SWT controls.

Parent topic: Java SWT and Eclipse RCP Support
Related reference
Java SWT Class Reference


Attributes for Java SWT Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for Java SWT include:
  • caption
  • all custom object definition attributes
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.
Parent topic: Java SWT and Eclipse RCP Support
Parent topic: Supported Attribute Types


Troubleshooting Java SWT and Eclipse Applications

Some SWTTree methods do not replay with low-level playback

When using low-level playback, some SWTTree methods, for example Expand and Collapse, do not replay.

To solve this problem, set the replay mode to Default. For additional information, see Setting Replay Options.

Selecting a non-visible node in an SWTTree

When using low-level playback, Silk4NET cannot interact with non-visible nodes in an SWTTree.

To solve this problem, set the replay mode to Default. For additional information, see Setting Replay Options.

Parent topic: Java SWT and Eclipse RCP Support
Related tasks
Setting Replay Options


Testing Mobile Applications

Silk4NET enables you to automatically test your native mobile applications (apps) and mobile web applications. Automatically testing your mobile applications with Silk4NET provides the following benefits:
  • It can significantly reduce the testing time of your mobile applications.
  • You can create your tests once and then test your mobile applications on a large number of different devices and platforms.
  • You can ensure the reliability and performance that is required for enterprise mobile applications.
  • It can increase the efficiency of QA team members and mobile application developers.
  • Manual testing might not be efficient enough for an agile-focused development environment, given the large number of mobile devices and platforms on which a mobile application needs to function.
Note: To test native mobile applications or hybrid applications with Silk4NET, you require a native mobile license. For additional information, see Licensing Information.
Note: Silk4NET provides support for testing mobile apps on both Android and iOS devices.

For information on the supported operating system versions and the supported browsers for testing mobile applications, refer to the Release Notes.

  • Android
    Describes how you can test mobile applications on the Android platform.
  • iOS
    Describes how you can test mobile applications on the iOS platform.
  • Testing an Installed App
    To test a native mobile app that is already installed on a device, an Emulator, or a Simulator, specify the app in the connection string.
  • Recording Mobile Applications
    Describes how you can record a test against a mobile application on a mobile device or an Androidemulator.
  • Selecting the Mobile Device for Test Replay
    Describes how you can define the mobile device, Android Emulator, or iOS Simulator that is used for the replay of a test.
  • Using Devices from Mobile Center
    Integrate Silk4NET and Silk Central and use Mobile Center devices to test mobile applications.
  • Using SauceLabs Devices
    Integrate Silk4NET and Silk Central and use SauceLabs devices to test mobile applications.
  • Connection String for a Mobile Device
    Describes how you can specify a connection string to connect to a mobile device.
  • Interacting with a Mobile Device
    Use the Show Mobile Device Actions button in the Recording window to interact with the mobile device.
  • Releasing a Mobile Device
    Describes why you have to release a mobile device after recording or playing back a test.
  • Troubleshooting when Testing Mobile Applications
    Provides useful information on handling potential difficulties when testing mobile applications.
  • Limitations for Testing Mobile Web Applications
    Lists the known limitations for playing back tests and recording locators for mobile web applications.
  • Limitations for Testing Native Mobile Applications
    Lists the known limitations for playing back tests and recording locators for native mobile applications.
  • Clicking on Objects in a Mobile Website
    Describes how Silk4NET handles clicks on objects in a mobile website while recording and replaying tests.
  • Using Existing Mobile Web Tests
    Describes how you can edit your mobile web tests so that you can continue to use them with Silk Test 17.0 or later.
Parent topic: Testing Specific Environments


Android

Silk4NET enables you to test a mobile application on an Android device or an Android emulator.

  • Prerequisites for Testing Mobile Applications on Android
    Lists the prerequisites for testing mobile applications on Android.
  • Testing Mobile Applications on Android
    Configure your testing environment to test mobile applications on a physical Android device or on an Android emulator.
  • Testing Hybrid Applications on Android
    Describes how you can use Silk4NET to test hybrid applications on Android.
  • Installing a USB Driver
    Install the appropriate USB driver on your local machine before you connect an Android device for the first time to test your mobile applications.
  • Enabling USB-Debugging
    Enable USB debugging to communicate with an Android device over the Android Debug Bridge (adb).
  • Recommended Settings for Android Devices
    Lists the settings that should be set on an Android device to optimize testing.
  • Configuring the Android Emulator for Silk4NET
    Configure the Android emulator to test mobile applications with Silk4NET.
  • Tested Configurations for Parallel Test Execution
    This topic defines sample test configurations for running tests on multiple Android devices in parallel.
Parent topic: Testing Mobile Applications


Prerequisites for Testing Mobile Applications on Android

Before you can test a mobile application (app) on an Android device or on an Android emulator, ensure that the following prerequisites are met:
  • Ensure that Java is installed on the machine on which Silk4NET is running, and that the path to Java is added to the Path environment variable. Silk4NET requires either a JRE or a JDK for mobile testing. If Java is not installed, add C:\Program Files (x86)\Silk\SilkTest\ng\jre\bin to the Path.
  • If you have created your own hybrid app by adding a web view to a native mobile app, add the following code to the app to make your app testable with Silk4NET:
    WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
  • Silk4NET does not support showing a live view of the device screen for Android 4.4. Micro Focus recommends using Android 5 or later.
Parent topic: Android
Related tasks
Testing Mobile Applications on Android
Related reference
Troubleshooting when Testing Mobile Applications


Testing Mobile Applications on Android

To test a mobile application on a physical Android device or on an Android emulator, perform the following tasks:

  1. Ensure that you have met the prerequisites for testing mobile applications on Android. For additional information, see Prerequisites for Testing Mobile Applications on Android.
  2. If you want to test the mobile application on an Android emulator, configure the emulator settings for Silk4NET. For additional information, see Configuring the Android Emulator for Silk Test.
  3. Start the Android emulator or connect the device to the machine on which Silk4NET is installed.
  4. If you want to test the mobile application on a physical Android device that you are using for the first time on this machine, install the appropriate Android USB Driver on the machine. For additional information, see Installing a USB Driver.
  5. If you want to test the mobile application on a physical Android device, enable USB-debugging on the Android device. For additional information, see Enabling USB-Debugging.
  6. Create a Silk4NET project for your mobile application.
  7. Create a test for your mobile application.
  8. Record the actions that you want to execute in the test. When you start the Recording window, the Select Application dialog box opens.
  9. To test a mobile web application:
    1. Select the Web tab.
    2. Select the mobile browser that you want to use.
    3. Specify the web page to open in the Enter URL to navigate text box.
  10. To test a native mobile application or a Hybrid application:
    Note: To test native mobile applications or hybrid applications with Silk4NET, you require a native mobile license. For additional information, see Licensing Information.
    1. Select the Mobile tab.
    2. Select the mobile device, on which you want to test the app, from the list.
    3. Click Browse to select the app file or enter the full path to the app file into the Mobile app file text field. Silk4NET supports HTTP and UNC formats for the path. Silk4NET installs the app on the mobile device or emulator.
  11. Click OK. An Android device or emulator must not be screen-locked during testing. To keep the device awake while it is connected to a machine, open the settings and tap Developer Options. Then check Stay awake or Stay awake while charging.
  12. Use the Recording window to record the test against the mobile application. For additional information, see Recording Mobile Applications.
  13. When you have recorded all the actions, stop the recording.
  14. Replay the test.
  15. Analyze the test results.
Parent topic: Android
Related concepts
Recording Mobile Applications
Troubleshooting when Testing Mobile Applications
Related tasks
Installing a USB Driver
Enabling USB-Debugging
Related reference
Prerequisites for Testing Mobile Applications on Android
Recommended Settings for Android Devices


Testing Hybrid Applications on Android

Hybrid applications (apps) are apps that are run on the device, like native applications, but are written with web technologies, for example HTML5, CSS, and JavaScript.

Silk4NET provides full browser support for testing debug hybrid apps that consist of a single web view, which is embedded in a native container. A common example of such a hybrid app would be an Apache Cordova application.

To prepare a non-debug hybrid app for testing, enable remote debugging in the app by adding the following code to the app:
WebView.setWebContentsDebuggingEnabled(true);
webView.getSettings().setJavaScriptEnabled(true);
To test non-debug hybrid apps without remote debugging enabled or hybrid apps that include more than one web view, enable the Silk4NET fallback support by setting the option OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT to TRUE. For additional information, see Setting Advanced Options. With the fallback support enabled, Silk4NET recognizes and handles the controls in a web view as native mobile controls instead of browser controls. For example, the following code clicks on a link when using browser support:
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False);
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click();
With the fallback support enabled, the following code clicks on the same link:
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True);
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click();
Silk4NET can detect web views that support Chrome remote debugging. Silk4NET can detect web views with either the package com.android.webview or the package com.google.android.webview, which are the default packages on most Android devices.
Note: Silk4NET supports testing hybrid apps on Android 4.4 or later. To test hybrid apps on Android, Android System WebView version 51 or later is required.

The process for testing a hybrid app on Android is the same as the process for testing a mobile native application. For additional information, see Testing Mobile Applications on Android.

Parent topic: Android
Related concepts
Testing Hybrid Applications on iOS
Related tasks
Setting Advanced Options
Related reference
Prerequisites for Testing Mobile Applications on Android


Installing a USB Driver

To connect an Android device for the first time to your local machine to test your mobile applications, you need to install the appropriate USB driver.

The device manufacturer might provide an executable with all the necessary drivers for the device. In this case you can just install the executable on your local machine. If the manufacturer does not provide such an executable, you can install a single USB driver for the device on the machine.

To install the Android USB driver:

  1. Download the appropriate driver for your device. For example, for information on finding and installing a USB driver for a Google Nexus device, see http://developer.android.com/tools/extras/oem-usb.html.
  2. Connect your Android device to a USB port on your local machine.
  3. From your desktop or Windows Explorer, right-click Computer and select Manage.
  4. In the left pane, select Device Manager.
  5. In the right pane, locate and expand Other device.
  6. Right-click the device name, for example Nexus 5x, and select Update Driver Software. The Hardware Update Wizard opens.
  7. Select Browse my computer for driver software and click Next.
  8. Click Browse and navigate to the folder to which you have downloaded the USB driver.
  9. Select the USB driver.
  10. Click Next to install the driver.
Parent topic: Android
Related tasks
Testing Mobile Applications on Android


Enabling USB-Debugging

To communicate with an Android device over the Android Debug Bridge (adb), enable USB debugging on the device.
  1. On the Android device, open the settings.
  2. Tap Developer Settings. The developer settings are hidden by default. If the developer settings are not included in the settings menu of the device:
    1. Depending on whether the device is a phone or a pad, scroll down and tap About phone or About Pad.
    2. Scroll down again and tap Build Number seven times.
  3. In the Developer settings window, check USB-Debugging.
  4. Set the USB mode of the device to Media device (MTP), which is the default setting. For additional information, refer to the documentation of the device.
Parent topic: Android
Related tasks
Testing Mobile Applications on Android


Recommended Settings for Android Devices

To optimize testing with Silk4NET, configure the following settings on the Android device that you want to test:
  • Enable USB-debugging on the Android device. For additional information, see Enabling USB-Debugging
  • An Android device must be connected as a media device to the machine on which the Open Agent is running. The USB mode of the Android device must be set to Media device (MTP).
  • An Android device or emulator must not be screen-locked during testing. To keep the device awake while it is connected to a machine, open the settings and tap Developer Options. Then check Stay awake or Stay awake while charging.
Parent topic: Android
Related tasks
Testing Mobile Applications on Android
Related reference
Recommended Settings for iOS Devices


Configuring the Android Emulator for Silk4NET

Note: When using an Android emulator, an additional adb server is running in addition to the one that is used by Silk4NET. If the running adb servers have different versions, the connection between the Open Agent and the device might become unstable or even break. To avoid version mismatch errors, specify the path to the Android SDK directory by setting the environment variable SILK_ANDROID_HOME, for example to C:\Users\<user>\AppData\Local\Android\android-sdk. If the information service was running during this change, use the Windows Service Manager to restart the Silk Test information service with the updated environment variable. If the environment variable is not set, Silk4NET uses the adb version that is shipped with Silk4NET.
When you want to test mobile applications on an Android emulator with Silk4NET, you have to configure the emulator for testing:
  1. Install the latest version of the Android SDK. For information on how to install and configure the Android SDK, see Get the Android SDK.
  2. Install Android Studio 2.
    Tip: You can skip installing Android Studio 2 and use the emulator provided with the Android SDK. However, Micro Focus recommends installing Android Studio 2 for improved emulator performance. The remaining steps in this topic require Android Studio 2 to be installed.
  3. From Android Studio 2, start the AVD Manager.
  4. Click Create Virtual Device.
  5. Select a virtual device.
  6. Click Next.
  7. Download and select a system image of Android that includes Google APIs.
  8. Click Next.
  9. Configure the virtual device according to your requirements.
  10. Click Show Advanced Settings.
  11. Adjust the RAM size and the heap space used by the emulator to an amount that is manageable by your machine.
    Tip: Micro Focus recommends using at least 1 GB RAM and 256 MB heap space.
  12. Select Auto from the list in the Emulated Performance area.

  13. Click Finish.
Parent topic: Android


Tested Configurations for Parallel Test Execution

With Silk4NET, you can run automated tests on multiple Android devices in parallel. The amount of Android devices that you are able to use in parallel depends on the available hardware. Micro Focus has successfully tested the following hardware configurations:

Configuration with a single test machine

Using a single test machine directly connected to the Android devices through USB, we tested up to 8 physical Android devices in parallel.

The test machine was a Lenovo ThinkPad T450 with the following hardware specifications:
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 cores (4 threads)
  • 8 GB RAM

Configuration with two test machines

Here we are using two test machines, one with Silk4NET installed and another, which is configured as a remote location for the first machine and has the Silk Test Information Service installed. Using such a configuration, we tested up to 10 physical Android devices in parallel.

Test machine 1 was a Lenovo ThinkPad T450 with the following hardware specifications:
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 cores (4 threads)
  • 8 GB RAM
Test machine 2 was a Dell Precision T1700 with the following hardware specifications:
  • Intel® Core™ i7 - 4770 CPU @ 3.40 GHz
  • 4 cores (8 threads)
  • 16 GB RAM

Configuration with a Windows machine and a Mac

Here we are using two test machines, a Windows machine with Silk4NET installed and a Mac, which is configured as a remote location for the first machine and has the Silk Test Information Service installed. Using such a configuration, we tested up to 10 physical Android devices in parallel.

Test machine 1 was a Lenovo ThinkPad T450 with the following hardware specifications:
  • Intel® Core™ i7 - 5600U CPU @ 2.60 GHz
  • 2 cores (4 threads)
  • 8 GB RAM
Test machine 2 was an Apple Mac Mini with the following hardware specifications:
  • Intel® Core™ i5 - 4782U CPU @ 2.60 GHz
  • 2 cores (4 threads)
  • 16 GB RAM
Parent topic: Android


iOS

Silk4NET enables you to test a mobile application on an iOS device or an iOS Simulator.

Because of significant changes by Apple in iOS 9.3 in comparison to the previous versions of iOS, Silk Test supports testing mobile applications on iOS 9.3 or later. For a list of the supported iOS versions, refer to the Release Notes.

Note: Testing mobile applications on iOS 11 requires Xcode 9. When using Xcode 9 on a Mac, testing on physical devices and Simulators with iOS versions prior to iOS 11 that are connected to or running on this Mac is not supported. Use Xcode 8.3 to test physical devices and Simulators with iOS 9.3 and iOS 10.
Tip: To test on iOS versions prior to iOS 9.3, you can use Silk Test 17.5. The following table shows the major changes when testing on iOS with Silk Test 18.5 in comparison to Silk Test 17.5:
Silk Test 18.5 | Silk Test 17.5
Supports iOS 9.3, iOS 10, and iOS 11. | Supports iOS 8.1, 8.2, 8.3, 8.4, 9.0, 9.1, 9.2, and 9.3
Supports Xcode 8.3 and Xcode 9. | Supports Xcode 6 and Xcode 7.
Supports testing multiple physical iOS devices in the same user session. Tip: If you have created multiple user sessions to test with Silk Test 17.5, Micro Focus recommends removing all user sessions except one. | Requires multiple user sessions on a Mac to test multiple physical iOS devices.
  • Prerequisites for Testing Mobile Applications on iOS
    Lists the prerequisites for testing mobile applications on iOS.
  • Testing Native Mobile Applications on a Physical iOS Device
    Configure your testing environment to test native mobile applications or hybrid applications on a physical iOS device.
  • Testing Native Mobile Applications on an iOS Simulator
    Configure your testing environment to test native mobile applications or hybrid applications on an iOS Simulator.
  • Testing Mobile Web Applications on a Physical iOS Device
    Configure your testing environment to test mobile web applications on a physical iOS device.
  • Testing Mobile Web Applications on an iOS Simulator
    Configure your testing environment to test mobile web applications on an iOS Simulator.
  • Testing Hybrid Applications on iOS
    Describes how you can use Silk4NET to test hybrid applications on iOS.
  • Preparing an iOS Device for Testing
    Prepare an iOS device to test mobile applications.
  • Preparing an iOS App for Testing
    Describes how you can prepare your iOS app to be able to test the app with Silk4NET.
  • Installing the Silk Test Information Service on a Mac
    Install the information service on a Mac to test Apple Safari or mobile applications on iOS with Silk4NET.
  • Preparing a Mac to Test Mobile Applications on iOS
    Prepare an Mac to test mobile applications on iOS.
  • Using a Personal Team Profile for Testing on Physical iOS Devices
    Use a personal team profile to test an application on a physical iOS device, if you have no membership in the Apple Developer Program.
  • Editing the Properties of the Silk Test Information Service
    Use the infoservice.properties file to specify the port for the Silk Test Information Service or capabilities that are applied each time Silk Test executes a test on the machine on which the Silk Test Information Service is running.
  • Uninstalling the Silk Test Information Service from a Mac
    Uninstall the information service from a Mac to no longer test Apple Safari or mobile applications on iOS with Silk4NET on this Mac.
  • Recommended Settings for iOS Devices
    Lists the settings that should be set on an iOS device to optimize testing.
  • Running Existing Scripts on iOS Using XCUITest
    Describes how you can change your scripts to adapt to the changes introduced with iOS 10.
Parent topic: Testing Mobile Applications


Prerequisites for Testing Mobile Applications on iOS

Before you can test a mobile application (app) on an iOS device or on an iOS Simulator, ensure that the following prerequisites are met:
  • The current version of the Silk Test information service is installed on the Mac. For additional information, see Installing the Silk Test Infoservice on a Mac.
  • If you want to test your application on a physical iOS device, ensure the following:
    • The device is connected to the Mac.
    • The device has a supported version of iOS. For a list of the supported iOS versions, refer to the Release Notes.
  • If you want to test your application on an iOS Simulator, ensure the following:
    • The iOS Simulator image is installed on the Mac.
    • The iOS Simulator image has a supported version of iOS. For a list of the supported iOS versions, refer to the Release Notes.
  • If you want to test your application on an physical iOS device, ensure that the same time zone is set on the device and the Mac.
  • A supported version of Xcode is installed on the Mac.
  • Silk4NET is installed on a Windows machine.
  • The Mac is located in the same network as the Windows machine and is added as a remote location to the Windows machine.
  • To test a native mobile app on an iOS device, ensure that the .ipa file of your app has been signed with a developer account. For additional information, see Preparing an iOS App for Testing.
  • To test a native mobile app on an iOS Simulator, ensure that the app has been zipped. For additional information, see Testing Native Mobile Applications on an iOS Simulator.
  • To test a native mobile app on both an iOS device and an iOS Simulator, ensure that both the signed .ipa file and the zipped .app directory are located in the same folder.
  • To test a native mobile app, ensure that the ID of the iOS device is associated with the developer profile which was used to sign the app.
  • The iOS device must not fall into sleep mode during testing. To turn the screen lock and password off, select Settings > General > Passcode Lock.
  • The Mac should not switch off the screen during testing, otherwise the Playback Status dialog box will not display anything.
  • To test a mobile application on an iOS Simulator, deactivate the display sleep on the Mac during testing.
  • To test a native mobile app on a physical iOS device, enable the UI automation on the device. For additional information, see Preparing an iOS Device for Testing.
  • To test a mobile web application with Apple Safari on a physical iOS device, activate the Web Inspector. For additional information, see Preparing an iOS Device for Testing.
  • Micro Focus recommends using iOS devices which have a Lightning connector. Silk4NET does not support showing a live view of the device screen for iOS devices that are not connected to a Mac through a Lightning cable.
Parent topic: iOS
Related tasks
Installing the Silk Test Information Service on a Mac


Testing Native Mobile Applications on a Physical iOS Device

Note: To test native mobile applications or hybrid applications with Silk4NET, you require a native mobile license. For additional information, see Licensing Information.

For information on the prerequisites for testing mobile applications on iOS, see Prerequisites for Testing Mobile Applications on iOS. For information on the known limitations when testing native mobile applications, see Limitations for Testing Mobile Native Applications.

To test a native mobile application (app) or a hybrid application on a physical iOS device, perform the following tasks:
  1. Prepare the iOS device for testing. For additional information, see Preparing an iOS Device for Testing.
  2. Prepare the app for testing. For additional information, see Preparing an iOS App for Testing.
  3. Prepare the Mac for testing. For additional information, see Preparing a Mac for Testing Mobile Applications on iOS.
  4. Add the Mac, to which the iOS device is connected, as a remote location to the Windows machine on which Silk Test is installed. For additional information, see Editing Remote Locations.
    Note: At any given point in time, you can test on multiple physical iOS devices that are connected to the Mac, but only on one iOS Simulator that is running on the Mac. With Silk Test 17.5 Hotfix 1 or later, you are no longer required to use multiple user sessions on a Mac to test mobile applications on iOS.
  5. Create a Silk4NET project for your mobile application.
  6. Create a test for your mobile application.
  7. Record the actions that you want to execute in the test. When you start the Recording window, the Select Application dialog box opens.
  8. Select the Mobile tab.
  9. Select the mobile device, on which you want to test the app, from the list.
  10. Click Browse to select the app file or enter the full path to the app file into the Mobile app file text field. Silk4NET supports HTTP and UNC formats for the path. Silk4NET installs the app on the mobile device.
  11. Click OK. An iOS device or Simulator must not fall into sleep mode during testing. To turn the screen lock and password off, select Settings > General > Passcode Lock.
  12. When you have recorded all actions, stop recording.
  13. Replay the test.
  14. Analyze the test results.
Note: To test a native mobile app on both an iOS device and an iOS Simulator, ensure that both the signed .ipa file and the zipped .app directory are located in the same folder.
Parent topic: iOS
Related concepts
Preparing an iOS App for Testing
Related tasks
Testing Native Mobile Applications on an iOS Simulator
Testing Mobile Web Applications on a Physical iOS Device
Testing Mobile Web Applications on an iOS Simulator
Related reference
Prerequisites for Testing Mobile Applications on iOS
Recommended Settings for iOS Devices


Testing Native Mobile Applications on an iOS Simulator

Note: To test native mobile applications or hybrid applications with Silk4NET, you require a native mobile license. For additional information, see Licensing Information.

For information on the prerequisites for testing mobile applications on iOS, see Prerequisites for Testing Mobile Applications on iOS. For information on the known limitations when testing native mobile applications, see Limitations for Testing Mobile Native Applications.

To test a native mobile application (app) or a hybrid application on an iOS Simulator, perform the following tasks:
  1. Prepare the Mac for testing. For additional information, see Preparing a Mac for Testing Mobile Applications on iOS.
  2. In the Xcode project of the app, compile the app for the iOS Simulator. You can compile the app either from the Xcode UI or from the command line. For example, to compile the app through the command line for an iOS Simulator with iOS 10.0, execute the following command:
    xcodebuild -sdk iphonesimulator10.0
  3. Zip up the .app directory of the app into a .zip file. By default, the .app directory is located in the directory ~/Library/Developer/Xcode/DerivedData. You can click File > Project Settings in Xcode to see into which location the directory is stored.
  4. Add the Mac, on which the iOS Simulator is installed, as a remote location to the Windows machine on which Silk4NET is installed. For additional information, see Editing Remote Locations.
    Note: You can only test on one iOS Simulator that is installed on a Mac. Multiple Silk4NET users cannot simultaneously test on multiple iOS Simulators that are installed on the same Mac.
  5. Create a Silk4NET project for your mobile application.
  6. Create a test for your mobile application.
  7. Record the actions that you want to execute in the test. When you start the Recording window, the Select Application dialog box opens.
  8. Select the Mobile tab.
  9. Select the iOS Simulator from the list.
  10. Click Browse to select the zipped app file or enter the full path to the zipped app file into the Mobile app file text field. Silk4NET supports HTTP and UNC formats for the path. Silk4NET installs the app on the iOS Simulator.
  11. Click OK. An iOS device or Simulator must not fall into sleep mode during testing. To turn the screen lock and password off, select Settings > General > Passcode Lock.
  12. When you have recorded all actions, stop recording.
  13. Replay the test.
  14. Analyze the test results.
Note: To test a native mobile app on both an iOS device and an iOS Simulator, ensure that both the signed .ipa file and the zipped .app directory are located in the same folder.
Parent topic: iOS
Related tasks
Testing Native Mobile Applications on a Physical iOS Device
Testing Mobile Web Applications on a Physical iOS Device
Testing Mobile Web Applications on an iOS Simulator
Related reference
Prerequisites for Testing Mobile Applications on iOS


Testing Mobile Web Applications on a Physical iOS Device

For information on the prerequisites for testing mobile applications on iOS, see Prerequisites for Testing Mobile Applications on iOS. For information on the known limitations when testing mobile web applications, see Limitations for Testing Mobile Web Applications.
To test a mobile web application on a physical iOS device, perform the following tasks:
  1. Prepare the iOS device for testing. For additional information, see Preparing an iOS Device for Testing.
  2. Prepare the Mac for testing. For additional information, see Preparing a Mac for Testing Mobile Applications on iOS.
  3. Add the Mac, to which the iOS device is connected, as a remote location to the Windows machine on which Silk Test is installed. For additional information, see Editing Remote Locations.
    Note: At any given point in time, you can test on multiple physical iOS devices that are connected to the Mac, but only on one iOS Simulator that is running on the Mac. With Silk Test 17.5 Hotfix 1 or later, you are no longer required to use multiple user sessions on a Mac to test mobile applications on iOS.
  4. Create a Silk4NET project for your mobile application.
  5. Create a test for your mobile application.
  6. Record the actions that you want to execute in the test. When you start the Recording window, the Select Application dialog box opens.
  7. To test a mobile web application:
    1. Select the Web tab.
    2. Select the mobile browser that you want to use.
    3. Specify the web page to open in the Enter URL to navigate text box.
  8. Click OK. An iOS device or Simulator must not fall into sleep mode during testing. To turn the screen lock and password off, select Settings > General > Passcode Lock.
  9. When you have recorded all actions, stop recording.
  10. Replay the test.
  11. Analyze the test results.
Parent topic: iOS
Related tasks
Testing Native Mobile Applications on a Physical iOS Device
Testing Native Mobile Applications on an iOS Simulator
Testing Mobile Web Applications on an iOS Simulator
Related reference
Prerequisites for Testing Mobile Applications on iOS


Testing Mobile Web Applications on an iOS Simulator

For information on the known limitations when testing mobile web applications, see Limitations for Testing Mobile Web Applications.

To test a mobile web application on an iOS Simulator, perform the following tasks:

  1. Prepare the Mac for testing. For additional information, see Preparing a Mac for Testing Mobile Applications on iOS.
  2. Add the Mac, on which the iOS Simulator is installed, as a remote location to the Windows machine on which Silk Test is installed. For additional information, see Editing Remote Locations.
    Note: At any given point in time, you can test on multiple physical iOS devices that are connected to the Mac, but only on one iOS Simulator that is running on the Mac. With Silk Test 17.5 Hotfix 1 or later, you are no longer required to use multiple user sessions on a Mac to test mobile applications on iOS.
  3. Create a Silk4NET project for your mobile application.
  4. Create a test for your mobile application.
  5. Record the actions that you want to execute in the test. When you start the Recording window, the Select Application dialog box opens.
  6. To test a mobile web application:
    1. Select the Web tab.
    2. Select the mobile browser that you want to use.
    3. Specify the web page to open in the Enter URL to navigate text box.
  7. Click OK. An iOS device or Simulator must not fall into sleep mode during testing. To turn the screen lock and password off, select Settings > General > Passcode Lock.
  8. When you have recorded all actions, stop recording.
  9. Replay the test.
  10. Analyze the test results.
Parent topic: iOS
Related tasks
Testing Native Mobile Applications on a Physical iOS Device
Testing Native Mobile Applications on an iOS Simulator
Testing Mobile Web Applications on a Physical iOS Device
Related reference
Prerequisites for Testing Mobile Applications on iOS


Testing Hybrid Applications on iOS

Hybrid applications (apps) are apps that are run on the device, like native applications, but are written with web technologies, for example HTML5, CSS, and JavaScript.

Silk4NET provides full browser support for testing debug hybrid apps that consist of a single web view, which is embedded in a native container. A common example of such a hybrid app would be an Apache Cordova application.

To test non-debug hybrid apps without remote debugging enabled or hybrid apps that include more than one web view, enable the Silk4NET fallback support by setting the option OPT_ENABLE_MOBILE_WEBVIEW_FALLBACK_SUPPORT to TRUE. For additional information, see Setting Advanced Options. With the fallback support enabled, Silk4NET recognizes and handles the controls in a web view as native mobile controls instead of browser controls. For example, the following code clicks on a link when using browser support:
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False)
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, False);
_desktop.DomLink("//BrowserApplication//BrowserWindow//INPUT[@id='email']").Click();
With the fallback support enabled, the following code clicks on the same link:
' VB .NET code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True)
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click()
// C# code
Agent.SetOption(Options.EnableMobileWebviewFallbackSupport, True);
_desktop.Find("//BrowserApplication//BrowserWindow//MobileTextField[@resource-id='email']").Click();

The process for testing a hybrid app on iOS is the same as the process for testing a mobile native application. For additional information, see Testing Native Mobile Applications on a Physical iOS Device or Testing Native Mobile Applications on an iOS Simulator.

Before testing a hybrid app on an iOS device, ensure that the Web Inspector is activated on the device.

Parent topic: iOS
Related concepts
Testing Hybrid Applications on Android
Related tasks
Setting Advanced Options


Preparing an iOS Device for Testing

Note: To test native mobile applications or hybrid applications with Silk4NET, you require a native mobile license. For additional information, see Licensing Information.

To prepare the iOS device to test mobile applications:

  1. Start Xcode on the Mac.
  2. Connect the iOS device to the Mac.
  3. On the iOS device, click Settings > Developer.
    Tip: If the Developer menu is not displayed on the iOS device, restart the device and the Mac.
  4. Activate Enable UI Automation.
  5. To test a mobile web application on Apple Safari, click Settings > Safari > Advanced.
  6. Activate the Web Inspector.
  7. If you want to test on an iOS Simulator, enable Rotate Device Automatically.
    1. On the Mac, start the iOS Simulator.
    2. With Xcode 9 or later, expand the Hardware menu. With prior versions of Xcode, expand the Debug menu.
    3. Check Rotate Device Automatically.
  8. If you want to test on an iOS Simulator with Xcode 9 or later, disable Show Device Bezels.
    1. On the Mac, start the iOS Simulator.
    2. Expand the Window menu.
    3. Uncheck Show Device Bezels.
Parent topic: iOS


Preparing an iOS App for Testing

To be able to test a specific iOS app on a specific iOS device with Silk4NET, consider the following:
  • Test automation is only possible with iOS apps that can be installed manually on specific iOS devices. To be able to sign an iOS app, you require a membership in the Apple Developer Program. For additional information, see Choosing a Membership. To test without having a membership in the Apple Developer Program, see Using a Personal Team Profile for Testing on Physical iOS Devices.
    Note: You cannot automatically test iOS apps that are created for publication in the App Store, as well as apps that can be installed manually on any iOS device.
  • Before you can install and execute an iOS app on a specific iOS device, you have to register the iOS device with your Apple Developer account.
  • You have to use Xcode to create an IPA file of the iOS app, which you can then install on the iOS device. To create IPA files for testing on a specific iOS device, members of the Apple Developer Program can use the Archive mechanism of Xcode, by using one of the following two options:
    • If you are a member of the Apple Developer Enterprise Program, you can use the Save for Ad Hoc Deployment option.
    • If you are a member of the Apple Developer Program, but not of the Apple Developer Enterprise Program, you can use the Save for Development Deployment option.
    For additional information, see Exporting Your App for Testing (iOS, tvOS, watchOS).

To be able to test a specific iOS app on an iOS Simulator with Silk4NET, use Xcode to create a ZIP file of the iOS app, which you can then install on the iOS Simulator. For additional information, refer to the Xcode documentation.

Parent topic: iOS
Related tasks
Installing the Silk Test Information Service on a Mac
Testing Native Mobile Applications on a Physical iOS Device


Installing the Silk Test Information Service on a Mac

Note: To install the information service on a Mac, you require administrative privileges on the Mac.

To create and execute tests against Apple Safari on a Mac, or against mobile applications on an iOS or Android device that is connected to a Mac, install the Silk Test information service (information service) on the Mac, and then use the Remote Locations dialog box to connect a Windows machine, on which Silk4NET is installed, to the Mac.

To install the information service on a Mac:

  1. Ensure that a Java JDK is installed on the Mac.
  2. If you want to test mobile applications on an iOS device, ensure that Xcode is installed on the Mac.
  3. Access the information service setup file, SilkTestInformationService<Version>-<Build Number>.pkg.
    • If you have downloaded the information service setup file while installing Silk Test, open the folder macOS in the Silk Test installation directory, for example C:\Program Files (x86)\Silk\SilkTest.
    • If you have not downloaded the information service setup file while installing Silk Test, you can download the setup file from Micro Focus SupportLine.
  4. Copy the file SilkTestInformationService<Version>-<Build Number>.pkg to the Mac.
  5. Execute SilkTestInformationService<Version>-<Build Number>.pkg to install the information service.
  6. Follow the instructions in the installation wizard.
  7. When asked for the password, provide the password of the currently signed in Mac user.
  8. When Apple Safari opens and a message box asks whether to trust the SafariDriver, click Trust.
    Note: You can only install the SafariDriver if you are directly logged in to the Mac, and not connected through a remote connection.
To complete the installation, the installer logs the current Mac user out. To verify that the information service was installed correctly, log in to the Mac and click on the Silk Test icon in the top-right corner of the screen to see the available devices and browsers.
Tip: If the Silk Test icon does not appear, restart the Mac.
Parent topic: iOS
Parent topic: Testing with Apple Safari on a Mac
Related concepts
Preparing an iOS App for Testing
Related tasks
Editing Remote Locations
Related reference
Prerequisites for Testing Mobile Applications on iOS
Prerequisites for Testing with Apple Safari on a Mac


Preparing a Mac to Test Mobile Applications on iOS

Note: To test native mobile applications or hybrid applications with Silk4NET, you require a native mobile license. For additional information, see Licensing Information.

To test mobile applications on iOS, you require a Mac to which you can connect the iOS device, or on which the iOS Simulator is running. This Mac requires Xcode to be installed. For additional information on the prerequisites for testing mobile applications on iOS, see Prerequisites for Testing Mobile Applications on iOS.

To execute iOS tests on a physical iOS device, follow the instructions in the Silk Test Configuration Assistant to configure the WebDriverAgentRunner Xcode project. To open the Configuration Assistant, click on the Silk Test icon in the status menus and select Configuration Assistant.

If for any reason you want to manually build the WebDriverAgentRunner Xcode project, perform the following actions:

  1. Start Xcode on the Mac.
  2. Select Xcode > Preferences.

  3. In the Preferences window, select your account.
    1. Select the Accounts tab.
    2. Choose your Apple ID.
    3. Choose your Team.
    4. Click View Details.

  4. Access the Apple Member Center and retrieve your development team.
  5. In a terminal, navigate to ~/.silk/silktest/conf/.
  6. Rename the xcconfig file template silktest.xcconfig.sample to silktest.xcconfig.
  7. Add your development team to the silktest.xcconfig file.
    DEVELOPMENT_TEAM = <your development team>
  8. Execute the following commands in a terminal on the Mac to verify that you have prepared the WebDriverAgentRunner project correctly:
    1. Determine the unique device id (udid) of your physical iOS device:
      idevice_id -l
    2. Navigate to the WebDriverAgentRunner project:
      cd /Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver/WebDriverAgent
    3. Test that the WebDriverAgent can be built:
      xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner –xcconfig ~/.silk/silktest/conf/silktest.xcconfig -destination 'id=<udid>' test
      Replace the <udid> with the unique device id that you have determined previously.
      Tip: If the xcodebuild command fails, follow the instructions in the error message. Additionally, open the Preferences window of the WebDriverAgentRunner project and ensure that the Automatically manage signing check box in the General tab is not checked.
  9. Optional: In the infoservice.properties file, you can specify the port for the Silk Test Information Service or capabilities which are used during all test runs on the Mac. For additional information, see Editing the Properties of the Silk Test Information Service.
Parent topic: iOS
Related tasks
Preparing Apple Safari for Testing
Related reference
Prerequisites for Testing with Apple Safari on a Mac


Using a Personal Team Profile for Testing on Physical iOS Devices

If you have no membership in the Apple Developer Program, you can use a personal team profile to test an application on a physical iOS device:
  1. On the Mac, navigate to /Application/Silk/Mobile/common/Appium/node_modules/appium-xcuitestdriver/WebDriverAgent.
  2. Open WebDriverAgent.xcodeproj project in Xcode.
  3. From the TARGETS list, select the WebDriverAgentLib target:
    1. Click the General tab.
    2. Select Automatically manage signing.
    3. Select your development team.
    The Signing Certificate is automatically selected.
  4. From the TARGETS list, select the WebDriverAgentRunner target:
    1. Click the General tab.
    2. Select Automatically manage signing.
    3. Select your development team.
    The Signing Certificate is automatically selected.
  5. If Xcode fails to create a provisioning profile for the WebDriverAgentRunner target, manually change the bundle id for the target.
    1. Click the Build Settings tab.
    2. Change the Product Bundle Identifier to something that Xcode accepts. For example, if the Product Bundle Identifier is com.facebook.WebDriverAgentRunner, change it to io.appium.WebDriverAgentRunner or io.borland.WebDriverAgentRunner.
    3. Click the General tab.
    The target should now have a provisioning profile.
  6. Save the WebDriverAgent.xcodeproj project.
  7. To verify that everything works as expected, build the project:
    xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test IPHONEOS_DEPLOYMENT_TARGET=10.3
Although the WebDriverAgentRunner is successfully installed on the device, an error message like the following might appear in the console or the Appium log files:
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=com.apple.platform.iphoneos
Code=-12 "Unable to launch com.apple.test.WebDriverAgentRunner-Runner"
UserInfo={NSLocalizedDescription=Unable to launch com.apple.test.WebDriverAgentRunner-Runner,
NSUnderlyingError=0x7fa839cadc60 {Error Domain=DTXMessage Code=1 "(null)"
UserInfo={DTXExceptionKey=The operation couldn't be completed. Unable to launch
com.apple.test.WebDriverAgentRunner-Runner because it has an invalid code signature,
inadequate entitlements or its profile has not been explicitly trusted by the user. :
Failed to launch process with bundle identifier 'com.apple.test.WebDriverAgentRunner-Runner'}}}
2017-01-24 09:02:18.358 xcodebuild[30385:339674] Error
Domain=IDETestOperationsObserverErrorDomain Code=5 "Early unexpected exit, operation
never finished bootstrapping - no restart will be attempted"
UserInfo={NSLocalizedDescription=Early unexpected exit,
operation never finished bootstrapping - no restart will be attempted}

Testing failed:
Test target WebDriverAgentRunner encountered an error (Early unexpected exit, operation never
finished bootstrapping - no restart will be attempted)
The problem is that the developer is not trusted on the device. If you manually try to run the WebDriverAgentRunner app on the device, you will see an Untrusted Developer message.

To solve this issue on the device, go to Settings > General > Profiles or Settings > General > Device Management, depending on the device type and the iOS version. Then trust the developer and allow the WebDriverAgentRunner app to be run.

Parent topic: iOS


Editing the Properties of the Silk Test Information Service

You can use the infoservice.properties file to specify the port for the Silk Test Information Service or various capabilities. These capabilities are applied each time Silk Test executes a test on the machine on which the Silk Test Information Service is running.
  1. Navigate to the directory in which the infoservice.properties.sample file is located. For example, on a Mac, navigate to ~/.silk/silktest/conf/. On a Windows machine, navigate to C:\ProgramData\Silk\SilkTest\conf.
  2. Rename the file infoservice.properties.sample to infoservice.properties.
  3. Specify a port that is not in use. The default port for the Silk Test Information Service is 22901.
  4. To specify capabilities, add the following line to the infoservice.properties file:
    customCapabilities=<custom capability_1>;<custom_capability_2>;...

Example: Running an iOS Simulator in a Specified Language

To always run a specific iOS Simulator on a Mac in the same language, for example Japanese, specify the custom capabilities language and locale. To do so, add the following line to the infoservice.properties file:
customCapabilities=language=ja;locale=ja_JP
Parent topic: iOS


Uninstalling the Silk Test Information Service from a Mac

To uninstall the Silk Test information service (information service) from a Mac, for example if you no longer want to execute tests against Apple Safari on the Mac:

  1. Create a new shell file, for example uninstallInfoService.sh.
  2. Type the following code into the new file:
    #!/bin/sh

if launchctl list | grep com.borland.infoservice ; then
  launchctl unload /Library/LaunchAgents/com.borland.infoservice.plist
  echo "unloading Launch Daemon"
fi

if [ -d "/Applications/Silk" ]
then
  sudo rm -rf /Applications/Silk
fi

if [ -f "/Library/LaunchAgents/com.borland.infoservice.plist" ]
then
  sudo rm /Library/LaunchAgents/com.borland.infoservice.plist
fi

if [ -f "/usr/local/bin/ideviceinstaller" ]
then
  sudo rm /usr/local/bin/ideviceinstaller
fi

exit 0
  3. In the command line, type chmod +x uninstallInfoService.sh to make the shell file executable.
  4. Execute the shell file from the command line.
Parent topic: iOS
Parent topic: Testing with Apple Safari on a Mac


Recommended Settings for iOS Devices

To optimize testing with Silk4NET, configure the following settings on the iOS device that you want to test:
  • To make the testing reflect the actions an actual user would perform, disable AutoFill and remembering passwords for Apple Safari. Tap Settings > Safari > Passwords & AutoFill and turn off the Names and Passwords setting.
  • The iOS device must not fall into sleep mode during testing. To turn the screen lock and password off, select Settings > General > Passcode Lock.
Parent topic: iOS
Related tasks
Testing Native Mobile Applications on a Physical iOS Device
Related reference
Recommended Settings for Android Devices


Running Existing Scripts on iOS Using XCUITest

Attention: Prior Silk4NET versions used Instruments to automate iOS devices. With iOS 9.3, Apple has replaced the support for Instruments with support for the XCUITest framework, causing Silk4NET to also no longer support Instruments. Because of this change, existing iOS test scripts might break when executed from the current version of Silk4NET.
  • The behavior of the classname attribute in XCUITest is different to the behavior in Instruments. In most cases, Silk4NET will automatically handle this change. However, if an existing test script breaks because of such a classname attribute, you will have to record a new locator for the corresponding object.
  • The object hierarchy has changed.
Parent topic: iOS
Related concepts
Limitations for Testing Native Mobile Applications
Limitations for Testing Mobile Web Applications


Testing an Installed App

To test a native mobile app that is already installed on a device, an Emulator, or a Simulator, specify the app in the connection string.
  1. Open an existing project that tests a native mobile app.
  2. Open the Edit Application Configuration dialog box.
  3. Replace the existing app in the connection string with one of the following:
    • If you want to test an iOS app, replace the app with the bundleId, for example replace app=MyApp.ipa with bundleId=silktest.InsuranceMobile.
    • If you want to test an Android app, replace the app with the appActivity and the appPackage. For example, replace app=MyApp.apk with appActivity=.LoginActivity;appPackage=silktest.insurancemobile.
For additional information, see Connection String.
Parent topic: Testing Mobile Applications


Recording Mobile Applications

Once you have established the connection between Silk4NET and a mobile device or an emulator, you can record the actions that are performed on the device. To record mobile applications, Silk4NET uses a Recording window that provides the following functionality:

  • Displays the screen of the mobile device or Android emulator which you are testing.
  • When you perform an action in the Recording window, the same action is performed on the mobile device.
  • When you interact with a control on the screen, the Recording window preselects the default action.
    • If the default action is a Click, and you left-click on the control, the action is executed. You can perform a right-click to show a list of the available actions against the control. You can then select the action that you want to perform and click OK.
    • If the default action is not a Click, a list of all the available actions against the control displays, and you can select the action that you want to perform or simply accept the preselected action by clicking OK.
    When you have selected an action from the list, you can type values for the parameters of the selected action into the parameter fields. Silk4NET automatically validates the parameters.
  • During recording, Silk4NET displays the mouse position next to the recording window. You can toggle the location to switch between displaying the absolute mouse position on the device display and the mouse position in relation to the active object.
  • When you pause the recording, you can perform actions in the screen which are not recorded to bring the device into a state from which you want to continue recording.
  • When you stop recording, a script is generated with your recorded actions, and you can proceed with replaying the test.
Parent topic: Testing Mobile Applications
Related concepts
Limitations for Testing Mobile Web Applications
Limitations for Testing Native Mobile Applications
Related tasks
Recording a Silk4NET Test
Testing Mobile Applications on Android
Interacting with a Mobile Device


Selecting the Mobile Device for Test Replay

You can define the mobile device that is used for the replay of a test in the following ways:
  • If you execute a test from the UI of Silk4NET and the Select Mobile Device dialog box displays, the mobile device, Android Emulator, or iOS Simulator that is selected in the dialog box is used, and Silk4NET ignores which mobile device is set in the test script.
  • If the Select Mobile Device dialog box is disabled, because the Don't show again check box is checked, the application configurations in the individual test scripts determine the mobile device that is used to execute the tests.
    Note: To re-enable the Select Mobile Device dialog box, click Silk4NET > Edit Application Configurations and check the Show 'Select Mobile Device' dialog before record and playback check box
  • If you execute a script from the command line or from a Continuous Integration (CI) server, specify the connection string in the application configuration of the script.

    To overwrite the mobile device that is specified in the application configuration, use the silktest.configurationName environment variable.

  • If you execute a test from Silk Central, specify the mobile device in the Mobile Device Selection area of the Deployment tab of the execution definition in Silk Central instead of specifying a connection string. For additional information, refer to the Silk Central Help.
You can use the connection string to specify a specific mobile device, or you can filter a subset of the available devices, for example if you have a device pool. The first matching device is used for replay. If not specified otherwise, mobile devices are matched by using the following rules, with declining priority:
  • Matching mobile devices connected to the local machine are preferred over mobile devices connected to remote locations.
  • If the browser type is specified in the connection string, newer browser versions are preferred over older versions.
  • Newer platforms are preferred over older platforms.
  • A physical device is preferred to an Emulator or Simulator.
  • A device with a device name that is alphabetically later is preferred. For example, a device named "iphone 6" is preferred to a device named "iphone 5".

Example: Connection string for an app on an Android device that is connected to a remote machine

To test the app MyApp.apk on an Android device that is connected to a remote machine, the connection string would look like the following:
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

Example: Connection string for an app on an iOS Simulator on a Mac

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
Parent topic: Testing Mobile Applications
Related concepts
Connection String for a Mobile Device
Selecting the Browser for Test Replay
Related tasks
Using SauceLabs Devices
Using Devices from Mobile Center


Using Devices from Mobile Center

Mobile Center is a mobility gateway that enables you to manage the testing of your mobile devices.

To access the devices that are managed through the Mobile Center from Silk4NET, perform the following actions:

  1. Integrate Silk4NET with Silk Central. For additional information, see Integrating Silk4NET with Silk Central.
  2. Configure Silk Central to use Mobile Center.
    Note: While installing Mobile Center, ensure that the appropriate Android SDK version is used. Ensure that the same version is used in Silk4NET by setting the environment variable SILK_ANDROID_HOME, for example to C:\Users\<user>\AppData\Local\Android\android-sdk. For additional information, refer to the Silk Central Help.
  3. To test on iOS, ensure that the following IPA files are signed:
    • HP4M-Agent.ipa
    • HPMC-AgentLauncher.ipa
    • WebDriverAgentRunner-Runner.ipa
    Note: Silk4NET does not support testing iOS simulators through Mobile Center.
In the Select Applications dialog, you can now select the Mobile Center device on which you want to test.
Note: You cannot test a mobile device with both Silk4NET and Mobile Center at the same time. Restart a mobile device that you have tested with Silk4NET, if you want to continue testing the device from Mobile Center.
Note: When testing on a device that is managed through the Mobile Center, Silk4NET does not support using the methods TypeKeys or SetText to type key codes like ENTER. Additionally, Silk4NET does not support pressing the Home button on iOS devices.
Note: When testing on an Android Emulator, disable the GPU HW Acceleration.
Parent topic: Testing Mobile Applications
Related concepts
Selecting the Mobile Device for Test Replay
Related tasks
Integrating Silk4NET with Silk Central


Using SauceLabs Devices

SauceLabs provides an automated testing platform, enabling you to test on various mobile devices and mobile platform versions without having to purchase and maintain your own infrastructure.

To access SauceLabs devices through Silk Central, perform the following actions:

  1. Ensure that Silk4NET is integrated with Silk Central. For additional information, see Integrating Silk4NET with Silk Central.
  2. Ensure that Silk Central is configured to use SauceLabs. For additional information, refer to the Silk Central Help.
In the Select Applications dialog, you can now select the SauceLabs device on which you want to test.
Parent topic: Testing Mobile Applications
Related concepts
Selecting the Mobile Device for Test Replay
Related tasks
Integrating Silk4NET with Silk Central


Connection String for a Mobile Device

The connection string specifies which mobile device is used for testing. When performing mobile testing, Silk4NET uses the connection string to connect to the mobile device. The connection string is typically part of the application configuration. You can set the connection string when you configure your application under test. To change the connection string, you can use the Edit Application Configuration dialog box.

Note: If you execute a test from Silk Central, specify the mobile device in the Mobile Device Selection area of the Deployment tab of the execution definition in Silk Central instead of specifying a connection string. For additional information, refer to the Silk Central Help.
You can use the connection string to specify a specific mobile device, or you can filter a subset of the available devices, for example if you have a device pool. The first matching device is used for replay. If not specified otherwise, mobile devices are matched by using the following rules, with declining priority:
  • Matching mobile devices connected to the local machine are preferred over mobile devices connected to remote locations.
  • If the browser type is specified in the connection string, newer browser versions are preferred over older versions.
  • Newer platforms are preferred over older platforms.
  • A physical device is preferred to an Emulator or Simulator.
  • A device with a device name that is alphabetically later is preferred. For example, a device named "iphone 6" is preferred to a device named "iphone 5".

The following components are available for the connection string:

Component | Description
deviceName | The name of the mobile device. When testing on a physical mobile device, the device ID can be used instead. Supports wildcards. Case-insensitive.
platformName | Android or iOS. Required.
deviceId | Optional: The ID of the mobile device. Can be used instead of the device name, when testing on a physical mobile device. Supports wildcards. Case-insensitive.
platformVersion | Optional: The Android or iOS version. Specify the version to test only on mobile devices that have a specific Android or iOS version. Supports wildcards. Case-insensitive.
browserVersion | Optional: Can be used in combination with the browser type to test only on the specified browser version. Supports wildcards. Case-insensitive.
host | Optional: If not set, any specified remote location can be used as the host. Supports wildcards. Case-insensitive.
  • app
  • appActivity
  • appPackage
Required for testing native mobile applications on Android. Either the full path to the app, or a combination of appActivity and appPackage. For example app=MyApp.apk or appActivity=.LoginActivity;appPackage=silktest.insurancemobile
  • app
  • bundleId
Required for testing native mobile applications on iOS. Either the full path to the app or the bundleId. For example app=MyApp.ipa or bundleId=silktest.InsuranceMobile
noReset | Optional: Can be set when testing native mobile applications. Is only valid if the app is specified. True if the app should not be reinstalled before testing. False if the app should be reinstalled before testing. The default value is False.
isSimulator | Optional: Used to specify that the test should only be executed on an iOS Simulator. The device name can be used instead.
isPhysicalDevice | Optional: Used to specify that the test should only be executed on a physical device. The device name can be used instead.

When using a pool of devices and to find out which device is actually used for testing, you can use the return value of the GenerateConnectionString method of MobileDevice class.

Testing a mobile web application on a mobile device or on an Android Emulator

When testing a mobile web application on a mobile device or on an Android Emulator, the connection string consists of the following parts:

  1. The mobile device name, for example MotoG3, or the device ID, for example 11111111.
    Note: If the device name is unique, Micro Focus recommends to use the device name in the connection string, because the device ID is less readable.
  2. The platform name.
  3. The browser version. This can only be used in combination with setting the browser type
  4. The IP address or the host name of a specific remote machine, for example 10.0.0.1. You can also use the name of a remote location that is specified in the Edit Remote Locations dialog box as the host name, for example MyRemoteLocation. When using the remote location name, you can also use wildcards. To test an Android device that is connected to the local machine, specify the IP address or the host name of the local machine.

Example: Connection string for any available Android device

"platformName=Android"

Example: Connection string for a browser on an Android device that is connected to the local machine

To test a mobile browser on an Android device that is connected to the local machine, the connection string should look similar to the following:
"deviceName=MotoG3;platformName=Android;host=localhost"
or
"platformName=Android;deviceId=11111111;host=localhost"

Example: Connection string for a browser on an Android device that is connected to a remote machine

To test a mobile browser on a remote Android device, the connection string should look similar to the following:
"deviceName=MotoG3;platformName=Android;host=10.0.0.1"
"deviceName=MotoG3;platformName=Android;host=MyRemoteLocation*"

Example: Connection string for a browser on an iOS device that is connected to a Mac

To test a mobile browser on a remote iOS device, the connection string would look like the following:
"deviceName=myiPhone6;platformName=iOS;host=10.0.0.1"

Testing a native mobile application on a mobile device or on an Android Emulator

When testing a native mobile application on a mobile device or on an Android Emulator, the connection string consists of the following parts:
  1. The mobile device name, for example MotoG3, or the device ID, for example 11111111.
    Note: If the device name is unique, Micro Focus recommends to use the device name in the connection string, because the device ID is less readable.
  2. The platform name.
  3. The IP address or the host name of a specific remote machine, for example 10.0.0.1. You can also use the name of a remote location that is specified in the Edit Remote Locations dialog box as the host name, for example MyRemoteLocation. When using the remote location name, you can also use wildcards. To test an Android device that is connected to the local machine, specify the IP address or the host name of the local machine.
  4. The name of the file of the app that you want to test, or the URL of the file, if the file is located on a web server. For example C:/MyApp.apk or MyApp.ipa.
    • Android apps are always .apk files.
    • iOS apps on a real device are always .ipa files.
    • iOS apps on a Simulator are either a zipped file or a directory with the name app.

Example: Connection string for an app on an Android device that is connected to a remote machine

To test the app MyApp.apk on an Android device that is connected to a remote machine, the connection string would look like the following:
"platformName=Android;deviceName=MotoG3;host=http://10.0.0.1;app=MyApp.apk"

Example: Connection string for an app on an iOS device that is connected to a Mac

To test the app MyApp.ipa on an iOS device that is connected to a remote machine, the connection string would look like the following:
"platformName=iOS;deviceName=MyiPhone;host=http://10.0.0.1;app=MyApp.ipa"

Testing a mobile web application on an iOS Simulator

When testing a mobile web application on an iOS Simulator, the connection string consists of the following parts:
  1. The platform name, which is iOS.
  2. The platform version, for example 10.0.
  3. The mobile device name, for example iPhone6.
  4. The IP address or the host name of the Mac, on which the iOS Simulator is running.

Example: Connection string for a browser on an iOS Simulator on a Mac

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;isSimulator=true"

Testing a native mobile application on an iOS Simulator

When testing a native mobile application on an iOS Simulator on a Mac, the connection string consists of the following parts:
  1. The platform name, which is iOS.
  2. The platform version, for example 10.0.
  3. The mobile device name, for example iPhone6.
  4. The IP address or the host name of the remote machine, for example 10.0.0.1.
  5. The name of the app that you want to test, for example MyApp.ipa.

Example: Connection string for an app on an iOS Simulator on a Mac

"platformName=iOS;platformVersion=10.0;deviceName=iPhone6;host=10.0.0.1;app=MyApp.ipa;isSimulator=true"
Parent topic: Testing Mobile Applications
Related concepts
Connection String for a Remote Desktop Browser
Select Application Dialog Box
Selecting the Mobile Device for Test Replay
Selecting the Browser for Test Replay


Interacting with a Mobile Device

To interact with a mobile device and to perform an action like a swipe in the application under test:
  1. In the Recording window, click Show Mobile Device Actions. All the actions that you can perform against the mobile device are listed.
  2. Select the action that you want to perform from the list.
  3. To record a swipe on an Android device or emulator, move the mouse while holding down the left mouse button.
  4. Continue with the recording of your test.
Parent topic: Testing Mobile Applications
Related concepts
Recording Mobile Applications
Related tasks
Recording a Silk4NET Test


Releasing a Mobile Device

When recording or playing back a test against a mobile device, the Open Agent instance takes ownership of the device. By doing so, the Open Agent is preventing other Silk Test users from using the device. To enable other Silk Test users to use the device after you have finished recording or replaying tests on the device, Silk Test automatically releases the device when the Silk Test client is closed, when an unattended test process finishes, or when the Open Agent is closed. You can also manually release the device.

Note: Releasing a mobile device will close the application under test (AUT) on the mobile device.
  • Releasing a Mobile Device After Recording
    Release a mobile device after recording to enable other Silk Test users to test on the device.
  • Releasing a Mobile Device After Replay
    Release a mobile device after replay to enable other Silk Test users to test on the device.
Parent topic: Testing Mobile Applications


Releasing a Mobile Device After Recording

Release a mobile device after recording to enable other Silk Test users to test on the device.

To release a mobile device after you have finished recording, perform one of the following actions:
  • Stop the Open Agent from the System Tray.
  • Close Silk4NET. The device is only released by this action when parallel testing is enabled.
Note: Releasing a mobile device will close the application under test (AUT) on the mobile device.
Parent topic: Releasing a Mobile Device


Releasing a Mobile Device After Replay

Release a mobile device after replay to enable other Silk Test users to test on the device.

To manually release a mobile device after replaying is complete, you can also perform one of the following:
  • If you have tested a mobile web application, use the Close method or the CloseSynchron method of the BrowserApplication class. For additional information on these methods, refer to the API documentation.
    // C# code
webBrowser.Close();
    'VB .NET code
WebBrowser.Close()
  • If you have tested a mobile native application, use the CloseApp method of the MobileDevice class.
    For example, type the following:
    // C# code
MobileDevice mobileDevice = _desktop.MobileDevice();
mobileDevice.CloseApp();
    'VB .NET code
Dim mobileDevice = _desktop.MobileDevice()
mobileDevice.CloseApp()
  • Add the Agent.DetachAll() statement to the test script.
A mobile device is automatically released if one of the following conditions is met:
  • The Open Agent is closed.
  • The test process stops during unattended testing. The device is only released by this action when parallel testing is enabled.
  • Silk4NET is closed. The device is only released by this action when parallel testing is enabled.
Note: Releasing a mobile device will close the application under test (AUT) on the mobile device.
Parent topic: Releasing a Mobile Device


Troubleshooting when Testing Mobile Applications

Why does the Select Application dialog not display my mobile devices?

If Silk4NET does not recognize a mobile device or emulator, the Mobile tab in the Select Application dialog does not display the device or emulator. Additionally, the Web tab of the Select Application dialog does not display the mobile browsers that are installed on the device or emulator.

Silk4NET might not recognize a mobile device or emulator for one of the following reasons:
Reason | Solution
The emulator is not running. | Start the emulator.
The Android Debug Bridge (adb) does not recognize the mobile device. To check if the mobile device is recognized by adb:
  1. Navigate to the Android Debug Bridge (adb) in the Android SDK installation folder. If the Android SDK is not installed, navigate to C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools to use the adb that is installed with Silk4NET.
  2. Hold Shift and right-click into the File Explorer window.
  3. Select Open command window here.
  4. In the command window, type adb devices to get a list of all attached devices.
  5. If your device is not listed, check if USB-debugging is enabled on the device and if the appropriate USB driver is installed.
  6. If you get an error, for example adb server is out of date, ensure that the adb version in C:\Program Files (x86)\Silk\SilkTest\ng\Mobile\windows\AndroidTools\platform-tools is the same as the adb version of your local Android SDK. For additional information, see What can I do if the connection between the Open Agent and my device is unstable?.
The version of the operating system of the device is not supported by Silk4NET. | For information on the supported mobile operating system versions, refer to the Release Notes.
The USB driver for the device is not installed on the local machine. | Install the USB driver for the device on the local machine. For additional information, see Installing a USB Driver.
USB-debugging is not enabled on the device. | Enable USB-debugging on the device. For additional information, see Enabling USB-Debugging.
Note: If all previous solutions do not work, you could try to restart the device.

Why does Silk4NET search for a URL in Chrome for Android instead of navigating to the URL?

Chrome for Android might in some cases interpret typing an URL into the address bar as a search. As a workaround you can manually add a command to your script to navigate to the URL.

What do I do if the adb server does not start correctly?

When the Android Debug Bridge (adb) server starts, it binds to local TCP port 5037 and listens for commands sent from adb clients. All adb clients use port 5037 to communicate with the adb server. The adb server locates emulator and device instances by scanning odd-numbered ports in the range 5555 to 5585, which is the range used by emulators and devices. Adb does not allow changing those ports. If you encounter a problem while starting adb, check if one of the ports in this range is already in use by another program.

For additional information, see http://developer.android.com/tools/help/adb.html.

What can I do if the connection between the Open Agent and my device is unstable?

If you have installed the Android SDK or another tool that uses the Android Debug Bridge (adb), an additional adb server might be running in addition to the one that is used by Silk4NET. If the running adb servers have different versions, the connection between the Open Agent and the device might become unstable or even break.

To avoid version mismatch errors, specify the path to the Android SDK directory by setting the environment variable SILK_ANDROID_HOME, for example to C:\Users\<user>\AppData\Local\Android\android-sdk. If the information service was running during this change, use the Windows Service Manager to restart the Silk Test information service with the updated environment variable. If the variable is not set, Silk4NET uses the adb version that is shipped with Silk4NET.

Why do I get the error: Failed to allocate memory: 8?

This error displays if you are trying to start up the emulator and the system cannot allocate enough memory. You can try the following:

  1. Lower the RAM size in the memory options of the emulator.
  2. Lower the RAM size of Intel HAXM. To lower the RAM size, run the IntelHaxm.exe again and choose change.
  3. Open the Task Manager and check if there is enough free memory available. If not, try to free up additional memory by closing a few programs.

Why do I get the error "Silk Test cannot start the app that you have specified" during testing on an iOS device?

This error might display for one or more of the following reasons:
Reason | Solution
The iOS device is not in developer mode. You can enable the developer mode in one of the following two ways:
  • Connect the device to a Mac on which Xcode is installed, and start the app that you want to test on the device.
  • Add your provisioning profiles to the device.
    1. Open Xcode.
    2. Select Window > Devices.
    3. Right-click on the iOS device.
    4. Select Show Provisioning Profiles.
    5. Add your provisioning profiles.
You have recently updated the iOS version of the device.
  1. Open Xcode.
  2. Select Window > Devices.
  3. Wait unitl Xcode has processed the symbol files.
UI automation is not enabled on the iOS device.
  1. Select Settings > Developer.
  2. Activate Enable UI Automation.
The Web Inspector is not activated on the iOS device, while you are trying to test a mobile web application.
  1. Click Settings > Safari > Advanced.
  2. Activate the Web Inspector.
The app that you want to test was not built for the iOS version of the iOS device on which you are testing. | Use Xcode to build the app for the iOS version of the device.
The Software Update dialog box is currently open on the iOS device. Close the dialog box and disable automatic software updates:
  1. Select Settings > App and iTunes Stores > AUTOMATIC DOWNLOADS.
  2. Deactivate Updates.

Why does my Android device display only the Back button in the dynamic hardware controls?

If the Android or the Android Emulator is screen-locked when you start testing, the device or Emulator might display only the button Back in the dynamic hardware controls.

To solve this issue, stop the Open Agent, restart the device, and change the device settings to no longer lock the screen.

Why does my Android device or emulator no longer display a keyboard?

To support unicode characters, Silk4NET replaces the standard keyboard with a custom keyboard. When testing is finished, the original keyboard is restored. If an error occurs during testing, the custom keyboard might still be active and cannot be replaced.

To solve this issue, manually reset the keyboard under Settings > Language & input > Current Keyboard.

Why does my device not respond during testing?

If the device, emulator, or Simulator is screen-locked when you start testing, and Silk4NET is unable to unlock the screen, the device, emulator, or Simulator might stop responding to any actions.

To solve this issue, stop the Open Agent and change the device settings to no longer lock the screen.

Why can I not install the Information Service on a Mac?

When the Allow apps downloaded from setting in the General tab of the Security & Privacy system preferences pane is set to Mac App Store and identified developers, which is the default value, the following error message appears when opening the Information Service setup:
"SilkTestInformationService<version>.pkg" can't be opened because it is from an unidentified developer.
To solve this issue, use one of the following:
  • Right-click the setup file and select Open. A warning message will appear, but you will still be able to open the file.
  • Set the Allow apps downloaded from setting to Anywhere.
  • After attempting to open the file, navigate to the General tab of the Security & Privacy system preferences pane and click Open Anyway.

Why is the Recording window black when recording an Android app?

Android apps that require a higher level of security, for example apps that handle financial transactions, might have the FLAG_SECURE flag set, which prevents Silk4NET from capturing the app. Silk4NET relies on screenshots or on a video of the Android device during recording and will display a black screen of the device in the Recording window, if the Android app that you are testing has this flag set. To test such an app with Silk Test, you have to contact the app development team, and ask them to un-set the FLAG_SECURE flag during testing.

Why does Silk4NET not show a video when testing on an Android emulator?

If the emulator is using the graphic card of your computer for better rendering, the video capturing of Silk4NET might not work. To solve this, emulate the graphics in software:
  1. Open the Android Virtual Device Manager.
  2. Click Edit in the Actions column of the emulator.
  3. Select Software from the list in the Emulated Performance area of the Virtual Device Configuration dialog.

What can I do if Silk4NET does not show a video when testing in a cloud environment?

When testing in a cloud environment, showing a video might not work when recording or replaying a test, for example because required ports are not open.

To solve this issue, you can specify a list of WebDriver host URLs in the infoservice.properties file. For information on how to access this properties file, see Editing the Properties of the Silk Test Information Service. Add the option infoservice.disableScreencastHosts to the file, by typing the following:
infoservice.disableScreencastHosts=<URL_1>,<URL_2>, ...
For example:
infoservice.disableScreencastHosts=http://my-webdriver-server-url.com:80/wd/hub
You can specify URL patterns like *my-webdriver-server-url.com by using asterisks (*) as wildcards.

Silk4NET will show a series of screenshots instead of a video when recording and replaying on the specified hosts.

How can I change the installed version of Xcode?

If the version of Xcode that you are using is not supported by Silk4NET, for example when you upgrade to the latest version of Xcode, an error message might appear when testing on iOS.

To replace the installed version of Xcode with a supported version, download a supported Xcode version from https://developer.apple.com/download/more/, and replace the unsupported version with the downloaded version. For information about the supported Xcode versions, refer to the Release Notes.

What can I do if my Mac runs out of disk space?

Silk4NET uses Instruments to automate iOS devices. This tool creates large log files in the /Library/Caches/com.apple.dt.instruments directory, which might fill up disk space on the Mac. To solve this issue, Micro Focus recommends regularly deleting these log files, either manually or by using a cronjob. For example, to delete the files each day at the same time, you could do the following:
  1. Type sudo crontab -e into a Terminal. This opens an editor in which you can edit the crontab for root.
  2. Add the following line to the crontab:
    0 2 1 * * find /Library/Caches/com.apple.dt.instruments -mtime +10 -delete
  3. Save the crontab.

In this example, all log files that are older than ten days will be deleted each day at 2 AM from the directory.

Why does my test fail with the error message "Xcode build failed with code 65"?

When testing on a physical iOS device, this error usually means that during the build process the WebDriverAgent app could not be signed or that there is a problem with the provisioning profile.

You can check the actual problem with the following commands, which have to be executed at the Mac machine to which the device is connected:
cd /Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver
xcodebuild -project WebDriverAgent.xcodeproj -scheme WebDriverAgentRunner -destination 'id=<udid>' test
Verify that the folder Resources exists under /Applications/Silk/Mobile/common/Appium/node_modules/appium-xcuitest-driver and that the folder contains the file WebDriverAgent.bundle. If not, create this folder and an empty WebDriverAgent.bundle file, for example by using the following command:
mkdir -p Resources/WebDriverAgent.bundle

What can I do to prevent the Developer Tools Access from requesting to take control of another process?

When starting the execution of a test on iOS, a message box stating the following might appear:
Developer Tools Access needs to take control of another process for debugging to continue. Type your password to allow this.
To avoid getting this message, execute the following command in a Terminal:
sudo /usr/sbin/DevToolsSecurity --enable

Why are the rectangles wrong while testing a mobile web application on an iPad?

If the rectangles around controls are offset when testing a mobile web application on an iPad, you might have multiple browser tabs open and the Tab bar might be displayed. To fix this issue, close all tabs except one.

Why can I no longer record or replay tests on my device after updating Silk4NET?

When updating to a new version of Silk4NET, some Appium apps on any physical mobile devices that have already been used for mobile testing with the previous version of Silk4NET are updated automatically. If for any reason these apps are not automatically updated, you might experience difficulties when trying to record or replay tests on the device.

If you are experiencing such issues on a specific Android device after updating Silk4NET, manually uninstall the following apps from the device:
  • Appium Android Input Manager
  • Appium Settings
  • io.appium.uiautomator2.server
  • io.appium.uiautomator2.server.test
  • Unlock

If you are experiencing such issues on a specific iOS device after updating Silk4NET, manually uninstall the WebDriverAgentRunner from the device.

  • How Can I Use Chrome for Android to Replay Tests?
    Describes how you can set Chrome for Android as the browser that you want to use for test replay.
Parent topic: Testing Mobile Applications
Related tasks
Testing Mobile Applications on Android
Editing the Properties of the Silk Test Information Service
Related reference
Prerequisites for Testing Mobile Applications on Android


How Can I Use Chrome for Android to Replay Tests?

By default you can use the Select Browser dialog box to select the browser during replay.

If you execute a script from the command line or from a Continuous Integration (CI) server, you can specify the connection string in the application configuration of the script. To overwrite the browser that is specified in the application configuration, use the silktest.configurationName environment variable.

You can also use the property browsertype of the BrowserApplication class to set the type of the browser that is used during replay. However, the browsertype does not include an explicit value for Chrome for Android.

To specify that you want to use Chrome for Android as the browser, on which a test is replayed, set the browsertype to GoogleChrome and specify Android as the platform. When Android is specified, Silk4NET uses Chrome for Android instead of Google Chrome on a desktop machine to execute the test.

Examples

The following code sample shows how you can set the base state for a test to use Chrome for Android on a Nexus 7 by using the silktest.configurationName:
SET silktest.configurationName="platformName=Android;deviceName=Nexus 7;host=10.0.0.1 - Chrome"
The following code sample shows how you can set the base state for a test to use Chrome for Android by using the browsertype :
// C# code
var baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS/");
baseState.SetConnectionString("platformName=Android");
baseState.Execute();
'VB .NET code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS/")
baseState.SetConnectionString("platformName=Android")
baseState.Execute()
Parent topic: Troubleshooting when Testing Mobile Applications


Limitations for Testing Mobile Web Applications

The support for playing back tests and recording locators on mobile browsers is not as complete as the support for the other supported browsers. The known limitations for playing back tests and recording locators for mobile web applications are:

  • The following classes, interfaces, methods, and properties are currently not supported for mobile web applications:
    • BrowserApplication class.
      • CloseOtherTabs method
      • CloseTab method
      • ExistsTab method
      • GetActiveTab method
      • GetSelectedTab method
      • GetSelectedTabIndex method
      • GetSelectedTabName method
      • GetTabCount method
      • ImageClick method
      • OpenTab method
      • SelectTab method
    • DomElement class.
      • DomDoubleClick method
      • DomMouseMove method
      • GetDomAttributeList method
    • IKeyable interface.
      • PressKeys method
      • ReleaseKeys method
  • Silk4NET does not support testing HTML frames and iFrames with Apple Safari on iOS.
  • Recording in landscape mode is not supported for emulators that include virtual buttons in the system bar. Such emulators do not correctly detect rotation and render the system bar in landscape mode to the right of the screen, instead of the lower part of the screen. However, you can record against such an emulator in portrait mode.
  • Only HTML attributes in the HTML DOM are supported in XPath expressions for mobile applications. Silk4NET does not support properties in XPath expressions.
  • If you are testing a mobile web application on Android, Silk4NET does not support zooming.
  • The following JavaScript alert-handling methods of the BrowserWindow class do not work when testing on the Original Android Stock (AOSP) Browser:
    • AcceptAlert method
    • DismissAlert method
    • GetAlertText method
    • IsAlertPresent method
  • At any given point in time, you can test on multiple physical iOS devices that are connected to the Mac, but only on one iOS Simulator that is running on the Mac.
  • Before starting to test a mobile web application, ensure that no browser tab is open.
    Tip: On iPads you can disable tabs in Apple Safari. Navigate to Settings > Safari and disable Show Tab Bar to do so.
  • While testing a mobile web application, you can only have one browser tab open.
  • Silk4NET does not support testing mobile web applications that are opened by a native mobile application.
Parent topic: Testing Mobile Applications
Related concepts
Limitations for Testing Native Mobile Applications
Running Existing Scripts on iOS Using XCUITest
Image Recognition Support


Limitations for Testing Native Mobile Applications

The known limitations for playing back tests and recording locators on native mobile applications (apps) are:

  • The following classes, interfaces, methods, and properties are currently not supported for native mobile applications:
    • IKeyable interface.
      • PressKeys method
      • ReleaseKeys method
    • MobileDevice class.
      • When testing a native mobile application on iOS, the SetLocation method is not supported.
      • When testing a native mobile application on an Android version prior to Android 6.0, you have to enable Allow mock locations to use the SetLocation method. To do so, open the settings of the Android device or emulator and tap Developer Options.
      • When testing a native mobile application on Android 6.0 or later, you have to set the app to Appium Settings to use the SetLocation method. To do so, open the settings of the Android device or emulator and tap Developer Options > Select mock location app. Then choose Appium Settings.
        Note: The Appium Settings entry is only available if you have already executed a test with Appium on the Android device or emulator.
      • When testing on iOS, the Find method does not work in the following cases:
        • If the path attribute is set.
        • If an attribute value is empty.
  • When testing on iOS, the getValue method of the XCUIElementTypeSwitch class returns the strings false or true depending on the checked state, instead of returning the strings 0 and 1.
  • Recording in landscape mode is not supported for Android emulators that include virtual buttons in the system bar. Such emulators do not correctly detect rotation and render the system bar in landscape mode to the right of the screen, instead of the lower part of the screen. However, you can record against such an emulator in portrait mode.
  • Only HTML attributes in the HTML DOM are supported in XPath expressions for mobile applications. Silk4NET does not support properties in XPath expressions.
  • At any given point in time, you can test on multiple physical iOS devices that are connected to the Mac, but only on one iOS Simulator that is running on the Mac. With Silk Test 17.5 Hotfix 1 or later, you are no longer required to use multiple user sessions on a Mac to test mobile applications on iOS.
  • Silk4NET does not support text recognition when testing native mobile applications on both Android and iOS.
    Text recognition includes the following methods:
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET does not support testing native mobile applications with multiple web views.
  • When testing on iOS, the state of the isVisible property is always true, even if the element is not visible.
  • When testing on iOS, a swipe action with multiple steps swipes to a point, releases the mouse pointer and then swipes to the next point. On prior versions of iOS, the action does not release the mouse pointer between the swipes.
  • When testing on iOS, Silk4NET does not support any multi-touch actions except pinch.
  • When testing on iOS, Silk4NET does not support the PinchIn method.
  • When testing on iOS, you can only accept or dismiss alert dialog boxes. If no Cancel button is available and Silk4NET cannot dismiss the dialog, the default action is to accept the dialog.
  • When testing on Android, Silk4NET does not provide automated synchronization for controls of the Animation class.

  • When testing on iOS, Silk4NET does not provide automated synchronization for controls that call the UIView.animate function or the UIView.animateWithDuration function.

    You can workaround this issue by increasing the speed of the animation in the app delegate:
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    // Speed animations up (recommended)
    window!.layer.speed = 100;
  }
}
    Micro Focus does not recommend disabling such animations completely, as this might change the applications behavior. However, if speeding up the animation does not resolve the synchronization issue, you could completely disable animations in the app delegate as follows:
    func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
  //...
  if NSProcessInfo.processInfo().environment["automationName"] == "Silk Test" {
    UIView.setAnimationsEnabled(false)
  }
}
  • When testing on iOS, the following additional limitations apply:
    • You might experience performance decreases while recording and replaying tests.
    • Due to internal changes in iOS, the locators of some controls might have changed, and some of your existing tests might break.
    • Text fields that are not in focus might not be recognized as text fields. To ensure that text fields are recognized correctly, set the focus on the text fields, for example by clicking on a text field before trying to interact with it.
Parent topic: Testing Mobile Applications
Related concepts
Limitations for Testing Mobile Web Applications
Running Existing Scripts on iOS Using XCUITest
Image Recognition Support


Clicking on Objects in a Mobile Website

When clicking on an object during the recording and replay of an automated test, a mobile website presents the following challenges in comparison to a desktop website:
  • Varying zoom factors and device pixel ratios.
  • Varying screen sizes for different mobile devices.
  • Varying font and graphic sizes between mobile devices, usually smaller in comparison to a website in a desktop browser.
  • Varying pixel size and resolution for different mobile devices.

Silk4NET enables you to surpass these challenges and to click the appropriate object on a mobile website.

When recording a test on a mobile device, Silk4NET does not record coordinates when recording a Click. However, for cross-browser testing, coordinates are allowed during replay. You can also manually add coordinates to a Click. Silk4NET interprets these coordinates as the HTML coordinates of the object. To click on the appropriate object inside the BrowserWindow, during the replay of a test on a mobile device, Silk4NET applies the current zoom factor to the HTML coordinates of the object. The device pixel coordinates are the HTML coordinates of the object, multiplied with the current zoom factor.

If the object is not visible in the currently displayed section of the mobile website, Silk4NET scrolls to the appropriate location in the website.

Example

The following code shows how you can test a DomButton with a fixed size of 100 x 20 px in your HTML page.

C#
DomButton domButton = _desktop.Find<DomButton>("locator for the button");
domButton.Click(MouseButton.LEFT, new Point(50, 10));
VB
DomButton domButton = _desktop.Find(Of DomButton)("locator for the button");
domButton.Click(MouseButton.LEFT, new Point(50, 10));

During replay on a different mobile device or with a different zoom factor, the DomButton might for example have an actual width of 10px on the device screen. Silk4NET clicks in the middle of the element when using the code above, independent of the current zoom factor, because Silk4NET interprets the coordinates as HTML coordinates and applies the current zoom factor.

Parent topic: Testing Mobile Applications


Using Existing Mobile Web Tests

Silk Test 17.0 or later uses a different approach to mobile web testing than previous versions of Silk Test. This change might result in your old mobile web tests no longer working on Silk Test 17.0 or later. This topic describes some of the changes that were introduced with Silk Test 17.0 and provides guidance on changing existing mobile web tests with Silk Test 17.0 or later.

The following changes for mobile web testing were introduced with Silk Test 17.0:

  • With previous versions of Silk Test, you were able to test on iOS devices that were connected by USB to a Windows machine. With Silk Test 17.0 or later, you can only test on iOS devices that are connected to an OSX machine (Mac).
  • If you have tested mobile web applications on an Android device with a previous version of Silk Test, you have to manually remove the proxy from the Android device to test a web application with Silk Test 17.0 or later. Silk Test 17.0 or later no longer requires a proxy, and if the proxy is set, the message Unable to connect to the proxy server displays on the device.
Parent topic: Testing Mobile Applications


.NET Support

Silk Test provides built-in support for testing .NET applications including:

  • Windows Forms (Win Forms) applications
  • Windows Presentation Foundation (WPF) applications
  • Microsoft Silverlight applications

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

  • Windows Forms Support
    Describes the built-in support for testing .NET standalone and No-Touch Windows Forms (Win Forms) applications.
  • Windows Presentation Foundation (WPF) Support
    Provides an overview of Windows Presentation Foundation (WPF) application support.
  • Silverlight Application Support
    Describes the built-in support for testing Silverlight applications.
  • Visual COBOL Support
    Describes the support that Silk4NET provides for testing applications that are based on Visual COBOL.
Parent topic: Testing Specific Environments


Windows Forms Support

Silk4NET provides built-in support for testing .NET standalone and No-Touch Windows Forms (Win Forms) applications. However, side-by-side execution is supported only on standalone applications.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Object Recognition

The name that was given to an element in the application is used as automationId attribute for the locator if available. As a result, most objects can be uniquely identified using only this attribute.

Supported Controls

For a complete list of the record and replay controls available for Win Forms testing, see Windows Forms Class Reference.

  • Windows Forms Class Reference
    Lists the Visual Basic classes for Windows Forms support.
  • Attributes for Windows Forms Applications
    Lists the attributes supported for Windows Forms applications.
  • Custom Attributes for Windows Forms Applications
    Describes which attributes you can use to create stable identifiers for Windows Forms applications.
  • Dynamically Invoking Windows Forms Methods
    Explains how to call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature.
Parent topic: .NET Support


Windows Forms Class Reference

When you configure a Windows Forms application, Silk4NET automatically provides built-in support for testing standard Windows Forms controls.

Parent topic: Windows Forms Support
Related reference
Windows Forms Class Reference


Attributes for Windows Forms Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for Windows Forms applications include:
  • automationid
  • caption
  • windowid
  • priorlabel (For controls that do not have a caption, the priorlabel is used as the caption automatically. For controls with a caption, it may be easier to use the caption.)
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.
Parent topic: Windows Forms Support
Parent topic: Supported Attribute Types


Dynamically Invoking Windows Forms Methods

Dynamic invoke enables you to directly call methods, retrieve properties, or set properties, on an actual instance of a control in the application under test. You can also call methods and properties that are not available in the Silk4NET API for this control. Dynamic invoke is especially useful when you are working with custom controls, where the required functionality for interacting with the control is not exposed through the Silk4NET API.

Call dynamic methods on objects with the Invoke method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Call multiple dynamic methods on objects with the InvokeMethods method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Retrieve dynamic properties with the GetProperty method and set dynamic properties with the SetProperty method. To retrieve a list of supported dynamic properties for a control, use the GetPropertyList method.

For example, to call a method named SetTitle, which requires the title to be set as an input parameter of type string, on an actual instance of a control in the application under test, type the following:
control.Invoke("SetTitle", "my new title")
Note: Typically, most properties are read-only and cannot be set.
Note: Reflection is used in most technology domains to call methods and retrieve properties.

The Invoke Method

For a Windows Forms or a WPF control, you can use the Invoke method to call the following methods:
  • Public methods that the MSDN defines for the control.
  • Public static methods that the MSDN defines.
  • User-defined public static methods of any type.

First Example for the Invoke Method

For an object of the Silk4NET type DataGrid, you can call all methods that MSDN defines for the type System.Windows.Forms.DataGrid.

To call the method IsExpanded of the System.Windows.Forms.DataGrid class, use the following code:
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)
//C# code
bool isExpanded = (bool) dataGrid.Invoke("IsExpanded", 3);

Second Example for the Invoke Method

To invoke the static method String.Compare(String s1, String s2) inside the AUT, use the following code:
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

Third Example for the Invoke Method

This example shows how you can dynamically invoke the user-generated method GetContents.

You can write code which you can use to interact with a control in the application under test (AUT), in this example an UltraGrid. Instead of creating complex dynamic invoke calls to retrieve the contents of the UltraGrid, you can generate a new method GetContents and then just dynamically invoke the new method.

In Visual Studio, the following code in the AUT defines the GetContents method as a method of the UltraGridUtil class:
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
The code for the UltraGridUtil class needs to be added to the AUT. You can do this in the following ways:
  • The application developer can compile the code for the class into the AUT. The assembly needs to be already loaded.
  • You can create a new assembly that is loaded into the AUT during test execution.
To load the assembly, you can use the following code:
FormsWindow.LoadAssembly(String assemblyFileName)
You can load the assembly by using the full path, for example:
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
You can also find the location of the assembly by using the Location method:
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)

//C# code
string assemblyLocation = typeof(UltraGridExtensions.UltraGridUtil).Assembly.Location;
mainWindow.LoadAssembly(assemblyLocation);
When the code for the UltraGridUtil class is in the AUT, you can add the following code to your test script to invoke the GetContents method:
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

The mainWindow object, on which the Invoke method is called, only identifies the AUT and can be replaced by any other object in the AUT.

The InvokeMethods Method

For a Windows Forms or a WPF control, you can use the InvokeMethods method to invoke a sequence of nested methods. You can call the following methods:
  • Public methods that the MSDN defines for the control.
  • Public static methods that the MSDN defines.
  • User-defined public static methods of any type.

Example: Getting the Text Contents of a Cell in a Custom Data Grid

To get the text contents of a cell of a custom data grid from the Infragistics library, you can use the following C# code in the AUT:
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
The following C# code sample gets the text contents of the third cell in the first row:
string cellText = dataGrid.Rows[0].Cells[2];
Scripting the same example by using the InvokeMethods method generates a relatively complex script, because you have to pass five methods with their corresponding parameters to the InvokeMethods method:
// C# code
var dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'");
// Get text contents of third cell in first row.
var rowIndex = 0;
var columnIndex = 2;

var methodNames = new List<string>();
methodNames.Add("Rows"); 			 								// Get the list of rows from the grid.
methodNames.Add("get_Item"); 								// Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells"); 											// Get the list of cells from the the row.
methodNames.Add("get_Item"); 								// Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text"); 												// Get the text of the cell.

var parameters = new List<List<object>>();
parameters.Add(new List<object>());                  // Parameters for the Rows property.
parameters.Add(new List<object>() { rowIndex });     // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Cells property.
parameters.Add(new List<object>() { columnIndex });  // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Text property.

string cellText = (string)dataGrid.InvokeMethods(methodNames, parameters);
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
A better approach in such a case is to add code to the application under test and then to use the InvokeMethods method. For this example, add the GetCellText method to the AUT:
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
To get the text contents of the cell, dynamically invoke the GetCellText method from your test script:
// C# code
string cellText = (string) mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex);
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

For additional information, see Adding Code to the Application Under Test to Test Custom Controls.

Supported Methods and Properties

The following methods and properties can be called:
  • Methods and properties that Silk4NET supports for the control.
  • All public methods and properties that the MSDN defines for the control.
  • If the control is a custom control that is derived from a standard control, all methods and properties from the standard control can be called.

Supported Parameter Types

The following parameter types are supported:
  • All built-in Silk4NET types

    Silk4NET types includes primitive types (such as boolean, int, string), lists, and other types (such as Point and Rect).

  • Enum types

    Enum parameters must be passed as string. The string must match the name of an enum value. For example, if the method expects a parameter of the .NET enum type System.Windows.Visiblity you can use the string values of Visible, Hidden, or Collapsed.

  • .NET structs and objects

    .NET struct and object parameters must be passed as a list. The elements in the list must match one constructor for the .NET object in the test application. For example, if the method expects a parameter of the .NET type System.Windows.Vector, you can pass a list with two integers. This works because the System.Windows.Vector type has a constructor with two integer arguments.

  • Other controls

    Control parameters can be passed or returned as TestObject.

Returned Values

The following values are returned for properties and methods that have a return value:
  • The correct value for all built-in Silk4NET types. These types are listed in the Supported Parameter Types section.
  • All methods that have no return value return null in C# or Nothing in VB.
Parent topic: Windows Forms Support
Related concepts
Dynamic Invoke
Adding Code to the Application Under Test to Test Custom Controls
Custom Controls
Frequently Asked Questions About Dynamic Invoke


Windows Presentation Foundation (WPF) Support

Silk4NET provides built-in support for testing Windows Presentation Foundation (WPF) applications. Silk4NET supports standalone WPF applications and can record and play back controls embedded in .NET version 3.5 or later.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Supported Controls

For a complete list of the controls available for WPF testing, see WPF Class Reference.

All supported WPF classes for Silk4NET WPF support start with the prefix WPF, such as WPFWindow and WPFListBox.

Supported methods and properties for WPF controls depend on the actual implementation and runtime state. The methods and properties may differ from the list that is defined for the corresponding class. To determine the methods and properties that are supported in a specific situation, use the following code:

  • GetPropertyList()
  • GetDynamicMethodList()

For additional information abut WPF, refer to MSDN.

  • WPF Class Reference
    Lists the Visual Basic classes for WPF support.
  • Attributes for Windows Presentation Foundation (WPF) Applications
    Lists the attributes supported for Windows Presentation Foundation (WPF) applications.
  • Custom Attributes for WPF Applications
    Describes which attributes you can use to create stable identifiers for WPF applications.
  • Classes that Derive from the WPFItemsControl Class
    Describes how to interact with classes that derive from WPFItemsControl.
  • Custom WPF Controls
    Describes how Silk4NET recognizes custom controls.
  • Dynamically Invoking WPF Methods
    Explains how to call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature.
  • Setting WPF Classes to Expose During Recording and Playback
    Expose classes to record, playback, find, verify properties, and perform any other supported actions for the classes.
  • Setting Pre-Fill During Recording and Replaying
    Turn pre-fill on during recording and replaying to access items that are not accessible without scrolling them into view.
Parent topic: .NET Support


WPF Class Reference

When you configure a WPF application, Silk4NET automatically provides built-in support for testing standard WPF controls.

Parent topic: Windows Presentation Foundation (WPF) Support
Related reference
WPF Class Reference


Attributes for Windows Presentation Foundation (WPF) Applications

Supported attributes for WPF applications include:
  • automationId
  • caption
  • className
  • name
  • All dynamic locator attributes.
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.

For additional information on dynamic locator attributes, see Dynamic Locator Attributes.

Object Recognition

To identify components within WPF scripts, you can specify the automationId, caption, className, or name. The name that is given to an element in the application is used as the automationId attribute for the locator if available. As a result, most objects can be uniquely identified using only this attribute. For example, a locator with an automationId might look like: //WPFButton[@automationId='okButton']".

If you define an automationId and any other attribute, only the automationId is used during replay. If there is no automationId defined, the name is used to resolve the component. If neither a name nor an automationId are defined, the caption value is used. If no caption is defined, the className is used. We recommend using the automationId because it is the most useful property.

Attribute Type Description Example
automationId

An ID that was provided by the developer of the test application.

//WPFButton[@automationId='okButton']"
name The name of a control. The Visual Studio designer automatically assigns a name to every control that is created with the designer. The application developer uses this name to identify the control in the application code.
//WPFButton[@name='okButton']"
caption

The text that the control displays. When testing a localized application in multiple languages, use the automationId or name attribute instead of the caption.

//WPFButton[@automationId='Ok']"
className

The simple .NET class name (without namespace) of the WPF control. Using the class name attribute can help to identify a custom control that is derived from a standard WPF control that Silk4NET recognizes.

//WPFButton[@className='MyCustomButton']"

During recording, Silk4NET creates a locator for a WPF control by using the automationId, name, caption, or className attributes in the order that they are listed in the preceding table. For example, if a control has a automationId and a name, Silk4NET uses the automationId when creating the locator.

The following example shows how an application developer can define a name and an automationId for a WPF button in the XAML code of the application:
<Button Name="okButton" AutomationProperties.AutomationId="okButton"
Click="okButton_Click">Ok</Button>
Parent topic: Windows Presentation Foundation (WPF) Support
Parent topic: Supported Attribute Types


Classes that Derive from the WPFItemsControl Class

Silk4NET can interact with classes that derive from WPFItemsControl, such as WPFListBox, WPFTreeView, and WPFMenu, in two ways:

  • Working with the control

    Most controls contain methods and properties for typical use cases. The items are identified by text or index.

  • Working with individual items, such as WPFListBoxItem, WPFTreeViewItem, or WPFMenuItem

    For advanced use cases, use individual items. For example, use individual items for opening the context menu on a specific item in a list box, or clicking a certain position relative to an item.

Parent topic: Windows Presentation Foundation (WPF) Support


Custom WPF Controls

Generally, Silk4NET provides record and playback support for all standard WPF controls.

Silk4NET handles custom controls based on the way the custom control is implemented. You can implement custom controls by using the following approaches:
  • Deriving classes from UserControl

    This is a typical way to create compound controls. Silk4NET recognizes these user controls as WPFUserControl and provides full support for the contained controls.

  • Deriving classes from standard WPF controls, such as ListBox

    Silk4NET treats these controls as an instance of the standard WPF control that they derive from. Record, playback, and recognition of children may not work if the user control behavior differs significantly from its base class implementation.

  • Using standard controls that use templates to change their visual appearance

    Low-level replay might not work in certain cases. Switch to high-level playback mode in such cases.

Silk4NET filters out certain controls that are typically not relevant for functional testing. For example, controls that are used for layout purposes are not included. However, if a custom control derives from an excluded class, specify the name of the related WPF class to expose the filtered controls during recording and playback.

Parent topic: Windows Presentation Foundation (WPF) Support
Related tasks
Setting WPF Classes to Expose During Recording and Playback
Setting Replay Options


Dynamically Invoking WPF Methods

Dynamic invoke enables you to directly call methods, retrieve properties, or set properties, on an actual instance of a control in the application under test. You can also call methods and properties that are not available in the Silk4NET API for this control. Dynamic invoke is especially useful when you are working with custom controls, where the required functionality for interacting with the control is not exposed through the Silk4NET API.

Call dynamic methods on objects with the Invoke method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Call multiple dynamic methods on objects with the InvokeMethods method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Retrieve dynamic properties with the GetProperty method and set dynamic properties with the SetProperty method. To retrieve a list of supported dynamic properties for a control, use the GetPropertyList method.

For example, to call a method named SetTitle, which requires the title to be set as an input parameter of type string, on an actual instance of a control in the application under test, type the following:
control.Invoke("SetTitle", "my new title")
Note: Typically, most properties are read-only and cannot be set.
Note: Reflection is used in most technology domains to call methods and retrieve properties.

The Invoke Method

For a Windows Forms or a WPF control, you can use the Invoke method to call the following methods:
  • Public methods that the MSDN defines for the control.
  • Public static methods that the MSDN defines.
  • User-defined public static methods of any type.

First Example for the Invoke Method

For an object of the Silk4NET type DataGrid, you can call all methods that MSDN defines for the type System.Windows.Forms.DataGrid.

To call the method IsExpanded of the System.Windows.Forms.DataGrid class, use the following code:
//VB .NET code
Dim isExpanded As Boolean = dataGrid.Invoke("IsExpanded", 3)
//C# code
bool isExpanded = (bool) dataGrid.Invoke("IsExpanded", 3);

Second Example for the Invoke Method

To invoke the static method String.Compare(String s1, String s2) inside the AUT, use the following code:
//VB .NET code
Dim result as Integer = (Integer) mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

Third Example for the Invoke Method

This example shows how you can dynamically invoke the user-generated method GetContents.

You can write code which you can use to interact with a control in the application under test (AUT), in this example an UltraGrid. Instead of creating complex dynamic invoke calls to retrieve the contents of the UltraGrid, you can generate a new method GetContents and then just dynamically invoke the new method.

In Visual Studio, the following code in the AUT defines the GetContents method as a method of the UltraGridUtil class:
//C# code, because this is code in the AUT
namespace UltraGridExtensions {
  public class UltraGridUtil {
    /// <summary>
    /// Retrieves the contents of an UltraGrid as nested list
    /// </summary>
    /// <param name="grid"></param>
    /// <returns></returns>
    public static List<List<string>> GetContents(Infragistics.Win.UltraWinGrid.UltraGrid grid) {
      var result = new List<List<string>>();
      foreach (var row in grid.Rows) {
        var rowContent = new List<string>();
        foreach (var cell in row.Cells) {
          rowContent.Add(cell.Text);
        }
        result.Add(rowContent);
      }
      return result;
    }
  }
}
The code for the UltraGridUtil class needs to be added to the AUT. You can do this in the following ways:
  • The application developer can compile the code for the class into the AUT. The assembly needs to be already loaded.
  • You can create a new assembly that is loaded into the AUT during test execution.
To load the assembly, you can use the following code:
FormsWindow.LoadAssembly(String assemblyFileName)
You can load the assembly by using the full path, for example:
mainWindow.LoadAssembly("C:/temp/ultraGridExtensions.dll")
You can also find the location of the assembly by using the Location method:
//VB.NET code
Dim assemblyLocation = GetType(UltraGridExtensions.UltraGridUtil).Assembly.Location
mainWindow.LoadAssembly(assemblyLocation)

//C# code
string assemblyLocation = typeof(UltraGridExtensions.UltraGridUtil).Assembly.Location;
mainWindow.LoadAssembly(assemblyLocation);
When the code for the UltraGridUtil class is in the AUT, you can add the following code to your test script to invoke the GetContents method:
var contents = (IList) mainWindow.Invoke("UltraGridExtensions.UltraGridUtil.GetContents", ultraGrid);

The mainWindow object, on which the Invoke method is called, only identifies the AUT and can be replaced by any other object in the AUT.

The InvokeMethods Method

For a Windows Forms or a WPF control, you can use the InvokeMethods method to invoke a sequence of nested methods. You can call the following methods:
  • Public methods that the MSDN defines for the control.
  • Public static methods that the MSDN defines.
  • User-defined public static methods of any type.

Example: Getting the Text Contents of a Cell in a Custom Data Grid

To get the text contents of a cell of a custom data grid from the Infragistics library, you can use the following C# code in the AUT:
string cellText = dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
The following C# code sample gets the text contents of the third cell in the first row:
string cellText = dataGrid.Rows[0].Cells[2];
Scripting the same example by using the InvokeMethods method generates a relatively complex script, because you have to pass five methods with their corresponding parameters to the InvokeMethods method:
// C# code
var dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'");
// Get text contents of third cell in first row.
var rowIndex = 0;
var columnIndex = 2;

var methodNames = new List<string>();
methodNames.Add("Rows"); 			 								// Get the list of rows from the grid.
methodNames.Add("get_Item"); 								// Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells"); 											// Get the list of cells from the the row.
methodNames.Add("get_Item"); 								// Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text"); 												// Get the text of the cell.

var parameters = new List<List<object>>();
parameters.Add(new List<object>());                  // Parameters for the Rows property.
parameters.Add(new List<object>() { rowIndex });     // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Cells property.
parameters.Add(new List<object>() { columnIndex });  // Parameters for the get_Item method.
parameters.Add(new List<object>());                  // Parameters for the Text property.

string cellText = (string)dataGrid.InvokeMethods(methodNames, parameters);
' VB .NET code
Dim dataGrid = mainWindow.WPFControl("@automationId='Custom Data Grid'")

' Get text contents of third cell in first row.
Dim rowIndex = 0
Dim column = 2

Dim methodNames = New List(Of String)()
methodNames.Add("Rows")                   ' Get the list of rows from the grid.
methodNames.Add("get_Item")               ' Get a specific row from the list of rows by using the indexer method.
methodNames.Add("Cells")                  ' Get the list of cells from the the row.
methodNames.Add("get_Item")               ' Get a specific cell from the list of cells by using the indexer method.
methodNames.Add("Text")                   ' Get the text of the cell.

Dim parameters = New List(Of List(Of Object))()
parameters.Add(New List(Of Object)())                  ' Parameters for the Rows property.
parameters.Add(New List(Of Object) From {rowIndex})    ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Cells property.
parameters.Add(New List(Of Object) From {columnIndex}) ' Parameters for the get_Item method.
parameters.Add(New List(Of Object)())                  ' Parameters for the Text property.

Dim cellText As String = dataGrid.InvokeMethods(methodNames, parameters)
A better approach in such a case is to add code to the application under test and then to use the InvokeMethods method. For this example, add the GetCellText method to the AUT:
// C# code, if the AUT is implemented in C#.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
' VB code, if the AUT is implemented in VB.
public static string GetCellText(Infragistics.Win.UltraWinGrid.UltraGrid dataGrid, int rowIndex, int columnIndex) {
  return dataGrid.Rows[rowIndex].Cells[columnIndex].Text;
To get the text contents of the cell, dynamically invoke the GetCellText method from your test script:
// C# code
string cellText = (string) mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex);
'VB .NET code
Dim cellText As String = mainWindow.Invoke("GetCellText", dataGrid, rowIndex, columnIndex)

For additional information, see Adding Code to the Application Under Test to Test Custom Controls.

Supported Methods and Properties

The following methods and properties can be called:
  • Methods and properties that Silk4NET supports for the control.
  • All public methods and properties that the MSDN defines for the control.
  • If the control is a custom control that is derived from a standard control, all methods and properties from the standard control can be called.

Supported Parameter Types

The following parameter types are supported:
  • All built-in Silk4NET types

    Silk4NET types includes primitive types (such as boolean, int, string), lists, and other types (such as Point and Rect).

  • Enum types

    Enum parameters must be passed as string. The string must match the name of an enum value. For example, if the method expects a parameter of the .NET enum type System.Windows.Visiblity you can use the string values of Visible, Hidden, or Collapsed.

  • .NET structs and objects

    .NET struct and object parameters must be passed as a list. The elements in the list must match one constructor for the .NET object in the test application. For example, if the method expects a parameter of the .NET type System.Windows.Vector, you can pass a list with two integers. This works because the System.Windows.Vector type has a constructor with two integer arguments.

  • WPF controls

    WPF control parameters can be passed as TestObject.

Returned Values

The following values are returned for properties and methods that have a return value:
  • The correct value for all built-in Silk4NET types. These types are listed in the Supported Parameter Types section.
  • All methods that have no return value return null in C# or Nothing in VB.
  • A string for all other types

    Call ToString on returned .NET objects to retrieve the string representation

Example

For example, when an application developer creates a custom calculator control that offers the following methods and the following property:
public void Reset()
public int Add(int number1, int number2)
public System.Windows.Vector StrechVector(System.Windows.Vector vector, double
factor)
public String Description { get;}
The tester can call the methods directly from his test. For example:
customControl.Invoke("Reset")
Dim sum as Integer = customControl.Invoke("Add", 1, 2)
' the vector can be passed as list of integer
Dim vector = New List(Of Integer)
vector.Add(3)
vector.Add(4)
' returns "6;8" because this is the string representation of the .NET object
Dim strechedVector As String = customControl.Invoke("StrechVector", vector, 2.0)
Dim description As String = customControl.GetProperty("Description")
Parent topic: Windows Presentation Foundation (WPF) Support
Related concepts
Dynamic Invoke
Adding Code to the Application Under Test to Test Custom Controls
Custom Controls
Frequently Asked Questions About Dynamic Invoke


Setting WPF Classes to Expose During Recording and Playback

Silk4NET filters out certain controls that are typically not relevant for functional testing. For example, controls that are used for layout purposes are not included. However, if a custom control derives from an excluded class, specify the name of the related WPF class to expose the filtered controls during recording and playback.

Specify the names of any WPF classes that you want to expose during recording and playback. For example, if a custom class called MyGrid derives from the WPF Grid class, the objects of the MyGrid custom class are not available for recording and playback. Grid objects are not available for recording and playback because the Grid class is not relevant for functional testing since it exists only for layout purposes. As a result, Grid objects are not exposed by default. In order to use custom classes that are based on classes that are not relevant to functional testing, add the custom class, in this case MyGrid, to the OPT_WPF_CUSTOM_CLASSES option. Then you can record, playback, find, verify properties, and perform any other supported actions for the specified classes.
  1. Click Silk4NET > Edit Options.
  2. Click the WPF tab.
  3. In the Custom WPF class names grid, type the name of the class that you want to expose during recording and playback. Separate class names with a comma.
  4. Click OK.
Parent topic: Windows Presentation Foundation (WPF) Support
Related concepts
Custom WPF Controls


Setting Pre-Fill During Recording and Replaying

Defines whether items in a WPFItemsControl, like WPFComboBox or WPFListBox, are pre-filled during recording and playback. WPF itself lazily loads items for certain controls, so these items are not available for Silk4NET if they are not scrolled into view. Turn pre-filling on, which is the default setting, to additionally access items that are not accessible without scrolling them into view. However, some applications have problems when the items are pre-filled by Silk4NET in the background, and these applications can therefore crash. In this case turn pre-filling off.

  1. Click Silk4NET > Edit Options.
  2. Click the WPF tab.
  3. In the Pre-fill items area, check the OPT_WPF_PREFILL_ITEMS check box.
  4. Click OK.
Parent topic: Windows Presentation Foundation (WPF) Support


Silverlight Application Support

Microsoft Silverlight (Silverlight) is an application framework for writing and running rich internet applications, with features and purposes similar to those of Adobe Flash. The run-time environment for Silverlight is available as a plug-in for most web browsers.

Silk4NET provides built-in support for testing Silverlight applications. Silk4NET supports Silverlight applications that run in a browser as well as out-of-browser and can record and play back controls in .NET version 3.5 or later.

The following applications, that are based on Silverlight, are supported:
  • Silverlight applications that run in Internet Explorer.
  • Out-of-Browser Silverlight applications.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Supported Controls

Silk4NET includes record and replay support for Silverlight controls.

For a complete list of the controls available for Silverlight testing, see the Silverlight Class Reference.

Note: With Silk Test 14.0 or later, Silk4NET recognizes only Silverlight controls that are available for interaction and visible on the screen. This change might change the behavior of tests that were recorded with a Silk Test version prior to Silk Test 14.0. To run such tests with Silk Test 14.0 or later, remove all invisible or not yet available Silverlight controls from the tests.

Prerequisites

The support for testing Silverlight applications in Microsoft Windows XP requires the installation of Service Pack 3 and the Update for Windows XP with the Microsoft User Interface Automation that is provided in Windows 7. You can download the update from http://www.microsoft.com/download/en/details.aspx?id=13821.

Note: The Microsoft User Interface Automation needs to be installed for the Silverlight support. If you are using a Windows operating system and the Silverlight support does not work, you can install the update with the Microsoft User Interface Automation, which is appropriate for your operating system, from http://support.microsoft.com/kb/971513.
  • Silverlight Class Reference
    Lists the Visual Basic classes for Silverlight support.
  • Locator Attributes for Identifying Silverlight Controls
    Describes the locator attributes that are supported for identifying Silverlight controls.
  • Dynamically Invoking Silverlight Methods
    Describes how you can call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature.
  • Scrolling in Silverlight
    Describes how scrolling is handled in Silverlight controls.
  • Troubleshooting when Testing Silverlight Applications
    Provides useful information on handling potential difficulties when testing Silverlight applications.
Parent topic: .NET Support


Silverlight Class Reference

When you configure a Silverlight application, Silk4NET automatically provides built-in support for testing standard Silverlight controls.

Parent topic: Silverlight Application Support
Related reference
Silverlight Class Reference


Locator Attributes for Identifying Silverlight Controls

Supported locator attributes for Silverlight controls include:
  • automationId
  • caption
  • className
  • name
  • All dynamic locator attributes
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.

For additional information on dynamic locator attributes, see Dynamic Locator Attributes.

To identify components within Silverlight scripts, you can specify the automationId, caption, className, name or any dynamic locator attribute. The automationId can be set by the application developer. For example, a locator with an automationId might look like //SLButton[@automationId="okButton"].

We recommend using the automationId because it is typically the most useful and stable attribute.

Attribute Type | Description | Example
automationId | An identifier that is provided by the developer of the application under test. The Visual Studio designer automatically assigns an automationId to every control that is created with the designer. The application developer uses this ID to identify the control in the application code. | //SLButton[@automationId="okButton"]
caption | The text that the control displays. When testing a localized application in multiple languages, use the automationId or name attribute instead of the caption. | //SLButton[@caption="Ok"]
className | The simple .NET class name (without namespace) of the Silverlight control. Using the className attribute can help to identify a custom control that is derived from a standard Silverlight control that Silk4NET recognizes. | //SLButton[@className='MyCustomButton']
name | The name of a control. Can be provided by the developer of the application under test. | //SLButton[@name="okButton"]
Attention: The name attribute in XAML code maps to the locator attribute automationId, not to the locator attribute name.

During recording, Silk4NET creates a locator for a Silverlight control by using the automationId, name, caption, or className attributes in the order that they are listed in the preceding table. For example, if a control has an automationId and a name, Silk4NET uses the automationId, if it is unique, when creating the locator.

The following table shows how an application developer can define a Silverlight button with the text "Ok" in the XAML code of the application:
XAML Code for the Object | Locator to Find the Object from Silk Test
<Button>Ok</Button> | //SLButton[@caption="Ok"]
<Button Name="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.AutomationId="okButton">Ok</Button> | //SLButton[@automationId="okButton"]
<Button AutomationProperties.Name="okButton">Ok</Button> | //SLButton[@name="okButton"]
Parent topic: Silverlight Application Support
Parent topic: Supported Attribute Types
Related concepts
Dynamic Locator Attributes


Dynamically Invoking Silverlight Methods

Dynamic invoke enables you to directly call methods, retrieve properties, or set properties, on an actual instance of a control in the application under test. You can also call methods and properties that are not available in the Silk4NET API for this control. Dynamic invoke is especially useful when you are working with custom controls, where the required functionality for interacting with the control is not exposed through the Silk4NET API.

Call dynamic methods on objects with the Invoke method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Call multiple dynamic methods on objects with the InvokeMethods method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Retrieve dynamic properties with the GetProperty method and set dynamic properties with the SetProperty method. To retrieve a list of supported dynamic properties for a control, use the GetPropertyList method.

For example, to call a method named SetTitle, which requires the title to be set as an input parameter of type string, on an actual instance of a control in the application under test, type the following:
control.Invoke("SetTitle", "my new title")
Note: Typically, most properties are read-only and cannot be set.
Note: Reflection is used in most technology domains to call methods and retrieve properties.

Supported Parameter Types

The following parameter types are supported:
  • All built-in Silk4NET types.

    Silk4NET types include primitive types, for example boolean, int, and string, lists, and other types, for example Point and Rect.

  • Enum types.

    Enum parameters must be passed as string. The string must match the name of an enum value. For example, if the method expects a parameter of the .NET enum type System.Windows.Visiblity you can use the string values of Visible, Hidden, or Collapsed.

  • .NET structs and objects.

    Pass .NET struct and object parameters as a list. The elements in the list must match one constructor for the .NET object in the test application. For example, if the method expects a parameter of the .NET type System.Windows.Vector, you can pass a list with two integers. This works because the System.Windows.Vector type has a constructor with two integer arguments.

  • Other controls.

    Control parameters can be passed as TestObject.

Supported Methods and Properties

The following methods and properties can be called:
  • All public methods and properties that the MSDN defines for the AutomationElement class. For additional information, see http://msdn.microsoft.com/en-us/library/system.windows.automation.automationelement.aspx.
  • All methods and properties that MSUIA exposes. The available methods and properties are grouped in "patterns". Pattern is a MSUIA specific term. Every control implements certain patterns. For an overview of patterns in general and all available patterns see http://msdn.microsoft.com/en-us/library/ms752362.aspx. A custom control developer can provide testing support for the custom control by implementing a set of MSUIA patterns.

Returned Values

The following values are returned for properties and methods that have a return value:
  • The correct value for all built-in Silk4NET types.
  • All methods that have no return value return null in C# or Nothing in VB.
  • A string for all other types.

    To retrieve this string representation, call the ToString method on returned .NET objects in the application under test.

Example

A TabItem in Silverlight, which is an item in a TabControl.
tabItem.Invoke("SelectionItemPattern.Select")
mySilverligtObject.GetProperty("IsPassword")
Parent topic: Silverlight Application Support
Related concepts
Dynamic Invoke
Custom Controls
Frequently Asked Questions About Dynamic Invoke


Scrolling in Silverlight

Silk4NET provides two different sets of scrolling-related methods and properties, depending on the Silverlight control.
  • The first type of controls includes controls that can scroll by themselves and therefore do not expose the scrollbars explicitly as children. For example combo boxes, panes, list boxes, tree controls, data grids, auto complete boxes, and others.
  • The second type of controls includes controls that cannot scroll by themselves but expose scrollbars as children for scrolling. For example text fields.
This distinction in Silk4NET exists because the controls in Silk4NET implement scrolling in those two ways.

Controls that support scrolling

In this case, scrolling-related methods and property are available for the control that contains the scrollbars. Therefore, Silk4NET does not expose scrollbar objects.

Examples

The following command scrolls a list box to the bottom:
listBox.SetVerticalScrollPercent(100)
The following command scrolls the list box down by one unit:
listBox.ScrollVertical(ScrollAmount.SmallIncrement)

Controls that do not support scrolling

In this case the scrollbars are exposed. No scrolling-related methods and properties are available for the control itself. The horizontal and vertical scrollbar objects enable you to scroll in the control by specifying the increment or decrement, or the final position, as a parameter in the corresponding API functions. The increment or decrement can take the values of the ScrollAmount enumeration. For additional information, refer to the Silverlight documentation. The final position is related to the position of the object, which is defined by the application designer.

Examples

The following command scrolls a vertical scrollbar within a text box to position 15:
 textBox.SLVerticalScrollBar().ScrollToPosition(15)
The following command scrolls a vertical scrollbar within a text box to the bottom:
 textBox.SLVerticalScrollBar().ScrollToMaximum()
Parent topic: Silverlight Application Support


Troubleshooting when Testing Silverlight Applications

Silk4NET cannot see inside the Silverlight application and no green rectangles are drawn during recording

The following reasons may cause Silk4NET to be unable to see inside the Silverlight application:
Reason | Solution
You use a Silverlight version prior to 3. | Use Silverlight 3 (Silverlight Runtime 4) or Silverlight 4 (Silverlight Runtime 4).
Your Silverlight application is running in windowless mode. Silk4NET does not support Silverlight applications that run in windowless mode. To test such an application, you need to change the Web site where your Silverlight application is running. Therefore you need to set the windowless parameter in the object tag of the HTML or ASPX file, in which the Silverlight application is hosted, to false.
The following sample code sets the windowless parameter to false:
<object ...>
  <param name="windowless" value="false"/>
  ...
</object>
Parent topic: Silverlight Application Support


Visual COBOL Support

Silk4NET supports recording and replaying tests against Visual COBOL applications. You can also use the Silk4NET APIs from .NET COBOL to script automated tests for the following Visual COBOL applications:
  • Dialog system applications.
  • CGI applications.
  • Cobol Win32 applications.
  • .NET COBOL - WPF and Windows Forms applications.
  • COBOL JVM - Swing applications.
  • Non-COBOL front-end applications calling back-end COBOL.
Note: For some controls, Silk4NET provides only low-level recording support.

For information on the supported versions of Visual COBOL, refer to the Release Notes.

  • Example: Testing a Visual COBOL Application
    Describes how you can test a Visual COBOL application.
Parent topic: .NET Support


Example: Testing a Visual COBOL Application

This topic describes how you can test a Visual COBOL application with Silk4NET. For this example we test the WPF Book, which is a .NET COBOL sample application.

When you install Visual COBOL, you also install the Visual COBOL sample applications. You can use the Samples Browser to open the sample applications in Visual Studio. For additional information on the Samples Browser, refer to the Visual COBOL documentation.

Note: The following example was performed with Visual Studio 2015 and Micro Focus Visual COBOL for Visual Studio 2015. In other versions of these projects, the user interfaces might look slightly different.
  1. To open the WPF Book in Visual Studio, open the Samples Browser, select Windows Presentation Foundation, and select WPF Book from the list. Then click Open sample in Visual Studio.
  2. In Visual Studio, open the Solution Explorer to access the WPF Book solution.
  3. Right-click on the WPFBook project in the solution an click Build to build the project.
  4. Open the Samples Browser again to access the newly built executable.
  5. Select the WPF Book and click Open sample folder.
  6. Navigate to WPFBook\Bin\Debug.
  7. Double-click WPFBook.exe.
  8. Create a new Silk4NET project in Visual Studio.

  9. Start recording a new Silk4NET test.

  10. In the Select Application dialog box, select the Windows tab.
  11. Click WPFForm Book Demo.

  12. Click OK.
  13. In the WPFForm Book Demo, click Show List of Books.
  14. Move the mouse cursor over the RetailPrice column of Oliver Twist and click Ctrl+Alt to verify that the retail price is 10.00.

  15. Click OK in the Verify Properties dialog box.
  16. Click Close in the WPFListView window.

  17. Click Stop in the Recorder window.
  18. In Visual Studio, right-click on the recorded test method and select Run Tests.

    The test should pass, and you can now explore the test results.

Parent topic: Visual COBOL Support


Rumba Support

Rumba is the world's premier Windows desktop terminal emulation solution. Silk Test provides built-in support for recording and replaying Rumba.

When testing with Rumba, please consider the following:

  • The Rumba version must be compatible to the Silk Test version. Versions of Rumba prior to version 8.1 are not supported.
  • All controls that surround the green screen in Rumba are using basic WPF functionality (or Win32).
  • The supported Rumba desktop types are:
    • Mainframe Display
    • AS400 Display
    • Unix Display

For a complete list of the record and replay controls available for Rumba testing, see the Rumba Class Reference.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

  • Rumba Class Reference
    Lists the Visual Basic classes for Rumba support.
  • Enabling and Disabling Rumba
    Describes how to enable and disable Rumba.
  • Locator Attributes for Identifying Rumba Controls
    Describes the locator attributes that are supported for identifying Rumba controls.
  • Testing a Unix Display
    Describes how you can replay a test on a Unix display in Rumba.
Parent topic: Testing Specific Environments


Rumba Class Reference

When you configure a Rumba application, Silk4NET automatically provides built-in support for testing standard Rumba controls.

Parent topic: Rumba Support
Related reference
Rumba Class Reference


Enabling and Disabling Rumba

Rumba is the world's premier Windows desktop terminal emulation solution. Rumba provides connectivity solutions to mainframes, mid-range, UNIX, Linux, and HP servers.

Enabling Support

Before you can record and replay Rumba scripts, you need to enable support:

  1. Install Rumba desktop client software version 8.1 or later.
  2. Click (in Microsoft Windows 7) Start > Programs > Silk > Silk Test > Administration > Rumba plugin > Enable Silk Test Rumba plugin or (in Microsoft Windows 10) Start > Silk > Enable Silk Test Rumba plugin.

Disabling Support

Click (in Microsoft Windows 7) Start > Programs > Silk > Silk Test > Administration > Rumba plugin > Disable Silk Test Rumba plugin or (in Microsoft Windows 10) Start > Silk > Disable Silk Test Rumba plugin.

Parent topic: Rumba Support


Locator Attributes for Identifying Rumba Controls

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests. Supported attributes include:

caption
The text that the control displays.
priorlabel
Since input fields on a form normally have a label explaining the purpose of the input, the intention of priorlabel is to identify the text input field, RumbaTextField, by the text of its adjacent label field, RumbaLabel. If no preceding label is found in the same line of the text field, or if the label at the right side is closer to the text field than the left one, a label on the right side of the text field is used.
StartRow
This attribute is not recorded, but you can manually add it to the locator. Use StartRow to identify the text input field, RumbaTextField, that starts at this row.
StartColumn
This attribute is not recorded, but you can manually add it to the locator. Use StartColumn to identify the text input field, RumbaTextField, that starts at this column.
All dynamic locator attributes.

For additional information on dynamic locator attributes, see Dynamic Locator Attributes.

Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.
Parent topic: Rumba Support
Parent topic: Supported Attribute Types


Testing a Unix Display

Unix displays in Rumba are completely text-based, and provide no UI controls except the main RUMBA screen control. To replay a test on a Unix display, you can use the SendKeys method to send keys to the Unix display. Silk4NET does not support recording on a Unix display.

Parent topic: Rumba Support


SAP Support

Silk4NET provides built-in support for testing SAP client/server applications based on the Windows-based GUI module.
Note: You can only test SAP applications with Silk4NET if you have a Premium license for Silk4NET. For additional information on the licensing modes, see Licensing Information.
Note: If you use SAP NetWeaver with Internet Explorer or Firefox, Silk4NET tests the application using the xBrowser technology domain.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Supported Controls

For a complete list of the record and replay controls available for SAP testing, see the SAP Class Reference.

For a list of supported attributes, see Attributes for SAP Applications.

  • SAP Class Reference
    Lists the Visual Basic classes for SAP support.
  • Attributes for SAP Applications
    Lists the attributes supported for SAP applications.
  • Dynamically Invoking SAP Methods
    Explains how to call methods, retrieve properties, and set properties on controls that Silk4NET does not expose by using the dynamic invoke feature.
  • Dynamically Invoking Methods on SAP Controls
    Dynamically invoke methods on SAP controls to replay actions against SAP controls that Silk4NET cannot record.
  • Configuring Automation Security Settings for SAP
    Before you launch an SAP application, you must configure the security warning settings. Otherwise, a security warning displays each time a test plays back an SAP application.
Parent topic: Testing Specific Environments
Related concepts
Licensing Information


SAP Class Reference

When you configure a SAP application, Silk4NET automatically provides built-in support for testing standard SAP controls.

Note: To enable Silk4NET to recognize SAP controls, enable SAP GUI Scripting on the server. For information on enabling SAP GUI scripting, see Introduction to SAP Gui Scripting. If SAP GUI Scripting is not enabled, Silk4NET recognizes all controls as Win32 and custom controls.

The classes included in the SAP class reference, along with all included properties and methods, are part of the SAP Automation module that is directly accessible through Silk4NET.

Note: The interface, including the underlying algorithms and the behavior of the interface, is not under the control of Silk4NET.
Parent topic: SAP Support
Related reference
SAP Class Reference


Attributes for SAP Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for SAP include:
  • automationId
  • caption
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.
Parent topic: SAP Support
Parent topic: Supported Attribute Types


Dynamically Invoking SAP Methods

Dynamic invoke enables you to directly call methods, retrieve properties, or set properties, on an actual instance of a control in the application under test. You can also call methods and properties that are not available in the Silk4NET API for this control. Dynamic invoke is especially useful when you are working with custom controls, where the required functionality for interacting with the control is not exposed through the Silk4NET API.

Call dynamic methods on objects with the Invoke method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Call multiple dynamic methods on objects with the InvokeMethods method. To retrieve a list of supported dynamic methods for a control, use the GetDynamicMethodList method.

Retrieve dynamic properties with the GetProperty method and set dynamic properties with the SetProperty method. To retrieve a list of supported dynamic properties for a control, use the GetPropertyList method.

For example, to call a method named SetTitle, which requires the title to be set as an input parameter of type string, on an actual instance of a control in the application under test, type the following:
control.Invoke("SetTitle", "my new title")
Note: Typically, most properties are read-only and cannot be set.
Note: Reflection is used in most technology domains to call methods and retrieve properties.

Supported Methods and Properties

The following methods and properties can be called:
  • Methods and properties that Silk4NET supports for the control.
  • All public methods that the SAP automation interface defines
  • If the control is a custom control that is derived from a standard control, all methods and properties from the standard control can be called.

Supported Parameter Types

The following parameter types are supported:
  • All built-in Silk4NET types

    Silk4NET types includes primitive types (such as boolean, int, string), lists, and other types (such as Point and Rect).

  • UI controls

    UI controls can be passed or returned as TestObject.

Returned Values

The following values are returned for properties and methods that have a return value:
  • The correct value for all built-in Silk4NET types. These types are listed in the Supported Parameter Types section.
  • All methods that have no return value return null in C# or Nothing in VB.
Parent topic: SAP Support
Related concepts
Dynamic Invoke
Custom Controls
Frequently Asked Questions About Dynamic Invoke


Dynamically Invoking Methods on SAP Controls

When Silk4NET cannot record actions against an SAP control, you can record the actions with the recorder that is available in SAP and then dynamically invoke the recorded methods in a Silk4NET script. By doing so, you can replay actions against SAP controls that you cannot record.
  1. To record the actions that you want to perform against the control, use the SAP GUI Scripting tool that is available in SAP. For additional information on the SAP GUI Scripting tool, refer to the SAP documentation.
  2. Open the recorded actions from the location to which the SAP GUI Scripting tool has saved them and see what methods were recorded.
  3. In Silk4NET, dynamically invoke the recorded methods from your script.

Examples

For example, if you want to replay pressing a special control in the SAP UI, which is labeled Test and which is a combination of a button and a list box, and selecting the sub-menu subsub2 of the control, you can record the action with the recorder that is available in SAP. The resulting code will look like the following:
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").pressContextButton "TEST"
session.findById("wnd[0]/usr/cntlCONTAINER/shellcont/shell").selectContextMenuItem "subsub2"
Now you can use the following code to dynamically invoke the methods pressContextButton and selectContextMenuItem in your script in Silk4NET:
.SapToolbarControl("shell ToolbarControl").Invoke("pressContextButton", "TEST")
.SapToolbarControl("shell ToolbarControl").Invoke("selectContextMenuItem", "subsub2")
Replaying this code will press the control in the SAP UI and select the sub-menu.
Parent topic: SAP Support


Configuring Automation Security Settings for SAP

Before you launch an SAP application, you must configure the security warning settings. Otherwise, a security warning, A script is trying to attach to the GUI, displays each time a test plays back an SAP application.

  1. In Windows Control Panel, choose SAP Configuration. The SAP Configuration dialog box opens.
  2. In the Design Selection tab, uncheck the Notify When a Script Attaches to a Running SAP GUI.
Parent topic: SAP Support


Windows API-Based Application Support

Silk4NET provides built-in support for testing Microsoft Windows API-based applications. Several objects exist in Microsoft applications that Silk4NET can better recognize if you enable Accessibility. For example, without enabling Accessibility Silk4NET records only basic information about the menu bar in Microsoft Word and the tabs that appear in Internet Explorer versions later than version 7.0. However, with Accessibility enabled, Silk4NET fully recognizes those objects. You can also improve Silk4NET object recognition by defining a new window, if necessary.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Supported Controls

For a complete list of the record and replay controls available for Windows-based testing, see Win32 Class Reference.

  • Win32 Class Reference
    Lists the Visual Basic classes for Win32 support.
  • Attributes for Windows API-based Client/Server Applications
    Lists the attributes supported for Windows API-based Client/Server applications.
  • Determining the priorLabel in the Win32 Technology Domain
    Describes how the priorLabel is determined in the Win32 technology domain.
  • Testing Embedded Chrome Applications
    Describes how you can use Silk4NET to test embedded Chrome applications.
Parent topic: Testing Specific Environments


Win32 Class Reference

When you configure a Win32 application, Silk4NET automatically provides built-in support for testing standard Windows API-based controls.

Parent topic: Windows API-Based Application Support
Related reference
Win32 Class Reference


Attributes for Windows API-based Client/Server Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for Windows API-based client/server applications include:
  • caption
  • windowid
  • priorlabel: Helps to identify text input fields by the text of its adjacent label field. Every input field of a form usually has a label that explains the purpose of the input. For controls that do not have a caption, the attribute priorlabel is automatically used in the locator. For the priorlabel value of a control, for example a text box, the caption of the closest label at the left side or above the control is used.
Note: Attribute names are case sensitive, except for mobile applications, where the attribute names are case insensitive. Attribute values are by default case insensitive, but you can change the default setting like any other option. The locator attributes support the wildcards ? and *.
Parent topic: Windows API-Based Application Support
Parent topic: Supported Attribute Types


Determining the priorLabel in the Win32 Technology Domain

To determine the priorLabel in the Win32 technology domain, all labels and groups in the same window as the target control are considered. The decision is then made based upon the following criteria:
  • Only labels either above or to the left of the control, and groups surrounding the control, are considered as candidates for a priorLabel.
  • In the simplest case, the label closest to the control is used as the priorLabel.
  • If two labels have the same distance to the control, the priorLabel is determined based upon the following criteria:
    • If one label is to the left and the other above the control, the left one is preferred.
    • If both levels are to the left of the control, the upper one is preferred.
    • If both levels are above the control, the left one is preferred.
  • If the closest control is a group control, first all labels within the group are considered according to the rules specified above. If no labels within the group are eligible, then the caption of the group is used as the priorLabel.
Parent topic: Windows API-Based Application Support


Testing Embedded Chrome Applications

An embedded Chrome application is a desktop application with an embedded web browser engine that is based on the Chromium core. Such applications enable you to add web browser capabilities to a desktop application. You can create such an app by using for example the Chromium Embedded Framework (CEF) or the Electron framework.

Silk4NET provides full support for testing embedded Chrome applications that allow remote debugging through the --remote-debugging-port command line argument. Silk4NET does not support testing embedded Chrome applications that are based on Java, for example Java AWT and Swing applications.

To test an embedded Chrome application with Silk4NET, you have to set the debugging ports for the executable of the application. Start the application from the command line and set the remote debugging port.

  • Silk4NET checks if the -remote-debugging-port argument is set in the command line arguments of the embedded Chrome application. If the argument is set, Silk4NET automatically sets the Enable embedded Chrome support field to the appropriate executable and debugging port.
  • If the -remote-debugging-port argument is not set in the command line arguments of the embedded Chrome application, you have to manually specify the executable and the port in the Enable embedded Chrome support field:
    1. In the Silk4NET UI, select Edit Options.
    2. In the Options dialog, select the Advanced tab.
    3. In the Enable embedded Chrome support option, specify the executable and the port as a comma-separated value pair:
      <application name>.exe=<port number>
Note: You cannot test embedded Chrome applications that do not allow remote debugging with Silk4NET.
Note: Silk4NET does not support testing non-browser menus of Electron apps.

Example

For example, you can start the application myApp from the command line as follows:
myApp.exe --remote-debugging-port=9222
You can then specify the executable and port in the Enable embedded Chrome support option as follows:
myApp.exe=9222
Parent topic: Windows API-Based Application Support


Cross-Browser Testing

With Silk4NET, you can easily verify the functionality of even the most advanced web application across a variety of browsers, with a single, portable test script. Silk4NET provides leading support for effective and maintainable cross-browser testing with modern web technologies.

One of the main challenges in test automation is to create and maintain test cost effectively. As different browsers behave differently, web application validation is hard to carry out productively. Silk4NET enables you to focus on writing tests, as it handles the following three areas of cross-browser testing:

Built-in synchronization
This enables you to create scripts that run on all supported browsers, without the need to manually synchronize against asynchronous events, which are typical of highly dynamic web applications such as AJAX, or HTML5. Silk4NET supports synchronization modes for HTML or AJAX as well as all major web environments including Apache Flex, Microsoft Silverlight, and HTML5/AJAX. For additional information, see Page Synchronization for xBrowser.
Unified object model
Silk4NET enables you to create and maintain a test which runs across a wide range of different browsers. A unified object model across all browsers gives you the ability to focus on a single browser when you create or maintain a test. Silk4NET ensures that the object you interact with is accessible in the same way on all the other browsers, which saves time and enables you to focus on testing rather than on finding workarounds for different browsers.
Out-of-the-box recording of a cross-browser script
Record a script once and replay it in all the other browsers, without any modifications. This significantly reduces the time and effort it takes to create and maintain test scripts. Nothing is simulated - testing is carried out across real browsers, which ensures that the test behaves exactly as it does for your end user.
With Silk4NET, you can test web applications that use:
  • Internet Explorer.
  • Mozilla Firefox.
  • Google Chrome.
  • Microsoft Edge.
  • Chrome for Android on an Android device.
  • Apple Safari, both on a Mac and on an iOS device.
  • Embedded browser controls.
Note: You can record tests for web applications using one of the following browsers:
  • Internet Explorer.
  • Microsoft Edge.
  • Mozilla Firefox.
  • Google Chrome 50 or later.
  • A mobile browser on a mobile device.
You can replay tests or record locators on any other supported browser.
Note: Before you record or playback web applications, disable all browser add-ons that are installed in your system. To disable add-ons in Internet Explorer, click Tools > Internet Options, click the Programs tab, click Manage add-ons, select an add-on and then click Disable.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Sample Applications

To access the Silk Test sample web applications, go to:

  • http://demo.borland.com/InsuranceWebExtJS/
  • http://demo.borland.com/gmopost
  • http://demo.borland.com/gmoajax
  • Selecting the Browser for Test Replay
    Describes how you can define the browser that is used for the replay of a test.
  • Test Objects for xBrowser
    Describes the classes that Silk4NET uses to model a web application.
  • Object Recognition for xBrowser Objects
    Describes how Silk4NET recognizes xBrowser objects.
  • Page Synchronization for xBrowser
    Provides an overview of page synchronization modes and troubleshooting tips.
  • Comparing API Playback and Native Playback for xBrowser
    Lists the differences between API playback and native playback.
  • Setting Mouse Move Preferences
    Specify whether mouse move actions are recorded.
  • Browser Configuration Settings for xBrowser
    Describes the browser configuration settings for xBrowser.
  • Configuring the Locator Generator for xBrowser
    Describes how to configure the locator generator for xBrowser.
  • Connection String for a Remote Desktop Browser
    Describes how you can specify a connection string to connect to a desktop browser on a remote machine.
  • Setting Capabilities for WebDriver-Based Browsers
    Set capabilities in the base state to customize and configure web-driver based browsers.
  • Testing with Apple Safari on a Mac
    Describes how you can test with Apple Safari on a Mac.
  • Testing with Google Chrome
    Describes how you can test with Google Chrome.
  • Testing with Mozilla Firefox
    Describes how you can test with Mozilla Firefox.
  • Testing with Microsoft Edge
    Describes how you can test with Microsoft Edge.
  • Responsive Web Design Testing
    Describes how you can specify the size of the browser window to perform responsive web design testing.
  • Detecting Visual Breakpoints
    Detect visual breakpoints in a responsive web application to test against the web application in a window with a specific size.
  • Testing Additional Browser Versions
    Install additional driver versions to test on additional versions of WebDriver-based browsers.
  • Cross-Browser Testing: Frequently Asked Questions
    Includes a collection of questions that you might encounter when testing your Web application on various browsers.
  • Starting a Browser from a Script
    Lists the available procedures for starting a browser from the test script during replay.
  • Finding Hidden Input Fields
    Describes how you can specify whether you want to find hidden input fields or not.
  • Attributes for Web Applications
    Lists the attributes supported for Web applications.
  • Custom Attributes for Web Applications
    Describes which attributes you can use to create stable identifiers for Web applications.
  • xBrowser Class Reference
    Lists the Visual Basic classes for xBrowser support.
Parent topic: Testing Specific Environments


Selecting the Browser for Test Replay

You can define the browser that is used for the replay of a test in the following ways:
  • If you execute a test from the UI of Silk4NET and the Select Browser dialog box displays, the browser selected in the dialog box is used, and Silk4NET ignores which browser is set in the test script.
  • If the Select Browser dialog box is disabled, because the Don't show again is checked, the application configurations in the individual test scripts determine the browser that is used to execute the tests.
    Note: To re-enable the Select Browser dialog box, click Silk4NET > Edit Application Configurations and check the Show 'Select Browser' dialog before record and playback check box
  • If you execute a script from the command line or from a Continuous Integration (CI) server, specify the connection string in the application configuration of the script.

    To overwrite the browser that is specified in the application configuration, use the silktest.configurationName environment variable.

  • If you execute a test from Silk Central, create a configuration suite with a configuration for each browser that you want to test. Then specify the appropriate configuration name. For additional information, refer to the Silk Central Help.

Examples of setting the browser by using the silktest.configurationName environment variable

  • To use Internet Explorer as the browser, type:
    SET silktest.configurationName=InternetExplorer
  • To use Microsoft Edge as the browser, type:
    SET silktest.configurationName=Edge
  • To use Mozilla Firefox as the browser, type:
    SET silktest.configurationName=Firefox
  • To use Google Chrome as the browser, type:
    SET silktest.configurationName=GoogleChrome
  • To use Apple Safari on a Mac as the browser, type:
    SET silktest.configurationName=host=10.0.0.1  - Safari
    In this example, the host is the Mac, on which you want to test Apple Safari. The host needs to be connected as a remote location to the machine on which Silk4NET is running. For additional information, see Editing Remote Locations.
  • To use Google Chrome on an Android device as the browser, use a connection string. For example, if the device ID is 11111111 and the device is connected to the remote machine with the IP address 10.0.0.1, type:
    SET silktest.configurationName="platformName=Android;deviceName=MotoG3;deviceId=11111111;host=10.0.0.1 - Chrome"
  • To use Apple Safari on an iOS device as the browser, use a connection string. For example, if the device ID is 11111111 and the device is connected to the remote machine with the IP address 10.0.0.1, type:
    SET silktest.configurationName="platformName=iOS;deviceName=iPad mini;deviceId=11111111;host=10.0.0.1"
    Additionally, you have to specify the browser in the application configuration.
Tip: For all examples, you can also set the browser by setting the Java System property -Dsilktest.configurationName instead of setting the environment variable silktest.configurationName. For example, to use Apple Safari on a Mac as the browser, you can also type:
-Dsilktest.configurationName=host=10.0.0.1 - Safari
Tip: Open the Select Browser dialog box, for example by starting to replay or record from the Silk4NET UI, to see a list of the browsers that are currently available on your system.
Parent topic: Cross-Browser Testing
Related concepts
Running Tests in Parallel
Connection String for a Mobile Device
Selecting the Mobile Device for Test Replay
Related tasks
Replaying a Test from the Command Line
Editing Remote Locations


Test Objects for xBrowser

Silk4NET uses the following classes to model a web application:
Class | Description
BrowserApplication | Exposes the main window of a web browser and provides methods for tabbing.
BrowserObject | Represents the base class for all objects that are contained within a BrowserApplication.
BrowserWindow | Provides access to tabs and embedded browser controls and provides methods for navigating to different pages.
DomElement | Exposes the DOM tree of a web application, including frames, and provides access to all DOM attributes. Specialized classes are available for several DOM elements.
DomButton | Represents the top-level container for a web page. It exposes the DOM tree through DomElement.
DomCheckBox | Represents all DOM elements that were specified using the <input type='checkbox'> tag.
DomForm | Represents all DOM elements that are specified using the <form> tag.
DomLink | Represents all DOM elements that were specified using the <a> tag.
DomListBox | Represents all DOM elements that were specified using the <select> tag.
DomRadioButton | Represents all DOM elements that were specified using the <input type='radio'> tag.
DomTable | Represents all DOM elements that were specified using the <table> tag.
DomTableRow | Represents all DOM elements that were specified using the <tr> tag.
DomTextField Represents all DOM elements that were specified using one of the following tags:
  • <input type='text'>
  • <input type='password'>
  • <input type='file'>
  • <textarea>
Parent topic: Cross-Browser Testing
Related reference
xBrowser Class Reference


Object Recognition for xBrowser Objects

The xBrowser technology domain supports dynamic object recognition.

Test cases use locator strings to find and identify objects. A typical locator includes a locator name and at least one locator attribute, such as "//LocatorName[@locatorAttribute='value']".

Locator Names
With other technology types, such as Java SWT, locator names are created using the class name of the test object. With xBrowser, the tag name of the DOM element can also be used as locator name. The following locators describe the same element:
  1. Using the tag name: "//a[@href='http://www.microfocus.com']"
  2. Using the class name: "//DomLink[@href='http://www.microfocus.com']"

To optimize replay speed, use tag names rather than class names.

Locator Attributes
All DOM attributes can be used as locator string attributes. For example, the element <button automationid='123'>Click Me</button> can be identified using the locator "//button[@automationid='123']".
Recording Locators
Silk4NET uses a built-in locator generator when recording test cases and using the Identify Object dialog box. You can configure the locator generator to improve the results for a specific application.
Parent topic: Cross-Browser Testing


Page Synchronization for xBrowser

Synchronization is performed automatically before and after every method call. A method call is not started and does not end until the synchronization criteria is met.

Note: Any property access is not synchronized.

Synchronization Modes

Silk4NET includes synchronization modes for HTML and AJAX.

Using the HTML mode ensures that all HTML documents are in an interactive state. With this mode, you can test simple Web pages. If more complex scenarios with Java script are used, it might be necessary to manually script synchronization functions, such as:
  • WaitForObject
  • WaitForProperty
  • WaitForDisappearance
  • WaitForChildDisappearance

The AJAX mode synchronization waits for the browser to be in a kind of idle state, which is especially useful for AJAX applications or pages that contain AJAX components. Using the AJAX mode eliminates the need to manually script synchronization functions (such as wait for objects to appear or disappear, wait for a specific property value, and so on), which eases the script creation process dramatically. This automatic synchronization is also the base for a successful record and playback approach without manual script adoptions.

Troubleshooting

Because of the true asynchronous nature of AJAX, generally there is no real idle state of the browser. Therefore, in rare situations, Silk4NET will not recognize an end of the invoked method call and throws a timeout error after the specified timeout period. In these situations, it is necessary to set the synchronization mode to HTML at least for the problematic call.

Note: Regardless of the page synchronization method that you use, in tests where a Flash object retrieves data from a server and then performs calculations to render the data, you must manually add a synchronization method to your test. Otherwise, Silk4NET does not wait for the Flash object to complete its calculations. For example, you might use Thread.sleep(millisecs).

Some AJAX frameworks or browser applications use special HTTP requests, which are permanently open in order to retrieve asynchronous data from the server. These requests may let the synchronization hang until the specified synchronization timeout expires. To prevent this situation, either use the HTML synchronization mode or specify the URL of the problematic request in the Synchronization exclude list setting.

Use a monitoring tool to determine if playback errors occur because of a synchronization issue. For instance, you can use FindBugs, http://findbugs.sourceforge.net/, to determine if an AJAX call is affecting playback. Then, add the problematic service to the Synchronization exclude list.

Note: If you exclude a URL, synchronization is turned off for each call that targets the URL that you specified. Any synchronization that is needed for that URL must be called manually. For example, you might need to manually add WaitForObject to a test. To avoid numerous manual calls, exclude URLs for a concrete target, rather than for a top-level URL, if possible.

Configuring Page Synchronization Settings

You can configure page synchronization settings for each individual test or you can set global options that apply to all tests in the Script Options dialog box.

To add the URL to the exclusion filter, specify the URL in the Synchronization exclude list in the Script Options dialog box.

To configure individual settings for tests, record the test and then insert code to override the global playback value. For example, to exclude the time service, you might type:
'VB .NET code
Agent.SetOption("OPT_XBROWSER_SYNC_EXCLUDE_URLS", Arrays.asList("timeService"))
// C# code
Agent.SetOption("OPT_XBROWSER_SYNC_EXCLUDE_URLS", Arrays.asList("timeService"));
  • OPT_XBROWSER_SYNC_MODE
  • OPT_XBROWSER_SYNC_EXCLUDE_URLS
  • OPT_SYNC_TIMEOUT
Parent topic: Cross-Browser Testing
Related concepts
How Does Silk4NET Synchronize Tests?
Related tasks
Slowing Down Tests
Related reference
Limitations for Testing with Google Chrome
WaitForObject Method (TestObject)
WaitForProperty Method (TestObject)
WaitForDisappearance Method (TestObject)
WaitForChildDisappearance Method (TestObject)


Comparing API Playback and Native Playback for xBrowser

Silk4NET supports API playback and native playback for Web applications. If your application uses a plug-in or AJAX, use native user input. If your application does not use a plug-in or AJAX, we recommend using API playback.

Advantages of native playback include:
  • With native playback, the agent emulates user input by moving the mouse pointer over elements and pressing the corresponding elements. As a result, playback works with most applications without any modifications.
  • Native playback supports plug-ins, such as Flash and Java applets, and applications that use AJAX, while high-level API recordings do not.
Advantages of API playback include:
  • With API playback, the Web page is driven directly by DOM events, such as onmouseover or onclick.
  • Scripts that use API playback do not require that the browser be in the foreground.
  • Scripts that use API playback do not need to scroll an element into view before clicking it.
  • Generally API scripts are more reliable since high-level user input is insensitive to pop-up windows and user interaction during playback.
  • API playback is faster than native playback.

Differences Between API and Native Playback Functions

The DomElement class provides different functions for API playback and native playback.

The following table describes which functions use API playback and which use native playback.

 | API Playback | Native Playback
Mouse Actions | DomClick DomDoubleClick DomMouseMove | Click DoubleClick MoveMouse PressMouse ReleaseMouse
Keyboard Actions | not available | TypeKeys
Specialized Functions | Select SetText etc. | not available
Parent topic: Cross-Browser Testing
Related tasks
Setting Browser Recording Options
Related reference
DomElement Class


Setting Mouse Move Preferences

Specify whether mouse move actions are recorded for Web applications, Win32 applications, and Windows Forms applications that use mouse move events. You cannot record mouse move events for child domains of the xBrowser technology domain, for example Apache Flex and Swing.

  1. Click Silk4NET > Edit Options.
  2. Click the plus sign (+) next to Record in the Options menu tree.
    The Record options display in the right side panel.
  3. Click Recording.
  4. To record mouse move actions, check the OPT_RECORD_MOUSEMOVES option. Silk4NET will only record mouse move events that cause changes to the hovered element or its parent in order to keep scripts short.
  5. If you record mouse move actions, in the Record mouse move delay text box, specify how many milliseconds the mouse has to be motionless before a MoveMouse action is recorded By default this value is set to 200. Mouse move actions are only recorded if the mouse stands still for this time. A shorter delay will result in more unexpected move mouse actions, a longer delay will require you to keep the mouse still to record an action.
  6. Click OK.
Parent topic: Cross-Browser Testing


Browser Configuration Settings for xBrowser

Several browser settings help to sustain stable test executions. Although Silk4NET works without changing any settings, there are several reasons that you might want to change the browser settings.

Increase replay speed
Use about:blank as home page instead of a slowly loading Web page.
Avoid unexpected behavior of the browser
  • Disable pop up windows and warning dialog boxes.
  • Disable auto-complete features.
  • Disable password wizards.
Prevent malfunction of the browser
Disable unnecessary third-party plugins.

The following sections describe where these settings are located in the corresponding browser.

Internet Explorer

The browser settings are located at Tools > Internet Options. The following table lists options that you might want to adjust.

Tab | Option | Configuration | Comments
General | Home page | Set to about:blank. | Minimize start up time of new tabs.
General Tabs
  • Disable warning when closing multiple tabs.
  • Enable to switch to new tabs when they are created.
  • Avoid unexpected dialog boxes.
  • Links that open new tabs might not replay correctly otherwise.
Privacy | Pop-up blocker | Disable pop up blocker. | Make sure your Web site can open new windows.
Content AutoComplete Turn off completely
  • Avoid unexpected dialog boxes.
  • Avoid unexpected behavior when typing keys.
Programs Manage add-ons Only enable add-ons that are absolutely required.
  • Third-party add-ons might contain bugs.
  • Possibly not compatible to Silk4NET.
Advanced Settings
  • Disable Automatically check for Internet Explorer updates.
  • Enable Disable script debugging (Internet Explorer).
  • Enable Disable script debugging (Other).
  • Disable Enable automatic crash recovery.
  • Disable Display notification about every script error.
  • Disable all Warn ... settings
Avoid unexpected dialog boxes.
Note: Recording a Web application in Internet Explorer with a zoom level different to 100% might not work as expected. Before recording actions against a Web application in Internet Explorer, set the zoom level to 100%.

Mozilla Firefox

You do not have to change browser settings for Mozilla FirefoxSilk4NET automatically starts Mozilla Firefox with the appropriate command-line parameters.

Note: To avoid unexpected behavior when testing web applications, disable auto updates for Mozilla Firefox. For additional information, see Stop automatic updates.

Google Chrome

You do not have to change browser settings for Google Chrome. Silk4NET automatically starts Google Chrome with the appropriate command-line parameters.

Note: To avoid unexpected behavior when testing web applications, disable auto updates for Google Chrome. For additional information, see Turning Off Auto Updates in Google Chrome.
Parent topic: Cross-Browser Testing
Related reference
Prerequisites for Replaying Tests with Google Chrome


Configuring the Locator Generator for xBrowser

The Open Agent includes a sophisticated locator generator mechanism that guarantees locators are unique at the time of recording and are easy to maintain. Depending on your application and the frameworks that you use, you might want to modify the default settings to achieve the best results.

A well-defined locator relies on attributes that change infrequently and therefore requires less maintenance. Using a custom attribute is more reliable than other attributes like caption or index, since a caption will change when you translate the application into another language, and the index might change when another object is added.

To achieve optimal results, add a custom automation ID to the elements that you want to interact with in your test. In Web applications, you can add an attribute to the element that you want to interact with, such as <div myAutomationId=”my unique element name” />. This approach can eliminate the maintenance associated with locator changes.

  1. Click Silk4NET > Edit Options and then click the Custom Attributes tab.
  2. If you use custom automation IDs, from the Select a TechDomain list box, select xBrowser and then add the IDs to the list. The custom attributes list contains attributes that are suitable for locators. If custom attributes are available, the locator generator uses these attributes before any other attribute. The order of the list also represents the priority in which the attributes are used by the locator generator. If the attributes that you specify are not available for the objects that you select, Silk4NET uses the default attributes for xBrowser.
  3. Click the Browser tab.
  4. In the Locator attribute name exclude list grid, type the attribute names to ignore while recording.

    For example, use this list to specify attributes that change frequently, such as size, width, height, and style. You can include the wildcards ‘*’ and ‘?’ in the Locator attribute name blacklist.

    Separate attribute names with a comma.

  5. In the Locator attribute value exclude list grid, type the attribute values to ignore while recording.

    Some AJAX frameworks generate attribute values that change every time the page is reloaded. Use this list to ignore such values. You can also use wildcards in this list.

    Separate attribute values with a comma.

  6. Click OK.

    You can now record or manually create a test case.

Parent topic: Cross-Browser Testing


Connection String for a Remote Desktop Browser

The connection string specifies the remote desktop browser that is used for testing. When testing a web application in a remote browser, Silk4NET uses the connection string to connect to the remote location. The connection string is typically part of the application configuration. You can set the connection string when you configure the web application that you want to test. To change the connection string, you can use the Edit Application Configuration dialog box.

When testing a web application in a remote browser, the connection string includes only the host, which means the IP address or the host name of the remote machine, for example 10.0.0.1. To select the correct browser, Silk4NET uses the connection string in combination with the browser type, which you can also specify in the Edit Application Configuration dialog box.

The host name is case-insensitive.

Note: Remote desktop browser testing is only supported for Microsoft Edge on a remote Microsoft Windows machine, and for Apple Safari on a remote Mac.

Connection string example

"host=10.0.0.1"
Parent topic: Cross-Browser Testing
Related concepts
Connection String for a Mobile Device
Select Application Dialog Box
Related tasks
Setting Capabilities for WebDriver-Based Browsers


Setting Capabilities for WebDriver-Based Browsers

If you are testing a web application on a WebDriver-based browser, you can customize and configure the browser session by setting the capabilities.

In Silk4NET, you can specify WebDriver capabilities in the connection string for the following browser types:
  • Google Chrome
  • Mozilla Firefox

For information on the available options and capabilities for Mozilla Firefox 48 or later, see https://github.com/mozilla/geckodriver. For information on the available options and capabilities for Google Chrome, see Capabilities & ChromeOptions.

To set the capabilities in Silk4NET:

  1. Select the project which corresponds to the web application for which you want to change the capabilities.
  2. Edit the connection string in the base state of the project. You can edit the connection string in the following ways:
    • By using the Edit Application Configurations dialog, for example if you want to record actions against a customized browser.
    • In a script, if you only want to execute the tests in the script against the customized browser.

    For additional information, see Base State.

  3. Execute the script to start the browser with the specified options and capabilities.

Examples

You can add the following code to the base state in a script to automatically download executables from Mozilla Firefox:
' VB .NET code - No linebreaks, this is a single line of code.
 baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.folderList\": 2, \"browser.helperApps.neverAsk.saveToDisk\": \"application/octet-stream\"}};"
// C# code - No linebreaks, this is a single line of code.
 baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.folderList\": 2, \"browser.helperApps.neverAsk.saveToDisk\": \"application/octet-stream\"}};";
You can add the following code to the base state in a script to specify the download folder for Mozilla Firefox:
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.dir\" : \"C:/Download\"}};"
// C# code
baseState.ConnectionString = "moz:firefoxOptions={\"prefs\": { \"browser.download.dir\" : \"C:/Download\"}};";
You can add the following code to the base state in a script to set a command line argument for Mozilla Firefox:
' VB .NET code
baseState.ConnectionString = "moz:firefoxOptions={\"args\":[\"--devtools\"]};")
// C# code
baseState.ConnectionString = "moz:firefoxOptions={\"args\":[\"--devtools\"]};");
You can add the following code to the base state in a script to automatically download executables from Google Chrome to a specific folder:
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"prefs\": {\"profile.default_content_setting_values.automatic_downloads\":1, \"download.default_directory\":\"c:/Download\", \"download.prompt_for_download\":false}};"
// C# - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"prefs\": {\"profile.default_content_setting_values.automatic_downloads\":1, \"download.default_directory\":\"c:/Download\", \"download.prompt_for_download\":false}};";
You can add the following code to the base state in a script to disable the password manager from showing messages in Google Chrome:
' VB .NET code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"args\": [\"--disable-save-password-bubble\"], \"prefs\": {\"profile.password_manager_enabled\":false, \"credentials_enable_service\":false}};"
// C# code - No linebreaks, this is a single line of code.
baseState.ConnectionString = "chromeOptions={\"args\": [\"--disable-save-password-bubble\"], \"prefs\": {\"profile.password_manager_enabled\":false, \"credentials_enable_service\":false}};";
Parent topic: Cross-Browser Testing
Related concepts
Connection String for a Remote Desktop Browser
Base State


Testing with Apple Safari on a Mac

This section describes how you can enhance your cross-browser test set by testing Apple Safari on Mac machines that are connected to a Windows machine on which Silk4NET is installed.

  • Prerequisites for Testing with Apple Safari on a Mac
    Lists the prerequisites for testing with Apple Safari on a Mac.
  • Preparing Apple Safari for Testing
    Prepare Apple Safari to test web applications with Silk4NET.
  • Installing the Silk Test Information Service on a Mac
    Install the information service on a Mac to test Apple Safari or mobile applications on iOS with Silk4NET.
  • Limitations for Testing with Apple Safari
    Lists the known limitations for playing back tests and recording locators with Apple Safari.
  • Running Multiple Apple Safari Tests at the Same Time
    Describes how you can execute multiple Apple Safari tests on the same Mac simultaneously.
  • Uninstalling the Silk Test Information Service from a Mac
    Uninstall the information service from a Mac to no longer test Apple Safari or mobile applications on iOS with Silk4NET on this Mac.
Parent topic: Cross-Browser Testing


Prerequisites for Testing with Apple Safari on a Mac

Before you can test with Apple Safari on a Mac, ensure that the following prerequisites are met:
  • The Mac is connected as a remote location to a Windows machine, on which Silk4NET is installed. For additional information, see Editing Remote Locations.
  • If you are testing with Apple Safari 9, the SafariDriver, which is the WebDriver extension for Apple Safari that inverts the traditional client/server relationship and communicates with the WebDriver client using WebSockets, needs to be installed on the Mac. With Apple Safari 10.1, Safari features a built-in driver implementation.
  • Java JDK is installed on the Mac.
  • The information service is installed on the Mac. To get the files that are required for the information service, use the Silk Test installer. For additional information, see Installing the Silk Test Information Service on a Mac.
  • To run tests on Apple Safari, the user that has installed the information service needs to be logged in on the Mac.
    Tip: Micro Focus recommends to set the Mac to automatically log in the correct user during startup. For additional information, see Set your Mac to automatically log in during startup.
  • To run unattended tests against Apple Safari on a Mac, adjust the following energy-related settings in the Energy Saver pane of the System Preferences:
    • Set Turn display off after to Never.
    • Check the Prevent computer from sleeping automatically when the display is off check box.
    Note: You can use the Silk Test Configuration Assistant to easily configure such settings.
  • To run unattended tests against Apple Safari on a Mac, disable the screen saver.
    1. Navigate to System Preferences > Desktop & Screen Saver.
    2. Click the Screen Saver tab.
    3. Set Start screen saver to Never.
    Note: You can use the Silk Test Configuration Assistant to easily configure such settings.
  • If you are testing with Apple Safari 10.1, enable the Safari developer menu. Choose Safari > Preferences , click Advanced, and check Show develop menu in menu bar.
  • If you are testing with Apple Safari 10.1, enable remote automation. In the Safari developer menu, check Allow Remote Automation.
  • When executing a test for the first time against Apple Safari 10.1, you need to provide a password.
Parent topic: Testing with Apple Safari on a Mac
Related tasks
Installing the Silk Test Information Service on a Mac
Preparing Apple Safari for Testing
Preparing a Mac to Test Mobile Applications on iOS
Editing Remote Locations


Preparing Apple Safari for Testing

To test web applications on Apple Safari 10.1 or later, you can use the Silk Test Configuration Assistant to easily configure Apple Safari, or you can perform the following preparation steps in addition to fulfilling the requirements listed in Prerequisites for Testing with Apple Safari on a Mac:
  1. Enable remote automation in Apple Safari, by opening the Develop menu and checking Allow Remote Automation. The Develop menu is hidden by default. To open the menu:
    1. In the Safari menu, choose Preferences.
    2. In the Preferences window, select the Advanced tab.
    3. Check the Show Develop menu in menu bar check box.
    4. Close the Preferences window.
  2. When running a test for the first time on Apple Safari, a dialog box appears, stating that the browser window is remotely controlled by an automated test. Click Continue Session.
For additional information on Apple Safari and Selenium WebDriver, see https://webkit.org/blog/6900/webdriver-support-in-safari-10/.
Parent topic: Testing with Apple Safari on a Mac
Related tasks
Preparing a Mac to Test Mobile Applications on iOS
Related reference
Prerequisites for Testing with Apple Safari on a Mac


Limitations for Testing with Apple Safari

The following are the known limitations for testing with Apple Safari on a Mac:
  • The following classes, interfaces, methods, and properties are currently not supported when testing web applications with Apple Safari on a Mac:
    • BrowserApplication class.
      • ClearCache method
      • CloseOtherTabs method
      • CloseTab method
      • ExistsTab method
      • GetHorizontalScrollbar method
      • GetNextCloseWindow method
      • GetSelectedTab method
      • GetSelectedTabIndex method
      • GetSelectedTabName method
      • GetTabCount method
      • GetVerticalScrollbar method
      • IsActive method
      • Minimize method
      • OpenContextMenu method
      • OpenTab method
      • Restore method
      • SelectTab method
      • SetActive method
      • WindowState property
    • BrowserWindow class.
      • AcceptAlert method
      • DismissAlert method
      • GetAlertText method
      • IsAlertPresent method
      • MouseMove method
      • PressKeys method
      • PressMouse method
      • ReleaseKeys method
      • ReleaseMouse method
    • IMoveable class.
      • GetFocusmethod.
  • Silk4NET does not support testing Apache Flex.
  • Silk4NET does not support testing iframes with a JavaScript source on Apple Safari.
  • To test secure web applications over HTTPS on Apple Safari, ensure that any required server certificates are trusted.
  • Silk4NET does not provide native support for Apple Safari. You cannot test internal Apple Safari functionality. For example, in a test, you cannot change the currently displayed web page by adding text to the navigation bar. As a workaround, you can use API calls to navigate between web pages.
  • Silk4NET does not support JavaScript dialog API functions for Apple Safari. As a workaround, you could patch such functions so that they are ignored. For additional information, see https://groups.google.com/forum/#!topic/selenium-developer-activity/qsovJw93g9c.
  • Silk4NET does not support text recognition with Apple Safari.
    Text recognition includes the following methods:
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET does not support tabbing on Apple Safari.
  • To test a multi window application, disable the Apple Safari pup-up blocker. To do so, start Apple Safari and navigate to Safari Preferences > Security > Block pop-up window.
  • Silk4NET does not support testing the dialog box for saving a password. To avoid this dialog box, start Apple Safari, navigate to Safari Preferences > AutoFill, and check the User names and passwords check box.
  • Silk4NET does not support properties in XPath expressions for Apple Safari. Only attributes are supported in XPath expressions.
  • Silk4NET does not support testing web applications which include a Content-Security-Policy HTTP header.
  • With Apple Safari 10.1, Silk4NET does not support navigating back in the browser.
  • With Apple Safari 10.1, Silk4NET does not support using control keys in the TypeKeys method.
  • With Apple Safari 10.1, Silk4NET only supports dom actions in Frames and IFrames.
  • With Apple Safari 10.1, Silk4NET does not support navigating with Frames and IFrames.
  • With Apple Safari 10.1, Silk4NET does not support direct scrolling during recording. As a workaround, you could use the executeJavaScript method.
Parent topic: Testing with Apple Safari on a Mac


Running Multiple Apple Safari Tests at the Same Time

To execute a test on Apple Safari, you require a Mac that is connected to the Windows machine on which Silk Testis installed. If multiple Apple Safari want to execute tests on Apple Safari, these tests can be executed simultaneously on the same Mac.

Note: Each test that is executed against Apple Safari on the Mac opens an individual instance of Apple Safari. Having too many instances of Apple Safari running simultaneously might reduce the performance of the Mac.
Parent topic: Testing with Apple Safari on a Mac


Testing with Google Chrome

This section describes how you can enhance your cross-browser test set by testing with Google Chrome.

Silk4NET supports recording actions and replaying tests on Google Chrome 50 or later, and supports replaying tests and recording locators on Google Chrome versions prior to version 50.

  • When starting to test on Google Chrome 50 or later, with no running instance of Google Chrome open, Silk4NET starts a new instance of Google Chrome. This new browser uses a temporary profile without add-ons and with an empty cache.
  • When starting to test on an instance of Google Chrome 50 or later, which is already running, Silk4NET restarts Google Chrome with the same command line arguments that were used when the instance was initially started. This restart is required to enable the Silk4NET automation support.
  • When testing with Google Chrome 50 or later, the Google Chrome instance is closed when shutting down the Open Agent or when starting to test another application outside Google Chrome.
Tip: If you want to execute an existing test script with Google Chrome 50 or later, Micro Focus recommends that you use a base state or that you add a command to the test script to navigate to the URL.

Example 1

If the running instance of Google Chrome 50 or later was initially started with the command C:/Program Files (x86)/Google/Chrome/Application/chrome.exe www.borland.com, Google Chrome opens to www.borland.com after the restart.

Example 2

If the running instance of Google Chrome 50 or later was initially started with the command C:/Program Files (x86)/Google/Chrome/Application/chrome.exe, Google Chrome opens to about:blank after the restart.

  • Prerequisites for Replaying Tests with Google Chrome
    Lists the prerequisites for replaying tests and recording locators with Google Chrome.
  • Testing Google Chrome Extensions
    Describes how you can test Google Chrome extensions.
  • Testing Google Chrome with User Data Directories
    Describes how you can test Google Chrome with user data directories.
  • Limitations for Testing with Google Chrome
    Lists the known limitations for playing back tests and recording locators with Google Chrome.
Parent topic: Cross-Browser Testing


Prerequisites for Replaying Tests with Google Chrome

Command-line parameters

When you use Google Chrome to replay a test or to record locators, Google Chrome is started with the following command:
%LOCALAPPDATA%\Google\Chrome\Application\chrome.exe
  --enable-logging
  --log-level=1
  --disable-web-security
  --disable-hang-monitor
  --disable-prompt-on-repost
  --dom-automation
  --full-memory-crash-report
  --no-default-browser-check
  --no-first-run
  --homepage=about:blank
  --disable-web-resources
  --disable-preconnect
  --enable-logging
  --log-level=1
  --safebrowsing-disable-auto-update
  --test-type=ui
  --noerrdialogs
  --metrics-recording-only
  --allow-file-access-from-files
  --disable-tab-closeable-state-watcher
  --allow-file-access
  --disable-sync
  --testing-channel=NamedTestingInterface:st_42

When you use the wizard to hook on to an application, these command-line parameters are automatically added to the base state. If an instance of Google Chrome is already running when you start testing, without the appropriate command-line parameters, closes Google Chrome and tries to restart the browser with the command-line parameters. If the browser cannot be restarted, an error message displays.

Note: The command-line parameter disable-web-security is required when you want to record or replay cross-domain documents.
Note: To test a web application that is stored in the local file system, navigate to the chrome://extensions in Google Chrome and check the Allow access to file URLs check box for the Silk Test Chrome Extension.
Parent topic: Testing with Google Chrome
Related reference
Browser Configuration Settings for xBrowser
Limitations for Testing with Google Chrome


Testing Google Chrome Extensions

You can use one of the following two approaches to test a Google Chrome extension (add-on) with Silk4NET:
Install the extension as a .crx file when starting Google Chrome
To test a Google Chrome extension that is installed as a .crx file, add the following command line to the base state:
chrome.exe --load-extension=C:/myExtension/myExtension.crx
Note: You can only install a single extension in Google Chrome as a .crx file. To install multiple extensions in Google Chrome, use a comma separated list of .crx files. For example:
chrome.exe --load-extension=C:/myExtension/myExtension.crx,C:/myExtension2/myExtension2.crx

For information on adding command line arguments to a browser, see Modifying the Base State.

Add the extension to a profile
Add the extension to a Google Chrome user data directory and use that profile for testing. For additional information, see Testing Google Chrome with User Data Directories.
Parent topic: Testing with Google Chrome


Testing Google Chrome with User Data Directories

All changes that you make in Google Chrome, for example your home page, what toolbars you use, any saved passwords, and your bookmarks, are all stored in a special folder, which is called a user data directory.

With Silk4NET, you can test Google Chrome user data directories by specifying the path to the user data directory in the base state of the application under test. The following command line includes the path to the profile:
chrome.exe "--user-data-dir=C:/Users/MyUser/AppData/Local/Google/Chrome/User Data"
To set the profile directory for our sample web application, you can use the following code:
' VB code
Dim baseState = New BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS")
Dim myProfileDir = "--user-data-dir=D:\\temp\\SilkTest --profile-directory=Profile1"
baseState.CommandLineArguments = myProfileDir
baseState.Execute()
// C# code
BrowserBaseState baseState = new BrowserBaseState(BrowserType.GoogleChrome, "demo.borland.com/InsuranceWebExtJS");
String myProfileDir = "--user-data-dir=D:\\temp\\SilkTest --profile-directory=Profile1";
baseState.CommandLineArguments=myProfileDir;
baseState.Execute();
Note: When Google Chrome is started by Silk4NET, an empty user data directory is used. This ensures that the test starts at a clean state.
Parent topic: Testing with Google Chrome


Limitations for Testing with Google Chrome

The support for playing back tests and recording locators with Google Chrome is not as complete as the support for the other supported browsers. The following list lists the known limitations for playing back tests and recording locators with Google Chrome:
  • Silk Test does not support testing child technology domains of the xBrowser domain with Google Chrome. For example Apache Flex or Microsoft Silverlight are not supported with Google Chrome.
  • Silk4NET does not support recording a test in an HTTP Basic Authentication dialog.
  • With Google Chrome 49 or prior, Silk Test does not provide native support for Google Chrome. You cannot test internal Google Chrome functionality. For example, in a test, you cannot change the currently displayed Web page by adding text to the navigation bar through Win32. As a workaround, you can use API calls to navigate between Web pages. Silk Test supports handling alerts and similar dialog boxes through the Alerts API.
  • Silk4NET does not support text recognition with Google Chrome.
    Text recognition includes the following methods:
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET does not support the GetFocus method of the IMoveable class.
  • Silk Test does not recognize opening the Print dialog box in Google Chrome by using the Google Chrome menu. To add opening this dialog box in Google Chrome to a test, you have to send Ctrl+Shift+P using the TypeKeys method. Internet Explorer does not recognize this shortcut, so you have to first record your test in Internet Explorer, and then manually add pressing Ctrl+Shift+P to your test.
  • Testing on multiple Google Chrome windows at the same time is only supported if the additional windows are opened from the initial Google Chrome window by the AUT itself. If the additional Google Chrome windows are opened manually, Silk4NET does not recognize the elements on these Google Chrome windows. For example, Silk4NET recognizes the elements in a Google Chrome window that is opened by clicking on a link or a button in the AUT during recording, but Silk4NET does not recognize the elements in a Google Chrome window that was opened by pressing CTRL+N during recording.
  • With Google Chrome 49 or prior and when you want to test a web application with Google Chrome and the Continue running background apps when Google Chrome is closed check box is checked, Silk Test cannot restart Google Chrome to load the automation support.
  • To replay a test with a Google Chrome version prior to 50, you need to perform one of the following:
    • Start Google Chrome and enable the Silk Test Chrome extension.
      Note: If by mistake you have disabled the Silk Test Chrome extension, you have to re-install the extension from the Chrome Web Store.
    • If enabling the Silk Test Chrome extension is not possible, because you have no access to the Chrome Web Store, remove the registry key HKEY_LOCAL_MACHINE\SOFTWARE\[Wow6432Node\]Google\Chrome\Extensions\cjkcicfagnoafgjpgnpcdfllcnneidjj:
      1. In the Start menu, type regedit into the search box and press Enter.
      2. In the Registry Editor, navigate to HKEY_LOCAL_MACHINE\SOFTWARE\[Wow6432Node\]Google\Chrome\Extensions.
      3. Right click cjkcicfagnoafgjpgnpcdfllcnneidjj and select Delete.
  • With Google Chrome 49 or prior and when using Internet Explorer to replay a test, you can use the following code to test executeJavaScript:
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("function foo() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("foo();");

    When replaying tests on Google Chrome, the scripts are not executed in the global context (window), but in a closure. Everything is executed within a function. The first ExecuteJavaScript call in the previous code sample will not work with Google Chrome, because the function foo is only available as long as the ExecuteJavaScript call lasts.

    To replay the same test on Google Chrome, you can use the following function expression:
    // Java code
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo = function() { alert('Silk Test'); }");
desktop.<BrowserWindow> find("//BrowserWindow")
  .executeJavaScript("window.foo();");

    The previous code samples will work in Silk4J. The code for the other Silk Test clients is similar. For additional information, refer to the documentation of the ExecuteJavaScript method in the Help of your Silk Test client.

Note: If the Silk Test Chrome extension symbol is marked red, this indicates an error with the Silk Test Chrome support.
Parent topic: Testing with Google Chrome
Related reference
Prerequisites for Replaying Tests with Google Chrome
Page Synchronization for xBrowser
Google Chrome


Testing with Mozilla Firefox

This section describes how you can enhance your cross-browser test set by testing with Mozilla Firefox.

Silk4NET supports recording actions and replaying tests on Mozilla Firefox.

  • When starting to test on Mozilla Firefox, with no running instance of Mozilla Firefox open, Silk4NET starts a new instance of Mozilla Firefox. This new browser uses a temporary profile without add-ons and with an empty cache.
  • When starting to test on an instance of Mozilla Firefox which is already running, Silk4NET restarts Mozilla Firefox with the same command line arguments that were used when the instance was initially started. This restart is required to enable the Silk4NET automation support.
  • The Mozilla Firefox instance is closed when shutting down the Open Agent or when starting to test another application outside Mozilla Firefox.
Tip: If you want to execute an existing test script with Mozilla Firefox, Micro Focus recommends that you use a base state or that you add a command to the test script to navigate to the URL.

While recording with Silk4NET on Mozilla Firefox 52 or later, Mozilla Firefox opens external links in a new tab, instead of a new window. Disable the OPT_FIREFOX_SINGLE_WINDOW_MODE option in the Browser options to open external links in a new window.

Example 1

If the running instance of Mozilla Firefox was initially started with the command C:/program files/Mozilla/firefox.exe www.borland.com, Mozilla Firefox opens to www.borland.com after the restart.

Example 2

If the running instance of Mozilla Firefox was initially started with the command C:/program files/Mozilla/firefox.exe, Mozilla Firefox opens to about:blank after the restart.

  • Testing Mozilla Firefox with Profiles
    Describes how you can test Mozilla Firefox with profiles.
  • Testing Mozilla Firefox Extensions
    Describes how you can test Mozilla Firefox extensions.
  • Limitations for Testing with Mozilla Firefox
    Lists the known limitations for testing web applications on Mozilla Firefox.
Parent topic: Cross-Browser Testing


Testing Mozilla Firefox with Profiles

All changes that you make in Mozilla Firefox, for example your home page, what toolbars you use, any saved passwords, and your bookmarks, are all stored in a special folder, which is called a profile.

To test Mozilla Firefox profiles, you can specify either the name of the profile or the path to the profile as custom browser command line arguments in the Edit Application Configurations dialog box:
  1. Select the project from which you want to test Mozilla Firefox profiles.
  2. Click Edit Application Configuration in the menu. The Edit Application Configuration dialog box appears.
  3. Uncheck the Show 'Select Browser' dialog before record and playback check box.
  4. Click Edit to edit the existing Browser: Firefox application configuration.
  5. Select Custom as the browser type.
  6. Type the path to the Mozilla Firefox executable into the Executable field. For example C:\Program Files (x86)\Mozilla Firefox\firefox.exe.
  7. Type the Firefox profile name or the path to the Firefox profile into the Command Line Arguments field. For example -p myProfile or -profile C:/Temp
Using the name of the profile
The following command line argument specifies the name of the profile:
-p myProfile
You can configure the named profile in the Profile Manager. To start the Profile Manager, type firefox.exe -P into a command window.
Using the path to the profile
The following command line argument specifies the path to the profile:
-profile C:/<path to profile folder>
Note: If Mozilla Firefox is started by Silk4NET, an empty profile is used. This ensures that the test starts at a clean state. If the user manually starts Mozilla Firefox, the default profile is used.
Note: As profiles need to be deployed to the test machine are and have high memory consumption, you might face some issues when testing profiles. If you only want to change a few browser settings, you can use capabilities instead of profiles. For additional information, see Setting Capabilities for Web-Driver Based Browsers.
Parent topic: Testing with Mozilla Firefox
Related concepts
Testing Mozilla Firefox Extensions


Testing Mozilla Firefox Extensions

To test a Mozilla Firefox extension (add-on) with Silk4NET, add the extension to a Mozilla Firefox profile and use that profile for testing. For additional information, see Testing Mozilla Firefox with Profiles.

Parent topic: Testing with Mozilla Firefox
Related concepts
Testing Mozilla Firefox with Profiles


Limitations for Testing with Mozilla Firefox

The following limitations are known when testing web applications with Silk4NET on Mozilla Firefox:

  • Silk4NET does not support Mozilla Firefox 47, 48, 49, 50, and 51. However, Silk4NET supports Mozilla Firefox 47.0.1 and 47.0.2
  • Testing on multiple Mozilla Firefox windows at the same time is only supported if the additional windows are opened from the initial Mozilla Firefox window by the AUT itself. If the additional Mozilla Firefox windows are opened manually, Silk4NET does not recognize the elements on these Mozilla Firefox windows. For example, Silk4NET recognizes the elements in a Mozilla Firefox window that is opened by clicking on a link or a button in the AUT during recording, but Silk4NET does not recognize the elements in a Mozilla Firefox window that was opened by pressing CTRL+N during recording.
  • Silk4NET does not support testing modal browser windows, which are windows that can be displayed with the window.showmodaldialog command. These modal browser windows have been officially deprecated, and are disabled with Google Chrome 37 or later, while they are planned to no longer be supported in future versions of Mozilla Firefox. You can workaround this issue by using low-level actions, for example native clicks with coordinates to click on an object or typekeys to fill out text fields.
  • Silk4NET does not support testing Silverlight with Mozilla Firefox.
  • Silk4NET does not support testing some browser dialogs, for example the About dialog, with Mozilla Firefox.
  • Silk4NET does not support testing about:* pages with Mozilla Firefox.
  • Silk4NET does not support recording a click on the Print button in Mozilla Firefox. To click on this button during replay, you can manually add a desktop click with coordinates to your test script. For example:
    'VB .NET code
_desktop.Click(printButton.GetRect(true).Center)
    // C# code
_desktop.Click(printButton.GetRect(true).Center);
  • Silk4NET does not support text recognition with Mozilla Firefox.
    Text recognition includes the following methods:
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET does not support recording locators on JavaScript alert boxes with Mozilla Firefox. You can workaround this issue by manually scripting the locators. For example, to click on the button OK, which has the locator //PushButton[@caption='OK'], type the following into your script:
    ' VB .NET code
_desktop.PushButton("@caption='OK'").Click()
    // C# code
_desktop.PushButton("@caption='OK'").Click();
    You can also use the following methods to handle Javascript alert boxes:
    • AcceptAlert
    • DismissAlert
    • GetAlertText
    • IsAlertPresent
  • Silk4NET does not support Java applets for Mozilla Firefox 52 or later. Silk4NET supports Java applets for Mozilla Firefox 47.0.1 or prior with the following limitations:
    • Silk4NET does not support the locator //AppletContainer.
    • When the applet opens a modal dialog, a locator similar to //BrowserApplication//BrowserWindow/JDialog[@caption='Information']//JButton[@caption='OK'] might not work. You can use a locator like //JDialog[@caption='Information']//JButton[@caption='OK'] instead.
  • Silk4NET does not support properties in XPath expressions for Mozilla Firefox. Only attributes are supported in XPath expressions.
  • Silk4NET does not support the GetFocus method of the IMoveable class.
  • Silk Test does not support testing child technology domains of the xBrowser domain with Mozilla Firefox. For example Apache Flex or Microsoft Silverlight are not supported with Mozilla Firefox.
  • With Mozilla Firefox 52 or later, the following methods are not supported:
    • PressKeys
    • ReleaseKeys
  • With Mozilla Firefox 52 or prior, the SetViewportSize method of the BrowserWindow class is not supported.
  • With Mozilla Firefox 52 or later, native playback for the following is not supported:
    • Double-click.
    • Right and middle mouse button click.
  • With Mozilla Firefox 52 or later, the DomClick method is not supported on controls that open an alert.
  • With Mozilla Firefox 55, uploading a file does not work. For additional information, see File upload no longer works with geckodriver 0.18.0 and Firefox 55.
Parent topic: Testing with Mozilla Firefox
Related tasks
Recording a Test on Mozilla Firefox


Testing with Microsoft Edge

This section describes how you can enhance your cross-browser test set by testing with Microsoft Edge.

  • Limitations for Testing with Microsoft Edge
    Lists the known limitations for playing back tests and recording locators with Microsoft Edge.
  • Testing Microsoft Edge on a Remote Machine
    Start the information service on the remote machine with medium integrity to test Microsoft Edge.
Parent topic: Cross-Browser Testing


Limitations for Testing with Microsoft Edge

The following are the known limitations for testing with Microsoft Edge:
  • The following classes, interfaces, methods, and properties are currently not supported when testing web applications on Microsoft Edge:
    • BrowserApplication class.
      • ClearCache method
      • CloseOtherTabs method
      • CloseTab method
      • ExistsTab method
      • GetHorizontalScrollbar method
      • GetNextCloseWindow method
      • GetSelectedTab method
      • GetSelectedTabIndex method
      • GetSelectedTabName method
      • GetTabCount method
      • GetVerticalScrollbar method
      • IsActive method
      • Minimize method
      • OpenContextMenu method
      • OpenTab method
      • Restore method
      • SelectTab method
      • SetActive method
      • WindowState method
    • The following methods of the BrowserWindow class are not supported for Microsoft Edge versions prior to build 38.14393, the Microsoft Edge version for Microsoft Windows 10 Anniversary Update.
      • PressKeys method
      • ReleaseKeys method
  • Silk4NET does not automatically bring the browser into the foreground when recording actions against Microsoft Edge.
  • When testing with Microsoft Edge, the rectangle for the BrowserApplication is not absolute.
  • Silk4NET does not support testing Apache Flex.
  • Silk4NET does not provide native support for Microsoft Edge. You cannot test internal Microsoft Edge functionality. For example, in a test, you cannot change the currently displayed web page by adding text to the navigation bar. As a workaround, you can use API calls to navigate between web pages.
  • Silk4NET does not support handling alerts and similar dialog boxes for Microsoft Edge.
  • Image clicks are only supported for Microsoft Edge Threshold 2 (build 25.10586) or later. If you are testing a web application on a prior version of Microsoft Edge, you can only use image verifications.
  • Silk4NET does not support text recognition with Microsoft Edge.
    Text recognition includes the following methods:
    • TextCapture
    • TextClick
    • TextExists
    • TextRectangle
  • Silk4NET does not support tabbing on Microsoft Edge. Tabs are recognized as windows.
  • When testing web applications on Microsoft Edge, Silk4NET cannot locate meta-tags which include the http-equiv attribute. For example, Silk4NET cannot locate the following meta-tag:
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
  • With Microsoft Edge, Silk4NET does not support directly reading the currentStyle attribute of a DOM element. You can use the GetCssStyle method of the DomElement class to retrieve the computed CSS style with the specified style name.
  • When starting the interaction with a web application on Microsoft Edge, Silk4NET closes any open instance of Microsoft Edge and starts a new browser. This new browser uses a temporary profile without add-ons and with an empty cache. This instance of Microsoft Edge is closed when shutting down the Open Agent or when starting to test another application outside Microsoft Edge.
  • With Microsoft Edge, Silk4NET does not recognize the textContents attribute while recording actions or locators. However, you can use the textContents attribute in object maps and when replaying a test on Microsoft Edge.
  • Silk4NET does not support properties in XPath expressions for Microsoft Edge. Only attributes are supported in XPath expressions.
  • Silk4NET does not support the GetFocus method of the IMoveable class.
  • Silk4NET does not support testing web applications which include a Content-Security-Policy HTTP header.
Parent topic: Testing with Microsoft Edge
Related tasks
Recording a Test on Microsoft Edge
Related reference
Microsoft Edge


Testing Microsoft Edge on a Remote Machine

To test Microsoft Edge on a remote Microsoft Windows 10 machine, Silk4NET needs to be installed on the remote machine.
  1. On the local machine, from which you want to test Microsoft Edge, add the remote Microsoft Windows 10 machine as a remote location. For additional information, see Editing Remote Locations.
  2. If the Silk Test information service is already running with administrator privileges on the remote Microsoft Windows 10 machine, disable the Silk Test information service.
    1. Sign in to the Microsoft Windows 10 machine as an administrator.
    2. Open the Control Panel (icons view).
    3. Click Administrative Tools.
    4. Double-click Services.
    5. Double click on the Silk Test information service.
    6. If the service shows a status of running, click Stop and wait until the service status shows as stopped.
    7. Change the Startup type to Disabled.
    8. Click OK.
  3. Start the Silk Test information service with medium integrity level, which means without administrator privileges.
    1. Open a file explorer and navigate to %OPEN_AGENT_HOME%/InfoService. For example, C:\Program Files (x86)\Silk\SilkTest\ng\InfoService.
    2. Double-click infoservice_start.bat.
  4. You can now select Microsoft Edge on the remote Microsoft Windows 10 machine in the Select Application dialog box.
Note: Ensure that the Silk Test information service is running in a user session, and not in the services session. The Silk Test information service requires UI interaction to be enabled. The services session, which is session 0, does not enable UI interaction.
Parent topic: Testing with Microsoft Edge


Responsive Web Design Testing

Desktop web applications which are built based upon responsive web design might change their appearance in response to the size of the screen or web browser in which these applications are displayed. Choosing the appropriate size of the replay window might have significant impact on the stability of such tests.

Silk4NET enables you to specify the exact size of the browser window in the following situations:
  • When you create a new project for a web application.
  • When you record a new test.
  • When you record actions into an existing test.
  • When you replay a test against a web application.
You can use the following settings to specify the size of the browser window:
  • The Browser size list contains a mix of predefined and custom browser window sizes, enabling you to select the size on which you want to test.
  • The Orientation list enables you to select whether you want the browser window to use landscape or portrait orientation.
  • Click Edit Browser Sizes to add custom browser sizes to the Browser size list or to specify which browser sizes are displayed in the list.
    • To add a new custom browser size to the list, click Add Browser Size.
    • To exclude a size from the list, uncheck the corresponding check box.
    • To add the visual breakpoints of a specific web application to the Browser size list, click Detect Visual Breakpoints.

When replaying a test against a web application from the command line or from Silk Central, you can specify the size of the browser viewport by setting the silktest.browserViewportSize environment variable. You can either specify the name of a browser from the Browser Size list or a specific size.

Example: Setting the browser size for automated replay by using the name

The following code sample sets the browser size to SVGA (800, 600) by using the SVGA entry of the Browser size list:
SET silktest.browserViewportSize=name=SVGA;orientation=landscape

Example: Setting the browser size for automated replay by using the width and height

The following code sample sets the browser size to SVGA (800, 600) by using the width and height parameters:
SET silktest.browserViewportSize=width=800;height=600;orientation=landscape
Parent topic: Cross-Browser Testing
Related tasks
Detecting Visual Breakpoints


Detecting Visual Breakpoints

Many web applications that are implemented with responsive web design techniques change their layout in response to the size of the browser or device in which they are displayed. The specific resolutions on which the layout changes are called visual breakpoints.

Silk4NET supports testing such applications by detecting the visual breakpoints, and by allowing you to resize the recording window to the specific size of such a visual breakpoint.

Silk4NET enables you to specify the exact size of the browser window in the following situations:
  • When you create a new project for a web application.
  • When you record a new test.
  • When you record actions into an existing test.
  • When you replay a test against a web application.

To find the visual breakpoints in a web application, and to display the corresponding resolutions in the Browser size list, perform the following actions:

  1. Click Edit Browser Sizes. The Edit Browser Sizes dialog appears.
  2. Click Detect Visual Breakpoints. If no URL for the web application is specified in an application configuration or base state, the Visual Breakpoint Detection URL dialog appears.
  3. If no URL for the web application has been specified in an application configuration or base state, the Visual Breakpoint Detection URL dialog appears. Type the URL into the text field and click OK. Silk4NET detects all visual breakpoints for the web application and adds them to the Browser sizes list.
  4. Click OK to close the Edit Browser Sizes dialog.
You can now select any of the visual breakpoints as the size of the browser window or mobile device for testing.
Parent topic: Cross-Browser Testing
Related concepts
Responsive Web Design Testing


Testing Additional Browser Versions

This topic describes how you can test on additional versions of WebDriver-based browsers, which are not automatically included in your Silk4NET version.
Note: Silk4NET should be able to automatically support the newest version of a browser. However, if the browser vendor has introduced changes which require an update to Silk4NET, the procedure described in this topic might not enable testing on the new browser version.
The functionality described in this topic is supported for the following browsers:
  • Google Chrome
  • Microsoft Edge
  • Mozilla Firefox
  1. Download the appropriate driver for the browser version that you want to test.
    • For Google Chrome, you can download additional ChromeDriver versions from Downloads - ChromeDriver.
    • For Mozilla Firefox, you can download additional geckodriver versions from Releases - mozilla/geckodriver.
    • For Microsoft Edge, you can download additional Microsoft WebDriver versions from WebDriver - Microsoft Edge.
  2. In the Silk4NET installation folder, navigate to the folder \ng\WebDrivers\Windows\.
  3. Open the appropriate folder for the browser.
    • For Google Chrome, open Chrome.
    • For Mozilla Firefox, open Gecko.
    • For Microsoft Edge, open Edge.
  4. Create a new folder for the new driver version. For example, if the driver is ChromeDriver 2.26, create the new folder 2.26.
  5. Extract the downloaded driver into the new folder.
  6. In the Silk4NET installation folder, navigate to the folder \ng\WebDrivers\Common\Config\.
  7. Open the appropriate folder for the browser.
    • For Google Chrome, open Chrome.
    • For Mozilla Firefox, open Gecko.
    • For Microsoft Edge, open Edge.
  8. Open the properties file in a text editor. For example, for Google Chrome, open Chrome.properties.
  9. Add the new browser version and the new driver version as follows:
    <browser version>=<driver version>
    For example, if you want to test on Google Chrome 53, you require ChromeDriver 2.26 and you have to add the following line to the Chrome.properties file:
    53=2.26
  10. Save the properties file.
Parent topic: Cross-Browser Testing


Cross-Browser Testing: Frequently Asked Questions

This section includes questions that you might encounter when testing your Web application on various browsers.

  • Dialog is Not Recognized During Replay
    Describes how you can edit your script if the browser does not recognize Dialog during replay.
  • DomClick(x, y) Is Not Working Like Click(x, y)
    Describes how to resolve the issue that DomClick(x, y) is not working like Click(x, y).
  • FileInputField.DomClick() Will Not Open the Dialog
    Describes how to open a dialog if FileInputField.DomClick() does not.
  • How can I scroll in a browser?
    Describes how you can handle scrolling in browsers during replay.
  • How Can I See Which Browser I Am Currently Using?
    Describes how you can see which browser you are using, or define which browser you want to use, in you scripts.
  • How do I Verify the Font Type Used for the Text of an Element?
    Describes how to verify the font type for a text element.
  • I Configured innerText as a Custom Class Attribute, but it Is Not Used in Locators
    Describes why innerText may not display in locator strings.
  • I Need Some Functionality that Is Not Exposed by the xBrowser API. What Can I Do?
    Describes how to add functionality to your scripts.
  • Link.Select Does Not Set the Focus for a Newly Opened Window in Internet Explorer
    Describes how to activate a newly opened window.
  • Logging Output of My Application Contains Wrong Timestamps
    Describes how to work around incorrect timestamps in your logs.
  • My Test Script Hangs After Navigating to a New Page
    Describes how to work around a script problem that occurs after navigating to a new page.
  • Recorded an Incorrect Locator
    Describes how an incorrect locator might be recorded.
  • Rectangles Around Elements in Internet Explorer are Misplaced
    Describes how to resolve misplaced rectangles in Internet Explorer.
  • The Move Mouse Setting Is Turned On but All Moves Are Not Recorded. Why Not?
    Describes when MoveMouse action are recorded.
  • What is the Difference Between textContents, innerText, and innerHtml?
    Describes the differences between textContents, innerText, and innerHtml.
  • What Should I Take Care Of When Creating Cross-Browser Scripts?
    Describes issues that you might encounter when creating cross-browser scripts.
  • Which Locators are Best Suited for Stable Cross Browser Testing?
    Describes how you can create stable locators for cross browser testing.
  • Why Are the Class and the Style Attributes Not Used in the Locator?
    Describes when to use the class and style attributes in the locator.
  • Why Are Clicks Recorded Differently in Internet Explorer 10?
    Describes why a Click recorded in Internet Explorer 10 might behave different than a Click recorded in a previous Internet Explorer version.
  • Why Do I Get an Invalidated-Handle Error?
    Describes what you can do when you get an invalidated-handle error.
Parent topic: Cross-Browser Testing


Dialog is Not Recognized During Replay

When recording a script, Silk4NET recognizes some windows as Dialog. If you want to use such a script as a cross-browser script, you have to replace Dialog with Window, because some browsers do not recognize Dialog.
For example, the script might include the following line:
/BrowserApplication//Dialog//PushButton[@caption='OK']
Rewrite the line to enable cross-browser testing to:
/BrowserApplication//Window//PushButton[@caption='OK']
Parent topic: Cross-Browser Testing: Frequently Asked Questions


DomClick(x, y) Is Not Working Like Click(x, y)

If your application uses the onclick event and requires coordinates, the DomClick method does not work. Try to use Click instead.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related concepts
Comparing API Playback and Native Playback for xBrowser


FileInputField.DomClick() Will Not Open the Dialog

Try to use Click instead.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related concepts
Comparing API Playback and Native Playback for xBrowser


How can I scroll in a browser?

Silk4NET provides the following ways to scroll controls in a browser into view during replay:
ExecuteJavaScript method (DomElement)
Use the ScrollIntoView method to scroll a specific DOM element into the visible area of the browser window.
ExecuteJavaScript method (BrowserWindow)
Use the ExecuteJavaScript method to scroll the entire page up or down by a specified range.

Examples

The following command scrolls one page down:
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, window.innerHeight)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, window.innerHeight)");
The following command scrolls down 100 pixels:
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, 100)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, 100)");
The following command scrolls up 100 pixels:
'VB .NET code
browserWindow.ExecuteJavaScript("window.scrollBy(0, -100)")
// C# code
browserWindow.ExecuteJavaScript("window.scrollBy(0, -100)");
Parent topic: Cross-Browser Testing: Frequently Asked Questions


How Can I See Which Browser I Am Currently Using?

The BrowserApplication class provides a property "browsertype" that returns the type of the browser. You can add this property to a locator in order to define which browser it matches.

For information about new features, supported platforms, and tested versions, refer to the Release Notes.

Examples

To get the browser type, type the following into the locator:
browserApplication.GetProperty("browsertype")

Additionally, the BrowserWindow provides a method GetUserAgent that returns the user agent string of the current window.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related reference
GetUserAgent Method (BrowserWindow)


How do I Verify the Font Type Used for the Text of an Element?

You can access all attributes of the currentStyle attribute of a DOM element by separating the attribute name with a ":".

Internet Explorer 8 or earlier
wDomElement.GetProperty("currentStyle:fontName")
All other browsers, for example Internet Explorer 9 or later and Mozilla Firefox
wDomElement.GetProperty("currentStyle:font-name")
Parent topic: Cross-Browser Testing: Frequently Asked Questions


I Configured innerText as a Custom Class Attribute, but it Is Not Used in Locators

A maximum length for attributes used in locator strings exists. InnerText tends to be lengthy, so it might not be used in the locator. If possible, use textContents instead.

Parent topic: Cross-Browser Testing: Frequently Asked Questions


I Need Some Functionality that Is Not Exposed by the xBrowser API. What Can I Do?

You can use ExecuteJavaScript() to execute JavaScript code directly in your Web application. This way you can build a workaround for nearly everything.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related reference
ExecuteJavaScript Method (BrowserWindow)


Link.Select Does Not Set the Focus for a Newly Opened Window in Internet Explorer

This is a limitation that can be fixed by changing the Browser Configuration Settings. Set the option to always activate a newly opened window.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related concepts
Browser Configuration Settings for xBrowser


Logging Output of My Application Contains Wrong Timestamps

This might be a side effect of the synchronization. To avoid this problem, specify the HTML synchronization mode.

Parent topic: Cross-Browser Testing: Frequently Asked Questions


My Test Script Hangs After Navigating to a New Page

This can happen if an AJAX application keeps the browser busy (open connections for Server Push / ActiveX components). Try to set the HTML synchronization mode. Check the Page Synchronization for xBrowser topic for other troubleshooting hints.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related concepts
Page Synchronization for xBrowser


Recorded an Incorrect Locator

The attributes for the element might change if the mouse hovers over the element. Silk4NET tries to track this scenario, but it fails occasionally. Try to identify the affected attributes and configure Silk4NET to ignore them.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related tasks
Setting Browser Recording Options


Rectangles Around Elements in Internet Explorer are Misplaced

  • Make sure the zoom factor is set to 100%. Otherwise, the rectangles are not placed correctly.
  • Ensure that there is no notification bar displayed above the browser window. Silk4NET cannot handle notification bars.
Parent topic: Cross-Browser Testing: Frequently Asked Questions


The Move Mouse Setting Is Turned On but All Moves Are Not Recorded. Why Not?

In order to not pollute the script with a lot of useless MoveMouse actions, Silk4NET does the following:

  • Only records a MoveMouse action if the mouse stands still for a specific time.
  • Only records MoveMouse actions if it observes activity going on after an element was hovered over. In some situations, you might need to add some manual actions to your script.
  • Silk4NET supports recording mouse moves only for Web applications, Win32 applications, and Windows Forms applications. Silk4NET does not support recording mouse moves for child technology domains of the xBrowser technology domain, for example Apache Flex and Swing.
Parent topic: Cross-Browser Testing: Frequently Asked Questions


What is the Difference Between textContents, innerText, and innerHtml?

  • textContents is all text contained by an element and all its children that are for formatting purposes only.
  • innerText returns all text contained by an element and all its child elements.
  • innerHtml returns all text, including html tags, that is contained by an element.

Consider the following html code.

<div id="mylinks">
  This is my <b>link collection</b>:
  <ul>
    <li><a href="www.borland.com">Bye bye <b>Borland</b> </a></li>
    <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
  </ul>
</div>

The following table details the different properties that return.

Code Returned Value
browser.DomElement("//div[@id='mylinks']").GetProperty("textContents")
This is my link collection:
browser.DomElement("//div[@id='mylinks']").GetProperty("innerText")
This is my link collection:Bye bye Borland Welcome to Micro Focus
browser.DomElement("//div[@id='mylinks']").GetProperty("innerHtml")
This is my <b>link collection</b>:
<ul>
  <li><a href="www.borland.com">Bye bye <b>Borland</b></a></li>
  <li><a href="www.microfocus.com">Welcome to <b>Micro Focus</b></a></li>
</ul>
Note: In Silk Test 13.5 or later, whitespace in texts, which are retrieved through the textContents property of an element, is trimmed consistently across all supported browsers. For some browser versions, this whitespace handling differs to Silk Test versions prior to Silk Test 13.5. You can re-enable the old behavior by setting the OPT_COMPATIBILITY option to a version lower than 13.5.0. For example, to set the option to Silk Test 13.0, type the following into your script:
'VB .NET code
Agent.SetOption("OPT_COMPATIBILITY", "13.0.0")
// C# code
Agent.SetOption("OPT_COMPATIBILITY", "13.0.0");
Parent topic: Cross-Browser Testing: Frequently Asked Questions


What Should I Take Care Of When Creating Cross-Browser Scripts?

When you are creating cross-browser scripts, you might encounter one or more of the following issues:
  • Different attribute values. For example, colors in Internet Explorer are returned as "# FF0000" and in Mozilla Firefox as "rgb(255,0,0)".
  • Different attribute names. For example, the font size attribute is called "fontSize" in Internet Explorer 8 or earlier and is called "font-size" in all other browsers, for example Internet Explorer 9 or later and Mozilla Firefox.
  • Some frameworks may render different DOM trees.
Parent topic: Cross-Browser Testing: Frequently Asked Questions


Which Locators are Best Suited for Stable Cross Browser Testing?

The built in locator generator attempts to create stable locators. However, it is difficult to generate quality locators if no information is available. In this case, the locator generator uses hierarchical information and indices, which results in fragile locators that are suitable for direct record and replay but ill-suited for stable, daily execution. Furthermore, with cross browser testing, several AJAX frameworks might render different DOM hierarchies for different browsers.

To avoid this issue, use custom IDs for the UI elements of your application.

Parent topic: Cross-Browser Testing: Frequently Asked Questions
Related tasks
Setting Browser Recording Options


Why Are the Class and the Style Attributes Not Used in the Locator?

These attributes are on the ignore list because they might change frequently in AJAX applications and therefore result in unstable locators. However, in many situations these attributes can be used to identify objects, so it might make sense to use them in your application.

Parent topic: Cross-Browser Testing: Frequently Asked Questions


Why Are Clicks Recorded Differently in Internet Explorer 10?

When you record a Click on a DomElement in Internet Explorer 10 and the DomElement is dismissed after the Click, then the recording behavior might not be as expected. If another DomElement is located beneath the initial DomElement, Silk Test records a Click, a MouseMove, and a ReleaseMouse, instead of recording a single Click.

A possible workaround for this unexpected recording behavior depends on the application under test. Usually it is sufficient to delete the unnecessary MouseMove and ReleaseMouse events from the recorded script.

Parent topic: Cross-Browser Testing: Frequently Asked Questions


Why Do I Get an Invalidated-Handle Error?

This topic describes what you can do when Silk4NET displays the following error message: The handle for this object has been invalidated.

This message indicates that something caused the object on which you called a method, for example WaitForProperty, to disappear. For example, if something causes the browser to navigate to a new page, during a method call in a Web application, all objects on the previous page are automatically invalidated.

When testing a Web application, the reason for this problem might be the built-in synchronization. For example, suppose that the application under test includes a shopping cart, and you have added an item to this shopping cart. You are waiting for the next page to be loaded and for the shopping cart to change its status to contains items. If the action, which adds the item, returns too soon, the shopping cart on the first page will be waiting for the status to change while the new page is loaded, causing the shopping cart of the first page to be invalidated. This behavior will result in an invalidated-handle error.

As a workaround, you should wait for an object that is only available on the second page before you verify the status of the shopping cart. As soon as the object is available, you can verify the status of the shopping cart, which is then correctly verified on the second page.

Parent topic: Cross-Browser Testing: Frequently Asked Questions


Starting a Browser from a Script

Instead of selecting a browser for replay at the start of a test, you might require to start a specific browser out of the test script during replay.

Using the BrowserBaseState class

Using the BrowserBaseState class to start a browser out of a test script ensures that the browser that is specified by the Executable property is running and ready for testing. The base state additionally navigates to the URL that is specified by the Url property and brings the browser to the front.

The following code sample uses the BrowserBaseState class to start Internet Explorer.
' VB . NET code
Dim MyBrowserBaseState As New BrowserBaseState(BrowserType.InternetExplorer, "http://www.borland.com")
MyBrowserBaseState.Execute()

Using multiple instances of a browser

If you have more then one browser windows or tabs open, Silk4NET handles each browser window or tab as a distinct object with a unique locator. The locators are indexed, for example WebBrowser , WebBrowser[1] , WebBrowser[2] , and so on.

Parent topic: Cross-Browser Testing


Finding Hidden Input Fields

Hidden input fields are HTML fields for which the tag includes type="hidden". To enable a Find to locate hidden input fields, you can use the OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS option. The default value of the option is TRUE.
'VB .NET code
Agent.SetOption("OPT_XBROWSER_FIND_HIDDEN_INPUT_FIELDS", true)
Parent topic: Cross-Browser Testing


Attributes for Web Applications

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests.

Supported attributes for Web applications include:
  • caption (supports wildcards ? and * )
  • all DOM attributes (supports wildcards ? and * )
Note: Empty spaces are handled differently by each browser. As a result, the textContent and innerText attributes have been normalized. Empty spaces are skipped or replaced by a single space if an empty space is followed by another empty space. Empty spaces are detected spaces, carriage returns, line feeds, and tabs. The matching of such values is normalized also. For example:
<a>abc
abc</a>
Uses the following locator:
//A[@innerText='abc abc']
Parent topic: Cross-Browser Testing
Parent topic: Supported Attribute Types


xBrowser Class Reference

When you configure an xBrowser application, Silk4NET automatically provides built-in support for testing standard xBrowser controls.

Parent topic: Cross-Browser Testing
Related reference
xBrowser Class Reference


Limitations for Testing on Microsoft Windows 10

The following list lists the known limitations for testing on Microsoft Windows 10 (Windows 10):
  • Silk Test does not support testing Universal Windows Platform (UWP) apps on Windows 10.
Parent topic: Testing Specific Environments


64-bit Application Support

Silk4NET supports testing 64-bit applications for the following technology types:
  • Windows Forms
  • Windows Presentation Foundation (WPF)
  • Microsoft Windows API-based
  • Java AWT/Swing
  • Java SWT

Check the Release Notes for the most up-to-date information about supported versions, any known issues, and workarounds.

Parent topic: Testing Specific Environments


Supported Attribute Types

When a locator is constructed, the attribute type is automatically assigned based on the technology domain that your application uses. The attribute type and value determines how the locator identifies objects within your tests. If necessary, you can change the attribute type in one of the following ways:
  • Manually typing another attribute type and value.
  • Specifying another preference for the default attribute type by changing the Preferred attribute list values.
  • Attributes for Apache Flex Applications
    Lists the attributes supported for Apache Flex applications.
  • Attributes for Java AWT/Swing Applications
    Lists the attributes supported for Java AWT/Swing applications.
  • Attributes for Java SWT Applications
    Lists the attributes supported for Java SWT applications.
  • Attributes for SAP Applications
    Lists the attributes supported for SAP applications.
  • Locator Attributes for Identifying Silverlight Controls
    Describes the locator attributes that are supported for identifying Silverlight controls.
  • Locator Attributes for Identifying Rumba Controls
    Describes the locator attributes that are supported for identifying Rumba controls.
  • Attributes for Web Applications
    Lists the attributes supported for Web applications.
  • Attributes for Windows Forms Applications
    Lists the attributes supported for Windows Forms applications.
  • Attributes for Windows Presentation Foundation (WPF) Applications
    Lists the attributes supported for Windows Presentation Foundation (WPF) applications.
  • Attributes for Windows API-based Client/Server Applications
    Lists the attributes supported for Windows API-based Client/Server applications.
  • Dynamic Locator Attributes
    Describes how you can use properties of a control as dynamic locator attributes.
Parent topic: Testing Specific Environments
Related concepts
Locator Spy
Locator Basic Concepts
Related reference
Locator Syntax


Dynamic Locator Attributes

In a locator for identifying a control during replay you can use a pre-defined set of locator attributes, for example caption and automationId, which depend on the technology domain. But you can also use every property, including dynamic properties, of a control as locator attribute. A list of available properties for a certain control can be retrieved with the GetPropertyList method. All returned properties can be used for identifying a control with a locator.

Note: You can use the GetProperty method to retrieve the actual value for a certain property of interest. You can then use this value in your locator.

Example

If you want to identify the button that has the user input focus in a Silverlight application, you can type:
browser.Find("//SLButton[@IsKeyboardFocused=true]")
or alternatively
Dim button = dialog.SLButton("@IsKeyboardFocused=true")
This works because Silk4NET exposes a property called IsDefault for the Silverlight button control.

Example

If you want to identify a button in a Silverlight application with the font size 12 you can type:
Dim button = browser.Find("//SLButton[@FontSize=12]")
or alternatively
Dim button = browser.SLButton("@FontSize=12")
This works because the underlying control in the application under test, in this case the Silverlight button, has a property called FontSize.
Parent topic: Supported Attribute Types


Keyword-Driven Tests

Keyword-driven testing is a software testing methodology that separates test design from test development and therefore allows the involvement of additional professional groups, for example business analysts, in the test automation process. Silk Central and Silk Test support the keyword-driven testing methodology and allow a very close collaboration between automation engineers and business analysts by having automation engineers develop a maintainable automation framework consisting of shared assets in the form of keywords in Silk Test. These keywords can then be used by business analysts either in Silk Test to create new keyword-driven tests or in Silk Central to convert their existing manual test assets to automated tests or to create new keyword-driven tests.

  • A keyword-driven test is an executable collection of keywords. A keyword-driven test can be played back just like any other test.
  • A keyword sequence is a keyword that is a combination of other keywords. Keyword sequences bundle often encountered combinations of keywords into a single keyword, enabling you to reduce maintenance effort and to keep your tests well-arranged.
  • A keyword is a defined combination of one or more actions on a test object. The implementation of a keyword can be done with various tools and programming languages, for example Java or .NET.

There are two phases required to create keyword-driven tests:
  1. Designing the test.
  2. Implementing the keywords.

For a complete list of the record and replay controls available for keyword-driven testing, see the Keyword-Driven Testing Class Reference.

  • Advantages of Keyword-Driven Testing
    Lists the advantages of using the keyword-driven testing methodology to perform functional and regression testing.
  • Keywords
    Describes keywords and how you can use them.
  • Creating a Keyword-Driven Test in Silk4NET
    Create a keyword-driven test to test the functionality of your application under test by using keywords.
  • Recording a Keyword-Driven Test in Silk4NET
    Record actions in the recorder and bundle these actions into keywords to create a new keyword-driven test.
  • Setting the Base State for a Keyword-Driven Test in Silk4NET
    Describes how Silk4NET creates a base state for the AUT during the recording of a keyword-driven test and how you can manually set the base state.
  • Implementing a Keyword in Silk4NET
    Implement a keyword from the Keyword-Driven Test Editor to reuse the keyword in keyword-driven tests.
  • Recording a Keyword in Silk4NET
    Record actions into a new keyword to use the keyword in keyword-driven tests.
  • Marking a Test Method in a Script as a Keyword
    Mark an existing test method in a script as a keyword to add it to a keyword-driven test.
  • Editing a Keyword-Driven Test
    Open a keyword-driven test in the Keyword-Driven Test Editor to edit the keyword driven test.
  • Managing Keywords in a Test in Silk Central
    Manage the keywords in your keyword-driven test to specify the sequence of actions.
  • Which Keywords Does Silk4NET Recommend?
    Describes the basic recommendation algorithm that Silk4NET uses to recommend keywords for keyword-driven testing.
  • Using Parameters with Keywords
    Describes how you can handle parameters of keywords and keyword sequences.
  • Example: Keywords with Parameters
    Describes how you can use keywords with parameters.
  • Combining Keywords into Keyword Sequences
    Combine keywords in the Keyword-Driven Test Editor to create keyword sequences.
  • Replaying a Keyword-Driven Test with Specific Variables
    Set variable values to execute a keyword-driven test based on the variables.
  • Integrating Silk4NET with Silk Central
    Integrate Silk4NET and Silk Central to enable collaboration between technical and less-technical users.
  • Implementing Silk Central Keywords in Silk4NET
    Implement Silk Central keywords in Silk4NET to create executable keyword-driven tests in Silk Central.
  • Uploading a Keyword Library to Silk Central
    Upload a keyword library from Silk4NET to Silk Central to use the implemented keywords when automating manual tests in Silk Central.
  • Uploading a Keyword Library to Silk Central from the Command Line
    Upload an external keyword library to Silk Central from a Java-based command line to integrate Silk Central and your keyword-driven tests into your continuous integration build system, for example Jenkins.
  • Searching for a Keyword
    Describes how you can search for a specific keyword in the Keywords window.
  • Filtering Keywords
    Use the Keywords window to find a keyword in the current project.
  • Grouping Keywords
    To better structure the keywords in a library, you can group them.


Advantages of Keyword-Driven Testing

The advantages of using the keyword-driven testing methodology are the following:
  • Keyword-driven testing separates test automation from test case design, which allows for better division of labor and collaboration between test engineers implementing keywords and subject matter experts designing test cases.
  • Tests can be developed early, without requiring access to the application under test, and the keywords can be implemented later.
  • Tests can be developed without programming knowledge.
  • Keyword-driven tests require less maintenance in the long run. You need to maintain the keywords, and all keyword-driven tests using these keywords are automatically updated.
  • Test cases are concise.
  • Test cases are easier to read and to understand for a non-technical audience.
  • Test cases are easy to modify.
  • New test cases can reuse existing keywords, which amongst else makes it easier to achieve a greater test coverage.
  • The internal complexity of the keyword implementation is not visible to a user that needs to create or execute a keyword-driven test.
Parent topic: Keyword-Driven Tests


Keywords

A keyword is a defined combination of one or more actions on a test object. The implementation of a keyword can be done with various tools and programming languages, for example Java or .NET. In Silk4NET, a keyword is a method with the attribute Keyword before the method name. Keywords are saved as keyword assets.

You can define keywords and keyword sequences during the creation of a keyword-driven test and you can then implement them as test methods. You can also mark existing test methods as keywords with the Keyword attribute.Keywords are defined as follows:
'VB .NET code
<Keyword("keyword_name")>
// C# code
[Keyword("keyword_name")]

A keyword sequence is a keyword that is a combination of other keywords. Keyword sequences bundle often encountered combinations of keywords into a single keyword, enabling you to reduce maintenance effort and to keep your tests well-arranged.

A keyword can have input and output parameters. Any parameter of the test method that implements the keyword is a parameter of the keyword. To specify a different name for a parameter of a keyword, you can use the following:
'VB .NET code
Argument("parameter_name")
// C# code
[Argument("parameter_name")]

Example

A test method that is marked as a keyword can look like the following:
'VB .NET code
<Keyword("Login")>
Public Sub Login()
    ...  // method implementation
End Sub
// C# code
[Keyword("Login")]
public void Login(){
    ... // method implementation
}
or
'VB .NET code
<Keyword("Login", Description:="Logs in with the given name and password.")>
Public Sub Login(<Argument("UserName")> username As String, <Argument("Password")> password As String)
    ... // method implementation
End Sub
// C# code
[Keyword("Login", Description="Logs in with the given name and password.")]
public void Login([Argument("UserName")] string userName, [Argument("Password")] string password) {
    ... // method implementation
}
where the keyword logs into the application under test with a given user name and password.
Note: If you are viewing this help topic in PDF format, this code sample might include line-breaks which are not allowed in scripts. To use this code sample in a script, remove these line-breaks.
  • The keyword name parameter of the Keyword attribute is optional. You can use the keyword name parameter to specify a different name than the method name. If the parameter is not specified, the name of the method is used as the keyword name.
  • The Argument attribute is also optional. If a method is marked as a keyword, then all arguments are automatically used as keyword arguments. You can use the Argument attribute to specify a different name for the keyword argument, for example UserName instead of userName.
Parent topic: Keyword-Driven Tests


Creating a Keyword-Driven Test in Silk4NET

Before you can create a keyword-driven test in Silk4NET, you have to select a project.

Use the Keyword-Driven Test Editor to combine new keywords and existing keywords into new keyword-driven tests. New keywords need to be implemented as automated test methods in a later step.

  1. Select the project in which the new test should be included. By default, if a project is active, the new test is created in the active project.
    Note: To optimally use the functionality that Silk4NET provides, create an individual project for each application that you want to test, except when testing multiple applications in the same test.
  2. Click Silk4NET > New Keyword-Driven Test. The Add New Item dialog box opens.
  3. Type a name for the test into the Name field and click Add.
    The Create a Silk4NET Test dialog box opens.
    Note: If a security warning displays, stating that running this text template might potentially harm your computer, check the check box to no longer display this message and click OK to run the template, as the template is required by Silk4NET.
  4. Select Create an empty Silk4NET test. To record a new keyword-driven test, see Recording a Keyword-Driven Test.
  5. Click OK.
    The Keyword-Driven Test Editor opens.
  6. Perform one of the following actions:
    • To add a new keyword, type a name for the keyword into the New Keyword field.
    • To add an existing keyword, expand the list and select the keyword that you want to add.
  7. Press Enter.
  8. Repeat the previous two steps until the test includes all the keywords that you want to execute.
  9. Click File > Save.

Continue with implementing the keywords or with executing the test, if all keywords are already implemented.

Parent topic: Keyword-Driven Tests


Recording a Keyword-Driven Test in Silk4NET

Before you can create a keyword-driven test in Silk4NET, you have to select a project.

To record a single keyword, see Recording a Keyword.

To record a new keyword-driven test:

  1. Click Silk4NET > New Keyword-Driven Test. The Add New Item dialog box opens.
  2. Type a name for the test into the Name field and click Add.
    The Create a Silk4NET Test dialog box opens.
  3. Select Record a Silk4NET test and click OK.
  4. If you have not set an application configuration for the current project, select the tab that corresponds to the type of application that you are testing:
    • If you are testing a standard application that does not run in a browser, select the Windows tab.
    • If you are testing a web application or a mobile web application, select the Web tab.
    • If you are testing a native mobile application, select the Mobile tab.
  5. To test a standard application, select the application from the list.
  6. To test a web application or a mobile web application, if you have not set an application configuration for the current project, select one of the installed browsers or mobile browsers from the list.
    1. Specify the web page to open in the Enter URL to navigate text box. If an instance of the selected browser is already running, you can click Use URL from running browser to record against the URL currently displayed in the running browser instance. For the tutorial, select Internet Explorer and specify http://demo.borland.com/InsuranceWebExtJS/ in the Enter URL to navigate text box.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  7. To test a native mobile application (app) if you have not set an application configuration for the current project:
    1. Select the mobile device, on which you want to test the app, from the list.
    2. Click Browse to select the app file or enter the full path to the app file into the Mobile app file text field. Silk4NET supports HTTP and UNC formats for the path. Silk4NET installs the app on the mobile device or emulator.
  8. If you have set an application configuration for the current project and you are testing a web application, the Select Browser dialog box opens:
    1. Select the browser.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  9. Depending on the dialog that is open, perform one of the following:
    • In the Select Application dialog box, click OK.
    • In the Select Browser dialog box, click Record.
  10. In the application under test, perform the actions that you want to include in the first keyword.
    For information about the actions available during recording, see Actions Available During Recording.
  11. To specify a name for the keyword, hover the mouse cursor over the keyword name in the Recording window and click Edit.
    Note: Silk4NET automatically adds the keyword Start application to the start of the keyword-driven test. In this keyword, the applications base state is executed to enable the test to replay correctly. For additional information on the base state, see Base State.
  12. Type a name for the keyword into the Keyword name field.
  13. Click OK.
  14. To record the actions for the next keyword, type a name for the new keyword into the New keyword name field and click Add. Silk4NET records any new actions into the new keyword.
  15. Create new keywords and record the actions for the keywords until you have recorded the entire keyword-driven test.
  16. Click Stop. The Record Complete dialog box opens.
Silk4NET creates the new keyword-driven test with all recorded keywords.
Parent topic: Keyword-Driven Tests
Related concepts
Base State
Responsive Web Design Testing
Related tasks
Running Silk4NET Tests


Setting the Base State for a Keyword-Driven Test in Silk4NET

When you execute a keyword-driven test with Silk4NET and the keyword-driven test calls a base state keyword, Silk4NET starts your AUT from the base state.

During the recording of a keyword-driven test, Silk4NET searches in the current project for a base state keyword, which is a keyword for which the IsBaseState property is set to True.

  • If a base state keyword exists in the current project, Silk4NET inserts this keyword as the first keyword of the keyword-driven test.
  • If there is no base state keyword in the project, Silk4NET creates a new base state keyword with the name Start application and inserts it as the first keyword of the keyword-driven test.
To manually mark a keyword as a base state keyword, add the IsBaseState property to the Keyword attribute, and set the value of the property to True:
' VB .NET code
<Keyword("Start application", IsBaseState:=True)>
Public Sub Start_application()
  ' Base state implementation
End Sub
// C# code
[Keyword("Start application", IsBaseState=true)]
public void Start_application()
{
  // Base state implementation
}
Parent topic: Keyword-Driven Tests
Related concepts
Base State


Implementing a Keyword in Silk4NET

Before implementing a keyword, define the keyword as part of a keyword-driven test.

To implement a keyword for reuse in keyword-driven tests:

  1. Open a keyword-driven test that includes the keyword that you want to implement.
  2. In the Keyword-Driven Test Editor, click Implement Keyword to the left of the keyword that you want to implement. The Create a Keyword dialog box opens.
  3. Perform one of the following actions:
    • To record the keyword, click Record a keyword.
    • To create an empty keyword method, click Create an empty keyword method stub.
  4. Click OK.
  5. In the Save Keyword Implementation dialog box, define the name and location of the file into which you want to save the keyword implementation code and click Save.
  6. If you have set an application configuration for the current project and you are testing a web application, the Select Browser dialog box opens:
    1. Select the browser.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  7. Click Record.
    For additional information on recording, see Recording a Keyword.
Parent topic: Keyword-Driven Tests
Related concepts
Responsive Web Design Testing


Recording a Keyword in Silk4NET

You can only record actions for a keyword that already exists in a keyword-driven test, not for a keyword that is completely new. To record a new keyword-driven test, see Recording a Keyword-Driven Test.
To record the actions for a new keyword:
  1. Open a keyword-driven test that includes the keyword that you want to record.
  2. In the Keyword-Driven Test Editor, click Implement Keyword to the left of the keyword that you want to implement. The Create a Keyword dialog box opens.
  3. Click OK.
  4. If you have set an application configuration for the current project and you are testing a web application, the Select Browser dialog box opens:
    1. Select the browser.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  5. In the application under test, perform the actions that you want to test.
    For information about the actions available during recording, see Actions Available During Recording.
  6. Click Stop. The Record Complete dialog box opens.
Parent topic: Keyword-Driven Tests
Related concepts
Responsive Web Design Testing
Related tasks
Running Silk4NET Tests


Marking a Test Method in a Script as a Keyword

Mark an existing test method in a script as a keyword to reuse the method in keyword-driven tests.

  1. Open the script which includes the test method that you want to mark as a keyword.
  2. Add <Keyword()> or [Keyword], depending on whether you are editing a VB .NET or a C# script, to the start of the test method. By default, the keyword name is the name of the test method.
  3. Optional: You can set a different name for the keyword by adding <Keyword("KeywordName")> or [Keyword("KeywordName")], depending on whether you are editing a VB .NET or a C# script, to the start of the test method.
You can now use the test method as a keyword in a keyword-driven test.

Examples

To mark the test method Login as a new keyword with the name Login, type the following before the start of the test method:
'VB .NET code
<Keyword("Login")>
// C# code
[Keyword("Login")]
To mark the test method Login as a new keyword with the name Login and with the two input parameters UserName and PassWord, type the following:
// VB .NET code
<Keyword("Login", Description="Logs in with the given name and password.")>
Public Sub Login(Argument("UserName") As String, Argument("PassWord") As String)
    ...    //
End Sub
// C# code
[Keyword("Login", Description:="Logs in with the given name and password.")]
public void Login([Argument("UserName")] string UserName, [Argument("PassWord")] string PassWord)
{
    ...    // method implementation
}
Note: If you are viewing this help topic in PDF format, this code sample might include line-breaks which are not allowed in scripts. To use this code sample in a script, remove these line-breaks.
Parent topic: Keyword-Driven Tests
Related reference
KeywordAttribute Class


Editing a Keyword-Driven Test

Note: In Silk4NET, you can edit and execute keyword-driven tests that are located in Silk4NET, and you can execute keyword-driven tests that are stored in Silk Central. To edit a keyword-driven test, which is stored in Silk Central, open the keyword-driven test in the Keyword-Driven Test Editor and click Edit.

To edit a keyword-driven test:

  1. Open the keyword-driven test in the Keyword-Driven Test Editor.
    1. In the Solution Explorer, expand the project in which the keyword-driven test resides.
    2. Expand the Keyword Driven Tests folder.
    3. Double-click the keyword-driven test that you want to edit.
  2. To add a new keyword to the keyword-driven test:
    1. Click into the New Keyword field.
    2. Type a name for the new keyword.
    3. Press Enter.
  3. To edit an existing keyword, click Open Keyword to the left of the keyword.
    Note: Silk Central has the ownership of any keyword that has been created in Silk Central, which means any changes that you make to such keywords are saved in Silk Central, not in Silk4NET.
  4. To copy a keyword into the keyword-driven test:
    1. Select the keyword.
      Tip: Use Ctrl+Click or Shift+Click on the row number column to select multiple keywords.
    2. Press Ctrl+C.
    3. Select the row above which you want to insert the keyword.
    4. Press Ctrl+V.
  5. To move a keyword to another location in the keyword-driven test, click on the keyword and drag it to the new location, or:
    1. Select the keyword.
      Tip: Use Ctrl+Click or Shift+Click on the row number column to select multiple keywords.
    2. Press Ctrl+X.
    3. Select the row above which you want to insert the keyword.
    4. Press Ctrl+V.
  6. To remove the keyword from the keyword-driven test, click Delete Keyword to the left of the keyword. The keyword is still available in the Keywords window and you can re-add it to the keyword-driven test at any time.
  7. To save your changes, click File > Save.
Parent topic: Keyword-Driven Tests


Managing Keywords in a Test in Silk Central

The Keywords page enables you to manage the keywords of the selected keyword-driven test. The following actions are possible:
Task | Steps
Opening a test or keyword sequence in Silk Test | Click Open with Silk Test to open the selected test or keyword sequence in Silk Test.
Adding a keyword
  1. Click New Keyword at the bottom of the keywords list, or right-click a keyword and select Insert Keyword Above from the context menu.
    Note: You can let Silk Test recommend keywords based on their usage. Toggle the recommendations on or off with Enable Recommendations or Disable Recommendations in the context menu. For additional information, see Which Keywords Does Silk4NET Recommend?.
  2. Select a keyword from the list of available keywords or type a new name to create a new keyword.
  3. Click Save.
Alternatively, double click an existing keyword in the All Keywords pane on the right or drag and drop it.
Tip: You can select multiple keywords with Ctrl+Click. When dropping them, they will be sorted in the order that you selected them in.
Deleting a keyword | Click Delete in the Actions column of the keyword that you want to delete. Click Save.
Changing the order of keywords | Drag and drop a keyword to the desired position. Click Save.
Creating a keyword sequence (a keyword consisting of other keywords)
  1. Select the keywords that you want to combine in the keywords list. Use Ctrl+Click or Shift+Click on the row number column to select multiple keywords.
  2. Right-click your selection and click Combine.
  3. Specify a Name and Description for the new keyword sequence.
Extracting keywords from a keyword sequence | Right-click a keyword sequence and click Extract keywords. The original keyword sequence is then replaced by the keywords that it contained, but it is not removed from the library. Click Save.
Copying and pasting keywords into tests or keyword sequences
  1. Select the keywords that you want to copy in the keywords list. Use Ctrl+Click or Shift+Click on the row number column to select multiple keywords.
  2. Press Ctrl+C to copy your selection, or Ctrl+X if you want to move the keywords.
  3. Open the test or keyword sequence that you want to copy the keywords to and select the row above which the keywords will be inserted.
  4. Press Ctrl+V.
Tip: You can also paste your selected keywords into Excel, and copy and paste them from there into your tests or keyword sequences.
Defining parameters for a keyword sequence
  1. Click Parameters above the keywords list. The Parameters dialog box appears.
  2. Click Add Parameter.
  3. Specify a Name for the new parameter. If the parameter is an outgoing parameter (delivers a value, instead of requiring an input value), check the Output checkbox.
  4. Click OK.
  5. Click Save.
Editing a draft keyword
  1. Click Edit in the Actions column of the draft keyword that you want to edit.
  2. Select a Group or specify a new group for the keyword.
  3. Type a Description for the keyword. This information is valuable for the engineer who will implement the keyword.
  4. Click OK.
  5. Optional: Click into a parameter field to add parameters for the keyword. If the keyword is implemented with Silk Test, these parameters will appear in the generated code stub.
  6. Click Save.
Searching for a keyword
Use the search field in the Keywords window to find a specific keyword. When you enter alphanumeric characters, the list is dynamically updated with all existing matches. Tips for searching:
  • The search is case-insensitive: doAction will find doaction and DOAction.
  • Enter only capital letters to perform a so-called CamelCase search: ECD will find Enter Car Details, Enter Contact Details and EnterContactDetails.
  • Keyword and group names are considered: test will find all keywords that contain test and all keywords in groups where the group name contains test.
  • ? replaces 0-1 characters: user?test will find userTest and usersTest.
  • * replaces 0-n characters: my*keyword will find myKeyword, myNewKeyword and my_other_keyword.
  • <string>. only searches in group names: group. will find all keywords in groups where the group name contains group.
  • .<string> only searches in keyword names: .keyword will find all keywords that contain keyword.
  • <string>.<string> searches for a keyword in a specific group: group.word will find myKeyword in the group myGroup.
  • Use quotes to search for an exact match: 'Keyword' will find Keyword and MyKeyword, but not keyword.
Parent topic: Keyword-Driven Tests


Which Keywords Does Silk4NET Recommend?

When you add keywords to a keyword-driven test or a keyword sequence in the Keyword-Driven Test Editor, Silk4NET recommends existing keywords which you might want to use as the next keyword in your test. The recommended keywords are listed on top of the keywords list, and are indicated by a bar graph, with the filled-out portion of the graph corresponding to how much Silk4NET recommends the keyword.

Silk4NET recommends the keywords based on the following:

  • When you add the first keyword to a keyword-driven test or a keyword sequence, Silk4NET searches for similar keywords that are used as the first keyword in other keyword-driven tests or keyword sequences. The keywords that are used most frequently are recommended higher.
  • When you add additional keywords to a keyword-driven test or a keyword sequence, which already includes other keywords, Silk4NET recommends keywords as follows:
    • If there are keywords before the position in the keyword-driven test or the keyword sequence, to which you add a new keyword, Silk4NET compares the preceding keywords with keyword combinations in all other keyword-driven tests and keyword sequences and recommends the keywords that most frequently follow the preceding combination of keywords.
    • If there are no keywords before the position in the keyword-driven test or the keyword sequence, but there are keywords after the current position, then Silk4NET compares the succeeding keywords with keyword combinations in all other keyword-driven tests and keyword sequences and recommends the keywords that most frequently precede the succeeding combination of keywords.
  • Additionally, Silk4NET takes into account how similar the found keywords are. For example, if both the name and group of two keywords match, then Silk4NET recommends these keywords higher in comparison to two keywords for which only the name matches.
  • If you have established a connection with Silk Central, any keywords included in keyword-driven tests, which belong to the keyword library that corresponds to the current project, are also considered.
Parent topic: Keyword-Driven Tests


Using Parameters with Keywords

A keyword or a keyword sequence can have input and output parameters. This topic describes how you can handle these parameters with Silk4NET.

In the Keyword-Driven Test Editor, you can view any defined parameters for a keyword or a keyword sequence and you can edit the parameter values.

In the Keywords window, you can see which parameters are assigned to a keyword or a keyword sequence when you hover the mouse cursor over the keyword or keyword sequence.

Input parameters for simple keywords

You can define and use input parameters for keywords in the same way as for any other test method.

The following code sample shows how you can define the keyword SetUserDetails with the two input parameters userName and password:
// C# code
[Keyword]
public void SetUserDetails(string userName, string password) {
  ...
}
' VB .NET code
<Keyword>
public Sub SetUserDetails(userName As String, password As String)
  ...
End Sub

Output parameters for simple keywords

You can define a return value or one or more output parameters for a keyword. You can also use a combination of a return value and one ore more output parameters.

The following code sample shows how you can define the keyword GetText that returns a string:
// C# code
[Keyword]
public string GetText() {
  return "text";
}
' VB .NET code
<Keyword>
public Function GetText As String
  Return "text"
End Function
The following code sample shows how you can define the keyword GetUserDetails with the two output parameters userName and password:
// C# code
[Keyword]
public void GetUserDetails(out string userName, out string password) {
  userName="name";
  password="password";
}
' VB .NET code
<Keyword>
public Sub GetUserDetails(ByRef userName As String, ByRef password As String)
  userName="name"
  password="password"
End Sub

Parameters for keyword sequences

You can define or edit the parameters for a keyword sequence in the Parameters dialog box, which you can open if you click Parameters in the Keyword Sequence Editor.

Parent topic: Keyword-Driven Tests


Example: Keywords with Parameters

This topic provides an example of how you can use keywords with parameters.

As a first step, create a keyword-driven test which contains the keywords that you want to use. You can do this by recording an entire keyword-driven test, or by creating a new keyword-driven test and by adding the keywords in the keyword-driven test editor.

In this example, the keyword-driven test includes the following keywords:
Start application
This is the standard keyword that starts the AUT and sets the base state.
Login
This keyword logs into the AUT with a specific user, identified by a user name and a password.
GetCurrentUser
This keyword returns the name of the user that is currently logged in to the AUT.
AssertEquals
This keyword compares two values.
Logout
This keyword logs the user out from the AUT.

The next step is to add the parameters to the keywords. To do this, open the test scripts of the keywords and add the parameters to the methods.

To add the input parameters UserName and Password to the keyword Login, change
// C# code
[Keyword]
public void Login() {
  ...
}
' VB .NET code
<Keyword>
public Sub Login()
  ...
End Sub
to
// C# code
[Keyword]
public void Login(string UserName, string Password) {
  ...
}
' VB .NET code
<Keyword>
public Sub Login(UserName As String, Password As String)
  ...
End Sub
To add the output parameter UserName to the keyword GetCurrentUser, change
// C# code
[Keyword]
public void GetCurrentUser() {
  ...
}
' VB .NET code
<Keyword>
public Sub GetCurrentUser()
  ...
End Sub
to
// C# code
[Keyword]
public void GetCurrentUser(out string CurrentUser) {
  ...
}
' VB .NET code
<Keyword>
public Sub GetCurrentUser(ByRef CurrentUser As String)
  ...
End Sub

The keyword-driven test in the Keyword-Driven Test Editor should look similar to the following:

Now you can specify actual values for the input parameters in the Keyword-Driven Test Editor. To retrieve the value of the output parameter UserName of the keyword GetCurrentUser, provide a variable, for example ${current user}. You can then pass the value that is stored in the variable to subsequent keywords.

Parent topic: Keyword-Driven Tests


Combining Keywords into Keyword Sequences

Use the Keyword-Driven Test Editor to combine keywords, which you want to execute sequentially in multiple keyword-driven tests, into a keyword sequence.
  1. Open the keyword-driven test that includes the keywords that you want to combine.
  2. In the Keyword-Driven Test Editor, press and hold down the Ctrl key and then click the keywords that you want to combine.
  3. Right-click on the selection and click Combine. The Combine Keywords dialog box opens.
  4. Type a name for the new keyword sequence into the Name field.
  5. Optional: Type a description for the new keyword sequence into the Description field.
  6. Click Combine.
The new keyword sequence opens and is also displayed in the Keywords window. You can use the keyword sequence in keyword-driven tests.
Note: Like any other keyword, you cannot execute a keyword sequence on its own, but only as part of a keyword-driven test.
Parent topic: Keyword-Driven Tests


Replaying a Keyword-Driven Test with Specific Variables

Before you can set the values of variables for the execution of a keyword-driven test, you have to create the project.
  1. In the Solution Explorer, expand the project which includes the keyword-driven tests that you want to execute based on the variables.
  2. Right-click the project node and select Add > New Item. The Add New Item dialog box opens.
  3. Select Installed > Common Items > General from the item tree.
  4. Select Text File from the item list.
  5. Type globalvariables.properties into the Name field.
  6. Click Add. The new properties file opens.
  7. Add new lines to the file to specify the variables.
    The format for a new variable is:
    name=value
    For example, to specify the two variables user and password, type the following:
    user=John
password=john5673

    For information about the format of a properties file and how you can enter UNICODE characters, for example a space, see Properties File Format.

  8. Save the globalvariables.properties file.
  9. In the Solution Explorer, right-click the globalvariables.properties file and select Properties. The Properties view opens.
  10. In the Properties view, expand the Build Action list and select Embedded Resource.

Whenever a keyword-driven test in the project is executed from Silk4NET, the variables are used.

Parent topic: Keyword-Driven Tests


Integrating Silk4NET with Silk Central

Integrate Silk4NET and Silk Central to enable collaboration between technical and less-technical users.
When Silk4NET and Silk Central are integrated and a library with the same name as the active Silk4NET project exists in Silk Central, the Keywords view under Silk4NET > Show Keywords Window displays all keywords from the Silk Central library in addition to any keywords defined in the active Silk4NET project.
Note: The Silk Central connection information is separately stored for every Silk4NET user, which means every Silk4NET user that wants to work with keywords and keyword sequences from Silk Central must integrate Silk4NET with Silk Central.
Integrating Silk4NET with Silk Central provides you with the following advantages:
  • Test management and execution is handled by Silk Central.
  • Keywords are stored in the Silk Central database (upload library) and are available to all projects in Silk Central.
  • Manual tests can be directly automated in Silk Central and the created keyword-driven tests can be executed in Silk4NET from Silk Central.
Note: In Silk4NET, you can edit and execute keyword-driven tests that are located in Silk4NET, and you can execute keyword-driven tests that are stored in Silk Central. To edit a keyword-driven test, which is stored in Silk Central, open the keyword-driven test in the Keyword-Driven Test Editor and click Edit.
  1. From the menu, select Silk4NET > Silk Central Configuration. The Script Options dialog box opens.
  2. Type the URL of your Silk Central server into the URL field. For example, if the Silk Central server name is sctm-server, and the port for Silk Central is 13450, type http://sctm-server:13450.
  3. Type a valid user name and password into the corresponding fields.
  4. Click Verify to verify if Silk4NET can access the Silk Central server with the specified user.
  5. Click OK.
Parent topic: Keyword-Driven Tests
Related tasks
Using SauceLabs Devices
Using Devices from Mobile Center


Implementing Silk Central Keywords in Silk4NET

Before implementing Silk Central keywords, define the keywords as part of a keyword-driven test in Silk Central.

To implement a Silk Central keyword in Silk4NET:

  1. Create a project in Silk4NET with the same name as the keyword library in Silk Central, which includes the keyword-driven test.
  2. If the keyword library in Silk Central has no type assigned, click Silk4NET > Upload Keyword Library to set the library type.
  3. Optional: To implement a specific keyword in Silk4NET from Silk Central, open the Keywords tab of the library in Silk Central and click Implement with Silk Test in the Actions column of the keyword.
  4. In the Silk4NET menu, click Silk4NET > Show Keywords Window.
  5. In the Keywords window, double-click the keyword-driven test. To update the Keywords window with any changes from Silk Central, click Refresh.
  6. In the toolbar, click Record Actions.
  7. If you have set an application configuration for the current project and you are testing a web application, the Select Browser dialog box opens:
    1. Select the browser.
    2. Optional: If you want to test a web application on a desktop browser with a predefined browser size, select the browser size from the Browser size list.
      For example, to test a web application on Apple Safari and in a browser window which is as big as the screen of the Apple iPhone 7, select Apple iPhone 7 from the list.
    3. Optional: Select an Orientation for the browser window.
    4. Optional: Click Edit Browser Sizes to specify a new browser size and to select which browser sizes should be shown in the Browser size list.
  8. Click Record.
    For additional information on recording, see Recording a Keyword.
  9. Record the actions for the first unimplemented keyword.
  10. When you have recorded all the actions for the current keyword, click Next Keyword.
  11. To switch between keywords in the Recording window, click Previous Keyword and Next Keyword.
  12. Click Stop. The Record Complete dialog box opens.
Note: You cannot delete keywords or change the sequence of the keywords in a keyword-driven test from Silk Central, as these tests are read only in Silk4NET.
Parent topic: Keyword-Driven Tests
Related concepts
Responsive Web Design Testing


Uploading a Keyword Library to Silk Central

To work with Silk Central, ensure that you have configured a valid Silk Central location. For additional information, see Integrating Silk4NET with Silk Central.

To automate manual tests in Silk Central, upload keywords that you have implemented in a Silk4NET project as a keyword library to Silk Central, where you can then use the keywords to automate manual tests.
  1. In Silk4NET, select the project in which the keyword-driven tests reside.
  2. Ensure that a library with the same name exists in Silk Central (Tests > Libraries).
  3. In the menu, select Silk4NET > Upload Keyword Library.
  4. Optional: Provide a description of the changes to the keyword library.
  5. Optional: Click Configure to configure the connection to Silk Central.
  6. Optional: To see which libraries are available in the connected Silk Central instance, click on the link.
  7. Click Upload.
    CAUTION:
    If the keyword library in Silk Central is already assigned to a different automation tool or another Silk Test client, you are asked if you really want to change the type of the keyword library. Upload the library only if you are sure that you want to change the type.
Silk4NET creates a keyword library out of all the keywords that are implemented in the project. Then Silk4NET saves the keyword library with the name library.zip into the output folder of the project. The library is validated for consistency, and any changes which might break existing tests in Silk Central are listed in the Upload Keyword Library to Silk Central dialog box. Finally, Silk4NET uploads the library to Silk Central. You can now use the keywords in Silk Central. Any keyword-driven tests in Silk Central, which use the keywords that are included in the keyword library, automatically use the current implementation of the keywords.
Parent topic: Keyword-Driven Tests


Uploading a Keyword Library to Silk Central from the Command Line

Upload an external keyword library to Silk Central from a Java-based command line to integrate Silk Central and your keyword-driven tests into your continuous integration build system, for example Jenkins.
To upload your keyword library to Silk Central from a Java-based command line:
  1. Select Help > Tools in Silk Central and download the Java Keyword Library Tool.
  2. Call the command line tool that is contained in the downloaded jar file with the following arguments:
    • java
    • -jar com.borland.silk.keyworddriven.jar
    • -upload
    • Library name of the library in Silk Central to be updated, or created if it does not yet exist.
    • Package name of the library package (zip archive) to be uploaded.
    • Hostname:port of the Silk Central front-end server.
    • Username of the Silk Central user.
    • Password of the Silk Central user.
    • Update information, describing the changes that were applied to the library, in quotes.
    • [-allowUsedKeywordDeletion], an optional flag to allow the deletion of keywords that are used in a test or keyword sequence. By default, an error is raised if used keywords are attempted to be deleted.
    The following example outlines the command line to upload a library to Silk Central:
    java -jar com.borland.silk.keyworddriven.jar -upload
"My library" "./output/library.zip" silkcentral:19120 scLogin
scPassword "Build xy: Implemented missing keywords"
Parent topic: Keyword-Driven Tests


Searching for a Keyword

Use the search field in the Keywords window to find a specific keyword. When you enter alphanumeric characters, the list is dynamically updated with all existing matches. Tips for searching:
  • The search is case-insensitive: doAction will find doaction and DOAction.
  • Enter only capital letters to perform a so-called CamelCase search: ECD will find Enter Car Details, Enter Contact Details and EnterContactDetails.
  • Keyword and group names are considered: test will find all keywords that contain test and all keywords in groups where the group name contains test.
  • ? replaces 0-1 characters: user?test will find userTest and usersTest.
  • * replaces 0-n characters: my*keyword will find myKeyword, myNewKeyword and my_other_keyword.
  • <string>. only searches in group names: group. will find all keywords in groups where the group name contains group.
  • .<string> only searches in keyword names: .keyword will find all keywords that contain keyword.
  • <string>.<string> searches for a keyword in a specific group: group.word will find myKeyword in the group myGroup.
  • Use quotes to search for an exact match: 'Keyword' will find Keyword and MyKeyword, but not keyword.
Parent topic: Keyword-Driven Tests


Filtering Keywords

To find a specific keyword in the current project, you can filter the keywords that are displayed in the Keywords window. If an integration with Silk Central is configured, the result includes the relevant keywords from Silk Central.
  1. In the menu, click Silk4NET > Show Keywords Window. The Keywords window opens.
  2. In the Keywords window, type the name of the keyword that you are searching for into the search field. The Keywords window lists all keywords in the current project with the given name.
  3. Optional: To edit a keyword, hover the mouse cursor over the keyword in the Keywords window and click Go to implementation.
Parent topic: Keyword-Driven Tests


Grouping Keywords

To better structure the keywords in a library, you can group them.

This topic shows how you can add a keyword to a specific group These group names are also used by Silk Central and your keywords are grouped accordingly.

To add a keyword to a specific group:

  1. Open the implementation of the keyword.
    1. Open the project in which the keyword is implemented.
    2. Open the Keywords window.
    3. In the Keywords window, select the keyword.
    4. Click Go to implementation.
  2. To add all methods in a class to the keyword group, add the keyword group before the start of the class. For example, to add the group calculator to the keywords, type:
    // VB .NET code
<KeywordGroup("Calculator")>
    // C# code
[KeywordGroup("Calculator")]
In the Keywords window, the displayed keyword name now includes the group. For example, the keyword Addition in the group Calculator is displayed as Calculator.Addition.
Parent topic: Keyword-Driven Tests
Related reference
KeywordGroupAttribute Class


Known Issues

This section identifies any known issues with Silk4NET and their resolutions.

  • General Issues
    Describes general known issues.
  • Mobile Web Applications
    Describes known issues related to testing mobile web applications.
  • Web Applications
    Describes known issues related to Web applications.
  • SAP Applications
    Describes known issues related to SAP applications.
  • Oracle Forms
    Describes known issues related to applications built with Oracle Forms.
  • Silk4NET
    Silk4NET issues.


General Issues

Object Map Takes a Long Time to Open

If you have a large object map asset it takes a long time to load when you are using .NET 4. Install .NET 4.5 to resolve this issue.

When a remote desktop or remote desktop connection (RDC) is minimized, Silk Test does not function

When you connect through the remote desktop protocol (RDP) to a desktop, you take ownership of the desktop by attaching to the desktop with your mouse and keyboard. If the desktop is minimized without ownership of the desktop being released, any playback of mouse clicks or keystrokes is undefined.

As a workaround, you could use a VNC-based remote viewing tool. This would allow replay to continue even if the client window is minimized.

The Open Agent does not start when the Check Point firewall is installed

When you have a Check Point firewall or a Check Point ZoneAlarm firewall installed on your system, the Open Agent cannot be started, because the firewall interrupts the communication between the Agent and the infoservice.

To start the Open Agent, you have to uninstall the Check Point firewall from your system.

The modifiers parameter in the domDoubleClick method is ignored

You cannot specify the modifier in the overloaded domDoubleClick method. The modifier will not be double-clicked, although you have specified the parameter. The overloaded domDoubleClick method, which allows you to specify the modifier, is deprecated. To specify the modifier, you can use the doubleClick method, if you are using a client that supports an overloaded method with the modifiers parameter, or the PressKeys and ReleaseKeys methods.

Silk Test does not support testing Metro-style apps

Silk Test does not support testing Metro-style apps on Microsoft Windows 8, Microsoft Windows 8.1, or Microsoft Windows 10. Metro-style apps are also known as Windows 8 style, Modern UI style, Windows Store style, or Universal Windows Platform (UWP) apps.

The built-in spell checking in Microsoft Windows 8 might interfere with the replay of tests

The built-in spell checking in Microsoft Windows 8 can be enabled in applications like Internet Explorer 10.

If a word was incorrectly spelled during recording, and you replay typing this word, the spell checker will either mark it, or for commonly misspelled words will automatically fix it, which is the same behaviour a real user would get. If your tests were created on an operating system that did not include the spell checking feature, you might get unexpected results when replying the tests on Microsoft Windows 8. To disable the spell checking, you can do the following:
  1. Press Windows Key + C.
  2. On the Charm bar, click Settings.
  3. Select More PC Settings.
  4. Select General to see the Spelling selections.
    Note: These are system-wide settings, not settings specific to Internet Explorer.
  5. Set Autocorrect misspelled words to off.
  6. Set Highlight misspelled words to off.

When a .NET application is started from DevPartner Studio (DPS), Silk Test might not recognize it

To resolve the issue, perform the following steps:

  1. Go to the Silk Test installation folder (by default, it's located at: C:\Program Files\Silk\SilkTest).
  2. For Windows Forms applications, go to ng\agent\plugins\com.borland.fastxd.techdomain.windowsforms.agent_<version number>.
  3. For Windows Presentation Foundation (WPF) applications, go to ng\agent\plugins\com.microfocus.silktest.techdomain.wpf.agent_<version number>.
  4. In Notepad, open the file plugin.xml, and add the following line to the <loadparameters> section:
    <param name="frameworkAssembly">mscoree.dll</param>
  5. Log out of the computer, and then log back in. Silk Test works as expected with the application that was started by DevPartner Studio.

The highlighting rectangle is out of place when recording clicks on an area of an image

When you record a click on a part of a complex image, for example an area map, the green highlighting rectangle does not highlight the appropriate area of the image. However, the click will be executed correctly during replay.

The Open Agent might not start if Windows Defender is enabled during the installation of Silk Test

If Windows Defender is enabled on your system during the Silk Test installation, you might not be able to start the Open Agent after the installation is complete. Windows Defender might prevent the hotfix setup from performing some required actions. As a workaround, disable Windows Defender during the Silk Test installation.

The IME editor opens out of place when opened from specific locations

The IME editor opens on the top-left corner of the current screen instead of opening near the text field from which it is opened.

This behavior occurs when opening the IME editor from the following locations:
  • The Silk Recorder.
  • The Keyword-Driven Test Editor.
  • The Keywords window.

Silk Test help freezes when you enter characters in the Search box

The Silk Test help might freeze when you enter characters in the Search box on the Index tab in a Compiled HTML Help (.chm) file in Microsoft Windows 8.1, Microsoft Windows RT 8.1, or Microsoft Windows Server 2012 R2. To fix this issue, you have to install a Windows update. The update is available from https://support.microsoft.com/en-us/kb/3080042.

Cannot use Shift+Insert when the Numeric Lock key is active

Using the TypeKeys method to paste the contents of the clipboard with Left Shift+Insert or Right Shift+Insert does not work when the Numeric Lock (Num Lock) key is active.

You can workaround this issue by deactivating the Num Lock in your test script before calling the TypeKeys method.

Parent topic: Known Issues


Mobile Web Applications

Silk4NET does not support frames on Apple Safari

Silk4NET does not support HTML frames and iframes on Apple Safari on iOS.

Chrome for Android 43 or later: Silk4NET does not support zooming and scrolling at the same time

Recording a mobile web application on Chrome for Android 43 or later, while the mobile web application is zoomed and the top-left corner is not visible on the screen, might not work as expected. If the green rectangles for the controls in a mobile web application are not correctly displayed during recording, zoom-out the mobile web application completely, scroll to the top-left corner of the mobile web application, and refresh the Recording window.

Parent topic: Known Issues


Web Applications

Recording with a zoom level different to 100% might not work properly

Recording a Web application with a zoom level different to 100% might not work as expected. Before recording actions against a Web application, set the zoom level in the browser to 100%.

  • Google Chrome
    Describes known issues related to testing Web applications in Google Chrome.
  • Internet Explorer
    Describes known issues related to Internet Explorer.
  • Microsoft Edge
    Describes known issues related to Microsoft Edge.
  • Mozilla Firefox
    Describes known issues related to testing web applications on Mozilla Firefox.
Parent topic: Known Issues


Google Chrome

Locator recording in windows fails with Google Chrome

When you are testing a Web application in Google Chrome, locator recording in windows fails when multiple windows are open during application configuration in the Google Chrome instance, in which the application is running. If you close the other Google Chrome windows during application configuration, the error will not appear.

Background applications in Google Chrome prevent automation support from loading

When you want to test a Web application with Google Chrome and the Continue running background apps when Google Chrome is closed check box is checked, Silk Test cannot restart Google Chrome to load the automation support.

Silk Test cannot record locators in modal dialogs when Windows Aero is disabled

If Windows Aero functionality is disabled, modal dialogs are not recognized and locators in such dialogs cannot be selected. As a workaround, use the Locator Spy or the Identify Object dialog box to manually create and verify locators while a modal dialog is displayed.

Silk Test does not display embedded PDFs

With Google Chrome 42 or later, Google Chrome by default blocks the NPAPI plug-in, which is used to display embedded PDFs. Because of this, Silk Test does not display embedded PDFs in Google Chrome 42 or later, but instead downloads the embedded PDFs.

  • If you are using Google Chrome 44 or prior, you can unblock the NPAPI plug-in in Google Chrome, by typing the following into the address bar:
    chrome://flags/#enable-npapi
  • If you are using Google Chrome 45 or later, the NPAPI plug-in is completely removed from Google Chrome, without an option to re-enable it, and all PDFs are downloaded.

Connection timeouts when executing tests against Google Chrome 49 or prior

When executing tests against Google Chrome 49 or prior on a slow machine, you might experience connection timeouts, causing the tests to fail. The following error message is displayed:
Error executing '*'. Communication with browser automation timed out.

To avoid such connection timeouts, ensure that the test machine has enough processing power. For example, if you are testing on a slow virtual machine (VM), you could enhance the processing power by adding an additional CPU core to the VM.

Parent topic: Web Applications
Related reference
Limitations for Testing with Google Chrome


Internet Explorer

Using Google toolbar interferes with recording Web applications

Using the Google toolbar with Internet Explorer 8 interferes with recording locators for Web applications.

Turn off the Google toolbar before you record Web applications.

Microsoft Silverlight Applications

Some Microsoft Silverlight applications cause Internet Explorer to hang when interacting with Silk Test. On 32-bit platforms, refer to MS KB 2564958 (an update to Active Accessibility) to help prevent the issue.

Locators recorded with Silk Test versions prior to Silk Test 13.5 might no longer work in Internet Explorer

In Silk Test 13.5, we have adapted the normalization of white spaces of the textContents attribute in Internet Explorer. This change was made to improve the cross-browser capabilities of Silk Test, and might affect locators which rely on the textContents attribute, and which are used in scripts that were recorded with releases prior to Silk Test 13.5.

The Open Agent cannot have high elevation enabled when UAC is enabled on Microsoft Windows 8 or later and Internet Explorer 11

You cannot test a Web application in Internet Explorer 11 on Microsoft Windows 8 or later and have UAC enabled and run both Internet Explorer and the Open Agent with high elevation.

Known issues with Input Method Editors (IMEs)

  • Silk Test does not record half-width spaces for Japanese input in Internet Explorer 11.
  • Silk Test does not record IME input in Internet Explorer 11 in compatibility mode.
  • In Japanese IME mode, pressing Space will cause Silk Test to record the current IME candidate. Use Convert to avoid this issue.

Internet Explorer might stop working while testing an Applet with a Java version higher that 1.7 update 71

Internet Explorer might stop working while testing an Applet with a Java version higher that 1.7 update 71 (7u71).

Internet Explorer does not respond during test execution

Internet Explorer 10 or later might become unresponsive during test execution because a thread in Internet Explorer is suspended and creates a deadlock. The root cause of this problem is a new security feature in Internet Explorer.

To solve this issue, disable the security feature.

  1. Open the Registry Editor.
  2. If the OverrideMemoryProtectionSetting entry does not exist in the key HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main, create the entry.
  3. Set the value of the registry key HKEY_CURRENT_USER\SOFTWARE\Microsoft\Internet Explorer\Main::OverrideMemoryProtectionSetting to 2.

The JavaScript alert-handling API methods do not work with an embedded Internet Explorer

The following JavaScript alert-handling methods of the BrowserWindow class do not work when testing an embedded Internet Explorer:
  • AcceptAlert method
  • DismissAlert method
  • GetAlertText method
  • IsAlertPresent method
Parent topic: Web Applications


Microsoft Edge

Windows opened out of Microsoft Edge are not supported

Windows which are opened as actual new Microsoft Edge windows, and not as tabs, are not supported. Silk4NET cannot close such windows correctly, and the agent is in an invalid state after closing such a window.

JavaScript alerts opened in an iframe or frame cannot be closed

Microsoft Edge cannot close the JavaScript alerts alert(), prompt(), and confirm(), if these alerts were opened in an iframe or frame.

Cannot open the native browser context menu

If a test includes a right click in Microsoft Edge, which opens the native browser context menu, the test will hang. This issue does not occur with HTML menus opened by Microsoft Edge.

Cannot execute tests against Microsoft Edge with UAC disabled

When executing tests against Microsoft Edge with UAC disabled, the following error message displays:
Failed to start application 'Edge'. Unable to parse remote response: Unknown error

To solve this issue, enable UAC.

Parent topic: Web Applications
Related reference
Limitations for Testing with Microsoft Edge


Mozilla Firefox

Calls into applications using Adobe FlashPlayer do not properly synchronize when using Mozilla Firefox

When you are using Mozilla Firefox with a recent Adobe FlashPlayer version, some calls might not synchronize properly. The following issues might occur:
  • Mozilla Firefox might falsely recognize a running script as stalled and a confirmation dialog box might appear asking whether you want to continue the execution of the script, even though the script is running properly.
  • Typing characters might not work because SetFocus is no longer working correctly.
  • The Adobe automation might return an old value although the UI already shows a new value.

If you face one or more of these issues with applications using Adobe FlashPlayer, turn off the ProtectedMode in Adobe FlashPlayer. For additional information, see http://forums.adobe.com/thread/1018071 and read the information provided under Last Resort.

Parent topic: Web Applications


SAP Applications

HierarchyHeaderWidth and ColumnOrder Properties of the SAPTree Class are write only

Other than the automation documentation indicates, the HierarchyHeaderWidth and ColumnOrder properties of the SAPTree class are write only and cannot be read.

Ensure that your scripts use write rather than read with these properties.

GetColumnIndexFromName() of the SapTree Class May Fail with an "unspecified error"

GetColumnIndexFromName() of the SapTree class may fail with an "unspecified error". This is a known issue in SAP automation.

Check the SAP web site to see if the issue has been resolved.

Calling the Select() method of the SAPTree Class on a Context menu item may fail

Calling the Select() method of the SAPTree class on a Context menu item may fail.

Call SelectContextMenuItem on the parent control instead. This problem is a known issue in the SAP automation.

The position property for a horizontal scrollbar always returns 1

The position property for a horizontal scrollbar always returns 1. This is a known issue in SAP automation.

Check the SAP web site to see if the issue has been resolved.

The SAPNetPlan class is not supported

This issue will be resolved in a future release.

Replay error occurs when executing an SAP script

In certain cases, if you record an SAP test and then replay it, the following error might occur: The data necessary to complete this operation is not yet available. This means that Silk4NET is executing the recorded actions too fast.

To solve this issue, you can add sleeps to your test script or you can increase the post replay delay to increase the time that Silk4NET waits after invoking a function or setting a property. For additional information about this option, see Agent Options. You could also change the script to use SAP automation to replay the problematic action instead of using the xBrowser technology domain. For example, you could change the action DomLink.Select to SapHTMLViewer.SapEvent.

The method getCurrentRow returns a wrong value with SAPGUI client 7.30

If you use SAPGUI client 7.30 and you call the method getCurrentRow, the method might falsely return -1 instead of the row number.

The method resizeWorkingPane is not working correctly with SAPGUI client 7.30

If you use SAPGUI client 7.30 and you call the method resizeWorkingPaneEx, the method will not resize the workingPane and calling getSapWindow().getWidth() will return a wrong value for the window width.

Parent topic: Known Issues
Related reference
Agent Options


Oracle Forms

Silk4NET does not support testing Oracle Forms with a Java version higher than 1.7 update 60

Silk4NET does not support testing Oracle Forms with a Java version higher than 1.7 update 60 (7u60).

Parent topic: Known Issues


Silk4NET

No TrueLog is generated

If you do not have a TrueLog result file after test execution make sure that:

  • The Silk4NET project is executed in the same Visual Studio version as the version in which the project was created. For example, you can only execute a Silk4NET project which is created in Visual Studio 2012 within a Visual Studio 2012 environment. This limitation also applies when you execute the project through the command line or through Team Foundation Server.
  • The test class contains the SilkTestClass attribute.
  • You have write access to the location where the TrueLog file is created.

Silk4NET displays the message "Unit Test Adapter threw exception… "

If you get the error message Unit Test Adapter threw exception… during replay, ensure that the Silk4NET project is executed in the same Visual Studio version as the version in which the project was created. For example, you can only execute a Silk4NET project which is created in Visual Studio 2012 within a Visual Studio 2012 environment. This limitation also applies when you execute the project through the command line or through Team Foundation Server.

How to migrate Silk4NET projects created in a prior version of Visual Studio to a later version of Visual Studio:

  • Open the solution in the prior version of Visual Studio.
  • Change the target framework of your Silk4NET projects to the appropriate version of the .NET Framework. For example, to migrate the projects from Visual Studio 2010 to Visual Studio 2012, set the target framework to .NET Framework 4.5.
  • Remove the reference to the UnitTestingExtension of the prior version of Visual Studio from your Silk4NET projects. For example, if the prior version is Visual Studio 2010, remove the reference to SilkTest.Ntf.VisualStudio2010.UnitTestingExtension from your Silk4NET projects.
  • Add the reference to the later version of Visual Studio to your Silk4NET projects. For example, to migrate the projects to Visual Studio 2012, add the reference SilkTest.Ntf.VisualStudio2012.UnitTestingExtension to your Silk4NET projects.

When you are using object maps, existing locators that do not start with a slash will no longer work

Locators that include only a class name and that do not start with a slash, for example PushButton, will no longer work if object maps exist. This issue might result in breaking existing scripts that were created in a Silk Test version prior to Silk Test 14.0. For the previous example the script will fail with the following error:
Identifier 'PushButton' was not found in the Object Map.

More complex locators that include more than a class name, for example PushButton[@caption=OK] will continue to work, even if object maps exist.

To fix this issue, add a // to the start of any such locator. For example, if the locator PushButton in the following code does no longer work:
PushButton button = mainWindow.find("PushButton");
Change the code to:
PushButton button = mainWindow.find("//PushButton");
Parent topic: Known Issues


Silk4NET Language Reference

This section lists the classes, methods, and properties for each technology domain that Silk4NET supports.

The scripting languages for Silk4NET are Visual Basic .NET and Visual C#.

For additional information on the native classes, methods, and properties of Visual Basic .NET, refer to http://msdn.microsoft.com/en-us/library/2x7h1hfk.

For additional information on the native classes, methods, and properties of Visual C#, refer to http://msdn.microsoft.com/en-us/library/kx37x362.

  • Common Class Reference
    Lists common classes for Win32, Java SWT, and Windows Forms support.
  • Core Class Reference
    Lists the classes for agent and test object support.
  • Data Types
    Lists the various types of data.
  • Flex Class Reference
    Lists the classes for Flex support.
  • Java SWT Class Reference
    Lists the classes for Java SWT support.
  • Keyword-Driven Testing Class Reference
    Lists the available classes for keyword-driven testing.
  • Mobile Class Reference
    Lists the classes for Mobile support.
  • Rumba Class Reference
    Lists the classes for Rumba support.
  • SAP Class Reference
    Lists the classes for SAP support.
  • Silverlight Class Reference
    Lists the classes for Silverlight support.
  • Java AWT and Swing Class Reference
    Lists the classes for Java AWT and Swing support.
  • Win32 Class Reference
    Lists the classes for Win32 support.
  • Windows Forms Class Reference
    Lists the classes for Windows Forms support.
  • WPF Class Reference
    Lists the classes for WPF support.
  • xBrowser Class Reference
    Lists the classes for xBrowser support.


Common Class Reference

Lists the available classes for testing Win32, Java SWT, and Windows Forms controls.

  • BaseGuiTestObject Class
    The base class for GUI objects that can have a context menu.
  • CharSet Enumeration
    Specifies the character set to use when reading files.
  • CheckBox Class
    The class for check box controls.
  • CheckBoxToolItem Class
    The class for a check box element in a toolbar control.
  • ComboBox Class
    The class for controls that have both a popup list and a text field. If the user selects an item from the list, the text field is filled with that string. Alternatively, the user can type the string into the text field.
  • Control Class
    The class for any control in a window.
  • SystemFunctions Class
    Allows clients to perform operations on the remote Open Agent host.
  • Desktop Class
    Desktop is the class for the entire screen.
  • Dialog Class
    The class for dialogs.
  • DropDownToolItem Class
    The class for drop-down element in a toolbar control.
  • ExecutionMode Enumeration
    Defines whether a function waits for the call to finish before executing a command.
  • ExecutionResult Class
    Encapsulates the results of a call to SystemFunctions.Execute.
  • FileHandle Class
    A logical file handle.
  • FileInfo Class
    Structure storing information about a directory entry.
  • FileOpenMode Enumeration
    Defines how to open a file.
  • FilePointerMode Enumeration
    Specifies the position to use when reading or writing a file.
  • FileShareMode Enumeration
    Defines how other programs can access files while they are opened through Silk Test.
  • FileSizeUnit Enumeration
    Defines which unit to use when calculating file sizes.
  • Group Class
    The class used to combine controls to give the user visual hints that those controls belong together. Consequently, the Group control does not have any other functionality that can be expressed in methods.
  • GuiTestObject Class
    The base class for all GUI objects.
  • HorizontalScrollBar Class
    The class for horizontal scroll bars.
  • IClickable Interface
    Interface for objects that can be clicked.
  • IFocusable Interface
    Interface for objects that can be focused on.
  • IKeyable Interface
    Interface for objects that use keystrokes. All methods and properties in this interface are not supported for mobile Web applications.
  • IMoveable Interface
    Interface for objects that can be moved, e.g. windows.
  • INativeWindow Interface
    Interface for objects that provide a native window handle.
  • IScrollable Interface
    Interface for objects that can have scroll bars.
  • Item Class
    Item base class.
  • Label Class
    The class for static text strings (that is, text that the user cannot change, such as a label).
  • Link Class
    The class that opens the topic location referenced in the source.
  • ListBox Class
    The class for list boxes.
  • Menu Class
    The class for menus.
  • MenuItem Class
    The class for items on a menu.
  • PushButton Class
    The class for buttons.
  • PushToolItem Class
    The class for a pushbutton element in a toolbar control.
  • RadioList Class
    The class for a group of radio buttons, such as the two radio buttons used to specify direction in the Find dialog of the Text Editor application. Only one button in a radio list can be selected at a single time.
  • RadioListToolItem Class
    RadioListToolItem is the class for a radio button element in a toolbar control.
  • RegistryCategory Enumeration
    Specifies the root key for the registry.
  • RegistryView Enumeration
    Defines whether to use the 32bit or the 64bit registry.
  • Scale Class
    The class for scales.
  • ScrollBar Class
    The class for scroll bars, including the scroll bars that are parts of controls, such as the scroll bar on a list box.
  • SeparatorItem Class
    The class for menu separators.
  • TabControl Class
    The class for tabbed, multi-page dialogs and for button bars.
  • Table Class
    The class for tables.
  • TableColumn Class
    The class for columns in a table.
  • TableRow Class
    The class for rows in a table.
  • TestObject Class
    The base class of all UI objects.
  • TextField Class
    The class for single-line and multi-line fields whose text can be modified by the user. The class also supports the Windows RichEdit control.
  • ToggleButton Class
    The class for buttons that have a state that can be changed by selecting the button.
  • ToolBar Class
    The class for tool bar controls. A tool bar is a container for a set of buttons and other standard controls.
  • ToolItem Class
    The class for a tool item in a toolbar control.
  • Tree Class
    The class for items organized into graphical hierarchies.
  • VerticalScrollBar Class
    The class for vertical scroll bars.
  • Window Class
    The class for windows that typically can move.
Parent topic: Silk4NET Language Reference


BaseGuiTestObject Class

Description

The base class for GUI objects that can have a context menu.

Inheritance Hierarchy

  • GuiTestObject
    • BaseGuiTestObject
      • AccessibleControl
      • Control
      • Window

Syntax

C#
public class BaseGuiTestObject : GuiTestObject, IScrollable
VB
'Declaration
Public Class BaseGuiTestObject _
Inherits GuiTestObject _
Implements IScrollable

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


CharSet Enumeration

Description

Specifies the character set to use when reading files.

Inheritance Hierarchy

  • SystemFunctions
    • CharSet

Syntax

C#

public enum CharSet

VB

Public Enum CharSet

Members

Name | Description
Undefined | No character set is specified.
ANSI | The ANSI character set is used.
UTF8 | The UTF8 character set is used.
Unicode | The Unicode character set is used.
Parent topic: Common Class Reference


CheckBox Class

Description

The class for check box controls.

Inheritance Hierarchy

  • Control
    • CheckBox

Syntax

C#
public class CheckBox : Control
VB
'Declaration
Public Class CheckBox _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a check box. Values include: 1=checked, 2=unchecked, 3=undecided.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | Returns true if the checkbox is checked and false otherwise.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a check box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetUndecided | Sets the check box to the undecided state.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


CheckBoxToolItem Class

Description

The class for a check box element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • CheckBoxToolItem

Syntax

C#
public class CheckBoxToolItem : ToolItem
VB
'Declaration
Public Class CheckBoxToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ComboBox Class

Description

The class for controls that have both a popup list and a text field. If the user selects an item from the list, the text field is filled with that string. Alternatively, the user can type the string into the text field.

Inheritance Hierarchy

  • Control
    • ComboBox

Syntax

C#
public class ComboBox : Control
VB
'Declaration
Public Class ComboBox _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the combo box list.
Items | A list of items in the combo box list.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The selected item.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Removes all text from the combo box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the combo box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Replaces the text in the text field of the combo box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Control Class

Description

The class for any control in a window.

Inheritance Hierarchy

  • BaseGuiTestObject
    • Control
      • CBanner
      • CheckBox
      • ComboBox
      • CoolBar
      • CTabFolder
      • DataGrid
      • DomainUpDown
      • ElementHost
      • ExpandBar
      • FormsHost
      • Group
      • Header
      • Label
      • Link
      • ListBox
      • ListView
      • MenuStrip
      • MonthCalendar
      • Pager
      • ProgressBar
      • PushButton
      • RadioList
      • Sash
      • SashForm
      • Scale
      • ScrollableControl
      • ScrollBar
      • ScrolledComposite
      • Spinner
      • StatusBar
      • SWTBrowser
      • SWTDateTime
      • TabControl
      • Table
      • TextField
      • ToggleButton
      • ToolBar
      • Tree
      • UpDown
      • ViewForm

Syntax

C#
public class Control : BaseGuiTestObject
VB
'Declaration
Public Class Control _
Inherits BaseGuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


SystemFunctions Class

Description

Allows clients to perform operations on the remote Open Agent host.

Inheritance Hierarchy

  • SystemFunctions
    • CharSet
    • ExecutionMode
    • ExecutionResult
    • FileHandle
    • FileInfo
    • FileOpenMode
    • FilePointerMode
    • FileShareMode
    • FileSizeUnit
    • RegistryCategory
    • RegistryView

Syntax

C#

public class SystemFunctions

VB

'Declaration
Public Class SystemFunctions _

Properties

Name | Description
AgentDirectory | Gets the directory from which the Open Agent is running.
AgentVersion | Gets the version of the Open Agent.
ClipboardText | Gets or sets the text in the clipboard.
CurrentDrive | Gets or sets the current drive of the machine on which the Open Agent is hosted.
CurrentRegistryView | Gets or sets the current registry view.
CurrentWorkingDirectory | Gets or sets the current working directory of the Open Agent.
CursorPosition | Gets the current cursor position of the machine on which the Open Agent is running.
CursorType | Gets the current cursor type of the machine on which the Open Agent is running.
FreeMemory | Gets the percentage of free memory that is available on the machine on which the Open Agent is hosted.
HostName | Gets the hostname of the machine on which the Open Agent is hosted.
Locale | Gets the locale of the machine on which the Open Agent is hosted, for example en-US.
OSName | Gets the name of the operating system of the machine on which the Open Agent is hosted.
OSVersionType | Gets the version type, server or client, of the operating system of the machine on which the Open Agent is hosted.
OSVersion | Gets the major and minor version of the operating system of the machine on which the Open Agent is hosted.

Methods

Name | Description
CompareBinaryFiles | Performs a binary comparison on two files.
CompareBitmaps | Compares two bitmaps.
CompareTextFiles | Compares two text files lexicographically.
CopyFile | Copies a file.
CreateDirectory | Creates a new directory with the specified name.
CreateRegistryKey | Creates a new key in the registry. Recursively creates any missing registry keys in the given keyPath.
CreateRegistryValue | Creates a new value.
DeleteRegistryKey | Deletes a key from the registry.
DeleteRegistryValue | Deletes a value.
DirectoryExists | Checks whether the specified directory exists.
Execute | Executes the specified command on the machine on which the Open Agent is hosted.
ExistsRegistryKey | Checks whether the specified key exists in the registry.
ExistsRegistryValue | Checks if a value exists in the registry.
FileExists | Checks whether the specified file exists.
FileOpen | Opens a file. If the file does not exist, it is created.
FileReadLine | Reads a single line from a file. Starts at the current position of the pointer in the file.
FileSetPointer | Sets the position pointer within the file for read and write operations.
FileWriteLine | Writes a line at the current position of the pointer in a file.
GetBitmapCRC | Returns the directory from which the Open Agent is running.
GetDirectoryContents | Gets the contents of a directory.
GetEnvironmentVariable | Gets the value of the specified environment variable.
GetFileInfo | Gets information about the specified file.
GetFreeDiskSpace | Returns how much free disk space is available on the specified drive.
GetRegistryKeyNames | Returns the names of all registry keys below the specified key.
GetRegistryValueNames | Returns the values of all registry keys below the specified key.
GetRegistryValue | Returns the value of the specified registry key.
MoveFile | Moves a file.
RemoveDirectory | Deletes the specified directory.
RemoveFile | Deletes the specified file.
SetEnvironmentVariable | Sets the value of the specified environment variable.
SetRegistryValue | Sets the value of the specified registry key.
Parent topic: Common Class Reference


Desktop Class

Description

Desktop is the class for the entire screen.

Inheritance Hierarchy

  • TestObject
    • Desktop

Properties

Desktop inherits all its properties from TestObject.

Methods

Desktop inherits all its methods from TestObject.

Parent topic: Common Class Reference


Dialog Class

Description

The class for dialogs.

Inheritance Hierarchy

  • Window
    • Dialog

Syntax

C#
public class Dialog : Window
VB
'Declaration
Public Class Dialog _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


DropDownToolItem Class

Description

The class for drop-down element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • DropDownToolItem

Syntax

C#
public class DropDownToolItem : ToolItem
VB
'Declaration
Public Class DropDownToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Open | Opens an item.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ExecutionMode Enumeration

Description

Defines whether a function waits for the call to finish before executing a command.

Inheritance Hierarchy

  • SystemFunctions
    • ExecutionMode

Syntax

C#

public enum ExecutionMode

VB

Public Enum ExecutionMode

Members

Name | Description
WaitUntilFinished | Execute should return only after the program is finished.
ContinueRunning | Start the executable and immediately return. ExecutionResult.ExitCode will always be 0, and no output will be captured in ExecutionResult.RawOutput.
Parent topic: Common Class Reference


ExecutionResult Class

Description

Encapsulates the results of a call to SystemFunctions.Execute.

Inheritance Hierarchy

  • SystemFunctions
    • ExecutionResult

Methods

Name | Description
GetExitCode | Returns the result of a call to Execute. 0 if no error occurred.
GetRawOutput | Returns the contents of stdout and stderr.
GetOutput | Returns the contents of stdout and stderr as a string.
ToString | Returns the exit code as a string.
Parent topic: Common Class Reference


FileHandle Class

Description

A logical file handle.

Inheritance Hierarchy

  • SystemFunctions
    • FileHandle

Methods

Name | Description
GetHandle | Returns the internal value for the handle.
GetName | Returns the name of the file or directory to which the handle corresponds.
Parent topic: Common Class Reference


FileInfo Class

Description

Structure storing information about a directory entry.

Inheritance Hierarchy

  • SystemFunctions
    • FileInfo

Properties

Name | Description
Attributes | Gets the attributes of the file.
CreationDate | Gets the date at which the file or directory was created.
IsDirectory | Gets whether the instance stores information about a directory or not.
ModificationTime | Gets the time at which the file or directory was last modified.
Name | Gets the name of the file.
Size | Gets the size of the file.
Parent topic: Common Class Reference


FileOpenMode Enumeration

Description

Defines how to open a file. The file mode is a required parameter for the FileOpen function.

Inheritance Hierarchy

  • SystemFunctions
    • FileOpenMode

Syntax

C#

public enum FileOpenMode

VB

Public Enum FileOpenMode

Members

Name | Description
Read | Opens the file for reading.
Write | Opens the file for writing. If the file does not exist, it is created. If the file exists, it is truncated to zero (0) bytes.
ReadWrite | Opens the file for reading and writing.
Update | Opens the file for writing, but does not truncate the file. Denies write access to other users by default. The file pointer is positioned at the beginning of the file.
Parent topic: Common Class Reference


FilePointerMode Enumeration

Description

Specifies the position to use when reading or writing a file.

Inheritance Hierarchy

  • SystemFunctions
    • FilePointerMode

Syntax

C#

public enum FilePointerMode

VB

Public Enum FilePointerMode

Members

Name | Description
Start | Sets the pointer to the start of the file.
Relative | Leaves the pointer in the current position in the file.
End | Sets the pointer to the end of the file.
Parent topic: Common Class Reference


FileShareMode Enumeration

Description

Defines how other programs can access files while they are opened through Silk Test.

Inheritance Hierarchy

  • SystemFunctions
    • FileShareMode

Syntax

C#

public enum FileShareMode

VB

Public Enum FileShareMode

Members

Name | Description
DenyNone | Other programs can read from and write to the file at the same time as the Open Agent.
DenyWrite | Other programs can read from but not write to the file at the same time as the Open Agent.
DenyAll | Other programs cannot access the file at the same time as the Open Agent.
Parent topic: Common Class Reference


FileSizeUnit Enumeration

Description

Defines which unit to use when calculating file sizes.

Inheritance Hierarchy

  • SystemFunctions
    • FileSizeUnit

Syntax

C#

public enum FileSizeUnit

VB

Public Enum FileSizeUnit

Members

Name | Description
Byte | 1 Byte.
KiloByte | 2^10 Byte.
MegaByte | 2^20 Byte.
GigaByte | 2^30 Byte.
TeraByte | 2^40 Byte.
Parent topic: Common Class Reference


Group Class

Description

The class used to combine controls to give the user visual hints that those controls belong together. Consequently, the Group control does not have any other functionality that can be expressed in methods.

Inheritance Hierarchy

  • Control
    • Group

Syntax

C#
public class Group : Control
VB
'Declaration
Public Class Group _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


GuiTestObject Class

Description

The base class for all GUI objects.

Inheritance Hierarchy

  • TestObject
    • GuiTestObject
      • BaseGuiTestObject
      • Item
      • Menu

Syntax

C#
public class GuiTestObject : TestObject, IClickable, IFocusable, IKeyable, INativeWindow
VB
'Declaration
Public Class GuiTestObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

Properties

Name | Description
Background | The background color of the GUI object.
Enabled | Whether the GUI object is enabled.
Font | The font type of the GUI object.
Foreground | The foreground color of the GUI object.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


HorizontalScrollBar Class

Description

The class for horizontal scroll bars.

Inheritance Hierarchy

  • ScrollBar
    • HorizontalScrollBar

Syntax

C#
public class HorizontalScrollBar : ScrollBar
VB
'Declaration
Public Class HorizontalScrollBar _
Inherits ScrollBar

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the scroll bar. (Inherited from ScrollBar)
Position | The actual position of the scroll bar caret. (Inherited from ScrollBar)
Range | The range of the scroll bar. (Inherited from ScrollBar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PageLeft | Scrolls the scroll bar page-wise left.
PageRight | Scrolls the scroll bar page-wise right.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar. (Inherited from ScrollBar)
ScrollLeft | Scrolls the scroll bar to the left.
ScrollRight | Scrolls the scroll bar to the right.
ScrollToMax | Scrolls the scroll bar to its maximum position. (Inherited from ScrollBar)
ScrollToMin | Scrolls the scroll bar to its minimum position. (Inherited from ScrollBar)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


IClickable Interface

Description

Interface for objects that can be clicked.

Syntax

C#
public class IClickable
VB
'Declaration
Public Class IClickable

Methods

Name | Description
Click | Clicks on the object.
DoubleClick | Double-clicks a mouse button on the object.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications.
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications.
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications.
Parent topic: Common Class Reference


IFocusable Interface

Description

Interface for objects that can be focused on.

Syntax

C#
public class IFocusable
VB
'Declaration
Public Class IFocusable

Methods

Name | Description
IsFocused | Return whether the control has focus.
SetFocus | Gives focus to the control.
Parent topic: Common Class Reference


IKeyable Interface

Description

Interface for objects that use keystrokes. All methods and properties in this interface are not supported for mobile Web applications.

Syntax

C#
public class IKeyable
VB
'Declaration
Public Class IKeyable

Methods

Name | Description
PressKeys | Presses (but does not release) a set of keys or mouse buttons.
ReleaseKeys | Releases a set of keys or mouse buttons.
TypeKeys | Sends a set of keystrokes to the object.
TypePasswordKeys | Types an encrypted password into an object, for example a text field.
Parent topic: Common Class Reference


IMoveable Interface

Description

Interface for objects that can be moved, e.g. windows.

Syntax

C#
public class IMoveable
VB
'Declaration
Public Class IMoveable

Properties

Name | Description
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored

Methods

Name | Description
Close | Closes the window.
CloseSynchron | Closes the window and waits until the window is closed.
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open.
GetFocus | Returns the object with the input focus.
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window.
IsActive | Returns whether the window is set to active.
Maximize | Maximizes the window.
Minimize | Reduces the window to an icon.
Move | Moves the window.
Restore | Restores the window to its previous size.
SetActive | Makes the window active.
Size | Resizes the window.
Parent topic: Common Class Reference


INativeWindow Interface

Description

Interface for objects that provide a native window handle.

Syntax

C#
public class INativeWindow
VB
'Declaration
Public Class INativeWindow

Properties

Name | Description
NativeHandle | The native window handle for the object.
Parent topic: Common Class Reference


IScrollable Interface

Description

Interface for objects that can have scroll bars.

Syntax

C#
public class IScrollable
VB
'Declaration
Public Class IScrollable

Methods

Name | Description
GetHorizontalBar | Returns the horizontal scroll bar for this control.
GetVerticalBar | Returns the vertical scroll bar for this control.
Parent topic: Common Class Reference


Item Class

Description

Item base class.

Inheritance Hierarchy

  • GuiTestObject
    • Item
      • CoolItem
      • CTabItem
      • DataGridColumn
      • DataGridItem
      • DataGridRow
      • ExpandItem
      • MenuItem
      • SeparatorItem
      • SWTTabItem
      • SWTTreeColumn
      • TableColumn
      • TableRow
      • ToolItem

Syntax

C#
public class Item : GuiTestObject
VB
'Declaration
Public Class Item _
Inherits GuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Label Class

Description

The class for static text strings (that is, text that the user cannot change, such as a label).

Inheritance Hierarchy

  • Control
    • Label

Syntax

C#
public class Label : Control
VB
'Declaration
Public Class Label _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Link Class

Description

The class that opens the topic location referenced in the source.

Inheritance Hierarchy

  • Control
    • Link

Syntax

C#
public class Link : Control
VB
'Declaration
Public Class Link _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ListBox Class

Description

The class for list boxes.

Inheritance Hierarchy

  • Control
    • ListBox
      • CheckedListBox

Syntax

C#
public class ListBox : Control
VB
'Declaration
Public Class ListBox _
Inherits Control

Properties

Name | Description
AllowsMultiSelect | Whether the control supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the list box.
Items | A list of items in the list box.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item.
SelectedIndices | The indices of the selected item(s).
SelectedItem | The name of the first selected item.
SelectedItems | The names of the selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item in the list box.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of items by extending the selection in the list box.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Selects an item in the multi- or extend-selection list box.
MultiUnselect | Unselects an item in the multi- or extend-selection list box.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the list box.
SelectRange | Selects a range of items in the extend-selection list box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Menu Class

Description

The class for menus.

Inheritance Hierarchy

  • GuiTestObject
    • Menu

Syntax

C#
public class Menu : GuiTestObject
VB
'Declaration
Public Class Menu _
Inherits GuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemCount | Returns the number of menu items for this menu. Also includes separator menu items.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a menu.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


MenuItem Class

Description

The class for items on a menu.

Inheritance Hierarchy

  • Item
    • MenuItem

Syntax

C#
public class MenuItem : Item
VB
'Declaration
Public Class MenuItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Checked | Whether the menu item is checked.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the menu.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


PushButton Class

Description

The class for buttons.

Inheritance Hierarchy

  • Control
    • PushButton

Syntax

C#
public class PushButton : Control
VB
'Declaration
Public Class PushButton _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Pressed | Whether the pushbutton is pressed.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a pushbutton.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


PushToolItem Class

Description

The class for a pushbutton element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • PushToolItem

Syntax

C#
public class PushToolItem : ToolItem
VB
'Declaration
Public Class PushToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


RadioList Class

Description

The class for a group of radio buttons, such as the two radio buttons used to specify direction in the Find dialog of the Text Editor application. Only one button in a radio list can be selected at a single time.

Inheritance Hierarchy

  • Control
    • RadioList

Syntax

C#
public class RadioList : Control
VB
'Declaration
Public Class RadioList _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the radio list.
Items | A list of items in the radio list.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The item to select.
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the radiolist.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


RadioListToolItem Class

Description

RadioListToolItem is the class for a radio button element in a toolbar control.

Inheritance Hierarchy

  • ToolItem
    • RadioListToolItem

Syntax

C#
public class RadioListToolItem : ToolItem
VB
'Declaration
Public Class RadioListToolItem _
Inherits ToolItem

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


RegistryCategory Enumeration

Description

Specifies the root key for the registry. For additional information, see Predefined Keys.

Inheritance Hierarchy

  • SystemFunctions
    • RegistryCategory

Syntax

C#

public enum RegistryCategory

VB

Public Enum RegistryCategory

Members

Name | Description
HKEY_CLASSES_ROOT | Registry entries subordinate to this key define types (or classes) of documents and the properties associated with those types.
HKEY_CURRENT_USER | Registry entries subordinate to this key define the preferences of the current user.
HKEY_LOCAL_MACHINE | Registry entries subordinate to this key define the physical state of the computer.
HKEY_USERS | Registry entries subordinate to this key define the default user configuration for new users on the local computer and the user configuration for the current user.
Parent topic: Common Class Reference


RegistryView Enumeration

Description

Defines whether to use the 32bit or the 64bit registry.

Inheritance Hierarchy

  • SystemFunctions
    • RegistryView

Syntax

C#

public enum RegistryView

VB

Public Enum RegistryView

Members

Name | Description
RegistryView_32Bit | Use the 32bit registry.
RegistryView_64Bit | Use the 64bit registry.
Parent topic: Common Class Reference


Scale Class

Description

The class for scales.

Inheritance Hierarchy

  • Control
    • Scale

Syntax

C#
public class Scale : Control
VB
'Declaration
Public Class Scale _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The actual position of the scale caret.
Range | The range of the scale.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the position of the scale.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetToMax | Sets the scale to its maximum position.
SetToMin | Sets the scale to its minimum position.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ScrollBar Class

Description

The class for scroll bars, including the scroll bars that are parts of controls, such as the scroll bar on a list box.

Inheritance Hierarchy

  • Control
    • ScrollBar
      • HorizontalScrollBar
      • VerticalScrollBar

Syntax

C#
public class ScrollBar : Control
VB
'Declaration
Public Class ScrollBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the scroll bar.
Position | The actual position of the scroll bar caret.
Range | The range of the scroll bar.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar.
ScrollToMax | Scrolls the scroll bar to its maximum position.
ScrollToMin | Scrolls the scroll bar to its minimum position.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


SeparatorItem Class

Description

The class for menu separators.

Inheritance Hierarchy

  • Item
    • SeparatorItem

Syntax

C#
public class SeparatorItem : Item
VB
'Declaration
Public Class SeparatorItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TabControl Class

Description

The class for tabbed, multi-page dialogs and for button bars.

Inheritance Hierarchy

  • Control
    • TabControl
      • SWTTabControl

Syntax

C#
public class TabControl : Control
VB
'Declaration
Public Class TabControl _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tab control.
Items | A list of items in the tab control.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The selected item.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Sets the current page to the specified page.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Table Class

Description

The class for tables.

Inheritance Hierarchy

  • Control
    • Table
      • SWTTable

Syntax

C#
public class Table : Control
VB
'Declaration
Public Class Table _
Inherits Control

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark.
AllowsMultiSelect | Whether the table supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the table.
ColumnItems | A list of all items in the column.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | The number of rows in the table.
RowItems | A list of all table rows in the table.
SelectedIndices | The indices of the selected item(s).
SelectedItems | The selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box in the defined row of a table.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelectRow | Selects a range of rows.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FocusRow | Focuses on a row in the table.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelectRow | Adds a row from the table to the set of selected rows.
MultiUnselectRow | Removes a row from the set of selected rows.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectRow | Selects an row in the table.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box in the defined row of a table.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TableColumn Class

Description

The class for columns in a table.

Inheritance Hierarchy

  • Item
    • TableColumn
      • SWTTableColumn

Syntax

C#
public class TableColumn : Item
VB
'Declaration
Public Class TableColumn _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column.
Select | Selects a column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TableRow Class

Description

The class for rows in a table.

Inheritance Hierarchy

  • Item
    • TableRow
      • SWTTableRow

Syntax

C#
public class TableRow : Item
VB
'Declaration
Public Class TableRow _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Checked | Whether the check box in the row is checked.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the row.
Items | A list of items in the row.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


TestObject Class

Description

The base class of all UI objects.

Syntax

C#
public class TestObject
VB
'Declaration
Public Class TestObject

Properties

Name | Description
Text | The text of the control.
Value | The value of the control, e.g.: text in a text control.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately.
Exists | Checks if an object exists in the application under test.
Find | Finds an object specified by an XPath locator.
FindAll | Finds all objects specified by an XPath locator.
GenerateLocator | Returns a locator for this object.
GetChildren | Returns the child objects of this object.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject.
GetParent | Looks up the parent of this object in the test application.
GetProperty | Returns the value of the specified property.
GetPropertyList | Returns a list of property names that can be retrieved for the given object.
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object.
HighlightObject | Highlights this object.
ImageClick | Clicks on the specified image asset.
ImageClickFile | Clicks on the specified image.
ImageExists | Returns whether the specified image asset exists.
ImageExistsFile | Returns whether the specified image exists.
ImageRectangle | Returns the object-relative rectangle of the specified image asset.
ImageRectangleFile | Returns the object-relative rectangle of the specified image.
Invoke | Dynamically invokes a method on the test object.
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject.
SetProperty | Sets the value of the specified property.
TextCapture | Returns the text in this object's visible area.
TextClick | Clicks in the center of the specified text.
TextExists | Returns whether the specified text exists.
TextRectangle | Returns the object-relative rectangle of the specified text.
Verify | Executes a verification on the given asset in the context of this UI object.
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts.
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.
Parent topic: Common Class Reference


TextField Class

Description

The class for single-line and multi-line fields whose text can be modified by the user. The class also supports the Windows RichEdit control.

Inheritance Hierarchy

  • Control
    • TextField
      • StyledText

Syntax

C#
public class TextField : Control
VB
'Declaration
Public Class TextField _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
IsPassword | Whether the control is a password text field.
MultiLine | Whether the control is multiline.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position of the caret within the text field.
SelectedRange | The selected range within the text field.
SelectedText | The selected text within the text field. An empty string if no text is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Removes all text from the text field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetMultiText | Returns the specified lines of text in the multi-line text field.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetMultiText | Substitutes all or part of the lines in the multi-line text field.
SetPosition | Sets the insertion point in the text field.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the specified range of the single-line or multi-line text field.
SetText | Substitutes new text for all or part of the text in the text field.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ToggleButton Class

Description

The class for buttons that have a state that can be changed by selecting the button.

Inheritance Hierarchy

  • Control
    • ToggleButton

Syntax

C#
public class ToggleButton : Control
VB
'Declaration
Public Class ToggleButton _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
State | The state of a toggle button. Values include: 1=checked, 2=unchecked, 3=undecided.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ToolBar Class

Description

The class for tool bar controls. A tool bar is a container for a set of buttons and other standard controls.

Inheritance Hierarchy

  • Control
    • ToolBar

Syntax

C#
public class ToolBar : Control
VB
'Declaration
Public Class ToolBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


ToolItem Class

Description

The class for a tool item in a toolbar control.

Inheritance Hierarchy

  • Item
    • ToolItem
      • CheckBoxToolItem
      • DropDownToolItem
      • PushToolItem
      • RadioListToolItem

Syntax

C#
public class ToolItem : Item
VB
'Declaration
Public Class ToolItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Tree Class

Description

The class for items organized into graphical hierarchies.

Inheritance Hierarchy

  • Control
    • Tree
      • SWTTree

Syntax

C#
public class Tree : Control
VB
'Declaration
Public Class Tree _
Inherits Control

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark.
AllowsMultiSelect | Whether the control supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tree (including all children).
ItemPaths | A list of items in the tree (including all children).
Items | A list of items in the tree (including all children).
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item.
SelectedIndices | The indices of the selected item(s).
SelectedItem | The name of the first selected item.
SelectedItems | The names of the selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
VisibleItemPaths | A list of visible items in the tree (including all children).
VisibleItems | A list of visible items in the tree (including all children).

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses an item in a treeview control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands an object in a treeview control.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetItemPaths | Returns all items of the tree as a list of itempaths
GetItemRect | Returns the size and position of an item relative to the treeview control.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpandable | Checks if the given item can be expanded.
IsExpanded | Checks if the given item is expanded.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the tree.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


VerticalScrollBar Class

Description

The class for vertical scroll bars.

Inheritance Hierarchy

  • ScrollBar
    • VerticalScrollBar

Syntax

C#
public class VerticalScrollBar : ScrollBar
VB
'Declaration
Public Class VerticalScrollBar _
Inherits ScrollBar

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the scroll bar. (Inherited from ScrollBar)
Position | The actual position of the scroll bar caret. (Inherited from ScrollBar)
Range | The range of the scroll bar. (Inherited from ScrollBar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PageDown | Scrolls the scroll bar page-wise down.
PageUp | Scrolls the scroll bar page-wise up.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar. (Inherited from ScrollBar)
ScrollDown | Moves the scroll bar down.
ScrollToMax | Scrolls the scroll bar to its maximum position. (Inherited from ScrollBar)
ScrollToMin | Scrolls the scroll bar to its minimum position. (Inherited from ScrollBar)
ScrollUp | Moves the scroll bar up.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Window Class

Description

The class for windows that typically can move.

Inheritance Hierarchy

  • BaseGuiTestObject
    • Window
      • BrowserApplication
      • Dialog
      • FlexStandalonePlayer
      • FormsWindow
      • Shell

Syntax

C#
public class Window : BaseGuiTestObject, IMoveable
VB
'Declaration
Public Class Window _
Inherits BaseGuiTestObject _
Implements IMoveable

Properties

Name | Description
Application | The name of the Application that this Window belongs to.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Common Class Reference


Core Class Reference

When you configure an application, Silk4NET automatically provides built-in support for testing standard agent and test object controls.

  • Agent Class
    Agent is the class for the Open Agent, the component of Silk4NET that interacts with the graphical user interface.
  • BaseState Class
    The BaseState class ensures that the application under test is running and ready for testing. Additionally the class is used to bring the application to the front.
  • BrowserBaseState Class
    The BrowserBaseState class ensures that the browser is running and ready for testing.
  • ConsoleWindow Class
    The class for consoles.
  • DllCall Class
    The DllCall class allows NTF users to call exposed DLL functions of any DLL either on the Agent or in the AUT.
  • IBaseState Interface
    Interface for base states.
  • Timer Class
    The Timer class enables you to accurately measure elapsed time.
  • Silk4NET Class
    Silk4NET is the class that handles functionality that is specific to Visual Studio.
Parent topic: Silk4NET Language Reference


Agent Class

Description

Agent is the class for the Open Agent, the component of Silk4NET that interacts with the graphical user interface.

Agent has a predefined identifier, Agent. To call a method of the Agent, use this syntax:

Agent.method()

Inheritance Hierarchy

Agent does not derive from any class, and no classes derive from it.

Syntax

C#
public class Agent
VB
'Declaration
Public Class Agent

Properties

Name | Description
Desktop | Gets the root GUI object.

Methods

Name | Description
Attach | Attaches to the given application. Enables you to specify an additional command-line pattern and tech domain.
Connect | Connects to an agent on the given machine by using the specified host and port.
Decrypt | Decrypts the given string. Only strings that were encrypted with the Encrypt method can be decrypted.
DetachAll | Detaches all currently attached applications.
Encrypt | Encrypts the given string.
ExecuteBaseState | Ensures that the test application is running and ready for testing.
GetOption | Retrieves the value of an agent option.
LogError | Logs an error message and a screenshot to the TrueLog file that is written during test execution.
LogInfo | Logs an informational message to the TrueLog file that is written during test execution.
LogWarning | Logs a warning message to the TrueLog file that is written during test execution.
ResetOptions | Resets all agent options to their default values.
SetOption | Sets an agent option. This option is distributed to all technology domains.
Shutdown | Stops the agent. Should be called only when the test execution is finished.
Parent topic: Core Class Reference


Attach Method

Class

Agent.

Action

Attaches to the given application. Enables you to specify an additional command-line pattern and tech domain.

Syntax

C#
Attach (executablePattern, commandLinePattern, techDomains)
VB
Attach (executablePattern, commandLinePattern, techDomains)
Variable | Description
executablePattern | The executable name of the application. The pattern may include the wildcards '?' and '*' which match one or none to many characters respectively. For example myApplication.exe, myApplica?ion.exe, and myApp*.exe. String.
commandLinePattern | Optional: This pattern is matched against the command line arguments of the application. This is useful when multiple instances of an application are running, but only some of them should be tested. For Java applications, the command line pattern could include the name of a characteristic jar or the main class, for example *org.MyMainClass. You can use "" to specify no command line pattern when you want to load specific tech domains. String.
techDomains | Optional: The tech domains to load in the application. Typically, this parameter is only used by technical support. As a best practice, do not specify a tech domain. If you do not specify a tech domain, all available tech domains are loaded. TechDomain.

Examples

The following example attaches to the Notepad application.

Agent.Attach("notepad.exe")

The following example shows how to use the command-line pattern to attach to a specific instance of a process when multiple instances of the application are running.

Agent.Attach("javaw.exe", “*org.MyMainClass”)
The following example shows how to attach to Internet Explorer and load the Win32 tech domain:
Agent.Attach("iexplore.exe", "", {"WIN32"})


Connect Method

Class

Agent.

Action

Connects to an agent on the given machine by using the specified host and port.

If no agent is running or the agent cannot be reached on that machine, an exception is thrown.

If the specified host is the localhost, the agent is started.

After the connection to this agent is established for the first time, all agent options are reset to their default values by calling Agent.ResetOptions().

Syntax

C#
Connect (host, [port])
VB
Connect (host, [port])
Variable | Description
host | The host of the Open Agent. String.
port | Optional: The port of the Open Agent. If a port is not specified, the default port is used. This port is the information service port with the default value of 22901. For example, to connect the agent to a different information service port, type Agent.Connect("myRemoteMachine", portnumber) If you are connected to a remote agent, you can connect to your local agent by typing Agent.Connect("localhost"). Integer.
Related tasks
Testing with a Remote Open Agent


Decrypt Method

Class

Agent.

Action

Decrypts the given string. Only strings can be decrypted that were encrypted with the Encrypt method.

Syntax

C#
Decrypt (toDecrypt)
VB
Decrypt(toDecrypt)
Variable | Description
toDecrypt | The string to decrypt. String.


DetachAll Method

Class

Agent.

Action

Detaches all currently attached applications.

Syntax

C#
DetachAll( )
VB
DetachAll( )


Encrypt Method

Class

Agent.

Action

Encrypts the given string.

Syntax

C#
Encrypt (toEncrypt)
VB
Encrypt (toEncrypt)
Variable | Description
toEncrypt | The string to encrypt. String.


ExecuteBaseState Method

Class

Agent.

Action

Ensures that the test application is running and ready for testing.

Syntax

C#
TestObject ExecuteBaseState(baseState)
VB
TestObject ExecuteBaseState(baseState)
Variable | Description
baseState | Contains all information required for executing the base state. IBaseState.


GetOption Method

Class

Agent.

Action

Retrieves the value of an agent option.

Syntax

C#
GetOption(name)
VB
GetOption(name)
Variable | Description
name | The name of the option. A list of available options are defined in the Options class. String.

Example

For example, you might type:
desktop.getOption(Options.ObjectResolveTimeout)
Related reference
SetOption Method


LogError Method (Agent)

Class

Agent.

Action

Logs an error message and a screenshot to the TrueLog file that is written during test execution.

Syntax

C#
LogError (message, [screenshotMode]);
VB
LogError (message, [screenshotMode])
Variable | Description
message | The text to write to the TrueLog file, typically an error message. String.
screenshotMode | Optional: Defines whether a screenshot of the complete desktop, the active application, or the active window should be logged. By default, a screenshot of the complete desktop is logged. Enum.

Example

// C# code
LogError ("*** Error: Expected Message Box did not appear.");
'VB .NET code
LogError ("*** Error: Expected Message Box did not appear.")


LogInfo Method (Agent)

Class

Agent.

Action

Logs an informational message and a screenshot to the TrueLog file that is written during test execution.

Syntax

C#
LogInfo (message, [screenshotMode]);
VB
LogInfo (message, [screenshotMode])
Variable | Description
message | The text to write to the TrueLog file. STRING.
screenshotMode | Optional: Defines whether a screenshot of the complete desktop, the active application, or the active window should be logged. If not set, no screenshot is logged. Enum.

Example

// C# code
LogInfo ("Succesfully logged in to the application.");
'VB .NET code
LogInfo ("Succesfully logged in to the application.")


LogWarning Method (Agent)

Class

Agent.

Action

Logs an warning message and a screenshot to the TrueLog file that is written during test execution.

Syntax

C#
LogWarning (message, [screenshotMode]);
VB
LogWarning (message, [screenshotMode])
Variable | Description
message | The text to write to the TrueLog file. String.
screenshotMode | Optional: Defines whether a screenshot of the complete desktop, the active application, or the active window should be logged. If not set, no screenshot is logged. Enum.

Example

// C# code
LogWarning ("Baseline file is missing.");
'VB .NET code
LogWarning ("Baseline file is missing.")


ResetOptions Method

Class

Agent.

Action

Resets all agent options to their default values.

Syntax

C#
ResetOptions()
VB
ResetOptions()


SetOption Method

Class

Agent.

Action

Sets an agent option. This option is distributed to all Tech Domains.

Syntax

C#
SetOption(name, value)
VB
SetOption(name, value)
Variable | Description
name | The name of the option. A list of available options are defined in the Options class. String.
value | The value of the option. Object.

Example

For example, you might type:
Agent.setOption(Options.ObjectResolveTimeout, true)
Related reference
GetOption Method


Shutdown Method (Agent)

Class

Agent.

Action

Call this method to ensure that the Open Agent stops after a test run, for example after a nightly test execution. You should only call this method at the end of a test execution, and not before all actions of the test are executed. If any actions would follow the Shutdown, the agent would be restarted.

Syntax

C#
Shutdown()
VB
Shutdown()

Example

// VB code
<AssemblyCleanup()>
Public Shared Sub ShutdownAgentAfterTestRun()
  Agent.Shutdown()
End Sub
// C# code
[AssemblyCleanup]
public static void AssemblyCleanup() {
  Agent.Shutdown();
}


Desktop Property

Class

Agent.

Action

Gets the root GUI object.

Syntax

C#
protected Desktop Desktop { get;}
VB
'Declaration
Protected Read Property Desktop As Desktop

Access

Read only.


BaseState Class

Description

The BaseState class ensures that the application under test is running and ready for testing. Additionally the class is used to bring the application to the front.

If you try to attach the agent to the application and the test object, which is specified by the BaseState.Locator, is found, the base state brings the window containing the test object to the front and returns the found test object immediately. If the test object is not found the application is started with the command line as specified in baseStateInfo and the agent attaches to the application. The agent waits until the test object is found. You can specify the timeout for the wait with the option Options.ObjectResolveTimeout. The default value for the timeout is 30 seconds. To change the timeout see Desktop.SetOption(String, Object). You can also change the timeout in the UI by editing the Application ready timeout in the Replay tab of the Script Options dialog box. If the test object is found within the given timeout the window that contains the test object is brought to the front and the found test object is returned. If no test object is found after the timeout an exception is thrown.

Inheritance Hierarchy

BaseState does not derive from any class, and no classes derive from it.

Syntax

C#
public class BaseState: IBaseState
VB
'Declaration
Public Class BaseState _
Implements IBaseState

Properties

Name | Description
CommandLineArguments | Gets or sets the command-line arguments.
CommandLinePattern | Gets or sets the command-line pattern.
ExecutablePattern | Gets or sets the executable pattern.
Executable | Gets the name of the executable.
Locator | Returns the locator of the executable.
TechDomains | Gets or sets the list of tech domains to be used for testing.
WorkingDirectory | Gets or sets the working directory.
Parent topic: Core Class Reference


CommandLineArguments Property

Class

BaseState.

Action

Gets or sets the command-line arguments.

Syntax

C#
public String CommandLineArguments { get; set; }
VB
'Declaration
Public ReadWrite Property CommandLineArguments As String

Access

Read and write.


CommandLinePattern Property

Class

BaseState.

Action

Gets or sets the command-line pattern.

Syntax

C#
public String CommandLinePattern{ get; set; }
VB
'Declaration
Public ReadWrite Property CommandLinePattern As String

Access

Read and write.


ExecutablePattern Property

Class

BaseState.

Action

Gets or sets the executable pattern.

Syntax

C#
public String ExecutablePattern { get; set; }
VB
'Declaration
Public ReadWrite property ExecutablePattern As String

Access

Read and write.


Executable Property

Class

BaseState.

Action

Returns the name of the executable.

Syntax

C#
public String Executable { get; }
VB
'Declaration
Public Read Property CommandLineArguments As String

Access

Read only.


Locator Property

Class

BaseState.

Action

Gets the locator of the executable.

Syntax

C#
public String Locator { get; }
VB
'Declaration
Public Read Property Locator As String

Access

Read only.


TechDomains Property

Class

BaseState.

Action

Gets the technology domains that are necessary for an executable.

Syntax

C#
public List of TechDomain TechDomains { get; }
VB
'Declaration
Public Read Property TechDomains As List of TechDomain

Access

Read only.


WorkingDirectory Property

Class

BaseState.

Action

Gets or sets the working directory. Can contain Windows environment variables.

Syntax

C#
public String WorkingDirectory { get; set; }
VB
'Declaration
Public ReadWrite Property WorkingDirectory As String

Access

Read and write.


BrowserBaseState Class

Description

Ensures that the browser that is specified by the Executable property is running and ready for testing. The base state additionally navigates to the URL that is specified by the Url property and brings the browser to the front. The browser base state is executed as follows:
  • Try to attach the agent to the browser.
    • If the test object, which is specified by the Locator property, is found, the base state navigates to the given URL, brings the browser to the front, and returns the found test object.
    • If the test object is not found the browser is started with the command line as specified in browserBaseStateInfo and the agent attaches to the browser.
  • The agent waits until the test object is found. The timeout can be specified with the option Options.ObjectResolveTimeout. To change the timeout see the SetOption method of the Desktop class.
    • If the test object is found within the given timeout the base state navigates to the given URL, brings the browser to the front and returns the found test object.
    • If no test object is found after the timeout an Exception is thrown.

Inheritance Hierarchy

BrowserBaseState does not derive from any class, and no classes derive from it.

Syntax

C#
public class BrowserBaseState: IBaseState
VB
'Declaration
Public Class BrowserBaseState _
Implements IBaseState

Properties

Name | Description
CommandLineArguments | Gets or sets the command-line arguments. (Inherited from BaseState)
CommandLinePattern | Gets or sets the command-line pattern. (Inherited from BaseState)
ExecutablePattern | Gets or sets the executable pattern. (Inherited from BaseState)
Executable | Gets the name of the executable. (Inherited from BaseState)
Locator | Returns the locator of the executable. (Inherited from BaseState)
TechDomains | Gets or sets the list of tech domains to be used for testing. (Inherited from BaseState)
Url | Gets the Url to navigate to.
WorkingDirectory | Gets or sets the working directory. (Inherited from BaseState)
Parent topic: Core Class Reference


Url Property

Class

BrowserBaseState.

Action

Gets the URL to navigate to.

Syntax

C#
public String Url { get; }
VB
'Declaration
Public Read Property Url As String

Access

Read only.


ConsoleWindow Class

Description

ConsoleWindow is the class for consoles.

Inheritance Hierarchy

ConsoleWindow does not derive from any class, and no classes derive from it.

Syntax

C#
public class ConsoleWindow
VB
'Declaration
Public Class ConsoleWindow

Methods

Name | Description
Close | Closes the console.
CloseAll | Closes all open consoles or all consoles with a specific caption.
GetContents | Returns the contents of the console.
Open | Opens a new console.
TypeKeys | Sends a set of keystrokes to the console.
Parent topic: Core Class Reference


Close Method (ConsoleWindow)

Class

ConsoleWindow.

Action

Closes the console.

Syntax

C#
consoleWindow.Close ([sItemIdentifier])
VB
consoleWindow.Close ([sItemIdentifier])
Variable | Description
sItemIdentifier | The index of the console window or the caption of the window. If this parameter is left blank, Silk4NET closes the first found console window. STRING.

Example 1

The following sample shows how you can use the index to define that you want to close the second console window:
consoleWindow.Close(2)

Example 2

The following sample shows how you can use the full identifier of a console window to close the console window:
consoleWindow.Close("C:\\Windows\\system32\\cmd.exe[1]")


CloseAll Method (ConsoleWindow)

Class

ConsoleWindow.

Action

Closes all open consoles or all consoles with a specific caption.

Syntax

C#
consoleWindow.CloseAll ([sCaption])
VB
consoleWindow.CloseAll ([sCaption])
Variable | Description
sCaption | Set this parameter to close only the consoles with this caption. STRING

Example

The following sample shows how you close all console windows with the caption MyCommandWindow:
// C#
consoleWindow.CloseAll("MyCommandWindow");
// VB
consoleWindow.CloseAll("MyCommandWindow")


GetContents Method (ConsoleWindow)

Class

ConsoleWindow.

Action

Returns the contents of the console.

Syntax

C#
lsContents = consoleWindow.GetContents ([sItemIdentifier])
VB
lsContents = consoleWindow.GetContents ([sItemIdentifier])
Variable | Description
lsContents | The console contents. LIST OF STRING.
sItemIdentifier | The index of the console window or the caption of the window. If this parameter is left blank, Silk4NET returns the contents of the first found console window. STRING.

Notes

  • Each string in the returned list of strings corresponds to one row in the console.

Example 1

The following sample shows how you can use the index to define that you want to get the contents of the second console window:
lsContents = consoleWindow.GetContents(2)

Example 2

The following sample shows how you can use the full identifier of a console window to get the contents of the console window:
lsContents = consoleWindow.GetContents("C:\\Windows\\system32\\cmd.exe[1]")


Open Method (ConsoleWindow)

Class

ConsoleWindow.

Action

Opens a new console.

Availability

This functionality is supported only if you are using the Open Agent.

Syntax

C#
ConsoleWindow.Open ([caption])
VB
ConsoleWindow.Open ([caption])
Variable | Description
caption | The caption for the new console window. String.

Example

The following sample shows how you can open a new console with the caption "My Console":
// C#
ConsoleWindow.Open("My Console");
// VB
ConsoleWindow.Open("My Console")


TypeKeys Method (ConsoleWindow)

Class

ConsoleWindow.

Action

Sends a set of keystrokes to the console.

Syntax

ConsoleWindow.TypeKeys (sEvents [, nDelay, ensureFocus, sItemIdentifier])
Variable | Description
sEvents | The keystrokes to type. STRING.
nDelay | Optional: The delay between keystrokes (in seconds and fractions of seconds). NUMBER.
ensureFocus | Optional: Whether the agent brings the application to the foreground and then sets the keyboard focus to the control on which the method is executed. This is executed before the first key is typed, which means it is not rechecked for each keystroke when you specify multiple keys to be typed. By default, this variable is set to TRUE. BOOLEAN.
sItemIdentifier | The index of the console window or the caption of the window. If this parameter is left blank, Silk4NET sends the keystrokes to the first found console window. STRING.

Notes

  • If no console is open, TypeKeys opens a console.
  • On Windows, TypeKeys first gives the console input focus before typing into it.
  • If you specify nDelay, that value overrides the value set with the OPT_KEYBOARD_DELAY option, which you set with SetOption.
  • If keystrokes are not recognized, you can try to use a higher value for the delay.
  • A key can be followed by a counter, which defines how often the keys should be typed. The counter can be combined with the delay.
  • During the delay time, the screen is locked and interaction with the mouse and keyboard is no longer possible.
  • When recording with the DOM extension TypeKeys ("<Tab>") will not be captured. Since the script refers to object to type in directly, it is not necessary to record this manual Tab. You can manually enter a TypeKeys ("<Tab>") into your script if you want to; it just will not be recorded.
  • When specifying groups of keys, such as Ctrl-Shift, the agent supports plus and minus signs.

Example

The following code sample executes the dir command in the console window to list the files and folders in the directory:

// VB
ConsoleWindow.TypeKeys ("dir<Enter>")
// C#
ConsoleWindow.TypeKeys ("dir<Enter>");


DllCall Class

Description

The DllCall class allows NTF users to call exposed DLL functions of any DLL either on the Agent or in the AUT.

Inheritance Hierarchy

DllCall does not derive from any class, and no classes derive from it.

Syntax

C#
public class DllCall
VB
'Declaration
Public Class Agent

Methods

Name | Description
UnloadAllDllsFromAgent | Unloads all DLLs from the agent.
UnloadDllFromAgent | Unloads the specified DLL from the agent.
Parent topic: Core Class Reference


UnloadAllDllsFromAgent Method

Class

DllCall.

Action

Unloads all DLLs from the agent.

Syntax

C#
Agent.UnloadAllDllsFromAgent ()
VB
Agent.UnloadAllDllsFromAgent ()


UnloadDllFromAgent Method

Class

DllCall.

Action

Unloads the specified DLL from the Agent.

Syntax

C#
bSuccessful = Agent.UnloadDll (sDllName)
VB
bSuccessful = Agent.UnloadDll (sDllName)
Variable | Description
bSuccessful | True if the DLL was successfully unloaded, false if not. BOOLEAN.
sDllName | The name of the DLL file. STRING.

Notes

You can use UnloadDllFromAgent only to unload normal DLLs, not mixed assemblies. To unload mixed assemblies, use UnloadAllDllsFromAgent.


IBaseState Interface

Description

Interface for base states. A base state makes an application ready for testing. It launches it if necessary, wait for a certain locator to be found and brings the application to the front.

Syntax

C#
public interface IBaseState
VB
'Declaration
Public Interface IBaseState

Methods

Name | Description
Execute | Executes the base state on the machine as specified by the desktop.
Parent topic: Core Class Reference


Execute Method

Class

BaseState.

Action

Executes the base state on the machine as specified by the desktop.

Syntax

C#
TestObject = BaseState.Execute();
VB
TestObject = BaseState.Execute()
Variable | Description
TestObject | The object for which the locator should wait.

Example: Use the configuration file to set the base state for a web application

To use the base state that is stored in the configuration file config.silk4net to set the base state for a web application:

C#
var baseState = new BrowserBaseState();
baseState.Execute();
VB
Dim baseState = New BrowserBaseState()
baseState.Execute()

To additionally store the base state in a variable:

C#
var baseState = new BrowserBaseState();
var browserApplication = (BrowserApplication) baseState.Execute();
VB
Dim baseState = New BrowserBaseState()
Dim browserApplication As BrowserApplication = baseState.Execute()

Example: Specify the browser and the URL of a web application in the base state

You can use the following code to specify Internet Explorer as the browser on which a web application should be tested and www.borland.com as the URL of the web application:

C#
var baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
baseState.Execute()

To additionally store the base state in a variable:

C#
var baseState = new BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com");
var browserApplication = (BrowserApplication) baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.InternetExplorer, "www.borland.com")
Dim browserApplication As BrowserApplication = baseState.Execute()

To specify a mobile browser on a mobile device, for example Safari on an iOS device, you can use the following code:

C#
var baseState = new BrowserBaseState(BrowserType.Safari, "www.borland.com");
baseState.MobileDeviceName = "My iPhone";
baseState.Execute();
VB
Dim baseState = New BrowserBaseState(BrowserType.Safari, "www.borland.com")
baseState.MobileDeviceName = "My iPhone"
baseState.Execute()

Example: Specify the path to the executable and a locator for the main window of the AUT

You can use the following code to specify C:/windows/system32/notepad.exe as the path to the executable of the AUT and //Window[@caption='*Notepad*'] as the locator for the main window of the AUT:

C#
var baseState = new BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']");
baseState.Execute();
VB
Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
baseState.Execute()

To additionally store the base state in a variable:

C#
var baseState = new BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']");
var mainWindow = (Window) baseState.Execute();
VB
Dim baseState = New BaseState("C:/windows/system32/notepad.exe", "//Window[@caption='*Notepad*']")
Dim mainWindow As Window = baseState.Execute()


Timer Class

Description

The Timer class enables you to accurately measure elapsed time.

Among other usages, the methods and properties in the Timer class are used for the timing of test executions that are triggered from Silk Performer. For additional information on integrating Silk4NET with Silk Performer, refer to the Silk Performer Help.

Inheritance Hierarchy

BaseState does not derive from any class, and no classes derive from it.

Syntax

C#
public class Timer
VB
'Declaration
Public Class Timer

Methods

Name | Description
Pause | Pauses the time measurement.
Resume | Resumes the time measurement.
Start | Starts or resumes the time measurement.
StartNew | Initializes a new Timer instance, sets the elapsed time to zero, and starts measuring elapsed time.
Stop | Stops the time measurement.

Properties

Name | Description
Elapsed | Gets the elapsed time span of the timer.
ElapsedMilliseconds | Gets the elapsed time span of the timer in milliseconds.
IsRunning | Gets whether the timer is currently running or not.
Name | Gets or sets the name of the timer which is used for interfacing with Silk Performer.
Parent topic: Core Class Reference


Pause Method (Timer)

Class

Timer.

Action

Pauses the time measurement.

Syntax

C#
timer.Pause ()
VB
timer.Pause ()


Resume Method (Timer)

Class

Timer.

Action

Resumes the time measurement.

Syntax

C#
timer.Resume ()
VB
timer.Resume ()


Start Method (Timer)

Class

Timer.

Action

If the timer is currently stopped, starts the time measurement. If the timer is currently paused, resumes the time measurement.

Syntax

C#
timer.Start ()
VB
timer.Start ()


StartNew Method (Timer)

Class

Timer.

Action

Initializes a new Timer instance, sets the elapsed time to zero, and starts measuring elapsed time. The name is provided for interfacing with Silk Performer.

Syntax

C#
timer=StartNew ([timerName])
VB
timer=StartNew ([timerName])
Variable | Description
timer | The new Timer instance that has just begun measuring elapsed time. Timer.
timerName | Optional: The name of the new timer. The name is provided for interfacing with Silk Performer. String.


Stop Method (Timer)

Class

Timer.

Action

Stops the time measurement.

Syntax

C#
timer.Stop()
VB
timer.Stop()


Elapsed Property (Timer)

Class

Timer.

Action

Gets the elapsed time of the timer.

Syntax

C#
public TimeSpan Elapsed { get; }
VB
'Declaration
Public Read Property Elapsed As TimeSpan

Access

Read.


ElapsedMilliseconds Property (Timer)

Class

Timer.

Action

Gets the elapsed time of the timer in milliseconds.

Syntax

C#
public long ElapsedMilliseconds { get; }
VB
'Declaration
Public Read Property ElapsedMilliseconds As Long

Access

Read.


IsRunning Property (Timer)

Class

Timer.

Action

Gets whether the timer is currently running or not. Returns true if the timer is running.

Syntax

C#
public bool IsRunning { get; }
VB
'Declaration
Public Read Property IsRunning As Boolean

Access

Read.


Name Property (Timer)

Class

Timer.

Action

Gets or sets the name of the timer which is used for interfacing with Silk Performer.

Syntax

C#
public string Name { get; set;}
VB
'Declaration
Public ReadWrite Property Name As String

Access

Read and write.


Silk4NET Class

Description

Silk4NET is the class that handles functionality that is specific to Visual Studio. Currently the class provides functionality for verifying assets.

Inheritance Hierarchy

Silk4NET does not derive from any class, and no classes derive from it.

Methods

Name | Description
TryVerifyAsset | Executes the given verification asset and returns whether the verification passed. Boolean
VerifyAsset | Executes the given verification asset. Throws an exception if the verification does not pass.
Parent topic: Core Class Reference


TryVerifyAsset Method

Class

Silk4NET.

Action

Executes a verification asset and returns whether the verification passed. Throws an ObjectNotFoundException if the UI object to verify cannot be found.

Syntax

C#
result = TryVerifyAsset(verificationAsset)
VB
result = TryVerifyAsset(verificationAsset)
Variable | Description
result | Returns whether the verification passed. True if the verification passed, false if not. Boolean.
verificationAsset | The name of the .verification file. The file extension can be omitted. String.

Example

To execute a verification of the image asset myImageAsset, type the following code:

C#
bool result = Silk4NET.TryVerifyAsset("myImageAsset");
VB
Dim result As Boolean = Silk4NET.TryVerifyAsset("myImageAsset")


VerifyAsset Method (Silk4NET)

Class

Silk4NET.

Action

Executes a verification asset. Throws a VerificationFailedException if the verification does not pass. Throws an ObjectNotFoundException if the UI object to verify cannot be found.

Syntax

C#
result = VerifyAsset(verificationAsset)
VB
result = VerifyAsset(verificationAsset)
Variable | Description
result | Whether the verification was successful. BOOLEAN.
verificationAsset | The name of the .verification file. The file extension can be omitted. String.

Example

To execute a verification of the image asset myImageAsset, type the following code:

C#
Silk4NET.VerifyAsset("myImageAsset");
VB
Silk4NET.VerifyAsset("myImageAsset")


Data Types

This section lists the various types of data.

Note: For information on the .NET framework data types, for example Integer, Boolean, String, and so on, refer to the MSDN. For information about the data types that you can use in visual tests, see Variables in Visual Tests.
  • ClickType Enumeration
    Specifies how to click on a text during a replay of a TextClick.
  • Color Class
    Describes a color in terms of red, green, blue, and alpha channels.
  • ItemIdentifier Data Type
    Specifies an item in controls such as list boxes, tab controls, or combo boxes.
  • ItemPath Data Type
    The string representation of the item path in a tree.
  • ModifierKeys Enumeration
    Specifies the key modifiers that should be pressed during replay.
  • MouseButton Enumeration
    Defines values that specify the buttons on a mouse device.
  • Point Class
    Specifies a point on the screen.
  • Range Class
    Specifies a range with a minimum and a maximum.
  • Rectangle Class
    Specifies a rectangle on the screen.
  • TextPosition Class
    Specifies a position within a text field.
  • TextRange Class
    Specifies a range within a text field.
  • TreeContent Class
    Represents the content of a tree control. Every item in a tree is represented as a TreeNode.
  • TreeNode Class
    Represents a node in the TreeContent.
Parent topic: Silk4NET Language Reference


ClickType Enumeration

Description

Specifies how to click on a text during a replay of a TextClick.

Syntax

C#
public enum ClickType
VB
Public Enumeration ClickType

Members

Name | Description
Left | A single click with the left mouse button.
Right | A single click with the right mouse button.
Middle | A single click with the middle mouse button.
LeftDouble | A double click with the left mouse button.
Press | Clicking and holding the left mouse button.
Release | Releasing the left mouse button.
Parent topic: Data Types


Color Class

Description

Describes a color in terms of red, green, blue, and alpha channels.

Inheritance Hierarchy

Color does not derive from any class, and no classes derive from it.

Syntax

C#
public class Color
VB
Public Class Color

Fields

Name | Description
BLACK | Gets the color that has the ARGB value of #FF000000.
WHITE | Gets the color that has the ARGB value of #FFFFFFFF.
GREEN | Gets the color that has the ARGB value of #FF00FF00.
RED | Gets the color that has the ARGB value of #FFFF0000.
BLUE | Gets the color that has the ARGB value of #FF0000FF.
YELLOW | Gets the color that has the ARGB value of #FFFFFF00.
MAGENTA | Gets the color that has the ARGB value of #FFFF00FF.
CYAN | Gets the color that has the ARGB value of #FF00FFFF.

Properties

Name | Description
R | Gets the value of the red ARGB channel of the color. Integer
G | Gets the value of the green ARGB channel of the color. Integer
B | Gets the value of the blue ARGB channel of the color. Integer
A | Gets the value of the alpha ARGB channel of the color. Integer
Parent topic: Data Types


ItemIdentifier Data Type

Description

Specifies an item in controls such as list boxes, tab controls, or combo boxes. Items can be identified by the following:
  • Text (String).
  • Index (Integer).
  • A combination of text and index (String).

A string value specifies the name of the item. The string can contain wildcard characters. You can also specify the index of the item as a string, in the form "[n]", where n is the numerical index of the item.

Example

The following examples show how you can select an item in a ListBox:
listbox.select(0)  ' Selects the first item, which has the index 0.
listbox.select("[0]")  ' Also selects the first item.
listbox.select("apple")   ' Selects the first item with text "apple".
listbox.select("apple[1]")   'Selects the second item with the text "apple".
Parent topic: Data Types


ItemPath Data Type

Description

The hierarchical path from the root of the tree to a specific item. You have to always specify the entire hierarchy. Each part in the hierarchy of the item path can either be a name, an index, or a combination of both. You can uniquely identify each item in the hierarchical path by specifying one or more of its attributes.

Items in a tree have the following attributes:
  • The hierarchical relationship between the item and other items.
  • The title or the caption of the item.
  • The 0-based ordinal number of the item in relation to its siblings.

Example

The following examples show how you can identify unique items within a tree by path, index, or a combination of both path and index:
Specification | Item
"/Desktop/Applications/Games" | A unique item "Games" under a unique item "Applications" under a unique item "Desktop" at the outer level of the tree.
"/Desktop/[2]/[4]" | The fifth item under the third item under a unique item "Desktop" at the outer level of the tree.
"/Desktop/Applications[2]/Games" | A unique item "Games" under the third item with the text "Applications" under a unique item "Desktop" at the outer level of the tree.
Parent topic: Data Types


ModifierKeys Enumeration

Description

Specifies the key modifiers that should be pressed during replay.

Syntax

C#
public enum ModifierKeys
VB
Public Enumeration ModifierKeys

Members

Name | Description
None | No key modifiers.
Shift | The Shift modifier.
Alt | The Alt modifier.
Control | The Ctrl modifier.
ControlAlt | The Ctrl+Alt modifiers.
ShiftControl | The Shift+Ctrl modifiers.
ShiftAlt | The Shift+Alt modifiers.
ShiftControlAlt | The Ctrl+Shift+Alt modifiers.
Parent topic: Data Types


MouseButton Enumeration

Description

Defines values that specify the buttons on a mouse device.

Syntax

C#
public enum MouseButton
VB
Public Enumeration MouseButton

Members

Name | Description
Left | The left mouse button. Left = 1.
Middle | The middle mouse button. Middle = 3.
Right | The right mouse button. Right = 2.
Parent topic: Data Types


Point Class

Description

Specifies a point on the screen.

Inheritance Hierarchy

Point does not derive from any class, and no classes derive from it.

Syntax

C#
public class Point
VB
Public Class Point

Properties

Name | Description
X | Gets the x coordinate.
Y | Gets the y coordinate.
Parent topic: Data Types


Range Class

Description

Specifies a range with a minimum and a maximum.

Inheritance Hierarchy

Range does not derive from any class, and no classes derive from it.

Syntax

C#
public class Range
VB
Public Class Range

Properties

Name | Description
Minimum | Gets the minimum.
Maximum | Gets the maximum.
Parent topic: Data Types


Rectangle Class

Description

Specifies a rectangle on the screen.

Inheritance Hierarchy

Rectangle does not derive from any class, and no classes derive from it.

Syntax

C#
public class Rectangle
VB
Public Class Rectangle

Properties

Name | Description
X | Gets the x coordinate of the rectangle.
Y | Gets the y coordinate of the rectangle.
Width | Gets the width of the rectangle.
Height | Gets the height of the rectangle.
Center | Gets the center of the rectangle.
IsEmpty | Determines whether the rectangle is empty.

Methods

Name | Description
Contains(Rectangle) | Determines whether the current Rectangle contains the specified Rectangle. Boolean
Contains(Point) | Determines whether the current Rectangle contains the specified Point. Boolean
Contains(X,Y) | Determines whether the current Rectangle contains the specified coordinates. Boolean
Parent topic: Data Types


TextPosition Class

Description

Specifies a position within a text field.

Inheritance Hierarchy

TextPosition does not derive from any class, and no classes derive from it.

Syntax

C#
public class TextPosition
VB
Public Class TextPosition

Properties

Name | Description
Line | Gets the line.
Column | Gets the column.
Parent topic: Data Types


TextRange Class

Description

Specifies a range within a text field.

Inheritance Hierarchy

TextRange does not derive from any class, and no classes derive from it.

Syntax

C#
public class TextRange
VB
Public Class TextRange

Properties

Name | Description
StartLine | Gets the start line of the range.
StartColumn | Gets the start column of the range.
EndLine | Gets the end line of the range.
EndColumn | Gets the end column of the range.
Parent topic: Data Types


TreeContent Class

Description

Represents the content of a tree control. Every item in a tree is represented as a TreeNode.

Inheritance Hierarchy

TreeContent does not derive from any class, and no classes derive from it.

Syntax

C#
public class TreeContent
VB
Public Class TreeContent

Properties

Name | Description
RootNodes | Gets the root nodes of the corresponding tree.
Parent topic: Data Types


TreeNode Class

Description

Represents a node in the TreeContent.

Inheritance Hierarchy

TreeNode does not derive from any class, and no classes derive from it.

Syntax

C#
public class TreeNode
VB
Public Class TreeNode

Properties

Name | Description
Children | Gets the child nodes of the TreeNode.
Text | Gets the text of the TreeNode.
Parent topic: Data Types


Flex Class Reference

Lists the available classes for testing Flex controls. You can also customize Silk Test to test custom controls.

For additional information about the classes, see the Apache Flex Developer's Guide.
Note: Any known problems with Flex and Flex classes can be reproduced in Silk Test. For instance, dragging and dropping an element that uses the FlexChart class may not work if a chart element is clicked near its edges before you start dragging the element. This results in a failed replay because the drag start coordinates can be incorrect. This is a known issue with dragging and dropping in Flex. For details about known issues with Flex, see the Apache Flex Release Notes.
Note: The FlexTitleWindow class is recorded and recognized by Silk Test as a FlexPanel (although it is defined as a separate class). This is a known issue in Flex. For details about known issues with Flex, see the Apache Flex Release Notes.
  • FlexAccordion Class
    An Accordion navigator container has a collection of child containers, but only one of them at a time is visible. It creates and manages navigator buttons (accordion headers), which you use to navigate between the children.
  • FlexAdvancedDataGrid Class
    Expands on the functionality of the standard DataGrid control to add data visualization features to your Apache Flex application. These features provide greater control of data display, data aggregation, and data formatting.
  • FlexAlert Class
    A pop-up dialog box that can contain a message, a title, buttons (any combination of OK, Cancel, Yes, and No) and an icon.
  • FlexApplication Class
    A default, or Application, container that lets you start adding content to your application without explicitly defining another container.
  • FlexAreaChart Class
    Represents data as an area bounded by a line connecting the values in the data. The AreaChart control can be used to represent different variations, including simple areas, stacked, 100% stacked, and high/low.
  • FlexAreaSeries Class
    Defines a data series for an AreaChart control.
  • FlexAxisRenderer Class
    Describe the horizontal and vertical axes of a chart. An axis is responsible for rendering the labels, tick marks, and title along its length.
  • FlexBarChart Class
    Represents data as a series of horizontal bars whose length is determined by values in the data. A BarChart control can represent different chart variations, including simple bars, clustered bars, stacked, 100% stacked, and high/low.
  • FlexBarSeries Class
    Defines a data series for a BarChart control.
  • FlexBox Class
    A Box container lays out its children in a single vertical column or a single horizontal row.
  • FlexBubbleChart Class
    Represents data with three values for each data point. Each data point is defined by a value determining its position along the horizontal axis, a value determining its position along the vertical axis, and a value determining the size of the chart element, relative to the other data points on the chart.
  • FlexBubbleSeries Class
    Defines a data series for a BubbleChart control.
  • FlexButton Class
    The Button control is a commonly used rectangular button. Button controls look like they can be pressed. They can have a text label, an icon, or both on their face.
  • FlexButtonBar Class
    Defines a horizontal or vertical group of logically related push buttons with a common look and navigation.
  • FlexCandlestickChart Class
    Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.
  • FlexCandlestickSeries Class
    Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.
  • FlexCanvas Class
    A Canvas layout container defines a rectangular region in which you place child containers and controls. It is the only container that lets you explicitly specify the location of its children within the container by using the x and y properties of each child.
  • FlexCartesianChart Class
    A base class for the common chart types. CartesianChart defines the basic layout behavior of the standard rectangular, two-dimensional charts.
  • FlexChart Class
    The link between the Flex component architecture and the DualStyleObject architecture. It extends the Flex UIComponent base class, but contains DualStyleObject classes.
  • FlexChartLegend Class
    Adds a legend to your charts, where the legend displays the label for each data series in the chart and a key showing the chart element for the series.
  • FlexChartSeries Class
    The base class for the classes that let you specify a data series for a chart control.
  • FlexCheckBox Class
    The CheckBox control consists of an optional label and a small box that can contain a check mark or not.
  • FlexColorPicker Class
    Provides a way for a user to choose a color from a swatch list.
  • FlexColumnChart Class
    Represents data as a series of vertical columns whose height is determined by values in the data.
  • FlexColumnSeries Class
    Defines a data series for a ColumnChart control.
  • FlexComboBase Class
    The base class for controls that display text in a text field and have a button that causes a drop-down list to appear where the user can choose which text to display.
  • FlexComboBox Class
    Contains a drop-down list from which the user can select a single value.
  • FlexContainer Class
    An abstract base class for components that controls the layout characteristics of child components.
  • FlexContainerMovieClip Class
    Container components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.ContainerMovieClip class.
  • FlexDataGrid Class
    The DataGrid control is like a List except that it can show more than one column of data making it suited for showing objects with multiple properties.
  • FlexDateChooser Class
    Displays the name of a month, the year, and a grid of the days of the month, with columns labeled for the day of the week.
  • FlexDateField Class
    A text field that shows the date with a calendar icon on its right side.
  • FlexDisplayObject Class
    The base class for all objects that can be placed on the display list. The display list manages all objects displayed in Flash Player or Adobe AIR.
  • FlexDividedBox Class
    Measures and lays out its children horizontally or vertically in exactly the same way as a Box container, but it inserts draggable dividers in the gaps between the children. Users can drag any divider to resize the children on each side.
  • FlexForm Class
    Use this class to control the layout of a form, mark form fields as required or optional, handle error messages, and bind your form data to the Flex data model to perform data checking and validation. This class also lets you use style sheets to configure the appearance of your forms.
  • FlexFormItem Class
    Defines a label and one or more children arranged horizontally or vertically. Children can be controls or other containers. A single Form container can hold multiple FormItem containers.
  • FlexHLOCChart Class
    The HLOCChart (High Low Open Close) control represents financial data as a series of elements representing the high, low, closing, and optionally opening values of a data series.
  • FlexHLOCSeries Class
    Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.
  • FlexHLOCSeriesBase Class
    Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.
  • FlexImage Class
    Lets you import JPEG, PNG, GIF, and SWF files at runtime.
  • FlexLabel Class
    Displays a single line of noneditable text.
  • FlexLineChart Class
    Represents a data series as points connected by a continuous line.
  • FlexLineSeries Class
    Defines a data series for a LineChart control.
  • FlexLinkBar Class
    Defines a horizontal or vertical row of LinkButton controls that designate a series of link destinations.
  • FlexList Class
    Displays a list of items horizontally, verically, or laid out in tiles.
  • FlexListBase Class
    The ListBase class is the base class for controls that represent lists of items that can have one or more selected and can scroll through the items.
  • FlexListLabel Class
    Defines the default item renderer for a control. By default, the item renderer draws the text associated with each item in the list, and an optional icon.
  • FlexLoader Class
    Loads and displays a specified SWF file. You typically use SWFLoader for loading one Flex application into a host Flex application.
  • FlexMenu Class
    Creates a pop-up menu of individually selectable choices, similar to the File or Edit menu found in most software applications. The popped up menu can have as many levels of submenus as needed.
  • FlexMenuBar Class
    Defines a horizontal, top-level menu bar that contains one or more menus. Clicking on a top-level menu item opens a pop-up submenu that is an instance of the Menu control.
  • FlexNavigationBar Class
    The superclass for navigator controls, such as the LinkBar and TabBar controls. This class cannot be instantiated directly.
  • FlexNumericStepper Class
    Lets the user select a number from an ordered set.
  • FlexObject Class
    The base class for all visual components, both interactive and noninteractive.
  • FlexOLAPDataGrid Class
    Expands on the functionality of the AdvancedDataGrid control to add support for the display of the results of OLAP queries.
  • FlexPanel Class
    Consists of a title bar, a caption, a border, and a content area for its children.
  • FlexPieChart Class
    Represents a data series as a standard pie chart.
  • FlexPieSeries Class
    Defines the data series for a PieChart control.
  • FlexPlotChart Class
    Represents data with two values for each data point. One value determines the position of the data point along the horizontal axis, and one value determines its position along the vertical axis.
  • FlexPlotSeries Class
    Defines a data series for a PlotChart control.
  • FlexPopUpButton Class
    The PopUpButton control adds a flexible pop-up control interface to a Button control. It contains a main button and a secondary button, called the pop-up button, which pops up any UIComponent object when a user clicks the pop-up button.
  • FlexProgressBar Class
    The ProgressBar control provides a visual representation of the progress of a task over time. There are two types of ProgressBar controls: determinate and indeterminate.
  • FlexRadioButton Class
    The RadioButton control lets the user make a single choice within a set of mutually exclusive choices.
  • FlexRepeater Class
    Identifies the repeater control, which creates multiple instances of its subcomponents.
  • FlexRule Class
    Creates a single horizontal or vertical line. You typically use this control to create a dividing line within a container.
  • FlexScrollBar Class
    Lets you control the portion of data that is displayed when there is too much data to fit in a display area.
  • FlexScrollBase Class
    The ScrollControlBase class is the base class for controls with scroll bars.
  • FlexSlider Class
    Lets users select a value by moving a slider thumb between the end points of the slider track.
  • FlexStandalonePlayer Class
    The Flex Standalone Player.
  • FlexTabNavigator Class
    Extends the ViewStack container by including a TabBar container for navigating between its child containers.
  • FlexTextArea Class
    A multiline text field with a border and optional scroll bars.
  • FlexTitleWindow Class
    Contains a title bar, a caption, a border, and a content area for its child.
  • FlexToggleButtonBar Class
    Defines a horizontal or vertical group of buttons that maintain their selected or deselected state.
  • FlexTree Class
    The Tree control lets a user view hierarchical data arranged as an expandable tree.
  • FlexUIMovieClip Class
    Components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.UIMovieClip class.
  • FlexVideoDisplay Class
    Lets you play an FLV file in a Flex application. It supports progressive download over HTTP, streaming from the Flash Media Server, and streaming from a Camera object.
  • FlexViewStack Class
    Consists of a collection of child containers stacked on top of each other, where only one child at a time is visible. When a different child container is selected, it seems to replace the old one because it appears in the same location. However, the old child container still exists; it is just invisible.
  • FlexWindow Class
    The Window is a top-level container for additional windows in an AIR desktop application.
  • FlexWindowedApplication Class
    The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.
  • SparkAirHTML Class
    The HTML control lets you display HTML content in your application.
  • SparkApplication Class
    Flex defines a default, or Application, container that lets you start adding content to your application without explicitly defining another container.
  • SparkBorderContainer Class
    The BorderContainer class defines a set of CSS styles that control the appearance of the border and background fill of the container.
  • SparkButton Class
    The SparkButton component is a commonly used rectangular button. The SparkButton component looks like it can be pressed.
  • SparkButtonBar Class
    The ButtonBar control defines a horizontal group of logically related buttons with a common look and navigation.
  • SparkButtonBarButton Class
    The ButtonBarButton class defines the custom item renderer used by the ButtonBar control.
  • SparkButtonBase Class
    The SparkButtonBase class is the base class for the all Spark button components.
  • SparkCheckBox Class
    The CheckBox component consists of an optional label and a small box that can contain a check mark or not.
  • SparkComboBox Class
    The ComboBox control is a child class of the DropDownListBase control. Like the DropDownListBase control, when the user selects an item from the drop-down list in the ComboBox control, the data item appears in the prompt area of the control.
  • SparkComplexDisplay Class
    A complex rendered object.
  • SparkDataGrid Class
    Identifies a Spark data grid control.
  • SparkDataGridLabel Class
    Identifies a spark data grid label control.
  • SparkDataGroup Class
    The DataGroup class is the base container class for data items.
  • SparkDataRenderer Class
    The SparkDataRenderer class is the base class for data components in spark.
  • SparkDropDownList Class
    The SparkDropDownList control contains a drop-down list from which the user can select a single value.
  • SparkDropDownListBase Class
    The SparkDropDownListBase control contains a drop-down list from which the user can select a single value.
  • SparkForm Class
    Identifies a Spark form control.
  • SparkFormItem Class
    Identifies a Spark form item control.
  • SparkGroup Class
    Use this container when you want to manage visual children, both visual components and graphical components.
  • SparkGroupBase Class
    The GroupBase class defines the base class for components that display visual elements.
  • SparkImage Class
    Identifies a Spark image control.
  • SparkLabel Class
    Label is a low-level UIComponent that can render one or more lines of uniformly-formatted text.
  • SparkList Class
    The List control displays a vertical list of items.
  • SparkListBase Class
    The ListBase class is the base class for all components that support selection.
  • SparkListLabel Class
    A simple rendered object.
  • SparkMuteButton Class
    The MuteButton class defines the mute button used by the VideoPlayer control.
  • SparkNavigatorContent Class
    The NavigatorContent class defines a Spark container that can be used in an MX navigator container, such as the ViewStack, TabNavigator and Accordion containers.
  • SparkNumericStepper Class
    The NumericStepper control lets you select a number from an ordered set. The NumericStepper provides the same functionality as the Spinner component, but adds a TextInput control so that you can directly edit the value of the component, rather than modifying it by using the control's arrow buttons.
  • SparkObject Class
    The SparkObject class defines the base class for all spark components.
  • SparkPanel Class
    The Panel class defines a container that includes a title bar, a caption, a border, and a content area for its children.
  • SparkPopUpAnchor Class
    Identifies a Spark PopUpAnchor control.
  • SparkRadioButton Class
    The RadioButton component allows the user make a single choice within a set of mutually exclusive choices. A RadioButtonGroup is composed of two or more RadioButton components with the same groupName property.
  • SparkRange Class
    The Range class holds a value and an allowed range for that value, defined by minimum and maximum properties.
  • SparkRichEditableText Class
    RichEditableText is a low-level UIComponent for displaying, scrolling, selecting, and editing richly-formatted text.
  • SparkRichText Class
    RichText is a low-level UIComponent that can display one or more lines of richly-formatted text and embedded images.
  • SparkScrollBar Class
    The ScrollBarBase class helps to position the portion of data that is displayed when there is too much data to fit in a display area.
  • SparkSkinnableContainer Class
    The SparkSkinnableContainer class is the base class for skinnable containers that have visual content.
  • SparkSkinnableContainerBase Class
    Base class for spark container components.
  • SparkSkinnableDataContainer Class
    The SkinnableDataContainer class is the base container class for data items.
  • SparkSkinnablePopUpContainer Class
    Identifies a SparkSkinnablePopUpContainer control.
  • SparkSkinnableTextBase Class
    The base class for skinnable components, such as the Spark TextInput and TextArea, that include an instance of RichEditableText in their skin to provide rich text display, scrolling, selection, and editing.
  • SparkSlider Class
    Lets users select a value by moving a slider thumb between the end points of the slider track.
  • SparkSpinner Class
    A Spinner component selects a value from an ordered set. It uses two buttons that increase or decrease the current value based on the current value of the stepSize property.
  • SparkTabBar Class
    The TabBar class displays a set of identical tabs. One tab can be selected at a time, and the first tab is selected by default.
  • SparkTextArea Class
    TextArea is a text-entry control that lets users enter and edit multiple lines of richly formatted text. It can display horizontal and vertical scrollbars for scrolling through the text and supports vertical scrolling with the mouse wheel.
  • SparkTextBase Class
    The base class for Spark text controls such as Label and RichText which display text using CSS styles for the default format.
  • SparkTextInput Class
    TextInput is a text-entry control that lets users enter and edit a single line of uniformly-formatted text.
  • SparkTileGroup Class
    The TileGroup container is an instance of the Group container that uses the TileLayout class.
  • SparkTitleWindow Class
    The TitleWindow class extends Panel to include a close button and move area.
  • SparkToggleButton Class
    The ToggleButton component defines a toggle button. Clicking the button toggles it between the up and an down states.
  • SparkToggleButtonBase Class
    The ToggleButtonBase component is the base class for the Spark button components that support the selected property.
  • SparkTrackBase Class
    The TrackBase class is a base class for components with a track and one or more thumb buttons, such as Slider and ScrollBar.
  • SparkVideoDisplay Class
    Identifies a Spark video display control.
  • SparkVideoPlayer Class
    The VideoPlayer control is a skinnable video player that supports progressive download, multi-bitrate streaming, and streaming video.
  • SparkVolumeBar Class
    The VolumeBar class defines a drop-down slider to control the volume of the VideoDisplay control.
  • SparkWindow Class
    The Window is a top-level container for additional windows in an AIR desktop application.
  • SparkWindowedApplication Class
    The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.
Parent topic: Silk4NET Language Reference
Related concepts
Apache Flex Support


FlexAccordion Class

Description

An Accordion navigator container has a collection of child containers, but only one of them at a time is visible. It creates and manages navigator buttons (accordion headers), which you use to navigate between the children.

There is one navigator button associated with each child container, and each navigator button belongs to the Accordion container, not to the child. When the user clicks a navigator button, the associated child container is displayed. The transition to the new child uses an animation to make it clear to the user that one child is disappearing and a different one is appearing.

The Accordion container does not extend the ViewStack container, but it implements all the properties, methods, styles, and events of the ViewStack container, such as selectedIndex and selectedChild.

Inheritance Hierarchy

  • FlexContainer
    • FlexAccordion

Syntax

C#
public class FlexAccordion : FlexContainer
VB
'Declaration
Public Class FlexAccordion _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
headerHeight | the height of each accordion header, in pixels.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGap | the number of pixels between children in the horizontal direction. The default value is 8.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
paddingBottom | the number of pixels between the container's bottom border and its content area.
paddingTop | the number of pixels between the container's top border and its content area.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChild | a reference to the currently visible child container.
selectedIndex | the zero-based index of the currently visible child container.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textSelectedColor | the color of selected text. The default value is 0x2B333C.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalGap | the number of pixels between children in the vertical direction.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the selected child container changes.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAdvancedDataGrid Class

Description

Expands on the functionality of the standard DataGrid control to add data visualization features to your Apache Flex application. These features provide greater control of data display, data aggregation, and data formatting.

The AdvancedDataGrid control is like a List control except that it can show more than one column of data, making it suited for showing objects with multiple properties.

Inheritance Hierarchy

  • FlexListBase
    • FlexAdvancedDataGrid
      • FlexOLAPDataGrid

Syntax

C#
public class FlexAdvancedDataGrid : FlexListBase
VB
'Declaration
Public Class FlexAdvancedDataGrid _
Inherits FlexListBase

Properties

Name | Description
allowDragSelection | whether drag-selection is enabled. Drag-Selection is the ability to select an item by dragging into it as opposed to normal selection where you can't have the mouse button down when you mouse over the item you want to select.
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
depthColors | the array of colors used for the rows of each level of the navigation tree of the AdvancedDataGrid control, in descending order. The default value is undefined.
disabledColor | the color of text in the component if it is disabled.
displayItemsExpanded | whether the navigation tree is expanded to show all items.
editable | whether the user can edit items in the data provider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
headerColors | an array of two colors used to draw the header background gradient.
headerHeight | the height of the header cell of the column, in pixels.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGridLineColor | the color of the horizontal grid lines.
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
indentation | the indentation for each node of the navigation tree, in pixels. The default value is 17.
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
minColumnWidth | the minimum width of the columns, in pixels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
openDuration | the length of an open or close transition for the navigation tree, in milliseconds. The default value is 250.
paddingBottom | the number of pixels between the bottom of the row and the bottom of the renderer in the row.
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2.
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0.
paddingTop | the number of pixels between the top of the row and the top of the renderer in the row.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizableColumns | whether the user can change the size of the columns.
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedCells | an Array of cell locations as row and column indices.
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
selectionMode | the selection mode of the control.
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
verticalGridLineColor | the color of the vertical grid lines. The default value is 0x666666.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes or collapses a AdvancedDataGrid branch.
ColumnGroupedADGHeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.
ColumnStretch | Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellData | Returns data for a cell in the grid.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetGroupedItemChildrenCount | Returns the number of children within the first item of a group.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRowData | Returns data for the row of the item in the data provider.
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HeaderClick | Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.
HeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsGroupedItem | Returns a value that specifies whether the item is a member of a group.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
Open | Opens or expands an AdvancedDataGrid branch.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAlert Class

Description

A pop-up dialog box that can contain a message, a title, buttons (any combination of OK, Cancel, Yes, and No) and an icon.

The Alert control is modal, which means it will retain focus until the user closes it.

Inheritance Hierarchy

  • FlexPanel
    • FlexAlert

Syntax

C#
public class FlexAlert : FlexPanel
VB
'Declaration
Public Class FlexAlert _
Inherits FlexPanel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
defaultButtonFlag | A bitflag that contains either Alert.OK, Alert.CANCEL, Alert.YES, or Alert.NO to specify the default button. The default value is Alert.OK.
dropShadowEnabled | whether the Panel container's drop shadow is visible. The default value is true. (Inherited from FlexPanel)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
footerColors | the array of two colors used to draw the footer (area for the ControlBar container) background. (Inherited from FlexPanel)
headerColors | the array of two colors used to draw the header. (Inherited from FlexPanel)
headerHeight | the height of the header. The default value is based on the style of the title text. (Inherited from FlexPanel)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
status | the text in the status area of the title bar. The default value is "". (Inherited from FlexPanel)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text to display in this alert dialog box. The default value is "".
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. The default value is "". (Inherited from FlexPanel)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexApplication Class

Description

A default, or Application, container that lets you start adding content to your application without explicitly defining another container.

Inheritance Hierarchy

  • FlexContainer
    • FlexApplication
      • FlexWindowedApplication

Syntax

C#
public class FlexApplication : FlexContainer
VB
'Declaration
Public Class FlexApplication _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
url | the URL from which this Application's SWF file was loaded.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAreaChart Class

Description

Represents data as an area bounded by a line connecting the values in the data. The AreaChart control can be used to represent different variations, including simple areas, stacked, 100% stacked, and high/low.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexAreaChart

Syntax

C#
public class FlexAreaChart : FlexCartesianChart
VB
'Declaration
Public Class FlexAreaChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAreaSeries Class

Description

Defines a data series for an AreaChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexAreaSeries

Syntax

C#
public class FlexAreaSeries : FlexChartSeries
VB
'Declaration
Public Class FlexAreaSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
form | the boundary type for the area.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
minField | the field of the dataProvider that determines the bottom boundary of the area.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radius | the radius, in pixels, of the chart elements for the data points.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the position of the data points on the horizontal axis.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the position of the data point on the vertical axis.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexAxisRenderer Class

Description

Describe the horizontal and vertical axes of a chart. An axis is responsible for rendering the labels, tick marks, and title along its length.

AxisRenderer objects inherit some of their visual properties from the enclosing chart object. The text format of the labels and title defaults to the CSS text properties of the renderer. You can control the formatting of the axis title separately by specifying a axisTitleStyleName, either on the AxisRenderer or on the enclosing chart.

Inheritance Hierarchy

  • FlexObject
    • FlexAxisRenderer

Syntax

C#
public class FlexAxisRenderer : FlexObject
VB
'Declaration
Public Class FlexAxisRenderer _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
canDropLabels | whether the AxisRenderer should drop labels as necessary to lay out correctly.
canStagger | whether to stagger labels on two label rows. Use this setting to minimize the space required for the labels. The default value is true, which staggers the labels.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
heightLimit | the maximum amount of space, in pixels, that an axis renderer will take from a chart.
id | the ID of the component. (Inherited from FlexObject)
labelGap | the gap between the end of the tick marks and the top of the labels, in pixels. The default value is 3.
labelRotation | the label rotation.
lastVisibleRow | the index of the last visible child.
length | the length of the axis, in screen coordinates.
minorTickLength | the length of the minor tick marks on the axis, in pixels. The default value is 0.
minorTickPlacement | a value where to draw the minor tick marks. Values include: inside, outside, cross, and none.
minorTicks | an array that specifies where Flex draws the minor tick marks along the axis. Each array element contains a value between 0 and 1.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
placement | the side of the chart that the axisRenderer appears on.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showLabels | whether labels appear along the axis. The default value is true.
showLine | whether to display the axis. The default value is true.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
tickLength | the length of the tick marks on the axis, in pixels. The default value is 3.
tickPlacement | a value where to draw the tick marks. Values include: inside, outside, cross, and none.
ticks | an array that specifies where Flex draws the tick marks along the axis. Each array element contains a value between 0 and 1.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBarChart Class

Description

Represents data as a series of horizontal bars whose length is determined by values in the data. A BarChart control can represent different chart variations, including simple bars, clustered bars, stacked, 100% stacked, and high/low.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexBarChart

Syntax

C#
public class FlexBarChart : FlexCartesianChart
VB
'Declaration
Public Class FlexBarChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
barWidthRatio | how wide to draw the bars relative to the category width, as a percentage in the range of 0 to 1.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxBarWidth | how wide to draw the bars, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBarSeries Class

Description

Defines a data series for a BarChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexBarSeries

Syntax

C#
public class FlexBarSeries : FlexChartSeries
VB
'Declaration
Public Class FlexBarSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
barWidthRatio | the width to render the bars relative to the category width.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxBarWidth | the width of the bars, in pixels.
minField | the field of the data provider that determines the bottom of each bar.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
offset | the amount to offset the center of the bars from the center of the available space, relative to the category width.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the top of each bar.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of the bottom of each bar in the chart.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBox Class

Description

A Box container lays out its children in a single vertical column or a single horizontal row.

Inheritance Hierarchy

  • FlexContainer
    • FlexBox
      • FlexDividedBox
      • FlexNavigationBar

Syntax

C#
public class FlexBox : FlexContainer
VB
'Declaration
Public Class FlexBox _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBubbleChart Class

Description

Represents data with three values for each data point. Each data point is defined by a value determining its position along the horizontal axis, a value determining its position along the vertical axis, and a value determining the size of the chart element, relative to the other data points on the chart.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexBubbleChart

Syntax

C#
public class FlexBubbleChart : FlexCartesianChart
VB
'Declaration
Public Class FlexBubbleChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexBubbleSeries Class

Description

Defines a data series for a BubbleChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexBubbleSeries

Syntax

C#
public class FlexBubbleSeries : FlexChartSeries
VB
'Declaration
Public Class FlexBubbleSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxRadius | The radius of the largest item renderered in this series.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radiusField | the field of the data provider that determines the radius of each symbol, relative to the other data points in the chart.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of each data point.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of each data point.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexButton Class

Description

The Button control is a commonly used rectangular button. Button controls look like they can be pressed. They can have a text label, an icon, or both on their face.

Buttons typically use event listeners to perform an action when the user selects the control. When a user clicks the mouse on a Button control, and the Button control is enabled, it dispatches a click event and a buttonDown event. A button always dispatches events such as the mouseMove, mouseOver, mouseOut, rollOver, rollOut, mouseDown, and mouseUp events whether enabled or disabled.

You can customize the look of a Button control and change its functionality from a push button to a toggle button. You can change the button appearance by using a skin for each of the button's states.

The label of a Button control uses a bold typeface. If you embed a font that you want to use for the label of the Button control, you must embed the bold typeface.

Inheritance Hierarchy

  • FlexObject
    • FlexButton
      • FlexCheckBox
      • FlexPopUpButton
      • FlexRadioButton

Syntax

C#
public class FlexButton : FlexObject
VB
'Declaration
Public Class FlexButton _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls.
fillColors | the colors used to tint the background of the control.
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control.
labelPlacement | the orientation of the label in relation to a specified icon.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false).
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0.
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000.
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexButtonBar Class

Description

Defines a horizontal or vertical group of logically related push buttons with a common look and navigation.

Inheritance Hierarchy

  • FlexNavigationBar
    • FlexButtonBar
      • FlexToggleButtonBar

Syntax

C#
public class FlexButtonBar : FlexNavigationBar
VB
'Declaration
Public Class FlexButtonBar _
Inherits FlexNavigationBar

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1. (Inherited from FlexNavigationBar)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event. (Inherited from FlexNavigationBar)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexNavigationBar)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCandlestickChart Class

Description

Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.

The top and bottom of the vertical line in each candlestick represent the high and low values for the datapoint, while the top and bottom of the filled box represents the opening and closing values. Each candlestick is filled differently depending on whether the closing value for the datapoint is higher or lower than the opening value.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexCandlestickChart

Syntax

C#
public class FlexCandlestickChart : FlexCartesianChart
VB
'Declaration
Public Class FlexCandlestickChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
columnWidthRatio | a ratio of how wide to draw the candlesticks relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxColumnWidth | how wide to draw the candlesticks, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCandlestickSeries Class

Description

Represents financial data as a series of candlesticks representing the high, low, opening, and closing values of a data series.

The top and bottom of the vertical line in each candlestick represent the high and low values for the datapoint, while the top and bottom of the filled box represent the opening and closing values. Each candlestick is filled differently depending on whether the closing value for the datapoint is higher or lower than the opening value.

Inheritance Hierarchy

  • FlexHLOCSeriesBase
    • FlexCandlestickSeries

Syntax

C#
public class FlexCandlestickSeries : FlexHLOCSeriesBase
VB
'Declaration
Public Class FlexCandlestickSeries _
Inherits FlexHLOCSeriesBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of elements relative to the category width. (Inherited from FlexHLOCSeriesBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the elements, in pixels. (Inherited from FlexHLOCSeriesBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the element. (Inherited from FlexHLOCSeriesBase)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCanvas Class

Description

A Canvas layout container defines a rectangular region in which you place child containers and controls. It is the only container that lets you explicitly specify the location of its children within the container by using the x and y properties of each child.

Flex sets the children of a Canvas layout container to their preferred width and preferred height. You may override the value for a child's preferred width by setting its width property to either a fixed pixel value or a percentage of the container size. You can set the preferred height in a similar manner.

If you use percentage sizing inside a Canvas container, some of your components may overlap. If this is not the effect you want, plan your component positions and sizes carefully.

Inheritance Hierarchy

  • FlexContainer
    • FlexCanvas

Syntax

C#
public class FlexCanvas : FlexContainer
VB
'Declaration
Public Class FlexCanvas _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCartesianChart Class

Description

A base class for the common chart types. CartesianChart defines the basic layout behavior of the standard rectangular, two-dimensional charts.

Inheritance Hierarchy

  • FlexChart
    • FlexCartesianChart
      • FlexAreaChart
      • FlexBarChart
      • FlexBubbleChart
      • FlexCandlestickChart
      • FlexColumnChart
      • FlexHLOCChart
      • FlexLineChart
      • FlexPlotChart

Syntax

C#
public class FlexCartesianChart : FlexChart
VB
'Declaration
Public Class FlexCartesianChart _
Inherits FlexChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control.
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control.
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control.
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis.
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexChart Class

Description

The link between the Flex component architecture and the DualStyleObject architecture. It extends the Flex UIComponent base class, but contains DualStyleObject classes.

You typically do not use the ChartBase class directly. Instead you use one of its subclasses, such as PlotChart or BubbleChart. It acts as the base class for the common chart types provided in the mx.charts package.

This class defines a number of CSS styles and properties that provide easy access to the more common features of the framework.

A chart's minimum size is 20 x 20 pixels. A chart's maximum size is unbounded. A chart's preferred size is 400 x 400 pixels.

Inheritance Hierarchy

  • FlexObject
    • FlexChart
      • FlexCartesianChart
      • FlexPieChart

Syntax

C#
public class FlexChart : FlexObject
VB
'Declaration
Public Class FlexChart _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered.
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart.
description | a short description of the data in the chart.
dragEnabled | whether you can drag items out of this chart and drop them on other controls.
dropEnabled | whether dragged items can be dropped onto the chart.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
maximumDataTipCount | the maximum number of datatips a chart will show.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
paddingBottom | the number of pixels between the chart's bottom border and its content area.
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2.
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0.
paddingTop | the number of pixels between the chart's top border and its content area.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item.
selectedChartItems | an array of all the selected ChartItem objects in the chart.
selectionMode | whether ChartItem objects can be selected.
showDataTips | whether DataTip controls for the chart show.
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event.
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
DragStart | Defines the value of the type property of the event object for a dragStart event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexChartLegend Class

Description

Adds a legend to your charts, where the legend displays the label for each data series in the chart and a key showing the chart element for the series.

Inheritance Hierarchy

  • FlexObject
    • FlexChartLegend

Syntax

C#
public class FlexChartLegend : FlexObject
VB
'Declaration
Public Class FlexChartLegend _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text that displays next to the legend element.
labelPlacement | the label placement of the legend element. Valid values include: top, bottom, right, and left.
lastVisibleRow | the index of the last visible child.
markerAspectRatio | the aspect ratio for the marker associated with this legend item.
markerHeight | the height of the legend element.
markerWidth | the width of the legend element.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2.
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalGap | the number of pixels between children in the vertical direction. The default value depends on the component class; if not overriden for the class, the default value is 6.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LegendItemClick | Dispatched when the user clicks on a LegendItem in the Legend control, which indicates that the user clicked the mouse button over a legend item.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexChartSeries Class

Description

The base class for the classes that let you specify a data series for a chart control.

You use the subclasses of the Series class with the associated chart control. You can use a Series class to specify the fill pattern and stroke characteristics for the chart elements that are associated with the data series.

Inheritance Hierarchy

  • FlexObject
    • FlexChartSeries
      • FlexAreaSeries
      • FlexBarSeries
      • FlexBubbleSeries
      • FlexColumnSeries
      • FlexHLOCSeriesBase
      • FlexLineSeries
      • FlexPieSeries
      • FlexPlotSeries

Syntax

C#
public class FlexChartSeries : FlexObject
VB
'Declaration
Public Class FlexChartSeries _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series.
selectedIndices | an array of indexes of the selected items in the data provider of the series.
selectedItem | the chart item that is selected in the series.
selectedItems | an array of chart items that are selected in the series.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart.
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart.
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexCheckBox Class

Description

The CheckBox control consists of an optional label and a small box that can contain a check mark or not.

You can place the optional text label to the left, right, top, or bottom of the CheckBox. When a user clicks a CheckBox control or its associated text, the CheckBox control changes its state from checked to unchecked or from unchecked to checked. CheckBox controls gather a set of true or false values that are not mutually exclusive.

Inheritance Hierarchy

  • FlexButton
    • FlexCheckBox

Syntax

C#
public class FlexCheckBox : FlexButton
VB
'Declaration
Public Class FlexCheckBox _
Inherits FlexButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C. (Inherited from FlexButton)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexButton)
fillColors | the colors used to tint the background of the control. (Inherited from FlexButton)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexButton)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexButton)
fontSize | the height of the text, in pixels. (Inherited from FlexButton)
fontStyle | whether the text is italic font. (Inherited from FlexButton)
fontWeight | whether the text is boldface. (Inherited from FlexButton)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control. (Inherited from FlexButton)
labelPlacement | the orientation of the label in relation to a specified icon. (Inherited from FlexButton)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false). (Inherited from FlexButton)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexButton)
textDecoration | whether the text is underlined. (Inherited from FlexButton)
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexButton)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexButton)
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000. (Inherited from FlexButton)
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not. (Inherited from FlexButton)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexColorPicker Class

Description

Provides a way for a user to choose a color from a swatch list.

The default mode of the component shows a single swatch in a square button. When the user clicks the swatch button, the swatch panel appears and displays the entire swatch list.

Inheritance Hierarchy

  • FlexComboBase
    • FlexColorPicker

Syntax

C#
public class FlexColorPicker : FlexComboBase
VB
'Declaration
Public Class FlexColorPicker _
Inherits FlexComboBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. (Inherited from FlexComboBase)
backgroundColor | the background color of a component. (Inherited from FlexComboBase)
backgroundImage | the background image of a component. (Inherited from FlexComboBase)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexComboBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. (Inherited from FlexComboBase)
columnCount | the number of columns in the swatch grid. The default value is 20.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled. (Inherited from FlexComboBase)
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true. (Inherited from FlexComboBase)
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider. (Inherited from FlexComboBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexComboBase)
fillColors | the colors used to tint the background of the control. (Inherited from FlexComboBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexComboBase)
fontSize | the height of the text, in pixels. (Inherited from FlexComboBase)
fontStyle | whether the text is italic font. (Inherited from FlexComboBase)
fontWeight | whether the text is boldface. (Inherited from FlexComboBase)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list. (Inherited from FlexComboBase)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field. (Inherited from FlexComboBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedColor | the value of the currently selected color in the SwatchPanel object.
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexComboBase)
showTextField | whether to show the text box that displays the color label or hexadecimal color value. The default value is true.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field. (Inherited from FlexComboBase)
textAlign | the alignment of text within a container. Possible values are:left, right, or center. (Inherited from FlexComboBase)
textDecoration | whether the text is underlined. (Inherited from FlexComboBase)
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexComboBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the selected color changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event. (Inherited from FlexComboBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners. (Inherited from FlexComboBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event. (Inherited from FlexComboBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexComboBase)
SelectText | Lets you track selection within a text field. (Inherited from FlexComboBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexComboBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexColumnChart Class

Description

Represents data as a series of vertical columns whose height is determined by values in the data.

You can use the ColumnChart to represent a variety of different charts including simple columns, clustered columns, stacked, 100% stacked, and high/low.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexColumnChart

Syntax

C#
public class FlexColumnChart : FlexCartesianChart
VB
'Declaration
Public Class FlexColumnChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
columnWidthRatio | a ratio of wide to draw the columns relative to the category width, as a percentage in the range of 0 to 1.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxColumnWidth | how wide to draw the columns, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexColumnSeries Class

Description

Defines a data series for a ColumnChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexColumnSeries

Syntax

C#
public class FlexColumnSeries : FlexChartSeries
VB
'Declaration
Public Class FlexColumnSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of columns relative to the category width.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the columns, in pixels.
minField | the field of the data provider that determines the y-axis location of the bottom of a column.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
offset | how far to offset the center of the columns from the center of the available space, relative to the category width.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
sortOnXField | whether the columns are sorted from left to right before rendering.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the column.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of the top of a column.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexComboBase Class

Description

The base class for controls that display text in a text field and have a button that causes a drop-down list to appear where the user can choose which text to display.

Inheritance Hierarchy

  • FlexObject
    • FlexComboBase
      • FlexColorPicker
      • FlexComboBox
      • FlexDateField

Syntax

C#
public class FlexComboBase : FlexObject
VB
'Declaration
Public Class FlexComboBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style.
backgroundColor | the background color of a component.
backgroundImage | the background image of a component.
backgroundSize | the percentage to change the image size to for the specified backgroundImage.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled.
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true.
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls.
fillColors | the colors used to tint the background of the control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list.
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the data provider of the selected item.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field.
textAlign | the alignment of text within a container. Possible values are:left, right, or center.
textDecoration | whether the text is underlined.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event.
SelectText | Lets you track selection within a text field.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexComboBox Class

Description

Contains a drop-down list from which the user can select a single value.

The ComboBox can be editable, in which case the user can type entries into the TextInput portion of the ComboBox that are not in the list.

Inheritance Hierarchy

  • FlexComboBase
    • FlexComboBox

Syntax

C#
public class FlexComboBox : FlexComboBase
VB
'Declaration
Public Class FlexComboBox _
Inherits FlexComboBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the set of BackgroundColors for drop-down list rows in an alternating pattern.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. (Inherited from FlexComboBase)
backgroundColor | the background color of a component. (Inherited from FlexComboBase)
backgroundImage | the background image of a component. (Inherited from FlexComboBase)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexComboBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. (Inherited from FlexComboBase)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled. (Inherited from FlexComboBase)
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true. (Inherited from FlexComboBase)
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider. (Inherited from FlexComboBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexComboBase)
fillColors | the colors used to tint the background of the control. (Inherited from FlexComboBase)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexComboBase)
fontSize | the height of the text, in pixels. (Inherited from FlexComboBase)
fontStyle | whether the text is italic font. (Inherited from FlexComboBase)
fontWeight | whether the text is boldface. (Inherited from FlexComboBase)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list. (Inherited from FlexComboBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field. (Inherited from FlexComboBase)
rollOverColor | the rollOverColor of the drop-down list.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexComboBase)
selectionColor | the selectionColor of the drop-down list.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field. (Inherited from FlexComboBase)
textAlign | the alignment of text within a container. Possible values are:left, right, or center. (Inherited from FlexComboBase)
textDecoration | whether the text is underlined. (Inherited from FlexComboBase)
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexComboBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event. (Inherited from FlexComboBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners. (Inherited from FlexComboBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event. (Inherited from FlexComboBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexComboBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SelectText | Lets you track selection within a text field. (Inherited from FlexComboBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexComboBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexContainer Class

Description

An abstract base class for components that controls the layout characteristics of child components.

You do not create an instance of Container in an application. Instead, you create an instance of one of Container's subclasses, such as Canvas or HBox.

The Container class contains the logic for scrolling, clipping, and dynamic instantiation. It contains methods for adding and removing children and the logic for drawing the background and borders of containers.

Inheritance Hierarchy

  • FlexObject
    • FlexContainer
      • FlexAccordion
      • FlexApplication
      • FlexBox
      • FlexCanvas
      • FlexForm
      • FlexFormItem
      • FlexPanel
      • FlexViewStack
      • FlexWindow

Syntax

C#
public class FlexContainer : FlexObject
VB
'Declaration
Public Class FlexContainer _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0.
backgroundColor | the background color of a component.
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined.
backgroundImage | the background image of a component. This can be an absolute or relative URL or class.
backgroundSize | the percentage to change the image size to for the specified backgroundImage.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
creationIndex | the order to instantiate and draw the children of the container.
creationPolicy | the child creation policy for this Container.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components.
fillColors | the colors used to tint the background fill of the component.
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container.
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container.
numColumns | the total number of columns of data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event.
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
DragStart | Defines the value of the type property of the event object for a dragStart event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexContainerMovieClip Class

Description

Container components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.ContainerMovieClip class.

You can use a subclass of ContainerMovieClip as a Flex container, it can hold children, and it can respond to events, define view states and transitions, and work with effects in the same way as can any Flex component.

A Flash container can only have a single Flex child. However, this child can be a Flex container which allows you to add additional children.

Inheritance Hierarchy

  • FlexUIMovieClip
    • FlexContainerMovieClip

Syntax

C#
public class FlexContainerMovieClip : FlexUIMovieClip
VB
'Declaration
Public Class FlexContainerMovieClip _
Inherits FlexUIMovieClip

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexUIMovieClip)
automationIndex | a string containing the automation index for the element. (Inherited from FlexUIMovieClip)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexUIMovieClip)
className | the name of this instance's class, such as "Button". (Inherited from FlexUIMovieClip)
currentState | the current state of this component. (Inherited from FlexUIMovieClip)
enabled | whether a movie clip is enabled. (Inherited from FlexUIMovieClip)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexUIMovieClip)
errorString | the text that is displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexUIMovieClip)
focusEnabled | whether the component can receive focus when selected. (Inherited from FlexUIMovieClip)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexUIMovieClip)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexUIMovieClip)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. Valid values are 0 to 100. (Inherited from FlexUIMovieClip)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Valid values are 0 to 100. (Inherited from FlexUIMovieClip)
scaleX | the horizontal scale (percentage) of the object as applied from the registration point. The default registration point is (0,0). 1.0 equals 100% scale. (Inherited from FlexUIMovieClip)
scaleY | the vertical scale (percentage) of an object as applied from the registration point of the object. The default registration point is (0,0). 1.0 is 100% scale. (Inherited from FlexUIMovieClip)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexUIMovieClip)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexUIMovieClip)
useHandCursor | whether the pointing hand (hand cursor) appears when the mouse rolls over a sprite in which the buttonMode property is set to true. (Inherited from FlexUIMovieClip)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Defines the value of the type property of a keyFocusChange event object. (Inherited from FlexUIMovieClip)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Called by the FocusManager when the component receives focus. The component may in turn set focus to an internal component. (Inherited from FlexUIMovieClip)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDataGrid Class

Description

The DataGrid control is like a List except that it can show more than one column of data making it suited for showing objects with multiple properties.

Inheritance Hierarchy

  • FlexListBase
    • FlexDataGrid

Syntax

C#
public class FlexDataGrid : FlexListBase
VB
'Declaration
Public Class FlexDataGrid _
Inherits FlexListBase

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
editable | whether the user can edit items in the data provider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
headerColors | An array of two colors used to draw the header background gradient.
headerStyleName | the name of a CSS style declaration for controlling other aspects of the appearance of the column headers. The default value is dataGridStyles.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGridLineColor | the color of the horizontal grid lines.
horizontalGridLines | whether to show horizontal grid lines between the rows.
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
minColumnWidth | The minimum width of the columns, in pixels. If not NaN, the DataGrid control applies this value as the minimum width for all columns. Otherwise, individual columns can have their own minimum widths. The default value is NaN.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizableColumns | whether the user can change the size of the columns.
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
sortableColumns | whether the user can sort the data provider items by clicking on a column header cell.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
verticalGridLineColor | the color of the vertical grid lines. The default value is 0x666666.
verticalGridLines | whether to show vertical grid lines between the columns.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
ColumnStretch | Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Edit | Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HeaderClick | Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.
HeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDateChooser Class

Description

Displays the name of a month, the year, and a grid of the days of the month, with columns labeled for the day of the week.

The user can select a date, a range of dates, or multiple dates. The control contains forward and back arrow buttons for changing the month and year.

You can let users select multiple dates, disable the selection of certain dates, and limit the display to a range of dates.

Inheritance Hierarchy

  • FlexObject
    • FlexDateChooser

Syntax

C#
public class FlexDateChooser : FlexObject
VB
'Declaration
Public Class FlexDateChooser _
Inherits FlexObject

Properties

Name | Description
allowDisjointSelection | whether non-contiguous selection is allowed in the DateChooser control.
allowMultipleSelection | whether multiple selection is allowed in the DateChooser control.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
disabledDays | the days to disable in a week.
disabledRanges | the single and multiple days to disable.
displayedMonth | the month displayed in the DateChooser control.
displayedYear | the year displayed in the DateChooser control. The default value is the current year.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
firstDayOfWeek | the number representing the day of the week to display in the first column of the DateChooser control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
headerColors | the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maxYear | the last year selectable in the control.
minYear | the first year selectable in the control.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedDate | the date as selected in the DateChooser control.
selectedRanges | the selected date ranges.
selectionColor | the color of the highlight area of the currently selected date in the DateChooser control. The default value is 0xCDFFC1.
showToday | whether today's date is highlighted in the DataChooser control.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | whether the text is boldface.
textDecoration | whether the text is underlined.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
todayColor | the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yearNavigationEnabled | whether year navigation is enabled.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when a date is selected or changed.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollDate | The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDateField Class

Description

A text field that shows the date with a calendar icon on its right side.

When the user clicks anywhere inside the bounding box of the control, a DateChooser control pops up and shows the dates in the month of the current date. If no date is selected, the text field is blank and the month of the current date is displayed in the DateChooser control.

Inheritance Hierarchy

  • FlexComboBase
    • FlexDateField

Syntax

C#
public class FlexDateField : FlexComboBase
VB
'Declaration
Public Class FlexDateField _
Inherits FlexComboBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. (Inherited from FlexComboBase)
backgroundColor | the background color of a component. (Inherited from FlexComboBase)
backgroundImage | the background image of a component. (Inherited from FlexComboBase)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexComboBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. (Inherited from FlexComboBase)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of the component when it is disabled. (Inherited from FlexComboBase)
disabledDays | the days to disable in a week.
disabledRanges | the disabled single and multiple days.
displayedMonth | the month that is displayed in the DateChooser control.
displayedYear | the year that is displayed in the DateChooser control.
dropShadowEnabled | whether the ComboBase container's drop shadow is visible. The default value is true. (Inherited from FlexComboBase)
editable | whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider. (Inherited from FlexComboBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexComboBase)
fillColors | the colors used to tint the background of the control. (Inherited from FlexComboBase)
firstDayOfWeek | the day of the week (0-6, where 0 is the first element of the dayNames Array) to display in the first column of the DateChooser control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexComboBase)
fontSize | the height of the text, in pixels. (Inherited from FlexComboBase)
fontStyle | whether the text is italic font. (Inherited from FlexComboBase)
fontWeight | whether the text is boldface. (Inherited from FlexComboBase)
headerColors | the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
highlightColor | the highlight color of the drop-down list. (Inherited from FlexComboBase)
id | the ID of the component. (Inherited from FlexObject)
maxYear | the last year selectable in the control.
minYear | the first year selectable in the control.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can or cannot enter into the text field. (Inherited from FlexComboBase)
rollOverColor | the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedDate | the date as selected in the DateChooser control.
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexComboBase)
showToday | the day highlighted in the DateChooser control.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the contents of the text field. (Inherited from FlexComboBase)
textAlign | the alignment of text within a container. Possible values are:left, right, or center. (Inherited from FlexComboBase)
textDecoration | whether the text is underlined. (Inherited from FlexComboBase)
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexComboBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
todayColor | the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yearNavigationEnabled | whether the year up and down buttons are available for navigation.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when a date is selected or changed, and the DateChooser control closes.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Defines the value of the type property of the event object for a close event. (Inherited from FlexComboBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners. (Inherited from FlexComboBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Defines the value of the type property of the event object for a open event. (Inherited from FlexComboBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexComboBase)
ScrollDate | The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.
SelectText | Lets you track selection within a text field. (Inherited from FlexComboBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexComboBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDisplayObject Class

Description

The base class for all objects that can be placed on the display list. The display list manages all objects displayed in Flash Player or Adobe AIR.

Inheritance Hierarchy

  • TestObject
    • FlexDisplayObject
      • FlexListLabel
      • FlexObject
      • FlexUIMovieClip

Syntax

C#
public class FlexDisplayObject : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class FlexDisplayObject _
Inherits TestObject _
Implements IClickable, IKeyable

Properties

Name | Description
alpha | the alpha transparency value of the object specified.
height | the height of the display object, in pixels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren.
tabChildren | whether the children of the display object are tab enabled. The default is true.
tabEnabled | whether this object is in the tab order.
tabIndex | the tab ordering of objects in a SWF file.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible.
width | the width of the display object, in pixels.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexDividedBox Class

Description

Measures and lays out its children horizontally or vertically in exactly the same way as a Box container, but it inserts draggable dividers in the gaps between the children. Users can drag any divider to resize the children on each side.

The DividedBox class is the base class for the HDividedBox and VDividedBox classes.

Inheritance Hierarchy

  • FlexBox
    • FlexDividedBox

Syntax

C#
public class FlexDividedBox : FlexBox
VB
'Declaration
Public Class FlexDividedBox _
Inherits FlexBox

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeToContent | whether the DividedBox automatically resizes to the size of its children.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
Dragged | Dispatched multiple times as the user drags any divider. The dividerDrag event is dispatched after the dividerPress event and before the dividerRelease event.
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Pressed | Dispatched when the user presses any divider in this container.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Released | Dispatched when the user releases a divider.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexForm Class

Description

Use this class to control the layout of a form, mark form fields as required or optional, handle error messages, and bind your form data to the Flex data model to perform data checking and validation. This class also lets you use style sheets to configure the appearance of your forms.

Inheritance Hierarchy

  • FlexContainer
    • FlexForm

Syntax

C#
public class FlexForm : FlexContainer
VB
'Declaration
Public Class FlexForm _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexFormItem Class

Description

Defines a label and one or more children arranged horizontally or vertically. Children can be controls or other containers. A single Form container can hold multiple FormItem containers.

Inheritance Hierarchy

  • FlexContainer
    • FlexFormItem

Syntax

C#
public class FlexFormItem : FlexContainer
VB
'Declaration
Public Class FlexFormItem _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexHLOCChart Class

Description

The HLOCChart (High Low Open Close) control represents financial data as a series of elements representing the high, low, closing, and optionally opening values of a data series.

The top and bottom of the vertical line in each element represent the high and low values for the datapoint. The right-facing tick represents the closing values, and the left tick represents the opening value if one was specified.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexHLOCChart

Syntax

C#
public class FlexHLOCChart : FlexCartesianChart
VB
'Declaration
Public Class FlexHLOCChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
columnWidthRatio | a ratio of how wide to draw the HLOC lines relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maxColumnWidth | how wide to draw the HLOC lines, in pixels.
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexHLOCSeries Class

Description

Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.

The top and bottom of the vertical line in each element represent the high and low values for the datapoint. The right-facing tick mark represents the closing value, and the left tick mark represents the opening value, if one was specified.

Inheritance Hierarchy

  • FlexHLOCSeriesBase
    • FlexHLOCSeries

Syntax

C#
public class FlexHLOCSeries : FlexHLOCSeriesBase
VB
'Declaration
Public Class FlexHLOCSeries _
Inherits FlexHLOCSeriesBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of elements relative to the category width. (Inherited from FlexHLOCSeriesBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the elements, in pixels. (Inherited from FlexHLOCSeriesBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the element. (Inherited from FlexHLOCSeriesBase)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexHLOCSeriesBase Class

Description

Represents financial data as a series of elements representing the high, low, closing, and, optionally, opening values of a data series.

The top and bottom of the vertical line in each element represent the high and low values for the datapoint. The right-facing tick mark represents the closing value, and the left tick mark represents the opening value, if one was specified.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexHLOCSeriesBase
      • FlexCandlestickSeries
      • FlexHLOCSeries

Syntax

C#
public class FlexHLOCSeriesBase : FlexChartSeries
VB
'Declaration
Public Class FlexHLOCSeriesBase _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
columnWidthRatio | the width of elements relative to the category width.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxColumnWidth | the width of the elements, in pixels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of the element.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexImage Class

Description

Lets you import JPEG, PNG, GIF, and SWF files at runtime.

You can also embed any of these files and SVG files at compile time by using @Embed(source='filename').

Note: Flex also includes the SWFLoader control for loading Flex applications. You typically use the Image control for loading static graphic files and SWF files, and use the SWFLoader control for loading Flex applications. The Image control is also designed to be used in custom item renderers and item editors.

Inheritance Hierarchy

  • FlexLoader
    • FlexImage

Syntax

C#
public class FlexImage : FlexLoader
VB
'Declaration
Public Class FlexImage _
Inherits FlexLoader

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
source | The URL, object, class or string name of a class to load as the content. (Inherited from FlexLoader)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLabel Class

Description

Displays a single line of noneditable text.

Inheritance Hierarchy

  • FlexObject
    • FlexLabel

Syntax

C#
public class FlexLabel : FlexObject
VB
'Declaration
Public Class FlexLabel _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
htmlText | the text displayed by the Label control, including HTML markup that expresses the styles of that text.
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the plain text displayed by this control. Its appearance is determined by the CSS styles of this Label control.
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLineChart Class

Description

Represents a data series as points connected by a continuous line.

You can use an icon or symbol to represent each data point along the line, or show a simple line with no icons.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexLineChart

Syntax

C#
public class FlexLineChart : FlexCartesianChart
VB
'Declaration
Public Class FlexLineChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLineSeries Class

Description

Defines a data series for a LineChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexLineSeries

Syntax

C#
public class FlexLineSeries : FlexChartSeries
VB
'Declaration
Public Class FlexLineSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
form | the line type for the chart.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radius | the radius, in pixels, of the chart elements for the data points.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
sortOnXField | whether the line datapoints are sorted from left to right before rendering.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of each data point.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of each data point.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLinkBar Class

Description

Defines a horizontal or vertical row of LinkButton controls that designate a series of link destinations.

You typically use a LinkBar control to control the active child container of a ViewStack container, or to create a stand-alone set of links.

Inheritance Hierarchy

  • FlexNavigationBar
    • FlexLinkBar

Syntax

C#
public class FlexLinkBar : FlexNavigationBar
VB
'Declaration
Public Class FlexLinkBar _
Inherits FlexNavigationBar

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1. (Inherited from FlexNavigationBar)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event. (Inherited from FlexNavigationBar)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexNavigationBar)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexList Class

Description

Displays a list of items horizontally, verically, or laid out in tiles.

Inheritance Hierarchy

  • FlexListBase
    • FlexList
      • FlexTree

Syntax

C#
public class FlexList : FlexListBase
VB
'Declaration
Public Class FlexList _
Inherits FlexListBase

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Edit | Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexListBase Class

Description

The ListBase class is the base class for controls that represent lists of items that can have one or more selected and can scroll through the items.

Items are supplied using the dataProvider property and displayed via item renderers.

In a model/view architecture, the ListBase-derived class represents the view, and the dataProvider object represents the model.

Inheritance Hierarchy

  • FlexScrollBase
    • FlexListBase
      • FlexAdvancedDataGrid
      • FlexDataGrid
      • FlexList

Syntax

C#
public class FlexListBase : FlexScrollBase
VB
'Declaration
Public Class FlexListBase _
Inherits FlexScrollBase

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control.
columnNames | a list containing the names of all columns in the data.
columnWidth | the width of the control's columns.
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
iconField | the name of the field in the data provider object that determines what to display as the icon.
id | the ID of the component. (Inherited from FlexObject)
labelField | the name of the field in the data provider items to display as the label.
lastVisibleRow | the index of the last visible child.
lockedColumnCount | the index of the first column in the control that scrolls.
lockedRowCount | the index of the first row in the control that scrolls.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6.
rowCount | the number of rows to be displayed.
rowHeight | the height of the rows in pixels.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected.
selectedIndex | the index in the data provider of the selected item.
selectedIndices | an array of indices in the data provider of the selected items.
selectedItem | a reference to the selected item in the data provider.
selectedItems | an array of references to the selected items in the data provider.
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF.
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD.
showDataTips | whether dataTips are displayed for text in the rows.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height.
verticalAlign | the vertical alignment of a renderer in a row.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control.
DragCancel | Defines the value of the type property of the event object for a dragComplete event.
DragDrop | Defines the value of the type property of the event object for a dragDrop event.
DragStart | Defines the value of the type property of the event object for a dragStart event.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event.
ScrollToIndex | Ensures that the data provider item at the given index is visible.
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexListLabel Class

Description

Defines the default item renderer for a control. By default, the item renderer draws the text associated with each item in the list, and an optional icon.

Inheritance Hierarchy

  • FlexDisplayObject
    • FlexListLabel

Syntax

C#
public class FlexListLabel : FlexDisplayObject
VB
'Declaration
Public Class FlexListLabel _
Inherits FlexDisplayObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
automationValue | the value that generally corresponds to the rendered appearance of the object and should be usable for correlating the identifier with the object as it appears visually within the application.
className | the name of this instance's class, such as "Button".
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexLoader Class

Description

Loads and displays a specified SWF file. You typically use SWFLoader for loading one Flex application into a host Flex application.

Inheritance Hierarchy

  • FlexObject
    • FlexLoader
      • FlexImage

Syntax

C#
public class FlexLoader : FlexObject
VB
'Declaration
Public Class FlexLoader _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
source | The URL, object, class or string name of a class to load as the content.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexMenu Class

Description

Creates a pop-up menu of individually selectable choices, similar to the File or Edit menu found in most software applications. The popped up menu can have as many levels of submenus as needed.

Inheritance Hierarchy

  • FlexObject
    • FlexMenu

Syntax

C#
public class FlexMenu : FlexObject
VB
'Declaration
Public Class FlexMenu _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors used for menu or submenu menu items in an alternating pattern.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the menu item background when a user rolls the mouse over it. The default value is 0xB2E1FF.
rowCount | the number of rows to be displayed.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the data provider of the selected item.
selectionColor | the color of the menu item background when a menu item is selected. The default value is 0x7FCEFF.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the color of the menu item text when a user rolls the mouse over the menu item. The default value is 0x2B333C.
textSelectedColor | the color of the menu item text when the menu item is selected. The default value is 0x2B333C.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
Hide | Dispatched when a menu or submenu is dismissed.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when a menu item is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Show | Dispatched when a menu or submenu opens.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexMenuBar Class

Description

Defines a horizontal, top-level menu bar that contains one or more menus. Clicking on a top-level menu item opens a pop-up submenu that is an instance of the Menu control.

Inheritance Hierarchy

  • FlexObject
    • FlexMenuBar

Syntax

C#
public class FlexMenuBar : FlexObject
VB
'Declaration
Public Class FlexMenuBar _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundColor | the background color of the component.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of children of this object.
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the menu item background when a user rolls the mouse over it.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index in the MenuBar control of the currently open Menu or the last opened Menu if none are currently open.
selectionColor | the color of the menu item background when a menu item is selected.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
Hide | Dispatched when a menu or submenu is dismissed.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Show | Dispatched when a menu or submenu opens.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexNavigationBar Class

Description

The superclass for navigator controls, such as the LinkBar and TabBar controls. This class cannot be instantiated directly.

Inheritance Hierarchy

  • FlexBox
    • FlexNavigationBar
      • FlexButtonBar
      • FlexLinkBar

Syntax

C#
public class FlexNavigationBar : FlexBox
VB
'Declaration
Public Class FlexNavigationBar _
Inherits FlexBox

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexNumericStepper Class

Description

Lets the user select a number from an ordered set.

The NumericStepper control consists of a single-line input text field and a pair of arrow buttons for stepping through the possible values. The Up Arrow and Down Arrow keys also cycle through the values.

Inheritance Hierarchy

  • FlexObject
    • FlexNumericStepper

Syntax

C#
public class FlexNumericStepper : FlexObject
VB
'Declaration
Public Class FlexNumericStepper _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control. Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface. Recognized values are normal and bold.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | the maximum value of the NumericStepper.
minimum | the minimum value of the NumericStepper.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
nextValue | the value that is one step larger than the current value property and not greater than the maximum property value.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
previousValue | the value that is one step smaller than the current value property and not smaller than the maximum property value.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stepSize | the non-zero unit of change between values.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. Possible values are: left, right, or center.
textDecoration | whether the text is underlined. Possible values are none and underline. The default value is none.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | the value displayed in the text area of the NumericStepper control.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper control changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Lets you track selection within a text field.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexObject Class

Description

The base class for all visual components, both interactive and noninteractive.

Inheritance Hierarchy

  • FlexDisplayObject
    • FlexObject
      • FlexAxisRenderer
      • FlexButton
      • FlexChart
      • FlexChartLegend
      • FlexChartSeries
      • FlexComboBase
      • FlexContainer
      • FlexDateChooser
      • FlexLabel
      • FlexLoader
      • FlexMenu
      • FlexMenuBar
      • FlexNumericStepper
      • FlexProgressBar
      • FlexRule
      • FlexScrollBar
      • FlexScrollBase
      • FlexSlider
      • FlexVideoDisplay
      • SparkDataGridLabel
      • SparkGroupBase
      • SparkObject
      • SparkPopUpAnchor
      • SparkTextBase
      • SparkVideoDisplay

Syntax

C#
public class FlexObject : FlexDisplayObject
VB
'Declaration
Public Class FlexObject _
Inherits FlexDisplayObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
className | the name of this instance's class, such as Button.
currentState | the current view state of the component.
enabled | whether the component can accept user interaction.
errorColor | the color of the component highlight when validation fails.
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails.
focusEnabled | whether the component can receive focus when tabbed to.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size.
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN.
scaleX | the number that specifies the horizontal scaling factor.
scaleY | the number that specifies the vertical scaling factor.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexOLAPDataGrid Class

Description

Expands on the functionality of the AdvancedDataGrid control to add support for the display of the results of OLAP queries.

Like all Flex data grid controls, the OLAPDataGrid control is designed to display data in a two-dimensional representation of rows and columns.

Inheritance Hierarchy

  • FlexAdvancedDataGrid
    • FlexOLAPDataGrid

Syntax

C#
public class FlexOLAPDataGrid : FlexAdvancedDataGrid
VB
'Declaration
Public Class FlexOLAPDataGrid _
Inherits FlexAdvancedDataGrid

Properties

Name | Description
allowDragSelection | whether drag-selection is enabled. Drag-Selection is the ability to select an item by dragging into it as opposed to normal selection where you can't have the mouse button down when you mouse over the item you want to select. (Inherited from FlexAdvancedDataGrid)
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
defaultCellString | the String displayed in a cell when the data for that cell returned by the IOLAPResult instance is null (Nothing in Visual Basic) or NaN.
depthColors | the array of colors used for the rows of each level of the navigation tree of the AdvancedDataGrid control, in descending order. The default value is undefined. (Inherited from FlexAdvancedDataGrid)
disabledColor | the color of text in the component if it is disabled. (Inherited from FlexAdvancedDataGrid)
displayItemsExpanded | whether the navigation tree is expanded to show all items. (Inherited from FlexAdvancedDataGrid)
editable | whether the user can edit items in the data provider. (Inherited from FlexAdvancedDataGrid)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
headerColors | an array of two colors used to draw the header background gradient. (Inherited from FlexAdvancedDataGrid)
headerHeight | the height of the header cell of the column, in pixels. (Inherited from FlexAdvancedDataGrid)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalGridLineColor | the color of the horizontal grid lines. (Inherited from FlexAdvancedDataGrid)
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
indentation | the indentation for each node of the navigation tree, in pixels. The default value is 17. (Inherited from FlexAdvancedDataGrid)
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
minColumnWidth | the minimum width of the columns, in pixels. (Inherited from FlexAdvancedDataGrid)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
openDuration | the length of an open or close transition for the navigation tree, in milliseconds. The default value is 250. (Inherited from FlexAdvancedDataGrid)
paddingBottom | the number of pixels between the bottom of the row and the bottom of the renderer in the row. (Inherited from FlexAdvancedDataGrid)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexAdvancedDataGrid)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexAdvancedDataGrid)
paddingTop | the number of pixels between the top of the row and the top of the renderer in the row. (Inherited from FlexAdvancedDataGrid)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizableColumns | whether the user can change the size of the columns. (Inherited from FlexAdvancedDataGrid)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedCells | an Array of cell locations as row and column indices. (Inherited from FlexAdvancedDataGrid)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
selectionMode | the selection mode of the control. (Inherited from FlexAdvancedDataGrid)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
verticalGridLineColor | the color of the vertical grid lines. The default value is 0x666666. (Inherited from FlexAdvancedDataGrid)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes or collapses a AdvancedDataGrid branch. (Inherited from FlexAdvancedDataGrid)
ColumnGroupedADGHeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index. (Inherited from FlexAdvancedDataGrid)
ColumnStretch | Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed. (Inherited from FlexAdvancedDataGrid)
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellData | Returns data for a cell in the grid. (Inherited from FlexAdvancedDataGrid)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetGroupedItemChildrenCount | Returns the number of children within the first item of a group. (Inherited from FlexAdvancedDataGrid)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRowData | Returns data for the row of the item in the data provider. (Inherited from FlexAdvancedDataGrid)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HeaderClick | Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column. (Inherited from FlexAdvancedDataGrid)
HeaderShift | Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index. (Inherited from FlexAdvancedDataGrid)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsGroupedItem | Returns a value that specifies whether the item is a member of a group. (Inherited from FlexAdvancedDataGrid)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
Open | Opens or expands an AdvancedDataGrid branch. (Inherited from FlexAdvancedDataGrid)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPanel Class

Description

Consists of a title bar, a caption, a border, and a content area for its children.

Typically, you use Panel containers to wrap top-level application modules. For example, you can include a shopping cart in a Panel container.

Inheritance Hierarchy

  • FlexContainer
    • FlexPanel
      • FlexAlert
      • FlexTitleWindow

Syntax

C#
public class FlexPanel : FlexContainer
VB
'Declaration
Public Class FlexPanel _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
dropShadowEnabled | whether the Panel container's drop shadow is visible. The default value is true.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
footerColors | the array of two colors used to draw the footer (area for the ControlBar container) background.
headerColors | the array of two colors used to draw the header.
headerHeight | the height of the header. The default value is based on the style of the title text.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
status | the text in the status area of the title bar. The default value is "".
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. The default value is "".
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPieChart Class

Description

Represents a data series as a standard pie chart.

The data for the data provider determines the size of each wedge in the pie chart relative to the other wedges. You can use the PieSeries class to create standard pie charts, doughnut charts, or stacked pie charts.

Inheritance Hierarchy

  • FlexChart
    • FlexPieChart

Syntax

C#
public class FlexPieChart : FlexChart
VB
'Declaration
Public Class FlexPieChart _
Inherits FlexChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
innerRadius | the size of the hole in the center of the pie chart.
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPieSeries Class

Description

Defines the data series for a PieChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexPieSeries

Syntax

C#
public class FlexPieSeries : FlexChartSeries
VB
'Declaration
Public Class FlexPieSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
calloutGap | how much space, in pixels, to insert between the edge of the pie and the labels when rendering callouts. The default value is 10.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
explodeRadius | a number from 0 to 1, specifying how far all wedges of the pie series should be exploded from the center of the chart as a percentage of the total radius.
field | the field of the data provider that determines the data for each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontSize | the height of the text, in pixels.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
innerRadius | a number from 0 to 1 specifying the distance from the center of the series to the inner edge of the rendered wedges, as a percentage of the total radius assigned to the series.
insideLabelSizeLimit | the font size threshold, in points, below which inside labels are considered illegible.
labelPosition | how to render value labels.
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
maxLabelRadius | the maximum amount of the PieSeries's radius that can be allocated to labels.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
nameField | the field of the data provider that determines the name of each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
outerRadius | the percentage of the total space available to the PieSeries to use when rendering the contents of the series.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
startAngle | the starting angle for the first slice of the PieChart control.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPlotChart Class

Description

Represents data with two values for each data point. One value determines the position of the data point along the horizontal axis, and one value determines its position along the vertical axis.

Inheritance Hierarchy

  • FlexCartesianChart
    • FlexPlotChart

Syntax

C#
public class FlexPlotChart : FlexCartesianChart
VB
'Declaration
Public Class FlexPlotChart _
Inherits FlexCartesianChart

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipContent | whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered. (Inherited from FlexChart)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChart)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipMode | how Flex displays DataTip controls for the chart. (Inherited from FlexChart)
description | a short description of the data in the chart. (Inherited from FlexChart)
dragEnabled | whether you can drag items out of this chart and drop them on other controls. (Inherited from FlexChart)
dropEnabled | whether dragged items can be dropped onto the chart. (Inherited from FlexChart)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChart)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexChart)
fontSize | the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11. (Inherited from FlexChart)
gutterBottom | The size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control. (Inherited from FlexCartesianChart)
gutterLeft | The size of the region, in pixels, between the left of the chart data area and the left of the chart control. (Inherited from FlexCartesianChart)
gutterRight | The size of the region, in pixels, between the right side of the chart data area and the outside of the chart control. (Inherited from FlexCartesianChart)
gutterTop | The size of the region, in pixels, between the top of the chart data area and the top of the chart control. (Inherited from FlexCartesianChart)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAxisRatio | the height limit of the horiztonal axis. (Inherited from FlexCartesianChart)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChart)
maximumDataTipCount | the maximum number of datatips a chart will show. (Inherited from FlexChart)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseSensitivity | the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart. (Inherited from FlexChart)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChart)
numRows | the total number of rows of data available. (Inherited from FlexChart)
paddingBottom | the number of pixels between the chart's bottom border and its content area. (Inherited from FlexChart)
paddingLeft | the number of pixels between the control's left border and the left edge of its content area. The default value is 2. (Inherited from FlexChart)
paddingRight | the number of pixels between the control's right border and the right edge of its content area. The default value is 0. (Inherited from FlexChart)
paddingTop | the number of pixels between the chart's top border and its content area. (Inherited from FlexChart)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChartItem | the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item. (Inherited from FlexChart)
selectedChartItems | an array of all the selected ChartItem objects in the chart. (Inherited from FlexChart)
selectionMode | whether ChartItem objects can be selected. (Inherited from FlexChart)
showDataTips | whether DataTip controls for the chart show. (Inherited from FlexChart)
showDataTipTargets | whether to show targets over the datapoints when showDataTips is set to true. (Inherited from FlexChart)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexCartesianChart)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAxisRatio | the width limit of the vertical axis. (Inherited from FlexCartesianChart)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexChart)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexChart)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexChart)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChart)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header. (Inherited from FlexChart)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPlotSeries Class

Description

Defines a data series for a PlotChart control.

Inheritance Hierarchy

  • FlexChartSeries
    • FlexPlotSeries

Syntax

C#
public class FlexPlotSeries : FlexChartSeries
VB
'Declaration
Public Class FlexPlotSeries _
Inherits FlexChartSeries

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexChartSeries)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexChartSeries)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from FlexChartSeries)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexChartSeries)
numRows | the total number of rows of data available. (Inherited from FlexChartSeries)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
radius | the radius style
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the selected item in the data provider of the series. (Inherited from FlexChartSeries)
selectedIndices | an array of indexes of the selected items in the data provider of the series. (Inherited from FlexChartSeries)
selectedItem | the chart item that is selected in the series. (Inherited from FlexChartSeries)
selectedItems | an array of chart items that are selected in the series. (Inherited from FlexChartSeries)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
xField | the field of the data provider that determines the x-axis location of each data point.
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
yField | the field of the data provider that determines the y-axis location of each data point.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexChartSeries)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SeriesClick | Indicates that the user clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesDoubleClick | Indicates that the user double-clicked the mouse button over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SeriesItemRollOver | Indicates that the user rolled the mouse pointer over a chart item representing data in the chart. (Inherited from FlexChartSeries)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexPopUpButton Class

Description

The PopUpButton control adds a flexible pop-up control interface to a Button control. It contains a main button and a secondary button, called the pop-up button, which pops up any UIComponent object when a user clicks the pop-up button.

A PopUpButton control can have a text label, an icon, or both on its face. When a user clicks the main part of the PopUpButton control, it dispatches a click event.

One common use for the PopUpButton control is to have the pop-up button open a List control or a Menu control that changes the function and label of the main button.

Inheritance Hierarchy

  • FlexButton
    • FlexPopUpButton

Syntax

C#
public class FlexPopUpButton : FlexButton
VB
'Declaration
Public Class FlexPopUpButton _
Inherits FlexButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C. (Inherited from FlexButton)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexButton)
fillColors | the colors used to tint the background of the control. (Inherited from FlexButton)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexButton)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexButton)
fontSize | the height of the text, in pixels. (Inherited from FlexButton)
fontStyle | whether the text is italic font. (Inherited from FlexButton)
fontWeight | whether the text is boldface. (Inherited from FlexButton)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control. (Inherited from FlexButton)
labelPlacement | the orientation of the label in relation to a specified icon. (Inherited from FlexButton)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false). (Inherited from FlexButton)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexButton)
textDecoration | whether the text is underlined. (Inherited from FlexButton)
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexButton)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexButton)
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000. (Inherited from FlexButton)
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not. (Inherited from FlexButton)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Dispatched when the specified UIComponent closes.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the specified UIComponent opens.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexProgressBar Class

Description

The ProgressBar control provides a visual representation of the progress of a task over time. There are two types of ProgressBar controls: determinate and indeterminate.

A determinate ProgressBar control is a linear representation of the progress of a task over time. You use a determinate ProgressBar when the scope of the task is known. It displays when the user has to wait for an extended amount of time.

An indeterminate ProgressBar control represents time-based processes for which the scope is not yet known. As soon as you can determine the scope, you should use a determinate ProgressBar control.

Inheritance Hierarchy

  • FlexObject
    • FlexProgressBar

Syntax

C#
public class FlexProgressBar : FlexObject
VB
'Declaration
Public Class FlexProgressBar _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
barColor | the color of a ProgressBar.
borderColor | the black section of a three-dimensional border, or the color section of a two-dimensional border. The default value is 0xB7BABC.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
conversion | the number used to convert incoming current bytes loaded value and the total bytes loaded values.
currentState | the current view state of the component. (Inherited from FlexObject)
direction | the direction in which the fill of the ProgressBar expands toward completion. Valid values in MXML are "right" and "left".
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background fill of the component.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
indeterminate | whether the ProgressBar control has a determinate or indeterminate appearance.
label | the text that accompanies the progress bar.
labelPlacement | the placement of the label.
labelWidth | the width of the label in pixels.
maximum | the largest progress value for the ProgressBar. You can only use this property in manual mode.
minimum | the smallest progress value for the ProgressBar. This property is set by the developer only in manual mode.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentComplete | the percentage of process that is completed. The range is 0 to 100.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container.
textDecoration | whether the text is underlined.
textIndent | the offset of first line of text from the left side of the container, in pixels. The default value is 0.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | the amount of progress that has been made between the minimum and maximum values.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexRadioButton Class

Description

The RadioButton control lets the user make a single choice within a set of mutually exclusive choices.

Inheritance Hierarchy

  • FlexButton
    • FlexRadioButton

Syntax

C#
public class FlexRadioButton : FlexButton
VB
'Declaration
Public Class FlexRadioButton _
Inherits FlexButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C. (Inherited from FlexButton)
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alphas used for the background fill of controls. (Inherited from FlexButton)
fillColors | the colors used to tint the background of the control. (Inherited from FlexButton)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexButton)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexButton)
fontSize | the height of the text, in pixels. (Inherited from FlexButton)
fontStyle | whether the text is italic font. (Inherited from FlexButton)
fontWeight | whether the text is boldface. (Inherited from FlexButton)
groupName | the name of the group to which this RadioButton control belongs, or specifies the value of the id property of a RadioButtonGroup control if this RadioButton is part of a group defined by a RadioButtonGroup control.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the Button control. (Inherited from FlexButton)
labelPlacement | the orientation of the label in relation to a specified icon. (Inherited from FlexButton)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether a toggle button is toggled on (true) or off (false). (Inherited from FlexButton)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textAlign | the alignment of text within a container. (Inherited from FlexButton)
textDecoration | whether the text is underlined. (Inherited from FlexButton)
textIndent | the offset of the first line of text from the left side of the container, in pixels. The default value is 0. (Inherited from FlexButton)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexButton)
textSelectedColor | the text color of the label as the user presses it. The default value is 0x000000. (Inherited from FlexButton)
themeColor | the theme color of a component. (Inherited from FlexObject)
toggle | whether a Button is in a toggle state or not. (Inherited from FlexButton)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexRepeater Class

Description

Identifies the repeater control, which creates multiple instances of its subcomponents.

Inheritance Hierarchy

  • TestObject
    • FlexRepeater

Syntax

C#
public class FlexRepeater : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class FlexRepeater _
Inherits TestObject _
Implements IClickable, IKeyable

Properties

Name | Description
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
className | a string containing the class name of the element as assigned by the control developer.
columnNames | a list containing the names of all columns in the data.
count | the number of times this Repeater should execute.
firstVisibleRow | the index of the first visible child.
id | a string containing the automation identifier (ID) for the element.
lastVisibleRow | the index of the last visible child.
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
recycleChildren | whether this Repeater should re-use previously created children, or create new ones.
startingIndex | the index into the dataProvider at which this Repeater starts creating children.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexRule Class

Description

Creates a single horizontal or vertical line. You typically use this control to create a dividing line within a container.

Inheritance Hierarchy

  • FlexObject
    • FlexRule

Syntax

C#
public class FlexRule : FlexObject
VB
'Declaration
Public Class FlexRule _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of the line.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
strokeWidth | the thickness of the rule in pixels.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexScrollBar Class

Description

Lets you control the portion of data that is displayed when there is too much data to fit in a display area.

Inheritance Hierarchy

  • FlexObject
    • FlexScrollBar

Syntax

C#
public class FlexScrollBar : FlexObject
VB
'Declaration
Public Class FlexScrollBar _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lineScrollSize | the amount to scroll when an arrow button is pressed, in pixels. The default value is 1.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
pageScrollSize | the amount to move the scroll thumb when the scroll bar track is pressed, in pixels. The default value is 0.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
scrollPosition | the number that represents the current scroll position.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
trackColors | The colors of the track, as an array of two colors.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the ScrollBar control scrolls through user initiated action or programmatically.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexScrollBase Class

Description

The ScrollControlBase class is the base class for controls with scroll bars.

The user interacts with the scroll bar or the developer accesses methods and properties that alter the viewable area. The ScrollControlBase takes a single child object and positions and masks or sizes that object to display the viewable content. All items to be scrolled must be children of that content object.

Inheritance Hierarchy

  • FlexObject
    • FlexScrollBase
      • FlexListBase
      • FlexTextArea
      • SparkAirHTML

Syntax

C#
public class FlexScrollBase : FlexObject
VB
'Declaration
Public Class FlexScrollBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexSlider Class

Description

Lets users select a value by moving a slider thumb between the end points of the slider track.

The current value of the slider is determined by the relative location of the thumb between the end points of the slider, corresponding to the slider's minimum and maximum values.

Inheritance Hierarchy

  • FlexObject
    • FlexSlider

Syntax

C#
public class FlexSlider : FlexObject
VB
'Declaration
Public Class FlexSlider _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipPrecision | the number of decimal places to use for the data tip text.
direction | the orientation of the slider control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillColors | the colors used to tint the background of the control.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labels | an array of strings used for the slider labels.
labelStyleName | the name of the style to use for the slider label. The default value is undefined.
liveDragging | whether live dragging is enabled for the slider.
maximum | the maximum allowed value on the slider. The default value is 10.
minimum | the minimum allowed value on the slider control. The default value is 0.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showDataTip | whether the data tip shows during user interaction.
snapInterval | the increment value of the slider thumb as the user moves the thumb.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
thumbCount | the number of thumbs allowed on the slider.
tickColor | the color of the tick marks.
tickLength | the length in pixels of the tick marks.
tickThickness | the thickness in pixels of the tick marks.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
trackColors | the colors of the track, as an array of two colors.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | the position of the thumb, and is a number between the minimum and maximum properties.
values | an array of values for each thumb when thumbCount is greater than 1.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the slider changes value due to mouse or keyboard interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexStandalonePlayer Class

Description

The Flex Standalone Player.

Inheritance Hierarchy

  • Window
    • FlexStandalonePlayer

Syntax

C#
public class FlexStandalonePlayer : Window
VB
'Declaration
Public Class FlexStandalonePlayer _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTabNavigator Class

Description

Extends the ViewStack container by including a TabBar container for navigating between its child containers.

Inheritance Hierarchy

  • FlexViewStack
    • FlexTabNavigator

Syntax

C#
public class FlexTabNavigator : FlexViewStack
VB
'Declaration
Public Class FlexTabNavigator _
Inherits FlexViewStack

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal positioning of tabs at the top of this TabNavigator container.
horizontalGap | the separation between tabs, in pixels. The default value is -1, so that the borders of adjacent tabs overlap.
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChild | a reference to the currently visible child container. (Inherited from FlexViewStack)
selectedIndex | the zero-based index of the currently visible child container. (Inherited from FlexViewStack)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabHeight | the height of each tab, in pixels.
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
tabWidth | the width of each tab, in pixels.
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexViewStack)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTextArea Class

Description

A multiline text field with a border and optional scroll bars.

The TextArea control supports the HTML rendering capabilities of Flash Player and AIR.

Inheritance Hierarchy

  • FlexScrollBase
    • FlexTextArea

Syntax

C#
public class FlexTextArea : FlexScrollBase
VB
'Declaration
Public Class FlexTextArea _
Inherits FlexScrollBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
color | the color of text in the component, including the component label. The default value is 0x0B333C.
currentState | the current view state of the component. (Inherited from FlexObject)
disabledColor | the background color of a component.
displayAsPassword | whether this control is used for entering passwords.
editable | whether the user can edit the text in this control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use.
fontSize | the height of the text, in pixels.
fontStyle | whether the text is italic font.
fontWeight | whether the text is boldface.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPolicy | whether the horizontal scroll bar is always on (ScrollPolicy.ON), always off (ScrollPolicy.OFF), or turns on when needed (ScrollPolicy.AUTO).
htmlText | the text displayed by the TextInput control, including HTML markup that expresses the styles of that text.
id | the ID of the component. (Inherited from FlexObject)
length | the number of characters of text displayed in the TextArea.
maxChars | the maximum number of characters that users can enter in the text field.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the control.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectionBeginIndex | the zero-based character index value of the first character in the current selection.
selectionEndIndex | the zero-based index of the position after the last character in the current selection (equivalent to the one-based index of the last character).
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | the plain text that appears in the control.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event.
SelectText | Lets you track selection within a text field.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTitleWindow Class

Description

Contains a title bar, a caption, a border, and a content area for its child.

Typically, you use TitleWindow containers to wrap self-contained application modules. For example, you can include a form in a TitleWindow container. When the user completes the form, you can close the TitleWindow container programmatically, or let the user close it by using the Close button.

Inheritance Hierarchy

  • FlexPanel
    • FlexTitleWindow

Syntax

C#
public class FlexTitleWindow : FlexPanel
VB
'Declaration
Public Class FlexTitleWindow _
Inherits FlexPanel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
dropShadowEnabled | whether the Panel container's drop shadow is visible. The default value is true. (Inherited from FlexPanel)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
footerColors | the array of two colors used to draw the footer (area for the ControlBar container) background. (Inherited from FlexPanel)
headerColors | the array of two colors used to draw the header. (Inherited from FlexPanel)
headerHeight | the height of the header. The default value is based on the style of the title text. (Inherited from FlexPanel)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showCloseButton | whether to display a Close button in the TitleWindow container. The default value is false.\
status | the text in the status area of the title bar. The default value is "". (Inherited from FlexPanel)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. The default value is "". (Inherited from FlexPanel)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexToggleButtonBar Class

Description

Defines a horizontal or vertical group of buttons that maintain their selected or deselected state.

Only one button in the ToggleButtonBar control can be in the selected state. This means that when a user selects a button in a ToggleButtonBar control, the button stays in the selected state until the user selects a different button.

Inheritance Hierarchy

  • FlexButtonBar
    • FlexToggleButtonBar

Syntax

C#
public class FlexToggleButtonBar : FlexButtonBar
VB
'Declaration
Public Class FlexToggleButtonBar _
Inherits FlexButtonBar

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
direction | whether to use vertical (default) or horizontal layout. (Inherited from FlexBox)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of children in the container. (Inherited from FlexBox)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | the index of the active navigation item, where the first item is at an index of 0. The default value is -1. (Inherited from FlexNavigationBar)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of children in the container. (Inherited from FlexBox)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Defines the value of the type property of the event object for an itemClick event. (Inherited from FlexNavigationBar)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexNavigationBar)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexTree Class

Description

The Tree control lets a user view hierarchical data arranged as an expandable tree.

Each item in a tree can be a leaf or a branch. A leaf item is an end point in the tree. A branch item can contain leaf or branch items, or it can be empty.

By default, a leaf is represented by a text label next to a file icon. A branch is represented by a text label next to a folder icon, with a disclosure triangle that a user can open to expose children.

Inheritance Hierarchy

  • FlexList
    • FlexTree

Syntax

C#
public class FlexTree : FlexList
VB
'Declaration
Public Class FlexTree _
Inherits FlexList

Properties

Name | Description
allowMultipleSelection | whether you can allow more than one item to be selected at the same time. (Inherited from FlexListBase)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alternatingItemColors | the colors to use for the backgrounds of the items in the list. (Inherited from FlexListBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundDisabledColor | the color of text in the component if it is disabled. The default value is 0xAAB3B3. (Inherited from FlexListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnCount | the number of columns to be displayed in a TileList control or items in a HorizontalList control. (Inherited from FlexListBase)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexListBase)
columnWidth | the width of the control's columns. (Inherited from FlexListBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dataTipField | the name of the field in the data provider items to display as the data tip. (Inherited from FlexListBase)
depthColors | the array of colors used in the Tree control, in descending order. The default value is undefined.
disabledColor | the disabled color of a list item. The default value is 0xDDDDDD.
editable | whether the user can edit items in the data provider.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from FlexListBase)
focusAlpha | the alpha transparency value of the focus skin. The default value is 0.4. (Inherited from FlexListBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
iconField | the name of the field in the data provider object that determines what to display as the icon. (Inherited from FlexListBase)
id | the ID of the component. (Inherited from FlexObject)
indentation | the indentation for each tree level, in pixels. The default value is 17.
labelField | the name of the field in the data provider items to display as the label. (Inherited from FlexListBase)
lastVisibleRow | the index of the last visible child. (Inherited from FlexListBase)
lockedColumnCount | the index of the first column in the control that scrolls. (Inherited from FlexListBase)
lockedRowCount | the index of the first row in the control that scrolls. (Inherited from FlexListBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from FlexListBase)
numRows | the total number of rows of data available. (Inherited from FlexListBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rollOverColor | the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6. (Inherited from FlexListBase)
rowCount | the number of rows to be displayed. (Inherited from FlexListBase)
rowHeight | the height of the rows in pixels. (Inherited from FlexListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | whether the list shows selected items as selected. (Inherited from FlexListBase)
selectedIndex | the index in the data provider of the selected item. (Inherited from FlexListBase)
selectedIndices | an array of indices in the data provider of the selected items. (Inherited from FlexListBase)
selectedItem | a reference to the selected item in the data provider. (Inherited from FlexListBase)
selectedItems | an array of references to the selected items in the data provider. (Inherited from FlexListBase)
selectionColor | the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF. (Inherited from FlexListBase)
selectionDisabledColor | the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD. (Inherited from FlexListBase)
showDataTips | whether dataTips are displayed for text in the rows. (Inherited from FlexListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
textRollOverColor | the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C. (Inherited from FlexListBase)
textSelectedColor | the color of the text of a renderer when the user selects it. The default value is 0x2B333C. (Inherited from FlexListBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useRollOver | whether items are highlighted as the mouse rolls over them. (Inherited from FlexListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
variableRowHeight | whether the individual rows can have different height. (Inherited from FlexListBase)
verticalAlign | the vertical alignment of a renderer in a row. (Inherited from FlexListBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
wordWrap | whether text in the row should be word wrapped. (Inherited from FlexListBase)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes or collapses a tree branch.
Deselect | Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected. (Inherited from FlexListBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control. (Inherited from FlexListBase)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexListBase)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexListBase)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexListBase)
Edit | Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited. (Inherited from FlexList)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from FlexListBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MultiSelect | Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items. (Inherited from FlexListBase)
Open | Opens or expands a tree branch.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Defines the value of the type property of the event object for a scroll event. (Inherited from FlexListBase)
ScrollToIndex | Ensures that the data provider item at the given index is visible. (Inherited from FlexListBase)
Select | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SelectIndex | Defines the value of the type property of the event object for an event that is dispatched when a single item is selected. (Inherited from FlexListBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from FlexListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexUIMovieClip Class

Description

Components created in Adobe Flash CS3 Professional for use in Flex are subclasses of the mx.flash.UIMovieClip class.

The UIMovieClip class implements the interfaces necessary for a Flash component to be used like a normal Flex component. Therefore, a subclass of UIMovieClip can be used as a child of a Flex container or as a skin, and it can respond to events, define view states and transitions, and work with effects in the same way as can any Flex component.

Inheritance Hierarchy

  • FlexDisplayObject
    • FlexUIMovieClip
      • FlexContainerMovieClip

Syntax

C#
public class FlexUIMovieClip : FlexDisplayObject
VB
'Declaration
Public Class FlexUIMovieClip _
Inherits FlexDisplayObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element.
automationIndex | a string containing the automation index for the element.
automationName | the name that can be used as an identifier for this object.
className | the name of this instance's class, such as "Button".
currentState | the current state of this component.
enabled | whether a movie clip is enabled.
errorColor | the color of the component highlight when validation fails.
errorString | the text that is displayed by a component's error tip when a component is monitored and validation fails.
focusEnabled | whether the component can receive focus when selected.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. Valid values are 0 to 100.
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Valid values are 0 to 100.
scaleX | the horizontal scale (percentage) of the object as applied from the registration point. The default registration point is (0,0). 1.0 equals 100% scale.
scaleY | the vertical scale (percentage) of an object as applied from the registration point of the object. The default registration point is (0,0). 1.0 is 100% scale.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).
useHandCursor | whether the pointing hand (hand cursor) appears when the mouse rolls over a sprite in which the buttonMode property is set to true.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Defines the value of the type property of a keyFocusChange event object.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Called by the FocusManager when the component receives focus. The component may in turn set focus to an internal component.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexVideoDisplay Class

Description

Lets you play an FLV file in a Flex application. It supports progressive download over HTTP, streaming from the Flash Media Server, and streaming from a Camera object.

Inheritance Hierarchy

  • FlexObject
    • FlexVideoDisplay

Syntax

C#
public class FlexVideoDisplay : FlexObject
VB
'Declaration
Public Class FlexVideoDisplay _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
source | the relative path and filename of the FLV file to stream.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
totalTime | the total length of the media, in seconds.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | the volume level, specified as an value between 0 and 1. The default value is 0.75.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexViewStack Class

Description

Consists of a collection of child containers stacked on top of each other, where only one child at a time is visible. When a different child container is selected, it seems to replace the old one because it appears in the same location. However, the old child container still exists; it is just invisible.

Inheritance Hierarchy

  • FlexContainer
    • FlexViewStack
      • FlexTabNavigator

Syntax

C#
public class FlexViewStack : FlexContainer
VB
'Declaration
Public Class FlexViewStack _
Inherits FlexContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedChild | a reference to the currently visible child container.
selectedIndex | the zero-based index of the currently visible child container.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexWindow Class

Description

The Window is a top-level container for additional windows in an AIR desktop application.

Inheritance Hierarchy

  • FlexContainer
    • FlexWindow

Syntax

C#
public class FlexWindow : FlexContainer, IMoveable
VB
'Declaration
Public Class FlexWindow _
Inherits FlexContainer _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isAIRWindow | a value whether this window is an AIR window.
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
StateChange | Dispatched when the displaystatus of the window is changed.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


FlexWindowedApplication Class

Description

The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.

Inheritance Hierarchy

  • FlexApplication
    • FlexWindowedApplication

Syntax

C#
public class FlexWindowedApplication : FlexApplication, IMoveable
VB
'Declaration
Public Class FlexWindowedApplication _
Inherits FlexApplication _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
applicationID | The identifier that AIR uses to identify the application.
autoExit | a value whether the AIR application will quit when the last window closes or will continue running in the background.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
backgroundAlpha | the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0. (Inherited from FlexContainer)
backgroundColor | the background color of a component. (Inherited from FlexContainer)
backgroundDisabledColor | the background color of the component when it is disabled. The global default value is undefined. (Inherited from FlexContainer)
backgroundImage | the background image of a component. This can be an absolute or relative URL or class. (Inherited from FlexContainer)
backgroundSize | the percentage to change the image size to for the specified backgroundImage. (Inherited from FlexContainer)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
columnNames | a list containing the names of all columns in the data. (Inherited from FlexContainer)
creationIndex | the order to instantiate and draw the children of the container. (Inherited from FlexContainer)
creationPolicy | the child creation policy for this Container. (Inherited from FlexContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillAlphas | the alpha transparency values used for the background fill of components. (Inherited from FlexContainer)
fillColors | the colors used to tint the background fill of the component. (Inherited from FlexContainer)
firstVisibleRow | the index of the first visible child. (Inherited from FlexContainer)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
fontFamily | the name of the font to use. (Inherited from FlexContainer)
fontSize | the height of the text, in pixels. (Inherited from FlexContainer)
fontStyle | whether the text is italic font. (Inherited from FlexContainer)
fontWeight | whether the text is boldface. (Inherited from FlexContainer)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text displayed by some navigator containers to represent this Container. (Inherited from FlexContainer)
lastVisibleRow | the index of the last visible child. (Inherited from FlexContainer)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numChildren | the number of child components in this container. (Inherited from FlexContainer)
numColumns | the total number of columns of data available. (Inherited from FlexContainer)
numRows | the total number of rows of data available. (Inherited from FlexContainer)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
url | the URL from which this Application's SWF file was loaded. (Inherited from FlexApplication)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Defines the value of the type property of the event object for a dragComplete event. (Inherited from FlexContainer)
DragDrop | Defines the value of the type property of the event object for a dragDrop event. (Inherited from FlexContainer)
DragStart | Defines the value of the type property of the event object for a dragStart event. (Inherited from FlexContainer)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items. (Inherited from FlexContainer)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexContainer)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Dispatched when the user manually scrolls the container. (Inherited from FlexContainer)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkAirHTML Class

Description

The HTML control lets you display HTML content in your application.

Inheritance Hierarchy

  • FlexScrollBase
    • SparkAirHTML

Syntax

C#
public class SparkAirHTML : FlexScrollBase
VB
'Declaration
Public Class SparkAirHTML _
Inherits FlexScrollBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when a mouse wheel is spun over an InteractiveObject instance. (Inherited from FlexScrollBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkApplication Class

Description

Flex defines a default, or Application, container that lets you start adding content to your application without explicitly defining another container.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkApplication
      • SparkWindowedApplication

Syntax

C#
public class SparkApplication : SparkSkinnableContainer
VB
'Declaration
Public Class SparkApplication _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
colorCorrection | The value of the stage's colorCorrection property.
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | whether the control bar is visible.
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
url | The URL from which this Application's SWF file was loaded.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
viewSourceURL | the URL where the application's source can be viewed.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkBorderContainer Class

Description

The BorderContainer class defines a set of CSS styles that control the appearance of the border and background fill of the container.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkBorderContainer

Syntax

C#
public class SparkBorderContainer : SparkSkinnableContainer
VB
'Declaration
Public Class SparkBorderContainer _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButton Class

Description

The SparkButton component is a commonly used rectangular button. The SparkButton component looks like it can be pressed.

Inheritance Hierarchy

  • SparkButtonBase
    • SparkButton
      • SparkMuteButton

Syntax

C#
public class SparkButton : SparkButtonBase
VB
'Declaration
Public Class SparkButton _
Inherits SparkButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
emphasized | whether the default button as requested by the focus manager.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButtonBar Class

Description

The ButtonBar control defines a horizontal group of logically related buttons with a common look and navigation.

Inheritance Hierarchy

  • SparkListBase
    • SparkButtonBar

Syntax

C#
public class SparkButtonBar : SparkListBase
VB
'Declaration
Public Class SparkButtonBar _
Inherits SparkListBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButtonBarButton Class

Description

The ButtonBarButton class defines the custom item renderer used by the ButtonBar control.

Inheritance Hierarchy

  • SparkToggleButton
    • SparkButtonBarButton

Syntax

C#
public class SparkButtonBarButton : SparkToggleButton
VB
'Declaration
Public Class SparkButtonBarButton _
Inherits SparkToggleButton

Properties

Name | Description
allowDeselection | a value whether the user click on a currently selected button deselects it.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
showsCaret | a value whether the item renderer can show itself as focused.
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled. (Inherited from SparkToggleButton)
DragDrop | The event triggered when the dragged item is dropped. (Inherited from SparkToggleButton)
DragStart | The event triggered when the drag/drop operation begins. (Inherited from SparkToggleButton)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkButtonBase Class

Description

The SparkButtonBase class is the base class for the all Spark button components.

Inheritance Hierarchy

  • SparkObject
    • SparkButtonBase
      • SparkButton
      • SparkToggleButtonBase

Syntax

C#
public class SparkButtonBase : SparkObject
VB
'Declaration
Public Class SparkButtonBase _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkCheckBox Class

Description

The CheckBox component consists of an optional label and a small box that can contain a check mark or not.

Inheritance Hierarchy

  • SparkToggleButtonBase
    • SparkCheckBox

Syntax

C#
public class SparkCheckBox : SparkToggleButtonBase
VB
'Declaration
Public Class SparkCheckBox _
Inherits SparkToggleButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkComboBox Class

Description

The ComboBox control is a child class of the DropDownListBase control. Like the DropDownListBase control, when the user selects an item from the drop-down list in the ComboBox control, the data item appears in the prompt area of the control.

Inheritance Hierarchy

  • SparkDropDownListBase
    • SparkComboBox

Syntax

C#
public class SparkComboBox : SparkDropDownListBase
VB
'Declaration
Public Class SparkComboBox _
Inherits SparkDropDownListBase

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled. (Inherited from SparkList)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls. (Inherited from SparkList)
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation. (Inherited from SparkList)
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control. (Inherited from SparkList)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the drop down is open. (Inherited from SparkDropDownListBase)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
maxChars | The maximum number of characters that the prompt area can contain, as entered by a user.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
restrict | The set of characters that a user can enter into the prompt area.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items. (Inherited from SparkList)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items. (Inherited from SparkList)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the user clicks the drop-down button to display the drop-down list. (Inherited from SparkDropDownListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard. (Inherited from SparkList)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkComplexDisplay Class

Description

A complex rendered object.

Inheritance Hierarchy

  • SparkListLabel
    • SparkComplexDisplay

Syntax

C#
public class SparkComplexDisplay : SparkListLabel
VB
'Declaration
Public Class SparkComplexDisplay _
Inherits SparkListLabel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
automationValue | A value which can be used to uniquely identify this item. (Inherited from SparkListLabel)
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragging | a value whether the SparkListLabel is in dragging mode. (Inherited from SparkListLabel)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
label | the label of the SparkListLabel. (Inherited from SparkListLabel)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | a value whether the SparkListLabel is selected. (Inherited from SparkListLabel)
showsCaret | a value whether the caret is shown. (Inherited from SparkListLabel)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataGrid Class

Description

Identifies a Spark data grid control.

Inheritance Hierarchy

  • SparkSkinnableContainerBase
    • SparkDataGrid

Syntax

C#
public class SparkDataGrid : SparkSkinnableContainerBase
VB
'Declaration
Public Class SparkDataGrid _
Inherits SparkSkinnableContainerBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
columnsLength | the count of the columns.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
rowHeight | the height of the row.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedCell | the selected cell.
selectedCells | the selected cells.
selectedIndex | the index of the selected row.
selectedIndices | the indices of the selected rows.
selectedItem | the item of the selected row.
selectedItems | the items of the selected rows.
selectionLength | the number of selected rows.
selectionMode | the selection mode (singlerow, multiplerows, singlecells or multiplecells).
showDataTips | whether data tips should be shown.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
ColumnStretch | Stretches the given column of the data grid.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
EditNext | Sets the following data grid cell in the edit mode.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HeaderClick | Clicks on the specified column header.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the specified data grid cell.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataGridLabel Class

Description

Identifies a spark data grid label control.

Inheritance Hierarchy

  • FlexObject
    • SparkDataGridLabel

Syntax

C#
public class SparkDataGridLabel : FlexObject
VB
'Declaration
Public Class SparkDataGridLabel _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
automationValue | A value which can be used to uniquely identify this item.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataGroup Class

Description

The DataGroup class is the base container class for data items.

Inheritance Hierarchy

  • SparkGroupBase
    • SparkDataGroup

Syntax

C#
public class SparkDataGroup : SparkGroupBase
VB
'Declaration
Public Class SparkDataGroup _
Inherits SparkGroupBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
Select | Dispatched when one or more items in the list are deselected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDataRenderer Class

Description

The SparkDataRenderer class is the base class for data components in spark.

Inheritance Hierarchy

  • SparkGroup
    • SparkDataRenderer
      • SparkListLabel

Syntax

C#
public class SparkDataRenderer : SparkGroup
VB
'Declaration
Public Class SparkDataRenderer _
Inherits SparkGroup

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDropDownList Class

Description

The SparkDropDownList control contains a drop-down list from which the user can select a single value.

Inheritance Hierarchy

  • SparkDropDownListBase
    • SparkDropDownList

Syntax

C#
public class SparkDropDownList : SparkDropDownListBase
VB
'Declaration
Public Class SparkDropDownList _
Inherits SparkDropDownListBase

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled. (Inherited from SparkList)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls. (Inherited from SparkList)
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation. (Inherited from SparkList)
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control. (Inherited from SparkList)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the drop down is open. (Inherited from SparkDropDownListBase)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
prompt | The prompt for the DropDownList control.
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items. (Inherited from SparkList)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items. (Inherited from SparkList)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the user clicks the drop-down button to display the drop-down list. (Inherited from SparkDropDownListBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard. (Inherited from SparkList)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkDropDownListBase Class

Description

The SparkDropDownListBase control contains a drop-down list from which the user can select a single value.

Inheritance Hierarchy

  • SparkList
    • SparkDropDownListBase
      • SparkComboBox
      • SparkDropDownList

Syntax

C#
public class SparkDropDownListBase : SparkList
VB
'Declaration
Public Class SparkDropDownListBase _
Inherits SparkList

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled. (Inherited from SparkList)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls. (Inherited from SparkList)
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation. (Inherited from SparkList)
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control. (Inherited from SparkList)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the drop down is open.
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items. (Inherited from SparkList)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items. (Inherited from SparkList)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
Open | Dispatched when the user clicks the drop-down button to display the drop-down list.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard. (Inherited from SparkList)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkForm Class

Description

Identifies a Spark form control.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkForm

Syntax

C#
public class SparkForm : SparkSkinnableContainer
VB
'Declaration
Public Class SparkForm _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkFormItem Class

Description

Identifies a Spark form item control.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkFormItem

Syntax

C#
public class SparkFormItem : SparkSkinnableContainer
VB
'Declaration
Public Class SparkFormItem _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text of the form items label.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
required | whether the form item has to have a value to submit the form.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
sequenceLabel | the number of the form item in the form.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkGroup Class

Description

Use this container when you want to manage visual children, both visual components and graphical components.

Inheritance Hierarchy

  • SparkGroupBase
    • SparkGroup
      • SparkDataRenderer
      • SparkTileGroup

Syntax

C#
public class SparkGroup : SparkGroupBase
VB
'Declaration
Public Class SparkGroup _
Inherits SparkGroupBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
blendMode | A value from the BlendMode class that specifies which blend mode to use.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid.
scaleGridLeft | the left coordinate of the scale grid.
scaleGridRight | the right coordinate of the scale grid.
scaleGridTop | the top coordinate of the scale grid.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkGroupBase Class

Description

The GroupBase class defines the base class for components that display visual elements.

Inheritance Hierarchy

  • FlexObject
    • SparkGroupBase
      • SparkDataGroup
      • SparkGroup

Syntax

C#
public class SparkGroupBase : FlexObject
VB
'Declaration
Public Class SparkGroupBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport.
columnNames | a list containing the names of all columns in the data.
contentHeight | The height of the viewport's content.
contentWidth | The width of the viewport's contents.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
luminosityClip | a value whether the luminosity mask clips the masked content.
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask.
maskType | The mask type.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numElements | The number of visual elements in this container.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled.
DragDrop | Dispatched when the dragged item is dropped.
DragStart | Dispatched when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkImage Class

Description

Identifies a Spark image control.

Inheritance Hierarchy

  • SparkObject
    • SparkImage

Syntax

C#
public class SparkImage : SparkObject
VB
'Declaration
Public Class SparkImage _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
bytesLoaded | the number of bytes of the image already loaded.
bytesTotal | the total image data in bytes loaded or pending load.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clearOnLoad | whether or not to clear previous image content prior to loading new content.
contentLoaderGrouping | the optional content grouping identifier to pass to the an associated IContentLoader instance's load() method.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
fillMode | a value how the bitmap fills in the dimensions.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalAlign | the horizontal alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
preliminaryHeight | an estimate to use for height when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.
preliminaryWidth | an estimate to use for width when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.
scaleMode | whether the image is scaled when fillMode is set to BitmapFillMode.SCALE.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
smooth | whether to apply a smoothing algorithm to the bitmap image.
source | the content location.
sourceHeight | the unscaled height of the original image data.
sourceWidth | the unscaled width of the original image data.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
trustedSource | a flag denoting whether the currently loaded content is considered loaded from a source whose security policy allows for cross domain image access.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalAlign | the vertical alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkLabel Class

Description

Label is a low-level UIComponent that can render one or more lines of uniformly-formatted text.

Inheritance Hierarchy

  • SparkTextBase
    • SparkLabel

Syntax

C#
public class SparkLabel : SparkTextBase
VB
'Declaration
Public Class SparkLabel _
Inherits SparkTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isTruncated | whether the text has been truncated. (Inherited from SparkTextBase)
maxDisplayedLines | An integer which determines whether, and where, the text gets truncated. (Inherited from SparkTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text displayed by this text component. (Inherited from SparkTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled. (Inherited from SparkTextBase)
DragDrop | The event triggered when the dragged item is dropped. (Inherited from SparkTextBase)
DragStart | The event triggered when the drag/drop operation begins. (Inherited from SparkTextBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkList Class

Description

The List control displays a vertical list of items.

Inheritance Hierarchy

  • SparkListBase
    • SparkList
      • SparkDropDownListBase

Syntax

C#
public class SparkList : SparkListBase
VB
'Declaration
Public Class SparkList _
Inherits SparkListBase

Properties

Name | Description
allowMultipleSelection | a value if multiple selection is enabled.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragEnabled | A flag that indicates whether you can drag items out of this control and drop them on other controls.
dragMoveEnabled | A flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation.
dropEnabled | A flag that indicates whether dragged items can be dropped onto the control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedIndices | a list representing the indices of the currently selected item or items.
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
selectedItems | a list of Objects representing the currently selected data items.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkListBase Class

Description

The ListBase class is the base class for all components that support selection.

Inheritance Hierarchy

  • SparkSkinnableDataContainer
    • SparkListBase
      • SparkButtonBar
      • SparkList
      • SparkTabBar

Syntax

C#
public class SparkListBase : SparkSkinnableDataContainer
VB
'Declaration
Public Class SparkListBase _
Inherits SparkSkinnableDataContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected.
selectedItem | The item that is currently selected.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkListLabel Class

Description

A simple rendered object.

Inheritance Hierarchy

  • SparkDataRenderer
    • SparkListLabel
      • SparkComplexDisplay

Syntax

C#
public class SparkListLabel : SparkDataRenderer
VB
'Declaration
Public Class SparkListLabel _
Inherits SparkDataRenderer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
automationValue | A value which can be used to uniquely identify this item.
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
dragging | a value whether the SparkListLabel is in dragging mode.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
label | the label of the SparkListLabel.
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | a value whether the SparkListLabel is selected.
showsCaret | a value whether the caret is shown.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkMuteButton Class

Description

The MuteButton class defines the mute button used by the VideoPlayer control.

Inheritance Hierarchy

  • SparkButton
    • SparkMuteButton

Syntax

C#
public class SparkMuteButton : SparkButton
VB
'Declaration
Public Class SparkMuteButton _
Inherits SparkButton

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
emphasized | whether the default button as requested by the focus manager. (Inherited from SparkButton)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | a value whether the control is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | the volume of the control.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MuteChange | Toggles the muting of the control.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkNavigatorContent Class

Description

The NavigatorContent class defines a Spark container that can be used in an MX navigator container, such as the ViewStack, TabNavigator and Accordion containers.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkNavigatorContent

Syntax

C#
public class SparkNavigatorContent : SparkSkinnableContainer
VB
'Declaration
Public Class SparkNavigatorContent _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkNumericStepper Class

Description

The NumericStepper control lets you select a number from an ordered set. The NumericStepper provides the same functionality as the Spinner component, but adds a TextInput control so that you can directly edit the value of the component, rather than modifying it by using the control's arrow buttons.

Inheritance Hierarchy

  • SparkSpinner
    • SparkNumericStepper

Syntax

C#
public class SparkNumericStepper : SparkSpinner
VB
'Declaration
Public Class SparkNumericStepper _
Inherits SparkSpinner

Properties

Name | Description
allowValueWrap | the behavior of the control for a step when the current value is either the maximum or minimum value. (Inherited from SparkSpinner)
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | a value whether the IME should be enabled when the component receives focus.
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (Input Method Editor) mode.
maxChars | The maximum number of characters that can be entered in the field.
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkSpinner)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkSpinner)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkObject Class

Description

The SparkObject class defines the base class for all spark components.

Inheritance Hierarchy

  • FlexObject
    • SparkObject
      • SparkButtonBase
      • SparkImage
      • SparkRange
      • SparkRichEditableText
      • SparkSkinnableContainerBase
      • SparkSkinnableTextBase
      • SparkVideoPlayer

Syntax

C#
public class SparkObject : FlexObject
VB
'Declaration
Public Class SparkObject _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkPanel Class

Description

The Panel class defines a container that includes a title bar, a caption, a border, and a content area for its children.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkPanel
      • SparkTitleWindow

Syntax

C#
public class SparkPanel : SparkSkinnableContainer
VB
'Declaration
Public Class SparkPanel _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | a value whether the control bar is visible.
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkPopUpAnchor Class

Description

Identifies a Spark PopUpAnchor control.

Inheritance Hierarchy

  • FlexObject
    • SparkPopUpAnchor

Syntax

C#
public class SparkPopUpAnchor : FlexObject
VB
'Declaration
Public Class SparkPopUpAnchor _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
displayPopUp | whether the popUp is visible.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
popUpHeightMatchesAnchorHeight | whether the height of the popUp control is set to the value of the PopUpAnchor's height.
popUpPosition | the position of the popUp control when it is opened, relative to the PopUpAnchor component.
popUpWidthMatchesAnchorWidth | whether the width of the popUp control is set to the value of the PopUpAnchor's width.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRadioButton Class

Description

The RadioButton component allows the user make a single choice within a set of mutually exclusive choices. A RadioButtonGroup is composed of two or more RadioButton components with the same groupName property.

Inheritance Hierarchy

  • SparkToggleButtonBase
    • SparkRadioButton

Syntax

C#
public class SparkRadioButton : SparkToggleButtonBase
VB
'Declaration
Public Class SparkRadioButton _
Inherits SparkToggleButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
groupName | the name of the group to which this RadioButton component belongs, or specifies the value of the id property of a RadioButtonGroup component if this RadioButton is part of a group defined by a RadioButtonGroup component.
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRange Class

Description

The Range class holds a value and an allowed range for that value, defined by minimum and maximum properties.

Inheritance Hierarchy

  • SparkObject
    • SparkRange
      • SparkSpinner
      • SparkTrackBase

Syntax

C#
public class SparkRange : SparkObject
VB
'Declaration
Public Class SparkRange _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value.
minimum | The minimum valid value.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval.
stepSize | The amount that the value property changes when the changeValueByStep() method is called.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRichEditableText Class

Description

RichEditableText is a low-level UIComponent for displaying, scrolling, selecting, and editing richly-formatted text.

Inheritance Hierarchy

  • SparkObject
    • SparkRichEditableText

Syntax

C#
public class SparkRichEditableText : SparkObject
VB
'Declaration
Public Class SparkRichEditableText _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | whether to clip the children to the boundaries of the viewport.
columnNames | a list containing the names of all columns in the data.
contentHeight | The height of the text.
contentWidth | The width of the text.
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field.
editable | A flag indicating whether the user is allowed to edit the text in this control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus.
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
heightInLines | The default height of the control, measured in lines.
horizontalScrollPosition | The number of pixels by which the text is scrolled horizontally.
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode.
lastVisibleRow | the index of the last visible child.
maxChars | The maximum number of characters that the text field can contain, as entered by a user.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
multiline | whether the user can enter multiline text.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.
selectionHighlighting | a value whether the text selection is highlighted.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The number of pixels by which the text is scrolled vertically.
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
widthInChars | The default width of the control, measured in em units.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkRichText Class

Description

RichText is a low-level UIComponent that can display one or more lines of richly-formatted text and embedded images.

Inheritance Hierarchy

  • SparkTextBase
    • SparkRichText

Syntax

C#
public class SparkRichText : SparkTextBase
VB
'Declaration
Public Class SparkRichText _
Inherits SparkTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isTruncated | whether the text has been truncated. (Inherited from SparkTextBase)
luminosityClip | whether the luminosity mask clips the masked content.
luminosityInvert | whether the calculation of the RGB color value of a graphic element is masked by a luminosity mask.
maskType | how the mask is applied to the component. The possible values are MaskType.CLIP, MaskType.ALPHA and MaskType.LUMINOSITY. Clip Masking When masking in clip mode, a clipping masks is reduced to 1-bit.
maxDisplayedLines | An integer which determines whether, and where, the text gets truncated. (Inherited from SparkTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text displayed by this text component. (Inherited from SparkTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled. (Inherited from SparkTextBase)
DragDrop | The event triggered when the dragged item is dropped. (Inherited from SparkTextBase)
DragStart | The event triggered when the drag/drop operation begins. (Inherited from SparkTextBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkScrollBar Class

Description

The ScrollBarBase class helps to position the portion of data that is displayed when there is too much data to fit in a display area.

Inheritance Hierarchy

  • SparkTrackBase
    • SparkScrollBar

Syntax

C#
public class SparkScrollBar : SparkTrackBase
VB
'Declaration
Public Class SparkScrollBar _
Inherits SparkTrackBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
pageSize | The change in the value of the value property when you call the changeValueByPage() method.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkTrackBase)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTrackBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableContainer Class

Description

The SparkSkinnableContainer class is the base class for skinnable containers that have visual content.

Inheritance Hierarchy

  • SparkSkinnableContainerBase
    • SparkSkinnableContainer
      • SparkApplication
      • SparkBorderContainer
      • SparkForm
      • SparkFormItem
      • SparkNavigatorContent
      • SparkPanel
      • SparkSkinnablePopUpContainer
      • SparkWindow

Syntax

C#
public class SparkSkinnableContainer : SparkSkinnableContainerBase
VB
'Declaration
Public Class SparkSkinnableContainer _
Inherits SparkSkinnableContainerBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component.
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container.
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableContainerBase Class

Description

Base class for spark container components.

Inheritance Hierarchy

  • SparkObject
    • SparkSkinnableContainerBase
      • SparkDataGrid
      • SparkSkinnableContainer
      • SparkSkinnableDataContainer

Syntax

C#
public class SparkSkinnableContainerBase : SparkObject
VB
'Declaration
Public Class SparkSkinnableContainerBase _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled.
DragDrop | Dispatched when the dragged item is dropped.
DragStart | Dispatched when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableDataContainer Class

Description

The SkinnableDataContainer class is the base container class for data items.

Inheritance Hierarchy

  • SparkSkinnableContainerBase
    • SparkSkinnableDataContainer
      • SparkListBase

Syntax

C#
public class SparkSkinnableDataContainer : SparkSkinnableContainerBase
VB
'Declaration
Public Class SparkSkinnableDataContainer _
Inherits SparkSkinnableContainerBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnablePopUpContainer Class

Description

Identifies a SparkSkinnablePopUpContainer control.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkSkinnablePopUpContainer

Syntax

C#
public class SparkSkinnablePopUpContainer : SparkSkinnableContainer
VB
'Declaration
Public Class SparkSkinnablePopUpContainer _
Inherits SparkSkinnableContainer

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isOpen | whether the container is open.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSkinnableTextBase Class

Description

The base class for skinnable components, such as the Spark TextInput and TextArea, that include an instance of RichEditableText in their skin to provide rich text display, scrolling, selection, and editing.

Inheritance Hierarchy

  • SparkObject
    • SparkSkinnableTextBase
      • SparkTextArea
      • SparkTextInput

Syntax

C#
public class SparkSkinnableTextBase : SparkObject
VB
'Declaration
Public Class SparkSkinnableTextBase _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data.
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field.
editable | A flag indicating whether the user is allowed to edit the text in this control.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus.
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child.
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode.
lastVisibleRow | the index of the last visible child.
maxChars | The maximum number of characters that the text field can contain, as entered by a user.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available.
numRows | the total number of rows of data available.
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.
selectionHighlighting | a value whether the text selection is highlighted.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container.
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSlider Class

Description

Lets users select a value by moving a slider thumb between the end points of the slider track.

Inheritance Hierarchy

  • SparkTrackBase
    • SparkSlider
      • SparkVolumeBar

Syntax

C#
public class SparkSlider : SparkTrackBase
VB
'Declaration
Public Class SparkSlider _
Inherits SparkTrackBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkTrackBase)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTrackBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkSpinner Class

Description

A Spinner component selects a value from an ordered set. It uses two buttons that increase or decrease the current value based on the current value of the stepSize property.

Inheritance Hierarchy

  • SparkRange
    • SparkSpinner
      • SparkNumericStepper

Syntax

C#
public class SparkSpinner : SparkRange
VB
'Declaration
Public Class SparkSpinner _
Inherits SparkRange

Properties

Name | Description
allowValueWrap | the behavior of the control for a step when the current value is either the maximum or minimum value.
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTabBar Class

Description

The TabBar class displays a set of identical tabs. One tab can be selected at a time, and the first tab is selected by default.

Inheritance Hierarchy

  • SparkListBase
    • SparkTabBar

Syntax

C#
public class SparkTabBar : SparkListBase
VB
'Declaration
Public Class SparkTabBar _
Inherits SparkListBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | the measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableDataContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
caretIndex | The item that is currently in focus. (Inherited from SparkListBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
labelField | The name of the field in the data provider items to display as the label. (Inherited from SparkListBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
requireSelection | a value if a data item must always be selected in the control (Inherited from SparkListBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectedIndex | The 0-based index of the selected item, or -1 if no item is selected. (Inherited from SparkListBase)
selectedItem | The item that is currently selected. (Inherited from SparkListBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
useVirtualLayout | the value of the useVirtualLayout property of the layout associated with this control. (Inherited from SparkListBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemsCount | Gets the number of items in the ComboBox. (Inherited from SparkListBase)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Dispatched when an item in the list is selected. (Inherited from SparkListBase)
SelectIndex | Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkListBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTextArea Class

Description

TextArea is a text-entry control that lets users enter and edit multiple lines of richly formatted text. It can display horizontal and vertical scrollbars for scrolling through the text and supports vertical scrolling with the mouse wheel.

Inheritance Hierarchy

  • SparkSkinnableTextBase
    • SparkTextArea

Syntax

C#
public class SparkTextArea : SparkSkinnableTextBase
VB
'Declaration
Public Class SparkTextArea _
Inherits SparkSkinnableTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableTextBase)
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field. (Inherited from SparkSkinnableTextBase)
editable | A flag indicating whether the user is allowed to edit the text in this control. (Inherited from SparkSkinnableTextBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus. (Inherited from SparkSkinnableTextBase)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableTextBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
heightInLines | The default height of the control, measured in lines.
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode. (Inherited from SparkSkinnableTextBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableTextBase)
maxChars | The maximum number of characters that the text field can contain, as entered by a user. (Inherited from SparkSkinnableTextBase)
maxWidth | The maximum recommended width of the component to be considered by the parent during layout. (Inherited from SparkSkinnableTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableTextBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableTextBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field. (Inherited from SparkSkinnableTextBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus. (Inherited from SparkSkinnableTextBase)
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionHighlighting | a value whether the text selection is highlighted. (Inherited from SparkSkinnableTextBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component. (Inherited from SparkSkinnableTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
widthInChars | The default width of the control, measured in em units.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableTextBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control. (Inherited from SparkSkinnableTextBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkSkinnableTextBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected. (Inherited from SparkSkinnableTextBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkSkinnableTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTextBase Class

Description

The base class for Spark text controls such as Label and RichText which display text using CSS styles for the default format.

Inheritance Hierarchy

  • FlexObject
    • SparkTextBase
      • SparkLabel
      • SparkRichText

Syntax

C#
public class SparkTextBase : FlexObject
VB
'Declaration
Public Class SparkTextBase _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isTruncated | whether the text has been truncated.
maxDisplayedLines | An integer which determines whether, and where, the text gets truncated.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text displayed by this text component.
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTextInput Class

Description

TextInput is a text-entry control that lets users enter and edit a single line of uniformly-formatted text.

Inheritance Hierarchy

  • SparkSkinnableTextBase
    • SparkTextInput

Syntax

C#
public class SparkTextInput : SparkSkinnableTextBase
VB
'Declaration
Public Class SparkTextInput _
Inherits SparkSkinnableTextBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableTextBase)
currentState | the current view state of the component. (Inherited from FlexObject)
displayAsPassword | whether the text field is a password text field. (Inherited from SparkSkinnableTextBase)
editable | A flag indicating whether the user is allowed to edit the text in this control. (Inherited from SparkSkinnableTextBase)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
enableIME | A flag that indicates whether the IME should be enabled when the component receives focus. (Inherited from SparkSkinnableTextBase)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableTextBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
imeMode | the IME (input method editor) mode. (Inherited from SparkSkinnableTextBase)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableTextBase)
maxChars | The maximum number of characters that the text field can contain, as entered by a user. (Inherited from SparkSkinnableTextBase)
maxWidth | The maximum recommended width of the component to be considered by the parent during layout. (Inherited from SparkSkinnableTextBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableTextBase)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableTextBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
restrict | the set of characters that a user can enter into the text field. (Inherited from SparkSkinnableTextBase)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selectable | A flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus. (Inherited from SparkSkinnableTextBase)
selectionActivePosition | A character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionAnchorPosition | A character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys. (Inherited from SparkSkinnableTextBase)
selectionHighlighting | a value whether the text selection is highlighted. (Inherited from SparkSkinnableTextBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
text | The text String displayed by this component. (Inherited from SparkSkinnableTextBase)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
widthInChars | The default width of the control, measured in em units.
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableTextBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Input | Dispatched when the user types, deletes, or pastes text into the control. (Inherited from SparkSkinnableTextBase)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkSkinnableTextBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectText | Dispatched when text is selected. (Inherited from SparkSkinnableTextBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkSkinnableTextBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTileGroup Class

Description

The TileGroup container is an instance of the Group container that uses the TileLayout class.

Inheritance Hierarchy

  • SparkGroup
    • SparkTileGroup

Syntax

C#
public class SparkTileGroup : SparkGroup
VB
'Declaration
Public Class SparkTileGroup _
Inherits SparkGroup

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | a value whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkGroupBase)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
blendMode | A value from the BlendMode class that specifies which blend mode to use. (Inherited from SparkGroup)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
clipAndEnableScrolling | a value whether to clip the children to the boundaries of the viewport. (Inherited from SparkGroupBase)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkGroupBase)
contentHeight | The height of the viewport's content. (Inherited from SparkGroupBase)
contentWidth | The width of the viewport's contents. (Inherited from SparkGroupBase)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkGroupBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
horizontalScrollPosition | The x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component (Inherited from SparkGroupBase)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkGroupBase)
luminosityClip | a value whether the luminosity mask clips the masked content. (Inherited from SparkGroupBase)
luminosityInvert | a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask. (Inherited from SparkGroupBase)
maskType | The mask type. (Inherited from SparkGroupBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
mouseEnabledWhereTransparent | a value whether the entire bounds of the Group respond to mouse events such as click and roll over. (Inherited from SparkGroupBase)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkGroupBase)
numElements | The number of visual elements in this container. (Inherited from SparkGroupBase)
numRows | the total number of rows of data available. (Inherited from SparkGroupBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizeMode | The ResizeMode for this container. (Inherited from SparkGroupBase)
scaleGridBottom | the bottom coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridLeft | the left coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridRight | the right coordinate of the scale grid. (Inherited from SparkGroup)
scaleGridTop | the top coordinate of the scale grid. (Inherited from SparkGroup)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
verticalScrollPosition | The y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component. (Inherited from SparkGroupBase)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkGroupBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkGroupBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkGroupBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkGroupBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MouseScroll | Dispatched when the mouse is used to move the scroll bars on this container. (Inherited from SparkGroupBase)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user. (Inherited from SparkGroupBase)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkGroupBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTitleWindow Class

Description

The TitleWindow class extends Panel to include a close button and move area.

Inheritance Hierarchy

  • SparkPanel
    • SparkTitleWindow

Syntax

C#
public class SparkTitleWindow : SparkPanel
VB
'Declaration
Public Class SparkTitleWindow _
Inherits SparkPanel

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | a value whether the control bar is visible. (Inherited from SparkPanel)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | the title or caption displayed in the title bar. (Inherited from SparkPanel)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkPanel)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkToggleButton Class

Description

The ToggleButton component defines a toggle button. Clicking the button toggles it between the up and an down states.

Inheritance Hierarchy

  • SparkToggleButtonBase
    • SparkToggleButton
      • SparkButtonBarButton

Syntax

C#
public class SparkToggleButton : SparkToggleButtonBase
VB
'Declaration
Public Class SparkToggleButton _
Inherits SparkToggleButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state. (Inherited from SparkToggleButtonBase)
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | The event triggered when a drag operation is cancelled.
DragDrop | The event triggered when the dragged item is dropped.
DragStart | The event triggered when the drag/drop operation begins.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkToggleButtonBase Class

Description

The ToggleButtonBase component is the base class for the Spark button components that support the selected property.

Inheritance Hierarchy

  • SparkButtonBase
    • SparkToggleButtonBase
      • SparkCheckBox
      • SparkRadioButton
      • SparkToggleButton

Syntax

C#
public class SparkToggleButtonBase : SparkButtonBase
VB
'Declaration
Public Class SparkToggleButtonBase _
Inherits SparkButtonBase

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoRepeat | whether to dispatch repeated buttonDown events if the user holds down the mouse button. (Inherited from SparkButtonBase)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
label | the text to appear on the ButtonBase control. (Inherited from SparkButtonBase)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
selected | whether the button is in the down state, and false if it is in the up state.
stickyHighlighting | a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it. (Inherited from SparkButtonBase)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkButtonBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkTrackBase Class

Description

The TrackBase class is a base class for components with a track and one or more thumb buttons, such as Slider and ScrollBar.

Inheritance Hierarchy

  • SparkRange
    • SparkTrackBase
      • SparkScrollBar
      • SparkSlider

Syntax

C#
public class SparkTrackBase : SparkRange
VB
'Declaration
Public Class SparkTrackBase _
Inherits SparkRange

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction.
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkVideoDisplay Class

Description

Identifies a Spark video display control.

Inheritance Hierarchy

  • FlexObject
    • SparkVideoDisplay

Syntax

C#
public class SparkVideoDisplay : FlexObject
VB
'Declaration
Public Class SparkVideoDisplay _
Inherits FlexObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
autoDisplayFirstFrame | whether the video is loaded when the source is set.
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
autoPlay | whether the video starts playing immediately when the source property is set.
autoRewind | whether the FLV file should rewind to the first frame when play stops.
bytesLoaded | the number of bytes of data that have been downloaded into the application.
bytesTotal | the total size in bytes of the data being downloaded into the application.
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
currentTime | the current time of the playhead, measured in seconds, since the video starting playing.
duration | the duration of the video's playback, in seconds.
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
loop | whether the media should play again after playback has completed.
mediaPlayerState | the current state of the video.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | whether the video is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
pauseWhenHidden | whether the video continues to play when it is "hidden".
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
playing | a value whether the video is playing or is attempting to play.
scaleMode | the different ways of sizing the video content.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | the volume level, specified as a value between 0 and 1.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkVideoPlayer Class

Description

The VideoPlayer control is a skinnable video player that supports progressive download, multi-bitrate streaming, and streaming video.

Inheritance Hierarchy

  • SparkObject
    • SparkVideoPlayer

Syntax

C#
public class SparkVideoPlayer : SparkObject
VB
'Declaration
Public Class SparkVideoPlayer _
Inherits SparkObject

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | a value whether the control is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
playing | a value if the video is playing or is attempting to play.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
volume | The volume level, specified as a value between 0 and 1.
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkVolumeBar Class

Description

The VolumeBar class defines a drop-down slider to control the volume of the VideoDisplay control.

Inheritance Hierarchy

  • SparkSlider
    • SparkVolumeBar

Syntax

C#
public class SparkVolumeBar : SparkSlider
VB
'Declaration
Public Class SparkVolumeBar _
Inherits SparkSlider

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
currentState | the current view state of the component. (Inherited from FlexObject)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isDropDownOpen | a value whether the volumebar is open.
maximum | The maximum valid value. (Inherited from SparkRange)
minimum | The minimum valid value. (Inherited from SparkRange)
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
muted | a value whether the control is muted.
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
snapInterval | the snapInterval. (Inherited from SparkRange)
stepSize | The amount that the value property changes when the changeValueByStep() method is called. (Inherited from SparkRange)
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
value | The current value for this range. (Inherited from SparkRange)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Change | Dispatched when the value of the NumericStepper changes as a result of user interaction. (Inherited from SparkTrackBase)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from FlexObject)
MuteChange | Dispatched when the mute status changes as a result of user interaction.
Open | Dispatched when the user clicks the drop-down button to display the drop-down list.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkTrackBase)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkWindow Class

Description

The Window is a top-level container for additional windows in an AIR desktop application.

Inheritance Hierarchy

  • SparkSkinnableContainer
    • SparkWindow

Syntax

C#
public class SparkWindow : SparkSkinnableContainer, IMoveable
VB
'Declaration
Public Class SparkWindow _
Inherits SparkSkinnableContainer _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
isAIRWindow | a value whether this window is an AIR window.
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
StateChange | Dispatched when the displaystatus of the window is changed.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


SparkWindowedApplication Class

Description

The WindowedApplication defines the application container that you use to create Flex applications for AIR applications.

Inheritance Hierarchy

  • SparkApplication
    • SparkWindowedApplication

Syntax

C#
public class SparkWindowedApplication : SparkApplication, IMoveable
VB
'Declaration
Public Class SparkWindowedApplication _
Inherits SparkApplication _
Implements IMoveable

Properties

Name | Description
alpha | the alpha transparency value of the object specified. (Inherited from FlexDisplayObject)
alwaysInFront | a value whether the underlying NativeWindow is always in front of other windows.
applicationID | The identifier that AIR uses to identify the application.
autoExit | a value whether the AIR application will quit when the last window closes or will continue running in the background.
autoLayout | whether measurement and layout are done when the position or size of a child is changed. (Inherited from SparkSkinnableContainer)
automationClassName | a string containing the automation class name for the element. (Inherited from FlexObject)
automationIndex | a string containing the automation index for the element. (Inherited from FlexObject)
automationName | the name that can be used as an identifier for this object. (Inherited from FlexObject)
className | the name of this instance's class, such as Button. (Inherited from FlexObject)
closed | a value whether the underlying window has been closed.
colorCorrection | The value of the stage's colorCorrection property. (Inherited from SparkApplication)
columnNames | a list containing the names of all columns in the data. (Inherited from SparkSkinnableContainerBase)
controlBarVisible | whether the control bar is visible. (Inherited from SparkApplication)
creationPolicy | the content creation policy for this component. (Inherited from SparkSkinnableContainer)
currentState | the current view state of the component. (Inherited from FlexObject)
deferredContentCreated | whether deferred content has been created. (Inherited from SparkSkinnableContainer)
enabled | whether the component can accept user interaction. (Inherited from FlexObject)
errorColor | the color of the component highlight when validation fails. (Inherited from FlexObject)
errorString | the text that will be displayed by a component's error tip when a component is monitored and validation fails. (Inherited from FlexObject)
firstVisibleRow | the index of the first visible child. (Inherited from SparkSkinnableContainerBase)
focusEnabled | whether the component can receive focus when tabbed to. (Inherited from FlexObject)
height | the height of the display object, in pixels. (Inherited from FlexDisplayObject)
id | the ID of the component. (Inherited from FlexObject)
lastVisibleRow | the index of the last visible child. (Inherited from SparkSkinnableContainerBase)
maxHeight | The maximum recommended height of the component to be considered by the parent during layout.
maximizable | a value whether the window can be maximized.
maxWidth | The maximum recommended width of the component to be considered by the parent during layout.
minHeight | The minimum recommended height of the component to be considered by the parent during layout.
minimizable | a value whether the window can be minimized.
minWidth | The minimum recommended width of the component to be considered by the parent during layout.
mouseEnabled | whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren. (Inherited from FlexDisplayObject)
numAutomationChildren | the number of automation children this container has. (Inherited from FlexObject)
numColumns | the total number of columns in the data available. (Inherited from SparkSkinnableContainerBase)
numElements | The number of visual elements in this container. (Inherited from SparkSkinnableContainer)
numRows | the total number of rows of data available. (Inherited from SparkSkinnableContainerBase)
percentHeight | the number that specifies the height of a component as a percentage of its parent's size. (Inherited from FlexObject)
percentWidth | the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN. (Inherited from FlexObject)
resizable | a value whether the window can be resized.
scaleX | the number that specifies the horizontal scaling factor. (Inherited from FlexObject)
scaleY | the number that specifies the vertical scaling factor. (Inherited from FlexObject)
showStatusBar | a value whether the status bar is visible.
status | The string that appears in the status bar, if it is visible.
systemChrome | the type of system chrome (if any) the window has.
tabChildren | whether the children of the display object are tab enabled. The default is true. (Inherited from FlexDisplayObject)
tabEnabled | whether this object is in the tab order. (Inherited from FlexDisplayObject)
tabIndex | the tab ordering of objects in a SWF file. (Inherited from FlexDisplayObject)
Text | The text of the control. (Inherited from TestObject)
themeColor | the theme color of a component. (Inherited from FlexObject)
title | The title that appears in the window title bar and the taskbar.
toolTip | the text to display in the ToolTip. The default value is null (Nothing in Visual Basic). (Inherited from FlexObject)
transparent | a value whether the window is transparent.
url | The URL from which this Application's SWF file was loaded. (Inherited from SparkApplication)
useHandCursor | whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead. (Inherited from FlexObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
viewSourceURL | the URL where the application's source can be viewed. (Inherited from SparkApplication)
visible | whether the display object is visible. (Inherited from FlexDisplayObject)
width | the width of the display object, in pixels. (Inherited from FlexDisplayObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
x | the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)
y | the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer. (Inherited from FlexDisplayObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeFocus | Changes the current focus. (Inherited from FlexObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Dispatched when a drag operation is cancelled. (Inherited from SparkSkinnableContainerBase)
DragDrop | Dispatched when the dragged item is dropped. (Inherited from SparkSkinnableContainerBase)
DragStart | Dispatched when the drag/drop operation begins. (Inherited from SparkSkinnableContainerBase)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyle | Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation. (Inherited from FlexDisplayObject)
GetValues | Returns a matrix containing the automation values of all parts of the components. (Inherited from SparkSkinnableContainerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties. (Inherited from IMoveable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Sets the focus to this component. The component may in turn pass focus to a subcomponent. (Inherited from FlexObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToString | Returns a string representation of the control. (Inherited from FlexDisplayObject)
Type | Dispatched when the user presses a key. (Inherited from SparkApplication)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Flex Class Reference


Java SWT Class Reference

Lists the available classes for testing Java SWT controls.

  • CBanner Class
    The class used to layout the toolbar area and perspective switching toolbar in the workbench.
  • CoolBar Class
    A container class that contains SWT widgets, primarily toolbars.
  • CoolItem Class
    Contains selectable user interface objects that represent the areas of a CoolBar that can be dynamically positioned.
  • CTabFolder Class
    Class for an enhanced tab folder, typically having decorated tabs and the minimize, maximize, and close buttons.
  • CTabItem Class
    The class for an enhanced tab within a CTabFolder.
  • ExpandBar Class
    The class for widgets that expand and close by clicking on a header.
  • ExpandItem Class
    The class that contains the expandable items in an ExpandBar.
  • HorizontalSash Class
    The class for the horizontal border around a window pane that can be dragged to adjust the window size.
  • Sash Class
    The class for the border around a window pane that can be dragged to adjust the window size.
  • SashForm Class
    The class for the border around a form that can be dragged to adjust the size of the form.
  • ScrollableControl Class
    The implementation class for all controls which are only classified as controls but also contain a scrollbar.
  • ScrolledComposite Class
    The class for scrollbars and scrolls the content when the user uses the scrollbars.
  • Shell Class
    The class for Java SWT windows.
  • Spinner Class
    The class to enter and modify numeric values for up/down controls.
  • StyledText Class
    The class for an editable user interface object that displays lines of text.
  • SWTBrowser Class
    The class for the browser widget.
  • SWTDateTime Class
    The class for SWT date and time elements in a calendar, date, or time control.
  • SWTTabControl Class
    The class for SWT TabFolder.
  • SWTTabItem Class
    The class for SWT TabItem.
  • SWTTable Class
    The class for SWT tables.
  • SWTTableColumn Class
    The class for columns in an SWT table.
  • SWTTableRow Class
    The class for rows in an SWT table.
  • SWTTree Class
    The class for SWT tree widgets.
  • SWTTreeColumn Class
    The class for columns in a Tree widget.
  • VerticalSash Class
    The class for the vertical border around a window pane that can be dragged to adjust the window size.
  • ViewForm Class
    The class to lay out a view's label/menu/toolbar local bar in the workbench.
Parent topic: Silk4NET Language Reference


CBanner Class

Description

The class used to layout the toolbar area and perspective switching toolbar in the workbench.

Inheritance Hierarchy

  • Control
    • CBanner

Syntax

C#
public class CBanner : Control
VB
'Declaration
Public Class CBanner _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Bottom | The control located at the bottom of the banner.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Left | The control located on the left side of the banner.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Right | The control located on the right side of the banner.
RightMinimumSize | The minimum size of the control located on the right side of the banner.
RightWidth | The width of the control located on the right side of the banner.
Simple | Whether the banner is rendered with a simple, traditional shape.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CoolBar Class

Description

A container class that contains SWT widgets, primarily toolbars.

Inheritance Hierarchy

  • Control
    • CoolBar

Syntax

C#
public class CoolBar : Control
VB
'Declaration
Public Class CoolBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the coolbar.
Items | A list of items in the coolbar.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CoolItem Class

Description

Contains selectable user interface objects that represent the areas of a CoolBar that can be dynamically positioned.

Inheritance Hierarchy

  • Item
    • CoolItem

Syntax

C#
public class CoolItem : Item
VB
'Declaration
Public Class CoolItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the areas that can be dynamically positioned.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CTabFolder Class

Description

Class for an enhanced tab folder, typically having decorated tabs and the minimize, maximize, and close buttons.

Inheritance Hierarchy

  • Control
    • CTabFolder

Syntax

C#
public class CTabFolder : Control
VB
'Declaration
Public Class CTabFolder _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tab folder.
Items | A list of items in the tab folder.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item.
SelectedItem | The selected tab item.
SelectedItemText | The text of the selected item or an empty string if no item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the visible page.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Resizes the CTabFolder to its full (maximized) size.
Minimize | Resizes the CTabFolder to the minimum size allowed.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the CTabFolder to its previous size.
Select | Selects an item from the CTabFolder.
SelectList | Selects one or more items in the tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


CTabItem Class

Description

The class for an enhanced tab within a CTabFolder.

Inheritance Hierarchy

  • Item
    • CTabItem

Syntax

C#
public class CTabItem : Item
VB
'Declaration
Public Class CTabItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | Whether the item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the visible tab.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ExpandBar Class

Description

The class for widgets that expand and close by clicking on a header.

Inheritance Hierarchy

  • Control
    • ExpandBar

Syntax

C#
public class ExpandBar : Control
VB
'Declaration
Public Class ExpandBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
ExpandedItems | A list of the items that are expanded.
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the expandbar.
Items | A list of items in the expandbar.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the ExpandBar.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands an ExpandBar.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ExpandItem Class

Description

The class that contains the expandable items in an ExpandBar.

Inheritance Hierarchy

  • Item
    • ExpandItem

Syntax

C#
public class ExpandItem : Item
VB
'Declaration
Public Class ExpandItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the item.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Expanded | Whether the item is expanded.
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the expandable items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the expandable items.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


HorizontalSash Class

Description

The class for the horizontal border around a window pane that can be dragged to adjust the window size.

Inheritance Hierarchy

  • Sash
    • HorizontalSash

Syntax

C#
public class HorizontalSash : Sash
VB
'Declaration
Public Class HorizontalSash _
Inherits Sash

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window pane that the sash borders. (Inherited from Sash)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


Sash Class

Description

The class for the border around a window pane that can be dragged to adjust the window size.

Inheritance Hierarchy

  • Control
    • Sash
      • HorizontalSash
      • VerticalSash

Syntax

C#
public class Sash : Control
VB
'Declaration
Public Class Sash _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window pane that the sash borders.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SashForm Class

Description

The class for the border around a form that can be dragged to adjust the size of the form.

Inheritance Hierarchy

  • Control
    • SashForm

Syntax

C#
public class SashForm : Control
VB
'Declaration
Public Class SashForm _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the sash form is horizontal.
MaximizedControl | The sash window that is maximized in the form.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Vertical | Whether the sash form is vertical.
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Weights | The relative sizes of the children of the sash form window.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ScrollableControl Class

Description

The implementation class for all controls which are only classified as controls but also contain a scrollbar.

Inheritance Hierarchy

  • Control
    • ScrollableControl

Syntax

C#
public class ScrollableControl : Control
VB
'Declaration
Public Class ScrollableControl _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ScrolledComposite Class

Description

The class for scrollbars and scrolls the content when the user uses the scrollbars.

Inheritance Hierarchy

  • Control
    • ScrolledComposite

Syntax

C#
public class ScrolledComposite : Control
VB
'Declaration
Public Class ScrolledComposite _
Inherits Control

Properties

Name | Description
AlwaysShowScrollBars | Whether the scrollbar shows.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the areas that can be dynamically positioned.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Origin | The point in the content that currently appears in the top left corner of the scrolled composite.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


Shell Class

Description

The class for Java SWT windows.

Inheritance Hierarchy

  • Window
    • Shell

Syntax

C#
public class Shell : Window
VB
'Declaration
Public Class Shell _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


Spinner Class

Description

The class to enter and modify numeric values for up/down controls.

Inheritance Hierarchy

  • Control
    • Spinner

Syntax

C#
public class Spinner : Control
VB
'Declaration
Public Class Spinner _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
IncrementCount | The amount to increase the position value of the spinner control after pressing it.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | The internal page size of the spinner control.
Position | The position for the up/down control.
Range | The range of the spinner control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the value when the spinner controls are pressed.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the value when the spinner controls are pressed.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PageDecrement | Decreases the value when the page spinner controls are pressed.
PageIncrement | Increases the value when the page spinner controls are pressed.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value for the spinner control.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


StyledText Class

Description

The class for an editable user interface object that displays lines of text.

Inheritance Hierarchy

  • TextField
    • StyledText

Syntax

C#
public class StyledText : TextField
VB
'Declaration
Public Class StyledText _
Inherits TextField

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Editable | Whether the text is editable.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
IsPassword | Whether the control is a password text field. (Inherited from TextField)
MultiLine | Whether the control is multiline. (Inherited from TextField)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position of the caret within the text field. (Inherited from TextField)
SelectedRange | The selected range within the text field. (Inherited from TextField)
SelectedText | The selected text within the text field. An empty string if no text is selected. (Inherited from TextField)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Removes all text from the text field. (Inherited from TextField)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetMultiText | Returns the specified lines of text in the multi-line text field. (Inherited from TextField)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetMultiText | Substitutes all or part of the lines in the multi-line text field. (Inherited from TextField)
SetPosition | Sets the insertion point in the text field. (Inherited from TextField)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the specified range of the single-line or multi-line text field. (Inherited from TextField)
SetText | Substitutes new text for all or part of the text in the text field. (Inherited from TextField)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTBrowser Class

Description

The class for the browser widget.

Inheritance Hierarchy

  • Control
    • SWTBrowser

Syntax

C#
public class SWTBrowser : Control
VB
'Declaration
Public Class SWTBrowser _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTDateTime Class

Description

The class for SWT date and time elements in a calendar, date, or time control.

Inheritance Hierarchy

  • Control
    • SWTDateTime

Syntax

C#
public class SWTDateTime : Control
VB
'Declaration
Public Class SWTDateTime _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
CurrentDate | The current date.
Day | The day.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Hours | The hour.
Minutes | The minute.
Month | The month.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Seconds | The second.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Year | The year.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a date and time.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTabControl Class

Description

The class for SWT TabFolder.

Inheritance Hierarchy

  • TabControl
    • SWTTabControl

Syntax

C#
public class SWTTabControl : TabControl
VB
'Declaration
Public Class SWTTabControl _
Inherits TabControl

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tab control. (Inherited from TabControl)
Items | A list of items in the tab control. (Inherited from TabControl)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the selected item. (Inherited from TabControl)
SelectedItem | The selected item. (Inherited from TabControl)
SelectedTabItem | The name of the selected item.
TabItems | A list of TabItems in the tab control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Sets the current page to the specified page. (Inherited from TabControl)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTabItem Class

Description

The class for SWT TabItem.

Inheritance Hierarchy

  • Item
    • SWTTabItem

Syntax

C#
public class SWTTabItem : Item
VB
'Declaration
Public Class SWTTabItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | Whether the item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTable Class

Description

The class for SWT tables.

Inheritance Hierarchy

  • Table
    • SWTTable

Syntax

C#
public class SWTTable : Table
VB
'Declaration
Public Class SWTTable _
Inherits Table

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark. (Inherited from Table)
AllowsMultiSelect | Whether the table supports selecting multiple items. (Inherited from Table)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the table. (Inherited from Table)
ColumnItems | A list of all items in the column. (Inherited from Table)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | The number of rows in the table. (Inherited from Table)
RowItems | A list of all table rows in the table. (Inherited from Table)
SelectedIndices | The indices of the selected item(s). (Inherited from Table)
SelectedItems | The selected item(s). (Inherited from Table)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box in the defined row of a table. (Inherited from Table)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item. (Inherited from Table)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelectRow | Selects a range of rows. (Inherited from Table)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FocusRow | Focuses on a row in the table. (Inherited from Table)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelectRow | Adds a row from the table to the set of selected rows. (Inherited from Table)
MultiUnselectRow | Removes a row from the set of selected rows. (Inherited from Table)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectRow | Selects an row in the table. (Inherited from Table)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box in the defined row of a table. (Inherited from Table)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTableColumn Class

Description

The class for columns in an SWT table.

Inheritance Hierarchy

  • TableColumn
    • SWTTableColumn

Syntax

C#
public class SWTTableColumn : TableColumn
VB
'Declaration
Public Class SWTTableColumn _
Inherits TableColumn

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column. (Inherited from TableColumn)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column. (Inherited from TableColumn)
Select | Selects a column. (Inherited from TableColumn)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTableRow Class

Description

The class for rows in an SWT table.

Inheritance Hierarchy

  • TableRow
    • SWTTableRow

Syntax

C#
public class SWTTableRow : TableRow
VB
'Declaration
Public Class SWTTableRow _
Inherits TableRow

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Checked | Whether the check box in the row is checked. (Inherited from TableRow)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the row. (Inherited from TableRow)
Items | A list of items in the row. (Inherited from TableRow)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTree Class

Description

The class for SWT tree widgets.

Inheritance Hierarchy

  • Tree
    • SWTTree

Syntax

C#
public class SWTTree : Tree
VB
'Declaration
Public Class SWTTree _
Inherits Tree

Properties

Name | Description
AllowsCheck | Whether the control can display a checkmark. (Inherited from Tree)
AllowsMultiSelect | Whether the control supports selecting multiple items. (Inherited from Tree)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the tree.
Columns | A list of columns in the tree.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the tree (including all children). (Inherited from Tree)
ItemPaths | A list of items in the tree (including all children). (Inherited from Tree)
Items | A list of items in the tree (including all children). (Inherited from Tree)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item. (Inherited from Tree)
SelectedIndices | The indices of the selected item(s). (Inherited from Tree)
SelectedItem | The name of the first selected item. (Inherited from Tree)
SelectedItems | The names of the selected item(s). (Inherited from Tree)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
VisibleItemPaths | A list of visible items in the tree (including all children). (Inherited from Tree)
VisibleItems | A list of visible items in the tree (including all children). (Inherited from Tree)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box. (Inherited from Tree)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses an item in a treeview control. (Inherited from Tree)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item. (Inherited from Tree)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands an object in a treeview control. (Inherited from Tree)
ExtendSelect | Selects a range of items by extending the selection.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetContentsOfColumn | Retrieves the contents of the specified column as a list. To retrieve the contents of any column greater than column one, you must specify the parameters rawMode and column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetItemPaths | Returns all items of the tree as a list of itempaths (Inherited from Tree)
GetItemRect | Returns the size and position of an item relative to the treeview control. (Inherited from Tree)
GetItemsOfColumn | Retrieve items of the specified column from Tree
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetSelectedTextOfColumn | Retrieves selected text from the specified column
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpandable | Checks if the given item can be expanded. (Inherited from Tree)
IsExpanded | Checks if the given item is expanded. (Inherited from Tree)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Adds an item from the tree to the set of selected items.
MultiUnselect | Removes an item in the tree from the set of selected items.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the tree. (Inherited from Tree)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box. (Inherited from Tree)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


SWTTreeColumn Class

Description

The class for columns in a Tree widget.

Inheritance Hierarchy

  • Item
    • SWTTreeColumn

Syntax

C#
public class SWTTreeColumn : Item
VB
'Declaration
Public Class SWTTreeColumn _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column of the tree.
Select | Selects a tree column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


VerticalSash Class

Description

The class for the vertical border around a window pane that can be dragged to adjust the window size.

Inheritance Hierarchy

  • Sash
    • VerticalSash

Syntax

C#
public class VerticalSash : Sash
VB
'Declaration
Public Class VerticalSash _
Inherits Sash

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window pane that the sash borders. (Inherited from Sash)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


ViewForm Class

Description

The class to lay out a view's label/menu/toolbar local bar in the workbench.

Inheritance Hierarchy

  • Control
    • ViewForm

Syntax

C#
public class ViewForm : Control
VB
'Declaration
Public Class ViewForm _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Content | The content of the areas that can be dynamically positioned.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
TopCenter | The window located in the top center of the pane.
TopLeft | The window located in the top left of the pane.
TopRight | The window located in the top right of the pane.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java SWT Class Reference


Keyword-Driven Testing Class Reference

Lists the available classes for keyword-driven testing.

  • ArgumentAttribute Class
    Used to explicitly specify the name of an argument of a method that is marked as a keyword for keyword-driven testing.
  • KeywordAttribute Class
    Specifies that a method is a keyword.
  • KeywordGroupAttribute Class
    Explains purpose of topic. Written as sentence fragment. Contains no more than two sentences.
Parent topic: Silk4NET Language Reference


ArgumentAttribute Class

Description

Used to explicitly specify the name of an argument of a method that is marked as a keyword for keyword-driven testing.

Syntax

C#
[AttributeUsageAttribute(AttributeTargets.Parameter)]
public class ArgumentAttribute : Attribute
VB
<AttributeUsageAttribute(AttributeTargets.Parameter>
Public Class ArgumentAttribute Inherits Attribute

Properties

Name | Description
Name Property (ArgumentAttribute) | Gets the name of the argument.

Example: Creating a keyword with two arguments

Use the following code sample to create the keyword Login with the arguments username and password:

C#
[Keyword]
public void Login([Argument("Name of the user")] string username, [Argument("Password of the user")] string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(<Argument("Name of the user")> username As String, <Argument("Password of the user")> password As String)
  ' keyword implementation
End Sub

Example: Using arguments without a description

Use one of the following code samples to create the keyword Login with the arguments username and password, without using a description for the arguments:

C#
[Keyword]
public void Login(string username, string password) {
  // keyword implementation
}
[Keyword]
public void Login([Argument] string username, [Argument] string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
<Keyword()>
Public Sub Login(<Argument> username As String, <Argument> password As String)
  ' keyword implementation
End Sub
Parent topic: Keyword-Driven Testing Class Reference


KeywordAttribute Class

Description

Specifies that a method is a keyword. If the name of the keyword is not specified the name of the annotated method is used as the keyword name.

Syntax

C#
[AttributeUsageAttribute(AttributeTargets.Method)]
public class KeywordAttribute : Attribute
VB
'Declaration
<AttributeUsageAttribute(AttributeTargets.Method>
Public Class KeywordAttribute Inherits Attribute

Properties

Name | Description
Name Property (KeywordAttribute) | Gets the name of the keyword. The default value is an empty string.
Description Property (KeywordAttribute) | Gets the description of the keyword. The default value is an empty string.

Example: Creating a keyword with two arguments

Use the following code sample to create the keyword Login with the arguments username and password:

C#
[Keyword]
public void Login(string username, string password) {
  // keyword implementation
}
VB
<Keyword()>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub

Example: Specifying a keyword name

To specify the keyword name when creating a new keyword, use the following code sample:

C#
[Keyword("Login user")]
public void Login(string username, string password) {
  // keyword implementation
}
VB
<Keyword("Login user")>
Public Sub Login(username As String, password As String)
  ' keyword implementation
End Sub
Parent topic: Keyword-Driven Testing Class Reference
Related tasks
Marking a Test Method in a Script as a Keyword


KeywordGroupAttribute Class

Description

Specifies that a class is a keyword group. Methods within this class that are marked as keywords are keywords. The qualified name of these methods consists of the name of the keyword group and the name of the keyword. If the keyword group has no name, the simple name of the declaring class is used instead.

Syntax

C#
[AttributeUsageAttribute(AttributeTargets.Class)]
public class KeywordGroupAttribute : Attribute
VB
'Declaration
<AttributeUsageAttribute(AttributeTargets.Class>
Public Class KeywordGroupAttribute Inherits Attribute

Properties

Name | Description
Name Property (KeywordGroupAttribute) | Gets the name of the keyword group. The default value is an empty string.

Example: Creating a keyword group

Use the following code sample to create the keyword group LoginPage:

C#
[KeywordGroup]
public class LoginPage {
  // keyword methods
}
VB
<KeywordGroup()>
Public Class LoginPage
  ' keyword methods
End Class

Example: Specifying the name of the keyword group

Use one of the following code samples to create the keyword Login with the arguments username and password, without using a description for the arguments:

C#
[KeywordGroup("Login Page")]
public class LoginPage {
  // keyword methods
}
VB
<KeywordGroup("Login Page")>
Public Class LoginPage
  ' keyword methods
End Class
Parent topic: Keyword-Driven Testing Class Reference
Related tasks
Grouping Keywords


Mobile Class Reference

Lists the available classes for testing Mobile controls.

  • IMobileClickable Interface
    Interface for objects that use clicks.
  • IMobileGestures Interface
    Interface for objects that use long swipes.
  • IMobileKeyable Interface
    Interface for objects that use keystrokes.
  • MobileButton Class
    Represents a mobile button. Mobile buttons can be clicked.
  • MobileDevice Class
    The mobile device.
  • MobileObject Class
    The base class for all mobile objects.
  • MobileTextField Class
    Represents a text field.
  • MobileWindow Class
    The mobile window.
Parent topic: Silk4NET Language Reference


IMobileClickable Interface

Description

Interface for objects that use clicks.

Syntax

C#
public class IMobileClickable
VB
'Declaration
Public Class IMobileClickable

Methods

Name | Description
Click | Clicks on the device at the specified coordinates.
DoubleClick | Double-clicks on the device at the specified coordinates.
LongClick | Long-clicks on the device at the specified coordinates.
Parent topic: Mobile Class Reference


IMobileGestures Interface

Description

Interface for objects that use long swipes.

Syntax

C#
public class IMobileGestures
VB
'Declaration
Public Class IMobileGestures

Methods

Name | Description
Drag | Performs a drag operation between the two specified points.
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time.
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image.
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image.
Swipe | Performs a swipe between the two specified points.
SwipeDown | Performs a down-swipe.
SwipeLeft | Performs a left-swipe.
SwipeRight | Performs a right-swipe.
SwipeUp | Performs a up-swipe.
SwipeWithSegments | Performs a swipe between the specified points.
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time.
Parent topic: Mobile Class Reference


IMobileKeyable Interface

Description

Interface for objects that use keystrokes.

Syntax

C#
public class IMobileKeyable
VB
'Declaration
Public Class IMobileKeyable

Methods

Name | Description
TypeKeys | Sends a set of keystrokes to the object.
Parent topic: Mobile Class Reference


MobileButton Class

Description

Represents a mobile button. Mobile buttons can be clicked.

Inheritance Hierarchy

  • MobileObject
    • MobileButton

Syntax

C#
public class MobileButton : MobileObject
VB
'Declaration
Public Class MobileButton _
Inherits MobileObject

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled. (Inherited from MobileObject)
IsFocused | Whether the mobile object has focus. This property is not supported on iOS. (Inherited from MobileObject)
IsSelected | Whether the mobile object is selected or checked. (Inherited from MobileObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device. (Inherited from MobileObject)
DragToObject | Drags this object to the specified destination object. (Inherited from MobileObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


MobileDevice Class

Description

The mobile device.

Inheritance Hierarchy

  • TestObject
    • MobileDevice

Syntax

C#
public class MobileDevice : TestObject, IMobileClickable, IMobileGestures, IMobileKeyable
VB
'Declaration
Public Class MobileDevice _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

Properties

Name | Description
DeviceId | The id of the device for the current connection.
DisplayHeight | The height of the display in pixels.
DisplayOrientation | The current orientation of the device.
DisplayWidth | The width of the display in pixels.
IsEmulator | Whether the connected device is an emulator.
Model | The device name of the connected device.
OperatingSystem | the operating system of the mobile device, Android or iOS
OsVersion | The version of the operating system of the connected device.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
CloseApp | Closes the app and releases the device, to make it available to other users.
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateConnectionString | Generates a connection string for this mobile device.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
PressBack | Presses the back button. This method is not supported on iOS.
PressDelete | Presses the delete button.
PressEnter | Presses the enter button.
PressHome | Presses the home button.
PressKeyCode | Presses a certain Android-specific key code. This method is not supported on iOS.
PressRecentApps | Presses the recent apps button.
Rotate | Simulates rotating the device screen.
SetLocation | Sets the geographic location of the device, this method only works on Android devices (physical or emulated) and iOS simulators.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Sleep | Presses the power button if the screen is on. This method is not supported on iOS.
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WakeUp | Presses the power button if the screen is off. This method is not supported on iOS.
Parent topic: Mobile Class Reference


MobileObject Class

Description

The base class for all mobile objects.

Inheritance Hierarchy

  • TestObject
    • MobileObject
      • MobileButton
      • MobileTextField
      • MobileWindow

Syntax

C#
public class MobileObject : TestObject, IMobileClickable, IMobileGestures, IMobileKeyable
VB
'Declaration
Public Class MobileObject _
Inherits TestObject _
Implements IMobileClickable, IMobileGestures, IMobileKeyable

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled.
IsFocused | Whether the mobile object has focus. This property is not supported on iOS.
IsSelected | Whether the mobile object is selected or checked.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device.
DragToObject | Drags this object to the specified destination object.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


MobileTextField Class

Description

Represents a text field.

Inheritance Hierarchy

  • MobileObject
    • MobileTextField

Syntax

C#
public class MobileTextField : MobileObject
VB
'Declaration
Public Class MobileTextField _
Inherits MobileObject

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled. (Inherited from MobileObject)
IsFocused | Whether the mobile object has focus. This property is not supported on iOS. (Inherited from MobileObject)
IsSelected | Whether the mobile object is selected or checked. (Inherited from MobileObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Clears all the content from the text field.
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device. (Inherited from MobileObject)
DragToObject | Drags this object to the specified destination object. (Inherited from MobileObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Substitutes new text for the text in the text field.
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
TypePasswordKeys | Types an encrypted password into a text field.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


MobileWindow Class

Description

The mobile window.

Inheritance Hierarchy

  • MobileObject
    • MobileWindow

Syntax

C#
public class MobileWindow : MobileObject
VB
'Declaration
Public Class MobileWindow _
Inherits MobileObject

Properties

Name | Description
IsEnabled | Whether the mobile object is enabled. (Inherited from MobileObject)
IsFocused | Whether the mobile object has focus. This property is not supported on iOS. (Inherited from MobileObject)
IsSelected | Whether the mobile object is selected or checked. (Inherited from MobileObject)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
DoubleClick | Double-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
Drag | Performs a drag operation between the two specified points. (Inherited from IMobileGestures)
DragTo | Drags this object to the specified point relative to the mobile device. (Inherited from MobileObject)
DragToObject | Drags this object to the specified destination object. (Inherited from MobileObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
LongClick | Long-clicks on the device at the specified coordinates. (Inherited from IMobileClickable)
MultiTouch | Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time. (Inherited from IMobileGestures)
PinchIn | Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image. (Inherited from IMobileGestures)
PinchOut | Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image. (Inherited from IMobileGestures)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Swipe | Performs a swipe between the two specified points. (Inherited from IMobileGestures)
SwipeDown | Performs a down-swipe. (Inherited from IMobileGestures)
SwipeLeft | Performs a left-swipe. (Inherited from IMobileGestures)
SwipeRight | Performs a right-swipe. (Inherited from IMobileGestures)
SwipeUp | Performs a up-swipe. (Inherited from IMobileGestures)
SwipeWithSegments | Performs a swipe between the specified points. (Inherited from IMobileGestures)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TwoPointerMultiTouch | Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time. (Inherited from IMobileGestures)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IMobileKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Mobile Class Reference


Rumba Class Reference

Lists the available classes for testing Rumba controls.

  • Rumba Keys
    Contains the string constants for the Rumba key mnemonics which can be used in the SendKeys and SynchSendKeys methods of the RumbaObject class.
  • RumbaCharacterAttribute Data Type
    Represents the character attributes of an on-screen character.
  • RumbaField Class
    Represents a field on the green screen.
  • RumbaLabel Class
    A field in the screen whose text can be only be retrieved but not set.
  • RumbaObject Class
    RumbaObject.
  • RumbaScreen Class
    Represents the whole green screen.
  • RumbaTextField Class
    A field in the screen whose text can be both retrieved and set.
Parent topic: Silk4NET Language Reference
Related reference
Rumba Class Reference


Rumba Keys

Description

Contains the string constants for the Rumba key mnemonics which can be used in the SendKeys and SynchSendKeys methods of the RumbaObject class.
Includes the following string constants:
String Constant
Key Mnemonic
RK_AT
@@
RK_ALT
@A
RK_ALT_CURSOR
@e@1*
RK_ATTENTION
@A@Q
RK_BACKSPACE
@<
RK_BACKTAB
@B
RK_CLEAR
@C
RK_CMD
@A@Y
RK_CURSOR_DOWN
@V
RK_CURSOR_LEFT
@L
RK_CURSOR_RIGHT
@Z
RK_CURSOR_SELECT
@e@1*
RK_CURSOR_UP
@U
RK_DELETE
@D
RK_DUP
@S@x
RK_END
@q
RK_ENTER
@E
RK_ERASE_EOF
@F
RK_ERASE_EOL
@e@d
RK_ERASE_INPUT
@A@F
RK_FIELD_EXIT
@A@E
RK_FIELD_MARK
@S@y
RK_FIELD_MINUS
@A@-
RK_FIELD_PLUS
@A@+
RK_HELP
@H
RK_HEXADECIMAL
@A@X
RK_HOME
@0
RK_INSERT
@I
RK_INSERT_TOGGLE
@A@I
RK_LOCAL_HELP
@e@l
RK_LOCAL_PRINT
@P
RK_LOCAL_HELP_CURSOR
@e@m*
RK_LEFT_TAB
@B
RK_NEW_LINE
@e@n*
RK_PAGE_UP
@u
RK_PAGE_DOWN
@v
RK_PRINT
@A@t
RK_PRINT_SCREEN
@A@T
RK_RECORD_BACKSPACE
@A@<
RK_RESET
@R
RK_RIGHT_TAB
@T
RK_SHIFT
@S
RK_SYS_REQUEST
@A@H
RK_TAB
@T
RK_TEST
@A@C
RK_USM
@e@v
RK_APL_CUT_ON_OF
@e@2
RK_PA1
@x
RK_PA2
@y
RK_PA3
@z
RK_PA4
@+
RK_PA5
@%
RK_PA6
@&
RK_PA7
@'
RK_PA8
@(
RK_PA9
@)
RK_PA10
@*
RK_PF1
@1
RK_PF2
@2
RK_PF3
@3
RK_PF4
@4
RK_PF5
@5
RK_PF6
@6
RK_PF7
@7
RK_PF8
@8
RK_PF9
@9
RK_PF10
@a
RK_PF11
@b
RK_PF12
@c
RK_PF13
@d
RK_PF14
@e
RK_PF15
@f
RK_PF16
@g
RK_PF17
@h
RK_PF18
@i
RK_PF19
@j
RK_PF20
@k
RK_PF21
@l
RK_PF22
@m
RK_PF23
@n
RK_PF24
@o
RK_CENTS
@n@1
RK_VERTICAL_BAR
@d@2
RK_CORNER
@d@3
RK_PLUS
@d@4
RK_MINUS
@d@5
RK_QUOTE
@d@7
RK_HORIZONTAL_BAR
@d@8
RK_OPEN_BRACKET
@d@9
RK_CLOSE_BRACKET
@d@10
RK_SUBSTITUTE
@d@0
RK_SYNCHRONOUS
@d@a
Parent topic: Rumba Class Reference


RumbaCharacterAttribute Data Type

Represents the character attributes of an on-screen character.

Can include the following character attributes:
Attribute
Description
backgroundColor
The background color of the character.
foregroundColor
The foreground color of the character.
column
The column of the character on the screen.
line
The line of the character on the screen.
autoEnter
Defines if the character is part of an auto-enter text.
autoSkip
Defines if the character is part of an auto-skip text.
blinking
Defines if the character is blinking.
bold
Defines if the character is bold.
columnSeparator
Defines if the character is a column separator.
detectable
Defines if the character is part of a detectable text.
hidden
Defines if the character is part of a hidden text.
protect
Defines if the character is part of a protected text.
reverseVideo
Defines if the character is displayed in reverse video.
underlined
Defines if the character is underlined.

For additional information, see IRDEAttribute Properties in the Rumba Developer Edition (RDE) documentation.

Parent topic: Rumba Class Reference


RumbaField Class

Description

Represents a field on the green screen.

Inheritance Hierarchy

  • RumbaObject
    • RumbaField
      • RumbaLabel
      • RumbaTextField

Syntax

C#
public class RumbaField : RumbaObject
VB
'Declaration
Public Class RumbaField _
Inherits RumbaObject

Properties

Name | Description
AutoEnter | A value that indicates true if the field is an AutoEnter field.
AutoSkip | A value that is true if the field is an AutoSkip field.
Detectable | A value is indicates true if the field is detectable.
Dup | A value that indicates true if the field is a dup field.
EndColumn | A value that indicates the ending column of the field.
EndLine | A value that indicates the ending line of the field.
EndPosition | The 1-based end position of the field, when the screen is seen as one sequence of characters.
Enptui | A value that indicates true if the field is an ENPTUI field.
FieldExitRequired | A value that indicates true if the field is required before exiting the screen.
Hidden | A value that indicates if the field is hidden.
Intense | A value that indicates true if the field is intense.
Length | The length of the field.
ModifiedDataTag | A value that indicates true if the field has the ModifiedDataTag property set.
Protected | A value that indicates true if the field is protected (i.e. a RumbaLabel).
StartColumn | A value that indicates the column in which the field begins.
StartLine | A value that indicates the line in which the field begins.
StartPosition | The 1-based start position of the field, when the screen is seen as one sequence of characters.
Text | The text of the control. (Inherited from TestObject)
Type | A value that represents the input allowed for this field.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for this field's characters.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


RumbaLabel Class

Description

A field in the screen whose text can be only be retrieved but not set.

Inheritance Hierarchy

  • RumbaField
    • RumbaLabel

Syntax

C#
public class RumbaLabel : RumbaField
VB
'Declaration
Public Class RumbaLabel _
Inherits RumbaField

Properties

Name | Description
AutoEnter | A value that indicates true if the field is an AutoEnter field. (Inherited from RumbaField)
AutoSkip | A value that is true if the field is an AutoSkip field. (Inherited from RumbaField)
Detectable | A value is indicates true if the field is detectable. (Inherited from RumbaField)
Dup | A value that indicates true if the field is a dup field. (Inherited from RumbaField)
EndColumn | A value that indicates the ending column of the field. (Inherited from RumbaField)
EndLine | A value that indicates the ending line of the field. (Inherited from RumbaField)
EndPosition | The 1-based end position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Enptui | A value that indicates true if the field is an ENPTUI field. (Inherited from RumbaField)
FieldExitRequired | A value that indicates true if the field is required before exiting the screen. (Inherited from RumbaField)
Hidden | A value that indicates if the field is hidden. (Inherited from RumbaField)
Intense | A value that indicates true if the field is intense. (Inherited from RumbaField)
Length | The length of the field. (Inherited from RumbaField)
ModifiedDataTag | A value that indicates true if the field has the ModifiedDataTag property set. (Inherited from RumbaField)
Protected | A value that indicates true if the field is protected (i.e. a RumbaLabel). (Inherited from RumbaField)
StartColumn | A value that indicates the column in which the field begins. (Inherited from RumbaField)
StartLine | A value that indicates the line in which the field begins. (Inherited from RumbaField)
StartPosition | The 1-based start position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Text | The text of the control. (Inherited from TestObject)
Type | A value that represents the input allowed for this field. (Inherited from RumbaField)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for this field's characters. (Inherited from RumbaField)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


RumbaObject Class

Description

RumbaObject.

Inheritance Hierarchy

  • TestObject
    • RumbaObject
      • RumbaField
      • RumbaScreen

Syntax

C#
public class RumbaObject : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class RumbaObject _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


RumbaScreen Class

Description

Represents the whole green screen.

Inheritance Hierarchy

  • RumbaObject
    • RumbaScreen

Syntax

C#
public class RumbaScreen : RumbaObject
VB
'Declaration
Public Class RumbaScreen _
Inherits RumbaObject

Properties

Name | Description
BackgroundColor | the background color of the display control.
CharacterSetId | a value that identifies the character set translation table used by the Display control.
ColumnCount | a value that indicates the number of columns on the current screen.
CursorColumn | the column position of the cursor on the screen.
CursorLine | the line position of the cursor on the screen.
CursorPosition | The current cursor position on the screen. Values are starting with 1 for the first line or column.
HostConnected | a value that indicates if the host is connected.
HostDeviceName | the host device name.
HostIpAddress | the host IP address.
KeyboardLocked | a value that indicates whether keyboard input is inhibited.
LineCount | a value that indicates the number of lines on the current screen.
ScreenId | the screen id.
ScreenSize | the size of the screen in text lines and columns.
SessionName | the session name.
SupportsStructuredFields | a value that indicates if the host supports structured field decoding.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears the screen by sending the "clear" key. Equivalent to synchSendKeys(RumbaKey.CLEAR).
Click | Clicks on the object. (Inherited from IClickable)
Connect | Connects to the hosts in the current configuration.
Disconnect | Disconnects the current connection.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for length-number of characters starting at the given position.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetContent | Retrieves a string containing the screen without line breaks starting at the specified text position.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetLines | Retrieves a clipping of the screen and returns the selected lines in a list of strings.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Reset | Resets the screen by sending the "reset" key. Equivalent to synchSendKeys(RumbaKey.RESET).
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetCursorPosition | Moves the cursor to the given position of the screen.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Submit | Submits the entered data to the server by sending the "submit" key. Equivalent to synchSendKeys(RumbaKey.SUBMIT).
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForHostConnected | Waits until the session is connected.
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WriteText | Writes text on the screen.
Parent topic: Rumba Class Reference


RumbaTextField Class

Description

A field in the screen whose text can be both retrieved and set.

Inheritance Hierarchy

  • RumbaField
    • RumbaTextField

Syntax

C#
public class RumbaTextField : RumbaField
VB
'Declaration
Public Class RumbaTextField _
Inherits RumbaField

Properties

Name | Description
AutoEnter | A value that indicates true if the field is an AutoEnter field. (Inherited from RumbaField)
AutoSkip | A value that is true if the field is an AutoSkip field. (Inherited from RumbaField)
Detectable | A value is indicates true if the field is detectable. (Inherited from RumbaField)
Dup | A value that indicates true if the field is a dup field. (Inherited from RumbaField)
EndColumn | A value that indicates the ending column of the field. (Inherited from RumbaField)
EndLine | A value that indicates the ending line of the field. (Inherited from RumbaField)
EndPosition | The 1-based end position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Enptui | A value that indicates true if the field is an ENPTUI field. (Inherited from RumbaField)
FieldExitRequired | A value that indicates true if the field is required before exiting the screen. (Inherited from RumbaField)
Hidden | A value that indicates if the field is hidden. (Inherited from RumbaField)
Intense | A value that indicates true if the field is intense. (Inherited from RumbaField)
Length | The length of the field. (Inherited from RumbaField)
ModifiedDataTag | A value that indicates true if the field has the ModifiedDataTag property set. (Inherited from RumbaField)
Protected | A value that indicates true if the field is protected (i.e. a RumbaLabel). (Inherited from RumbaField)
StartColumn | A value that indicates the column in which the field begins. (Inherited from RumbaField)
StartLine | A value that indicates the line in which the field begins. (Inherited from RumbaField)
StartPosition | The 1-based start position of the field, when the screen is seen as one sequence of characters. (Inherited from RumbaField)
Text | The text of the control. (Inherited from TestObject)
Type | A value that represents the input allowed for this field. (Inherited from RumbaField)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterAttributes | Gets the character attributes for this field's characters. (Inherited from RumbaField)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SendKeys | Sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text field's text.
SynchSendKeys | Synchronously sends keys. Supports RDE mnemonics. (Inherited from RumbaObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Rumba Class Reference


SAP Class Reference

Lists the available classes for testing SAP controls.

  • ISapContextMenuable Interface
    Interface for any Component which supports ContextMenu selections.
  • SapBarChart Class
    Class for SAP Bar Chart.
  • SapBox Class
    Class for SAP SapBox.
  • SapButton Class
    SapButton class is the class for push buttons.
  • SapCalendar Class
    SapCalendar class represents a SapCalendar.
  • SapChart Class
    Class for SAP Chart.
  • SapCheckBox Class
    SapCheckBox class is the class for check box controls.
  • SapColorSelector Class
    SapColorSelector class represents a SapColorSelector.
  • SapComboBox Class
    Class for SAP ComboBox.
  • SapComponent Class
    SapComponent class is the base class for SAP.
  • SapContainer Class
    Class for SAP Container.
  • SapContainerShell Class
    Class for SAP ConainerShell.
  • SapContextMenu Class
    The class for SAP context menus.
  • SapCustomControl Class
    Class for SAP CustomControl.
  • SapDockShell Class
    Class for SAP DockShell.
  • SapGridView Class
    Class for SAP GridView. Some of the methods that have Get as a prefix require the column as an iput parameter of type string. This parameter is different for each individual GridView element. To obtain the value of this parameter, record an action on the desired item and use the parameter that you have recorded.
  • SapHorizontalScrollBar Class
    Class for horizontal scrollbars.
  • SapHTMLViewer Class
    Class for SAP HTMLView.
  • SapLabel Class
    SapLabel class is the class for all SAP labels.
  • SapMenu Class
    Class for SAP Menu.
  • SapMenubar Class
    Class for SAP MenuBar.
  • SapNetPlan Class
    Class for SAP Net Chart.
  • SapOfficeIntegration Class
    Class for SAP OfficeIntegration.
  • SapOkCodeField Class
    SapOkCodeField class is the class for sap OkCodeField.
  • SapPicture Class
    Class for SAP picture.
  • SapRadioButton Class
    SapRadioButton class is the class for radio button controls.
  • SapScrollbar Class
    Class for SAP Scrollbar.
  • SapScrollContainer Class
    Class for SAP UserArea.
  • SapShell Class
    Class for SAP SapShell.
  • SapSimpleContainer Class
    Class for SAP SimpleContainer.
  • SapSplitterContainer Class
    Class for SAP splitter container.
  • SapStatusbar Class
    Class for SAP statusbar.
  • SapTab Class
    Class for SAP Tab.
  • SapTable Class
    SapTable class is the class for SAP tables.
  • SapTabStrip Class
    Class for SAP tab pane.
  • SapTextEdit Class
    Class for SAP TextEdit.
  • SapTextField Class
    SapTextField is the class for single-line and multi-line fields whose text can be modified by the user.
  • SapTitlebar Class
    Class for SAP Titlebar.
  • SapToolbar Class
    Class for SAP Toolbar.
  • SapToolbarControl Class
    Class for SAP ToolbarControl.
  • SapTree Class
    SapTree class is the class for all SAP trees. Some of the methods that have Get as a prefix require the nodeKey and the ItemName as iput parameters of type string. These parameters are different for each individual SapTree element. To obtain the value of these parameters, record an action on the desired item and use the parameters that you have recorded.
  • SapUserArea Class
    Class for SAP UserArea.
  • SapVerticalScrollBar Class
    Class for vertical scrollbars.
  • SapWindow Class
    SapWindow class is the class for a top-level window.
Parent topic: Silk4NET Language Reference


ISapContextMenuable Interface

Description

Interface for any Component which supports ContextMenu selections.

Syntax

C#
public class ISapContextMenuable
VB
'Declaration
Public Class ISapContextMenuable

Methods

Name | Description
SelectContextMenuItem | Select an item from the controls context menu.
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item.
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus.
Parent topic: SAP Class Reference


SapBarChart Class

Description

Class for SAP Bar Chart.

Inheritance Hierarchy

  • SapShell
    • SapBarChart

Syntax

C#
public class SapBarChart : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapBarChart _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
ChartCount | the number of charts.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
BarCount | Returns the number of bars in the given chart.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetBarContent | Returns the content of the bar.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetGridLineContent | Returns the content of the grid line.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GridCount | Returns the number of grids within the chart.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LinkCount | Returns the number of links within the given chart.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SendData | Send data to the server.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapBox Class

Description

Class for SAP SapBox.

Inheritance Hierarchy

  • SapComponent
    • SapBox

Syntax

C#
public class SapBox : SapComponent
VB
'Declaration
Public Class SapBox _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapButton Class

Description

SapButton class is the class for push buttons.

Inheritance Hierarchy

  • SapComponent
    • SapButton

Syntax

C#
public class SapButton : SapComponent
VB
'Declaration
Public Class SapButton _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | This emulates manually pressing a button. Pressing a button will always cause server communication to occur, rendering all references to elements below the window level invalid.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapCalendar Class

Description

SapCalendar class represents a SapCalendar.

Inheritance Hierarchy

  • SapShell
    • SapCalendar

Syntax

C#
public class SapCalendar : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapCalendar _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
Day | The day of the month that is currently selected.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
EndSelection | The end of the selection interval.
FirstVisibleDate | the earliest date visible in the calendar control.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
LastVisibleDate | the last date visible in the calendar control.
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Month | The month of the year that is currently selected.
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectionInterval | The interval that is currently selected.
StartSelection | The start of the selection interval.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Week | The week of the year that is currently selected.
Width | the current width of the component. (Inherited from SapComponent)
Year | The year that is currently selected.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ContextMenu | Opens a context menu.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFirstVisibleDate | Sets the earliest date visible in the calendar control.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetFocusDate | Sets the date to be focused.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionInterval | Selects the specified interval.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapChart Class

Description

Class for SAP Chart.

Inheritance Hierarchy

  • SapShell
    • SapChart

Syntax

C#
public class SapChart : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapChart _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ValueChange | Changes a value of the chart.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapCheckBox Class

Description

SapCheckBox class is the class for check box controls.

Inheritance Hierarchy

  • SapComponent
    • SapCheckBox

Syntax

C#
public class SapCheckBox : SapComponent
VB
'Declaration
Public Class SapCheckBox _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
Checked | whether the checkbox is checked.
ColorIndex | the index of the list color of this element.
ColorIntensified | whether the Intensified flag is set in screen painter for this element.
ColorInverse | whether the inverse color style is set in screen painter for the element.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Flushing | whether the value change causes a round trip.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsLeftLabel | whether the component has the 'assign left' flag.
IsListElement | whether the element is on an ABAP list, not a screen.
IsRightLabel | whether the component has the 'assign right' flag.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
RowText | the text of the while line containing the current component.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Uncheck | Un-checks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapColorSelector Class

Description

SapColorSelector class represents a SapColorSelector.

Inheritance Hierarchy

  • SapShell
    • SapColorSelector

Syntax

C#
public class SapColorSelector : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapColorSelector _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeSelection | Selects the color at the given index position.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapComboBox Class

Description

Class for SAP ComboBox.

Inheritance Hierarchy

  • SapComponent
    • SapComboBox

Syntax

C#
public class SapComboBox : SapComponent
VB
'Declaration
Public Class SapComboBox _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Flushing | whether the value change causes a round trip.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsLeftLabel | whether the component has the 'assign left' flag.
IsListBoxActive | whether the list box of the the combo box is currently open.
IsRightLabel | whether the component has the 'assign right' flag.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Key | the key of the currently selected item.
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
Required | whether the component is a required value for the screen.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCurrentEntryKey | the key of the current entry.
GetCurrentEntryValue | the value of the current entry.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetEntryKeys | a list of all entry keys.
GetEntryValues | a list of all entry values.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectItem | Selects the specified item.
SelectKey | Selects the list item with the specified key.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapComponent Class

Description

SapComponent class is the base class for SAP.

Inheritance Hierarchy

  • TestObject
    • SapComponent
      • SapBox
      • SapButton
      • SapCheckBox
      • SapComboBox
      • SapContainer
      • SapContainerShell
      • SapCustomControl
      • SapDockShell
      • SapLabel
      • SapMenu
      • SapMenubar
      • SapOkCodeField
      • SapRadioButton
      • SapScrollContainer
      • SapShell
      • SapSimpleContainer
      • SapSplitterContainer
      • SapStatusbar
      • SapTab
      • SapTable
      • SapTabStrip
      • SapTextField
      • SapTitlebar
      • SapToolbar
      • SapUserArea
      • SapWindow

Syntax

C#
public class SapComponent : TestObject, IFocusable
VB
'Declaration
Public Class SapComponent _
Inherits TestObject _
Implements IFocusable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support.
AccessibilityTextOnRequest | an additional text for accessibility support.
AccessibilityTooltip | an additional tooltip text for accessibility support.
Changeable | whether an object is changeable.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type.
Height | the current height of the component.
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font.
Left | the left position of the element in screen coordinates.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system.
Name | the name of the component.
ScreenLeft | the left position of the component in screen coordinates.
ScreenTop | the top position of the component in screen coordinates.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text.
Top | the top coordinate of the element in screen coordinates.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapContainer Class

Description

Class for SAP Container.

Inheritance Hierarchy

  • SapComponent
    • SapContainer

Syntax

C#
public class SapContainer : SapComponent
VB
'Declaration
Public Class SapContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapContainerShell Class

Description

Class for SAP ConainerShell.

Inheritance Hierarchy

  • SapComponent
    • SapContainerShell

Syntax

C#
public class SapContainerShell : SapComponent
VB
'Declaration
Public Class SapContainerShell _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapContextMenu Class

Description

The class for SAP context menus.

For information on determining the items of a SAP context menu, see Determining the item names and item texts of a SapContextMenu.

Inheritance Hierarchy

  • SapMenu
    • SapContextMenu

Syntax

C#
public class SapContextMenu : SapMenu
VB
'Declaration
Public Class SapContextMenu _
Inherits SapMenu

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Select the menu. (Inherited from SapMenu)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapCustomControl Class

Description

Class for SAP CustomControl.

Inheritance Hierarchy

  • SapComponent
    • SapCustomControl

Syntax

C#
public class SapCustomControl : SapComponent
VB
'Declaration
Public Class SapCustomControl _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapDockShell Class

Description

Class for SAP DockShell.

Inheritance Hierarchy

  • SapComponent
    • SapDockShell

Syntax

C#
public class SapDockShell : SapComponent
VB
'Declaration
Public Class SapDockShell _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapGridView Class

Description

Class for SAP GridView. Some of the methods that have Get as a prefix require the column as an iput parameter of type string. This parameter is different for each individual GridView element. To obtain the value of this parameter, record an action on the desired item and use the parameter that you have recorded.

Inheritance Hierarchy

  • SapShell
    • SapGridView

Syntax

C#
public class SapGridView : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapGridView _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
ColumnCount | the number of columns.
ColumnOrder | a list of strings which contains all the column identifiers in the order in which they are displayed.
CurrentCellColumn | the current column.
CurrentCellRow | the current row.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FirstVisibleColumn | the first visible column of the scrollable area of the grid view, fixed columns are ignored.
FirstVisibleRow | the index of the first visible row in the grid.
FrozenColumnCount | the number of columns that are excluded from horizontal scrolling.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
RowCount | the number of rows.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedCells | a list of strings that contains the selected cells, each of which has the format "<row>,<column id>".
SelectedColumns | a list of strings of currently selected columns.
SelectedRows | a comma separated list of row index numbers or index ranges, such as "1,4,6-8".
SelectionMode | the selection mode. Possible values are: "RowsAndColumns", "ListboxSingle", ListboxMultiple", "Free".
Text | The text of the control. (Inherited from TestObject)
Title | the title of the grid control.
ToolbarButtonCount | the number of tool bar buttons (separators included).
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleRowCount | the number of visible rows of the grid view.
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Removes all row, column and cell selections.
Click | Clicks on the specified cell.
ClickCurrentCell | Clicks the current cell.
ContextMenu | Requests the context menu.
CurrentCellMoved | This function notifies the server that another cell was made the current cell. The function must be called whenever the current cell changes.
DeleteRows | Delete the given rows.
DeselectColumn | Removes the specified column from the list of selected columns.
DoubleClick | Double clicks the specified cell.
DoubleClickCurrentCell | Double clicks on the current cell.
DuplicateRows | Duplicates the given range of rows
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellColor | Returns an identifier for the color of the cell.
GetCellHeight | Gets the height of the cell in pixels.
GetCellIcon | Gets the icon string of the specified cell.
GetCellLeft | Gets the left position of the cell.
GetCellMaxLength | Gets the maximum length of the cell in number of bytes.
GetCellState | Gets the state of the specified cell. Possible values are: Normal, Error, Warning, Info.
GetCellTooltip | Gets the tooltip of the specified cell.
GetCellTop | Gets the top position of the specified cell.
GetCellType | Gets the cell type of the specified cell.
GetCellValue | Gets the value of the specified cell.
GetCellWidth | Gets the width of the specified cell.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColorInfo | Returns the description for the color of the cell.
GetColumnDataType | Gets the data type of the column.
GetColumnPosition | Gets the position of the specified column.
GetColumnSortType | Gets the sort type of the column. Possible values are: None, Ascending, Descending.
GetColumnTitles | Gets all column titles of the specified column.
GetColumnTooltip | Gets the tool tip text of the specified column.
GetColumnTotalType | Gets the total type of the column. Possible values are: None, Total, Subtotal.
GetDisplayedColumnTitle | Gets the currently displayed title of the specified column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRowTotalLevel | Gets the level of the row.
GetSymbolInfo | Returns the description for the symbol in the cell.
GetToolbarButtonIcon | Gets the name of the icon of the specified toolbar button.
GetToolbarButtonId | Gets the ID of the specified tool bar button.
GetToolbarButtonText | Gets the text of the specified tool bar button.
GetToolbarButtonTooltip | Gets the tooltip of the specified tool bar button
GetToolbarButtonType | Gets the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox".
GetToolbarFocusButton | Gets the position of the current focused tool bar button
HasCellF4Help | Returns true if the specified cell has a value help assigned.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
InsertRows | Inserts a range of rows
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsCellChangeable | Returns true if the specified cell is changeable.
IsCellCheckBoxChecked | Returns true if the check box at the specified position is checked.
IsCellHotspot | Returns true if the cell is a link.
IsCellSymbol | Returns true if the text in the cell is displayed in the SAP symbol font.
IsCellTotalExpander | Returns true if the specified cell contains a total expander button.
IsColumnFiltered | Returns true if the specified column is filtered.
IsColumnKey | Returns true if the specified column is a key column.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsToolbarButtonChecked | Returns true if the specified tool bar button is checked.
IsToolbarButtonEnabled | Returns true if the specified button is enabled.
IsTotalRowExpanded | whether the specified total row is expanded.
ModifyCell | Modifies the value of the specified cell.
ModifyCheckBox | Modifies the value of the specified checkbox cell.
MoveRows | Moves the rows with an index greater than or equal to fromRow up to an index less than or equal to toRow to the position of destRow.
PressButton | Presses the button placed in the specified cell.
PressButtonCurrentCell | Clicks a button placed in the current cell.
PressColumnHeader | Clicks on the header of the specified column.
PressEnter | Presses the enter key.
PressF1 | Presses the F1 key.
PressF4 | Presses the F4 key.
PressToolbarButton | Clicks the specified button in the grid view's tool bar.
PressToolbarContextButton | Opens the context menu of the specified button of the grid view's tool bar.
PressTotalRow | Presses the row button of the specified total row.
PressTotalRowCurrentCell | Presses the expansion button on the current cell.
SelectAll | Selects the whole grid content (i.e. all rows and all columns).
SelectColumn | Adds the specified column to the list of the selected columns.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SelectionChanged | Notifies the server that the selection has changed
SelectToolbarMenuItem | Selects an item from the context menu of the grid view's tool bar.
SetColumnOrder | Sets the order of the columns.
SetColumnWidth | Sets the width of the specified column.
SetCurrentCell | Sets the specified cell as the current cell.
SetCurrentCellColumn | Specifies the column of the current cell.
SetCurrentCellRow | Sets the row of the current cell.
SetFirstVisibleColumn | Sets the first visible column.
SetFirstVisibleRow | Sets the first visible row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectedRows | Selects the specified rows.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TriggerModified | Notifies the server of multiple changes in cells. Typically this method should be called after multiple calls to ModifyCell.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapHorizontalScrollBar Class

Description

Class for horizontal scrollbars.

Inheritance Hierarchy

  • SapScrollbar
    • SapHorizontalScrollBar

Syntax

C#
public class SapHorizontalScrollBar : SapScrollbar
VB
'Declaration
Public Class SapHorizontalScrollBar _
Inherits SapScrollbar

Properties

Name | Description
Maximum | the maximum scrollbar value. (Inherited from SapScrollbar)
Minimum | the minimum scrollbar value. (Inherited from SapScrollbar)
PageSize | the scrollbar pagesize. (Inherited from SapScrollbar)
Position | the current scrollbar position. (Inherited from SapScrollbar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
ScrollTo | Scrolls to the given position. (Inherited from SapScrollbar)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapHTMLViewer Class

Description

Class for SAP HTMLView.

Inheritance Hierarchy

  • SapShell
    • SapHTMLViewer

Syntax

C#
public class SapHTMLViewer : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapHTMLViewer _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DocumentComplete | whether the document is complete.
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ContextMenu | Emulates the context menu request. Applies only to context menus provided by the backend.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SapEvent | This function submits an HTML form to the backend.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapLabel Class

Description

SapLabel class is the class for all SAP labels.

Inheritance Hierarchy

  • SapComponent
    • SapLabel

Syntax

C#
public class SapLabel : SapComponent
VB
'Declaration
Public Class SapLabel _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharLeft | the left coordinate of the label in character metric.
CharTop | the top coordinate of the label in character metric.
CharWidth | the width of the element in character metric.
ColorIndex | the color index of the label.
ColorInverse | whether the inverse color style is set for the label.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DisplayedText | the text of the label.
Height | the current height of the component. (Inherited from SapComponent)
Highlighted | whether the label has the 'highlighted' flag assigned.
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsHotspot | whether a mouse click on the label causes a round trip.
IsLeftLabel | whether the component has the 'assign left' flag assigned.
IsListElement | whether the element is on an ABAP list.
IsRightLabel | whether the component has the 'assign right' flag assigned.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Maxlength | the maximum text length of the label in code units.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
Numerical | whether the label may only contain numbers.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapMenu Class

Description

Class for SAP Menu.

Inheritance Hierarchy

  • SapComponent
    • SapMenu
      • SapContextMenu

Syntax

C#
public class SapMenu : SapComponent
VB
'Declaration
Public Class SapMenu _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Select the menu.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapMenubar Class

Description

Class for SAP MenuBar.

Inheritance Hierarchy

  • SapComponent
    • SapMenubar

Syntax

C#
public class SapMenubar : SapComponent
VB
'Declaration
Public Class SapMenubar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapNetPlan Class

Description

Class for SAP Net Chart.

Inheritance Hierarchy

  • SapShell
    • SapNetPlan

Syntax

C#
public class SapNetPlan : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapNetPlan _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
LinkCount | the number of links in the net.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
NodeCount | the number of Nodes in the net.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetLinkContent | Returns the content of the link.
GetNodeContent | Returns the content of the node.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SendData | This function emulates the output of each action triggered at the control side. The result of the action is sent to the server.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapOfficeIntegration Class

Description

Class for SAP OfficeIntegration.

Inheritance Hierarchy

  • SapShell
    • SapOfficeIntegration

Syntax

C#
public class SapOfficeIntegration : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapOfficeIntegration _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapOkCodeField Class

Description

SapOkCodeField class is the class for sap OkCodeField.

Inheritance Hierarchy

  • SapComponent
    • SapOkCodeField

Syntax

C#
public class SapOkCodeField : SapComponent
VB
'Declaration
Public Class SapOkCodeField _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
Opened | whether the GuiOkCodeField is collapsed.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Close | Collapses the GuiOkCodeField.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Open | Expands the GuiOkCodeField.
PressF1 | Emulate pressing the F1 key while the focus is on the GuiOkCodeField.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text of the control to the specified text.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapPicture Class

Description

Class for SAP picture.

Inheritance Hierarchy

  • SapShell
    • SapPicture

Syntax

C#
public class SapPicture : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapPicture _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DisplayMode | the display mode of the picture, i.e. "Normal", "Stretch", "Fit", "NormalCenter", "FitCenter"
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
Height | the current height of the component. (Inherited from SapComponent)
Icon | the SAPGUI icon code e.g. ("@01@")
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Url | the URL of the picture
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | clicks on a picture
ClickControlArea | clicks on the specified position
ClickPictureArea | clicks on the specified position in the picture area
ContextMenu | The function opens a context menu on the given position. The coordinates should be given in pixels with respect to the picture control as it is displayed on the screen.
DoubleClick | double clicks on the picture
DoubleClickControlArea | double clicks on the specified position
DoubleClickPictureArea | double clicks on the specified position in the picture area
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapRadioButton Class

Description

SapRadioButton class is the class for radio button controls.

Inheritance Hierarchy

  • SapComponent
    • SapRadioButton

Syntax

C#
public class SapRadioButton : SapComponent
VB
'Declaration
Public Class SapRadioButton _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric
CharLeft | the left coordinate of the element in character metric
CharTop | the top coordinate of the element in character metric
CharWidth | the width of the element in character metric
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Flushing | whether the value change causes a round trip
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsLeftLabel | whether the component has the 'assign left' flag
IsRightLabel | whether the component has the 'assign right' flag
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Selected | whether the radio button is selected
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Selects the radio button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapScrollbar Class

Description

Class for SAP Scrollbar.

Inheritance Hierarchy

  • TestObject
    • SapScrollbar
      • SapHorizontalScrollBar
      • SapVerticalScrollBar

Syntax

C#
public class SapScrollbar : TestObject
VB
'Declaration
Public Class SapScrollbar _
Inherits TestObject

Properties

Name | Description
Maximum | the maximum scrollbar value.
Minimum | the minimum scrollbar value.
PageSize | the scrollbar pagesize.
Position | the current scrollbar position.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
ScrollTo | Scrolls to the given position.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapScrollContainer Class

Description

Class for SAP UserArea.

Inheritance Hierarchy

  • SapComponent
    • SapScrollContainer

Syntax

C#
public class SapScrollContainer : SapComponent
VB
'Declaration
Public Class SapScrollContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapShell Class

Description

Class for SAP SapShell.

Inheritance Hierarchy

  • SapComponent
    • SapShell
      • SapBarChart
      • SapCalendar
      • SapChart
      • SapColorSelector
      • SapGridView
      • SapHTMLViewer
      • SapNetPlan
      • SapOfficeIntegration
      • SapPicture
      • SapTextEdit
      • SapToolbarControl
      • SapTree

Syntax

C#
public class SapShell : SapComponent
VB
'Declaration
Public Class SapShell _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapSimpleContainer Class

Description

Class for SAP SimpleContainer.

Inheritance Hierarchy

  • SapComponent
    • SapSimpleContainer

Syntax

C#
public class SapSimpleContainer : SapComponent
VB
'Declaration
Public Class SapSimpleContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapSplitterContainer Class

Description

Class for SAP splitter container.

Inheritance Hierarchy

  • SapComponent
    • SapSplitterContainer

Syntax

C#
public class SapSplitterContainer : SapComponent
VB
'Declaration
Public Class SapSplitterContainer _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapStatusbar Class

Description

Class for SAP statusbar.

Inheritance Hierarchy

  • SapComponent
    • SapStatusbar

Syntax

C#
public class SapStatusbar : SapComponent
VB
'Declaration
Public Class SapStatusbar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
MessageId | the name of the message class used in the ABAP message call
MessageNumber | the message number used in the ABAP message call
MessageType | the type of the displayed message in the statusbar, i.e. S (Success), W (Warning), E (Error), A (Abort), I (Information)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
DoubleClick | double-clicks the statusbar
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTab Class

Description

Class for SAP Tab.

Inheritance Hierarchy

  • SapComponent
    • SapTab

Syntax

C#
public class SapTab : SapComponent
VB
'Declaration
Public Class SapTab _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Select | Selects the tab
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTable Class

Description

SapTable class is the class for SAP tables.

Inheritance Hierarchy

  • SapComponent
    • SapTable

Syntax

C#
public class SapTable : SapComponent
VB
'Declaration
Public Class SapTable _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CharHeight | the height of the element in character metric.
CharLeft | the left coordinate of the element in character metric.
CharTop | the top coordinate of the element in character metric.
CharWidth | the width of the element in character metric.
ColumnCount | the number of columns in the table.
ColumnSelectionMode | the column selection mode
CurrentColumn | the index of the current column.
CurrentRow | the index of the current row.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
RowCount | the number of rows in the table including invisible rows.
RowSelectionMode | the row selection mode.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
TableFieldName | the table field name.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleRowCount | the number of visible rows in the table.
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ConfigureLayout | Opens the configuration layout dialog, in which the layout of the table can be changed.
DeselectAllColumns | This function can be used for table controls with a button that allows to de-select all columns in one step.
DeselectColumn | Deselects the given column.
DeselectRow | Deselects the given row.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCell | Returns a visible table cell.
GetCellAbsolute | Returns a table cell. If the row is not visible, it will be scrolled into view.
GetCellsForRow | Returns the cells for the given row.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnTitle | This method returns the title of the given column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVisibleCellsForColumn | Returns the visible cells for the given column.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsColumnSelected | Returns true if the given column is selected.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsRowSelected | Returns true if the given row is selected.
ReorderTable | This method re-orders the columns.
SelectAllColumns | This function can be used for table controls with a button that allows to select all columns in one step.
SelectColumn | Selects the given column.
SelectRow | Selects the given row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTabStrip Class

Description

Class for SAP tab pane.

Inheritance Hierarchy

  • SapComponent
    • SapTabStrip

Syntax

C#
public class SapTabStrip : SapComponent
VB
'Declaration
Public Class SapTabStrip _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedTab | the current selected tab.
Tabs | all tabs of the tab pane.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTextEdit Class

Description

Class for SAP TextEdit.

Inheritance Hierarchy

  • SapShell
    • SapTextEdit

Syntax

C#
public class SapTextEdit : SapShell
VB
'Declaration
Public Class SapTextEdit _
Inherits SapShell

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentColumn | the column index in which the caret is currently positioned.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
CurrentLine | the line index in which the caret is currently positioned.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FirstVisibleLine | the first visible line which is visualized at the top border of the text edit control.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
LastVisibleLine | the last visible line which is visualized at the bottom border of the text edit control.
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
LineCount | the number of all lines in the text edit control.
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedText | the currently selected text.
SelectionEndColumn | the column index in which the selection ends.
SelectionEndLine | the line index in which the selection ends.
SelectionIndexEnd | the overall end index of the text selection.
SelectionIndexStart | the overall start index of the text selection.
SelectionStartColumn | the column start index of the text selection.
SelectionStartLine | the line index in which the selection starts.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ContextMenu | Requests the context menu.
DoubleClick | Double clicks the text edit control.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetLineText | Returns the text of the specified line.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsBreakpointLine | whether the specified line contains a breakpoint.
IsCommentLine | Returns true if the specified line is a comment line.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsHighlightedLine | Returns true if the specified line is highlighted.
IsProtectedLine | Returns true if the specified line is protected.
PressF1 | Presses the F1 key.
PressF4 | Presses the F4 key.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionIndexes | Selects the text within the specified range.
SetText | Sets the specified text in the text edit control.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTextField Class

Description

SapTextField is the class for single-line and multi-line fields whose text can be modified by the user.

Inheritance Hierarchy

  • SapComponent
    • SapTextField

Syntax

C#
public class SapTextField : SapComponent
VB
'Declaration
Public Class SapTextField _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DisplayedText | the text as it is displayed on the screen, including preceding or trailing blanks.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsPassword | whether the text field is a password text field.
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPasswordText | Sends an encrypted password to the object.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text of the control to the specified text.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTitlebar Class

Description

Class for SAP Titlebar.

Inheritance Hierarchy

  • SapComponent
    • SapTitlebar

Syntax

C#
public class SapTitlebar : SapComponent
VB
'Declaration
Public Class SapTitlebar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapToolbar Class

Description

Class for SAP Toolbar.

Inheritance Hierarchy

  • SapComponent
    • SapToolbar

Syntax

C#
public class SapToolbar : SapComponent
VB
'Declaration
Public Class SapToolbar _
Inherits SapComponent

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapToolbarControl Class

Description

Class for SAP ToolbarControl.

Inheritance Hierarchy

  • SapShell
    • SapToolbarControl

Syntax

C#
public class SapToolbarControl : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapToolbarControl _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
ButtonCount | the number of toolbar buttons including separators.
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FocusedButton | the zero-based index of the button that currently has the focus.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetButtonIcon | the name of the icon of the specified toolbar button.
GetButtonType | the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox"
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsButtonChecked | if the button is currently checked (pressed).
IsButtonEnabled | if the button can be pressed.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
PressContextButton | Press the context button with the given id.
SelectButton | emulates pressing the button with the given id.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SelectMenuItem | emulates selecting the menu item with the given id.
SelectMenuItemByText | emulates selecting the menu item by menu item text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapTree Class

Description

SapTree class is the class for all SAP trees. Some of the methods that have Get as a prefix require the nodeKey and the ItemName as iput parameters of type string. These parameters are different for each individual SapTree element. To obtain the value of these parameters, record an action on the desired item and use the parameters that you have recorded.

Inheritance Hierarchy

  • SapShell
    • SapTree

Syntax

C#
public class SapTree : SapShell, ISapContextMenuable
VB
'Declaration
Public Class SapTree _
Inherits SapShell _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityDescription | the accessibility description of the shell.
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
ColumnHeaders | a collection of the titles of the columns.
ColumnNames | a collection of the column names.
ColumnOrder | the column order.
ColumnTitles | a collection of the titles of the columns.
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
DragDropSupported | whether the shell allows drag and drop operations. (Inherited from SapShell)
FocusedNodeKey | the key of the focused node.
Height | the current height of the component. (Inherited from SapComponent)
HierarchyHeaderWidth | the width of the hierarchy header in pixels.
HierarchyTitle | the hierarchy title.
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
NodeKeys | a collection containing either the node key of the root node, or the node keys of all nodes in the tree, depending on the application.
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
SelectedItemColumn | the key of the currently selected item column.
SelectedItemNode | the key of the currently selected item node.
SelectedNode | the key of the currently selected node.
SelectedNodes | a collection containing the node keys of all the selected nodes in the tree.
SelectionMode | the selection mode.
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
TopNode | the key of the top node.
TreeType | the tree type. (simple tree, list tree or column tree)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ChangeCheckbox | This method emulates changing a checkbox state.
CollapseNode | This function closes the node with the key nodeKey.
DefaultContextMenu | This method requests a context menu for the whole Tree Control.
DoubleSelectItem | This function emulates double clicking on a text item.
DoubleSelectNode | This function emulates double clicking a node.
EnsureVisibleHorizontalItem | This function scrolls the Tree horizontally until the Item is visible.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExpandNode | This function expands the node with the key nodeKey.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FindNodeKeyByPath | Return the node key for the given path (e.g. 2\1\2).
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetAbapImage | Gets the abap image.
GetCheckBoxState | Retrieves the CheckBox state (true = Checked, false = Unchecked).
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnIndexFromName | Gets the column index for the given name.
GetColumnKeys | The keys of all the items in the given column.
GetColumnTitleFromName | Gets the column title for the given name.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHierarchyLevel | Gets the hierarchy level for the given key.
GetItemHeight | Returns the current item height.
GetItemLeft | The left position of the component.
GetItemStyle | The style of the given item.
GetItemText | For multi column trees, this function returns the text of the item specified by the key and name parameters.
GetItemTextColor | Returns the item text color.
GetItemTooltip | Returns the item tooltip text.
GetItemTop | The top position of the component.
GetItemType | Returns the type of the given node.
GetItemWidth | Returns the current item width.
GetListTreeNodeItemCount | Returns the node item count.
GetNextNodeKey | Returns the key of the next node.
GetNodeAbapImage | Returns the abap image for the given node.
GetNodeChildrenCount | This function returns the number of children of the node given.
GetNodeChildrenCountByPath | This function returns the number of children of the node given by the path parameter (e.g. 2\1\2).
GetNodeHeight | The current height of the node.
GetNodeIndex | The index of the given node.
GetNodeItemHeaders | Returns the headers for the given node.
GetNodeLeft | The left position of the component.
GetNodePathByKey | Given a node key, the path is retrieved (e.g. 2\1\2).
GetNodeStyle | Returns the style of the node.
GetNodeText | This function returns the text of the node specified by the given key.
GetNodeTextByPath | The text of a node defined by the given path is returned.
GetNodeTextColor | Returns the node text color.
GetNodeTooltip | Returns the node tooltip text.
GetNodeTop | The top position of the component.
GetNodeWidth | Returns the current node width.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetParentNodeKey | Key of the parent node of the node specified by the given key.
GetPreviousNodeKey | Key of the previous node of the node specified by the given key.
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetStyleDescription | Returns the description for the given style.
GetSubNodesKeys | Collection of the keys of all subnodes of the node specified by the given key.
HeaderContextMenu | This method requests a context menu for a header.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsFolder | Whether the given node is a folder.
IsFolderExpandable | Whether the folder is expandable.
IsFolderExpanded | Whether the folder is expanded.
IsHighLighted | Whether the node is highlighted.
ItemContextMenu | This method requests a context menu for an item.
NodeContextMenu | This method requests a context menu for a node.
PressKey | This method emulates pressing a key.
SelectButton | This method emulates pressing a button.
SelectColumn | This function adds a column to the column selection. A node or item selection is removed.
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SelectHeader | This method emulates clicking a header.
SelectItem | This function emulates the selection of an item. This selection removes all other selections.
SelectLink | This function emulates triggering a link.
SelectNode | The node with the key nodeKey is added to the Node Selection.
SetCheckBoxState | Changes the state of the checkbox in the given node.
SetColumnOrder | Sets the order of the tree's column.
SetColumnWidth | This function sets the width of a column in pixels.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHierarchyHeaderWidth | Sets the width of the Hierarchy Header in pixels.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectedNode | Select the given node.
SetTopNode | Sets the given key as top node.
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
UnselectAll | All selections are removed.
UnselectColumn | This function removes a column from the column selection.
UnselectNode | The node with the key nodeKey is removed from the Node Selection.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapUserArea Class

Description

Class for SAP UserArea.

Inheritance Hierarchy

  • SapComponent
    • SapUserArea

Syntax

C#
public class SapUserArea : SapComponent, ISapContextMenuable
VB
'Declaration
Public Class SapUserArea _
Inherits SapComponent _
Implements ISapContextMenuable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
Changeable | whether an object is changeable. (Inherited from SapComponent)
CurrentContextMenu | The current context menu. This is only set when a context menu is available at the shell object.
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
Text | The text of the control. (Inherited from TestObject)
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
SelectContextMenuItem | Select an item from the controls context menu. (Inherited from ISapContextMenuable)
SelectContextMenuItemByPosition | This method allows you to select a context menu item using the position of the item. (Inherited from ISapContextMenuable)
SelectContextMenuItemByText | Select a menu item of a context menu using the text of the item and possible higher level menus. (Inherited from ISapContextMenuable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapVerticalScrollBar Class

Description

Class for vertical scrollbars.

Inheritance Hierarchy

  • SapScrollbar
    • SapVerticalScrollBar

Syntax

C#
public class SapVerticalScrollBar : SapScrollbar
VB
'Declaration
Public Class SapVerticalScrollBar _
Inherits SapScrollbar

Properties

Name | Description
Maximum | the maximum scrollbar value. (Inherited from SapScrollbar)
Minimum | the minimum scrollbar value. (Inherited from SapScrollbar)
PageSize | the scrollbar pagesize. (Inherited from SapScrollbar)
Position | the current scrollbar position. (Inherited from SapScrollbar)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
ScrollTo | Scrolls to the given position. (Inherited from SapScrollbar)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


SapWindow Class

Description

SapWindow class is the class for a top-level window.

Inheritance Hierarchy

  • SapComponent
    • SapWindow

Syntax

C#
public class SapWindow : SapComponent, IMoveable
VB
'Declaration
Public Class SapWindow _
Inherits SapComponent _
Implements IMoveable

Properties

Name | Description
AccessibilityText | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTextOnRequest | an additional text for accessibility support. (Inherited from SapComponent)
AccessibilityTooltip | an additional tooltip text for accessibility support. (Inherited from SapComponent)
ButtonbarVisible | whether the application toolbar, the lower toolbar within SAP GUI, is visible.
Changeable | whether an object is changeable. (Inherited from SapComponent)
DefaultTooltip | the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type. (Inherited from SapComponent)
GuiFocus | the element within SAP GUI that currently has the focus.
Height | the current height of the component. (Inherited from SapComponent)
IconName | whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string. (Inherited from SapComponent)
IsSymbolFont | whether the component's text is visualized in the SAP symbol font. (Inherited from SapComponent)
Left | the left position of the element in screen coordinates. (Inherited from SapComponent)
Modified | whether the state has been changed by the user and this change has not yet been sent to the SAP system. (Inherited from SapComponent)
Name | the name of the component. (Inherited from SapComponent)
ScreenLeft | the left position of the component in screen coordinates. (Inherited from SapComponent)
ScreenTop | the top position of the component in screen coordinates. (Inherited from SapComponent)
StatusbarVisible | whether the statusbar is visible.
SystemFocus | the element within SAP GUI that has the focus from the server application's perspective.
Text | The text of the control. (Inherited from TestObject)
TitlebarVisible | whether the titlebar is visible.
ToolbarVisible | whether the toolbar is visible.
Tooltip | the tooltip text. (Inherited from SapComponent)
Top | the top coordinate of the element in screen coordinates. (Inherited from SapComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | the current width of the component. (Inherited from SapComponent)
WindowHandle | the window handle of the control that is connected to the GuiShell.
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)
WorkingPaneHeight | the current height of the working pane.
WorkingPaneWidth | the current width of the working pane.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsVkeyAllowed | The method returns True if the given virtual key can be executed on the current screen.
JumpBackward | Execute the Ctrl+Shift+Tab key on the window to jump backward one block.
JumpForward | Execute the Ctrl+Tab key on the window to jump forward one block.
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
Move | Moves the window. (Inherited from IMoveable)
ResizeWorkingPane | The ResizeWorkingPane function will resize the window so that the available working area has the given width and height in character metric.
ResizeWorkingPaneEx | The ResizeWorkingPaneEx function will resize the window so that the available working area has the given width and height in pixels.
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SendVKey | Send a virtual key to the system.
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
ShowContextMenu | Shows the context menu of the control. (Inherited from SapComponent)
Size | Resizes the window. (Inherited from IMoveable)
TabBackward | Execute the Shift+Tab key on the window to jump backward one element.
TabForward | Execute the Tab key on the window to jump forward one element.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: SAP Class Reference


Silverlight Class Reference

Lists the available classes for testing Silverlight controls.

  • SLApplication Class
    The container for Silverlight controls.
  • SLAutoCompleteBox Class
    Represents a control that provides a text box for user input and a drop-down that contains possible matches based on the input in the text box.
  • SLBase Class
    Provides a Silverlight framework-level set of properties, events, and methods for Silverlight elements.
  • SLButton Class
    Identifies a button control.
  • SLCalendar Class
    Identifies a calendar control.
  • SLCalendarButton Class
    Identifies a calendar button.
  • SLCalendarDayButton Class
    Identifies a calendar day button.
  • SLCheckBox Class
    Identifies a check box control.
  • SLComboBox Class
    Identifies a combo box control.
  • SLComboBoxItem Class
    Identifies a combo box item control.
  • SLDataGrid Class
    Identifies a data grid control.
  • SLDataGridCell Class
    Identifies a cell within a row of a data grid control.
  • SLDataGridDetails Class
    Identifies a control that displays additional details within a data grid row.
  • SLDataGridRow Class
    Identifies a row in data grid.
  • SLDataPager Class
    Identifies a data pager for paging through a collection of data.
  • SLDatePicker Class
    Represents a control that allows the user to select a date.
  • SLDescriptionViewer Class
    Identifies a description viewer control.
  • SLFrame Class
    Identifies a frame control.
  • SLGridSplitter Class
    Identifies a grid splitter control.
  • SLGroup Class
    Identifies a group control, which acts as a container for other controls.
  • SLHeader Class
    Identifies a control that provides a visual container for the labels for rows or columns.
  • SLHeaderItem Class
    Identifies a control that provides a visual label for a row or column.
  • SLHorizontalScrollBar Class
    Identifies a horizontal scroll bar.
  • SLHyperlinkButton Class
    Identifies a hyperlink button control.
  • SLImage Class
    Identifies an image control.
  • SLListBox Class
    Identifies a list box control.
  • SLListItem Class
    Identifies a list item control.
  • SLMediaElement Class
    Represents a control that contains audio and/or video.
  • SLMenu Class
    Identifies a menu control.
  • SLMenuBar Class
    Identifies a menu bar control.
  • SLMenuItem Class
    Identifies a menu item control.
  • SLMultiScaleImage Class
    Enables users to open a multi-resolution image, which can be zoomed in on and panned across.
  • SLPane Class
    Identifies a pane that can optionally have scroll bars.
  • SLPasswordBox Class
    Identifies a password box control.
  • SLPopup Class
    Identifies a popup control. Context menus are also treated as popup controls.
  • SLProgressBar Class
    Identifies a progress bar control.
  • SLRadioButton Class
    Represents a button that allows a user to select a single option from a group of options.
  • SLRepeatButton Class
    Identifies a repeat button control.
  • SLRichTextBox Class
    Identifies a rich text box control.
  • SLSeparator Class
    Identifies a separator control.
  • SLSlider Class
    Identifies a progress bar control.
  • SLSpinner Class
    Identifies a spinner control.
  • SLSplitButton Class
    Identifies a split button control.
  • SLStatusBar Class
    Identifies a status bar control.
  • SLTabControl Class
    Identifies a tab control.
  • SLTabItem Class
    Identifies a tab item control.
  • SLTable Class
    Identifies a table.
  • SLTextBlock Class
    Identifies a control for displaying small amounts of flow content.
  • SLTextBox Class
    Identifies a text box control.
  • SLThumb Class
    Identifies a thumb control.
  • SLTitleBar Class
    Identifies the caption bar on a window.
  • SLToggleButton Class
    Identifies a toggle button control.
  • SLToolBar Class
    Identifies a toolbar control.
  • SLToolTip Class
    Identifies a tooltip control.
  • SLTreeView Class
    Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.
  • SLTreeViewItem Class
    Represents a selectable item in a tree control.
  • SLValidationSummary Class
    Identifies a validation summary control.
  • SLVerticalScrollBar Class
    Identifies a vertical scroll bar.
  • SLWindow Class
    Identifies a window control.
Parent topic: Silk4NET Language Reference


SLApplication Class

Description

The container for Silverlight controls.

Inheritance Hierarchy

  • SLBase
    • SLApplication

Syntax

C#
public class SLApplication : SLBase
VB
'Declaration
Public Class SLApplication _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLAutoCompleteBox Class

Description

Represents a control that provides a text box for user input and a drop-down that contains possible matches based on the input in the text box.

Inheritance Hierarchy

  • SLBase
    • SLAutoCompleteBox

Syntax

C#
public class SLAutoCompleteBox : SLBase
VB
'Declaration
Public Class SLAutoCompleteBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the combo box can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsOpen | a value that indicates whether the auto complete box is open
Items | a list containing items of the current matches. If nothing was entered in the control's text box an empty list is returned.
ItemTexts | a list containing the texts of the current matches. If nothing was entered in the control's text box an empty list is returned.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the combo box can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the drop-down list that contains the matches if it is currently open.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Types the given text into the auto box complete box and selects a match.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the combo box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the combo box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLBase Class

Description

Provides a Silverlight framework-level set of properties, events, and methods for Silverlight elements.

Inheritance Hierarchy

  • TestObject
    • SLBase
      • SLApplication
      • SLAutoCompleteBox
      • SLButton
      • SLCalendar
      • SLCalendarButton
      • SLCalendarDayButton
      • SLCheckBox
      • SLComboBox
      • SLComboBoxItem
      • SLDataGrid
      • SLDataGridCell
      • SLDataGridDetails
      • SLDataGridRow
      • SLDataPager
      • SLDatePicker
      • SLDescriptionViewer
      • SLFrame
      • SLGridSplitter
      • SLGroup
      • SLHeader
      • SLHeaderItem
      • SLHorizontalScrollBar
      • SLHyperlinkButton
      • SLImage
      • SLListBox
      • SLListItem
      • SLMediaElement
      • SLMenu
      • SLMenuBar
      • SLMenuItem
      • SLMultiScaleImage
      • SLPane
      • SLPasswordBox
      • SLPopup
      • SLProgressBar
      • SLRadioButton
      • SLRepeatButton
      • SLRichTextBox
      • SLSeparator
      • SLSlider
      • SLSpinner
      • SLSplitButton
      • SLStatusBar
      • SLTabControl
      • SLTabItem
      • SLTable
      • SLTextBlock
      • SLTextBox
      • SLThumb
      • SLTitleBar
      • SLToggleButton
      • SLToolBar
      • SLToolTip
      • SLTreeView
      • SLTreeViewItem
      • SLValidationSummary
      • SLVerticalScrollBar
      • SLWindow

Syntax

C#
public class SLBase : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class SLBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element.
ClassName | the simple class name of the element.
IsEnabled | a value that indicates whether the element is enabled.
Name | a string containing the UI Automation name for the element.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type.
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLButton Class

Description

Identifies a button control.

Inheritance Hierarchy

  • SLBase
    • SLButton

Syntax

C#
public class SLButton : SLBase
VB
'Declaration
Public Class SLButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCalendar Class

Description

Identifies a calendar control.

Inheritance Hierarchy

  • SLBase
    • SLCalendar

Syntax

C#
public class SLCalendar : SLBase
VB
'Declaration
Public Class SLCalendar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
CanSelectMultiple | whether multiple dates can be selected
ClassName | the simple class name of the element. (Inherited from SLBase)
DisplayMode | a value that indicates whether the calendar displays a month, year, or decade.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelectionRequired | whether at least one date has to be selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedDate | the currently selected date in the currently displayed view.
SelectedDates | a list of selected dates in the currently displayed view.
SupportedDisplayModes | a list of supported display modes.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SelectDate | Selects the given date.
SelectDates | Selects the given dates.
SelectRange | Selects a range of dates.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SwitchToDecadeView | Switches the calendar display mode to 'decade', if supported.
SwitchToMonthView | Switches the calendar display mode to 'month', if supported.
SwitchToYearView | Switches the calendar display mode to 'year', if supported.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCalendarButton Class

Description

Identifies a calendar button.

Inheritance Hierarchy

  • SLBase
    • SLCalendarButton

Syntax

C#
public class SLCalendarButton : SLBase
VB
'Declaration
Public Class SLCalendarButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the calendar button is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCalendarDayButton Class

Description

Identifies a calendar day button.

Inheritance Hierarchy

  • SLBase
    • SLCalendarDayButton

Syntax

C#
public class SLCalendarDayButton : SLBase
VB
'Declaration
Public Class SLCalendarDayButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the calendar day button is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLCheckBox Class

Description

Identifies a check box control.

Inheritance Hierarchy

  • SLBase
    • SLCheckBox

Syntax

C#
public class SLCheckBox : SLBase
VB
'Declaration
Public Class SLCheckBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
ToggleState | the toggle state of the check box
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the check box to the indeterminate state.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Cycles through the toggle states of the check box in this order: On, Off and, if supported, Indeterminate.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLComboBox Class

Description

Identifies a combo box control.

Combo boxes in Silverlight require to be opened once before information about their items can be retrieved.

Inheritance Hierarchy

  • SLBase
    • SLComboBox

Syntax

C#
public class SLComboBox : SLBase
VB
'Declaration
Public Class SLComboBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the combo box can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsOpen | a value that indicates whether the combo box is open
Items | a complete list of items.
ItemTexts | a complete list of item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedIndex | the index of the selected item or negative one (-1) if the selection is empty.
SelectedItem | the selected item or null (Nothing in Visual Basic) if the selection is empty.
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the combo box can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the combo box.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Open | Opens the combo box.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects an item in the combo box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the combo box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the combo box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLComboBoxItem Class

Description

Identifies a combo box item control.

Inheritance Hierarchy

  • SLBase
    • SLComboBoxItem

Syntax

C#
public class SLComboBoxItem : SLBase
VB
'Declaration
Public Class SLComboBoxItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the combo box item is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the combo box item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGrid Class

Description

Identifies a data grid control.

If the data grid has a vertical scroll bar, rows which are not in the visible area of the data grid do not expose any information (e.g. text, caption). In order to interact with such a row or retrieve information about the row it needs to be scrolled into view first.

Inheritance Hierarchy

  • SLBase
    • SLDataGrid

Syntax

C#
public class SLDataGrid : SLBase
VB
'Declaration
Public Class SLDataGrid _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
CanSelectMultiple | whether the data grid allows more than one row to be selected concurrently.
ClassName | the simple class name of the element. (Inherited from SLBase)
ColumnCount | the number of columns in the data grid
ColumnHeaders | a list containing the header item for every column
ColumnHeaderTexts | a list containing the text of the header item for every column
HorizontallyScrollable | a value that indicates whether the data grid can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
RowCount | the number of rows in the data grid
Rows | a list of rows in the data grid
RowTexts | a list of row texts in the data grid. The text for every row is returned as a string that contains the text of every cell separated with a blank character.
SelectedCell | the currently selected cell or null (Nothing in Visual Basic) if no cell is selected
SelectedCellText | the text of the currently selected cell or an empty string if no cell is selected
SelectedRow | the currently selected row or null (Nothing in Visual Basic) if no row is selected
SelectedRows | a list of currently selected rows or an empty list if no row is selected
SelectedRowText | the text of the currently selected row or an empty string if no row is selected
SelectedRowTexts | the text of the currently selected rows or an empty list if no row is selected
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the data grid can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollIntoView | Scrolls the specified row or cell into view.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects the specified row.
SelectCell | Selects the specified cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the data grid.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the data grid.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGridCell Class

Description

Identifies a cell within a row of a data grid control.

Inheritance Hierarchy

  • SLBase
    • SLDataGridCell

Syntax

C#
public class SLDataGridCell : SLBase
VB
'Declaration
Public Class SLDataGridCell _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the cell is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scroll the cell into view.
Select | Selects the cell
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGridDetails Class

Description

Identifies a control that displays additional details within a data grid row.

Inheritance Hierarchy

  • SLBase
    • SLDataGridDetails

Syntax

C#
public class SLDataGridDetails : SLBase
VB
'Declaration
Public Class SLDataGridDetails _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataGridRow Class

Description

Identifies a row in data grid.

Inheritance Hierarchy

  • SLBase
    • SLDataGridRow

Syntax

C#
public class SLDataGridRow : SLBase
VB
'Declaration
Public Class SLDataGridRow _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
Cells | the cells of the data grid row.
CellTexts | the text of the cells of the data grid row.
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the row is selected.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
RowHeader | the header for this row
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the row into view.
Select | Selects the row
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDataPager Class

Description

Identifies a data pager for paging through a collection of data.

Inheritance Hierarchy

  • SLBase
    • SLDataPager

Syntax

C#
public class SLDataPager : SLBase
VB
'Declaration
Public Class SLDataPager _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
CurrentPage | The current page.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
PageCount | The count of the pages.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveToFirstPage | Moves the data pager to the first page.
MoveToLastPage | Moves the data pager to the last page.
MoveToNextPage | Moves the data pager to the next page.
MoveToPage | Moves the data pager to the given page.
MoveToPreviousPage | Moves the data pager to the previous page.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDatePicker Class

Description

Represents a control that allows the user to select a date.

Inheritance Hierarchy

  • SLBase
    • SLDatePicker

Syntax

C#
public class SLDatePicker : SLBase
VB
'Declaration
Public Class SLDatePicker _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsCalendarOpen | a value whether the drop-down Calendar is open.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedDate | the selected date or null (Nothing in Visual Basic) if no date is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CloseCalendar | Closes the drop-down Calendar.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenCalendar | Opens the drop-down Calendar.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLDescriptionViewer Class

Description

Identifies a description viewer control.

Inheritance Hierarchy

  • SLBase
    • SLDescriptionViewer

Syntax

C#
public class SLDescriptionViewer : SLBase
VB
'Declaration
Public Class SLDescriptionViewer _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLFrame Class

Description

Identifies a frame control.

Inheritance Hierarchy

  • SLBase
    • SLFrame

Syntax

C#
public class SLFrame : SLBase
VB
'Declaration
Public Class SLFrame _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLGridSplitter Class

Description

Identifies a grid splitter control.

Inheritance Hierarchy

  • SLBase
    • SLGridSplitter

Syntax

C#
public class SLGridSplitter : SLBase
VB
'Declaration
Public Class SLGridSplitter _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveHorizontal | Moves the splitter horizontally.
MoveVertical | Moves the splitter vertically.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLGroup Class

Description

Identifies a group control, which acts as a container for other controls.

Inheritance Hierarchy

  • SLBase
    • SLGroup

Syntax

C#
public class SLGroup : SLBase
VB
'Declaration
Public Class SLGroup _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHeader Class

Description

Identifies a control that provides a visual container for the labels for rows or columns.

Inheritance Hierarchy

  • SLBase
    • SLHeader

Syntax

C#
public class SLHeader : SLBase
VB
'Declaration
Public Class SLHeader _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HeaderItems | a list containing the header items of this header control
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHeaderItem Class

Description

Identifies a control that provides a visual label for a row or column.

Inheritance Hierarchy

  • SLBase
    • SLHeaderItem

Syntax

C#
public class SLHeaderItem : SLBase
VB
'Declaration
Public Class SLHeaderItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the header item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHorizontalScrollBar Class

Description

Identifies a horizontal scroll bar.

Inheritance Hierarchy

  • SLBase
    • SLHorizontalScrollBar

Syntax

C#
public class SLHorizontalScrollBar : SLBase
VB
'Declaration
Public Class SLHorizontalScrollBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Maximum | the maximum scroll position
Minimum | the minimum scroll position
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
ScrollPosition | the current scroll position
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar by the specified amount
ScrollToMaximum | Scrolls the scroll bar to the right end.
ScrollToMinimum | Scrolls the scroll bar to the left end.
ScrollToPosition | Scrolls the scroll bar to the specific position
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLHyperlinkButton Class

Description

Identifies a hyperlink button control.

Inheritance Hierarchy

  • SLBase
    • SLHyperlinkButton

Syntax

C#
public class SLHyperlinkButton : SLBase
VB
'Declaration
Public Class SLHyperlinkButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the hyperlink button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLImage Class

Description

Identifies an image control.

Inheritance Hierarchy

  • SLBase
    • SLImage

Syntax

C#
public class SLImage : SLBase
VB
'Declaration
Public Class SLImage _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLListBox Class

Description

Identifies a list box control.

Inheritance Hierarchy

  • SLBase
    • SLListBox

Syntax

C#
public class SLListBox : SLBase
VB
'Declaration
Public Class SLListBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
CanSelectMultiple | whether the list box allows more than one child element to be selected concurrently.
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the list box can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Items | the list of list box items.
ItemTexts | the list of all item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty.
SelectedIndices | the indices of the currently selected items. An empty list is returned if no items are currently selected.
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty
SelectedItems | the currently selected items. An empty list is returned, if no items are currently selected.
SelectedItemText | the text of the first selected item.
SelectedItemTexts | the texts of the currently selected items. An empty list is returned if no items are currently selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the list box can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DeselectAll | Deselects all list items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects the given list box item.
SelectAll | Selects all items in the list.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the list box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the list box.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLListItem Class

Description

Identifies a list item control.

Inheritance Hierarchy

  • SLBase
    • SLListItem

Syntax

C#
public class SLListItem : SLBase
VB
'Declaration
Public Class SLListItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the list item is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scroll the list item into view.
Select | Selects the list item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMediaElement Class

Description

Represents a control that contains audio and/or video.

Inheritance Hierarchy

  • SLBase
    • SLMediaElement

Syntax

C#
public class SLMediaElement : SLBase
VB
'Declaration
Public Class SLMediaElement _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMenu Class

Description

Identifies a menu control.

Inheritance Hierarchy

  • SLBase
    • SLMenu

Syntax

C#
public class SLMenu : SLBase
VB
'Declaration
Public Class SLMenu _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMenuBar Class

Description

Identifies a menu bar control.

Inheritance Hierarchy

  • SLBase
    • SLMenuBar

Syntax

C#
public class SLMenuBar : SLBase
VB
'Declaration
Public Class SLMenuBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMenuItem Class

Description

Identifies a menu item control.

Inheritance Hierarchy

  • SLBase
    • SLMenuItem

Syntax

C#
public class SLMenuItem : SLBase
VB
'Declaration
Public Class SLMenuItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLMultiScaleImage Class

Description

Enables users to open a multi-resolution image, which can be zoomed in on and panned across.

Inheritance Hierarchy

  • SLBase
    • SLMultiScaleImage

Syntax

C#
public class SLMultiScaleImage : SLBase
VB
'Declaration
Public Class SLMultiScaleImage _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLPane Class

Description

Identifies a pane that can optionally have scroll bars.

Inheritance Hierarchy

  • SLBase
    • SLPane

Syntax

C#
public class SLPane : SLBase
VB
'Declaration
Public Class SLPane _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the pane can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the pane can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the pane.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the pane.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLPasswordBox Class

Description

Identifies a password box control.

Inheritance Hierarchy

  • SLBase
    • SLPasswordBox

Syntax

C#
public class SLPasswordBox : SLBase
VB
'Declaration
Public Class SLPasswordBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsReadOnly | whether the password box is read-only
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all text from the password field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the insertion point in the password field.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelection | Selects a range of text in the password box.
SetText | Replaces the text in the password field with the given text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLPopup Class

Description

Identifies a popup control. Context menus are also treated as popup controls.

Inheritance Hierarchy

  • SLBase
    • SLPopup

Syntax

C#
public class SLPopup : SLBase
VB
'Declaration
Public Class SLPopup _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLProgressBar Class

Description

Identifies a progress bar control.

Inheritance Hierarchy

  • SLBase
    • SLProgressBar

Syntax

C#
public class SLProgressBar : SLBase
VB
'Declaration
Public Class SLProgressBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Maximum | the maximum progress value
Minimum | the minimum progress value
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLRadioButton Class

Description

Represents a button that allows a user to select a single option from a group of options.

Inheritance Hierarchy

  • SLBase
    • SLRadioButton

Syntax

C#
public class SLRadioButton : SLBase
VB
'Declaration
Public Class SLRadioButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the radio button is selected.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Deselects any selected items and then selects the current element.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLRepeatButton Class

Description

Identifies a repeat button control.

Inheritance Hierarchy

  • SLBase
    • SLRepeatButton

Syntax

C#
public class SLRepeatButton : SLBase
VB
'Declaration
Public Class SLRepeatButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Clicks the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLRichTextBox Class

Description

Identifies a rich text box control.

Inheritance Hierarchy

  • SLBase
    • SLRichTextBox

Syntax

C#
public class SLRichTextBox : SLBase
VB
'Declaration
Public Class SLRichTextBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedText | the selected text
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all text from the text box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the insertion point in the text box.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelection | Selects a range of text in the text box.
SetText | Replaces the content in the text box with the given text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSeparator Class

Description

Identifies a separator control.

Inheritance Hierarchy

  • SLBase
    • SLSeparator

Syntax

C#
public class SLSeparator : SLBase
VB
'Declaration
Public Class SLSeparator _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSlider Class

Description

Identifies a progress bar control.

Inheritance Hierarchy

  • SLBase
    • SLSlider

Syntax

C#
public class SLSlider : SLBase
VB
'Declaration
Public Class SLSlider _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
LargeChange | the value that is added to or subtracted from the Value property when a large change is made, such as with the PAGE DOWN key.
Maximum | the maximum progress value
Minimum | the minimum progress value
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SmallChange | the value that is added to or subtracted from the Value property when a small change is made, such as with an arrow key.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseLarge | Decreases the value of the Slider by a large amount.
DecreaseSmall | Decreases the value of the Slider by a small amount.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseLarge | Increases the value of the Slider by a large amount.
IncreaseSmall | Increases the value of the Slider by a small amount.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value of the slider
SetValueToMaximum | Sets the Slider to the maximum position.
SetValueToMinimum | Sets the Slider to the minimum position.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSpinner Class

Description

Identifies a spinner control.

A spinner control type consists of a set of buttons that enable a user to select from a set of items or set a numerical value from within a range.

Inheritance Hierarchy

  • SLBase
    • SLSpinner

Syntax

C#
public class SLSpinner : SLBase
VB
'Declaration
Public Class SLSpinner _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
NumericValue | the current numeric value of the spinner
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLSplitButton Class

Description

Identifies a split button control.

Inheritance Hierarchy

  • SLBase
    • SLSplitButton

Syntax

C#
public class SLSplitButton : SLBase
VB
'Declaration
Public Class SLSplitButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLStatusBar Class

Description

Identifies a status bar control.

Inheritance Hierarchy

  • SLBase
    • SLStatusBar

Syntax

C#
public class SLStatusBar : SLBase
VB
'Declaration
Public Class SLStatusBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTabControl Class

Description

Identifies a tab control.

Inheritance Hierarchy

  • SLBase
    • SLTabControl

Syntax

C#
public class SLTabControl : SLBase
VB
'Declaration
Public Class SLTabControl _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Items | a complete list of tab items.
ItemTexts | a complete list of tab item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
SelectedIndex | the index of the selected item or negative one (-1) if the selection is empty.
SelectedItem | the selected item or null (Nothing in Visual Basic) if the selection is empty.
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item in the tab control.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTabItem Class

Description

Identifies a tab item control.

Inheritance Hierarchy

  • SLBase
    • SLTabItem

Syntax

C#
public class SLTabItem : SLBase
VB
'Declaration
Public Class SLTabItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsSelected | a value that indicates whether the tab item is selected
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the tab item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTable Class

Description

Identifies a table.

Inheritance Hierarchy

  • SLBase
    • SLTable

Syntax

C#
public class SLTable : SLBase
VB
'Declaration
Public Class SLTable _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTextBlock Class

Description

Identifies a control for displaying small amounts of flow content.

Inheritance Hierarchy

  • SLBase
    • SLTextBlock

Syntax

C#
public class SLTextBlock : SLBase
VB
'Declaration
Public Class SLTextBlock _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTextBox Class

Description

Identifies a text box control.

Inheritance Hierarchy

  • SLBase
    • SLTextBox

Syntax

C#
public class SLTextBox : SLBase
VB
'Declaration
Public Class SLTextBox _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsReadOnly | whether the text box is read-only
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all text from the text field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the insertion point in the text field.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelection | Selects a range of text in the text box.
SetText | Replaces the text in the text field with the given text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)

Examples

VB

textBox.SetText("some text")
textBox.SetSelection(0, 4) ' selects 4 characters starting from the first one
textBox.TypeKeys("<Ctrl+C>") ' copies the selected text to the clipboard
Dim selectedText = Clipboard.GetText() ' gets the text from the clipboard
Parent topic: Silverlight Class Reference


SLThumb Class

Description

Identifies a thumb control.

Inheritance Hierarchy

  • SLBase
    • SLThumb

Syntax

C#
public class SLThumb : SLBase
VB
'Declaration
Public Class SLThumb _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTitleBar Class

Description

Identifies the caption bar on a window.

Inheritance Hierarchy

  • SLBase
    • SLTitleBar

Syntax

C#
public class SLTitleBar : SLBase
VB
'Declaration
Public Class SLTitleBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLToggleButton Class

Description

Identifies a toggle button control.

Inheritance Hierarchy

  • SLBase
    • SLToggleButton

Syntax

C#
public class SLToggleButton : SLBase
VB
'Declaration
Public Class SLToggleButton _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
ToggleState | the toggle state of the button
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Cycles through the toggle states of the button in this order: On, Off and, if supported, Indeterminate.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLToolBar Class

Description

Identifies a toolbar control.

Inheritance Hierarchy

  • SLBase
    • SLToolBar

Syntax

C#
public class SLToolBar : SLBase
VB
'Declaration
Public Class SLToolBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLToolTip Class

Description

Identifies a tooltip control.

Inheritance Hierarchy

  • SLBase
    • SLToolTip

Syntax

C#
public class SLToolTip : SLBase
VB
'Declaration
Public Class SLToolTip _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTreeView Class

Description

Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.

Inheritance Hierarchy

  • SLBase
    • SLTreeView

Syntax

C#
public class SLTreeView : SLBase
VB
'Declaration
Public Class SLTreeView _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
HorizontallyScrollable | a value that indicates whether the tree view can scroll horizontally.
HorizontalScrollPercent | the current horizontal scroll position or negative one (-1) if there is no valid scroll position.
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
RootItems | a complete list of all root tree items.
RootItemTexts | a complete list of the texts of all root tree items.
SelectedItem | the selected item or returns null (Nothing in Visual Basic) if the selection is empty.
SelectedItemPath | the selected item path or an empty item path if nothing is selected
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticallyScrollable | a value that indicates whether the tree view can scroll vertically.
VerticalScrollPercent | the current vertical scroll position or negative one (-1) if there is no valid scroll position.
VisibleItemPaths | the visible items in the tree as item paths.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the specified item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the specified item.
ExpandAll | Expands all items in the tree.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollHorizontal | Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.
ScrollVertical | Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.
Select | Selects the specified item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetHorizontalScrollPercent | Sets the horizontal scroll position as a percentage of the total content area within the tree view.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetVerticalScrollPercent | Sets the vertical scroll position as a percentage of the total content area within the tree view.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLTreeViewItem Class

Description

Represents a selectable item in a tree control.

Inheritance Hierarchy

  • SLBase
    • SLTreeViewItem

Syntax

C#
public class SLTreeViewItem : SLBase
VB
'Declaration
Public Class SLTreeViewItem _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
IsExpanded | a value that indicates whether the nested items in a tree item are expanded or collapsed.
IsLeaf | a value that indicates whether the tree view item is a leaf item.
IsSelected | a value that indicates whether a tree item is selected.
Items | a complete list of items.
ItemTexts | a complete list of item texts.
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the item.
ExpandSubTree | Expands the sub tree under this tree item.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the tree item into view
Select | Selects the item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLValidationSummary Class

Description

Identifies a validation summary control.

Inheritance Hierarchy

  • SLBase
    • SLValidationSummary

Syntax

C#
public class SLValidationSummary : SLBase
VB
'Declaration
Public Class SLValidationSummary _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLVerticalScrollBar Class

Description

Identifies a vertical scroll bar.

Inheritance Hierarchy

  • SLBase
    • SLVerticalScrollBar

Syntax

C#
public class SLVerticalScrollBar : SLBase
VB
'Declaration
Public Class SLVerticalScrollBar _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Maximum | the maximum scroll position
Minimum | the minimum scroll position
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
ScrollPosition | the current scroll position
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Scrolls the scroll bar by the specified amount
ScrollToMaximum | Scrolls the scroll bar to the bottom.
ScrollToMinimum | Scrolls the scroll bar to the top.
ScrollToPosition | Scrolls the scroll bar to the specific position
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


SLWindow Class

Description

Identifies a window control.

Inheritance Hierarchy

  • SLBase
    • SLWindow

Syntax

C#
public class SLWindow : SLBase
VB
'Declaration
Public Class SLWindow _
Inherits SLBase

Properties

Name | Description
AutomationId | a string containing the UI Automation identifier (ID) for the element. (Inherited from SLBase)
ClassName | the simple class name of the element. (Inherited from SLBase)
IsEnabled | a value that indicates whether the element is enabled. (Inherited from SLBase)
Name | a string containing the UI Automation name for the element. (Inherited from SLBase)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRawChildren | Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type. (Inherited from SLBase)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Silverlight Class Reference


Java AWT and Swing Class Reference

Lists the available classes for testing Java AWT and Swing controls.

  • AbstractButton Class
    Defines common behaviors for buttons and menu items.
  • Applet Class
    Represents the Java Applet in the browser.
  • AppletContainer Class
    Root element of an Applet in the browser.
  • AWTButton Class
    Represents a push button.
  • AWTCanvas Class
    Represents an empty rectangular area of the screen where the application can draw or trap events from the user.
  • AWTCheckbox Class
    Represents a check box.
  • AWTCheckboxMenuItem Class
    Represents a check box control that can be inserted in a menu item.
  • AWTChoice Class
    Represents a combo box.
  • AWTComponent Class
    AWTComponent is the base class for Java AWT.
  • AWTContainer Class
    Represents a component that can contain other AWT components.
  • AWTDialog Class
    Represents a dialog box.
  • AWTFrame Class
    Represents a top-level window with a title and a border.
  • AWTHorizontalScrollbar Class
    Represents a horizontal scroll bar.
  • AWTLabel Class
    Represents a class for placing text in a container.
  • AWTList Class
    Represents a list box.
  • AWTMenu Class
    Represents a menu component that is accessed from a menu bar.
  • AWTMenuComponent Class
    Represents the base class of all menu-related controls.
  • AWTMenuItem Class
    Represents a menu item.
  • AWTRadioButton Class
    Represents a radio button.
  • AWTScrollbar Class
    Represents a scroll bar. This class includes scroll bars that are parts of controls, such as the scroll bar on a list box.
  • AWTScrollPane Class
    Represents a class that implements automatic horizontal or vertical scrolling for a single child component.
  • AWTTextArea Class
    Represents a text area.
  • AWTTextComponent Class
    Represents the base class for the AWTTextField and AWTTextArea classes.
  • AWTTextField Class
    Represents single-line and multi-line text field controls whose text can be modified by the user.
  • AWTVerticalScrollbar Class
    Represents a vertical scroll bar.
  • AWTWindow Class
    Represents a top-level window with no borders and no menubar.
  • BasicArrowButton Class
    Represents a push button with an arrow in one of the cardinal directions.
  • IAWTScrollable Interface
    Represents an interface for AWT objects that can have two scroll bars.
  • IAWTScroller Interface
    Represents an interface for scrollable AWT objects.
  • IBaseScrollable Interface
    Represents an interface for other scrollable controls to avoid duplication.
  • IOracleFormsMenuBase Interface
    Represents a control that defines choices for users to select.
  • IOracleFormsScrollable Interface
    Represents an interface for scrollable oracle forms objects.
  • IOracleFormsScroller Interface
    Represents an interface for scrollable oracle forms objects.
  • JButton Class
    Represents a push button.
  • JCheckBox Class
    Represents a check box.
  • JCheckBoxMenuItem Class
    Represents a check box control that can be included in a menu item.
  • JColorChooser Class
    Represents a color chooser.
  • JComboBox Class
    Represents a combo box.
  • JComponent Class
    Represents a class for all components except top-level containers.
  • JDesktopPane Class
    Represents a desktop pane.
  • JDialog Class
    Represents a dialog box.
  • JEditorPane Class
    Represents a text component where you can edit different types of content.
  • JFrame Class
    Represents a class for an extended version of AWTFrame that adds support for Java Swing.
  • JHorizontalScrollBar Class
    Represents a horizontal scroll bar.
  • JLabel Class
    Represents a display area for displaying a short text, image, or both.
  • JLayeredPane Class
    Represents a layered pane.
  • JList Class
    Represents a list box.
  • JMenu Class
    Represents a menu. A menu is a menu item that has child items.
  • JMenuBar Class
    Represents a menu bar.
  • JMenuItem Class
    Represents a menu item.
  • JPanel Class
    Represents a container class for lightweight components.
  • JPasswordField Class
    Represents a single-line field that does not show the original characters.
  • JPopupMenu Class
    Represents a context menu.
  • JProgressBar Class
    Displays the progress of an operation.
  • JRadioButton Class
    Represents a radio button.
  • JRadioButtonMenuItem Class
    Represents a radio button menu item.
  • JRootPane Class
    Represents a root pane.
  • JScrollBar Class
    Represents a scroll bar.
  • JScrollPane Class
    Represents a scroll pane which allows scrolling its content which may be larger than the pane itself.
  • JSlider Class
    Represents a slider control which can select a value within a range.
  • JSpinner Class
    Represents a spinner control which can iterate a sequence of values.
  • JSplitPane Class
    Represents a split pane control which divides two components horizontally or vertically.
  • JTabbedPane Class
    Represents a tabbed pane.
  • JTable Class
    Represents a table control which has rows and columns.
  • JTableHeader Class
    Represents table header class for the table component.
  • JTextArea Class
    Represents a multiple-line area control that displays plain text.
  • JTextComponent Class
    Represents a text control that can be marked with attributes that are represented graphically.
  • JTextField Class
    Represents a single-line text field control whose text can be modified by the user.
  • JTextPane Class
    Represents a text pane control that can be marked with attributes that are represented graphically.
  • JToggleButton Class
    Represents a two-state button.
  • JToolBar Class
    Represents a toolbar.
  • JTree Class
    Represents a tree.
  • JVerticalScrollBar Class
    Represents a vertical scroll bar.
  • JViewport Class
    Represents the Swing viewport.
  • JWindow Class
    Represents a container that can be displayed anywhere on the user's desktop.
  • OracleFormsApplication Class
    Represents an Oracle Forms application.
  • OracleFormsButton Class
    Represents a push button.
  • OracleFormsCheckbox Class
    Represents a check box.
  • OracleFormsChoice Class
    Represents a choice.
  • OracleFormsComboBox Class
    Represents a combo box.
  • OracleFormsContainer Class
    Represents a component that can contain other Oracle Forms components.
  • OracleFormsHorizontalScrollbar Class
    Represents a horizontal scroll bar.
  • OracleFormsLabel Class
    Represents a class for placing text in a container.
  • OracleFormsListBox Class
    Represents a ListBox.
  • OracleFormsListView Class
    Represents a listview.
  • OracleFormsMenu Class
    Represents a top-level menu.
  • OracleFormsMenuItem Class
    Represents a selectable item inside a Menu.
  • OracleFormsPopList Class
    Represents a PopList.
  • OracleFormsPopupMenu Class
    Represents a context menu.
  • OracleFormsRadioButton Class
    Represents a radio button.
  • OracleFormsScrollbar Class
    Represents a scroll bar.
  • OracleFormsStatusArea Class
    Represents the area containing status information.
  • OracleFormsStatusBar Class
    Represents a status bar.
  • OracleFormsStatusBarItem Class
    Represents an item within a status bar.
  • OracleFormsStatusIndicator Class
    Represents a status indicator.
  • OracleFormsTabBar Class
    Represents a tab bar.
  • OracleFormsTabBarItem Class
    Represents a tab bar item.
  • OracleFormsTabPanel Class
    Represents a container class for components.
  • OracleFormsTextField Class
    Represents an Oracle Forms text field.
  • OracleFormsTitleBar Class
    Represents a title bar.
  • OracleFormsToolBar Class
    Represents a toolbar.
  • OracleFormsToolBarItem Class
    Represents an element in a toolbar.
  • OracleFormsTree Class
    Represents a tree.
  • OracleFormsVerticalScrollbar Class
    Represents a vertical scroll bar.
  • SplitPaneDivider Class
    Represents a split pane divider.
Parent topic: Silk4NET Language Reference


AbstractButton Class

Description

Defines common behaviors for buttons and menu items.

Inheritance Hierarchy

  • JComponent
    • AbstractButton
      • JButton
      • JMenuItem
      • JToggleButton

Syntax

C#
public class AbstractButton : JComponent
VB
'Declaration
Public Class AbstractButton _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


Applet Class

Description

Represents the Java Applet in the browser.

Inheritance Hierarchy

  • AWTContainer
    • Applet

Syntax

C#
public class Applet : AWTContainer
VB
'Declaration
Public Class Applet _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AppletContainer Class

Description

Root element of an Applet in the browser.

Inheritance Hierarchy

  • AWTContainer
    • AppletContainer

Syntax

C#
public class AppletContainer : AWTContainer
VB
'Declaration
Public Class AppletContainer _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTButton Class

Description

Represents a push button.

Inheritance Hierarchy

  • AWTComponent
    • AWTButton

Syntax

C#
public class AWTButton : AWTComponent
VB
'Declaration
Public Class AWTButton _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTCanvas Class

Description

Represents an empty rectangular area of the screen where the application can draw or trap events from the user.

Inheritance Hierarchy

  • AWTComponent
    • AWTCanvas

Syntax

C#
public class AWTCanvas : AWTComponent
VB
'Declaration
Public Class AWTCanvas _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTCheckbox Class

Description

Represents a check box.

Inheritance Hierarchy

  • AWTComponent
    • AWTCheckbox

Syntax

C#
public class AWTCheckbox : AWTComponent
VB
'Declaration
Public Class AWTCheckbox _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the check box is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the check box state.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTCheckboxMenuItem Class

Description

Represents a check box control that can be inserted in a menu item.

Inheritance Hierarchy

  • AWTMenuItem
    • AWTCheckboxMenuItem

Syntax

C#
public class AWTCheckboxMenuItem : AWTMenuItem
VB
'Declaration
Public Class AWTCheckboxMenuItem _
Inherits AWTMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTMenuItem)
Checked | whether the check box of the menu item is checked.
Enabled | Whether the menu item is enabled. (Inherited from AWTMenuItem)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box of the menu item.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the menu item. (Inherited from AWTMenuItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the check box state of the menu item.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box of the menu item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTChoice Class

Description

Represents a combo box.

Inheritance Hierarchy

  • AWTComponent
    • AWTChoice

Syntax

C#
public class AWTChoice : AWTComponent
VB
'Declaration
Public Class AWTChoice _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the combo box.
Items | the list of combo box items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected.
SelectedItem | the selected item. NULL is returned, if no item is currently selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the combo box.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTComponent Class

Description

AWTComponent is the base class for Java AWT.

Inheritance Hierarchy

  • TestObject
    • AWTComponent
      • AWTButton
      • AWTCanvas
      • AWTCheckbox
      • AWTChoice
      • AWTContainer
      • AWTLabel
      • AWTList
      • AWTRadioButton
      • AWTScrollbar
      • AWTTextComponent

Syntax

C#
public class AWTComponent : TestObject, IClickable, IFocusable, IKeyable, INativeWindow
VB
'Declaration
Public Class AWTComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable, INativeWindow

Properties

Name | Description
AccessibleName | The accessible name of the component.
AccessibleRole | The accessible role of the component.
Background | The background color of the component.
Cursor | The name of the cursor set in the component.
Enabled | whether the component is enabled.
Focusable | whether the component can be focused.
Font | The font of the component.
Foreground | The foreground color of the component.
Height | The current height of the component.
Name | The name of the component.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTContainer Class

Description

Represents a component that can contain other AWT components.

Inheritance Hierarchy

  • AWTComponent
    • AWTContainer
      • Applet
      • AppletContainer
      • AWTScrollPane
      • AWTWindow
      • JComponent
      • OracleFormsContainer
      • SplitPaneDivider

Syntax

C#
public class AWTContainer : AWTComponent
VB
'Declaration
Public Class AWTContainer _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTDialog Class

Description

Represents a dialog box.

Inheritance Hierarchy

  • AWTWindow
    • AWTDialog
      • JDialog

Syntax

C#
public class AWTDialog : AWTWindow
VB
'Declaration
Public Class AWTDialog _
Inherits AWTWindow

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Modal | whether the dialog is modal.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the dialog is resizable by the user.
Text | The text of the control. (Inherited from TestObject)
Title | the title of the dialog.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTFrame Class

Description

Represents a top-level window with a title and a border.

Inheritance Hierarchy

  • AWTWindow
    • AWTFrame
      • JFrame

Syntax

C#
public class AWTFrame : AWTWindow
VB
'Declaration
Public Class AWTFrame _
Inherits AWTWindow

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the frame is resizable by the user.
Text | The text of the control. (Inherited from TestObject)
Title | the title of the frame.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTHorizontalScrollbar Class

Description

Represents a horizontal scroll bar.

Inheritance Hierarchy

  • AWTScrollbar
    • AWTHorizontalScrollbar

Syntax

C#
public class AWTHorizontalScrollbar : AWTScrollbar
VB
'Declaration
Public Class AWTHorizontalScrollbar _
Inherits AWTScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTLabel Class

Description

Represents a class for placing text in a container.

Inheritance Hierarchy

  • AWTComponent
    • AWTLabel

Syntax

C#
public class AWTLabel : AWTComponent
VB
'Declaration
Public Class AWTLabel _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the label.
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTList Class

Description

Represents a list box.

Inheritance Hierarchy

  • AWTComponent
    • AWTList

Syntax

C#
public class AWTList : AWTComponent
VB
'Declaration
Public Class AWTList _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of list items.
Items | a list of items in the list.
MultipleMode | whether the list allows multiple selection.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the currently selected item. -1 (4Test: 0) is returned, if no item is currently selected.
SelectedIndices | the indices of the currently selected items. An empty list is returned, if no items are currently selected.
SelectedItem | the currently selected list item. NULL is returned, if no item is currently selected.
SelectedItems | the currently selected list items. An empty list is returned, if no items are currently selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the specified list item.
DeselectAll | Deselects all list items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks a list item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the list item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item.
SelectAll | Selects all items in the list.
SelectRange | Selects all items within the specified range.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTMenu Class

Description

Represents a menu component that is accessed from a menu bar.

Inheritance Hierarchy

  • AWTMenuItem
    • AWTMenu

Syntax

C#
public class AWTMenu : AWTMenuItem
VB
'Declaration
Public Class AWTMenu _
Inherits AWTMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTMenuItem)
Enabled | Whether the menu item is enabled. (Inherited from AWTMenuItem)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the menu item. (Inherited from AWTMenuItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTMenuComponent Class

Description

Represents the base class of all menu-related controls.

Inheritance Hierarchy

  • TestObject
    • AWTMenuComponent
      • AWTMenuItem

Syntax

C#
public class AWTMenuComponent : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class AWTMenuComponent _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTMenuItem Class

Description

Represents a menu item.

Inheritance Hierarchy

  • AWTMenuComponent
    • AWTMenuItem
      • AWTCheckboxMenuItem
      • AWTMenu

Syntax

C#
public class AWTMenuItem : AWTMenuComponent
VB
'Declaration
Public Class AWTMenuItem _
Inherits AWTMenuComponent

Properties

Name | Description
AccessibleName | The accessible name of the component.
Enabled | Whether the menu item is enabled.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects the menu item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • AWTComponent
    • AWTRadioButton

Syntax

C#
public class AWTRadioButton : AWTComponent
VB
'Declaration
Public Class AWTRadioButton _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the radio button is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the radio button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTScrollbar Class

Description

Represents a scroll bar. This class includes scroll bars that are parts of controls, such as the scroll bar on a list box.

Inheritance Hierarchy

  • AWTComponent
    • AWTScrollbar
      • AWTHorizontalScrollbar
      • AWTVerticalScrollbar

Syntax

C#
public class AWTScrollbar : AWTComponent, IAWTScroller
VB
'Declaration
Public Class AWTScrollbar _
Inherits AWTComponent _
Implements IAWTScroller

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTScrollPane Class

Description

Represents a class that implements automatic horizontal or vertical scrolling for a single child component.

Inheritance Hierarchy

  • AWTContainer
    • AWTScrollPane

Syntax

C#
public class AWTScrollPane : AWTContainer, IAWTScrollable
VB
'Declaration
Public Class AWTScrollPane _
Inherits AWTContainer _
Implements IAWTScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the current scroll position of the scrollable component. (Inherited from IAWTScrollable)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Gets the horizontal scroll bar. (Inherited from IAWTScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Gets the vertical scroll bar. (Inherited from IAWTScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTTextArea Class

Description

Represents a text area.

Inheritance Hierarchy

  • AWTTextComponent
    • AWTTextArea

Syntax

C#
public class AWTTextArea : AWTTextComponent, IAWTScrollable
VB
'Declaration
Public Class AWTTextArea _
Inherits AWTTextComponent _
Implements IAWTScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from AWTTextComponent)
Columns | the number of columns in the text area.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from AWTTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the current scroll position of the scrollable component. (Inherited from IAWTScrollable)
Rows | The number of rows in the text area.
SelectedText | the current selected text. (Inherited from AWTTextComponent)
SelectionEnd | the end position of the selected text. (Inherited from AWTTextComponent)
SelectionStart | the start position of the selected text. (Inherited from AWTTextComponent)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text component. (Inherited from AWTTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Gets the horizontal scroll bar. (Inherited from IAWTScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Gets the vertical scroll bar. (Inherited from IAWTScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Insert | Inserts the specified text at the specified position.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReplaceRange | Replaces text between the specified start and end positions with the specified replacement text.
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScrollable)
SelectAll | Selects all the text in the text component. (Inherited from AWTTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from AWTTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from AWTTextComponent)
SetText | Sets the text of the text component to the specified text. (Inherited from AWTTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTTextComponent Class

Description

Represents the base class for the AWTTextField and AWTTextArea classes.

Inheritance Hierarchy

  • AWTComponent
    • AWTTextComponent
      • AWTTextArea
      • AWTTextField

Syntax

C#
public class AWTTextComponent : AWTComponent
VB
'Declaration
Public Class AWTTextComponent _
Inherits AWTComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text.
SelectionEnd | the end position of the selected text.
SelectionStart | the start position of the selected text.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text component.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the text in the text component.
SetCaretPosition | Sets the position of the text insertion caret for this text component.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range.
SetText | Sets the text of the text component to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTTextField Class

Description

Represents single-line and multi-line text field controls whose text can be modified by the user.

Inheritance Hierarchy

  • AWTTextComponent
    • AWTTextField

Syntax

C#
public class AWTTextField : AWTTextComponent
VB
'Declaration
Public Class AWTTextField _
Inherits AWTTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from AWTTextComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
EchoChar | the character that is displayed instead of the characters that are actually typed.
EchoCharSet | whether EchoChar is set to a value other than 0.
Editable | whether the text of the text component can be changed by the user. (Inherited from AWTTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
IsPassword | whether the text field is a password text field.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text. (Inherited from AWTTextComponent)
SelectionEnd | the end position of the selected text. (Inherited from AWTTextComponent)
SelectionStart | the start position of the selected text. (Inherited from AWTTextComponent)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text component. (Inherited from AWTTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the text in the text component. (Inherited from AWTTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from AWTTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from AWTTextComponent)
SetText | Sets the text of the text component to the specified text. (Inherited from AWTTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTVerticalScrollbar Class

Description

Represents a vertical scroll bar.

Inheritance Hierarchy

  • AWTScrollbar
    • AWTVerticalScrollbar

Syntax

C#
public class AWTVerticalScrollbar : AWTScrollbar
VB
'Declaration
Public Class AWTVerticalScrollbar _
Inherits AWTScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


AWTWindow Class

Description

Represents a top-level window with no borders and no menubar.

Inheritance Hierarchy

  • AWTContainer
    • AWTWindow
      • AWTDialog
      • AWTFrame
      • JWindow

Syntax

C#
public class AWTWindow : AWTContainer, IMoveable
VB
'Declaration
Public Class AWTWindow _
Inherits AWTContainer _
Implements IMoveable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


BasicArrowButton Class

Description

Represents a push button with an arrow in one of the cardinal directions.

Inheritance Hierarchy

  • JButton
    • BasicArrowButton

Syntax

C#
public class BasicArrowButton : JButton
VB
'Declaration
Public Class BasicArrowButton _
Inherits JButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Direction | the direction the arrow points to.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


IAWTScrollable Interface

Description

Represents an interface for AWT objects that can have two scroll bars.

Inheritance Hierarchy

  • IBaseScrollable
    • IAWTScrollable

Syntax

C#
public class IAWTScrollable : IBaseScrollable
VB
'Declaration
Public Class IAWTScrollable _
Inherits IBaseScrollable

Properties

Name | Description
Position | the current scroll position of the scrollable component. (Inherited from IBaseScrollable)

Methods

Name | Description
GetHorizontalBar | Gets the horizontal scroll bar.
GetVerticalBar | Gets the vertical scroll bar.
ScrollTo | Scrolls to the specified position. (Inherited from IBaseScrollable)
Parent topic: Java AWT and Swing Class Reference


IAWTScroller Interface

Description

Represents an interface for scrollable AWT objects.

Syntax

C#
public class IAWTScroller
VB
'Declaration
Public Class IAWTScroller

Properties

Name | Description
PageSize | the block increment value of the scroll bar.
Position | the current position of the scroll bar.
Range | the range value of the scroll bar.
StepSize | the unit increment value of the scroll bar.

Methods

Name | Description
Page | Increments the current scroll position by specified number of pages.
ScrollTo | Scrolls to the specified position.
Step | Increments the current scroll position by specified steps.
Parent topic: Java AWT and Swing Class Reference


IBaseScrollable Interface

Description

Represents an interface for other scrollable controls to avoid duplication.

Syntax

C#
public class IBaseScrollable
VB
'Declaration
Public Class IBaseScrollable

Properties

Name | Description
Position | the current scroll position of the scrollable component.

Methods

Name | Description
ScrollTo | Scrolls to the specified position.
Parent topic: Java AWT and Swing Class Reference


IOracleFormsMenuBase Interface

Description

Represents a control that defines choices for users to select.

Syntax

C#
public class IOracleFormsMenuBase
VB
'Declaration
Public Class IOracleFormsMenuBase

Properties

Name | Description
Checked | Whether the MenuItem is checked.
Parent topic: Java AWT and Swing Class Reference


IOracleFormsScrollable Interface

Description

Represents an interface for scrollable oracle forms objects.

Syntax

C#
public class IOracleFormsScrollable
VB
'Declaration
Public Class IOracleFormsScrollable

Properties

Name | Description
HorizontalScrollbarPageSize | the block increment value of the scroll bar.
HorizontalScrollbarPosition | the current position of the scroll bar.
HorizontalScrollbarRange | the range value of the scroll bar.
HorizontalScrollbarStepSize | the unit increment value of the scroll bar.
VerticalScrollbarPageSize | the block increment value of the scroll bar.
VerticalScrollbarPosition | the current position of the scroll bar.
VerticalScrollbarRange | the range value of the scroll bar.
VerticalScrollbarStepSize | the unit increment value of the scroll bar.

Methods

Name | Description
GetHorizontalScrollbar | Gets the horizontal scroll bar.
GetVerticalScrollbar | Gets the vertical scroll bar.
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages.
HorizontalScrollbarScrollTo | Scrolls to the specified position.
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller.
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller.
HorizontalScrollbarStep | Increments the current scroll position by specified steps.
VerticalScrollbarPage | Increments the current scroll position by specified number of pages.
VerticalScrollbarScrollTo | Scrolls to the specified position.
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller.
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller.
VerticalScrollbarStep | Increments the current scroll position by specified steps.
Parent topic: Java AWT and Swing Class Reference


IOracleFormsScroller Interface

Description

Represents an interface for scrollable oracle forms objects.

Inheritance Hierarchy

  • IAWTScroller
    • IOracleFormsScroller

Syntax

C#
public class IOracleFormsScroller : IAWTScroller
VB
'Declaration
Public Class IOracleFormsScroller _
Inherits IAWTScroller

Properties

Name | Description
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)

Methods

Name | Description
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
ScrollToMax | Scrolls to the maximum position of the scroller.
ScrollToMin | Scrolls to the minimum position of the scroller.
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
Parent topic: Java AWT and Swing Class Reference


JButton Class

Description

Represents a push button.

Inheritance Hierarchy

  • AbstractButton
    • JButton
      • BasicArrowButton

Syntax

C#
public class JButton : AbstractButton
VB
'Declaration
Public Class JButton _
Inherits AbstractButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JCheckBox Class

Description

Represents a check box.

Inheritance Hierarchy

  • JToggleButton
    • JCheckBox

Syntax

C#
public class JCheckBox : JToggleButton
VB
'Declaration
Public Class JCheckBox _
Inherits JToggleButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | whether the toggle button is selected. (Inherited from JToggleButton)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the button. (Inherited from JToggleButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JCheckBoxMenuItem Class

Description

Represents a check box control that can be included in a menu item.

Inheritance Hierarchy

  • JMenuItem
    • JCheckBoxMenuItem

Syntax

C#
public class JCheckBoxMenuItem : JMenuItem
VB
'Declaration
Public Class JCheckBoxMenuItem _
Inherits JMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the check box in a menu item is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JColorChooser Class

Description

Represents a color chooser.

Inheritance Hierarchy

  • JComponent
    • JColorChooser

Syntax

C#
public class JColorChooser : JComponent
VB
'Declaration
Public Class JColorChooser _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Color | the current color value from the color chooser.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetColor | Sets the current color of the color chooser to the specified color.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JComboBox Class

Description

Represents a combo box.

Inheritance Hierarchy

  • JComponent
    • JComboBox

Syntax

C#
public class JComboBox : JComponent
VB
'Declaration
Public Class JComboBox _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the combo box is editable.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the list.
Items | the list of all contained items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the currently selected item.
SelectedItem | the current selected item.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JComponent Class

Description

Represents a class for all components except top-level containers.

Inheritance Hierarchy

  • AWTContainer
    • JComponent
      • AbstractButton
      • JColorChooser
      • JComboBox
      • JLabel
      • JLayeredPane
      • JList
      • JMenuBar
      • JPanel
      • JPopupMenu
      • JProgressBar
      • JRootPane
      • JScrollBar
      • JScrollPane
      • JSlider
      • JSpinner
      • JSplitPane
      • JTabbedPane
      • JTable
      • JTableHeader
      • JTextComponent
      • JToolBar
      • JTree
      • JViewport

Syntax

C#
public class JComponent : AWTContainer
VB
'Declaration
Public Class JComponent _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component.
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JDesktopPane Class

Description

Represents a desktop pane.

Inheritance Hierarchy

  • JLayeredPane
    • JDesktopPane

Syntax

C#
public class JDesktopPane : JLayeredPane
VB
'Declaration
Public Class JDesktopPane _
Inherits JLayeredPane

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JDialog Class

Description

Represents a dialog box.

Inheritance Hierarchy

  • AWTDialog
    • JDialog

Syntax

C#
public class JDialog : AWTDialog
VB
'Declaration
Public Class JDialog _
Inherits AWTDialog

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Modal | whether the dialog is modal. (Inherited from AWTDialog)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the dialog is resizable by the user. (Inherited from AWTDialog)
Text | The text of the control. (Inherited from TestObject)
Title | the title of the dialog. (Inherited from AWTDialog)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JEditorPane Class

Description

Represents a text component where you can edit different types of content.

Inheritance Hierarchy

  • JTextComponent
    • JEditorPane
      • JTextPane

Syntax

C#
public class JEditorPane : JTextComponent
VB
'Declaration
Public Class JEditorPane _
Inherits JTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
ContentType | the type of content that this editor is currently set to deal with.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
FormattedText | the text of the editor pane.
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Page | the current URL being displayed.
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JFrame Class

Description

Represents a class for an extended version of AWTFrame that adds support for Java Swing.

Inheritance Hierarchy

  • AWTFrame
    • JFrame

Syntax

C#
public class JFrame : AWTFrame
VB
'Declaration
Public Class JFrame _
Inherits AWTFrame

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Resizable | whether the frame is resizable by the user. (Inherited from AWTFrame)
Text | The text of the control. (Inherited from TestObject)
Title | the title of the frame. (Inherited from AWTFrame)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JHorizontalScrollBar Class

Description

Represents a horizontal scroll bar.

Inheritance Hierarchy

  • JScrollBar
    • JHorizontalScrollBar

Syntax

C#
public class JHorizontalScrollBar : JScrollBar
VB
'Declaration
Public Class JHorizontalScrollBar _
Inherits JScrollBar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JLabel Class

Description

Represents a display area for displaying a short text, image, or both.

Inheritance Hierarchy

  • JComponent
    • JLabel

Syntax

C#
public class JLabel : JComponent
VB
'Declaration
Public Class JLabel _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the label.
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JLayeredPane Class

Description

Represents a layered pane.

Inheritance Hierarchy

  • JComponent
    • JLayeredPane
      • JDesktopPane

Syntax

C#
public class JLayeredPane : JComponent
VB
'Declaration
Public Class JLayeredPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JList Class

Description

Represents a list box.

Inheritance Hierarchy

  • JComponent
    • JList

Syntax

C#
public class JList : JComponent
VB
'Declaration
Public Class JList _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of list items.
Items | the list of all contained list items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected list item.
SelectedIndices | the list of indices of the selected list items.
SelectedItem | the name or index of the selected list item.
SelectedItems | the list of names or indices of the selected list items.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickItem | Clicks the specified list item.
Deselect | Deselects the specified list item.
DeselectAll | Deselects all list items.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks a list item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FindItem | Returns the index of an item in the list.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItem | Returns the item at the specified index.
GetItemRect | Returns the size and position of the item relative to the list.
GetItemValue | Returns the value object of the list item.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollItemIntoView | Scrolls an item into view.
Select | Selects a list item.
SelectAll | Selects all list elements.
SelectRange | Selects a specified range of list elements.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JMenu Class

Description

Represents a menu. A menu is a menu item that has child items.

Inheritance Hierarchy

  • JMenuItem
    • JMenu

Syntax

C#
public class JMenu : JMenuItem
VB
'Declaration
Public Class JMenu _
Inherits JMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JMenuBar Class

Description

Represents a menu bar.

Inheritance Hierarchy

  • JComponent
    • JMenuBar

Syntax

C#
public class JMenuBar : JComponent
VB
'Declaration
Public Class JMenuBar _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JMenuItem Class

Description

Represents a menu item.

Inheritance Hierarchy

  • AbstractButton
    • JMenuItem
      • JCheckBoxMenuItem
      • JMenu
      • JRadioButtonMenuItem

Syntax

C#
public class JMenuItem : AbstractButton
VB
'Declaration
Public Class JMenuItem _
Inherits AbstractButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JPanel Class

Description

Represents a container class for lightweight components.

Inheritance Hierarchy

  • JComponent
    • JPanel

Syntax

C#
public class JPanel : JComponent
VB
'Declaration
Public Class JPanel _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JPasswordField Class

Description

Represents a single-line field that does not show the original characters.

Inheritance Hierarchy

  • JTextField
    • JPasswordField

Syntax

C#
public class JPasswordField : JTextField
VB
'Declaration
Public Class JPasswordField _
Inherits JTextField

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the text field. (Inherited from JTextField)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
EchoChar | the character that is displayed instead of the characters that are actually typed.
EchoCharSet | whether EchoChar is set to a value other than 0.
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JPopupMenu Class

Description

Represents a context menu.

Inheritance Hierarchy

  • JComponent
    • JPopupMenu

Syntax

C#
public class JPopupMenu : JComponent
VB
'Declaration
Public Class JPopupMenu _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JProgressBar Class

Description

Displays the progress of an operation.

Inheritance Hierarchy

  • JComponent
    • JProgressBar

Syntax

C#
public class JProgressBar : JComponent
VB
'Declaration
Public Class JProgressBar _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Indeterminate | whether the progress bar is indeterminate.
Maximum | the progress bar's maximum value.
Minimum | the progress bar's minimum value.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
ProgressString | the string representation of the current progress.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • JToggleButton
    • JRadioButton

Syntax

C#
public class JRadioButton : JToggleButton
VB
'Declaration
Public Class JRadioButton _
Inherits JToggleButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | whether the toggle button is selected. (Inherited from JToggleButton)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the radio button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the button. (Inherited from JToggleButton)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JRadioButtonMenuItem Class

Description

Represents a radio button menu item.

Inheritance Hierarchy

  • JMenuItem
    • JRadioButtonMenuItem

Syntax

C#
public class JRadioButtonMenuItem : JMenuItem
VB
'Declaration
Public Class JRadioButtonMenuItem _
Inherits JMenuItem

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the radio button in a menu item is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JRootPane Class

Description

Represents a root pane.

Inheritance Hierarchy

  • JComponent
    • JRootPane

Syntax

C#
public class JRootPane : JComponent
VB
'Declaration
Public Class JRootPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JScrollBar Class

Description

Represents a scroll bar.

Inheritance Hierarchy

  • JComponent
    • JScrollBar
      • JHorizontalScrollBar
      • JVerticalScrollBar

Syntax

C#
public class JScrollBar : JComponent, IAWTScroller
VB
'Declaration
Public Class JScrollBar _
Inherits JComponent _
Implements IAWTScroller

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JScrollPane Class

Description

Represents a scroll pane which allows scrolling its content which may be larger than the pane itself.

Inheritance Hierarchy

  • JComponent
    • JScrollPane

Syntax

C#
public class JScrollPane : JComponent, IBaseScrollable
VB
'Declaration
Public Class JScrollPane _
Inherits JComponent _
Implements IBaseScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the current scroll position of the scrollable component. (Inherited from IBaseScrollable)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Gets the horizontal scroll bar.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Gets the vertical scroll bar.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IBaseScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JSlider Class

Description

Represents a slider control which can select a value within a range.

Inheritance Hierarchy

  • JComponent
    • JSlider

Syntax

C#
public class JSlider : JComponent
VB
'Declaration
Public Class JSlider _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Inverted | the value is true if the value-range shown for the slider is reversed.
Maximum | the maximum value supported by the slider.
Minimum | the minimum value supported by the slider.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | the position of the slider.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the current position of the slider.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JSpinner Class

Description

Represents a spinner control which can iterate a sequence of values.

Inheritance Hierarchy

  • JComponent
    • JSpinner

Syntax

C#
public class JSpinner : JComponent
VB
'Declaration
Public Class JSpinner _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Next | Sets the spinner to the object in the sequence that comes after the object returned by the Value property.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Previous | Sets the spinner to the object in the sequence that comes before the object returned by the Value property.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JSplitPane Class

Description

Represents a split pane control which divides two components horizontally or vertically.

Inheritance Hierarchy

  • JComponent
    • JSplitPane

Syntax

C#
public class JSplitPane : JComponent
VB
'Declaration
Public Class JSplitPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
DividerLocation | the current divider location.
DividerSize | the size of the divider.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
MaximumDividerLocation | the maximum location of the divider.
MinimumDividerLocation | the minimum location of the divider.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetPosition | Sets the position of the divider.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTabbedPane Class

Description

Represents a tabbed pane.

Inheritance Hierarchy

  • JComponent
    • JTabbedPane

Syntax

C#
public class JTabbedPane : JComponent
VB
'Declaration
Public Class JTabbedPane _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedTab | the currently selected tab.
SelectedTabIndex | the index of the currently selected tab or -1 (4Test: 0) if no tab is selected.
TabCount | the number of tabs.
TabRunCount | the number of tab runs currently used to display the tabs.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetTabIndex | Returns the tab index.
GetTabTitle | Returns the tab title.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsTabEnabled | Returns whether or not the tab is currently enabled.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTable Class

Description

Represents a table control which has rows and columns.

Inheritance Hierarchy

  • JComponent
    • JTable

Syntax

C#
public class JTable : JComponent
VB
'Declaration
Public Class JTable _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
AllCellTexts | the text values of all cells in the table. The cells are grouped in rows, where each row contains the texts of its cells.
AllCellValues | the values of all cells in the table. The cells are grouped in rows, where each row contains the values of its cells.
Background | The background color of the component. (Inherited from AWTComponent)
ColumnCount | the number of columns in the table.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
EditingColumn | the name or index of the column that contains the cell currently being edited.
EditingRow | the index of the row that contains the cell currently being edited.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | the number of rows that can be shown in the table.
SelectedColumn | the index or name of the selected column. -1 (4Test: 0) is returned if no column is selected.
SelectedColumns | the list of indices of all selected columns.
SelectedRow | the index of the selected row, -1 (4Test: 0) is returned if no row is selected.
SelectedRows | the list of indices of all selected rows.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Deselects all selected columns and rows.
Click | Clicks on the object. (Inherited from IClickable)
ClickCell | Clicks the specified cell in the table.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickCell | Double-clicks the specified cell in the table.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FindCell | Returns the cell containing the specified text.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellText | Returns the cell text.
GetCellValue | Returns the cell value.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnName | Returns the name of the column at the specified index.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsCellEditable | Returns true if the specified cell is editable.
IsCellSelected | Returns true if the specified cell is selected; otherwise false.
IsColumnSelected | Returns true if the specified column is selected.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsRowSelected | Returns true if the specified row is selected.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveColumn | Moves the column to the position of the target column.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ResizeColumn | Resizes the specified column.
ScrollCellIntoView | Scrolls the specified cell into view.
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all rows, columns, and cells in the table.
SelectColumn | Selects the specified column.
SelectRow | Selects the specified row.
SetCellValue | Sets the specified value for the specified cell in the table.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTableHeader Class

Description

Represents table header class for the table component.

Inheritance Hierarchy

  • JComponent
    • JTableHeader

Syntax

C#
public class JTableHeader : JComponent
VB
'Declaration
Public Class JTableHeader _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickColumnHeader | Clicks the column header of the table.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextArea Class

Description

Represents a multiple-line area control that displays plain text.

Inheritance Hierarchy

  • JTextComponent
    • JTextArea

Syntax

C#
public class JTextArea : JTextComponent
VB
'Declaration
Public Class JTextArea _
Inherits JTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
Columns | the number of columns in the text area.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Rows | The number of rows in the text area.
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Insert | Inserts the specified text at the specified position.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReplaceRange | Replaces text within the specified range with the new text specified.
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextComponent Class

Description

Represents a text control that can be marked with attributes that are represented graphically.

Inheritance Hierarchy

  • JComponent
    • JTextComponent
      • JEditorPane
      • JTextArea
      • JTextField

Syntax

C#
public class JTextComponent : JComponent
VB
'Declaration
Public Class JTextComponent _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text.
SelectionEnd | the end position of the selection.
SelectionStart | the start position of the selection.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component.
SetCaretPosition | Sets the position of the text insertion caret for this text component.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range.
SetText | Sets the text content to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextField Class

Description

Represents a single-line text field control whose text can be modified by the user.

Inheritance Hierarchy

  • JTextComponent
    • JTextField
      • JPasswordField

Syntax

C#
public class JTextField : JTextComponent
VB
'Declaration
Public Class JTextField _
Inherits JTextComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Alignment | the alignment of the text field.
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTextPane Class

Description

Represents a text pane control that can be marked with attributes that are represented graphically.

Inheritance Hierarchy

  • JEditorPane
    • JTextPane

Syntax

C#
public class JTextPane : JEditorPane
VB
'Declaration
Public Class JTextPane _
Inherits JEditorPane

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text component. (Inherited from JTextComponent)
CharacterAttributes | the character attributes in effect at the location of the caret.
ContentType | the type of content that this editor is currently set to deal with. (Inherited from JEditorPane)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text component can be changed by the user. (Inherited from JTextComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
FormattedText | the text of the editor pane. (Inherited from JEditorPane)
Height | The current height of the component. (Inherited from AWTComponent)
LogicalStyle | the logical style assigned to the current paragraph in effect at the location of the caret.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Page | the current URL being displayed. (Inherited from JEditorPane)
ParagraphAttributes | the attributes of the current paragraph in effect at the location of the caret.
SelectedText | the current selected text. (Inherited from JTextComponent)
SelectionEnd | the end position of the selection. (Inherited from JTextComponent)
SelectionStart | the start position of the selection. (Inherited from JTextComponent)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from text component. (Inherited from JTextComponent)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the content in the text component. (Inherited from JTextComponent)
SetCaretPosition | Sets the position of the text insertion caret for this text component. (Inherited from JTextComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range. (Inherited from JTextComponent)
SetText | Sets the text content to the specified text. (Inherited from JTextComponent)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JToggleButton Class

Description

Represents a two-state button.

Inheritance Hierarchy

  • AbstractButton
    • JToggleButton
      • JCheckBox
      • JRadioButton

Syntax

C#
public class JToggleButton : AbstractButton
VB
'Declaration
Public Class JToggleButton _
Inherits AbstractButton

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Selected | whether the toggle button is selected.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button. (Inherited from AbstractButton)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the button.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JToolBar Class

Description

Represents a toolbar.

Inheritance Hierarchy

  • JComponent
    • JToolBar

Syntax

C#
public class JToolBar : JComponent
VB
'Declaration
Public Class JToolBar _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JTree Class

Description

Represents a tree.

Inheritance Hierarchy

  • JComponent
    • JTree

Syntax

C#
public class JTree : JComponent
VB
'Declaration
Public Class JTree _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
IsEditable | whether the tree is editable.
IsEditing | whether the tree is being edited.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedItemPath | the selected item path.
SelectedItemPaths | the list of selected item paths.
SelectedItemText | the selected item text.
SelectionCount | the number of tree nodes selected.
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleItemPaths | the visible items in the tree as item paths.
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CancelEditing | Cancels the current editing session.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
ClickNode | Clicks on a tree node specified by the item path.
Collapse | Collapses the tree node identified by the specified item path.
CollapseAll | Collapses all tree nodes.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickNode | Double-clicks on a tree node specified by the item path.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the tree node identified by the specified item path.
ExpandAll | Expands all tree nodes.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemRect | Returns the size and position of the item relative to the tree.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpanded | Returns 'true' if the specified item path is expanded.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsPathEditable | whether an item path is editable.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollPathIntoView | Scrolls the given item path to a visible position.
Select | Selects a tree node identified by the specified item path.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
StartEditing | Starts editing at given item path or current selection.
StopEditing | Stops the current editing session.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JVerticalScrollBar Class

Description

Represents a vertical scroll bar.

Inheritance Hierarchy

  • JScrollBar
    • JVerticalScrollBar

Syntax

C#
public class JVerticalScrollBar : JScrollBar
VB
'Declaration
Public Class JVerticalScrollBar _
Inherits JScrollBar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IAWTScroller)
Position | the current position of the scroll bar. (Inherited from IAWTScroller)
Range | the range value of the scroll bar. (Inherited from IAWTScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IAWTScroller)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IAWTScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IAWTScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IAWTScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JViewport Class

Description

Represents the Swing viewport.

Inheritance Hierarchy

  • JComponent
    • JViewport

Syntax

C#
public class JViewport : JComponent
VB
'Declaration
Public Class JViewport _
Inherits JComponent

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
ToolTipText | the tool tip text of a Swing component. (Inherited from JComponent)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewRectangle | the visible part of the view, in view coordinates.
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


JWindow Class

Description

Represents a container that can be displayed anywhere on the user's desktop.

Inheritance Hierarchy

  • AWTWindow
    • JWindow

Syntax

C#
public class JWindow : AWTWindow
VB
'Declaration
Public Class JWindow _
Inherits AWTWindow

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsApplication Class

Description

Represents an Oracle Forms application.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsApplication

Syntax

C#
public class OracleFormsApplication : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsApplication _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SplashScreenRunning | whether the application currently displays a splash screen.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsButton Class

Description

Represents a push button.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsButton

Syntax

C#
public class OracleFormsButton : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsButton _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Default | Whether the button is the default button.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsCheckbox Class

Description

Represents a check box.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsCheckbox

Syntax

C#
public class OracleFormsCheckbox : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsCheckbox _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | whether the check box is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsChoice Class

Description

Represents a choice.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsChoice
      • OracleFormsComboBox
      • OracleFormsListBox
      • OracleFormsPopList

Syntax

C#
public class OracleFormsChoice : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsChoice _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the choice.
Items | the list of choice items.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected.
SelectedItem | the selected item.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemText | Returns the item at the specified index.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsComboBox Class

Description

Represents a combo box.

Inheritance Hierarchy

  • OracleFormsChoice
    • OracleFormsComboBox

Syntax

C#
public class OracleFormsComboBox : OracleFormsChoice
VB
'Declaration
Public Class OracleFormsComboBox _
Inherits OracleFormsChoice

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
DropDownOpen | whether the drop down is currently open.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the choice. (Inherited from OracleFormsChoice)
Items | the list of choice items. (Inherited from OracleFormsChoice)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. (Inherited from OracleFormsChoice)
SelectedItem | the selected item. (Inherited from OracleFormsChoice)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemText | Returns the item at the specified index. (Inherited from OracleFormsChoice)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice. (Inherited from OracleFormsChoice)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text of the combo box to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsContainer Class

Description

Represents a component that can contain other Oracle Forms components.

Inheritance Hierarchy

  • AWTContainer
    • OracleFormsContainer
      • OracleFormsApplication
      • OracleFormsButton
      • OracleFormsCheckbox
      • OracleFormsChoice
      • OracleFormsLabel
      • OracleFormsListView
      • OracleFormsMenu
      • OracleFormsMenuItem
      • OracleFormsRadioButton
      • OracleFormsScrollbar
      • OracleFormsStatusArea
      • OracleFormsStatusBar
      • OracleFormsStatusBarItem
      • OracleFormsStatusIndicator
      • OracleFormsTabBar
      • OracleFormsTabBarItem
      • OracleFormsTabPanel
      • OracleFormsTextField
      • OracleFormsTitleBar
      • OracleFormsToolBar
      • OracleFormsToolBarItem
      • OracleFormsTree

Syntax

C#
public class OracleFormsContainer : AWTContainer
VB
'Declaration
Public Class OracleFormsContainer _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsHorizontalScrollbar Class

Description

Represents a horizontal scroll bar.

Inheritance Hierarchy

  • OracleFormsScrollbar
    • OracleFormsHorizontalScrollbar

Syntax

C#
public class OracleFormsHorizontalScrollbar : OracleFormsScrollbar
VB
'Declaration
Public Class OracleFormsHorizontalScrollbar _
Inherits OracleFormsScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Position | the current position of the scroll bar. (Inherited from IOracleFormsScroller)
Range | the range value of the scroll bar. (Inherited from IOracleFormsScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScroller)
ScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScroller)
ScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsLabel Class

Description

Represents a class for placing text in a container.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsLabel

Syntax

C#
public class OracleFormsLabel : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsLabel _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsListBox Class

Description

Represents a ListBox.

Inheritance Hierarchy

  • OracleFormsChoice
    • OracleFormsListBox

Syntax

C#
public class OracleFormsListBox : OracleFormsChoice, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsListBox _
Inherits OracleFormsChoice _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
ItemCount | the number of items in the choice. (Inherited from OracleFormsChoice)
Items | the list of choice items. (Inherited from OracleFormsChoice)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. (Inherited from OracleFormsChoice)
SelectedItem | the selected item. (Inherited from OracleFormsChoice)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickItem | Clicks the specified list item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks a list item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetItemText | Returns the item at the specified index. (Inherited from OracleFormsChoice)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice. (Inherited from OracleFormsChoice)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsListView Class

Description

Represents a listview.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsListView

Syntax

C#
public class OracleFormsListView : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsListView _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
AllCellTexts | the text values of all cells in the listview. The cells are grouped in rows, where each row contains the texts of its cells.
Background | The background color of the component. (Inherited from AWTComponent)
ColumnCount | the number of columns in the listview.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
FocusedRow | the index of the focused row, -1 (4Test: 0) is returned if no row is focused.
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | the number of rows in the listview.
SelectedRow | the index of the selected row, -1 (4Test: 0) is returned if no row is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCellText | Returns the cell text.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnName | Returns the name of the column at the specified index.
GetColumnWidth | Returns the width of the specified column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsRowVisible | Returns whether the specified row is visible.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollToRow | Scrolls to the specified row.
SelectRow | Selects the specified row.
SetColumnWidth | Sets the width of the specified column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsMenu Class

Description

Represents a top-level menu.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsMenu
      • OracleFormsPopupMenu

Syntax

C#
public class OracleFormsMenu : OracleFormsContainer, IOracleFormsMenuBase
VB
'Declaration
Public Class OracleFormsMenu _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the MenuItem is checked. (Inherited from IOracleFormsMenuBase)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | a value that indicates whether the MenuItem is checked.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects a menu item
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsMenuItem Class

Description

Represents a selectable item inside a Menu.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsMenuItem

Syntax

C#
public class OracleFormsMenuItem : OracleFormsContainer, IOracleFormsMenuBase
VB
'Declaration
Public Class OracleFormsMenuItem _
Inherits OracleFormsContainer _
Implements IOracleFormsMenuBase

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the MenuItem is checked. (Inherited from IOracleFormsMenuBase)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects a menu item
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsPopList Class

Description

Represents a PopList.

Inheritance Hierarchy

  • OracleFormsChoice
    • OracleFormsPopList

Syntax

C#
public class OracleFormsPopList : OracleFormsChoice
VB
'Declaration
Public Class OracleFormsPopList _
Inherits OracleFormsChoice

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
DropDownOpen | whether the drop down is currently open.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
ItemCount | the number of items in the choice. (Inherited from OracleFormsChoice)
Items | the list of choice items. (Inherited from OracleFormsChoice)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. (Inherited from OracleFormsChoice)
SelectedItem | the selected item. (Inherited from OracleFormsChoice)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetItemText | Returns the item at the specified index. (Inherited from OracleFormsChoice)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified item in the choice. (Inherited from OracleFormsChoice)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsPopupMenu Class

Description

Represents a context menu.

Inheritance Hierarchy

  • OracleFormsMenu
    • OracleFormsPopupMenu

Syntax

C#
public class OracleFormsPopupMenu : OracleFormsMenu
VB
'Declaration
Public Class OracleFormsPopupMenu _
Inherits OracleFormsMenu

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the MenuItem is checked. (Inherited from IOracleFormsMenuBase)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item (Inherited from OracleFormsMenu)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | a value that indicates whether the MenuItem is checked. (Inherited from OracleFormsMenu)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects a menu item (Inherited from OracleFormsMenu)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item (Inherited from OracleFormsMenu)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsRadioButton

Syntax

C#
public class OracleFormsRadioButton : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsRadioButton _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Checked | Whether the radio button is checked.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the radio button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsScrollbar Class

Description

Represents a scroll bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsScrollbar
      • OracleFormsHorizontalScrollbar
      • OracleFormsVerticalScrollbar

Syntax

C#
public class OracleFormsScrollbar : OracleFormsContainer, IOracleFormsScroller
VB
'Declaration
Public Class OracleFormsScrollbar _
Inherits OracleFormsContainer _
Implements IOracleFormsScroller

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Position | the current position of the scroll bar. (Inherited from IOracleFormsScroller)
Range | the range value of the scroll bar. (Inherited from IOracleFormsScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScroller)
ScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScroller)
ScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusArea Class

Description

Represents the area containing status information.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusArea

Syntax

C#
public class OracleFormsStatusArea : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusArea _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusBar Class

Description

Represents a status bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusBar

Syntax

C#
public class OracleFormsStatusBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusBarItem Class

Description

Represents an item within a status bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusBarItem

Syntax

C#
public class OracleFormsStatusBarItem : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusBarItem _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsStatusIndicator Class

Description

Represents a status indicator.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsStatusIndicator

Syntax

C#
public class OracleFormsStatusIndicator : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsStatusIndicator _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTabBar Class

Description

Represents a tab bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTabBar

Syntax

C#
public class OracleFormsTabBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTabBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedTab | the currently selected tab.
TabCount | the number of tabs.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetTabIndex | Returns the tab index.
GetTabTitle | Returns the tab title.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsTabEnabled | Returns whether or not the tab is currently enabled.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the specified tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTabBarItem Class

Description

Represents a tab bar item.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTabBarItem

Syntax

C#
public class OracleFormsTabBarItem : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTabBarItem _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the tab.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTabPanel Class

Description

Represents a container class for components.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTabPanel

Syntax

C#
public class OracleFormsTabPanel : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTabPanel _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTextField Class

Description

Represents an Oracle Forms text field.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTextField

Syntax

C#
public class OracleFormsTextField : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsTextField _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
CaretPosition | the position of the text insertion caret for the text field.
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Editable | whether the text of the text field can be changed by the user.
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
IsPassword | whether the text field is a password text field.
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PasswordChar | the character that is displayed instead of the characters that are actually typed, if the text field is a password text field.
SelectedText | the current selected text.
SelectionEnd | the end position of the selected text.
SelectionStart | the start position of the selected text.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Removes all the text from the text field.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SelectAll | Selects all the text in the text field.
SetCaretPosition | Sets the position of the text insertion caret for this text field.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetSelectionRange | Selects the text within the specified range.
SetText | Sets the text of the text field to the specified text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTitleBar Class

Description

Represents a title bar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTitleBar

Syntax

C#
public class OracleFormsTitleBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsTitleBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsToolBar Class

Description

Represents a toolbar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsToolBar

Syntax

C#
public class OracleFormsToolBar : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsToolBar _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsToolBarItem Class

Description

Represents an element in a toolbar.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsToolBarItem

Syntax

C#
public class OracleFormsToolBarItem : OracleFormsContainer
VB
'Declaration
Public Class OracleFormsToolBarItem _
Inherits OracleFormsContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
Select | Selects the element.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsTree Class

Description

Represents a tree.

Inheritance Hierarchy

  • OracleFormsContainer
    • OracleFormsTree

Syntax

C#
public class OracleFormsTree : OracleFormsContainer, IOracleFormsScrollable
VB
'Declaration
Public Class OracleFormsTree _
Inherits OracleFormsContainer _
Implements IOracleFormsScrollable

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
HorizontalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedItemPath | the list of selected item path.
SelectedItemText | the selected item text.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollbarPageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarPosition | the current position of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarRange | the range value of the scroll bar. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScrollable)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
ClickItem | Clicks on a tree node specified by the item path.
Collapse | Collapses the tree node identified by the specified item path.
CollapseAll | Collapses all tree nodes.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleClickItem | Double-clicks on a tree node specified by the item path.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the tree node identified by the specified item path.
ExpandAll | Expands all tree nodes.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalScrollbar | Gets the horizontal scroll bar. (Inherited from IOracleFormsScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalScrollbar | Gets the vertical scroll bar. (Inherited from IOracleFormsScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
HorizontalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
HorizontalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsExpanded | Returns 'true' if the specified item path is expanded.
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
IsVisible | Returns 'true' if the specified item path is visible.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollItemIntoView | Scrolls the given item path to a visible position.
Select | Selects a tree node identified by the specified item path.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
VerticalScrollbarPage | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScrollable)
VerticalScrollbarStep | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScrollable)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


OracleFormsVerticalScrollbar Class

Description

Represents a vertical scroll bar.

Inheritance Hierarchy

  • OracleFormsScrollbar
    • OracleFormsVerticalScrollbar

Syntax

C#
public class OracleFormsVerticalScrollbar : OracleFormsScrollbar
VB
'Declaration
Public Class OracleFormsVerticalScrollbar _
Inherits OracleFormsScrollbar

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
PageSize | the block increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Position | the current position of the scroll bar. (Inherited from IOracleFormsScroller)
Range | the range value of the scroll bar. (Inherited from IOracleFormsScroller)
StepSize | the unit increment value of the scroll bar. (Inherited from IOracleFormsScroller)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
Page | Increments the current scroll position by specified number of pages. (Inherited from IOracleFormsScroller)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
ScrollTo | Scrolls to the specified position. (Inherited from IOracleFormsScroller)
ScrollToMax | Scrolls to the maximum position of the scroller. (Inherited from IOracleFormsScroller)
ScrollToMin | Scrolls to the minimum position of the scroller. (Inherited from IOracleFormsScroller)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Step | Increments the current scroll position by specified steps. (Inherited from IOracleFormsScroller)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


SplitPaneDivider Class

Description

Represents a split pane divider.

Inheritance Hierarchy

  • AWTContainer
    • SplitPaneDivider

Syntax

C#
public class SplitPaneDivider : AWTContainer
VB
'Declaration
Public Class SplitPaneDivider _
Inherits AWTContainer

Properties

Name | Description
AccessibleName | The accessible name of the component. (Inherited from AWTComponent)
AccessibleRole | The accessible role of the component. (Inherited from AWTComponent)
Background | The background color of the component. (Inherited from AWTComponent)
Cursor | The name of the cursor set in the component. (Inherited from AWTComponent)
Enabled | whether the component is enabled. (Inherited from AWTComponent)
Focusable | whether the component can be focused. (Inherited from AWTComponent)
Font | The font of the component. (Inherited from AWTComponent)
Foreground | The foreground color of the component. (Inherited from AWTComponent)
Height | The current height of the component. (Inherited from AWTComponent)
Name | The name of the component. (Inherited from AWTComponent)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Width | The current width of the component. (Inherited from AWTComponent)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from AWTComponent)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the component into view if it is hidden and a child of a scroll pane. (Inherited from AWTComponent)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Java AWT and Swing Class Reference


Win32 Class Reference

Lists the available classes for testing Windows API-based controls.

  • AccessibleControl Class
    The class controls identified by the Accessibility extension.
  • Header Class
    The class for list header controls. Headers are most commonly used in controls of the ListViewW32 class.
  • ListView Class
    The class for elaborated list controls that support multiple ways of viewing a list of nonhierarchical data. These views include large and small rearrangable icons and a detail (or report) view.
  • MonthCalendar Class
    The class that selects the calendar date and time.
  • Pager Class
    The class for tabbed, multi-page dialogs and for button bars. On Windows, this class corresponds to the TabControl control. On Windows, Silk Test only supports major tabs; it does not support minor tabs (also called 'subpages' or 'child pages').
  • ProgressBar Class
    The class for progress bar controls. A progress bar displays a progress.
  • StatusBar Class
    The class for status bar controls. A status bar is a container for a set of text labels that change dynamically.
  • UpDown Class
    The class for up/down controls.
Parent topic: Silk4NET Language Reference
Related reference
Win32 Class Reference


AccessibleControl Class

Description

The class controls identified by the Accessibility extension.

Inheritance Hierarchy

  • BaseGuiTestObject
    • AccessibleControl

Syntax

C#
public class AccessibleControl : BaseGuiTestObject
VB
'Declaration
Public Class AccessibleControl _
Inherits BaseGuiTestObject

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Description | The description text of the accessible object.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Role | The role of this accessible object.
State | The state string that describes the different states of this accessible object.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoDefaultAction | Executes the default action of the underlying accessible control supports a default action.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


Header Class

Description

The class for list header controls. Headers are most commonly used in controls of the ListViewW32 class.

Inheritance Hierarchy

  • Control
    • Header

Syntax

C#
public class Header : Control
VB
'Declaration
Public Class Header _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the header.
ColumnOrder | The header's item indices as they are currently ordered.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DividerDoubleSelect | Double-clicks the divider on the right side of the specified item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnTitle | Returns the title of a specified header item.
GetColumnWidth | Returns the width of a specified column.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes an item of the header.
Select | Selects an item or button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


ListView Class

Description

The class for elaborated list controls that support multiple ways of viewing a list of nonhierarchical data. These views include large and small rearrangable icons and a detail (or report) view.

Inheritance Hierarchy

  • Control
    • ListView

Syntax

C#
public class ListView : Control
VB
'Declaration
Public Class ListView _
Inherits Control

Properties

Name | Description
AllowsCheck | Whether this list view supports checking items.
AllowsMultiSelect | Whether the list view supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
CheckedIndices | A list containing the indices of the checked items.
CheckedItems | A list containing the checked items.
ColumnCount | The number of columns per item.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items contained in the list view.
Items | A list containing all items of the listview.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndices | A list containing the indices of the selected items.
SelectedItems | A list containing the selected items.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks an item.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of items by extending the selection in the extend-selection listview.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetContents | Returns the contents of a listview control. Each returned item is delimited by a semicolon. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetItemImageIndex | Returns the index into the image list of a list view that contains icons. This allows to verify that the correct image is used for an item.
GetItemIndex | Returns the index of the list view item or -1 if is not found.
GetItemRect | Returns rectangle of the item. If getIconRect is set then the rectangle of the icon of the item will be returned otherwise the rectangle of the item text is returned. If a columnIndex is specified the rectangle of this column is returned.
GetItemText | Returns the text of an item.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Adds an item in the list to the set of currently selected items.
MultiUnselect | Removes an item in the list from the set of selected items.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetItemFocus | Gives focus to the item in the list.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks an item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


MonthCalendar Class

Description

The class that selects the calendar date and time.

Inheritance Hierarchy

  • Control
    • MonthCalendar

Syntax

C#
public class MonthCalendar : Control
VB
'Declaration
Public Class MonthCalendar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of dates and times.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
OpenMonthMenu | Opens a calendar menu to a specific month.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects a date and time.
SelectNextMonth | Selects the next month.
SelectPreviousMonth | Selects the previous month.
SelectToday | Selects the date for today.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


Pager Class

Description

The class for tabbed, multi-page dialogs and for button bars. On Windows, this class corresponds to the TabControl control. On Windows, Silk Test only supports major tabs; it does not support minor tabs (also called 'subpages' or 'child pages').

Inheritance Hierarchy

  • Control
    • Pager

Syntax

C#
public class Pager : Control
VB
'Declaration
Public Class Pager _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the up/down control is horizontal.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollDown | Moves the scroll bar down.
ScrollUp | Moves the scroll bar up.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


ProgressBar Class

Description

The class for progress bar controls. A progress bar displays a progress.

Inheritance Hierarchy

  • Control
    • ProgressBar

Syntax

C#
public class ProgressBar : Control
VB
'Declaration
Public Class ProgressBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The current position.
Range | The range of the progress bar control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


StatusBar Class

Description

The class for status bar controls. A status bar is a container for a set of text labels that change dynamically.

Inheritance Hierarchy

  • Control
    • StatusBar

Syntax

C#
public class StatusBar : Control
VB
'Declaration
Public Class StatusBar _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


UpDown Class

Description

The class for up/down controls.

Inheritance Hierarchy

  • Control
    • UpDown
      • NumericUpDown

Syntax

C#
public class UpDown : Control
VB
'Declaration
Public Class UpDown _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the up/down control is horizontal.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position for the up/down control.
Range | The range of the up/down control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WrapAround | Whether values are wrapped if smaller than minimum or larger than maximum.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the position value of the up/down control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the position value of the up/down control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Win32 Class Reference


Windows Forms Class Reference

Lists the available classes for testing Windows Forms controls.

  • CheckedListBox Class
    CheckedListBox represents list boxes that contain a check box.
  • DataGrid Class
    The class for datagrids and data grid view.
  • DataGridColumn Class
    The class for columns in a table.
  • DataGridItem Class
    The class for datagrids and data grid view rows.
  • DataGridRow Class
    The class for rows in a table.
  • DomainUpDown Class
    The class for up/down controls.
  • ElementHost Class
    A Windows Forms control that can be used to host a Windows Presentation Foundation (WPF) element.
  • FormsHost Class
    An element that allows you to host a Windows Forms control on a WPF page.
  • FormsWindow Class
    FormsWindow is the class that represents the top-level window of a Windows Forms application.
  • MenuStrip Class
    MenuStrip is the class that creates a new menu strip for a Windows Forms application.
  • NumericUpDown Class
    The class for numeric up/down controls.
Parent topic: Silk4NET Language Reference
Related reference
Windows Forms Class Reference


CheckedListBox Class

Description

CheckedListBox represents list boxes that contain a check box.

Inheritance Hierarchy

  • ListBox
    • CheckedListBox

Syntax

C#
public class CheckedListBox : ListBox
VB
'Declaration
Public Class CheckedListBox _
Inherits ListBox

Properties

Name | Description
AllowsMultiSelect | Whether the control supports selecting multiple items. (Inherited from ListBox)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
CheckedIndices | The indices of the checked item(s).
CheckedItems | The names of the checked item(s).
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items in the list box. (Inherited from ListBox)
Items | A list of items in the list box. (Inherited from ListBox)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The index of the first selected item. (Inherited from ListBox)
SelectedIndices | The indices of the selected item(s). (Inherited from ListBox)
SelectedItem | The name of the first selected item. (Inherited from ListBox)
SelectedItems | The names of the selected item(s). (Inherited from ListBox)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Selects an item from the checked list box.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelect | Double-clicks an item in the list box. (Inherited from ListBox)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelect | Selects a range of items by extending the selection in the list box. (Inherited from ListBox)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Selects an item in the multi- or extend-selection list box. (Inherited from ListBox)
MultiUnselect | Unselects an item in the multi- or extend-selection list box. (Inherited from ListBox)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item from the list box. (Inherited from ListBox)
SelectRange | Selects a range of items in the extend-selection list box. (Inherited from ListBox)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Selects an item from the checked list box.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGrid Class

Description

The class for datagrids and data grid view.

Inheritance Hierarchy

  • Control
    • DataGrid

Syntax

C#
public class DataGrid : Control
VB
'Declaration
Public Class DataGrid _
Inherits Control

Properties

Name | Description
AllowsMultiSelect | Whether the table supports selecting multiple items.
Background | The background color of the GUI object. (Inherited from GuiTestObject)
ColumnCount | The number of columns in the DataGrid.
ColumnItems | A list of all items in the column.
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Items | A list of all items in the column.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
RowCount | The number of rows in the DataGrid.
RowItems | A list of all items in the row.
SelectedItems | The selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DoubleSelectItem | Double-clicks an item.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExtendSelectItem | Expands the selection to the given item.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelectItem | Adds a row from the table to the set of selected rows.
MultiUnselectItem | Removes a item from the set of selected items.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Tries to bring the item to the top left corner of the datagrid.
SelectAllItems | Selects all items in the datagrid.
SelectItem | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGridColumn Class

Description

The class for columns in a table.

Inheritance Hierarchy

  • Item
    • DataGridColumn

Syntax

C#
public class DataGridColumn : Item
VB
'Declaration
Public Class DataGridColumn _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
Width | The width of the column.

Methods

Name | Description
AutoResize | Automatically resizes a column by double clicking its divider.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column.
ScrollIntoView | Tries to bring the column to the left by scrolling the data grid.
Select | Selects a column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGridItem Class

Description

The class for datagrids and data grid view rows.

Inheritance Hierarchy

  • Item
    • DataGridItem

Syntax

C#
public class DataGridItem : Item
VB
'Declaration
Public Class DataGridItem _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Column | The column of the item in the data grid
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Row | The row of the item in the data grid
Selected | Whether the item is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Tries to bring the item to the top left corner of the datagrid.
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DataGridRow Class

Description

The class for rows in a table.

Inheritance Hierarchy

  • Item
    • DataGridRow

Syntax

C#
public class DataGridRow : Item
VB
'Declaration
Public Class DataGridRow _
Inherits Item

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Height | The width of the column.
ItemCount | The number of items in the row.
Items | A list of items in the row.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes a column.
ScrollIntoView | Tries to bring the row to the top by scrolling the data grid.
Select | Selects a column.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


DomainUpDown Class

Description

The class for up/down controls.

Inheritance Hierarchy

  • Control
    • DomainUpDown

Syntax

C#
public class DomainUpDown : Control
VB
'Declaration
Public Class DomainUpDown _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
ItemCount | The number of items contained in the list view.
Items | The items in the domain up/down control.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
SelectedIndex | The position for the up/down control.
SelectedItem | The position for the up/down control.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WrapAround | Whether values are wrapped if smaller than minimum or larger than maximum.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the position value of the up/down control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the position value of the up/down control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Select | Selects an item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


ElementHost Class

Description

A Windows Forms control that can be used to host a Windows Presentation Foundation (WPF) element.

Inheritance Hierarchy

  • Control
    • ElementHost

Syntax

C#
public class ElementHost : Control
VB
'Declaration
Public Class ElementHost _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


FormsHost Class

Description

An element that allows you to host a Windows Forms control on a WPF page.

Inheritance Hierarchy

  • Control
    • FormsHost

Syntax

C#
public class FormsHost : Control
VB
'Declaration
Public Class FormsHost _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


FormsWindow Class

Description

FormsWindow is the class that represents the top-level window of a Windows Forms application.

Inheritance Hierarchy

  • Window
    • FormsWindow

Syntax

C#
public class FormsWindow : Window
VB
'Declaration
Public Class FormsWindow _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LoadAssembly | Loads the assembly on the specified path in the Windows Forms application.
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


MenuStrip Class

Description

MenuStrip is the class that creates a new menu strip for a Windows Forms application.

Inheritance Hierarchy

  • Control
    • MenuStrip

Syntax

C#
public class MenuStrip : Control
VB
'Declaration
Public Class MenuStrip _
Inherits Control

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


NumericUpDown Class

Description

The class for numeric up/down controls.

Inheritance Hierarchy

  • UpDown
    • NumericUpDown

Syntax

C#
public class NumericUpDown : UpDown
VB
'Declaration
Public Class NumericUpDown _
Inherits UpDown

Properties

Name | Description
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
Horizontal | Whether the up/down control is horizontal. (Inherited from UpDown)
Maximum | The maximum value of the up/down control.
Minimum | The minimum value of the up/down control.
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Position | The position for the up/down control. (Inherited from UpDown)
PositionDecimal | The position for the up/down control.
Range | The range of the up/down control. (Inherited from UpDown)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WrapAround | Whether values are wrapped if smaller than minimum or larger than maximum. (Inherited from UpDown)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Decrement | Decreases the position value of the up/down control. (Inherited from UpDown)
DecrementDecimal | Decreases the position value of the up/down control.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Increment | Increases the position value of the up/down control. (Inherited from UpDown)
IncrementDecimal | Increases the position value of the up/down control.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: Windows Forms Class Reference


WPF Class Reference

Lists the available classes for testing WPF controls.

  • IWPFScrollable Interface
    Interface to implement scrolling for all FrameworkElements.
  • WPFBase Class
    Provides a WPF framework-level set of properties, events, and methods for Windows Presentation Foundation (WPF) elements.
  • WPFButton Class
    Represents a Windows button control, which reacts to the ButtonBase.Click event.
  • WPFButtonBase Class
    Represents the base class for all Button controls.
  • WPFCalendar Class
    Represents a control that enables a user to select a date by using a visual calendar display.
  • WPFCheckBox Class
    Represents a check box.
  • WPFColumnHeader Class
    Represents a header column in a ListView control.
  • WPFComboBox Class
    Represents a selection control with a drop-down list that can be shown or hidden by clicking the arrow on the control.
  • WPFComboBoxItem Class
    Represents a selectable item in a ComboBox.
  • WPFContentControl Class
    Represents a control with a single piece of content.
  • WPFContextMenu Class
    a context menu.
  • WPFControl Class
    Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.
  • WPFDataGrid Class
    Represents a control that displays data in a customizable grid.
  • WPFDataGridCell Class
    Represents a cell of a data grid control.
  • WPFDataGridColumnHeader Class
    Represents an individual data grid column header.
  • WPFDataGridRow Class
    Represents a data grid row.
  • WPFDataGridRowHeader Class
    Represents an individual data grid row header.
  • WPFDatePicker Class
    Represents a control that allows the user to select a date.
  • WPFDocumentViewer Class
    Represents a document viewing control that can host paginated FixedDocument content such as an XpsDocument.
  • WPFDocumentViewerBase Class
    Provides a base class for viewers that are intended to display fixed or flow content (represented by a FixedDocument or FlowDocument, respectively).
  • WPFDrawingVisual Class
    DrawingVisual is a visual object that can be used to render vector graphics on the screen. The content is persisted by the system.
  • WPFExpander Class
    Represents the control that displays a header that has a collapsible window that displays content.
  • WPFFlowDocumentPageViewer Class
    Represents a control for viewing flow content in a fixed viewing mode that shows content one page at a time.
  • WPFFlowDocumentReader Class
    Represents a control for viewing flow content in a continuous scrolling mode.
  • WPFFlowDocumentScrollViewer Class
    Represents a control for viewing flow content in a continuous scrolling mode.
  • WPFFrame Class
    Represents the base class for all Frame controls.
  • WPFFrameworkContentElement Class
    Base class for all FrameworkContentElement derived classes. This class does not add any properties or methods.
  • WPFFrameworkElement Class
    Provides a set of properties and methods for FrameworkElement derived classes.
  • WPFGridSplitter Class
    Represents the control that redistributes space between columns or rows of a Grid control.
  • WPFGroupBox Class
    Represents a control that creates a container that has a border and a header.
  • WPFHeaderedContentControl Class
    Provides the base implementation for all controls that contain single content and have a header.
  • WPFHeaderedItemsControl Class
    Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.
  • WPFHyperlink Class
    Represents Hyperlinks that can be embedded as child controls or inside text.
  • WPFImage Class
    Represents a control that displays an image.
  • WPFItemsControl Class
    Represents a control that can be used to present a collection of items.
  • WPFLabel Class
    Represents the text label for a control.
  • WPFListBox Class
    Contains a list of selectable items.
  • WPFListBoxItem Class
    Represents a selectable item in a ListBox.
  • WPFListView Class
    Represents a control that displays a list of data items. The ListView can have a table-like style.
  • WPFListViewItem Class
    Represents an item in a ListView control.
  • WPFMediaElement Class
    Represents a control that contains audio and/or video.
  • WPFMenu Class
    Represents a Windows menu control that enables you to hierarchically organize elements associated with commands and event handlers.
  • WPFMenuBase Class
    Represents a control that defines choices for users to select.
  • WPFMenuItem Class
    Represents a selectable item inside a Menu.
  • WPFMultiSelector Class
    Provides an abstract class for controls that allow multiple items to be selected.
  • WPFNavigationWindow Class
    Represents a window that supports content navigation.
  • WPFPage Class
    Encapsulates a page of content that can be navigated to and hosted by Windows Internet Explorer, NavigationWindow, and Frame.
  • WPFPasswordBox Class
    Represents a PasswordBox control.
  • WPFPopup Class
    Represents a pop-up window that has content.
  • WPFProgressBar Class
    Represents a ProgressBar control.
  • WPFRadioButton Class
    Represents a radio button.
  • WPFRangeBase Class
    Represents an element that has a value within a specific range.
  • WPFRepeatButton Class
    Represents a control that raises its selection event repeatedly from the time it is pressed until it is released.
  • WPFRichTextBox Class
    Represents a RichTextBox control.
  • WPFScrollBar Class
    Represents a control that provides a scroll bar that has a sliding Thumb whose position corresponds to a value.
  • WPFScrollViewer Class
    Represents a scrollable area that can contain other visible elements.
  • WPFSelector Class
    Represents a control that allows a user to select items from among its child elements.
  • WPFSlider Class
    Represents a control that lets the user select from a range of values by moving a Thumb control along a Track.
  • WPFStatusBar Class
    Represents a control that displays items and information in a horizontal bar in an application window.
  • WPFStatusBarItem Class
    Represents an item of a StatusBar control.
  • WPFStickyNoteControl Class
    Represents a control that lets users attach typed text or handwritten annotations to documents.
  • WPFTabControl Class
    Represents a control that contains multiple items that share the same space on the screen.
  • WPFTabItem Class
    Represents a selectable item inside a TabControl.
  • WPFTextBlock Class
    Represents a control with a single piece of content.
  • WPFTextBox Class
    Represents a control that can be used to display or edit unformatted text.
  • WPFTextBoxBase Class
    Represents a control with a single piece of content.
  • WPFThumb Class
    Represents a control that can be dragged by the user.
  • WPFTickBar Class
    Represents a control that draws a set of tick marks for a Slider control.
  • WPFToggleButton Class
    Represents a toggle button.
  • WPFToolBar Class
    Provides a container for a group of commands or controls.
  • WPFToolBarTray Class
    Represents the container that handles the layout of a ToolBar.
  • WPFToolkitCalendar Class
    Represents a control that enables a user to select a date by using a visual calendar display.
  • WPFToolkitDataGrid Class
    Represents a control that displays data in a customizable grid.
  • WPFToolkitDataGridCell Class
    Represents a cell of a data grid control.
  • WPFToolkitDataGridColumnHeader Class
    Represents an individual data grid column header.
  • WPFToolkitDataGridRow Class
    Represents a data grid row.
  • WPFToolkitDataGridRowHeader Class
    Represents an individual data grid row header.
  • WPFToolkitDatePicker Class
    Represents a control that allows the user to select a date.
  • WPFToolTip Class
    Represents a tool tip.
  • WPFTrack Class
    Represents a control primitive that handles the positioning and sizing of a Thumb control and two RepeatButton controls that are used to set a Value.
  • WPFTreeView Class
    Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.
  • WPFTreeViewItem Class
    Represents a selectable item in a TreeView control.
  • WPFUserControl Class
    Provides a simple way to create a control. For additional information about interacting with a user control, see Custom Controls.
  • WPFViewport3D Class
    Provides a rendering surface for 3-D visual content.
  • WPFVisual3D Class
    Provides services and properties common to visual 3-D objects, including hit-testing, coordinate transformation, and bounding box calculations.
  • WPFWindow Class
    Provides the ability to create, configure, show, and manage the lifetime of windows and dialog boxes.
Parent topic: Silk4NET Language Reference
Related reference
WPF Class Reference


IWPFScrollable Interface

Description

Interface to implement scrolling for all FrameworkElements.

Syntax

C#
public class IWPFScrollable
VB
'Declaration
Public Class IWPFScrollable

Methods

Name | Description
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer.
GetScrollPosition | Return the position of the ScrollViewer.
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination.
ScrollToPosition | Sets the position of the ScrollViewer.
Parent topic: WPF Class Reference


WPFBase Class

Description

Provides a WPF framework-level set of properties, events, and methods for Windows Presentation Foundation (WPF) elements.

Inheritance Hierarchy

  • TestObject
    • WPFBase
      • WPFDrawingVisual
      • WPFFrameworkContentElement
      • WPFFrameworkElement
      • WPFVisual3D

Syntax

C#
public class WPFBase : TestObject, IClickable, IFocusable, IKeyable
VB
'Declaration
Public Class WPFBase _
Inherits TestObject _
Implements IClickable, IFocusable, IKeyable

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI).
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI).
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position.
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFButton Class

Description

Represents a Windows button control, which reacts to the ButtonBase.Click event.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFButton

Syntax

C#
public class WPFButton : WPFButtonBase
VB
'Declaration
Public Class WPFButton _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsCancel | a value that indicates whether a Button is a Cancel button. A user can activate the Cancel button by pressing the ESC key. This is a dependency property.
IsDefault | a value that indicates whether a Button is the default button. A user invokes the default button by pressing the ENTER key. This is a dependency property.
IsDefaulted | a value that indicates whether a Button is the button that is activated when a user presses ENTER. This is a dependency property.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFButtonBase Class

Description

Represents the base class for all Button controls.

Inheritance Hierarchy

  • WPFContentControl
    • WPFButtonBase
      • WPFButton
      • WPFColumnHeader
      • WPFDataGridColumnHeader
      • WPFDataGridRowHeader
      • WPFRepeatButton
      • WPFToggleButton
      • WPFToolkitDataGridColumnHeader
      • WPFToolkitDataGridRowHeader

Syntax

C#
public class WPFButtonBase : WPFContentControl
VB
'Declaration
Public Class WPFButtonBase _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked.
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFCalendar Class

Description

Represents a control that enables a user to select a date by using a visual calendar display.

Inheritance Hierarchy

  • WPFControl
    • WPFCalendar

Syntax

C#
public class WPFCalendar : WPFControl
VB
'Declaration
Public Class WPFCalendar _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
BlackoutDates | a list of dates that are marked as not selectable.
DisplayDate | the date to display.
DisplayDateEnd | the last date in the date range that is available in the calendar.
DisplayDateStart | the first date that is available in the calendar.
DisplayMode | a value that indicates whether the calendar displays a month, year, or decade.
FirstDayOfWeek | the day that is considered the beginning of the week.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTodayHighlighted | a value that indicates whether the current date is highlighted.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
SelectedDates | a list of selected dates.
SelectionMode | a value that indicates what kind of selections are allowed.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date and clears the current selection.
SelectDates | Selects the given dates and clears the current selection.
SelectRange | Selects a range of dates.
SetDisplayDate | Sets the date to display.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFCheckBox Class

Description

Represents a check box.

Inheritance Hierarchy

  • WPFToggleButton
    • WPFCheckBox

Syntax

C#
public class WPFCheckBox : WPFToggleButton
VB
'Declaration
Public Class WPFCheckBox _
Inherits WPFToggleButton

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsChecked | whether the button is checked. (Inherited from WPFToggleButton)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsThreeState | whether the control supports two or three states. (Inherited from WPFToggleButton)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
State | the state of the button. (Inherited from WPFToggleButton)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the button. (Inherited from WPFToggleButton)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the button to the indeterminate state. (Inherited from WPFToggleButton)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the button. (Inherited from WPFToggleButton)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFColumnHeader Class

Description

Represents a header column in a ListView control.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFColumnHeader

Syntax

C#
public class WPFColumnHeader : WPFButtonBase
VB
'Declaration
Public Class WPFColumnHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Resize | Resizes the column header.
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFComboBox Class

Description

Represents a selection control with a drop-down list that can be shown or hidden by clicking the arrow on the control.

Certain combo boxes (i.e. ones that use an items source internally) require to open the combo box once before the items are available in the application under test.

Inheritance Hierarchy

  • WPFSelector
    • WPFComboBox

Syntax

C#
public class WPFComboBox : WPFSelector
VB
'Declaration
Public Class WPFComboBox _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsDropDownOpen | a value that indicates whether the drop-down for a combo box is currently open.
IsEditable | a value that enables or disables editing of the text in text box of the ComboBox.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | whether the combo box is in selection-only mode, in which the contents of the combo box are selectable but not editable.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
MaxDropDownHeight | the maximum height for a combo box drop-down.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
StaysOpenOnEdit | whether a ComboBox that is open and displays a drop-down control will remain open when a user clicks the TextBox.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the ComboBox.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Open | Opens the ComboBox.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFComboBoxItem Class

Description

Represents a selectable item in a ComboBox.

Certain combo boxes (i.e. ones that use an items source internally) require to open the combo box once before the items are available in the application under test.

Inheritance Hierarchy

  • WPFListBoxItem
    • WPFComboBoxItem

Syntax

C#
public class WPFComboBoxItem : WPFListBoxItem
VB
'Declaration
Public Class WPFComboBoxItem _
Inherits WPFListBoxItem

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether a ListBoxItem is selected. (Inherited from WPFListBoxItem)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the ListBoxItem. (Inherited from WPFListBoxItem)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the item into the view. (Inherited from WPFListBoxItem)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the ListBoxItem. (Inherited from WPFListBoxItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFContentControl Class

Description

Represents a control with a single piece of content.

Inheritance Hierarchy

  • WPFControl
    • WPFContentControl
      • WPFButtonBase
      • WPFFrame
      • WPFHeaderedContentControl
      • WPFLabel
      • WPFListBoxItem
      • WPFScrollViewer
      • WPFStatusBarItem
      • WPFToolTip
      • WPFUserControl
      • WPFWindow

Syntax

C#
public class WPFContentControl : WPFControl
VB
'Declaration
Public Class WPFContentControl _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFContextMenu Class

Description

a context menu.

Inheritance Hierarchy

  • WPFMenuBase
    • WPFContextMenu

Syntax

C#
public class WPFContextMenu : WPFMenuBase
VB
'Declaration
Public Class WPFContextMenu _
Inherits WPFMenuBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
HorizontalOffset | the horizontal distance between the target origin and the popup alignment point. This is a dependency property.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsOpen | a value that indicates whether the ContextMenu is open.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Placement | the Placement property of a ContextMenu. This is a dependency property.
PlacementRectangle | the area relative to which the context menu is positioned when it opens. This is a dependency property.
StaysOpen | a value that indicates whether the ContextMenu should close automatically. This is a dependency property.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalOffset | the vertical distance between the target origin and the popup alignment point. This is a dependency property.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item (Inherited from WPFMenuBase)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the ContextMenu.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a menu item (Inherited from WPFMenuBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item (Inherited from WPFMenuBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFControl Class

Description

Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFControl
      • WPFCalendar
      • WPFContentControl
      • WPFDataGridCell
      • WPFDataGridRow
      • WPFDatePicker
      • WPFDocumentViewerBase
      • WPFFlowDocumentReader
      • WPFFlowDocumentScrollViewer
      • WPFItemsControl
      • WPFPasswordBox
      • WPFRangeBase
      • WPFStickyNoteControl
      • WPFTextBoxBase
      • WPFThumb
      • WPFToolkitCalendar
      • WPFToolkitDataGridCell
      • WPFToolkitDataGridRow
      • WPFToolkitDatePicker

Syntax

C#
public class WPFControl : WPFFrameworkElement
VB
'Declaration
Public Class WPFControl _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock.
FontSize | the top-level font size for the TextBlock.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGrid Class

Description

Represents a control that displays data in a customizable grid.

Inheritance Hierarchy

  • WPFMultiSelector
    • WPFDataGrid

Syntax

C#
public class WPFDataGrid : WPFMultiSelector
VB
'Declaration
Public Class WPFDataGrid _
Inherits WPFMultiSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Columns | a collection that contains all the columns in the data grid.
CurrentCell | the cell that has focus.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the user can edit values in the data grid.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedCell | the selected cells in the data grid.
SelectedCells | the list of cells that are currently selected.
SelectedCellText | the text of the selected cells in the data grid or an empty string if no cell is selected.
SelectedCellTexts | the texts of the selected cells in the data grid or an empty list if no cells are selected.
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | the text of the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectionMode | a value that indicates how rows and cells are selected in the data grid.
SelectionUnit | a value that indicates whether rows, cells, or both can be selected in the data grid.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BeginEdit | Begins to edit the specified cell.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CancelEdit | Cancels the edited cell.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CommitEdit | Commits the edited cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the specified cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectCell | Selects the specified cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridCell Class

Description

Represents a cell of a data grid control.

Inheritance Hierarchy

  • WPFControl
    • WPFDataGridCell

Syntax

C#
public class WPFDataGridCell : WPFControl
VB
'Declaration
Public Class WPFDataGridCell _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEditing | a value that indicates whether the cell is in edit mode.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the cell can be put in edit mode.
IsSelected | a value that indicates whether the cell is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridColumnHeader Class

Description

Represents an individual data grid column header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFDataGridColumnHeader

Syntax

C#
public class WPFDataGridColumnHeader : WPFButtonBase
VB
'Declaration
Public Class WPFDataGridColumnHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridRow Class

Description

Represents a data grid row.

Inheritance Hierarchy

  • WPFControl
    • WPFDataGridRow

Syntax

C#
public class WPFDataGridRow : WPFControl
VB
'Declaration
Public Class WPFDataGridRow _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Cells | the cells of the data grid row.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether the row is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the row.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the row into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDataGridRowHeader Class

Description

Represents an individual data grid row header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFDataGridRowHeader

Syntax

C#
public class WPFDataGridRowHeader : WPFButtonBase
VB
'Declaration
Public Class WPFDataGridRowHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDatePicker Class

Description

Represents a control that allows the user to select a date.

Inheritance Hierarchy

  • WPFControl
    • WPFDatePicker

Syntax

C#
public class WPFDatePicker : WPFControl
VB
'Declaration
Public Class WPFDatePicker _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDocumentViewer Class

Description

Represents a document viewing control that can host paginated FixedDocument content such as an XpsDocument.

Inheritance Hierarchy

  • WPFDocumentViewerBase
    • WPFDocumentViewer

Syntax

C#
public class WPFDocumentViewer : WPFDocumentViewerBase
VB
'Declaration
Public Class WPFDocumentViewer _
Inherits WPFDocumentViewerBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the DocumentViewer can zoom out more.
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document. (Inherited from WPFDocumentViewerBase)
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document. (Inherited from WPFDocumentViewerBase)
CanIncreaseZoom | a value that indicates whether the DocumentViewer can zoom in more.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalOffset | the horizontal scroll position.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MasterPageNumber | the page number for the current master page. (Inherited from WPFDocumentViewerBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document. (Inherited from WPFDocumentViewerBase)
Selection | the selected content of the DocumentViewer.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalOffset | the vertical scroll position.
Zoom | the document zoom percentage.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number. (Inherited from WPFDocumentViewerBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Zooms out of the document content by one zoom step.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page. (Inherited from WPFDocumentViewerBase)
FitToHeight | Fits a single page to the height of the current viewport.
FitToWidth | Fits a single page to the width of the current viewport.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page. (Inherited from WPFDocumentViewerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Zooms in on the document content by one zoom step.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page. (Inherited from WPFDocumentViewerBase)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MoveDown | Scrolls the document content down 16 device independent pixels.
MoveLeft | Scrolls the document content left 16 device independent pixels.
MoveRight | Scrolls the document content right 16 device independent pixels.
MoveUp | Scrolls the document content up 16 device independent pixels.
NextPage | Jumps to the next page. (Inherited from WPFDocumentViewerBase)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page. (Inherited from WPFDocumentViewerBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollPageDown | Scrolls down one viewport.
ScrollPageLeft | Scrolls left one viewport.
ScrollPageRight | Scrolls right one viewport.
ScrollPageUp | Scrolls up one viewport.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
ZoomToActualSize | Zooms to 100%.
Parent topic: WPF Class Reference


WPFDocumentViewerBase Class

Description

Provides a base class for viewers that are intended to display fixed or flow content (represented by a FixedDocument or FlowDocument, respectively).

Inheritance Hierarchy

  • WPFControl
    • WPFDocumentViewerBase
      • WPFDocumentViewer
      • WPFFlowDocumentPageViewer

Syntax

C#
public class WPFDocumentViewerBase : WPFControl
VB
'Declaration
Public Class WPFDocumentViewerBase _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document.
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MasterPageNumber | the page number for the current master page.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
NextPage | Jumps to the next page.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFDrawingVisual Class

Description

DrawingVisual is a visual object that can be used to render vector graphics on the screen. The content is persisted by the system.

Inheritance Hierarchy

  • WPFBase
    • WPFDrawingVisual

Syntax

C#
public class WPFDrawingVisual : WPFBase
VB
'Declaration
Public Class WPFDrawingVisual _
Inherits WPFBase

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFExpander Class

Description

Represents the control that displays a header that has a collapsible window that displays content.

Inheritance Hierarchy

  • WPFHeaderedContentControl
    • WPFExpander

Syntax

C#
public class WPFExpander : WPFHeaderedContentControl
VB
'Declaration
Public Class WPFExpander _
Inherits WPFHeaderedContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
ExpandDirection | the direction in which the Expander content window opens.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsExpanded | whether the Expander content window is visible.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the Expander control. Only the header is visible.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the Expander control.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFlowDocumentPageViewer Class

Description

Represents a control for viewing flow content in a fixed viewing mode that shows content one page at a time.

Inheritance Hierarchy

  • WPFDocumentViewerBase
    • WPFFlowDocumentPageViewer

Syntax

C#
public class WPFFlowDocumentPageViewer : WPFDocumentViewerBase
VB
'Declaration
Public Class WPFFlowDocumentPageViewer _
Inherits WPFDocumentViewerBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the Zoom level can be decreased.
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document. (Inherited from WPFDocumentViewerBase)
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document. (Inherited from WPFDocumentViewerBase)
CanIncreaseZoom | a value that indicates whether the Zoom level can be increased.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MasterPageNumber | the page number for the current master page. (Inherited from WPFDocumentViewerBase)
MaxZoom | the maximum allowable Zoom level for the FlowDocumentPageViewer.
MinZoom | the minimum allowable Zoom level for the FlowDocumentPageViewer.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document. (Inherited from WPFDocumentViewerBase)
Selection | the selected content of the FlowDocumentPageViewer.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Zoom | the current zoom level for the FlowDocumentPageViewer.
ZoomIncrement | the zoom increment.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number. (Inherited from WPFDocumentViewerBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Decreases the zoom.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page. (Inherited from WPFDocumentViewerBase)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page. (Inherited from WPFDocumentViewerBase)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Increases the zoom.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page. (Inherited from WPFDocumentViewerBase)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
NextPage | Jumps to the next page. (Inherited from WPFDocumentViewerBase)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page. (Inherited from WPFDocumentViewerBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToggleFindDialog | Toggles the Find dialog.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFlowDocumentReader Class

Description

Represents a control for viewing flow content in a continuous scrolling mode.

Inheritance Hierarchy

  • WPFControl
    • WPFFlowDocumentReader

Syntax

C#
public class WPFFlowDocumentReader : WPFControl
VB
'Declaration
Public Class WPFFlowDocumentReader _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the Zoom level can be decreased.
CanGoToNextPage | a value that indicates whether or not the viewer can jump to the next page in the current Document.
CanGoToPreviousPage | a value that indicates whether or not the viewer can jump to the previous page in the current Document.
CanIncreaseZoom | a value that indicates whether the Zoom level can be increased.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MaxZoom | the maximum allowable Zoom level for the FlowDocumentReader.
MinZoom | the minimum allowable Zoom level for the FlowDocumentReader.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PageCount | the total number of pages in the current Document.
PageNumber | the page number for the current master page.
Selection | the selected content of the FlowDocumentReader.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewingMode | the viewing mode for the FlowDocumentReader.
Zoom | the current zoom level for the FlowDocumentReader.
ZoomIncrement | the zoom increment.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CanGoToPage | Returns a value that indicates whether or the viewer is able to jump to the specified page number.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Decreases the zoom.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
FirstPage | Jumps to the first page.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoToPage | Jumps to the specified page.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Increases the zoom.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LastPage | Jumps to the last page.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
NextPage | Jumps to the next page.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PreviousPage | Jumps to the previous page.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SwitchViewingMode | Switches the viewing mode.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToggleFindDialog | Toggles the Find dialog.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFlowDocumentScrollViewer Class

Description

Represents a control for viewing flow content in a continuous scrolling mode.

Inheritance Hierarchy

  • WPFControl
    • WPFFlowDocumentScrollViewer

Syntax

C#
public class WPFFlowDocumentScrollViewer : WPFControl
VB
'Declaration
Public Class WPFFlowDocumentScrollViewer _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanDecreaseZoom | a value that indicates whether the Zoom level can be decreased.
CanIncreaseZoom | a value that indicates whether the Zoom level can be increased.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MaxZoom | the maximum allowable Zoom level for the FlowDocumentScrollViewer.
MinZoom | the minimum allowable Zoom level for the FlowDocumentScrollViewer.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Selection | the selected content of the FlowDocumentScrollViewer.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Zoom | the current zoom level for the FlowDocumentScrollViewer.
ZoomIncrement | the zoom increment.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseZoom | Decreases the zoom.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseZoom | Increases the zoom.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
ToggleFindDialog | Toggles the Find dialog.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFrame Class

Description

Represents the base class for all Frame controls.

Inheritance Hierarchy

  • WPFContentControl
    • WPFFrame

Syntax

C#
public class WPFFrame : WPFContentControl
VB
'Declaration
Public Class WPFFrame _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanGoBack | a value that indicates whether there is at least one entry in back navigation history.
CanGoForward | a value that indicates whether there is at least one entry in forward navigation history.
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Source | the uniform resource identifier (URI) of the current content.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoBack | Navigates to the most recent item in back navigation history.
GoForward | Navigates to the most recent item in forward navigation history.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Navigate | Navigates asynchronously to the specified source content.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Refresh | Reloads the current content.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
StopLoading | Stops further downloading of content for the current navigation request.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFrameworkContentElement Class

Description

Base class for all FrameworkContentElement derived classes. This class does not add any properties or methods.

Inheritance Hierarchy

  • WPFBase
    • WPFFrameworkContentElement
      • WPFHyperlink

Syntax

C#
public class WPFFrameworkContentElement : WPFBase
VB
'Declaration
Public Class WPFFrameworkContentElement _
Inherits WPFBase

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFFrameworkElement Class

Description

Provides a set of properties and methods for FrameworkElement derived classes.

Inheritance Hierarchy

  • WPFBase
    • WPFFrameworkElement
      • WPFControl
      • WPFImage
      • WPFMediaElement
      • WPFPage
      • WPFPopup
      • WPFTextBlock
      • WPFTickBar
      • WPFToolBarTray
      • WPFTrack
      • WPFViewport3D

Syntax

C#
public class WPFFrameworkElement : WPFBase, IWPFScrollable
VB
'Declaration
Public Class WPFFrameworkElement _
Inherits WPFBase _
Implements IWPFScrollable

Properties

Name | Description
ActualHeight | the rendered height of this element.
ActualWidth | the rendered width of this element.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual.
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFGridSplitter Class

Description

Represents the control that redistributes space between columns or rows of a Grid control.

Inheritance Hierarchy

  • WPFThumb
    • WPFGridSplitter

Syntax

C#
public class WPFGridSplitter : WPFThumb
VB
'Declaration
Public Class WPFGridSplitter _
Inherits WPFThumb

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Cancels the drag operation. (Inherited from WPFThumb)
DragComplete | Completes the drag operation. (Inherited from WPFThumb)
DragDelta | The delta of the current drag operation. (Inherited from WPFThumb)
DragStart | Starts a drag operation. (Inherited from WPFThumb)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFGroupBox Class

Description

Represents a control that creates a container that has a border and a header.

Inheritance Hierarchy

  • WPFHeaderedContentControl
    • WPFGroupBox

Syntax

C#
public class WPFGroupBox : WPFHeaderedContentControl
VB
'Declaration
Public Class WPFGroupBox _
Inherits WPFHeaderedContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFHeaderedContentControl Class

Description

Provides the base implementation for all controls that contain single content and have a header.

Inheritance Hierarchy

  • WPFContentControl
    • WPFHeaderedContentControl
      • WPFExpander
      • WPFGroupBox
      • WPFTabItem

Syntax

C#
public class WPFHeaderedContentControl : WPFContentControl
VB
'Declaration
Public Class WPFHeaderedContentControl _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFHeaderedItemsControl Class

Description

Represents the base class for user interface (UI) elements that use a ControlTemplate to define their appearance.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFHeaderedItemsControl
      • WPFMenuItem
      • WPFToolBar
      • WPFTreeViewItem

Syntax

C#
public class WPFHeaderedItemsControl : WPFItemsControl
VB
'Declaration
Public Class WPFHeaderedItemsControl _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFHyperlink Class

Description

Represents Hyperlinks that can be embedded as child controls or inside text.

Inheritance Hierarchy

  • WPFFrameworkContentElement
    • WPFHyperlink

Syntax

C#
public class WPFHyperlink : WPFFrameworkContentElement
VB
'Declaration
Public Class WPFHyperlink _
Inherits WPFFrameworkContentElement

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
NavigateUri | a URI to navigate to when the Hyperlink is activated.
TargetName | the name of a target window or frame for the Hyperlink.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Navigate | Performs a click on the Hyperlink.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFImage Class

Description

Represents a control that displays an image.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFImage

Syntax

C#
public class WPFImage : WPFFrameworkElement
VB
'Declaration
Public Class WPFImage _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFItemsControl Class

Description

Represents a control that can be used to present a collection of items.

Inheritance Hierarchy

  • WPFControl
    • WPFItemsControl
      • WPFHeaderedItemsControl
      • WPFMenuBase
      • WPFSelector
      • WPFStatusBar
      • WPFTreeView

Syntax

C#
public class WPFItemsControl : WPFControl
VB
'Declaration
Public Class WPFItemsControl _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance.
Items | a complete list of items.
ItemTexts | a complete list of item texts.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFLabel Class

Description

Represents the text label for a control.

Inheritance Hierarchy

  • WPFContentControl
    • WPFLabel

Syntax

C#
public class WPFLabel : WPFContentControl
VB
'Declaration
Public Class WPFLabel _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListBox Class

Description

Contains a list of selectable items.

Inheritance Hierarchy

  • WPFSelector
    • WPFListBox
      • WPFListView

Syntax

C#
public class WPFListBox : WPFSelector
VB
'Declaration
Public Class WPFListBox _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the currently selected items. A complete list of items can be retrieved with the "Items" property.
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | a list of string containing the text of every currently selected item.
SelectionMode | the selection behavior for a ListBox.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DeselectAll | Clears the selections in multi-select ListBox.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls an item into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectAll | Selects all the items in the ListBox.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListBoxItem Class

Description

Represents a selectable item in a ListBox.

Inheritance Hierarchy

  • WPFContentControl
    • WPFListBoxItem
      • WPFComboBoxItem
      • WPFListViewItem

Syntax

C#
public class WPFListBoxItem : WPFContentControl
VB
'Declaration
Public Class WPFListBoxItem _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether a ListBoxItem is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the ListBoxItem.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the item into the view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the ListBoxItem.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListView Class

Description

Represents a control that displays a list of data items. The ListView can have a table-like style.

Inheritance Hierarchy

  • WPFListBox
    • WPFListView

Syntax

C#
public class WPFListView : WPFListBox
VB
'Declaration
Public Class WPFListView _
Inherits WPFListBox

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ColumnHeaders | the header columns.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the currently selected items. A complete list of items can be retrieved with the "Items" property. (Inherited from WPFListBox)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | a list of string containing the text of every currently selected item. (Inherited from WPFListBox)
SelectionMode | the selection behavior for a ListBox. (Inherited from WPFListBox)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DeselectAll | Clears the selections in multi-select ListBox. (Inherited from WPFListBox)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls an item into view. (Inherited from WPFListBox)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectAll | Selects all the items in the ListBox. (Inherited from WPFListBox)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFListViewItem Class

Description

Represents an item in a ListView control.

Inheritance Hierarchy

  • WPFListBoxItem
    • WPFListViewItem

Syntax

C#
public class WPFListViewItem : WPFListBoxItem
VB
'Declaration
Public Class WPFListViewItem _
Inherits WPFListBoxItem

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether a ListBoxItem is selected. (Inherited from WPFListBoxItem)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the ListBoxItem. (Inherited from WPFListBoxItem)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the item into the view. (Inherited from WPFListBoxItem)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the ListBoxItem. (Inherited from WPFListBoxItem)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMediaElement Class

Description

Represents a control that contains audio and/or video.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFMediaElement

Syntax

C#
public class WPFMediaElement : WPFFrameworkElement
VB
'Declaration
Public Class WPFMediaElement _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Balance | a ratio of volume across speakers
CanPause | a value indicating whether the media can be paused.
HasAudio | a value indicating whether the media has audio.
HasVideo | a value indicating whether the media has video.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsMediaLoaded | a value indicating the content is loaded.
IsMuted | a value indicating whether the audio is muted.
Length | the natural duration of the media in seconds.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Position | the current position of progress through the media's playback time in seconds.
SpeedRatio | the speed ratio of the media.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Volume | the media's volume.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Pause | Pauses media at the current position. This method has an effect only if the LoadedBehavior property is set to Manual.
Play | Plays media from the current position. This method has an effect only if the LoadedBehavior property is set to Manual.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Stop | Stops and resets media to be played from the beginning. This method has an effect only if the LoadedBehavior property is set to Manual.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMenu Class

Description

Represents a Windows menu control that enables you to hierarchically organize elements associated with commands and event handlers.

Inheritance Hierarchy

  • WPFMenuBase
    • WPFMenu

Syntax

C#
public class WPFMenu : WPFMenuBase
VB
'Declaration
Public Class WPFMenu _
Inherits WPFMenuBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsMainMenu | a value that indicates whether this Menu receives a main menu activation notification.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item (Inherited from WPFMenuBase)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a menu item (Inherited from WPFMenuBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item (Inherited from WPFMenuBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMenuBase Class

Description

Represents a control that defines choices for users to select.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFMenuBase
      • WPFContextMenu
      • WPFMenu

Syntax

C#
public class WPFMenuBase : WPFItemsControl
VB
'Declaration
Public Class WPFMenuBase _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks a menu item
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a menu item
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks a menu item
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMenuItem Class

Description

Represents a selectable item inside a Menu.

Inheritance Hierarchy

  • WPFHeaderedItemsControl
    • WPFMenuItem

Syntax

C#
public class WPFMenuItem : WPFHeaderedItemsControl
VB
'Declaration
Public Class WPFMenuItem _
Inherits WPFHeaderedItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
HasSubmenu | whether a menu item has a submenu.
IsChecked | a value that indicates whether the MenuItem is checked.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsPressed | a value that indicates whether a MenuItem is pressed.
IsSubmenuOpen | a value that indicates whether the submenu of the MenuItem is open.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Role | a value that indicates the role of a MenuItem.
StaysOpenOnClick | a value that indicates that the submenu in which this MenuItem is located should not close when this item is clicked.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the menu item.
Click | Clicks on the object. (Inherited from IClickable)
CloseSubmenu | Closes the submenu if available.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
OpenSubmenu | Opens the submenu if available.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the menu item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the menu item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFMultiSelector Class

Description

Provides an abstract class for controls that allow multiple items to be selected.

Inheritance Hierarchy

  • WPFSelector
    • WPFMultiSelector
      • WPFDataGrid
      • WPFToolkitDataGrid

Syntax

C#
public class WPFMultiSelector : WPFSelector
VB
'Declaration
Public Class WPFMultiSelector _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the items in the MultiSelector that are selected.
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | the text of the items in the MultiSelector that are selected.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFNavigationWindow Class

Description

Represents a window that supports content navigation.

Inheritance Hierarchy

  • WPFWindow
    • WPFNavigationWindow

Syntax

C#
public class WPFNavigationWindow : WPFWindow
VB
'Declaration
Public Class WPFNavigationWindow _
Inherits WPFWindow

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
CanGoBack | a value that indicates whether there is at least one entry in back navigation history.
CanGoForward | a value that indicates whether there is at least one entry in forward navigation history.
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Source | the uniform resource identifier (URI) of the current content.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
Title | a window's title. (Inherited from WPFWindow)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
Activate | Attempts to bring the window to the foreground and activates it. (Inherited from WPFWindow)
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
GoBack | Navigates to the most recent item in back navigation history.
GoForward | Navigates to the most recent item in forward navigation history.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LoadAssembly | Loads the assembly on the specified path in the WPF application. (Inherited from WPFWindow)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
Navigate | Navigates asynchronously to the specified source content.
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Refresh | Reloads the current content.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
StopLoading | Stops further downloading of content for the current navigation request.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFPage Class

Description

Encapsulates a page of content that can be navigated to and hosted by Windows Internet Explorer, NavigationWindow, and Frame.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFPage

Syntax

C#
public class WPFPage : WPFFrameworkElement
VB
'Declaration
Public Class WPFPage _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
Title | the title of the Page.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFPasswordBox Class

Description

Represents a PasswordBox control.

Inheritance Hierarchy

  • WPFControl
    • WPFPasswordBox

Syntax

C#
public class WPFPasswordBox : WPFControl
VB
'Declaration
Public Class WPFPasswordBox _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
MaxLength | the maximum length for passwords to be handled by this PasswordBox.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
PasswordChar | the masking character for the PasswordBox.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears the value of the Password property.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the clipboard over the current selection in the text editing control.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectAll | Selects the entire contents of the PasswordBox.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFPopup Class

Description

Represents a pop-up window that has content.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFPopup

Syntax

C#
public class WPFPopup : WPFFrameworkElement
VB
'Declaration
Public Class WPFPopup _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
StaysOpen | a value that indicates whether the Popup control closes when the control is no longer in focus.
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the pop-up window.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFProgressBar Class

Description

Represents a ProgressBar control.

Inheritance Hierarchy

  • WPFRangeBase
    • WPFProgressBar

Syntax

C#
public class WPFProgressBar : WPFRangeBase
VB
'Declaration
Public Class WPFProgressBar _
Inherits WPFRangeBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
Maximum | the highest possible value of the range element. (Inherited from WPFRangeBase)
Minimum | the minimum possible value of the range element. (Inherited from WPFRangeBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SmallChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRadioButton Class

Description

Represents a radio button.

Inheritance Hierarchy

  • WPFToggleButton
    • WPFRadioButton

Syntax

C#
public class WPFRadioButton : WPFToggleButton
VB
'Declaration
Public Class WPFRadioButton _
Inherits WPFToggleButton

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
GroupName | the group name of this radio button.
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsChecked | whether the button is checked. (Inherited from WPFToggleButton)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsThreeState | whether the control supports two or three states. (Inherited from WPFToggleButton)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
State | the state of the button. (Inherited from WPFToggleButton)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the button. (Inherited from WPFToggleButton)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the button to the indeterminate state. (Inherited from WPFToggleButton)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the button. (Inherited from WPFToggleButton)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRangeBase Class

Description

Represents an element that has a value within a specific range.

Inheritance Hierarchy

  • WPFControl
    • WPFRangeBase
      • WPFProgressBar
      • WPFScrollBar
      • WPFSlider

Syntax

C#
public class WPFRangeBase : WPFControl
VB
'Declaration
Public Class WPFRangeBase _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control.
Maximum | the highest possible value of the range element.
Minimum | the minimum possible value of the range element.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SmallChange | a value to be added to or subtracted from the value of a RangeBase control.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRepeatButton Class

Description

Represents a control that raises its selection event repeatedly from the time it is pressed until it is released.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFRepeatButton

Syntax

C#
public class WPFRepeatButton : WPFButtonBase
VB
'Declaration
Public Class WPFRepeatButton _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
Delay | the amount of time, in milliseconds, the RepeatButton waits while it is pressed before it starts repeating.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
Interval | the amount of time, in milliseconds, between repeats once repeating starts.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFRichTextBox Class

Description

Represents a RichTextBox control.

Inheritance Hierarchy

  • WPFTextBoxBase
    • WPFRichTextBox

Syntax

C#
public class WPFRichTextBox : WPFTextBoxBase
VB
'Declaration
Public Class WPFRichTextBox _
Inherits WPFTextBoxBase

Properties

Name | Description
AcceptsReturn | a value that indicates how the text editing control responds when the user presses the ENTER key. (Inherited from WPFTextBoxBase)
AcceptsTab | a value that indicates how the text editing control responds when the user presses the TAB key. (Inherited from WPFTextBoxBase)
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
AutoWordSelection | a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected. (Inherited from WPFTextBoxBase)
CanRedo | a value that indicates whether the most recent undo action can be redone. (Inherited from WPFTextBoxBase)
CanUndo | a value that indicates whether the most recent action can be undone. (Inherited from WPFTextBoxBase)
CaretIndex | the insertion position index of the caret.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalScrollBarVisibility | a value that indicates whether a horizontal scroll bar is shown. (Inherited from WPFTextBoxBase)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the text editing control is read-only to a user interacting with the control. (Inherited from WPFTextBoxBase)
IsSpellCheckEnabled | whether spell checking is enabled. (Inherited from WPFTextBoxBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsUndoEnabled | a value that indicates whether undo support is enabled for the text-editing control. (Inherited from WPFTextBoxBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedText | the content of the current selection in the text box. Getting this property returns a string copy of the current. Setting this property replaces the current selection with the specified string.
SelectionLength | a value indicating the number of characters in the current selection in the text box.
SelectionStart | a character index for the beginning of the current selection.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollBarVisibility | a value that indicates whether a vertical scroll bar is shown. (Inherited from WPFTextBoxBase)

Methods

Name | Description
AppendText | Appends a string to the contents of a text control. (Inherited from WPFTextBoxBase)
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears all the content from the RichTextBox.
Click | Clicks on the object. (Inherited from IClickable)
Copy | Copies the current selection of the text editing control to the Clipboard. (Inherited from WPFTextBoxBase)
Cut | Removes the current selection from the text editing control and copies it to the Clipboard. (Inherited from WPFTextBoxBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the Clipboard over the current selection in the text editing control. (Inherited from WPFTextBoxBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Redo | Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text in the text box.
SelectAll | Selects the entire contents of the text editing control. (Inherited from WPFTextBoxBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Undo | Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFScrollBar Class

Description

Represents a control that provides a scroll bar that has a sliding Thumb whose position corresponds to a value.

Inheritance Hierarchy

  • WPFRangeBase
    • WPFScrollBar

Syntax

C#
public class WPFScrollBar : WPFRangeBase
VB
'Declaration
Public Class WPFScrollBar _
Inherits WPFRangeBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
Maximum | the highest possible value of the range element. (Inherited from WPFRangeBase)
Minimum | the minimum possible value of the range element. (Inherited from WPFRangeBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | whether the ScrollBar is displayed horizontally or vertically.
SmallChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewportSize | the amount of the scrollable content that is currently visible. This is a dependency property.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value of the ScrollBar.
SetValueToMaximum | Sets the ScrollBar to maximum.
SetValueToMinimum | Sets the ScrollBar to minimum.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFScrollViewer Class

Description

Represents a scrollable area that can contain other visible elements.

Inheritance Hierarchy

  • WPFContentControl
    • WPFScrollViewer

Syntax

C#
public class WPFScrollViewer : WPFContentControl
VB
'Declaration
Public Class WPFScrollViewer _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFSelector Class

Description

Represents a control that allows a user to select items from among its child elements.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFSelector
      • WPFComboBox
      • WPFListBox
      • WPFMultiSelector
      • WPFTabControl

Syntax

C#
public class WPFSelector : WPFItemsControl
VB
'Declaration
Public Class WPFSelector _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty.
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty.
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFSlider Class

Description

Represents a control that lets the user select from a range of values by moving a Thumb control along a Track.

Inheritance Hierarchy

  • WPFRangeBase
    • WPFSlider

Syntax

C#
public class WPFSlider : WPFRangeBase
VB
'Declaration
Public Class WPFSlider _
Inherits WPFRangeBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Delay | the amount of time in milliseconds that a RepeatButton waits, while it is pressed, before a command to move the Thumb executes.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsDirectionReversed | the direction of increasing value.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsMoveToPointEnabled | a value that indicates whether the Thumb of a Slider moves immediately to the location of the mouse click that occurs while the mouse pointer pauses on the Slider track.
IsSelectionRangeEnabled | a value that indicates whether the Slider displays a selection range along the Slider.
IsSnapToTickEnabled | a value that indicates whether the Slider automatically moves the Thumb to the closest tick mark.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
LargeChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
Maximum | the highest possible value of the range element. (Inherited from WPFRangeBase)
Minimum | the minimum possible value of the range element. (Inherited from WPFRangeBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | whether the Slider is displayed horizontally or vertically.
SelectionEnd | the largest value of a specified selection for a Slider.
SelectionStart | the smallest value of a specified selection for a Slider.
SmallChange | a value to be added to or subtracted from the value of a RangeBase control. (Inherited from WPFRangeBase)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
TickFrequency | the interval between tick marks.
TickPlacement | the position of tick marks with respect to the Track of the Slider.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DecreaseLarge | Decreases the value of the Slider by a large amount.
DecreaseSmall | Decreases the value of the Slider by a small amount.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
IncreaseLarge | Increases the value of the Slider by a large amount.
IncreaseSmall | Increases the value of the Slider by a small amount.
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetValue | Sets the value of the Slider.
SetValueToMaximum | Sets the Slider to the maximum position.
SetValueToMinimum | Sets the Slider to the minimum position.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFStatusBar Class

Description

Represents a control that displays items and information in a horizontal bar in an application window.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFStatusBar

Syntax

C#
public class WPFStatusBar : WPFItemsControl
VB
'Declaration
Public Class WPFStatusBar _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFStatusBarItem Class

Description

Represents an item of a StatusBar control.

Inheritance Hierarchy

  • WPFContentControl
    • WPFStatusBarItem

Syntax

C#
public class WPFStatusBarItem : WPFContentControl
VB
'Declaration
Public Class WPFStatusBarItem _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFStickyNoteControl Class

Description

Represents a control that lets users attach typed text or handwritten annotations to documents.

Inheritance Hierarchy

  • WPFControl
    • WPFStickyNoteControl

Syntax

C#
public class WPFStickyNoteControl : WPFControl
VB
'Declaration
Public Class WPFStickyNoteControl _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Author | the name of the author who created the sticky note.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsExpanded | a value indicating whether the StickyNoteControl is expanded.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the sticky note.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the sticky note.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTabControl Class

Description

Represents a control that contains multiple items that share the same space on the screen.

Inheritance Hierarchy

  • WPFSelector
    • WPFTabControl

Syntax

C#
public class WPFTabControl : WPFSelector
VB
'Declaration
Public Class WPFTabControl _
Inherits WPFSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTabItem Class

Description

Represents a selectable item inside a TabControl.

Inheritance Hierarchy

  • WPFHeaderedContentControl
    • WPFTabItem

Syntax

C#
public class WPFTabItem : WPFHeaderedContentControl
VB
'Declaration
Public Class WPFTabItem _
Inherits WPFHeaderedContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether the TabItem is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTextBlock Class

Description

Represents a control with a single piece of content.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFTextBlock

Syntax

C#
public class WPFTextBlock : WPFFrameworkElement
VB
'Declaration
Public Class WPFTextBlock _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock.
FontSize | the top-level font size for the TextBlock.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
TextAlignment | a value that indicates the horizontal alignment of text content.
TextTrimming | the text trimming behavior to employ when content overflows the content area.
TextWrapping | a value that indicates how the TextBlock wraps text.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTextBox Class

Description

Represents a control that can be used to display or edit unformatted text.

Inheritance Hierarchy

  • WPFTextBoxBase
    • WPFTextBox

Syntax

C#
public class WPFTextBox : WPFTextBoxBase
VB
'Declaration
Public Class WPFTextBox _
Inherits WPFTextBoxBase

Properties

Name | Description
AcceptsReturn | a value that indicates how the text editing control responds when the user presses the ENTER key. (Inherited from WPFTextBoxBase)
AcceptsTab | a value that indicates how the text editing control responds when the user presses the TAB key. (Inherited from WPFTextBoxBase)
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
AutoWordSelection | a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected. (Inherited from WPFTextBoxBase)
CanRedo | a value that indicates whether the most recent undo action can be redone. (Inherited from WPFTextBoxBase)
CanUndo | a value that indicates whether the most recent action can be undone. (Inherited from WPFTextBoxBase)
CaretIndex | the insertion position index of the caret.
CharacterCasing | a value that indicates how characters are cased when they are manually entered into the text box.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalScrollBarVisibility | a value that indicates whether a horizontal scroll bar is shown. (Inherited from WPFTextBoxBase)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the text editing control is read-only to a user interacting with the control. (Inherited from WPFTextBoxBase)
IsSpellCheckEnabled | whether spell checking is enabled. (Inherited from WPFTextBoxBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsUndoEnabled | a value that indicates whether undo support is enabled for the text-editing control. (Inherited from WPFTextBoxBase)
LineCount | the total number of lines in the text box.
MaxLength | the maximum number of characters that can be manually entered into the text box.
MaxLines | the maximum number of visible lines.
MinLines | the minimum number of visible lines.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedText | the content of the current selection in the text box. Getting this property returns a string copy of the current text. Setting this property replaces the current selection with the specified string.
SelectionLength | a value that indicates the number of characters in the current selection in the text box.
SelectionStart | a character index for the beginning of the current selection.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
TextAlignment | the horizontal alignment of the contents of the text box.
TextWrapping | a value indicating how the text box should wrap text.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollBarVisibility | a value that indicates whether a vertical scroll bar is shown. (Inherited from WPFTextBoxBase)

Methods

Name | Description
AppendText | Appends a string to the contents of a text control. (Inherited from WPFTextBoxBase)
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Clear | Clears all the content from the text box.
Click | Clicks on the object. (Inherited from IClickable)
Copy | Copies the current selection of the text editing control to the Clipboard. (Inherited from WPFTextBoxBase)
Cut | Removes the current selection from the text editing control and copies it to the Clipboard. (Inherited from WPFTextBoxBase)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCharacterIndexFromLineIndex | Returns the zero-based character index for the first character in the specified line.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFirstVisibleLineIndex | Returns the line index for the first line that is currently visible in the text box.
GetLastVisibleLineIndex | Returns the line index for the last line that is currently visible in the text box.
GetLineIndexFromCharacterIndex | Returns the zero-based line index for the line that contains the specified character index.
GetLineLength | Returns the number of characters in the specified line.
GetLineText | Returns the text that is currently displayed on the specified line.
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the Clipboard over the current selection in the text editing control. (Inherited from WPFTextBoxBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Redo | Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToLine | Scrolls the line at the specified line index into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects a range of text in the text box.
SelectAll | Selects the entire contents of the text editing control. (Inherited from WPFTextBoxBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Undo | Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack. (Inherited from WPFTextBoxBase)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTextBoxBase Class

Description

Represents a control with a single piece of content.

Inheritance Hierarchy

  • WPFControl
    • WPFTextBoxBase
      • WPFRichTextBox
      • WPFTextBox

Syntax

C#
public class WPFTextBoxBase : WPFControl
VB
'Declaration
Public Class WPFTextBoxBase _
Inherits WPFControl

Properties

Name | Description
AcceptsReturn | a value that indicates how the text editing control responds when the user presses the ENTER key.
AcceptsTab | a value that indicates how the text editing control responds when the user presses the TAB key.
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
AutoWordSelection | a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected.
CanRedo | a value that indicates whether the most recent undo action can be redone.
CanUndo | a value that indicates whether the most recent action can be undone.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HorizontalScrollBarVisibility | a value that indicates whether a horizontal scroll bar is shown.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the text editing control is read-only to a user interacting with the control.
IsSpellCheckEnabled | whether spell checking is enabled.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsUndoEnabled | a value that indicates whether undo support is enabled for the text-editing control.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VerticalScrollBarVisibility | a value that indicates whether a vertical scroll bar is shown.

Methods

Name | Description
AppendText | Appends a string to the contents of a text control.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Copy | Copies the current selection of the text editing control to the Clipboard.
Cut | Removes the current selection from the text editing control and copies it to the Clipboard.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
Paste | Pastes the contents of the Clipboard over the current selection in the text editing control.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Redo | Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectAll | Selects the entire contents of the text editing control.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Undo | Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFThumb Class

Description

Represents a control that can be dragged by the user.

Inheritance Hierarchy

  • WPFControl
    • WPFThumb
      • WPFGridSplitter

Syntax

C#
public class WPFThumb : WPFControl
VB
'Declaration
Public Class WPFThumb _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
DragCancel | Cancels the drag operation.
DragComplete | Completes the drag operation.
DragDelta | The delta of the current drag operation.
DragStart | Starts a drag operation.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTickBar Class

Description

Represents a control that draws a set of tick marks for a Slider control.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFTickBar

Syntax

C#
public class WPFTickBar : WPFFrameworkElement
VB
'Declaration
Public Class WPFTickBar _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToggleButton Class

Description

Represents a toggle button.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFToggleButton
      • WPFCheckBox
      • WPFRadioButton

Syntax

C#
public class WPFToggleButton : WPFButtonBase
VB
'Declaration
Public Class WPFToggleButton _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsChecked | whether the button is checked.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsThreeState | whether the control supports two or three states.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
State | the state of the button.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the button.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetIndeterminate | Set the button to the indeterminate state.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the button.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolBar Class

Description

Provides a container for a group of commands or controls.

Inheritance Hierarchy

  • WPFHeaderedItemsControl
    • WPFToolBar

Syntax

C#
public class WPFToolBar : WPFHeaderedItemsControl
VB
'Declaration
Public Class WPFToolBar _
Inherits WPFHeaderedItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
HasOverflowItems | a value that indicates whether the ToolBar has items that are not visible.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsOverflowOpen | a value that indicates whether the ToolBar overflow area is currently visible.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | the orientation of the ToolBar.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CloseOverflowItems | Closes the overflow toolbar items area.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
OpenOverflowItems | Opens the overflow toolbar items area.
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolBarTray Class

Description

Represents the container that handles the layout of a ToolBar.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFToolBarTray

Syntax

C#
public class WPFToolBarTray : WPFFrameworkElement
VB
'Declaration
Public Class WPFToolBarTray _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsLocked | a value that indicates whether a ToolBar can be moved inside a ToolBarTray.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Orientation | the orientation of a ToolBarTray.
Text | The text of the control. (Inherited from TestObject)
ToolBars | the collection of ToolBar elements in the ToolBarTray.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitCalendar Class

Description

Represents a control that enables a user to select a date by using a visual calendar display.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitCalendar

Syntax

C#
public class WPFToolkitCalendar : WPFControl
VB
'Declaration
Public Class WPFToolkitCalendar _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
BlackoutDates | a list of dates that are marked as not selectable.
DisplayDate | the date to display.
DisplayDateEnd | the last date in the date range that is available in the calendar.
DisplayDateStart | the first date that is available in the calendar.
DisplayMode | a value that indicates whether the calendar displays a month, year, or decade.
FirstDayOfWeek | the day that is considered the beginning of the week.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTodayHighlighted | a value that indicates whether the current date is highlighted.
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
SelectedDates | a list of selected dates.
SelectionMode | a value that indicates what kind of selections are allowed.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date and clears the current selection.
SelectDates | Selects the given dates and clears the current selection.
SelectRange | Selects a range of dates.
SetDisplayDate | Sets the date to display.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGrid Class

Description

Represents a control that displays data in a customizable grid.

Inheritance Hierarchy

  • WPFMultiSelector
    • WPFToolkitDataGrid

Syntax

C#
public class WPFToolkitDataGrid : WPFMultiSelector
VB
'Declaration
Public Class WPFToolkitDataGrid _
Inherits WPFMultiSelector

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Columns | a collection that contains all the columns in the data grid.
CurrentCell | the cell that has focus.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the user can edit values in the data grid.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedCell | the selected cells in the data grid.
SelectedCells | the list of cells that are currently selected.
SelectedCellText | the text of the selected cells in the data grid or an empty string if no cell is selected.
SelectedCellTexts | the texts of the selected cells in the data grid or an empty list if no cells are selected.
SelectedIndex | the index of the first item in the current selection or returns negative one (-1) if the selection is empty. (Inherited from WPFSelector)
SelectedItem | the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty. (Inherited from WPFSelector)
SelectedItems | the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectedItemText | the text of the first item in the current selection or returns an empty string if the selection is empty. (Inherited from WPFSelector)
SelectedItemTexts | the text of the items in the MultiSelector that are selected. (Inherited from WPFMultiSelector)
SelectionMode | a value that indicates how rows and cells are selected in the data grid.
SelectionUnit | a value that indicates whether rows, cells, or both can be selected in the data grid.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BeginEdit | Begins to edit the specified cell.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CancelEdit | Cancels the edited cell.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
CommitEdit | Commits the edited cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the specified cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects an item in the ListBox. If the item is not visible, it is scrolled into view. (Inherited from WPFSelector)
SelectCell | Selects the specified cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridCell Class

Description

Represents a cell of a data grid control.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitDataGridCell

Syntax

C#
public class WPFToolkitDataGridCell : WPFControl
VB
'Declaration
Public Class WPFToolkitDataGridCell _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEditing | a value that indicates whether the cell is in edit mode.
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsReadOnly | a value that indicates whether the cell can be put in edit mode.
IsSelected | a value that indicates whether the cell is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the cell.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the cell into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the cell.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridColumnHeader Class

Description

Represents an individual data grid column header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFToolkitDataGridColumnHeader

Syntax

C#
public class WPFToolkitDataGridColumnHeader : WPFButtonBase
VB
'Declaration
Public Class WPFToolkitDataGridColumnHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridRow Class

Description

Represents a data grid row.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitDataGridRow

Syntax

C#
public class WPFToolkitDataGridRow : WPFControl
VB
'Declaration
Public Class WPFToolkitDataGridRow _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Cells | the Cells of the data grid.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsSelected | a value that indicates whether the row is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Deselect | Deselects the row.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollIntoView | Scrolls the row into view.
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the row.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDataGridRowHeader Class

Description

Represents an individual data grid row header.

Inheritance Hierarchy

  • WPFButtonBase
    • WPFToolkitDataGridRowHeader

Syntax

C#
public class WPFToolkitDataGridRowHeader : WPFButtonBase
VB
'Declaration
Public Class WPFToolkitDataGridRowHeader _
Inherits WPFButtonBase

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ClickMode | a value that specifies how the button can be clicked. (Inherited from WPFButtonBase)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the Button. (Inherited from WPFButtonBase)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolkitDatePicker Class

Description

Represents a control that allows the user to select a date.

Inheritance Hierarchy

  • WPFControl
    • WPFToolkitDatePicker

Syntax

C#
public class WPFToolkitDatePicker : WPFControl
VB
'Declaration
Public Class WPFToolkitDatePicker _
Inherits WPFControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedDate | the currently selected date.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearSelection | Clears the selection.
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SelectDate | Selects the given date.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFToolTip Class

Description

Represents a tool tip.

Inheritance Hierarchy

  • WPFContentControl
    • WPFToolTip

Syntax

C#
public class WPFToolTip : WPFContentControl
VB
'Declaration
Public Class WPFToolTip _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTrack Class

Description

Represents a control primitive that handles the positioning and sizing of a Thumb control and two RepeatButton controls that are used to set a Value.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFTrack

Syntax

C#
public class WPFTrack : WPFFrameworkElement
VB
'Declaration
Public Class WPFTrack _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTreeView Class

Description

Represents a control that displays hierarchical data in a tree structure that has items that can expand and collapse.

Inheritance Hierarchy

  • WPFItemsControl
    • WPFTreeView

Syntax

C#
public class WPFTreeView : WPFItemsControl
VB
'Declaration
Public Class WPFTreeView _
Inherits WPFItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
ColumnHeaders | the header columns.
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
SelectedItem | the selected item or returns null (Nothing in Visual Basic) if the selection is empty.
SelectedItemPath | the selected item path or an empty item path if nothing is selected
SelectedItemText | the text of the selected item or an empty string if the selection is empty.
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
VisibleItemPaths | the visible items in the tree as item paths.

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the specified item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the specified item.
ExpandAll | Expands all items in the tree.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the specified item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFTreeViewItem Class

Description

Represents a selectable item in a TreeView control.

Inheritance Hierarchy

  • WPFHeaderedItemsControl
    • WPFTreeViewItem

Syntax

C#
public class WPFTreeViewItem : WPFHeaderedItemsControl
VB
'Declaration
Public Class WPFTreeViewItem _
Inherits WPFHeaderedItemsControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasItems | a value that indicates whether the ItemsControl contains items. (Inherited from WPFItemsControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsExpanded | a value that indicates whether the nested items in a TreeViewItem are expanded or collapsed.
IsSelected | a value that indicates whether a TreeViewItem is selected.
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
IsTextSearchEnabled | a value that indicates whether TextSearch is enabled on the ItemsControl instance. (Inherited from WPFItemsControl)
Items | a complete list of items. (Inherited from WPFItemsControl)
ItemTexts | a complete list of item texts. (Inherited from WPFItemsControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Collapse | Collapses the item.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Expand | Expands the item.
ExpandSubTree | Expands the sub tree under this tree item.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
Select | Selects the item.
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFUserControl Class

Description

Provides a simple way to create a control. For additional information about interacting with a user control, see Custom Controls.

Inheritance Hierarchy

  • WPFContentControl
    • WPFUserControl

Syntax

C#
public class WPFUserControl : WPFContentControl
VB
'Declaration
Public Class WPFUserControl _
Inherits WPFContentControl

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFViewport3D Class

Description

Provides a rendering surface for 3-D visual content.

Inheritance Hierarchy

  • WPFFrameworkElement
    • WPFViewport3D

Syntax

C#
public class WPFViewport3D : WPFFrameworkElement
VB
'Declaration
Public Class WPFViewport3D _
Inherits WPFFrameworkElement

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFVisual3D Class

Description

Provides services and properties common to visual 3-D objects, including hit-testing, coordinate transformation, and bounding box calculations.

Inheritance Hierarchy

  • WPFBase
    • WPFVisual3D

Syntax

C#
public class WPFVisual3D : WPFBase
VB
'Declaration
Public Class WPFVisual3D _
Inherits WPFBase

Properties

Name | Description
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
Text | The text of the control. (Inherited from TestObject)
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)

Methods

Name | Description
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


WPFWindow Class

Description

Provides the ability to create, configure, show, and manage the lifetime of windows and dialog boxes.

Inheritance Hierarchy

  • WPFContentControl
    • WPFWindow
      • WPFNavigationWindow

Syntax

C#
public class WPFWindow : WPFContentControl, IMoveable
VB
'Declaration
Public Class WPFWindow _
Inherits WPFContentControl _
Implements IMoveable

Properties

Name | Description
ActualHeight | the rendered height of this element. (Inherited from WPFFrameworkElement)
ActualWidth | the rendered width of this element. (Inherited from WPFFrameworkElement)
Content | the content of the control. (Inherited from WPFContentControl)
FontFamily | the preferred top-level font family for the TextBlock. (Inherited from WPFControl)
FontSize | the top-level font size for the TextBlock. (Inherited from WPFControl)
HasContent | a value that indicates whether the ContentControl contains content. (Inherited from WPFContentControl)
IsEnabled | a value that indicates whether this element is enabled in the user interface (UI). (Inherited from WPFBase)
IsTabStop | a value that indicates whether a control is included in tab navigation. (Inherited from WPFControl)
Name | the identifying name of the element. (Inherited from WPFFrameworkElement)
TabIndex | a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key. (Inherited from WPFControl)
Text | The text of the control. (Inherited from TestObject)
Title | a window's title.
ToolTip | the tool tip that is displayed for this element in the user interface (UI). (Inherited from WPFBase)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
Activate | Attempts to bring the window to the foreground and activates it.
BringIntoView | Attempts to bring this element into view. (Inherited from WPFBase)
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetMaximumScrollPosition | Retrieves the maximum position of the ScrollViewer. (Inherited from IWPFScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetScrollPosition | Return the position of the ScrollViewer. (Inherited from IWPFScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
LoadAssembly | Loads the assembly on the specified path in the WPF application.
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
OpenContextMenu | Opens a context menu at the specified position. (Inherited from WPFBase)
OpenContextMenuSelect | Opens a context menu and selects a menu item from the context menu (Inherited from WPFBase)
PointFromScreen | Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual. (Inherited from WPFFrameworkElement)
PointToScreen | Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates. (Inherited from WPFFrameworkElement)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
Scroll | Sets the value of the ScrollViewer to a specific scrolldestination. (Inherited from IWPFScrollable)
ScrollToPosition | Sets the position of the ScrollViewer. (Inherited from IWPFScrollable)
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: WPF Class Reference


xBrowser Class Reference

Lists the available classes for testing xBrowser controls.

  • BrowserApplication Class
    Represents the top-level window of a browser application.
  • BrowserObject Class
    Base class for all objects that are contained within a BrowserApplication.
  • BrowserWindow Class
    A browser window is the top-level container for a web page. It exposes the DOM tree through DomElements. E.g. a tab in IE7, an embedded browser control in SWT.
  • DomButton Class
    A DomButton represents all DOM elements that were specified using one of the following tags: <input type='submit'>, <input type='reset'>, <input type='button'> or <button>.
  • DomCheckBox Class
    A DomCheckBox represents all DOM elements that were specified using <input type='checkbox'> tag.
  • DomElement Class
    A DomElement represents any element in the DOM tree.
  • DomEmbeddedElement Class
    A DOM element that was specified by an <embed> or <object> tag.
  • DomForm Class
    A DomForm represents all DOM elements that were specified using the <form> tag. All methods and properties in this class are not supported for mobile Web applications.
  • DomLink Class
    A DomLink represents all DOM elements that were specified using the <a> tag.
  • DomListBox Class
    A DomListBox represents all DOM elements that were specified using the <select> tag.
  • DomRadioButton Class
    A DomRadioButton represents all DOM elements that were specified using <input type='radio'> tag.
  • DomTable Class
    A DomTable represents the <table> tag. All methods and properties in this class are not supported for mobile Web applications.
  • DomTableRow Class
    A DomTableRow represents the <tr> tag. All methods and properties in this class are not supported for mobile Web applications.
  • DomTextField Class
    A DomTextField represents DOM elements that were specified using one of the following tags: <input type='text'>, <input type='password'>, <input type='file'> or <textarea>.
Parent topic: Silk4NET Language Reference
Related concepts
Test Objects for xBrowser
Related reference
xBrowser Class Reference


BrowserApplication Class

Description

Represents the top-level window of a browser application.

Note: BrowserApplication is derived from BaseGuiTestObject and inherits the two scrollbar methods GetHorizontalBar and GetVerticalBar. However, these two methods do not work on a BrowserApplication.

Inheritance Hierarchy

  • Window
    • BrowserApplication

Syntax

C#
public class BrowserApplication : Window
VB
'Declaration
Public Class BrowserApplication _
Inherits Window

Properties

Name | Description
Application | The name of the Application that this Window belongs to. (Inherited from Window)
Background | The background color of the GUI object. (Inherited from GuiTestObject)
Enabled | Whether the GUI object is enabled. (Inherited from GuiTestObject)
Font | The font type of the GUI object. (Inherited from GuiTestObject)
Foreground | The foreground color of the GUI object. (Inherited from GuiTestObject)
NativeHandle | The native window handle for the object. (Inherited from INativeWindow)
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from GuiTestObject)
WindowState | The state of a window. Values include: 1=minimized, 2=maximized, 3=restored (Inherited from IMoveable)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearCache | Clears the browser's cache.
Click | Clicks on the object. (Inherited from IClickable)
Close | Closes the window. (Inherited from IMoveable)
CloseOtherTabs | Closes all tabs except the active one. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. This method closes all other tabs except for the selected one, including the tabs that are not currently visible. This method is not supported for mobile Web applications.
CloseSynchron | Closes the window and waits until the window is closed. (Inherited from IMoveable)
CloseTab | Closes the specified tab. If no tab is specified, the active tab is closed. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be closed. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
ExistsTab | Returns true if the tab exists and false otherwise. This method is not supported for mobile Web applications.
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetActiveTab | Returns the active tab. This method is not supported for mobile Web applications.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCloseWindows | Returns the windows that need to be closed in order so that only the main window of the application is open. (Inherited from IMoveable)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetFocus | Returns the object with the input focus. (Inherited from IMoveable)
GetHorizontalBar | Returns the horizontal scroll bar for this control. (Inherited from IScrollable)
GetNextCloseWindow | Returns the next window that need to be closed in order to close all windows of the application except the main window. (Inherited from IMoveable)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetSelectedTab | Returns the currently selected tab. This method is not supported for mobile Web applications.
GetSelectedTabIndex | Returns the index of the active tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the index relative to the currently visible tabs. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.
GetSelectedTabName | Returns the name of the active tab. This method is not supported for mobile Web applications.
GetTabCount | Returns the number of open tabs. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the number of currently visible tabs. This method is not supported for mobile Web applications.
GetVerticalBar | Returns the vertical scroll bar for this control. (Inherited from IScrollable)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsActive | Returns whether the window is set to active. (Inherited from IMoveable)
IsFocused | Return whether the control has focus. (Inherited from IFocusable)
Maximize | Maximizes the window. (Inherited from IMoveable)
Minimize | Reduces the window to an icon. (Inherited from IMoveable)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Move | Moves the window. (Inherited from IMoveable)
Navigate | Navigate to the specified URL in the currently active tab/window
OpenContextMenu | Opens a context menu at the specified position. (Inherited from BaseGuiTestObject)
OpenTab | Opens a new tab and navigates to the given URL. If no URL is given, the tab navigates to about:blank. This method is not supported for mobile Web applications.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Restore | Restores the window to its previous size. (Inherited from IMoveable)
SelectTab | Selects the specified tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be selected. Index 0 selects the first visible tab. This method is not supported for mobile Web applications.
SetActive | Makes the window active. (Inherited from IMoveable)
SetFocus | Gives focus to the control. (Inherited from IFocusable)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Size | Resizes the window. (Inherited from IMoveable)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


BrowserObject Class

Description

Base class for all objects that are contained within a BrowserApplication.

Inheritance Hierarchy

  • TestObject
    • BrowserObject
      • BrowserWindow
      • DomElement

Syntax

C#
public class BrowserObject : TestObject, IClickable, IKeyable
VB
'Declaration
Public Class BrowserObject _
Inherits TestObject _
Implements IClickable, IKeyable

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
SetFocus | Gives focus to the control.
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


BrowserWindow Class

Description

A browser window is the top-level container for a web page. It exposes the DOM tree through DomElements. E.g. a tab in IE7, an embedded browser control in SWT.

Inheritance Hierarchy

  • BrowserObject
    • BrowserWindow

Syntax

C#
public class BrowserWindow : BrowserObject
VB
'Declaration
Public Class BrowserWindow _
Inherits BrowserObject

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
ViewportHeight | The height of the browser viewport
ViewportName | The name of the viewport that matches the innerWidth and innerHeight of the browser window
ViewportOrientation | The orientation of the browser viewport, this can be portrait or landscape
ViewportWidth | The width of the browser viewport
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
AcceptAlert | Accepts a JavaScript alert by pressing OK.
Back | Goes back in the history.
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
Close | Close a modal browser dialog, a tab of the browser, or the browser itself if it is the last tab (or IE6).
DismissAlert | Dismisses a JavaScript alert.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates JavaScript code within the top-level document context.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
Forward | Goes forward in the history.
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetAlertText | Retrieves the message text of a JavaScript alert.
GetBrowserMajorVersion | Returns the browser's major version number.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of the BrowserWindow in HTML pixels. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not affected by changing zoom levels on mobile browsers.
GetPageSource | Returns the page source of the web site
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetUrl | Returns the URL for the main document.
GetUserAgent | Returns the browser's user agent string
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsAlertPresent | Returns true if a JavaScript alert is open
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
Navigate | Navigates the main document to an URL.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
Reload | Reloads the main document as the reload button in the browser does.
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetViewportName | Set the size of the browser window to the specified size from your Browser Size list.
SetViewportSize | Sets the size of the browser window to the specified width and height.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomButton Class

Description

A DomButton represents all DOM elements that were specified using one of the following tags: <input type='submit'>, <input type='reset'>, <input type='button'> or <button>.

Inheritance Hierarchy

  • DomElement
    • DomButton

Syntax

C#
public class DomButton : DomElement
VB
'Declaration
Public Class DomButton _
Inherits DomElement

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Clicks a button.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomCheckBox Class

Description

A DomCheckBox represents all DOM elements that were specified using <input type='checkbox'> tag.

Inheritance Hierarchy

  • DomElement
    • DomCheckBox

Syntax

C#
public class DomCheckBox : DomElement
VB
'Declaration
Public Class DomCheckBox _
Inherits DomElement

Properties

Name | Description
State | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Check | Checks the check box.
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
IsChecked | Returns true if the checkbox is checked and false otherwise.
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Selects the check box
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetUndecided | Sets the check box to the undecided state.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
Toggle | Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Uncheck | Unchecks the check box.
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomElement Class

Description

A DomElement represents any element in the DOM tree.

Inheritance Hierarchy

  • BrowserObject
    • DomElement
      • DomButton
      • DomCheckBox
      • DomEmbeddedElement
      • DomForm
      • DomLink
      • DomListBox
      • DomRadioButton
      • DomTable
      • DomTableRow
      • DomTextField

Syntax

C#
public class DomElement : BrowserObject
VB
'Declaration
Public Class DomElement _
Inherits BrowserObject

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses.
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context.
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name.
GetDomAttribute | Gets the value of an object specific DOM attribute.
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications.
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers.
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element.
Highlight | Highlights a DOM element.
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window.
SetDomAttribute | Sets the value of an object specific DOM attribute.
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomEmbeddedElement Class

Description

A DOM element that was specified by an <embed> or <object> tag.

Inheritance Hierarchy

  • DomElement
    • DomEmbeddedElement

Syntax

C#
public class DomEmbeddedElement : DomElement
VB
'Declaration
Public Class DomEmbeddedElement _
Inherits DomElement

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomForm Class

Description

A DomForm represents all DOM elements that were specified using the <form> tag. All methods and properties in this class are not supported for mobile Web applications.

Inheritance Hierarchy

  • DomElement
    • DomForm

Syntax

C#
public class DomForm : DomElement
VB
'Declaration
Public Class DomForm _
Inherits DomElement

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
Submit | Submits the form.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomLink Class

Description

A DomLink represents all DOM elements that were specified using the <a> tag.

Inheritance Hierarchy

  • DomElement
    • DomLink

Syntax

C#
public class DomLink : DomElement
VB
'Declaration
Public Class DomLink _
Inherits DomElement

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Clicks a link.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomListBox Class

Description

A DomListBox represents all DOM elements that were specified using the <select> tag.

Inheritance Hierarchy

  • DomElement
    • DomListBox

Syntax

C#
public class DomListBox : DomElement
VB
'Declaration
Public Class DomListBox _
Inherits DomElement

Properties

Name | Description
AllowsMultiSelect | whether the control is multiselectable.
ItemCount | the number of items in the listbox.
Items | the list of items in the listbox.
SelectedIndices | The indices of the selected item(s).
SelectedItems | The names of the selected item(s).
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
MultiSelect | Selects a list of items.
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Selects an item.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Unselect | Unselects an item.
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomRadioButton Class

Description

A DomRadioButton represents all DOM elements that were specified using <input type='radio'> tag.

Inheritance Hierarchy

  • DomElement
    • DomRadioButton

Syntax

C#
public class DomRadioButton : DomElement
VB
'Declaration
Public Class DomRadioButton _
Inherits DomElement

Properties

Name | Description
RadioListItemCount | The number of items in the radiolist. This property is not supported for mobile Web applications.
RadioListItems | the list of items in the radio list
RadioListSelectedIndex | The index of the selected item. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications.
RadioListSelectedItem | The item that is selected in the radiolist. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications.
Selected | whether the radio button is selected.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
RadioListSelect | Selects an item in the radio list.
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
Select | Selects the radio button.
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomTable Class

Description

A DomTable represents the <table> tag. All methods and properties in this class are not supported for mobile Web applications.

Inheritance Hierarchy

  • DomElement
    • DomTable

Syntax

C#
public class DomTable : DomElement
VB
'Declaration
Public Class DomTable _
Inherits DomElement

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCell | Returns the specified cell.
GetCellText | Returns the content of a cell element.
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetColumnCount | Number of columns of the table.
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetRow | Returns the DOM element for the specified row.
GetRowCount | Returns the number of rows
GetRows | Returns a list of rows (DomTableRows)
GetRowText | Returns the content of all cell elements of a specified row.
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomTableRow Class

Description

A DomTableRow represents the <tr> tag. All methods and properties in this class are not supported for mobile Web applications.

Inheritance Hierarchy

  • DomElement
    • DomTableRow

Syntax

C#
public class DomTableRow : DomElement
VB
'Declaration
Public Class DomTableRow _
Inherits DomElement

Properties

Name | Description
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetCell | Returns the DOM element in the given cell.
GetCellCount | Returns the number of cells in this table row
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


DomTextField Class

Description

A DomTextField represents DOM elements that were specified using one of the following tags: <input type='text'>, <input type='password'>, <input type='file'> or <textarea>.

Inheritance Hierarchy

  • DomElement
    • DomTextField

Syntax

C#
public class DomTextField : DomElement
VB
'Declaration
Public Class DomTextField _
Inherits DomElement

Properties

Name | Description
IsPassword | whether the text field is a password text field.
Text | The text of the control. (Inherited from TestObject)
Value | The value of the control, e.g.: text in a text control. (Inherited from TestObject)
Visible | Whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay. (Inherited from BrowserObject)

Methods

Name | Description
CaptureBitmap | Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose. (Inherited from TestObject)
ClearText | Clears the textfield's text
Click | Clicks on the object. (Inherited from IClickable)
DomClick | Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses. (Inherited from DomElement)
DomDoubleClick | Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DomMouseMove | Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications. (Inherited from DomElement)
DoubleClick | Double-clicks a mouse button on the object. (Inherited from IClickable)
ExecuteJavaScript | Evaluates the given JavaScript code within the parent document's context. (Inherited from DomElement)
Exists | Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately. (Inherited from TestObject)
Exists | Checks if an object exists in the application under test. (Inherited from TestObject)
Find | Finds an object specified by an XPath locator. (Inherited from TestObject)
FindAll | Finds all objects specified by an XPath locator. (Inherited from TestObject)
GenerateLocator | Returns a locator for this object. (Inherited from TestObject)
GetChildren | Returns the child objects of this object. (Inherited from TestObject)
GetCssStyle | Retrieves the computed CSS style with the specified style name. (Inherited from DomElement)
GetDomAttribute | Gets the value of an object specific DOM attribute. (Inherited from DomElement)
GetDomAttributeList | Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications. (Inherited from DomElement)
GetDynamicMethodList | Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject. (Inherited from TestObject)
GetHtmlRect | Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers. (Inherited from DomElement)
GetParent | Looks up the parent of this object in the test application. (Inherited from TestObject)
GetProperty | Returns the value of the specified property. (Inherited from TestObject)
GetPropertyList | Returns a list of property names that can be retrieved for the given object. (Inherited from TestObject)
GetRect | Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object. (Inherited from TestObject)
GetText | Gets the visible text of a DOM element. (Inherited from DomElement)
Highlight | Highlights a DOM element. (Inherited from DomElement)
HighlightObject | Highlights this object. (Inherited from TestObject)
ImageClick | Clicks on the specified image asset. (Inherited from TestObject)
ImageClickFile | Clicks on the specified image. (Inherited from TestObject)
ImageExists | Returns whether the specified image asset exists. (Inherited from TestObject)
ImageExistsFile | Returns whether the specified image exists. (Inherited from TestObject)
ImageRectangle | Returns the object-relative rectangle of the specified image asset. (Inherited from TestObject)
ImageRectangleFile | Returns the object-relative rectangle of the specified image. (Inherited from TestObject)
Invoke | Dynamically invokes a method on the test object. (Inherited from TestObject)
InvokeMethods | Dynamically invokes a sequence of methods starting at this TestObject. (Inherited from TestObject)
MouseMove | Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
PressKeys | Presses (but does not release) a set of keys or mouse buttons. (Inherited from IKeyable)
PressMouse | Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications. (Inherited from IClickable)
ReleaseKeys | Releases a set of keys or mouse buttons. (Inherited from IKeyable)
ReleaseMouse | Releases a mouse button. This method is not supported for mobile Web applications. (Inherited from IClickable)
ScrollIntoView | Scrolls the DOM element into the visible area of the browser window. (Inherited from DomElement)
SetDomAttribute | Sets the value of an object specific DOM attribute. (Inherited from DomElement)
SetFocus | Gives focus to the control. (Inherited from BrowserObject)
SetProperty | Sets the value of the specified property. (Inherited from TestObject)
SetText | Sets the text.
TextCapture | Returns the text in this object's visible area. (Inherited from TestObject)
TextClick | Clicks in the center of the specified text. (Inherited from TestObject)
TextExists | Returns whether the specified text exists. (Inherited from TestObject)
TextRectangle | Returns the object-relative rectangle of the specified text. (Inherited from TestObject)
TypeKeys | Sends a set of keystrokes to the object. (Inherited from IKeyable)
TypePasswordKeys | Types an encrypted password into an object, for example a text field. (Inherited from IKeyable)
Unhighlight | Restores the original foreground and background colors. (Inherited from DomElement)
Verify | Executes a verification on the given asset in the context of this UI object. (Inherited from TestObject)
WaitForChildDisappearance | Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForDisappearance | Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
WaitForObject | Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts. (Inherited from TestObject)
WaitForProperty | Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached. (Inherited from TestObject)
Parent topic: xBrowser Class Reference


Name Property (KeywordGroupAttribute)

Class

KeywordGroupAttribute.

Action

Gets the name of the keyword group. The default value is an empty string.

Syntax

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

Access

Read only.


Name Property (ArgumentAttribute)

Class

ArgumentAttribute.

Action

Gets the name of the argument.

Syntax

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

Access

Read only.


Description Property (KeywordAttribute)

Class

KeywordAttribute.

Action

Gets the description of the keyword. The default value is an empty string.

Syntax

C#
public String Description { get; }
VB
'Declaration
Public Read Property Description As String

Access

Read only.


Name Property (KeywordAttribute)

Class

KeywordAttribute.

Action

Gets the name of the keyword. The default value is an empty string.

Syntax

C#
public String Name { get; }
VB
'Declaration
Public Read Property Name As String

Access

Read only.


AllowsCheck Property (Table)

Class

Table.

Action

Gets whether the control can display a checkmark.

Syntax

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

Access

Read only.


AllowsCheck Property (Tree)

Class

Tree.

Action

Gets whether the control can display a checkmark.

Syntax

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

Access

Read only.


AllowsMultiSelect Property (ListBox)

Class

ListBox.

Action

Gets whether the control supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


AllowsMultiSelect Property (Table)

Class

Table.

Action

Gets whether the table supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


AllowsMultiSelect Property (Tree)

Class

Tree.

Action

Gets whether the control supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


Application Property (Window)

Class

Window.

Action

Gets the name of the Application that this Window belongs to.

Syntax

C#
protected String Application { get; }
VB
'Declaration
Protected Read Property Application As String

Access

Read only.


Background Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets the background color of the GUI object.

Syntax

C#
protected Color Background { get; set; }
VB
'Declaration
Protected ReadWrite Property Background As Color

Access

Read and write.


CaptureBitmap Method (TestObject)

Class

TestObject.

Action

Saves a bitmap image of this object to a file. If you do not specify an absolute file name, the bitmap is saved to the default bitmap location on the machine that runs the Agent, which is %LOCALAPPDATA%/Silk/SilkTest/capturedBitmaps. The captured bitmap's pixels are stored in 32bit RGB order; when parsing the image the 4th byte (alpha channel) of every pixel must be ignored as it is used only for padding. In .NET, the constant System.Drawing.Imaging.PixelFormat.Format32bppRgb can be used for this purpose.

After capturing the object for the first time the Agent waits the time interval specified with the OPT_BITMAP_MATCH_INTERVAL option, and then recaptures the object, comparing the result against the first capture to ensure that the image is stable.

You set the number of consecutive bitmaps that must match with the OPT_BITMAP_MATCH_COUNT option. If the image is not stable after the time specified with the OPT_BITMAP_MATCH_TIMEOUT option, an BitmapNotStableException is thrown.

Syntax

C#
result = testObject.CaptureBitmap(fileName, [region])
VB
result = testObject.CaptureBitmap(fileName, [region])
Variable | Description
result | The absolute file name of the captured bitmap. String.
fileName | The absolute or relative file name to save the bitmap to. Append .png to the filename to save the bitmap as a PNG. String.
region | Optional: The coordinates for the capture region, relative to this object. Rectangle.


Checked Property (MenuItem)

Class

MenuItem.

Action

Gets or sets whether the menu item is checked.

Syntax

C#
protected Boolean Checked { get; set; }
VB
'Declaration
Protected ReadWrite Property Checked As Boolean

Access

Read and write.


Checked Property (TableRow)

Class

TableRow.

Action

Gets or sets whether the check box in the row is checked.

Syntax

C#
protected Boolean Checked { get; set; }
VB
'Declaration
Protected ReadWrite Property Checked As Boolean

Access

Read and write.


Check Method (CheckBox)

Class

CheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


Check Method (Table)

Class

Table.

Action

Checks the check box in the defined row of a table.

Syntax

C#
table.Check(item)
VB
table.Check(item)
Variable | Description
item | The row in which to check the check box. ItemIdentifier.


Check Method (Tree)

Class

Tree.

Action

Checks the check box.

Syntax

C#
tree.Check(itemPath)
VB
tree.Check(itemPath)
Variable | Description
itemPath | The path of the item to check. ItemPath.


ClearText Method (ComboBox)

Class

ComboBox.

Action

Removes all text from the combo box.

Syntax

C#
comboBox.ClearText()
VB
comboBox.ClearText()


ClearText Method (TextField)

Class

TextField.

Action

Removes all text from the text field.

Syntax

C#
textField.ClearText()
VB
textField.ClearText()


Click Method (IClickable)

Class

IClickable.

Action

Clicks on the object.

Syntax

C#
iClickable.Click([button, pos, modifiers])
VB
iClickable.Click([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to click. Point.
modifiers | Optional: The modifier. ModifierKeys.

Examples

C#

For example, in order to click on a certain position within a control, type the following:
control.Click(MouseButton.Left, new Point(244, 16));
The following example uses the left mouse button to click in the center of the control:
control.Click();

VB

For example, in order to click on a certain position within a control, type the following:
control.Click(MouseButton.Left, New Point(244, 16))
The following example uses the left mouse button to click in the center of the control:
control.Click()


Close Method (IMoveable)

Class

IMoveable.

Action

Closes the window.

Syntax

C#
iMoveable.Close()
VB
iMoveable.Close()


CloseSynchron Method (IMoveable)

Class

IMoveable.

Action

Closes the window and waits until the window is closed.

The method attempts to close the window by trying the following events, in this sequence, stopping when the window closes:
  1. Call the close() method on the window.
  2. If the window is a dialog, type the keys specified in the option OPT_CLOSE_DIALOG_KEYS and wait one second for the dialog to close.
  3. If there is a single button in the window, click that button.
  4. If the closeConfirm parameter is set to true: Click the list of buttons specified with the option OPT_CLOSE_WINDOW_BUTTONS.
  5. Select the menus specified with option OPT_CLOSE_WINDOW_MENUS.
  6. Use Alt+F4.

This method supports several specifications you can make to help the Open Agent closes a window. You can make these specification by use Desktop.setOption(String, Object) to set the appropriate values for the mentioned options. For example, if closing the window opens a confirmation dialog with a button that contains the text "Do not save" use:

desktop.setOption(CommonOptions.OPT_CLOSE_CONFIRM_BUTTONS, Arrays.asList("Do not save"));

Close may fail. For example, if closing a window causes the application to display a message box and closeConfirm is set to false, or if the buttons used to close the message box are not covered under the OPT_CLOSE_CONFIRM_BUTTONS option, the call will fail and raise a CloseFailedException.

Syntax

C#
iMoveable.CloseSynchron([closeConfirm])
VB
iMoveable.CloseSynchron([closeConfirm])
Variable | Description
closeConfirm | Optional: Specifies whether to close confirmation dialogs that may pop up when closing the window, for example a 'Save changes' dialog. Use true to close confirmation dialogs and false to raise an exception if a confirmation dialog pops up. If set to true the value of the option OPT_CLOSE_CONFIRM_BUTTONS is used to determine which button to select in order to close confirmation dialogs. Boolean.


Collapse Method (Tree)

Class

Tree.

Action

Collapses an item in a treeview control.

Syntax

C#
tree.Collapse(itemPath)
VB
tree.Collapse(itemPath)
Variable | Description
itemPath | The path of the item to collapse. ItemPath.


ColumnCount Property (Table)

Class

Table.

Action

Gets the number of columns in the table.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnItems Property (Table)

Class

Table.

Action

Gets a list of all items in the column.

Syntax

C#
protected List(Of TableColumn) ColumnItems { get; }
VB
'Declaration
Protected Read Property ColumnItems As List(Of TableColumn)

Access

Read only.


DoubleClick Method (IClickable)

Class

IClickable.

Action

Double-clicks a mouse button on the object.

Syntax

C#
iClickable.DoubleClick([button, pos, modifiers])
VB
iClickable.DoubleClick([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to click. Point.
modifiers | Optional: The modifier. ModifierKeys.


DoubleSelect Method (ListBox)

Class

ListBox.

Action

Double-clicks an item in the list box.

Syntax

C#
listBox.DoubleSelect(item, [modifiers])
VB
listBox.DoubleSelect(item, [modifiers])
Variable | Description
item | The item to select. ItemIdentifier.
modifiers | Optional: The modifier to click. ModifierKeys.


DoubleSelect Method (Table)

Class

Table.

Action

Double-clicks an item.

Syntax

C#
table.DoubleSelect(row, [column, modifiers])
VB
table.DoubleSelect(row, [column, modifiers])
Variable | Description
row | The row to double-click. ItemIdentifier.
column | Optional: The column to double-click. ItemIdentifier.
modifiers | Optional: The modifier that is used when double-clicking. ModifierKeys.


DoubleSelect Method (Tree)

Class

Tree.

Action

Double-clicks an item.

Syntax

C#
tree.DoubleSelect(itemPath, [modifiers])
VB
tree.DoubleSelect(itemPath, [modifiers])
Variable | Description
itemPath | The item to select. ItemPath.
modifiers | Optional: The modifier to double-click. ModifierKeys.


Enabled Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets whether the GUI object is enabled.

Syntax

C#
protected Boolean Enabled { get; set; }
VB
'Declaration
Protected ReadWrite Property Enabled As Boolean

Access

Read and write.


Exists Method (TestObject)

Class

TestObject.

Action

Checks if any child object matching the locator exists for an object in the application under test. If the timeout parameter is passed the agent retries finding until the given timeout expires. If no timeout is specified and no object is found initially false is returned immediately.

Syntax

C#
result = testObject.Exists(locator, [timeout])
VB
result = testObject.Exists(locator, [timeout])
Variable | Description
result | true if a child object with the given locator is found and false otherwise. Boolean.
locator | The XPath locator of the child object. Example: "//PushButton[@caption='ok']" . String.
timeout | Optional: The timeout in milliseconds. If the initial find operation does not match anything the agent retries to find an object until the timeout expires. Integer.


Expand Method (Tree)

Class

Tree.

Action

Expands an object in a treeview control.

Syntax

C#
tree.Expand(itemPath)
VB
tree.Expand(itemPath)
Variable | Description
itemPath | The path of the item to expand. ItemPath.


ExtendSelect Method (ListBox)

Class

ListBox.

Action

Selects a range of items by extending the selection in the list box.

Syntax

C#
listBox.ExtendSelect(item)
VB
listBox.ExtendSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


ExtendSelectRow Method (Table)

Class

Table.

Action

Selects a range of rows.

Syntax

C#
table.ExtendSelectRow(row, [column])
VB
table.ExtendSelectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


FocusRow Method (Table)

Class

Table.

Action

Focuses on a row in the table.

Syntax

C#
table.FocusRow(row)
VB
table.FocusRow(row)
Variable | Description
row | The row to select. ItemIdentifier.


Font Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets the font type of the GUI object.

Syntax

C#
protected String Font { get; set; }
VB
'Declaration
Protected ReadWrite Property Font As String

Access

Read and write.


Foreground Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets the foreground color of the GUI object.

Syntax

C#
protected Color Foreground { get; set; }
VB
'Declaration
Protected ReadWrite Property Foreground As Color

Access

Read and write.


GenerateLocator Method (TestObject)

Class

TestObject.

Action

Returns a locator for this object.

The locator is created in the same way it is created during recording.

Syntax

C#
result = testObject.GenerateLocator()
VB
result = testObject.GenerateLocator()
Variable | Description
result | String.


GetChildren Method (TestObject)

Class

TestObject.

Action

Returns the child objects of this object.

Syntax

C#
children = testObject.GetChildren()
VB
children = testObject.GetChildren()
Variable | Description
children | List(Of TestObject).


GetCloseWindows Method (IMoveable)

Class

IMoveable.

Action

Returns the windows that need to be closed in order so that only the main window of the application is open.

Syntax

C#
closeWindows = iMoveable.GetCloseWindows()
VB
closeWindows = iMoveable.GetCloseWindows()
Variable | Description
closeWindows | List(Of Moveable).


GetDynamicMethodList Method (TestObject)

Class

TestObject.

Action

Returns a list of methods (including their signature) that can be dynamically invoked on this TestObject.

Syntax

C#
dynamicMethodList = testObject.GetDynamicMethodList()
VB
dynamicMethodList = testObject.GetDynamicMethodList()
Variable | Description
dynamicMethodList | All dynamic methods for this TestObject. List(Of String).


GetFocus Method (IMoveable)

Class

IMoveable.

Action

Returns the object with the input focus.

Syntax

C#
focus = iMoveable.GetFocus()
VB
focus = iMoveable.GetFocus()
Variable | Description
focus | TestObject.


GetHorizontalBar Method (IScrollable)

Class

IScrollable.

Action

Returns the horizontal scroll bar for this control.

Note: BrowserApplication is derived from BaseGuiTestObject and inherits the two scrollbar methods GetHorizontalBar and GetVerticalBar. However, these two methods do not work on a BrowserApplication.

Syntax

C#
horizontalBar = iScrollable.GetHorizontalBar()
VB
horizontalBar = iScrollable.GetHorizontalBar()
Variable | Description
horizontalBar | HorizontalScrollBar.


GetItemCount Method (Menu)

Class

Menu.

Action

Returns the number of menu items for this menu. Also includes separator menu items.

Syntax

C#
itemCount = menu.GetItemCount()
VB
itemCount = menu.GetItemCount()
Variable | Description
itemCount | Integer.


GetItemPaths Method (Tree)

Class

Tree.

Action

The GetItemPaths method is deprecated. Since Silk Test 2011 use the ItemPaths property instead for retrieving all items of a tree.

Returns all items of the tree as a list of itempaths.

Syntax

C#
itemPaths = tree.GetItemPaths()
VB
itemPaths = tree.GetItemPaths()
Variable | Description
itemPaths | List(Of ItemPath ).


GetMultiText Method (TextField)

Class

TextField.

Action

Returns the specified lines of text in the multi-line text field.

Syntax

C#
multiText = textField.GetMultiText([StartLine, numberOfLines])
VB
multiText = textField.GetMultiText([StartLine, numberOfLines])
Variable | Description
multiText | List(Of String).
StartLine | Optional: The number of the first line to return. The value is zero-based. Integer.
numberOfLines | Optional: The number of lines to return. Integer.


GetNextCloseWindow Method (IMoveable)

Class

IMoveable.

Action

Returns the next window that need to be closed in order to close all windows of the application except the main window.

Syntax

C#
nextCloseWindow = iMoveable.GetNextCloseWindow()
VB
nextCloseWindow = iMoveable.GetNextCloseWindow()
Variable | Description
nextCloseWindow | Moveable.


GetParent Method (TestObject)

Class

TestObject.

Action

Looks up the parent of this object in the test application.

Syntax

C#
parent = testObject.GetParent()
VB
parent = testObject.GetParent()
Variable | Description
parent | The parent or the desktop if this object has no other parent. TestObject.


GetPropertyList Method (TestObject)

Class

TestObject.

Action

Returns a list of property names that can be retrieved for the given object.

Syntax

C#
propertyList = testObject.GetPropertyList()
VB
propertyList = testObject.GetPropertyList()
Variable | Description
propertyList | List(Of String).

Examples

C#

List<string> propertyList = testObject.GetPropertyList();

VB

Dim propertyList As List(Of String)
propertyList = testObject.GetPropertyList()


GetRect Method (TestObject)

Class

TestObject.

Action

Returns the size and position of this object. Per default the returned coordinates are relative to the parent window that contains this object.

Syntax

C#
rect = testObject.GetRect([absoluteCoordinates])
VB
rect = testObject.GetRect([absoluteCoordinates])
Variable | Description
rect | Rectangle.
absoluteCoordinates | Optional: If true global coordinates are returned (relative to the entire screen), otherwise the returned coordinates are relative to the parent window that contains this object. Boolean.


GetVerticalBar Method (IScrollable)

Class

IScrollable.

Action

Returns the vertical scroll bar for this control.

Note: BrowserApplication is derived from BaseGuiTestObject and inherits the two scrollbar methods GetHorizontalBar and GetVerticalBar. However, these two methods do not work on a BrowserApplication.

Syntax

C#
verticalBar = iScrollable.GetVerticalBar()
VB
verticalBar = iScrollable.GetVerticalBar()
Variable | Description
verticalBar | VerticalScrollBar.


HighlightObject Method (TestObject)

Class

TestObject.

Action

Highlights this object.

Syntax

C#
testObject.HighlightObject([timeout, color])
VB
testObject.HighlightObject([timeout, color])
Variable | Description
timeout | Optional: Specifies a timeout in milliseconds for highlighting the object. If no timeout is specified the object remains highlighted forever or until a different object is highlighted. Integer.
color | Optional: Specifies the color to use for highlighting this object. If no color is specified the default color is used. Color.


InvokeMethods Method (TestObject)

Class

TestObject.

Action

Dynamically invokes a sequence of methods starting at this TestObject.

Each method call except the last one must have a return object. Each return object becomes the target for calling the next method in the list of method names with the next argument list in the list of parameters until the last method call. If the method names, argument lists, or returned objects do not match, a runtime error is generated.

This method is implemented for WPF, Windows Forms, Silverlight, Java SWT and Java Swing.

Syntax

C#
result = testObject.InvokeMethods(names, parameters)
VB
result = testObject.InvokeMethods(names, parameters)
Variable | Description
result | The result of the last method that was invoked. Object.
names | A list of method names in the order that they are to be called. List(Of String).
parameters | A list that contains a list of arguments for every method. Trailing empty argument lists may be omitted. List(Of List(Of Object)).


IsActive Method (IMoveable)

Class

IMoveable.

Action

Returns whether the window is set to active.

Syntax

C#
active = iMoveable.IsActive()
VB
active = iMoveable.IsActive()
Variable | Description
active | Boolean.


IsChecked Method (CheckBox)

Class

CheckBox.

Action

Returns true if the checkbox is checked and false otherwise.

Syntax

C#
checked = checkBox.IsChecked()
VB
checked = checkBox.IsChecked()
Variable | Description
checked | Boolean.


IsExpandable Method (Tree)

Class

Tree.

Action

Checks if the given item can be expanded.

Syntax

C#
expandable = tree.IsExpandable(itemPath)
VB
expandable = tree.IsExpandable(itemPath)
Variable | Description
expandable | Can the item be expanded. Boolean.
itemPath | The path of the item to check if it can be expanded. ItemPath.


IsExpanded Method (Tree)

Class

Tree.

Action

Checks if the given item is expanded.

Syntax

C#
expanded = tree.IsExpanded(itemPath)
VB
expanded = tree.IsExpanded(itemPath)
Variable | Description
expanded | Is the item expanded. Boolean.
itemPath | The path of the item to check if it is expanded. ItemPath.


IsFocused Method (IFocusable)

Class

IFocusable.

Action

Return whether the control has focus.

Syntax

C#
focused = iFocusable.IsFocused()
VB
focused = iFocusable.IsFocused()
Variable | Description
focused | True if this object has the focus. Boolean.


IsPassword Property (TextField)

Class

TextField.

Action

Gets whether the control is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


ItemCount Property (ComboBox)

Class

ComboBox.

Action

Gets the number of items in the combo box list.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (ListBox)

Class

ListBox.

Action

Gets the number of items in the list box.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (RadioList)

Class

RadioList.

Action

Gets the number of items in the radio list.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (TabControl)

Class

TabControl.

Action

Gets the number of items in the tab control.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (TableRow)

Class

TableRow.

Action

Gets the number of items in the row.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (Tree)

Class

Tree.

Action

Gets the number of items in the tree (including all children).

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemPaths Property (Tree)

Class

Tree.

Action

Gets a list of items in the tree (including all children).

Syntax

C#
protected List(Of ItemPath) ItemPaths { get; }
VB
'Declaration
Protected Read Property ItemPaths As List(Of ItemPath)

Access

Read only.


Items Property (ComboBox)

Class

ComboBox.

Action

Gets a list of items in the combo box list.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (ListBox)

Class

ListBox.

Action

Gets a list of items in the list box.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (RadioList)

Class

RadioList.

Action

Gets a list of items in the radio list.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (TabControl)

Class

TabControl.

Action

Gets a list of items in the tab control.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


Items Property (TableRow)

Class

TableRow.

Action

Gets or sets a list of items in the row.

Syntax

C#
protected List(Of String) Items { get; set; }
VB
'Declaration
Protected ReadWrite Property Items As List(Of String)

Access

Read and write.


Items Property (Tree)

Class

Tree.

Action

The Items property is deprecated. Since Silk Test 2011 use the ItemPaths property instead for retrieving all items of a tree.

Gets a list of items in the tree (including all children).

Syntax

C#
protected TreeContent Items { get; }
VB
'Declaration
Protected Read Property Items As TreeContent

Access

Read only.


Maximize Method (IMoveable)

Class

IMoveable.

Action

Maximizes the window.

Syntax

C#
iMoveable.Maximize()
VB
iMoveable.Maximize()


Minimize Method (IMoveable)

Class

IMoveable.

Action

Reduces the window to an icon.

Syntax

C#
iMoveable.Minimize()
VB
iMoveable.Minimize()


MouseMove Method (IClickable)

Class

IClickable.

Action

Moves the pointer to the specified location in the object. This method is not supported for mobile Web applications.

Syntax

C#
iClickable.MouseMove([pos])
VB
iClickable.MouseMove([pos])
Variable | Description
pos | Optional: The coordinates (relative to the window) of the new location. Point.


Move Method (IMoveable)

Class

IMoveable.

Action

Moves the window.

Syntax

C#
iMoveable.Move(pos)
VB
iMoveable.Move(pos)
Variable | Description
pos | The window coordinates. Point.


MultiLine Property (TextField)

Class

TextField.

Action

Gets whether the control is multiline.

Syntax

C#
protected Boolean MultiLine { get; }
VB
'Declaration
Protected Read Property MultiLine As Boolean

Access

Read only.


MultiSelect Method (ListBox)

Class

ListBox.

Action

Selects an item in the multi- or extend-selection list box.

Syntax

C#
listBox.MultiSelect(item)
VB
listBox.MultiSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


MultiSelectRow Method (Table)

Class

Table.

Action

Adds a row from the table to the set of selected rows.

Syntax

C#
table.MultiSelectRow(row, [column])
VB
table.MultiSelectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


MultiUnselect Method (ListBox)

Class

ListBox.

Action

Unselects an item in the multi- or extend-selection list box.

Syntax

C#
listBox.MultiUnselect(item)
VB
listBox.MultiUnselect(item)
Variable | Description
item | The item to select. ItemIdentifier.


MultiUnselectRow Method (Table)

Class

Table.

Action

Removes a row from the set of selected rows.

Syntax

C#
table.MultiUnselectRow(row, [column])
VB
table.MultiUnselectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


NativeHandle Property (INativeWindow)

Class

INativeWindow.

Action

Gets the native window handle for the object.

Syntax

C#
protected Integer NativeHandle { get; }
VB
'Declaration
Protected Read Property NativeHandle As Integer

Access

Read only.


OpenContextMenu Method (BaseGuiTestObject)

Class

BaseGuiTestObject.

Action

Opens a context menu at the specified position.

Syntax

C#
baseGuiTestObject.OpenContextMenu([pos])
VB
baseGuiTestObject.OpenContextMenu([pos])
Variable | Description
pos | Optional: The coordinates to open the context menu relative to the control on which this function is called. Point.


Open Method (DropDownToolItem)

Class

DropDownToolItem.

Action

Opens an item.

Syntax

C#
dropDownToolItem.Open()
VB
dropDownToolItem.Open()


PageDown Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Scrolls the scroll bar page-wise down.

Syntax

C#
verticalScrollBar.PageDown([amount])
VB
verticalScrollBar.PageDown([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


PageLeft Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar page-wise left.

Syntax

C#
horizontalScrollBar.PageLeft([amount])
VB
horizontalScrollBar.PageLeft([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


PageRight Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar page-wise right.

Syntax

C#
horizontalScrollBar.PageRight([amount])
VB
horizontalScrollBar.PageRight([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


PageSize Property (ScrollBar)

Class

ScrollBar.

Action

Gets or sets the internal page size of the scroll bar.

Syntax

C#
protected Integer PageSize { get; set; }
VB
'Declaration
Protected ReadWrite Property PageSize As Integer

Access

Read and write.


PageUp Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Scrolls the scroll bar page-wise up.

Syntax

C#
verticalScrollBar.PageUp([amount])
VB
verticalScrollBar.PageUp([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


Position Property (Scale)

Class

Scale.

Action

Gets or sets the actual position of the scale caret.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Position Property (ScrollBar)

Class

ScrollBar.

Action

Gets or sets the actual position of the scroll bar caret.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Position Property (TextField)

Class

TextField.

Action

Gets or sets the position of the caret within the text field.

Syntax

C#
protected TextPosition Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As TextPosition

Access

Read and write.


Pressed Property (PushButton)

Class

PushButton.

Action

Gets whether the pushbutton is pressed.

Syntax

C#
protected Boolean Pressed { get; }
VB
'Declaration
Protected Read Property Pressed As Boolean

Access

Read only.


PressKeys Method (IKeyable)

Class

IKeyable.

Action

Presses (but does not release) a set of keys or mouse buttons.

PressKeys is not supported for native mobile applications.Valid keystrokes for all browsers except Internet Explorer include:
  • <Alt> (left-side Alt key)
  • <Ctrl> (Left-side Ctrl key)
  • <Shift> (Left-side Shift key)
Valid keystrokes for all other applications and for Internet Explorer include:
  • <#0>-<#9> (numeric keypad numbers 0-9 with Num Lock on)
  • <#Add> (numeric keypad '+')
  • <#Clear> (numeric keypad 5 with Num Lock off)
  • <#Decimal> (the key for the decimal separator on the numeric keypad of most keyboards)
  • <#Delete> (Numeric keypad '.' with Num Lock off)
  • <#Divide> (Numeric keypad '/')
  • <#Down> (numeric keypad 2 with Num Lock off)
  • <#End> (numeric keypad 1 with Num Lock off)
  • <#Enter> (numeric keypad Enter)
  • <#Equal> (numeric keypad equals sign)
  • <#Home> (numeric keypad 7 with Num Lock off)
  • <#Insert> (numeric keypad 0 with Num Lock off)
  • <#Left> (numeric keypad 4 with Num Lock off)
  • <#PgDn> (numeric keypad 3 with Num Lock off)
  • <#PgUp> (numeric keypad 9 with Num Lock off)
  • <#Right> (numeric keypad 6 with Num Lock off)
  • <#Separator> (numeric keypad Separator key)
  • <#Space> (numeric keypad Space key)
  • <#Subtract> (numeric keypad '-')
  • <#Tab> (numeric keypad Tab key)
  • <#Times> (numeric keypad '*')
  • <#Up> (numeric keypad 8 with Num Lock off)
  • <Alt> (left-side Alt key)
  • <Application> (opens a context menu on the last active control)
  • <Backspace> (backspace key)
  • <Break> (Ctrl-Break)
  • <Cancel> (break)
  • <CapsLock> (toggle whether it is currently on or off)
  • <Clear> (Clear key)
  • <Ctrl> (Left-side Ctrl key)
  • <Delete> (Delete key)
  • <Down> (Down arrow)
  • <End> (End key)
  • <Enter> (Enter key)
  • <Esc> (Escape)
  • <Execute> (Execute key)
  • <F1> - <F12> (F1 through F12 function keys)
  • <F13> - <F35> (F13 through F35 function keys)
  • <Greater> '>' key (which the agent would otherwise interpret as a right angle bracket)
  • <Help> (Help key)
  • <Home> (Home key)
  • <Insert> (Insert key)
  • <Left> (Left arrow)
  • <Left Alt> (Alt key)
  • <Left Ctrl> (Ctrl key)
  • <Left Shift> (Shift key)
  • <LeftWin> (Windows Start menu key)
  • <Less> '<' key (which the agent would otherwise interpret as left angle bracket)
  • <Menu> (Menu key)
  • <Mode> (Mode key)
  • <Pause> (Pause)
  • <PgDn> (PgDn or Page Down)
  • <PgUp> (PgUp or Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo key)
  • <Right> (Right arrow)
  • <Right Alt> (Alt key)
  • <Right Ctrl> (Ctrl key)
  • <RightOption> (Option key)
  • <Right Shift> (Shift key)
  • <RightWin> (Windows Start menu key)
  • <ScrollLock> (typed whether it is currently on or off)
  • <Shift> (Left-side Shift key)
  • <Space> (Space bar)
  • <Tab> (Tab)
  • <Undo> (Undo key)
  • <Up> (Up arrow).
Examples: '<F4>', '<Left Shift>', '<Right Alt>', '<Left Ctrl>', '<Delete>', '<Backspace>'.Note: '<' or '>' needs to be written as '<LessThan>' or '<GreaterThan>'.

Syntax

C#
iKeyable.PressKeys(keys, [ensureFocus])
VB
iKeyable.PressKeys(keys, [ensureFocus])
Variable | Description
keys | The keys to type or mouse buttons to press. String.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.


PressMouse Method (IClickable)

Class

IClickable.

Action

Presses (but does not release) a mouse button in the object. This method is not supported for mobile Web applications.

Syntax

C#
iClickable.PressMouse([button, pos, modifiers])
VB
iClickable.PressMouse([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to press the mouse. Point.
modifiers | Optional: The modifier. ModifierKeys.


Range Property (Scale)

Class

Scale.

Action

Gets or sets the range of the scale.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Range Property (ScrollBar)

Class

ScrollBar.

Action

Gets or sets the range of the scroll bar.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


ReleaseKeys Method (IKeyable)

Class

IKeyable.

Action

Releases a set of keys or mouse buttons.

ReleaseKeys is not supported for native mobile applications.Valid keystrokes for all browsers except Internet Explorer include:
  • <Alt> (left-side Alt key)
  • <Ctrl> (Left-side Ctrl key)
  • <Shift> (Left-side Shift key)
Valid keystrokes for all other applications and for Internet Explorer include:
  • <#0>-<#9> (numeric keypad numbers 0-9 with Num Lock on)
  • <#Add> (numeric keypad '+')
  • <#Clear> (numeric keypad 5 with Num Lock off)
  • <#Decimal> (the key for the decimal separator on the numeric keypad of most keyboards)
  • <#Delete> (Numeric keypad '.' with Num Lock off)
  • <#Divide> (Numeric keypad '/')
  • <#Down> (numeric keypad 2 with Num Lock off)
  • <#End> (numeric keypad 1 with Num Lock off)
  • <#Enter> (numeric keypad Enter)
  • <#Equal> (numeric keypad equals sign)
  • <#Home> (numeric keypad 7 with Num Lock off)
  • <#Insert> (numeric keypad 0 with Num Lock off)
  • <#Left> (numeric keypad 4 with Num Lock off)
  • <#PgDn> (numeric keypad 3 with Num Lock off)
  • <#PgUp> (numeric keypad 9 with Num Lock off)
  • <#Right> (numeric keypad 6 with Num Lock off)
  • <#Separator> (numeric keypad Separator key)
  • <#Space> (numeric keypad Space key)
  • <#Subtract> (numeric keypad '-')
  • <#Tab> (numeric keypad Tab key)
  • <#Times> (numeric keypad '*')
  • <#Up> (numeric keypad 8 with Num Lock off)
  • <Alt> (left-side Alt key)
  • <Application> (opens a context menu on the last active control)
  • <Backspace> (backspace key)
  • <Break> (Ctrl-Break)
  • <Cancel> (break)
  • <CapsLock> (toggle whether it is currently on or off)
  • <Clear> (Clear key)
  • <Ctrl> (Left-side Ctrl key)
  • <Delete> (Delete key)
  • <Down> (Down arrow)
  • <End> (End key)
  • <Enter> (Enter key)
  • <Esc> (Escape)
  • <Execute> (Execute key)
  • <F1> - <F12> (F1 through F12 function keys)
  • <F13 - <F35> (F13 through F35 function keys)
  • <Greater> '>' key (which the agent would otherwise interpret as a right angle bracket)
  • <Help> (Help key)
  • <Home> (Home key)
  • <Insert> (Insert key)
  • <Left> (Left arrow)
  • <Left Alt> (Alt key)
  • <Left Ctrl> (Ctrl key)
  • <Left Shift> (Shift key)
  • <LeftWin> (Windows Start menu key)
  • <Less> '<' key (which the agent would otherwise interpret as left angle bracket)
  • <Menu> (Menu key)
  • <Mode> (Mode key)
  • <Pause> (Pause)
  • <PgDn> (PgDn or Page Down)
  • <PgUp> (PgUp or Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo key)
  • <Right> (Right arrow)
  • <Right Alt> (Alt key)
  • <Right Ctrl> (Ctrl key)
  • <RightOption> (Option key)
  • <Right Shift> (Shift key)
  • <RightWin> (Windows Start menu key)
  • <ScrollLock> (typed whether it is currently on or off)
  • <Shift> (Left-side Shift key)
  • <Space> (Space bar)
  • <Tab> (Tab)
  • <Undo> (Undo key)
  • <Up> (Up arrow).
Examples: 'a', 'ab', 'a<Enter>', '<F4>', '<Left Shift>', '<Right Alt>', '<Left Ctrl>', '<Delete>', '<Backspace>'.Notes:
  • The underlying technology may not support all keys for this method, e.g. WebDriver-based browsers only support <Ctrl>, <Alt> and <Shift>.
  • '<' or '>' needs to be written as '<LessThan>' or '<GreaterThan>'.

Syntax

C#
iKeyable.ReleaseKeys(keys, [ensureFocus])
VB
iKeyable.ReleaseKeys(keys, [ensureFocus])
Variable | Description
keys | The keys or mouse buttons to release. String.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.


ReleaseMouse Method (IClickable)

Class

IClickable.

Action

Releases a mouse button. This method is not supported for mobile Web applications.

Syntax

C#
iClickable.ReleaseMouse([button, pos, modifiers])
VB
iClickable.ReleaseMouse([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the object) at which to release the mouse. Point.
modifiers | Optional: The modifier. ModifierKeys.


Resize Method (TableColumn)

Class

TableColumn.

Action

Resizes a column.

Syntax

C#
tableColumn.Resize(width)
VB
tableColumn.Resize(width)
Variable | Description
width | The new width of the column, in pixels. Integer.


Restore Method (IMoveable)

Class

IMoveable.

Action

Restores the window to its previous size.

Syntax

C#
iMoveable.Restore()
VB
iMoveable.Restore()


RowCount Property (Table)

Class

Table.

Action

Gets the number of rows in the table.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowItems Property (Table)

Class

Table.

Action

Gets a list of all table rows in the table.

Syntax

C#
protected List(Of TableRow) RowItems { get; }
VB
'Declaration
Protected Read Property RowItems As List(Of TableRow)

Access

Read only.


ScrollDown Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Moves the scroll bar down.

Syntax

C#
verticalScrollBar.ScrollDown([amount])
VB
verticalScrollBar.ScrollDown([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


ScrollLeft Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar to the left.

Syntax

C#
horizontalScrollBar.ScrollLeft([amount])
VB
horizontalScrollBar.ScrollLeft([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


Scroll Method (ScrollBar)

Class

ScrollBar.

Action

Scrolls the scroll bar.

Syntax

C#
scrollBar.Scroll(position)
VB
scrollBar.Scroll(position)
Variable | Description
position | The coordinates to scroll into view. Integer.


ScrollRight Method (HorizontalScrollBar)

Class

HorizontalScrollBar.

Action

Scrolls the scroll bar to the right.

Syntax

C#
horizontalScrollBar.ScrollRight([amount])
VB
horizontalScrollBar.ScrollRight([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


ScrollToMax Method (ScrollBar)

Class

ScrollBar.

Action

Scrolls the scroll bar to its maximum position.

Syntax

C#
scrollBar.ScrollToMax()
VB
scrollBar.ScrollToMax()


ScrollToMin Method (ScrollBar)

Class

ScrollBar.

Action

Scrolls the scroll bar to its minimum position.

Syntax

C#
scrollBar.ScrollToMin()
VB
scrollBar.ScrollToMin()


ScrollUp Method (VerticalScrollBar)

Class

VerticalScrollBar.

Action

Moves the scroll bar up.

Syntax

C#
verticalScrollBar.ScrollUp([amount])
VB
verticalScrollBar.ScrollUp([amount])
Variable | Description
amount | Optional: The number of ticks to scroll. Integer.


SelectedIndex Property (ComboBox)

Class

ComboBox.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (ListBox)

Class

ListBox.

Action

Gets or sets the index of the first selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (RadioList)

Class

RadioList.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (TabControl)

Class

TabControl.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedIndex Property (Tree)

Class

Tree.

Action

Gets or sets the index of the first selected item.

Syntax

C#
protected ItemPath SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As ItemPath

Access

Read and write.


SelectedIndices Property (ListBox)

Class

ListBox.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

Access

Read and write.


SelectedIndices Property (Table)

Class

Table.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

Access

Read and write.


SelectedIndices Property (Tree)

Class

Tree.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of ItemPath) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of ItemPath)

Access

Read and write.


SelectedItem Property (ComboBox)

Class

ComboBox.

Action

Gets or sets the selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (ListBox)

Class

ListBox.

Action

Gets or sets the name of the first selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (RadioList)

Class

RadioList.

Action

Gets or sets the item to select.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (TabControl)

Class

TabControl.

Action

Gets or sets the selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItem Property (Tree)

Class

Tree.

Action

Gets or sets the name of the first selected item.

Syntax

C#
protected ItemPath SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemPath

Access

Read and write.


SelectedItems Property (ListBox)

Class

ListBox.

Action

Gets or sets the names of the selected item(s).

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

Access

Read and write.


SelectedItems Property (Table)

Class

Table.

Action

Gets or sets the selected item(s).

Syntax

C#
protected List(Of TableRow) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of TableRow)

Access

Read and write.


SelectedItems Property (Tree)

Class

Tree.

Action

Gets or sets the names of the selected item(s).

Syntax

C#
protected List(Of ItemPath) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemPath)

Access

Read and write.


SelectedRange Property (TextField)

Class

TextField.

Action

Gets or sets the selected range within the text field.

Syntax

C#
protected TextRange SelectedRange { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedRange As TextRange

Access

Read and write.


SelectedText Property (TextField)

Class

TextField.

Action

Gets the selected text within the text field. An empty string if no text is selected.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


Select Method (CheckBox)

Class

CheckBox.

Action

Selects a check box.

Syntax

C#
checkBox.Select(state)
VB
checkBox.Select(state)
Variable | Description
state | The state of a check box. Values include: 1=checked, 2=unchecked, 3=undecided. Integer.


Select Method (CheckBoxToolItem)

Class

CheckBoxToolItem.

Action

Selects an item.

Syntax

C#
checkBoxToolItem.Select(state)
VB
checkBoxToolItem.Select(state)
Variable | Description
state | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided. Integer.


Select Method (ComboBox)

Class

ComboBox.

Action

Selects an item from the combo box.

Syntax

C#
comboBox.Select(item)
VB
comboBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (DropDownToolItem)

Class

DropDownToolItem.

Action

Selects an item.

Syntax

C#
dropDownToolItem.Select()
VB
dropDownToolItem.Select()


Select Method (Link)

Class

Link.

Action

Selects an item.

Syntax

C#
link.Select([item])
VB
link.Select([item])
Variable | Description
item | Optional: The item to select. This parameter is only useful for multi-selectable links. Selects the given item of the link. ItemIdentifier.


Select Method (ListBox)

Class

ListBox.

Action

Selects an item from the list box.

Syntax

C#
listBox.Select(item)
VB
listBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (Menu)

Class

Menu.

Action

Selects a menu.

Syntax

C#
menu.Select()
VB
menu.Select()


Select Method (MenuItem)

Class

MenuItem.

Action

Selects an item from the menu.

Syntax

C#
menuItem.Select()
VB
menuItem.Select()


Select Method (PushButton)

Class

PushButton.

Action

Selects a pushbutton.

Syntax

C#
pushButton.Select()
VB
pushButton.Select()


Select Method (PushToolItem)

Class

PushToolItem.

Action

Selects an item.

Syntax

C#
pushToolItem.Select()
VB
pushToolItem.Select()


Select Method (RadioList)

Class

RadioList.

Action

Selects an item from the radiolist.

Syntax

C#
radioList.Select([item])
VB
radioList.Select([item])
Variable | Description
item | Optional: The item to select. ItemIdentifier.


Select Method (RadioListToolItem)

Class

RadioListToolItem.

Action

Selects an item.

Syntax

C#
radioListToolItem.Select([item])
VB
radioListToolItem.Select([item])
Variable | Description
item | Optional: The item to select. ItemIdentifier.


Select Method (TabControl)

Class

TabControl.

Action

Sets the current page to the specified page.

Syntax

C#
tabControl.Select(item)
VB
tabControl.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (TableColumn)

Class

TableColumn.

Action

Selects a column.

Syntax

C#
tableColumn.Select()
VB
tableColumn.Select()


Select Method (ToggleButton)

Class

ToggleButton.

Action

Selects an item.

Syntax

C#
toggleButton.Select(state)
VB
toggleButton.Select(state)
Variable | Description
state | Represents the desired state. Values include: 1=checked, 2=unchecked, 3=undecided.=. Integer.


Select Method (Tree)

Class

Tree.

Action

Selects an item from the tree.

Syntax

C#
tree.Select(itemPath)
VB
tree.Select(itemPath)
Variable | Description
itemPath | The path of the item to select. ItemPath.


SelectRange Method (ListBox)

Class

ListBox.

Action

Selects a range of items in the extend-selection list box.

Syntax

C#
listBox.SelectRange(selectRangeBegin, selectRangeEnd)
VB
listBox.SelectRange(selectRangeBegin, selectRangeEnd)
Variable | Description
selectRangeBegin | The first item to select. ItemIdentifier.
selectRangeEnd | The last item to select. ItemIdentifier.


SelectRow Method (Table)

Class

Table.

Action

Selects an row in the table.

Syntax

C#
table.SelectRow(row, [column])
VB
table.SelectRow(row, [column])
Variable | Description
row | The row to select. ItemIdentifier.
column | Optional: The column to select. ItemIdentifier.


SetActive Method (IMoveable)

Class

IMoveable.

Action

Makes the window active.

Syntax

C#
iMoveable.SetActive()
VB
iMoveable.SetActive()


SetFocus Method (IFocusable)

Class

IFocusable.

Action

Gives focus to the control.

Syntax

C#
iFocusable.SetFocus()
VB
iFocusable.SetFocus()


SetMultiText Method (TextField)

Class

TextField.

Action

Substitutes all or part of the lines in the multi-line text field.

Syntax

C#
textField.SetMultiText(Text, [StartLine, numberOfLines])
VB
textField.SetMultiText(Text, [StartLine, numberOfLines])
Variable | Description
Text | The text to substitute. List(Of String).
StartLine | Optional: The line in the text field (starting from 0) to begin the substitution. The value is zero-based. Integer.
numberOfLines | Optional: The number of lines to substitute. Integer.


SetPosition Method (Scale)

Class

Scale.

Action

Sets the position of the scale.

Syntax

C#
scale.SetPosition(position)
VB
scale.SetPosition(position)
Variable | Description
position | The internal numeric value of the position to move to. Integer.


SetPosition Method (TextField)

Class

TextField.

Action

Sets the insertion point in the text field.

Syntax

C#
textField.SetPosition(position)
VB
textField.SetPosition(position)
Variable | Description
position | The position of the caret within the text field. TextPosition.


SetSelectionRange Method (TextField)

Class

TextField.

Action

Selects the specified range of the single-line or multi-line text field.

Syntax

C#
textField.SetSelectionRange(selectionRange)
VB
textField.SetSelectionRange(selectionRange)
Variable | Description
selectionRange | The selected range within the text field. TextRange.


SetText Method (ComboBox)

Class

ComboBox.

Action

Replaces the text in the text field of the combo box.

Syntax

C#
comboBox.SetText(text)
VB
comboBox.SetText(text)
Variable | Description
text | The text to substitute for the contents of the text field. String.


SetText Method (TextField)

Class

TextField.

Action

Substitutes new text for all or part of the text in the text field.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to substitute. String.


SetToMax Method (Scale)

Class

Scale.

Action

Sets the scale to its maximum position.

Syntax

C#
scale.SetToMax()
VB
scale.SetToMax()


SetToMin Method (Scale)

Class

Scale.

Action

Sets the scale to its minimum position.

Syntax

C#
scale.SetToMin()
VB
scale.SetToMin()


SetUndecided Method (CheckBox)

Class

CheckBox.

Action

Sets the check box to the undecided state.

Syntax

C#
checkBox.SetUndecided()
VB
checkBox.SetUndecided()


Size Method (IMoveable)

Class

IMoveable.

Action

Resizes the window.

Syntax

C#
iMoveable.Size(width, height)
VB
iMoveable.Size(width, height)
Variable | Description
width | The new width of the window, in pixels. Integer.
height | The new height of the window, in pixels. Integer.


State Property (CheckBox)

Class

CheckBox.

Action

Gets or sets the state of a check box. Values include: 1=checked, 2=unchecked, 3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (CheckBoxToolItem)

Class

CheckBoxToolItem.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (RadioList)

Class

RadioList.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (RadioListToolItem)

Class

RadioListToolItem.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


State Property (ToggleButton)

Class

ToggleButton.

Action

Gets or sets the state of a toggle button. Values include: 1=checked, 2=unchecked, 3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


TextCapture Method (TestObject)

Class

TestObject.

Action

Returns the text in this object's visible area.

Capturing text in combo boxes may append the text character "6". This is because the drop-down arrow for a combo box is the Marlett font drop-down arrow text symbol, which is the number "6" for most other fonts.

Syntax

C#
result = testObject.TextCapture([captureRectangle])
VB
result = testObject.TextCapture([captureRectangle])
Variable | Description
result | The text in this object's visible area. String.
captureRectangle | Optional: the defined rectangular region where the text will be captured, relative to the window's coordinates. Rectangle.

Examples

VB

Dim partialText As String
partialText = testApplication.TextCapture(new Rectangle(1, 1, 200, 30))
Dim fullText As String
fullText = testApplication.TextCapture()


TextClick Method (TestObject)

Class

TestObject.

Action

Clicks in the center of the specified text.

Syntax

C#
testObject.TextClick(text, [occurrence, clickType, modifiers, position, exactMatch])
VB
testObject.TextClick(text, [occurrence, clickType, modifiers, position, exactMatch])
Variable | Description
text | The text to be clicked. String.
occurrence | Optional: Which occurrence of the text should be clicked, if there are multiple results. The first occurrence is 1. Integer.
clickType | Optional: The desired mouse action. Default: left click. ClickType.
modifiers | Optional: The modifier keys (Alt, Shift, Ctrl) to press while clicking. Default: Don't use modifier keys. ModifierKeys.
position | Optional: The coordinates at which to click. The coordinates are relative to the the upper-left corner of the text. If no coordinates are specified the click is performed on the center of the text. Point.
exactMatch | Optional: If true the text must completely match the captured text, otherwise a partial match is allowed. Boolean.


TextExists Method (TestObject)

Class

TestObject.

Action

Returns whether the specified text exists.

Syntax

C#
result = testObject.TextExists(text, [occurrence, searchRectangle, timeout, exactMatch])
VB
result = testObject.TextExists(text, [occurrence, searchRectangle, timeout, exactMatch])
Variable | Description
result | Whether the specified text exists. Boolean.
text | The text to be searched for. String.
occurrence | Optional: For which occurrence of the text the existence should be checked, if there are multiple results. The first occurrence is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search the text. Rectangle.
timeout | Optional: Specifies how long the text should be searched for. If no timeout is specified the text is searched only once. Integer.
exactMatch | Optional: If true the text must completely match the captured text, otherwise a partial match is allowed. Boolean.


Text Property (TestObject)

Class

TestObject.

Action

Gets the text of the control.

Syntax

C#
protected String Text { get; }
VB
'Declaration
Protected Read Property Text As String

Access

Read only.


TextRectangle Method (TestObject)

Class

TestObject.

Action

Returns the object-relative rectangle of the specified text.

Syntax

C#
result = testObject.TextRectangle(text, [occurrence, searchRectangle, timeout, exactMatch])
VB
result = testObject.TextRectangle(text, [occurrence, searchRectangle, timeout, exactMatch])
Variable | Description
result | The rectangle of the specified text or an empty rectangle if the specified text does not exist. Rectangle.
text | The text to be searched for. String.
occurrence | Optional: For which occurrence of the text the rectangle should be returned, if there are multiple results. The first occurrence is 1. Integer.
searchRectangle | Optional: The object relative rectangle in which to search the text. Rectangle.
timeout | Optional: Specifies how long the text should be searched for. If no timeout is specified the text is searched only once. Integer.
exactMatch | Optional: If true the text must completely match the captured text, otherwise a partial match is allowed. Boolean.


Toggle Method (CheckBox)

Class

CheckBox.

Action

Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.

Syntax

C#
checkBox.Toggle()
VB
checkBox.Toggle()


TypeKeys Method (IKeyable)

Class

IKeyable.

Action

Sends a set of keystrokes to the object.

Note: Some keystrokes are not supported on mobile devices. Valid keystrokes for all other applications include:
  • <#0>-<#9> (numeric keypad numbers 0-9 with Num Lock on)
  • <#Add> (numeric keypad '+')
  • <#Clear> (numeric keypad 5 with Num Lock off)
  • <#Decimal> (the key for the decimal separator on the numeric keypad of most keyboards)
  • <#Delete> (Numeric keypad '.' with Num Lock off)
  • <#Divide> (Numeric keypad '/')
  • <#Down> (numeric keypad 2 with Num Lock off)
  • <#End> (numeric keypad 1 with Num Lock off)
  • <#Enter> (numeric keypad Enter)
  • <#Equal> (numeric keypad equals sign)
  • <#Home> (numeric keypad 7 with Num Lock off)
  • <#Insert> (numeric keypad 0 with Num Lock off)
  • <#Left> (numeric keypad 4 with Num Lock off)
  • <#PgDn> (numeric keypad 3 with Num Lock off)
  • <#PgUp> (numeric keypad 9 with Num Lock off)
  • <#Right> (numeric keypad 6 with Num Lock off)
  • <#Separator> (numeric keypad Separator key)
  • <#Space> (numeric keypad Space key)
  • <#Subtract> (numeric keypad '-')
  • <#Tab> (numeric keypad Tab key)
  • <#Times> (numeric keypad '*')
  • <#Up> (numeric keypad 8 with Num Lock off)
  • <Alt> (left-side Alt key)
  • <Application> (opens a context menu on the last active control)
  • <Backspace> (backspace key)
  • <Break> (Ctrl-Break)
  • <Cancel> (break)
  • <CapsLock> (toggle whether it is currently on or off)
  • <Clear> (Clear key)
  • <Ctrl> (Left-side Ctrl key)
  • <Delete> (Delete key)
  • <Down> (Down arrow)
  • <End> (End key)
  • <Enter> (Enter key)
  • <Esc> (Escape)
  • <Execute> (Execute key)
  • <F1> - <F12> (F1 through F12 function keys)
  • <F13> - <F35> (F13 through F35 function keys)
  • <Greater Than> '>' key (which the agent would otherwise interpret as a right angle bracket)
  • <Help> (Help key)
  • <Home> (Home key)
  • <Insert> (Insert key)
  • <Left> (Left arrow)
  • <Left Alt> (Alt key)
  • <Left Ctrl> (Ctrl key)
  • <Left Shift> (Shift key)
  • <LeftWin> (Windows Start menu key)
  • <Less Than> '<' key (which the agent would otherwise interpret as left angle bracket)
  • <Menu> (Menu key)
  • <Mode> (Mode key)
  • <Pause> (Pause)
  • <PgDn> (PgDn or Page Down)
  • <PgUp> (PgUp or Page Up)
  • <PrtScr> (Print Scrn)
  • <Redo> (Redo key)
  • <Right> (Right arrow)
  • <Right Alt> (Alt key)
  • <Right Ctrl> (Ctrl key)
  • <RightOption> (Option key)
  • <Right Shift> (Shift key)
  • <RightWin> (Windows Start menu key)
  • <ScrollLock> (typed whether it is currently on or off)
  • <Shift> (Left-side Shift key)
  • <Space> (Space bar)
  • <Tab> (Tab)
  • <Undo> (Undo key)
  • <Up> (Up arrow).
Examples: 'a', 'ab', 'a<Enter>', '<F4>', '<Left Shift>', '<Right Alt>', '<Left Ctrl>', '<Delete>', '<Backspace>'. Note: '<' or '>' needs to be written as '<LessThan>' or '<GreaterThan>'."

Syntax

C#
iKeyable.TypeKeys(keys, [delay, ensureFocus])
VB
iKeyable.TypeKeys(keys, [delay, ensureFocus])
Variable | Description
keys | The keystrokes to type. String.
delay | Optional: The delay between keystrokes in milliseconds. Integer.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.

Examples

VB

For example, the following code copies the currently selected text into the clipboard by pressing Ctrl+C:
    window.TypeKeys("<Left Ctrl+C>")


Uncheck Method (CheckBox)

Class

CheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


Uncheck Method (Table)

Class

Table.

Action

Unchecks the check box in the defined row of a table.

Syntax

C#
table.Uncheck(item)
VB
table.Uncheck(item)
Variable | Description
item | The row in which to uncheck the check box. ItemIdentifier.


Uncheck Method (Tree)

Class

Tree.

Action

Unchecks the check box.

Syntax

C#
tree.Uncheck(itemPath)
VB
tree.Uncheck(itemPath)
Variable | Description
itemPath | The path of the item to uncheck. ItemPath.


Value Property (TestObject)

Class

TestObject.

Action

Gets the value of the control, e.g.: text in a text control.

Syntax

C#
protected Object Value { get; }
VB
'Declaration
Protected Read Property Value As Object

Access

Read only.


VisibleItemPaths Property (Tree)

Class

Tree.

Action

Gets a list of visible items in the tree (including all children).

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


VisibleItems Property (Tree)

Class

Tree.

Action

The VisibleItems property is deprecated. Since Silk Test 2011 use the VisibleItemPaths property instead for retrieving all visible items of a tree.

Gets a list of visible items in the tree (including all children).

Syntax

C#
protected TreeContent VisibleItems { get; }
VB
'Declaration
Protected Read Property VisibleItems As TreeContent

Access

Read only.


Visible Property (GuiTestObject)

Class

GuiTestObject.

Action

Gets or sets whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Syntax

C#
protected Boolean Visible { get; set; }
VB
'Declaration
Protected ReadWrite Property Visible As Boolean

Access

Read and write.


WaitForChildDisappearance Method (TestObject)

Class

TestObject.

Action

Waits until the child object specified by the 'locator' parameter does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.

Syntax

C#
testObject.WaitForChildDisappearance(locator, [timeout])
VB
testObject.WaitForChildDisappearance(locator, [timeout])
Variable | Description
locator | The XPath locator identifying the object that is expected to disappear relative to the object this function is called on. String.
timeout | Optional: The maximum wait time in milliseconds before the function times out. Integer.


WaitForDisappearance Method (TestObject)

Class

TestObject.

Action

Waits until the object does not exist or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.

Syntax

C#
testObject.WaitForDisappearance([timeout])
VB
testObject.WaitForDisappearance([timeout])
Variable | Description
timeout | Optional: The maximum wait time in milliseconds before the function times out. Integer.


WaitForObject Method (TestObject)

Class

TestObject.

Action

Waits for an object that matches the specified locator. If no object matches within an timeout an ObjectNotFoundException is thrown. The default timeout is 5 seconds and you can change the timeout by setting the value of the option OPT_WAIT_RESOLVE_OBJDEF. Use WaitForObject if the AUT takes a long time to display a specific object, for example when a transaction is processed before showing any results. By default, an action in the UI does not require a WaitForObject, because of the built-in synchronization. If you receive random timeout errors during normal script execution, consider increasing the default timeout instead of adding WaitForObject statements to your scripts.

Syntax

C#
testObject.WaitForObject(locator, [timeout])
VB
testObject.WaitForObject(locator, [timeout])
Variable | Description
locator | The XPath locator. Defines which object to find. Example: "//PushButton[@caption='ok']" . String.
timeout | Optional: The timeout in milliseconds. If the initial find operation does not match anything the agent retries to find an object until the timeout expires. Integer.

Examples

C#

The following example sets a window active, then waits for a button for 30 seconds, in addition to the timeout used for the PushButton method to find the object, which by default is 5 seconds, and finally clicks the button:
window.SetActive();
window.WaitForObject("//PushButton[@automationId='MySampleButton']", 30000);
window.PushButton("@automationId='MySampleButton'").Click();

VB

The following example sets a window active, then waits for a button for 30 seconds, in addition to the timeout used for the PushButton method to find the object, which by default is 5 seconds, and finally clicks the button:
window.SetActive()
window.WaitForObject("//PushButton[@automationId='MySampleButton']", 30000)
window.PushButton("@automationId='MySampleButton'").Click()


WaitForProperty Method (TestObject)

Class

TestObject.

Action

Waits until the property specified by the 'propertyName' parameter gets the value specified by the 'expectedValue' parameter or until the timeout is reached. If you don't explicitly pass a timeout using the optional timeout parameter, the timeout specified by the option OPT_WAIT_RESOLVE_OBJDEF will be used. An exception is thrown if the timeout is reached.

Syntax

C#
testObject.WaitForProperty(propertyName, expectedValue, [timeout])
VB
testObject.WaitForProperty(propertyName, expectedValue, [timeout])
Variable | Description
propertyName | The name of the property to wait for. String.
expectedValue | The value of the property to wait for. Object.
timeout | Optional: The maximum wait time in milliseconds before the function times out. Integer.


Width Property (TableColumn)

Class

TableColumn.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

Access

Read and write.


WindowState Property (IMoveable)

Class

IMoveable.

Action

Gets the state of a window. Values include: 1=minimized, 2=maximized, 3=restored.

Syntax

C#
protected Integer WindowState { get; }
VB
'Declaration
Protected Read Property WindowState As Integer

Access

Read only.


AgentDirectory Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the directory from which the Open Agent is running.

Syntax

C#

public String AgentDirectory { get; }

VB

Public Read Property AgentDirectory As String

Access

Read only.


AgentVersion Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the version of the Open Agent.

Syntax

C#
public String AgentVersion { get; }
VB
Public Read Property AgentVersion As String

Access

Read only.


Attributes Property (FileInfo)

Class

FileInfo.

Action

Gets the attributes of the file. For additional information, see File Attribute Constants.

Syntax

C#
public Integer Attributes { get; }
VB
Public Read Property Attributes As Integer

Access

Read only.


ClipboardText Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets or sets the text in the clipboard.

Syntax

C#

public String ClipboardText { get; set; }

VB

Public ReadWrite Property ClipboardText As String

Access

Read and write.


CompareBinaryFiles Method (SystemFunctions)

Class

SystemFunctions.

Action

Performs a binary comparison on two files.

Syntax

C#

bCompare = CompareBinaryFiles (lhs, rhs);

VB

bCompare = CompareBinaryFiles (lhs, rhs)
Variable | Description
bCompare | True if the contents of the files are equal, false otherwise. Boolean.
lhs | The path to the first file. Can be either an absolute path or a path relative to the current working directory. String.
rhs | The path to the second file. Can be either an absolute path or a path relative to the current working directory. String.


CompareBitmaps Method (SystemFunctions)

Class

SystemFunctions.

Action

Compares two bitmaps. If the color depth of the bitmaps is less than 24 bit, then the images are first converted to 24bit color depth. If a mask file is provided, only the white pixels of the mask file are relevant for the comparison. The comparison succeeds if the number of mismatched pixels is less then the value provided by pixelTolerance. Returns false if the provided bitmaps do not have the same dimensions.

Syntax

C#

bCompare = CompareBitmaps (lhs, rhs [, maskFileName, pixelTolerance]);

VB

bCompare = CompareBitmaps (lhs, rhs [, maskFileName, pixelTolerance])
Variable | Description
bCompare | True if the bitmaps are equal, false otherwise. Boolean.
lhs | The path to the first file. Can be either an absolute path or a path relative to the current working directory. String.
rhs | The path to the second file. Can be either an absolute path or a path relative to the current working directory. String.
maskFileName | Optional: The path to the mask file. Can be either an absolute path or a path relative to the current working directory. String.
pixelTolerance | Optional: The allowed tolerance. Integer.


CompareTextFiles Method (SystemFunctions)

Class

SystemFunctions.

Action

Compares two text files lexicographically.

Syntax

C#

bCompare = CompareTextFiles (lhs, rhs);

VB

bCompare = CompareTextFiles (lhs, rhs)
bCompare = CompareTextFiles (lhs, rhs)
Variable | Description
bCompare | True if the bitmaps are equal, false otherwise. Boolean.
lhs | The path to the first file. Can be either an absolute path or a path relative to the current working directory. String.
rhs | The path to the second file. Can be either an absolute path or a path relative to the current working directory. String.


CopyFile Method (SystemFunctions)

Class

SystemFunctions.

Action

Copies a file.

Syntax

C#

CopyFile (sSrc, sDest);

VB

CopyFile (sSrc, sDest)
Variable | Description
sSrc | The path to the source file. Can be either an absolute path or a path relative to the current working directory. String.
sDest | The path to the destination file. Can be either an absolute path or a path relative to the current working directory. String.


CreateRegistryKey Method (SystemFunctions)

Class

SystemFunctions.

Action

Creates a new key in the registry. Recursively creates any missing registry keys in the given keyPath.

Syntax

bSuccess = CreateRegistryKey (rcCategory, sKeypath, sKeyname, sDefaultValue)
Variable | Description
bSuccess | True if the key was successfully created, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sKeyname | The name of the registry key. String.
sDefaultValue | The default value of the registry key. String.


CreateRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Creates a new value.

Syntax

bSuccess = CreateRegistryValue (rcCategory, sKeypath, sValueName, sValue)
Variable | Description
bSuccess | True if the value was successfully created, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sValueName | The name of the value. String.
sValue | The new value. String.


CreationDate Property (FileInfo)

Class

FileInfo.

Action

Gets the date at which the file or directory was created.

Syntax

C#

public DateTime CreationDate { get; }

VB

Public Read Property CreationDate As DateTime

Access

Read only.


CurrentDrive Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets or sets the current drive of the machine on which the Open Agent is hosted.

Syntax

C#

public String CurrentDrive { get; set; }

VB

Public ReadWrite Property CurrentDrive As String

Access

Read and write.


CurrentRegistryView Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets or sets the current registry view.

Syntax

C#

public RegistryView CurrentRegistryView { get; set; }

VB

Public ReadWrite Property CurrentRegistryView As RegistryView

Access

Read and write.


CursorPosition Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the current cursor position of the machine on which the Open Agent is running.

Syntax

C#

public Point CursorPosition { get; }

VB

Public Read Property CursorPosition As Point

Access

Read only.


CursorType Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the current cursor type of the machine on which the Open Agent is running.

Syntax

C#

public String CursorType { get; }

VB

Public Read Property CursorType As String

Access

Read only.


DeleteRegistryKey Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes a key from the registry. The key cannot contain any sub-keys, otherwise the method will fail.

Syntax

bSuccess = DeleteRegistryKey (rcCategory, sKeypath, sKeyname)
Variable | Description
bSuccess | True if the key was successfully deleted, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sKeyname | The name of the registry key. String.


DeleteRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes a value.

Syntax

bSuccess = DeleteRegistryValue (rcCategory, sKeypath, sValueName)
Variable | Description
bSuccess | True if the value was successfully deleted, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sValueName | The value. String.


DirectoryExists Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks whether the specified directory exists.

Syntax

C#

DirectoryExists (sDirectoryPath);

VB

DirectoryExists (sDirectoryPath)
Variable | Description
sDirectoryPath | The path to the directory. Can be either an absolute path or a path relative to the current working directory. String.


Execute Method (SystemFunctions)

Class

SystemFunctions.

Action

Executes the specified command on the machine on which the Open Agent is hosted.

Syntax

C#

eReturn = Execute (commandLine [, executionMode]);

VB

eReturn = Execute (commandLine [, executionMode])
Variable | Description
eReturn | The return value of the command. ExecutionResult.
commandLine | The command to execute. String.
executionMode | Optional: An option specified with one of the constants defined for the ExecutionMode enumerated data type. Defaults to WAIT_UNTIL_FINISHED if not specified. ExecutionMode.


Exists Method (TestObject)

Class

TestObject.

Action

Checks if an object exists in the application under test.

Syntax

C#
TestObject.Exists()
VB
TestObject.Exists()

C# Example

Assume you have an object with the name myObject that you want to interact with. To check if the object exists in the application under test, you can use the following code:
myObject.Exists();

Visual Basic Example

Assume you have an object with the name myObject that you want to interact with. To check if the object exists in the application under test, you can use the following code:
myObject.Exists()


ExistsRegistryKey Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks if a key exists in the registry.

Syntax

bExists = ExistsRegistryKey (rcCategory, sKeypath, sKeyname)
Variable | Description
bExists | True if the key exists, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sKeyname | The name of the registry key. String.


ExistsRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks if a value exists in the registry.

Syntax

bExists = ExistsRegistryValue (rcCategory, sKeypath, sValueName)
Variable | Description
bExists | True if the value exists, false otherwise. Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeypath | The path to the registry key. String.
sValueName | The name of the registry value. String.


FileClose Method (SystemFunctions)

Class

SystemFunctions.

Action

Closes a previously opened file on the machine on which the Open Agent is hosted.

Syntax

C#

FileClose (hFile);

VB

FileClose (hFile)
Variable | Description
hFile | The handle of the file to close. FileHandle.


FileExists Method (SystemFunctions)

Class

SystemFunctions.

Action

Checks whether the specified file exists.

Syntax

C#

bExists = FileExists (sFilePath);

VB

bExists = FileExists (sFilePath)
Variable | Description
bExists | Whether the file exists. Returns true if the file exists and false if it does not. Boolean.
sFilePath | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.


FileOpen Method (SystemFunctions)

Class

SystemFunctions.

Action

Opens a file. If the file does not exist, it is created. Although any open files are closed and saved when the agent disconnects or when a test finishes execution, Micro Focus recommends using the FileClose method to close a file.

Syntax

hFile = FileOpen (sFilePath, fmMode [, fsShare, csCharSet])
Variable | Description
hFile | The handle of the file. FileHandle.
sFilePath | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.
fmMode | The mode to open the file with. FileOpenMode
fsShare | Defines how other processes can access the opened file. FileShareMode
csCharSet | Specifies the encoding type for new files. For existing files, specifies the encoding type if no byte order mark (BOM) is present. CharSet.


FileReadLine Method (SystemFunctions)

Class

SystemFunctions.

Action

Reads a single line from a file. Starts at the current position of the pointer in the file.

Syntax

C#

sLine = FileReadLine (hFile);

VB

sLine = FileReadLine (hFile)
Variable | Description
sLine | A line from the file, or null if EOF was reached. String
hFile | The handle of the file. FileHandle.


FileSetPointer Method (SystemFunctions)

Class

SystemFunctions.

Action

Sets the position pointer within the file for read and write operations.

Syntax

C#

nPosition = FileSetPointer (hFile, nNewValue [, SetMode]);

VB

nPosition = FileSetPointer (hFile, nNewValue [, SetMode])
Variable | Description
nPosition | Number of characters to the current position of the pointer in the file. Integer.
hFile | The handle of the file. FileHandle.
nNewValue | Value that specifies new position, subject to value of SetMode. Integer.
SetMode | The mode to use. FilePointerMode.


FileWriteLine Method (SystemFunctions)

Class

SystemFunctions.

Action

Writes a line at the current position of the pointer in a file.

Syntax

C#

FileWriteLine (hFileHandle, sLine);

VB

FileWriteLine (hFileHandle, sLine)
Variable | Description
hFileHandle | A file handle returned by FileOpen. FileHandle.
sLine | The line to write. String.


FindAll Method (TestObject)

Class

TestObject.

Action

Finds all objects specified by an XPath locator. Returns all objects that match the locator. As long as no object matches the locator, the agent tries to find an object until the default timeout, which is specified by the option Options.ObjectResolveTimeout, expires.

Syntax

C#
TestObjectList=FindAll(locator)
VB
TestObjectList=FindAll(locator)
Variable | Description
locator | The XPath locator. Defines which object to find. String.


Find Method (TestObject)

Class

TestObject.

Action

Finds an object specified by an XPath locator or an object map identifier. Returns the first object that matches the locator. As long as no object matches the locator, the agent tries to find an object until the default timeout, which is specified by the option Options.ObjectResolveTimeout, expires. If no object is found an ObjectNotFoundException is thrown. You can set the Options.ObjectResolveTimeout option in the Synchronization tab of the Script Options dialog box. The option is called OPT_WAIT_RESOLVE_OBJDEF in the UI and is located in the Object resolve timeout section of the tab. The default value for the timeout is 5 seconds.

You can use the Pushbutton or Window method instead of Find. For instance, you can type:
myWindow.Find(Of PushButton)("//PushButton[@caption='ok']").Select()
Or:
myWindow.PushButton("@caption='ok'").Select()
When using object maps, the corresponding object map identifier is ok, and the previous code samples look like the following:
myWindow.Find(Of PushButton)("ok").Select()
Or:
myWindow.PushButton("ok").Select()

Syntax

C#
TestObject.Find(locator, [options])
VB
TestObject.Find(locator, [options])
Variable | Description
locator | The XPath locator or object map identifier. Defines which object to find. String.
options | Optional: Specifies options for the find operation. Can be used to override the default timeout or to specify that null (nothing in Visual Basic) should be returned if no object is found instead of throwing an exception.


FreeMemory Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the percentage of free memory that is available on the machine on which the the Open Agent is hosted.

Syntax

C#

public Integer FreeMemory { get; }

VB

Public Read Property FreeMemory As Integer

Access

Read only.


GetBitmapCRC Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the CRC value of a bitmap file. If the parameter mask is provided and is not null, only the masked pixels are used for the CRC calculation. The mask must be a monochrome bitmap with the same dimensions as the image. Black pixels hide the pixel on the same position in the image for CRC calculation.

Syntax

C#

lValue = GetBitmapCRC (sFileName, sMaskName);

VB

lValue = GetBitmapCRC (sFileName, sMaskName)
Variable | Description
lValue | The CRC32 value. Long.
sFileName | The path to the bitmap file. Can be either an absolute path or a path that is relative to the current working directory.
sMaskName | The path to the mask file. Can be either an absolute path or a path that is relative to the current working directory.


GetDirectoryContents Method (SystemFunctions)

Class

SystemFunctions.

Action

Gets the contents of a directory.

Syntax

C#

ilFileInfo = GetDirectoryContents (sName [, fsuFileSizeUnit]);

VB

ilFileInfo = GetDirectoryContents (sName [, fsuFileSizeUnit])
Variable | Description
ilFileInfo | A list with FileInfo objects containing information about all directory entries, or null if the directory does not exist. IList<FileInfo>.
sName | The path to the directory. Can be either an absolute path or a path relative to the current working directory. String.
fsuFileSizeUnit | Optional: The unit in which the file size is measured. Defaults to FileSizeUnit.Byte. FileSizeUnit.


GetEnvironmentVariable Method (SystemFunctions)

Class

SystemFunctions.

Action

Gets the value of the specified environment variable.

Syntax

C#

sValue = GetEnvironmentVariable (sName);

VB

sValue = GetEnvironmentVariable (sName)
Variable | Description
sValue | The value of the specified environment variable. String.
sName | The name of the environment variable. String.


GetExitCode Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the result of a call to Execute. 0 if no error occurred.

Syntax

C#

iExitCode = GetExitCode ();

VB

iExitCode = GetExitCode ()
Variable | Description
iExitCode | The result of a call to Execute. 0 if no error occurred. Integer.


GetFileInfo Method (SystemFunctions)

Class

SystemFunctions.

Action

Gets information about the specified file. Returns null if the file does not exist.

Syntax

C#

fiFileInfo = GetFileInfo (sName [, fsuFileSizeUnit]);

VB

fiFileInfo = GetFileInfo (sName [, fsuFileSizeUnit])
Variable | Description
fiFileInfo | Information about the file. Null if the file does not exist. FileInfo.
sName | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.
fsuFileSizeUnit | Optional: The unit in which the file size is measured. Defaults to FileSizeUnit.Byte. FileSizeUnit.


GetFreeDiskSpace Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns how much free disk space is available on the specified drive.

Syntax

C#

dFreeDiskSpace = GetFreeDiskSpace (sDrive [, fsuFileSizeUnit]);

VB

dFreeDiskSpace = GetFreeDiskSpace (sDrive [, fsuFileSizeUnit])
Variable | Description
dFreeDiskSpace | The amount of free disk space that is available on the specified drive. Double.
sDrive | The drive. String.
fsuFileSizeUnit | Optional: The unit in which the file size is measured. Defaults to byte. FileSizeUnit.


GetHandle Method (FileHandle)

Class

FileHandle.

Action

Returns the internal value for the handle.

Syntax

C#

nHandle = GetHandle ();

VB

nHandle = GetHandle ()
Variable | Description
nHandle | The internal value for the handle. Integer.


GetName Method (FileHandle)

Class

FileHandle.

Action

Returns the name of the file or directory to which the handle corresponds.

Syntax

C#

sName = GetName ();

VB

sName = GetName ()
Variable | Description
sName | The name of the file or directory to which the handle corresponds.. String.


GetOutput Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the contents of both stdout and stderr as a string.

Syntax

C#

sOutput = GetOutput ();

VB

sOutput = GetOutput ()
Variable | Description
sOutput | The contents of both stdout and stderr. String.


GetProperty Method (TestObject)

Class

TestObject.

Action

Returns the value of the specified property.

Syntax

C#
GetProperty(propertyName)
VB
GetProperty(propertyName)
Variable | Description
propertyName | The case-sensitive name of the property. String.


GetRawOutput Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the contents of both stdout and stderr.

Syntax

C#

lsRawOutput = GetRawOutput ();

VB

lsRawOutput = GetRawOutput ()
Variable | Description
lsRawOutput | The contents of both stdout and stderr. List of Strings.


GetRegistryKeyNames Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the names of all registry keys below the specified key.

Syntax

C#

lsKeyNames = GetRegistryKeyNames (rcCategory, sKeyPath);

VB

lsKeyNames = GetRegistryKeyNames (rcCategory, sKeyPath)
Variable | Description
lsKeyNames | The names of all registry keys below the specified key. IList<String>.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.


GetRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the value of the specified registry key.

Syntax

C#

oKeyValue = GetRegistryValue (rcCategory, sKeyPath, sValueName, bConvertToInt);

VB

oKeyValue = GetRegistryValue (rcCategory, sKeyPath, sValueName, bConvertToInt)
Variable | Description
oKeyValue | The value of the specified key. Null if the key does not exist. Object.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.
sValueName | The name of the value. String.
bConvertToInt | Specifies whether to convert the value to an integer. Boolean.


GetRegistryValueNames Method (SystemFunctions)

Class

SystemFunctions.

Action

Returns the values of all registry keys below the specified key.

Syntax

C#

lsKeyValues = GetRegistryValueNames (rcCategory, sKeyPath);

VB

lsKeyValues = GetRegistryValueNames (rcCategory, sKeyPath)
Variable | Description
lsKeyValues | The values of all registry keys below the specified key. IList<String>.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.


HostName Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the hostname of the machine on which the Open Agent is running.

Syntax

C#

public String HostName { get; }

VB

Public Read Property HostName As String

Access

Read only.


ImageClickFile Method (TestObject)

Class

TestObject.

Action

Clicks on the specified image.

Syntax

C#
testObject.ImageClickFile(imageFile, [position, occurrence, clickType, modifiers, timeout]);
VB
testObject.ImageClickFile(imageFile, [position, occurrence, clickType, modifiers, timeout])
Variable | Description
imageFile An absolute path to an image file of one of the following types:
  • .bmp
  • .png
Note: This path can be either absolute or relative to the working directory during playback.
STRING.
position | Optional: The coordinates at which to click. The coordinates are relative to the upper-left corner of the image. To click in the center of the image use ClickPosition.Center. The default value is the center of the image. Point.
occurrence | Optional: The occurrence of the image that should be clicked, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
clickType | Optional: The desired mouse action. The default value is left click. ClickType .
modifiers | Optional: The modifier keys, Alt, Shift, or Ctrl, to press while clicking. Default: No modifier keys are used. ModifierKeys.
timeout | Optional: The maximum time in milliseconds to wait for the image to appear. If the timeout is not specified, the ImageClick method waits for the image to appear until the Object resolve timeout is over. Integer.

C# Examples

Assume you have an image with the name myImage.png in the directory C:\temp.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClickFile("C:\temp\myImage.png");
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClickFile("C:\temp\myImage.png", new Point(10, 20));
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 2, ClickType.Right);
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000);

Visual Basic Examples

Assume you have an image with the name myImage.png in the directory C:\temp.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClick("C:\temp\myImage.png")
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClick("C:\temp\myImage.png", New Point(10, 20))
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClick("C:\temp\myImage.png", ClickPosition.Center, 2, ClickType.Right)
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClickFile("C:\temp\myImage.png", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageClick Method (TestObject)

Class

TestObject.

Action

Clicks on the specified image asset. Waits until the image is found, the specified timeout is over, or the Object resolve timeout, which you can define in the synchronization options, is over.

Syntax

C#
TestObject.ImageClick(imageAsset,[position, occurrence, clickType, modifiers, timeout])
VB
TestObject.ImageClick(imageAsset,[position, occurrence, clickType, modifiers, timeout])
Variable | Description
imageAsset | A .imageasset file. This file must be an embedded resource in the test assembly. String.
position | Optional: The coordinates at which to click. The coordinates are relative to the upper-left corner of the image. To click in the center of the image use ClickPosition.Center. The default value is the center of the image. Point.
occurrence | Optional: The occurrence of the image that should be clicked, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
clickType | Optional: The desired mouse action. The default value is left click. ClickType .
modifiers | Optional: The modifier keys, Alt, Shift, or Ctrl, to press while clicking. Default: No modifier keys are used. ModifierKeys
timeout | Optional: The maximum time in milliseconds to wait for the image to appear. If the timeout is not specified, the ImageClick method waits for the image to appear until the Object resolve timeout is over. Integer.

C# Examples

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClick("myImage");
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClick("myImage", new Point(10, 20));
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 2, ClickType.Right);
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000);

Visual Basic Examples

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with.

  • To search for the image in the application under test and to click in the center of the found image, you can use the following code:
     control.ImageClick("myImage")
  • To click on a specific position inside the image, instead of in the center of the image, you can use the following code:
     control.ImageClick("myImage", New Point(10, 20))
  • To right-click in the center of the second occurrence of the image in the application under test, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 2, ClickType.Right)
  • To wait two seconds for the image to appear and to click in the center of the found image, you can use the following code:
    control.ImageClick("myImage", ClickPosition.Center, 1, ClickType.Left, ModifierKeys.None, 2000)


ImageExistsFile Method (TestObject)

Class

TestObject.

Action

Returns whether the specified image exists.

Syntax

C#
return = TestObject.ImageExistsFile(imageFile, [occurrence, searchRectangle])
VB
return = TestObject.ImageExistsFile(imageFile, [occurrence, searchRectangle])
Variable | Description
return | True if the image exists, false if not. Boolean.
imageFile
  • A path to a file of one of the following types:
    • .bmp
    • .png
String.
occurrence | Optional: The occurrence of the image that should be checked for existence, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image. Rect .

C# Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To check if the image exists in the application under test, you can use the following code:

bImageExists = control.ImageExistsFile("c://temp/myImage.png");

Visual Basic Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To check if the image exists in the application under test, you can use the following code:

bImageExists = control.ImageExistsFile("c://temp/myImage.png")


ImageExists Method (TestObject)

Class

TestObject.

Action

Returns whether the specified image asset exists.

Syntax

C#
TestObject.ImageExists(imageAsset, [occurrence, searchRectangle])
VB
TestObject.ImageExists(imageAsset, [occurrence, searchRectangle])
Variable | Description
imageAsset | A .imageasset file. This file must be an embedded resource in the test assembly. String.
occurrence | Optional: The occurrence of the image that should be clicked, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image. Rect .

C# Example

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with. To check if the image exists in the application under test, you can use the following code:
 control.ImageExists("myImage");

Visual Basic Example

Assume you have created an image asset with the name myImage. The image in the image asset represents a UI object that you want to interact with. To check if the image exists in the application under test, you can use the following code:
 control.ImageExists("myImage")


ImageRectangleFile Method (TestObject)

Class

TestObject.

Action

Returns the object-relative rectangle of the specified image.

Syntax

C#
returnRectangle = TestObject.ImageRectangleFile(imageFilePath, [occurence, searchRectangle])
VB
returnRectangle = TestObject.ImageRectangleFile(imageFilePath, [occurrence, searchRectangle])
Variable | Description
returnRectangle | The rectangle of the specified image or an empty rectangle if the image is not found. Rect.
imageFile
  • A path to a file of one of the following types:
    • .bmp
    • .png
String.
occurrence | Optional: The occurrence of the image for which the rectangle should be returned, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image. Rect .

C# Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangleFile("c://temp/myImage.png");

Visual Basic Example

Assume you have a PNG image with the name myImage in the folder c:/temp. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangleFile("c://temp/myImage.png")


ImageRectangle Method (TestObject)

Class

TestObject.

Action

Returns the object-relative rectangle of the specified image asset.

Syntax

C#
returnRectangle = TestObject.ImageRectangleFile(imageAsset, [occurence, searchRectangle])
VB
returnRectangle = TestObject.ImageRectangleFile(imageAsset, [occurrence, searchRectangle])
Variable | Description
returnRectangle | The rectangle of the specified image asset or an empty rectangle if the image asset is not found. Rect.
imageAsset | A .imageasset file. This file must be an embedded resource in the test assembly. String.
occurrence | Optional: The occurrence of the image asset for which the rectangle should be returned, if there are multiple occurrences. The first occurrence is 1. The default value is 1. Integer.
searchRectangle | Optional: The object-relative rectangle in which to search for the image asset. Rect .

C# Example

Assume you have an image asset with the name myImage. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangle("myImage");

Visual Basic Example

Assume you have a PNG image with the name myImage. To get the object-relative rectangle of the image, you can use the following code:

imageRectangle = control.ImageRectangle("myImage")


Invoke Method (TestObject)

Class

TestObject.

Action

Dynamically invokes a method on the test object. Returns null for methods with the return type void.

Invoke can dynamically invoke all public methods that the MSDN defines for the test object. For test objects in a Windows Forms application or a WPF application, Invoke can additionally invoke all public static methods that the MSDN defines and all user-defined public static methods of any type.

Syntax

C#
TestObject.Invoke(methodName, [parameters])
VB
TestObject.Invoke(methodName, [parameters])
Variable | Description
methodName | The method name, such as Select. String.
parameters | The method parameters. If the function requires no parameters an empty list is passed.

Example 1

For an object of the type DataGrid, you can call all methods that the MSDN defines for the type System.Windows.Forms.DataGrid.

Example 2

To call the static .NET method String.Compare(String s1, String s2) inside the application under test, use the following code:
//VB .NET code
Dim result as Integer = mainWindow.Invoke("System.String.Compare", "a", "b")
//C# code
int result = (int) mainWindow.Invoke("System.String.Compare", "a", "b");

The object mainWindow only identifies the application inside which the method is called and can be replaced by any other object in the application.


IsDirectory Property (FileInfo)

Class

FileInfo.

Action

Gets whether the instance stores information about a directory or not.

Syntax

C#

public Boolean IsDirectory { get; }

VB

Public Read Property IsDirectory As Boolean

Access

Read only.


Locale Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the locale of the machine on which the Open Agent is running, for example en-US.

Syntax

C#

public String Locale { get; }

VB

Public Read Property Locale As String

Access

Read only.


ModificationTime Property (FileInfo)

Class

FileInfo.

Action

Gets the time at which the file or directory was last modified.

Syntax

C#

public DateTime ModificationTime { get; }

VB

Public Read Property ModificationTime As DateTime

Access

Read only.


MoveFile Method (SystemFunctions)

Class

SystemFunctions.

Action

Moves a file.

Syntax

C#

MoveFile (sSrc, sDest);

VB

MoveFile (sSrc, sDest)
Variable | Description
sSrc | The path to the source file. Can be either an absolute path or a path that is relative to the current working directory. String.
sDest | The path to the destination file. Can be either an absolute path or a path that is relative to the current working directory. String.


Name Property (FileInfo)

Class

FileInfo.

Action

Gets the name of the file.

Syntax

C#

public String Name { get; }

VB

Public Read Property Name As String

Access

Read only.


OSName Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the name of the operating system of the machine on which the Open Agent is hosted.

Syntax

C#

public String OSName { get; }

VB

Public Read Property OSName As String

Access

Read only.


OSVersion Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the major and minor version of the operating system of the machine on which the Open Agent is hosted.

Syntax

C#

public String OSVersion { get; }

VB

Public Read Property OSVersion As String

Access

Read only.


OSVersionType Property (SystemFunctions)

Class

SystemFunctions.

Action

Gets the version type, server or client, of the operating system of the machine on which the Open Agent is hosted.

Syntax

C#

public String OSVersionType { get; }

VB

Public Read Property OSVersionType As String

Access

Read only.


RemoveDirectory Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes the specified directory. The directory has to be empty.

Syntax

C#

RemoveDirectory (sDirectoryName);

VB

RemoveDirectory (sDirectoryName)
Variable | Description
sDirectoryName | The path to the directory. Can be either an absolute path or a path relative to the current working directory. String.


RemoveFile Method (SystemFunctions)

Class

SystemFunctions.

Action

Deletes the specified file.

Syntax

C#

RemoveFile (sFileName);

VB

RemoveFile (sFileName)
Variable | Description
sFileName | The path to the file. Can be either an absolute path or a path relative to the current working directory. String.


SetEnvironmentVariable Method (SystemFunctions)

Class

SystemFunctions.

Action

Sets the value of the specified environment variable.

Syntax

C#

SetEnvironmentVariable (sName, sValue);

VB

SetEnvironmentVariable (sName, sValue)
Variable | Description
sName | The name of the environment variable. String.
sValue | The value of the specified environment variable. String.


SetProperty Method (TestObject)

Class

TestObject.

Action

Sets the value of the specified property.

Syntax

C#
SetProperty(propertyName, value)
VB
SetProperty(propertyName, value)
Variable | Description
propertyName | The case-sensitive name of the property. String.
value | The new value for the property. Object.


SetRegistryValue Method (SystemFunctions)

Class

SystemFunctions.

Action

Sets the value of the specified registry key.

Syntax

C#

bSuccess = SetRegistryValue (rcCategory, sKeyPath, sValueName, sNewValue);

VB

bSuccess = SetRegistryValue (rcCategory, sKeyPath, sValueName, sNewValue)
Variable | Description
bSuccess | Returns true if the registry key could be set, false otherwise . Boolean.
rcCategory | The root key for the registry. RegistryCategory.
sKeyPath | The path to the registry key. String.
sValueName | The name of the value. String.
sNewValue | The new value. String.


Size Property (FileInfo)

Class

FileInfo.

Action

Gets the size of the file. Returns 0.0 for directories. The unit for the file size is determined when using the methods GetFileInfo and GetDirectoryContents.

Syntax

C#

public Double Size { get; }

VB

Public Read Property Size As Double

Access

Read only.


ToString Method (ExecutionResult)

Class

ExecutionResult.

Action

Returns the exit code as a string.

Syntax

C#

sExitCode = ToString ();

VB

sExitCode = ToString ()
Variable | Description
sExitCode | The exit code. String.


Verify Method (TestObject)

Class

TestObject.

Action

Executes a verification on the given asset in the context of this UI object. Returns whether the verification was successful or not.

Syntax

C#
result = TestObject.Verify(testObject, verificationAsset)
VB
result = TestObject.Verify(testObject, verificationAsset)
Variable | Description
result | Whether the verification was successful or not. Boolean.
testObject | Defines which object to verify. TestObject.
verificationAsset | The name of the verification asset to execute. String.


A Property

Class

Color.

Action

Gets the value of the alpha RGB channel of the color.

Syntax

C#
public readonly int A
VB
Public Readonly Property A As Integer

Access

Read only.

Example

To get the value of the alpha RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim alphaValue As Integer
  alphaValue = myColor.A()
End Sub


BLACK Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF000000.

Syntax

C#
public static readonly Color BLACK
VB
Public Shared ReadOnly BLACK As Color

Access

Read only.


BLUE Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF0000FF.

Syntax

C#
public static readonly Color BLUE
VB
Public Shared ReadOnly BLUE As Color

Access

Read only.


B Property

Class

Color.

Action

Gets the value of the blue RGB channel of the color.

Syntax

C#
public readonly int B
VB
Public Readonly Property B As Integer

Access

Read only.

Example

To get the value of the blue RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim blueValue As Integer
  blueValue = myColor.B()
End Sub


Center Property

Class

Rectangle.

Action

Gets the center of the Rectangle.

Syntax

C#
public readonly Point Center
VB
Public Readonly Property Center As Point

Access

Read only.


Children Property

Class

TreeNode.

Action

Gets the child nodes of the TreeNode.

Syntax

C#
public readonly IList<TreeNode> RootNodes
VB
Public ReadOnly Property RootNodes As IList<TreeNode>

Access

Read only.


Column Property

Class

TextPosition.

Action

Gets the column.

Syntax

C#
public readonly int Column
VB
Public Readonly Property Column As Integer

Access

Read only.


Contains(Point) Method

Class

Rectangle.

Action

Returns true if the current Rectangle contains the specified Point. Returns false otherwise.

Syntax

C#
public bool Contains (Point point)
VB
Public Function Contains (point As Point) As Boolean


Contains(Rectangle) Method

Class

Rectangle.

Action

Returns true if the current Rectangle contains the specified Rectangle. Returns false otherwise.

Syntax

C#
public bool Contains (Rectangle rect)
VB
Public Function Contains (rect As Rectangle) As Boolean


Contains(X,Y) Method

Class

Rectangle.

Action

Returns true if the current Rectangle contains the specified coordinates. Returns false otherwise.

Syntax

C#
public bool Contains (int x, int y)
VB
Public Function Contains (x As Integer, y As Integer) As Boolean


CYAN Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF00FFFF.

Syntax

C#
public static readonly Color CYAN
VB
Public Shared ReadOnly CYAN As Color

Access

Read only.


EndColumn Property

Class

TextRange.

Action

Gets the end column of the range.

Syntax

C#
public readonly int EndColumn
VB
Public Readonly Property EndColumn As Integer

Access

Read only.


EndLine Property

Class

TextRange.

Action

Gets the end line of the range.

Syntax

C#
public readonly int EndLine
VB
Public Readonly Property EndLine As Integer

Access

Read only.


G Property

Class

Color.

Action

Gets the value of the green RGB channel of the color.

Syntax

C#
public readonly int G
VB
Public Readonly Property G As Integer

Access

Read only.

Example

To get the value of the green RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim greenValue As Integer
  greenValue = myColor.G()
End Sub


Green Field

Class

Color.

Action

Gets the color that has the ARGB value of #FF00FF00.

Syntax

C#
public static readonly Color GREEN
VB
Public Shared ReadOnly GREEN As Color

Access

Read only.


Height Property

Class

Rectangle.

Action

Gets the height of the Rectangle.

Syntax

C#
public readonly int Height
VB
Public Readonly Property Height As Integer

Access

Read only.


IsEmpty Property

Class

Rectangle.

Action

Determines whether the rectangle is empty.

Syntax

C#
public readonly bool IsEmpty
VB
Public Readonly Property IsEmpty As Boolean

Access

Read only.


Line Property

Class

TextPosition.

Action

Gets the line.

Syntax

C#
public readonly int Line
VB
Public Readonly Property Line As Integer

Access

Read only.


MAGENTA Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFF00FF.

Syntax

C#
public static readonly Color MAGENTA
VB
Public Shared ReadOnly MAGENTA As Color

Access

Read only.


Maximum Property

Class

Range.

Action

Gets the maximum of a Range.

Syntax

C#
public readonly int Maximum
VB
Public Readonly Property Maximum As Integer

Access

Read only.


Minimum Property

Class

Range.

Action

Gets the minimum of a Range.

Syntax

C#
public readonly int Minimum
VB
Public Readonly Property Minimum As Integer

Access

Read only.


RED Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFF0000.

Syntax

C#
public static readonly Color RED
VB
Public Shared ReadOnly RED As Color

Access

Read only.


RootNodes Property

Class

TreeContent.

Action

Gets the root nodes of the corresponding tree.

Syntax

C#
public readonly IList<TreeNode> RootNodes
VB
Public ReadOnly Property RootNodes As IList<TreeNode>

Access

Read only.


R Property

Class

Color.

Action

Gets the value of the red RGB channel of the color.

Syntax

C#
public readonly int R
VB
Public Readonly Property R As Integer

Access

Read only.

Example

To get the value of the red RGB channel of the color cyan, type the following:
'VB code
Public Sub Main()
     Dim myColor As Color(0,255,255,255)
  Dim redValue As Integer
  redValue = myColor.R()
End Sub


StartColumn Property

Class

TextRange.

Action

Gets the start column of the range.

Syntax

C#
public readonly int StartColumn
VB
Public Readonly Property StartColumn As Integer

Access

Read only.


StartLine Property

Class

TextRange.

Action

Gets the start line of the range.

Syntax

C#
public readonly int StartLine
VB
Public Readonly Property StartLine As Integer

Access

Read only.


Text Property (TreeNode)

Class

TreeNode.

Action

Gets the text of the TreeNode.

Syntax

C#
public readonly String Text
VB
Public ReadOnly Property Text As String

Access

Read only.


WHITE Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFFFFFF.

Syntax

C#
public static readonly Color WHITE
VB
Public Shared ReadOnly WHITE As Color

Access

Read only.


Width Property

Class

Rectangle.

Action

Gets the width of the Rectangle.

Syntax

C#
public readonly int Width
VB
Public Readonly Property Width As Integer

Access

Read only.


X Property

Class

Point and Rectangle.

Action

Gets the x coordinate.

Syntax

C#
public readonly int X
VB
Public Readonly Property X As Integer

Access

Read only.


YELLOW Field

Class

Color.

Action

Gets the color that has the ARGB value of #FFFFFF00.

Syntax

C#
public static readonly Color YELLOW
VB
Public Shared ReadOnly YELLOW As Color

Access

Read only.


Y Property

Class

Point and Rectangle.

Action

Gets the y coordinate.

Syntax

C#
public readonly int Y
VB
Public Readonly Property Y As Integer

Access

Read only.


AllowDeselection Property (SparkButtonBarButton)

Class

SparkButtonBarButton.

Action

Gets a value whether the user click on a currently selected button deselects it.

Syntax

C#
protected Boolean allowDeselection { get; }
VB
'Declaration
Protected Read Property allowDeselection As Boolean

Access

Read only.


AllowDisjointSelection Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether non-contiguous selection is allowed in the DateChooser control.

If true, non-contiguous selection is allowed in the DateChooser control. This property has an effect only if the allowMultipleSelection property is true. Setting this property changes the appearance of the DateChooser control.

The default value is true.

Syntax

C#
protected Boolean allowDisjointSelection { get; }
VB
'Declaration
Protected Read Property allowDisjointSelection As Boolean

Access

Read only.


AllowDragSelection Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether drag-selection is enabled. Drag-Selection is the ability to select an item by dragging into it as opposed to normal selection where you can't have the mouse button down when you mouse over the item you want to select.

This feature is used in ComboBox dropdowns to support pressing the mouse button when the mouse is over the dropdown button then dragging the mouse into the dropdown to select an item.

The default value is false.

Syntax

C#
protected Boolean allowDragSelection { get; }
VB
'Declaration
Protected Read Property allowDragSelection As Boolean

Access

Read only.


AllowMultipleSelection Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether multiple selection is allowed in the DateChooser control.

If true, specifies that multiple selection is allowed in the DateChooser control.

The default value is false.

Syntax

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

Access

Read only.


AllowMultipleSelection Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether you can allow more than one item to be selected at the same time.

If true, users can select multiple items. There is no option to disallow noncontiguous selection. Standard complex selection options are always in effect (Shift-click, Ctrl-click).

The default value is false.

Syntax

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

Access

Read only.


AllowMultipleSelection Property (SparkList)

Class

SparkList.

Action

Gets a value if multiple selection is enabled.

Syntax

C#
protected Boolean allowMultipleSelection { get; }
VB
'Declaration
Protected Read Property allowMultipleSelection As Boolean

Access

Read only.


AllowValueWrap Property (SparkSpinner)

Class

SparkSpinner.

Action

Gets the behavior of the control for a step when the current value is either the maximum or minimum value.

Syntax

C#
protected Boolean allowValueWrap { get; }
VB
'Declaration
Protected Read Property allowValueWrap As Boolean

Access

Read only.


Alpha Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the alpha transparency value of the object specified.

Valid values are 0 (fully transparent) to 1 (fully opaque). The default value is 1. Display objects with alpha set to 0 are active, even though they are invisible.

Syntax

C#
protected Double alpha { get; }
VB
'Declaration
Protected Read Property alpha As Double

Access

Read only.


AlternatingItemColors Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the set of BackgroundColors for drop-down list rows in an alternating pattern.

Value can be an Array of two of more colors. If undefined then the rows will use the drop-down list's backgroundColor style. The default value is undefined.

Syntax

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

Access

Read only.


AlternatingItemColors Property (FlexListBase)

Class

FlexListBase.

Action

Gets the colors to use for the backgrounds of the items in the list.

The value is an array of two or more colors. The backgrounds of the list items alternate among the colors in the array. Used only if the backgroundColor property is not specified. The default value is undefined.

Syntax

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

Access

Read only.


AlternatingItemColors Property (FlexMenu)

Class

FlexMenu.

Action

Gets the colors used for menu or submenu menu items in an alternating pattern.

The value can be an Array of two or more colors. This style is only used if backgroundColor is not specified. The default value is undefined.

Syntax

C#
protected List(Of Color) alternatingItemColors { get; }
VB
'Declaration
Protected Read Property alternatingItemColors As List(Of Color)

Access

Read only.


AlwaysInFront Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


AlwaysInFront Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


AlwaysInFront Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


AlwaysInFront Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the underlying NativeWindow is always in front of other windows.

Syntax

C#
protected Boolean alwaysInFront { get; }
VB
'Declaration
Protected Read Property alwaysInFront As Boolean

Access

Read only.


ApplicationID Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the identifier that AIR uses to identify the application.

Syntax

C#
protected String applicationID { get; }
VB
'Declaration
Protected Read Property applicationID As String

Access

Read only.


ApplicationID Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the identifier that AIR uses to identify the application.

Syntax

C#
protected String applicationID { get; }
VB
'Declaration
Protected Read Property applicationID As String

Access

Read only.


AutoDisplayFirstFrame Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video is loaded when the source is set.

Syntax

C#
protected Boolean autoDisplayFirstFrame { get; }
VB
'Declaration
Protected Read Property autoDisplayFirstFrame As Boolean

Access

Read only.


AutoExit Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the AIR application will quit when the last window closes or will continue running in the background.

Syntax

C#
protected Boolean autoExit { get; }
VB
'Declaration
Protected Read Property autoExit As Boolean

Access

Read only.


AutoExit Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the AIR application will quit when the last window closes or will continue running in the background.

Syntax

C#
protected Boolean autoExit { get; }
VB
'Declaration
Protected Read Property autoExit As Boolean

Access

Read only.


AutoLayout Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether measurement and layout are done when the position or size of a child is changed.

Syntax

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

Access

Read only.


AutoLayout Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets whether measurement and layout are done when the position or size of a child is changed.

Syntax

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

Access

Read only.


AutoLayout Property (SparkSkinnableDataContainer)

Class

SparkSkinnableDataContainer.

Action

Gets the measurement and layout are done when the position or size of a child is changed.

Syntax

C#
protected Boolean autoLayout { get; }
VB
'Declaration
Protected Read Property autoLayout As Boolean

Access

Read only.


AutomationClassName Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationClassName Property (FlexObject)

Class

FlexObject.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationClassName Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationClassName Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets a string containing the automation class name for the element.

Syntax

C#
protected String automationClassName { get; }
VB
'Declaration
Protected Read Property automationClassName As String

Access

Read only.


AutomationIndex Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationIndex Property (FlexObject)

Class

FlexObject.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationIndex Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationIndex Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets a string containing the automation index for the element.

Syntax

C#
protected String automationIndex { get; }
VB
'Declaration
Protected Read Property automationIndex As String

Access

Read only.


AutomationName Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationName Property (FlexObject)

Class

FlexObject.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationName Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationName Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the name that can be used as an identifier for this object.

Syntax

C#
protected String automationName { get; }
VB
'Declaration
Protected Read Property automationName As String

Access

Read only.


AutomationValue Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets the value that generally corresponds to the rendered appearance of the object and should be usable for correlating the identifier with the object as it appears visually within the application.

Syntax

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

Access

Read only.


AutomationValue Property (SparkDataGridLabel)

Class

SparkDataGridLabel.

Action

Gets a value which can be used to uniquely identify this item.

Syntax

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

Access

Read only.


AutomationValue Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value which can be used to uniquely identify this item.

Syntax

C#
protected String automationValue { get; }
VB
'Declaration
Protected Read Property automationValue As String

Access

Read only.


AutoPlay Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video starts playing immediately when the source property is set.

Syntax

C#
protected Boolean autoPlay { get; }
VB
'Declaration
Protected Read Property autoPlay As Boolean

Access

Read only.


AutoRepeat Property (SparkButtonBase)

Class

SparkButtonBase.

Action

Gets whether to dispatch repeated buttonDown events if the user holds down the mouse button.

Syntax

C#
protected Boolean autoRepeat { get; }
VB
'Declaration
Protected Read Property autoRepeat As Boolean

Access

Read only.


AutoRewind Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the FLV file should rewind to the first frame when play stops.

Syntax

C#
protected Boolean autoRewind { get; }
VB
'Declaration
Protected Read Property autoRewind As Boolean

Access

Read only.


BackgroundAlpha Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style.

Valid values range from 0.0 to 1.0.

For most controls, the default value is 1.0, but for ToolTip controls, the default value is 0.95 and for Alert controls, the default value is 0.9. The default value is 1.0.

Syntax

C#
protected Double backgroundAlpha { get; }
VB
'Declaration
Protected Read Property backgroundAlpha As Double

Access

Read only.


BackgroundAlpha Property (FlexContainer)

Class

FlexContainer.

Action

Gets the alpha level of the color defined by the backgroundColor property, of the image or SWF file defined by the backgroundImage style. Valid values range from 0.0 to 1.0.

For most controls, the default value is 1.0, but for ToolTip controls, the default value is 0.95 and for Alert controls, the default value is 0.9. The default value is 1.0.

Syntax

C#
protected Double backgroundAlpha { get; }
VB
'Declaration
Protected Read Property backgroundAlpha As Double

Access

Read only.


BackgroundColor Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the background color of a component.

You can have both a backgroundColor and a backgroundImage set. Some components do not have a background. The DataGrid control ignores this style. The default value is undefined, which means it is not set. If both this style and the backgroundImage style are undefined, the component has a transparent background.

For the Application container, this style specifies the background color while the application loads, and a background gradient while it is running. Flex calculates the gradient pattern between a color slightly darker than the specified color, and a color slightly lighter than the specified color.

The default skins of most Flex controls are partially transparent. As a result, the background color of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

Access

Read only.


BackgroundColor Property (FlexContainer)

Class

FlexContainer.

Action

Gets the background color of a component.

You can have both a backgroundColor and a backgroundImage set. Some components do not have a background. The DataGrid control ignores this style. The default value is undefined, which means it is not set. If both this style and the backgroundImage style are undefined, the component has a transparent background.

For the Application container, this style specifies the background color while the application loads, and a background gradient while it is running. Flex calculates the gradient pattern between a color slightly darker than the specified color, and a color slightly lighter than the specified color.

The default skins of most Flex controls are partially transparent. As a result, the background color of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

Access

Read only.


BackgroundColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the background color of the component.

The default value is undefined, which means it is not set and the component has a transparent background.

The default skins of most Flex controls are partially transparent. As a result, the background color of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected Color backgroundColor { get; }
VB
'Declaration
Protected Read Property backgroundColor As Color

Access

Read only.


BackgroundDisabledColor Property (FlexContainer)

Class

FlexContainer.

Action

Gets the background color of the component when it is disabled. The global default value is undefined.

The default value for List controls is 0xDDDDDD (light gray). If a container is disabled, the background is dimmed, and the degree of dimming is controlled by the disabledOverlayAlpha style.

Syntax

C#
protected Color backgroundDisabledColor { get; }
VB
'Declaration
Protected Read Property backgroundDisabledColor As Color

Access

Read only.


BackgroundDisabledColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color backgroundDisabledColor { get; }
VB
'Declaration
Protected Read Property backgroundDisabledColor As Color

Access

Read only.


BackgroundImage Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the background image of a component.

This can be an absolute or relative URL or class.

You can either have both a backgroundColor and a backgroundImage set at the same time. The background image is displayed on top of the background color. The default value is undefined, meaning "not set." If this style and the backgroundColor style are undefined, the component has a transparent background.

The default skins of most Flex controls are partially transparent. As a result, the background image of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected String backgroundImage { get; }
VB
'Declaration
Protected Read Property backgroundImage As String

Access

Read only.


BackgroundImage Property (FlexContainer)

Class

FlexContainer.

Action

Gets the background image of a component. This can be an absolute or relative URL or class.

You can either have both a backgroundColor and a backgroundImage set at the same time. The background image is displayed on top of the background color. The default value is undefined, meaning "not set." If this style and the backgroundColor style are undefined, the component has a transparent background.

The default skins of most Flex controls are partially transparent. As a result, the background image of a container partially shows through to controls that are in that container. You can avoid this by setting the alpha values of the control's fillAlphas property to 1.

Syntax

C#
protected String backgroundImage { get; }
VB
'Declaration
Protected Read Property backgroundImage As String

Access

Read only.


BackgroundSize Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the percentage to change the image size to for the specified backgroundImage.

A value of 100% stretches the image to fit the entire component. To specify a percentage value, you must include the percent sign (%). The default for the Application container is 100%. The default value for all other containers is auto, which maintains the original size of the image.

Syntax

C#
protected String backgroundSize { get; }
VB
'Declaration
Protected Read Property backgroundSize As String

Access

Read only.


BackgroundSize Property (FlexContainer)

Class

FlexContainer.

Action

Gets the percentage to change the image size to for the specified backgroundImage.

A value of 100% stretches the image to fit the entire component. To specify a percentage value, you must include the percent sign (%). The default for the Application container is 100%. The default value for all other containers is auto, which maintains the original size of the image.

Syntax

C#
protected String backgroundSize { get; }
VB
'Declaration
Protected Read Property backgroundSize As String

Access

Read only.


BarColor Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the color of a ProgressBar.

A ProgressBar is filled with a vertical gradient between this color and a brighter color computed from it. This style has no effect on other components, but can be set on a container to control the appearance of all progress bars found within. The default value is undefined, which means it is not set. In this case, the themeColor style property is used.

Syntax

C#
protected Color barColor { get; }
VB
'Declaration
Protected Read Property barColor As Color

Access

Read only.


BarWidthRatio Property (FlexBarChart)

Class

FlexBarChart.

Action

Gets how wide to draw the bars relative to the category width, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the bar's available space. The actual bar width used is the smaller of the barWidthRatio property and the maxbarWidth property Clustered bars divide this space proportionally among the bars in each cluster. The default value is 0.65.

Syntax

C#
protected Double barWidthRatio { get; }
VB
'Declaration
Protected Read Property barWidthRatio As Double

Access

Read only.


BarWidthRatio Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the width to render the bars relative to the category width.

A value of 1 uses the entire space, while a value of .6 uses 60% of the bar's available space. You typically do not set this property directly. The actual bar width used is the smaller of barWidthRatio and the maxbarWidth property

The default value is .65.

Syntax

C#
protected Double barWidthRatio { get; }
VB
'Declaration
Protected Read Property barWidthRatio As Double

Access

Read only.


BlendMode Property (SparkGroup)

Class

SparkGroup.

Action

Gets a value from the BlendMode class that specifies which blend mode to use.

Syntax

C#
protected String blendMode { get; }
VB
'Declaration
Protected Read Property blendMode As String

Access

Read only.


BorderColor Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the black section of a three-dimensional border, or the color section of a two-dimensional border. The default value is 0xB7BABC.

Syntax

C#
protected Color borderColor { get; }
VB
'Declaration
Protected Read Property borderColor As Color

Access

Read only.


BytesLoaded Property (SparkImage)

Class

SparkImage.

Action

Gets the number of bytes of the image already loaded.

Syntax

C#
protected Double bytesLoaded { get; }
VB
'Declaration
Protected Read Property bytesLoaded As Double

Access

Read only.


BytesLoaded Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the number of bytes of data that have been downloaded into the application.

Syntax

C#
protected Double bytesLoaded { get; }
VB
'Declaration
Protected Read Property bytesLoaded As Double

Access

Read only.


BytesTotal Property (SparkImage)

Class

SparkImage.

Action

Gets the total image data in bytes loaded or pending load.

Syntax

C#
protected Double bytesTotal { get; }
VB
'Declaration
Protected Read Property bytesTotal As Double

Access

Read only.


BytesTotal Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the total size in bytes of the data being downloaded into the application.

Syntax

C#
protected Double bytesTotal { get; }
VB
'Declaration
Protected Read Property bytesTotal As Double

Access

Read only.


CalloutGap Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets how much space, in pixels, to insert between the edge of the pie and the labels when rendering callouts. The default value is 10.

Syntax

C#
protected Double calloutGap { get; }
VB
'Declaration
Protected Read Property calloutGap As Double

Access

Read only.


CanDropLabels Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether the AxisRenderer should drop labels as necessary to lay out correctly.

Set to true to cause the AxisRenderer to drop overlapping labels when rendering. Labels are always rendered at regular intervals. If necessary, the AxisRenderer will render every other label, or every third label, but never drop two or more consecutive labels.

Set to false to cause the AxisRenderer to use other schemes (rotation, scaling) to lay out the labels.

If you do not explicitly set this style, the AxisRenderer defaults to an appropriate value based on the type of axis being rendered.

Syntax

C#
protected Boolean canDropLabels { get; }
VB
'Declaration
Protected Read Property canDropLabels As Boolean

Access

Read only.


CanStagger Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether to stagger labels on two label rows. Use this setting to minimize the space required for the labels. The default value is true, which staggers the labels.

Syntax

C#
protected Boolean canStagger { get; }
VB
'Declaration
Protected Read Property canStagger As Boolean

Access

Read only.


CaretIndex Property (SparkListBase)

Class

SparkListBase.

Action

Gets the item that is currently in focus.

Syntax

C#
protected Double caretIndex { get; }
VB
'Declaration
Protected Read Property caretIndex As Double

Access

Read only.


ChangeFocus Method (FlexObject)

Class

FlexObject.

Action

Changes the current focus.

Syntax

C#
object.ChangeFocus([shiftKey, keyCode])
VB
object.ChangeFocus([shiftKey, keyCode])
Variable | Description
shiftKey | Optional: true to activate the shift key modifier. Boolean.
keyCode | Optional: the key code value of the key pressed or released. String.


ChangeFocus Method (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Defines the value of the type property of a keyFocusChange event object.

Syntax

C#
uIMovieClip.ChangeFocus([shiftKey, keyCode])
VB
uIMovieClip.ChangeFocus([shiftKey, keyCode])
Variable | Description
shiftKey | Optional: True if the Shift key modifier is activated; false otherwise. Boolean.
keyCode | Optional: The key code value of the key pressed to trigger a keyFocusChange event. String.


Change Method (FlexAccordion)

Class

FlexAccordion.

Action

Dispatched when the selected child container changes.

The IndexChangedEvent.CHANGE constant defines the value of the type property of the event object for a change event, which indicates that an index has changed, such as when an Accordion control changes the displayed panel or a ViewStack changes views.

Syntax

C#
accordion.Change([relatedObject])
VB
accordion.Change([relatedObject])
Variable | Description
relatedObject | Optional: Contains a reference to the child object that corresponds to the new index. String.


Change Method (FlexColorPicker)

Class

FlexColorPicker.

Action

Dispatched when the selected color changes as a result of user interaction.

Syntax

C#
colorPicker.Change(color)
VB
colorPicker.Change(color)
Variable | Description
color | The RGB color that was selected. Color.


Change Method (FlexDateChooser)

Class

FlexDateChooser.

Action

Dispatched when a date is selected or changed.

Syntax

C#
dateChooser.Change(newDate)
VB
dateChooser.Change(newDate)
Variable | Description
newDate | The date selected in the control. DateTime?.


Change Method (FlexDateField)

Class

FlexDateField.

Action

Dispatched when a date is selected or changed, and the DateChooser control closes.

Syntax

C#
dateField.Change(newDate)
VB
dateField.Change(newDate)
Variable | Description
newDate | The date selected in the control. DateTime?.


Change Method (FlexNavigationBar)

Class

FlexNavigationBar.

Action

Defines the value of the type property of the event object for an itemClick event.

Syntax

C#
navigationBar.Change(relatedObject)
VB
navigationBar.Change(relatedObject)
Variable | Description
relatedObject | The child object that generated the event. String.


Change Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Dispatched when the value of the NumericStepper control changes as a result of user interaction.

Syntax

C#
numericStepper.Change(value)
VB
numericStepper.Change(value)
Variable | Description
value | The value of the NumericStepper control when the event was dispatched. Double.


Change Method (FlexSlider)

Class

FlexSlider.

Action

Dispatched when the slider changes value due to mouse or keyboard interaction.

Syntax

C#
slider.Change(value, [thumbIndex, clickTarget, triggerEvent, keyCode])
VB
slider.Change(value, [thumbIndex, clickTarget, triggerEvent, keyCode])
Variable | Description
value | The new value of the slider. Double.
thumbIndex | Optional: The zero-based index of the thumb whose position has changed. Integer.
clickTarget | Optional: Whether the slider track or a slider thumb was pressed. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyCode | Optional: The key code value of the key pressed or released. String.


Change Method (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Defines the value of the type property of the event object for an itemClick event.

Syntax

C#
tabNavigator.Change(relatedObject)
VB
tabNavigator.Change(relatedObject)
Variable | Description
relatedObject | The child object that generated the event. String.


Change Method (SparkSpinner)

Class

SparkSpinner.

Action

Dispatched when the value of the NumericStepper changes as a result of user interaction.

Syntax

C#
spinner.Change(value)
VB
spinner.Change(value)
Variable | Description
value | The value of the NumericStepper when the change occured. Double.


Change Method (SparkTrackBase)

Class

SparkTrackBase.

Action

Dispatched when the value of the NumericStepper changes as a result of user interaction.

Syntax

C#
trackBase.Change(value)
VB
trackBase.Change(value)
Variable | Description
value | The value of the NumericStepper when the change occured. Double.


ClassName Property (FlexListLabel)

Class

FlexListLabel.

Action

Gets the name of this instance's class, such as "Button".

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClassName Property (FlexObject)

Class

FlexObject.

Action

Gets the name of this instance's class, such as Button.

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClassName Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the class name of the element as assigned by the control developer.

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClassName Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the name of this instance's class, such as "Button".

Syntax

C#
protected String className { get; }
VB
'Declaration
Protected Read Property className As String

Access

Read only.


ClearOnLoad Property (SparkImage)

Class

SparkImage.

Action

Gets whether or not to clear previous image content prior to loading new content.

Syntax

C#
protected Boolean clearOnLoad { get; }
VB
'Declaration
Protected Read Property clearOnLoad As Boolean

Access

Read only.


ClipAndEnableScrolling Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether to clip the children to the boundaries of the viewport.

Syntax

C#
protected Boolean clipAndEnableScrolling { get; }
VB
'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

Access

Read only.


ClipAndEnableScrolling Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets whether to clip the children to the boundaries of the viewport.

Syntax

C#
protected Boolean clipAndEnableScrolling { get; }
VB
'Declaration
Protected Read Property clipAndEnableScrolling As Boolean

Access

Read only.


ClipContent Property (FlexChart)

Class

FlexChart.

Action

Gets whether Flex clips the chart to the area bounded by the axes. Set to false to clip the chart. Set to true to avoid clipping when the data is rendered.

Syntax

C#
protected Boolean clipContent { get; }
VB
'Declaration
Protected Read Property clipContent As Boolean

Access

Read only.


Closed Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Closed Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Closed Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Closed Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the underlying window has been closed.

Syntax

C#
protected Boolean closed { get; }
VB
'Declaration
Protected Read Property closed As Boolean

Access

Read only.


Close Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Closes or collapses a AdvancedDataGrid branch.

Syntax

C#
advancedDataGrid.Close(itemRenderer, [triggerEvent])
VB
advancedDataGrid.Close(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the node that closed. String.
triggerEvent | Optional: If the node closed in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


Close Method (FlexComboBase)

Class

FlexComboBase.

Action

Defines the value of the type property of the event object for a close event.

Syntax

C#
comboBase.Close([triggerEvent])
VB
comboBase.Close([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Close Method (FlexPopUpButton)

Class

FlexPopUpButton.

Action

Dispatched when the specified UIComponent closes.

The DropdownEvent.CLOSE constant defines the value of the type property of the event object for a close event.

Syntax

C#
popUpButton.Close([triggerEvent])
VB
popUpButton.Close([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Close Method (FlexTree)

Class

FlexTree.

Action

Closes or collapses a tree branch.

Syntax

C#
tree.Close(itemRenderer, [triggerEvent])
VB
tree.Close(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the node that closed. String.
triggerEvent | Optional: If the node closed in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


ColorCorrection Property (SparkApplication)

Class

SparkApplication.

Action

Gets the value of the stage's colorCorrection property.

Syntax

C#
protected String colorCorrection { get; }
VB
'Declaration
Protected Read Property colorCorrection As String

Access

Read only.


Color Property (FlexButton)

Class

FlexButton.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the color of text in the component, including the component label.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexLabel)

Class

FlexLabel.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexRule)

Class

FlexRule.

Action

Gets the color of the line.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


Color Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the color of text in the component, including the component label. The default value is 0x0B333C.

Syntax

C#
protected Color color { get; }
VB
'Declaration
Protected Read Property color As Color

Access

Read only.


ColumnCount Property (FlexColorPicker)

Class

FlexColorPicker.

Action

Gets the number of columns in the swatch grid. The default value is 20.

Deprecated Since 3.0: Use swatchPanelStyleName

Syntax

C#
protected Integer columnCount { get; }
VB
'Declaration
Protected Read Property columnCount As Integer

Access

Read only.


ColumnCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the number of columns to be displayed in a TileList control or items in a HorizontalList control.

For the DataGrid it is the number of visible columns. Note: Setting this property has no effect on a DataGrid control, which bases the number of columns on the control width and the individual column widths.

The default value is 4.

Syntax

C#
protected Integer columnCount { get; }
VB
'Declaration
Protected Read Property columnCount As Integer

Access

Read only.


ColumnGroupedADGHeaderShift Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.

Syntax

C#
advancedDataGrid.ColumnGroupedADGHeaderShift(movingColumnIndex, newColumnIndex, oldColumnIndex, [triggerEvent])
VB
advancedDataGrid.ColumnGroupedADGHeaderShift(movingColumnIndex, newColumnIndex, oldColumnIndex, [triggerEvent])
Variable | Description
movingColumnIndex | The data provider index of the item to be selected. Integer.
newColumnIndex | The zero-based index after the change. Integer.
oldColumnIndex | The zero-based index before the change. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the selection action. FlexTriggerEvent.


ColumnNames Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexChart)

Class

FlexChart.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexContainer)

Class

FlexContainer.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexListBase)

Class

FlexListBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexMenu)

Class

FlexMenu.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnNames Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a list containing the names of all columns in the data.

Syntax

C#
protected List(Of String) columnNames { get; }
VB
'Declaration
Protected Read Property columnNames As List(Of String)

Access

Read only.


ColumnsLength Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the count of the columns.

Syntax

C#
protected Integer columnsLength { get; }
VB
'Declaration
Protected Read Property columnsLength As Integer

Access

Read only.


ColumnStretch Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.

Syntax

C#
advancedDataGrid.ColumnStretch(columnIndex, localX)
VB
advancedDataGrid.ColumnStretch(columnIndex, localX)
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.
localX | The x position of the mouse. Double.


ColumnStretch Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Dispatched when a user changes the width of a column, indicating that the amount of data displayed in that column may have changed.

If horizontalScrollPolicy is "off", other columns shrink or expand to compensate for the columns' resizing, and they also dispatch this event.

Syntax

C#
dataGrid.ColumnStretch(columnIndex, localX)
VB
dataGrid.ColumnStretch(columnIndex, localX)
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.
localX | The x position of the mouse. Double.


ColumnStretch Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Stretches the given column of the data grid.

Syntax

C#
dataGrid.ColumnStretch(columnIndex, localX)
VB
dataGrid.ColumnStretch(columnIndex, localX)
Variable | Description
columnIndex | The zero-based index of the selected column in the DataGrid object's columns array. Integer.
localX | The size of the column relative to the data grid. Double.


ColumnWidth Property (FlexListBase)

Class

FlexListBase.

Action

Gets the width of the control's columns.

This property is used by TileList and HorizontalList controls. It has no effect on DataGrid controls, where you set the individual DataGridColumn widths.

The default value is 50.

Syntax

C#
protected Double columnWidth { get; }
VB
'Declaration
Protected Read Property columnWidth As Double

Access

Read only.


ColumnWidthRatio Property (FlexCandlestickChart)

Class

FlexCandlestickChart.

Action

Gets a ratio of how wide to draw the candlesticks relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the column's available space. The actual candlestick width used is the smaller of the columnWidthRatio property and the maxColumnWidth property. Multiple candlestick series divide this space proportionally. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexColumnChart)

Class

FlexColumnChart.

Action

Gets a ratio of wide to draw the columns relative to the category width, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the column's available space. The actual column width used is the smaller of the columnWidthRatio property and the maxColumnWidth property. Clustered columns divide this space proportionally among the columns in each cluster. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the width of columns relative to the category width.

A value of 1 uses the entire space, while a value of .6 uses 60% of the column's available space. You typically do not set this property directly. The actual column width used is the smaller of columnWidthRatio and the maxColumnWidth property. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexHLOCChart)

Class

FlexHLOCChart.

Action

Gets a ratio of how wide to draw the HLOC lines relative to the horizontal axis's category widths, as a percentage in the range of 0 to 1.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the category's available space. The actual element width used is the smaller of the columnWidthRatio property and the maxColumnWidth property. Multiple element series divide this space proportionally. The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ColumnWidthRatio Property (FlexHLOCSeriesBase)

Class

FlexHLOCSeriesBase.

Action

Gets the width of elements relative to the category width.

A value of 1 uses the entire space, while a value of 0.6 uses 60% of the element's available space. You typically do not set this property directly. The actual element width used is the smaller of the columnWidthRatio and maxColumnWidth properties.

The default value is 0.65.

Syntax

C#
protected Double columnWidthRatio { get; }
VB
'Declaration
Protected Read Property columnWidthRatio As Double

Access

Read only.


ContentHeight Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the height of the viewport's content.

Syntax

C#
protected Double contentHeight { get; }
VB
'Declaration
Protected Read Property contentHeight As Double

Access

Read only.


ContentHeight Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the height of the text.

Syntax

C#
protected Double contentHeight { get; }
VB
'Declaration
Protected Read Property contentHeight As Double

Access

Read only.


ContentLoaderGrouping Property (SparkImage)

Class

SparkImage.

Action

Gets the optional content grouping identifier to pass to the an associated IContentLoader instance's load() method.

Syntax

C#
protected String contentLoaderGrouping { get; }
VB
'Declaration
Protected Read Property contentLoaderGrouping As String

Access

Read only.


ContentWidth Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the width of the viewport's contents.

Syntax

C#
protected Double contentWidth { get; }
VB
'Declaration
Protected Read Property contentWidth As Double

Access

Read only.


ContentWidth Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the width of the text.

Syntax

C#
protected Double contentWidth { get; }
VB
'Declaration
Protected Read Property contentWidth As Double

Access

Read only.


ControlBarVisible Property (SparkApplication)

Class

SparkApplication.

Action

Gets whether the control bar is visible.

Syntax

C#
protected Boolean controlBarVisible { get; }
VB
'Declaration
Protected Read Property controlBarVisible As Boolean

Access

Read only.


ControlBarVisible Property (SparkPanel)

Class

SparkPanel.

Action

Gets a value whether the control bar is visible.

Syntax

C#
protected Boolean controlBarVisible { get; }
VB
'Declaration
Protected Read Property controlBarVisible As Boolean

Access

Read only.


Conversion Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the number used to convert incoming current bytes loaded value and the total bytes loaded values.

Flex divides the current and total values by this property and uses the closest integer that is less than or equal to each value in the label string. A value of 1 does no conversion.

The default value is 1.

Syntax

C#
protected Double conversion { get; }
VB
'Declaration
Protected Read Property conversion As Double

Access

Read only.


Count Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the number of times this Repeater should execute.

Syntax

C#
protected Integer count { get; }
VB
'Declaration
Protected Read Property count As Integer

Access

Read only.


CreationIndex Property (FlexContainer)

Class

FlexContainer.

Action

Gets the order to instantiate and draw the children of the container.

This property can only be used when the creationPolicy property is set to ContainerCreationPolicy.QUEUED. Otherwise, it is ignored.

The default value is -1.

Syntax

C#
protected Integer creationIndex { get; }
VB
'Declaration
Protected Read Property creationIndex As Integer

Access

Read only.


CreationPolicy Property (FlexContainer)

Class

FlexContainer.

Action

Gets the child creation policy for this Container.

ActionScript values can be ContainerCreationPolicy.AUTO, ContainerCreationPolicy.ALL, ContainerCreationPolicy.NONE, or ContainerCreationPolicy.QUEUED. MXML values can be auto, all, none, or queued.

If no creationPolicy is specified for a container, that container inherits its parent's creationPolicy. If no creationPolicy is specified for the Application, it defaults to ContainerCreationPolicy.AUTO.

A creationPolicy of ContainerCreationPolicy.AUTO means that the container delays creating some or all descendants until they are needed, a process which is known as deferred instantiation. This policy produces the best startup time because fewer UIComponents are created initially. However, this introduces navigation delays when a user navigates to other parts of the application for the first time. Navigator containers such as Accordion, TabNavigator, and ViewStack implement the ContainerCreationPolicy.AUTO policy by creating all their children immediately, but wait to create the deeper descendants of a child until it becomes the selected child of the navigator container.

A creationPolicy of ContainerCreationPolicy.ALL means that the navigator containers immediately create deeper descendants for each child, rather than waiting until that child is selected. For single-view containers such as a VBox container, there is no difference between the ContainerCreationPolicy.AUTO and ContainerCreationPolicy.ALL policies.

A creationPolicy of ContainerCreationPolicy.QUEUED means that the container is added to a creation queue rather than being immediately instantiated and drawn. When the application processes the queued container, it creates the children of the container and then waits until the children have been created before advancing to the next container in the creation queue.

A creationPolicy of ContainerCreationPolicy.NONE means that the container creates none of its children. In that case, it is the responsibility of the MXML author to create the children by calling the createComponentsFromDescriptors method.

Syntax

C#
protected String creationPolicy { get; }
VB
'Declaration
Protected Read Property creationPolicy As String

Access

Read only.


CreationPolicy Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets the content creation policy for this component.

Syntax

C#
protected String creationPolicy { get; }
VB
'Declaration
Protected Read Property creationPolicy As String

Access

Read only.


CurrentState Property (FlexObject)

Class

FlexObject.

Action

Gets the current view state of the component.

Set to "" or null (Nothing in Visual Basic) to reset the component back to its base state.

Syntax

C#
protected String currentState { get; }
VB
'Declaration
Protected Read Property currentState As String

Access

Read only.


CurrentState Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the current state of this component.

For UIMovieClip, the value of the currentState property is the current frame label.

Syntax

C#
protected String currentState { get; }
VB
'Declaration
Protected Read Property currentState As String

Access

Read only.


CurrentTime Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the current time of the playhead, measured in seconds, since the video starting playing.

Syntax

C#
protected Double currentTime { get; }
VB
'Declaration
Protected Read Property currentTime As Double

Access

Read only.


DataTipField Property (FlexListBase)

Class

FlexListBase.

Action

Gets the name of the field in the data provider items to display as the data tip.

By default, the list looks for a property named label on each item and displays it. However, if the data objects do not contain a label property, you can set the dataTipField property to use a different property in the data object.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String dataTipField { get; }
VB
'Declaration
Protected Read Property dataTipField As String

Access

Read only.


DataTipMode Property (FlexChart)

Class

FlexChart.

Action

Gets how Flex displays DataTip controls for the chart.

DataTip controls are similar to ToolTip controls, except that they display an appropriate value that represents the nearest chart data point under the mouse pointer.

Possible values include single and multiple. Use single to show the data point closest to the mouse. Use multiple to show the data tips within the range of the mouse cursor.

Syntax

C#
protected String dataTipMode { get; }
VB
'Declaration
Protected Read Property dataTipMode As String

Access

Read only.


DataTipPrecision Property (FlexSlider)

Class

FlexSlider.

Action

Gets the number of decimal places to use for the data tip text.

A value of 0 means to round all values to an integer. The default value is 2.

Syntax

C#
protected Double dataTipPrecision { get; }
VB
'Declaration
Protected Read Property dataTipPrecision As Double

Access

Read only.


DefaultButtonFlag Property (FlexAlert)

Class

FlexAlert.

Action

Gets a bitflag that contains either Alert.OK, Alert.CANCEL, Alert.YES, or Alert.NO to specify the default button. The default value is Alert.OK.

Syntax

C#
protected Double defaultButtonFlag { get; }
VB
'Declaration
Protected Read Property defaultButtonFlag As Double

Access

Read only.


DefaultCellString Property (FlexOLAPDataGrid)

Class

FlexOLAPDataGrid.

Action

Gets the String displayed in a cell when the data for that cell returned by the IOLAPResult instance is null (Nothing in Visual Basic) or NaN.

The default value is NaN.

Syntax

C#
protected String defaultCellString { get; }
VB
'Declaration
Protected Read Property defaultCellString As String

Access

Read only.


DeferredContentCreated Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets whether deferred content has been created.

Syntax

C#
protected Boolean deferredContentCreated { get; }
VB
'Declaration
Protected Read Property deferredContentCreated As Boolean

Access

Read only.


DepthColors Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the array of colors used for the rows of each level of the navigation tree of the AdvancedDataGrid control, in descending order. The default value is undefined.

Syntax

C#
protected List(Of Color) depthColors { get; }
VB
'Declaration
Protected Read Property depthColors As List(Of Color)

Access

Read only.


DepthColors Property (FlexTree)

Class

FlexTree.

Action

Gets the array of colors used in the Tree control, in descending order. The default value is undefined.

Syntax

C#
protected List(Of Color) depthColors { get; }
VB
'Declaration
Protected Read Property depthColors As List(Of Color)

Access

Read only.


Description Property (FlexChart)

Class

FlexChart.

Action

Gets a short description of the data in the chart.

When accessibility is enabled, screen readers use this property to describe the chart. This string defaults to an empty string.

Syntax

C#
protected String description { get; }
VB
'Declaration
Protected Read Property description As String

Access

Read only.


Deselect Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when a previously selected item is deselected.

Syntax

C#
listBase.Deselect(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Deselect(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the controls. ModifierKeys.


Direction Property (FlexBox)

Class

FlexBox.

Action

Gets whether to use vertical (default) or horizontal layout.

Syntax

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

Access

Read only.


Direction Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the direction in which the fill of the ProgressBar expands toward completion. Valid values in MXML are "right" and "left".

In ActionScript, you use use the following constants to set this property: ProgressBarDirection.RIGHT and ProgressBarDirection.LEFT.

The default value is ProgressBarDirection.RIGHT.

Syntax

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

Access

Read only.


Direction Property (FlexSlider)

Class

FlexSlider.

Action

Gets the orientation of the slider control.

Syntax

C#
protected String direction { get; }
VB
'Declaration
Protected Read Property direction As String

Access

Read only.


DisabledColor Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the color of text in the component if it is disabled.

Syntax

C#
protected List(Of Color) disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As List(Of Color)

Access

Read only.


DisabledColor Property (FlexButton)

Class

FlexButton.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the background color of the component when it is disabled.

The global default value is undefined. The default value for List controls is 0xDDDDDD (light gray). If a container is disabled, the background is dimmed, and the degree of dimming is controlled by the disabledOverlayAlpha style.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexLabel)

Class

FlexLabel.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the color of text in the component if it is disabled. The default value is 0xAAB3B3.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the background color of a component.

You can have both a backgroundColor and a backgroundImage set. Some components do not have a background. The DataGrid control ignores this style. The default value is undefined, which means it is not set. If both this style and the backgroundImage style are undefined, the component has a transparent background.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledColor Property (FlexTree)

Class

FlexTree.

Action

Gets the disabled color of a list item. The default value is 0xDDDDDD.

Syntax

C#
protected Color disabledColor { get; }
VB
'Declaration
Protected Read Property disabledColor As Color

Access

Read only.


DisabledDays Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the days to disable in a week.

All the dates in a month, for the specified day, are disabled. This property changes the appearance of the DateChooser control. The elements of this array can have values from 0 (Sunday) to 6 (Saturday).

Syntax

C#
protected List(Of String) disabledDays { get; }
VB
'Declaration
Protected Read Property disabledDays As List(Of String)

Access

Read only.


DisabledDays Property (FlexDateField)

Class

FlexDateField.

Action

Gets the days to disable in a week.

Syntax

C#
protected List(Of String) disabledDays { get; }
VB
'Declaration
Protected Read Property disabledDays As List(Of String)

Access

Read only.


DisabledRanges Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the single and multiple days to disable.

Syntax

C#
protected List(Of String) disabledRanges { get; }
VB
'Declaration
Protected Read Property disabledRanges As List(Of String)

Access

Read only.


DisabledRanges Property (FlexDateField)

Class

FlexDateField.

Action

Gets the disabled single and multiple days.

Syntax

C#
protected List(Of String) disabledRanges { get; }
VB
'Declaration
Protected Read Property disabledRanges As List(Of String)

Access

Read only.


DisplayAsPassword Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether this control is used for entering passwords.

If true, the field does not display entered text, instead, each text character entered into the control appears as the character *. The default value is false.

Syntax

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

Access

Read only.


DisplayAsPassword Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

Access

Read only.


DisplayAsPassword Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean displayAsPassword { get; }
VB
'Declaration
Protected Read Property displayAsPassword As Boolean

Access

Read only.


DisplayedMonth Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the month displayed in the DateChooser control.

Month numbers are zero-based, so January is 0 and December is 11. Setting this property changes the appearance of the DateChooser control.

The default value is the current month.

Syntax

C#
protected Integer displayedMonth { get; }
VB
'Declaration
Protected Read Property displayedMonth As Integer

Access

Read only.


DisplayedMonth Property (FlexDateField)

Class

FlexDateField.

Action

Gets the month that is displayed in the DateChooser control.

Syntax

C#
protected Integer displayedMonth { get; }
VB
'Declaration
Protected Read Property displayedMonth As Integer

Access

Read only.


DisplayedYear Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the year displayed in the DateChooser control. The default value is the current year.

Syntax

C#
protected Integer displayedYear { get; }
VB
'Declaration
Protected Read Property displayedYear As Integer

Access

Read only.


DisplayedYear Property (FlexDateField)

Class

FlexDateField.

Action

Gets the year that is displayed in the DateChooser control.

Syntax

C#
protected Integer displayedYear { get; }
VB
'Declaration
Protected Read Property displayedYear As Integer

Access

Read only.


DisplayItemsExpanded Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether the navigation tree is expanded to show all items.

If true, expand the navigation tree to show all items. If a new branch is added, it is shown expanded. The default value is false.

Syntax

C#
protected Boolean displayItemsExpanded { get; }
VB
'Declaration
Protected Read Property displayItemsExpanded As Boolean

Access

Read only.


DisplayPopUp Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets whether the popUp is visible.

Syntax

C#
protected Boolean displayPopUp { get; }
VB
'Declaration
Protected Read Property displayPopUp As Boolean

Access

Read only.


DoubleSelect Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the ListEvent object for an itemDoubleClick event, which indicates that the user double-clicked the mouse over a visual item in the control.

To receive itemDoubleClick events, you must set the component's doubleClickEnabled property to true.

Syntax

C#
listBase.DoubleSelect(itemRenderer)
VB
listBase.DoubleSelect(itemRenderer)
Variable | Description
itemRenderer | The item renderer that was double-clicked. String.


DragCancel Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a dragComplete event.

Syntax

C#
chart.DragCancel([keyModifier])
VB
chart.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


DragCancel Method (FlexContainer)

Class

FlexContainer.

Action

Defines the value of the type property of the event object for a dragComplete event.

Syntax

C#
container.DragCancel([keyModifier])
VB
container.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when completing the drop. ModifierKeys.


DragCancel Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a dragComplete event.

Syntax

C#
listBase.DragCancel([keyModifier])
VB
listBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when completing the drop. ModifierKeys.


DragCancel Method (SparkCheckBox)

Class

SparkCheckBox.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
checkBox.DragCancel([keyModifier])
VB
checkBox.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when a drag operation is cancelled.

Syntax

C#
groupBase.DragCancel([keyModifier])
VB
groupBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkRadioButton)

Class

SparkRadioButton.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
radioButton.DragCancel([keyModifier])
VB
radioButton.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
richEditableText.DragCancel([keyModifier])
VB
richEditableText.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Dispatched when a drag operation is cancelled.

Syntax

C#
skinnableContainerBase.DragCancel([keyModifier])
VB
skinnableContainerBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkTextArea)

Class

SparkTextArea.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
textArea.DragCancel([keyModifier])
VB
textArea.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkTextBase)

Class

SparkTextBase.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
textBase.DragCancel([keyModifier])
VB
textBase.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkTextInput)

Class

SparkTextInput.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
textInput.DragCancel([keyModifier])
VB
textInput.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragCancel Method (SparkToggleButton)

Class

SparkToggleButton.

Action

The event triggered when a drag operation is cancelled.

Syntax

C#
toggleButton.DragCancel([keyModifier])
VB
toggleButton.DragCancel([keyModifier])
Variable | Description
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
chart.DragDrop(draggedItem, [localX, localY, keyModifier])
VB
chart.DragDrop(draggedItem, [localX, localY, keyModifier])
Variable | Description
draggedItem | The item being dragged. String.
localX | Optional: The horizontal coordinate at which the event occurred relative to the containing sprite. Double.
localY | Optional: The vertical coordinate at which the event occurred relative to the containing sprite. Double.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


DragDrop Method (FlexContainer)

Class

FlexContainer.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
container.DragDrop([draggedItem, keyModifier])
VB
container.DragDrop([draggedItem, keyModifier])
Variable | Description
draggedItem | Optional: The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dropping the object. ModifierKeys.


DragDrop Method (FlexContainerMovieClip)

Class

FlexContainerMovieClip.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
containerMovieClip.DragDrop(action, [draggedItem, keyModifier])
VB
containerMovieClip.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The action that caused the event. String.
draggedItem | Optional: The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


DragDrop Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a dragDrop event.

Syntax

C#
listBase.DragDrop(action, [draggedItem, keyModifier])
VB
listBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The action that caused the event: DragManager.COPY, DragManager.LINK, DragManager.MOVE, or DragManager.NONE. String.
draggedItem | Optional: The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dropping the control. ModifierKeys.


DragDrop Method (SparkCheckBox)

Class

SparkCheckBox.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
checkBox.DragDrop(action, [draggedItem, keyModifier])
VB
checkBox.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the dragged item is dropped.

Syntax

C#
groupBase.DragDrop(action, [draggedItem, keyModifier])
VB
groupBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkRadioButton)

Class

SparkRadioButton.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
radioButton.DragDrop(action, [draggedItem, keyModifier])
VB
radioButton.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
richEditableText.DragDrop(action, [draggedItem, keyModifier])
VB
richEditableText.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Dispatched when the dragged item is dropped.

Syntax

C#
skinnableContainerBase.DragDrop(action, [draggedItem, keyModifier])
VB
skinnableContainerBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkTextArea)

Class

SparkTextArea.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
textArea.DragDrop(action, [draggedItem, keyModifier])
VB
textArea.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkTextBase)

Class

SparkTextBase.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
textBase.DragDrop(action, [draggedItem, keyModifier])
VB
textBase.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkTextInput)

Class

SparkTextInput.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
textInput.DragDrop(action, [draggedItem, keyModifier])
VB
textInput.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragDrop Method (SparkToggleButton)

Class

SparkToggleButton.

Action

The event triggered when the dragged item is dropped.

Syntax

C#
toggleButton.DragDrop(action, [draggedItem, keyModifier])
VB
toggleButton.DragDrop(action, [draggedItem, keyModifier])
Variable | Description
action | The requested action. One of DragManager.COPY, DragManager.LINK, DragManager.MOVE, DragManager.NONE. String.
draggedItem | Optional: List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragEnabled Property (FlexChart)

Class

FlexChart.

Action

Gets whether you can drag items out of this chart and drop them on other controls.

If true, dragging is enabled for the chart. If the dropEnabled property is also true, you can drag items and drop them in the chart to reorder the items. The default value is false.

Syntax

C#
protected Boolean dragEnabled { get; }
VB
'Declaration
Protected Read Property dragEnabled As Boolean

Access

Read only.


DragEnabled Property (SparkList)

Class

SparkList.

Action

Gets a flag that indicates whether you can drag items out of this control and drop them on other controls.

Syntax

C#
protected Boolean dragEnabled { get; }
VB
'Declaration
Protected Read Property dragEnabled As Boolean

Access

Read only.


Dragged Method (FlexDividedBox)

Class

FlexDividedBox.

Action

Dispatched multiple times as the user drags any divider. The dividerDrag event is dispatched after the dividerPress event and before the dividerRelease event.

Syntax

C#
dividedBox.Dragged(dividerIndex, delta)
VB
dividedBox.Dragged(dividerIndex, delta)
Variable | Description
dividerIndex | Contains the zero-based index of the divider being dragged. The leftmost or topmost divider has a dividerIndex of 0. Integer.
delta | Contains the number of pixels that the divider has been dragged. Positive numbers represent a drag toward the right or bottom, negative numbers toward the left or top. Double.


Dragging Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value whether the SparkListLabel is in dragging mode.

Syntax

C#
protected Boolean dragging { get; }
VB
'Declaration
Protected Read Property dragging As Boolean

Access

Read only.


DragMoveEnabled Property (SparkList)

Class

SparkList.

Action

Gets a flag that indicates whether items can be moved instead of just copied from the control as part of a drag-and-drop operation.

Syntax

C#
protected Boolean dragMoveEnabled { get; }
VB
'Declaration
Protected Read Property dragMoveEnabled As Boolean

Access

Read only.


DragStart Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a dragStart event.

Syntax

C#
chart.DragStart(draggedItem, [localX, localY])
VB
chart.DragStart(draggedItem, [localX, localY])
Variable | Description
draggedItem | The item being dragged. String.
localX | Optional: The horizontal coordinate at which the event occurred relative to the containing sprite. Double.
localY | Optional: The vertical coordinate at which the event occurred relative to the containing sprite. Double.


DragStart Method (FlexContainer)

Class

FlexContainer.

Action

Defines the value of the type property of the event object for a dragStart event.

Syntax

C#
container.DragStart(draggedItem, [keyModifier])
VB
container.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dragging the object. ModifierKeys.


DragStart Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a dragStart event.

Syntax

C#
listBase.DragStart(draggedItem, [keyModifier])
VB
listBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The item being dragged. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when dragging the control. ModifierKeys.


DragStart Method (SparkCheckBox)

Class

SparkCheckBox.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
checkBox.DragStart(draggedItem, [keyModifier])
VB
checkBox.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the drag/drop operation begins.

Syntax

C#
groupBase.DragStart(draggedItem, [keyModifier])
VB
groupBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkRadioButton)

Class

SparkRadioButton.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
radioButton.DragStart(draggedItem, [keyModifier])
VB
radioButton.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
richEditableText.DragStart(draggedItem, [keyModifier])
VB
richEditableText.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Dispatched when the drag/drop operation begins.

Syntax

C#
skinnableContainerBase.DragStart(draggedItem, [keyModifier])
VB
skinnableContainerBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | The object being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkTextArea)

Class

SparkTextArea.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
textArea.DragStart(draggedItem, [keyModifier])
VB
textArea.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkTextBase)

Class

SparkTextBase.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
textBase.DragStart(draggedItem, [keyModifier])
VB
textBase.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkTextInput)

Class

SparkTextInput.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
textInput.DragStart(draggedItem, [keyModifier])
VB
textInput.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DragStart Method (SparkToggleButton)

Class

SparkToggleButton.

Action

The event triggered when the drag/drop operation begins.

Syntax

C#
toggleButton.DragStart(draggedItem, [keyModifier])
VB
toggleButton.DragStart(draggedItem, [keyModifier])
Variable | Description
draggedItem | List item that's being dragged. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


DropEnabled Property (FlexChart)

Class

FlexChart.

Action

Gets whether dragged items can be dropped onto the chart.

If you set this property to true, the chart accepts all data formats, and assumes that the dragged data matches the format of the data in the data provider. To explicitly check the data format of the data being dragged, you must handle one or more of the drag events, such as dragOver, and call the preventDefault() method of the DragEvent to customize the way the list class accepts dropped data. When dropEnabled is set to true, Flex automatically calls the showDropFeedback() and hideDropFeedback() methods to display the drop indicator. The default value is false.

Syntax

C#
protected Boolean dropEnabled { get; }
VB
'Declaration
Protected Read Property dropEnabled As Boolean

Access

Read only.


DropEnabled Property (SparkList)

Class

SparkList.

Action

Gets a flag that indicates whether dragged items can be dropped onto the control.

Syntax

C#
protected Boolean dropEnabled { get; }
VB
'Declaration
Protected Read Property dropEnabled As Boolean

Access

Read only.


DropShadowEnabled Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the ComboBase container's drop shadow is visible. The default value is true.

Syntax

C#
protected Boolean dropShadowEnabled { get; }
VB
'Declaration
Protected Read Property dropShadowEnabled As Boolean

Access

Read only.


DropShadowEnabled Property (FlexPanel)

Class

FlexPanel.

Action

Gets whether the Panel container's drop shadow is visible. The default value is true.

Syntax

C#
protected Boolean dropShadowEnabled { get; }
VB
'Declaration
Protected Read Property dropShadowEnabled As Boolean

Access

Read only.


Duration Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the duration of the video's playback, in seconds.

Syntax

C#
protected Double duration { get; }
VB
'Declaration
Protected Read Property duration As Double

Access

Read only.


Editable Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether the user can edit items in the data provider.

If true, the item renderers in the control are editable. The user can click on an item renderer to open an editor.

You can turn off editing for individual columns of the DataGrid control using the DataGridColumn.editable property, or by handling the itemEditBeginning and itemEditBegin events

The default value is false.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the control is editable, which lets the user directly type entries that are not specified in the dataProvider, or not editable, which requires the user select from the items in the dataProvider.

If true keyboard input will be entered in the editable text field; otherwise it will be used as shortcuts to select items in the dataProvider.

The default value is false. This property is ignored by the DateField control.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether the user can edit items in the data provider.

If true, the item renderers in the control are editable. The user can click on an item renderer to open an editor.

You can turn off editing for individual columns of the DataGrid control using the DataGridColumn.editable property, or by handling the itemEditBeginning and itemEditBegin events

The default value is false.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the user can edit the text in this control.

If true, the user can edit the text. The default value is true.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (FlexTree)

Class

FlexTree.

Action

Gets whether the user can edit items in the data provider.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a flag indicating whether the user is allowed to edit the text in this control.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Editable Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a flag indicating whether the user is allowed to edit the text in this control.

Syntax

C#
protected Boolean editable { get; }
VB
'Declaration
Protected Read Property editable As Boolean

Access

Read only.


Edit Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.

Syntax

C#
dataGrid.Edit(itemRenderer, rowIndex, columnIndex)
VB
dataGrid.Edit(itemRenderer, rowIndex, columnIndex)
Variable | Description
itemRenderer | The item renderer for the item that is being edited. String.
rowIndex | The zero-based index of the item in the data provider. Integer.
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.


Edit Method (FlexList)

Class

FlexList.

Action

Defines the value of the type property of the event object for a itemEditBegin event, which indicates that an item is ready to be edited.

Syntax

C#
list.Edit(itemRenderer, rowIndex, columnIndex)
VB
list.Edit(itemRenderer, rowIndex, columnIndex)
Variable | Description
itemRenderer | The item renderer for the item that is being edited. String.
rowIndex | The zero-based index of the item associated with the event. Integer.
columnIndex | The zero-based index of the column associated with the event. Integer.


EditNext Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Sets the following data grid cell in the edit mode.

Syntax

C#
dataGrid.EditNext()
VB
dataGrid.EditNext()


Emphasized Property (SparkButton)

Class

SparkButton.

Action

Gets whether the default button as requested by the focus manager.

Syntax

C#
protected Boolean emphasized { get; }
VB
'Declaration
Protected Read Property emphasized As Boolean

Access

Read only.


Enabled Property (FlexObject)

Class

FlexObject.

Action

Gets whether the component can accept user interaction.

After setting the enabled property to false, some components still respond to mouse interactions such as mouseOver. As a result, to fully disable UIComponents, you should also set the value of the mouseEnabled property to false. If you set the enabled property to false for a container, Flex dims the color of the container and of all of its children, and blocks user input to the container and to all of its children.

Syntax

C#
protected Boolean enabled { get; }
VB
'Declaration
Protected Read Property enabled As Boolean

Access

Read only.


Enabled Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets whether a movie clip is enabled.

The default value is true. If enabled is set to false, the movie clip's Over, Down, and Up frames are disabled. The movie clip continues to receive events (for example, mouseDown, mouseUp, keyDown, and keyUp).

Syntax

C#
protected Boolean enabled { get; }
VB
'Declaration
Protected Read Property enabled As Boolean

Access

Read only.


EnableIME Property (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Gets a value whether the IME should be enabled when the component receives focus.

Syntax

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

Access

Read only.


EnableIME Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a flag that indicates whether the IME should be enabled when the component receives focus.

Syntax

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

Access

Read only.


EnableIME Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a flag that indicates whether the IME should be enabled when the component receives focus.

Syntax

C#
protected Boolean enableIME { get; }
VB
'Declaration
Protected Read Property enableIME As Boolean

Access

Read only.


ErrorColor Property (FlexObject)

Class

FlexObject.

Action

Gets the color of the component highlight when validation fails.

Flex also sets the borderColor style of the component to this errorColor on a validation failure. The default value is 0xFF0000.

Syntax

C#
protected Color errorColor { get; }
VB
'Declaration
Protected Read Property errorColor As Color

Access

Read only.


ErrorColor Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the color of the component highlight when validation fails.

Syntax

C#
protected Color errorColor { get; }
VB
'Declaration
Protected Read Property errorColor As Color

Access

Read only.


ErrorString Property (FlexObject)

Class

FlexObject.

Action

Gets the text that will be displayed by a component's error tip when a component is monitored and validation fails.

Syntax

C#
protected String errorString { get; }
VB
'Declaration
Protected Read Property errorString As String

Access

Read only.


ErrorString Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the text that is displayed by a component's error tip when a component is monitored and validation fails.

Syntax

C#
protected String errorString { get; }
VB
'Declaration
Protected Read Property errorString As String

Access

Read only.


ExplodeRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets a number from 0 to 1, specifying how far all wedges of the pie series should be exploded from the center of the chart as a percentage of the total radius.

This value explodes all wedges in the pie series uniformly.

Syntax

C#
protected Double explodeRadius { get; }
VB
'Declaration
Protected Read Property explodeRadius As Double

Access

Read only.


Field Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the field of the data provider that determines the data for each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String field { get; }
VB
'Declaration
Protected Read Property field As String

Access

Read only.


FillAlphas Property (FlexButton)

Class

FlexButton.

Action

Gets the alphas used for the background fill of controls.

Use [1, 1] to make the control background opaque. The default value is [ 0.6, 0.4 ].

Syntax

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

Access

Read only.


FillAlphas Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the alphas used for the background fill of controls.

Use [1, 1] to make the control background opaque. The default value is [ 0.6, 0.4 ].

Syntax

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

Access

Read only.


FillAlphas Property (FlexContainer)

Class

FlexContainer.

Action

Gets the alpha transparency values used for the background fill of components.

Set this to an Array of either two or four numbers. Elements 0 and 1 specify the start and end values for an alpha gradient. If elements 2 and 3 exist, they are used instead of elements 0 and 1 when the component is in a mouse-over state. The global default value is [ 0.60, 0.40, 0.75, 0.65 ]. Some components, such as the ApplicationControlBar container, have a different default value. For the ApplicationControlBar container, the default value is [ 0.0, 0.0 ].

Deprecated Since 3.0: Use headerStyleName

Syntax

C#
protected List(Of Double) fillAlphas { get; }
VB
'Declaration
Protected Read Property fillAlphas As List(Of Double)

Access

Read only.


FillColors Property (FlexButton)

Class

FlexButton.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexContainer)

Class

FlexContainer.

Action

Gets the colors used to tint the background fill of the component.

Set this to an Array of either two or four uint values that specify RGB colors. Elements 0 and 1 specify the start and end values for a color gradient. If elements 2 and 3 exist, they are used instead of elements 0 and 1 when the component is in a mouse-over state. For a flat-looking control, set the same color for elements 0 and 1 and for elements 2 and 3, The default value is [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ].

Some components, such as the ApplicationControlBar container, have a different default value. For the ApplicationControlBar container, the default value is [ 0xFFFFFF, 0xFFFFFF ].

Deprecated Since 3.0: Use headerStyleName

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the colors used to tint the background of the control.

Deprecated Since 3.0: Use nextMonthStyleFilters, prevMonthStyleFilters

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the colors used to tint the background of the control. Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the colors used to tint the background fill of the component.

Set this to an Array of either two or four unit values that specify RGB colors. Elements 0 and 1 specify the start and end values for a color gradient. If elements 2 and 3 exist, they are used instead of elements 0 and 1 when the component is in a mouse-over state. For a flat-looking control, set the same color for elements 0 and 1 and for elements 2 and 3, The default value is [ 0xFFFFFF, 0xCCCCCC, 0xFFFFFF, 0xEEEEEE ].

Some components, such as the ApplicationControlBar container, have a different default value. For the ApplicationControlBar container, the default value is [ 0xFFFFFF, 0xFFFFFF ].

Deprecated Since 3.0: Use headerStyleName

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillColors Property (FlexSlider)

Class

FlexSlider.

Action

Gets the colors used to tint the background of the control.

Pass the same color for both values for a flat-looking control. The default value is [ 0xFFFFFF, 0xCCCCCC ].

Syntax

C#
protected List(Of Color) fillColors { get; }
VB
'Declaration
Protected Read Property fillColors As List(Of Color)

Access

Read only.


FillMode Property (SparkImage)

Class

SparkImage.

Action

Gets a value how the bitmap fills in the dimensions.

Syntax

C#
protected String fillMode { get; }
VB
'Declaration
Protected Read Property fillMode As String

Access

Read only.


FirstDayOfWeek Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the number representing the day of the week to display in the first column of the DateChooser control.

The value must be in the range 0 to 6, where 0 corresponds to Sunday, the first element of the dayNames Array.

Setting this property changes the order of the day columns. For example, setting it to 1 makes Monday the first column in the control.

The default value is 0 (Sunday).

Syntax

C#
protected Integer firstDayOfWeek { get; }
VB
'Declaration
Protected Read Property firstDayOfWeek As Integer

Access

Read only.


FirstDayOfWeek Property (FlexDateField)

Class

FlexDateField.

Action

Gets the day of the week (0-6, where 0 is the first element of the dayNames Array) to display in the first column of the DateChooser control.

Syntax

C#
protected Integer firstDayOfWeek { get; }
VB
'Declaration
Protected Read Property firstDayOfWeek As Integer

Access

Read only.


FirstVisibleRow Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexChart)

Class

FlexChart.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexContainer)

Class

FlexContainer.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexMenu)

Class

FlexMenu.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FirstVisibleRow Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the index of the first visible child.

Syntax

C#
protected Integer firstVisibleRow { get; }
VB
'Declaration
Protected Read Property firstVisibleRow As Integer

Access

Read only.


FocusAlpha Property (FlexButton)

Class

FlexButton.

Action

Gets the alpha transparency value of the focus skin. The default value is 0.4.

Syntax

C#
protected Double focusAlpha { get; }
VB
'Declaration
Protected Read Property focusAlpha As Double

Access

Read only.


FocusAlpha Property (FlexListBase)

Class

FlexListBase.

Action

Gets the alpha transparency value of the focus skin. The default value is 0.4.

Syntax

C#
protected Double focusAlpha { get; }
VB
'Declaration
Protected Read Property focusAlpha As Double

Access

Read only.


FocusEnabled Property (FlexObject)

Class

FlexObject.

Action

Gets whether the component can receive focus when tabbed to.

You can set focusEnabled to false when a UIComponent is used as a subcomponent of another component so that the outer component becomes the focusable entity. If this property is false, focus will be transferred to the first parent that has focusEnable set to true.

Syntax

C#
protected Boolean focusEnabled { get; }
VB
'Declaration
Protected Read Property focusEnabled As Boolean

Access

Read only.


FocusEnabled Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets whether the component can receive focus when selected.

Syntax

C#
protected Boolean focusEnabled { get; }
VB
'Declaration
Protected Read Property focusEnabled As Boolean

Access

Read only.


FontFamily Property (FlexButton)

Class

FlexButton.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexChart)

Class

FlexChart.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexContainer)

Class

FlexContainer.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexLabel)

Class

FlexLabel.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontFamily Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the name of the font to use.

Unlike in a full CSS implementation, comma-separated lists are not supported. You can use any font family name. If you specify a generic font name, it is converted to an appropriate device font. The default value is Verdana.

Syntax

C#
protected String fontFamily { get; }
VB
'Declaration
Protected Read Property fontFamily As String

Access

Read only.


FontSize Property (FlexButton)

Class

FlexButton.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexChart)

Class

FlexChart.

Action

Gets the height of the text, in pixels. The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Integer fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Integer

Access

Read only.


FontSize Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexContainer)

Class

FlexContainer.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexLabel)

Class

FlexLabel.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Integer fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Integer

Access

Read only.


FontSize Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontSize Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the height of the text, in pixels.

The default value is 10 for all controls except the ColorPicker control. For the ColorPicker control, the default value is 11.

Syntax

C#
protected Double fontSize { get; }
VB
'Declaration
Protected Read Property fontSize As Double

Access

Read only.


FontStyle Property (FlexButton)

Class

FlexButton.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexContainer)

Class

FlexContainer.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexLabel)

Class

FlexLabel.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontStyle Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the text is italic font.

Recognized values are normal and italic. The default value is normal.

Syntax

C#
protected String fontStyle { get; }
VB
'Declaration
Protected Read Property fontStyle As String

Access

Read only.


FontWeight Property (FlexButton)

Class

FlexButton.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexContainer)

Class

FlexContainer.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexLabel)

Class

FlexLabel.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets whether the text is boldface. Recognized values are normal and bold.

The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FontWeight Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String fontWeight { get; }
VB
'Declaration
Protected Read Property fontWeight As String

Access

Read only.


FooterColors Property (FlexPanel)

Class

FlexPanel.

Action

Gets the array of two colors used to draw the footer (area for the ControlBar container) background.

The first color is the top color. The second color is the bottom color. The default values are null (Nothing in Visual Basic), which makes the control bar background the same as the panel background. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected List(Of Color) footerColors { get; }
VB
'Declaration
Protected Read Property footerColors As List(Of Color)

Access

Read only.


Form Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the boundary type for the area.

Possible values include:
  • curve - Draws curves for the boundary between data points.
  • horizontal - Draws only the boundary from the x-coordinate of the first point to the x-coordinate of the second point at the y-coordinate of the second point. Repeats this for each data point.
  • reverseStep - Draws boundaries of the area as horizontal segments. At the first data point, draws a vertical boundary line and then a horizontal boundary line to the second point, and repeats for each data point.
  • segment - Draws boundaries of the area as connected segments that are angled to connect at each data point in the series.
  • step - Draws boundaries of the area as horizontal segments. At the first data point, draws a horizontal boundary line and then a vertical boundary line to the second point, and repeats for each data point.
  • vertical - Draws only the boundary from the y-coordinate of the first point to the y-coordinate of the second point at the x-coordinate of the second point. Repeats this for each data point.

The default value is segment.

Syntax

C#
protected String form { get; }
VB
'Declaration
Protected Read Property form As String

Access

Read only.


Form Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the line type for the chart.

Possible values include:
  • curve - Draws curves between data points.
  • horizontal - Draws only the vertical line from the x-coordinate of the first point to the x-coordinate of the second point at the y-coordinate of the second point. Repeats this for each data point.
  • reverseStep - Draws lines as horizontal segments. At the first data point, draws a vertical line and then a horizontal line to the second point, and repeats for each data point.
  • segment - Draws lines as connected segments that are angled to connect at each data point in the series.
  • step - Draws lines as horizontal segments. At the first data point, draws a horizontal line and then a vertical boundary line to the second point, and repeats for each data point.
  • vertical - Draws only the vertical line from the y-coordinate of the first point to the y-coordinate of the second point at the x-coordinate of the second point. Repeats this for each data point.

The default value is segment.

Syntax

C#
protected String form { get; }
VB
'Declaration
Protected Read Property form As String

Access

Read only.


GetCellData Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns data for a cell in the grid.

Syntax

C#
cellData = advancedDataGrid.GetCellData(RowIndex, ColumnIndex, [RestoreOriginalPosition])
VB
cellData = advancedDataGrid.GetCellData(RowIndex, ColumnIndex, [RestoreOriginalPosition])
Variable | Description
cellData | String.
RowIndex | Returns the zero-based index of the specified row. Integer.
ColumnIndex | Returns the zero-based index of the specified column. Integer.
RestoreOriginalPosition | Optional: Returns a cell in the grid to its previous position. Boolean.


GetGroupedItemChildrenCount Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns the number of children within the first item of a group.

Syntax

C#
groupedItemChildrenCount = advancedDataGrid.GetGroupedItemChildrenCount(RowIndex, [RestoreOriginalPosition])
VB
groupedItemChildrenCount = advancedDataGrid.GetGroupedItemChildrenCount(RowIndex, [RestoreOriginalPosition])
Variable | Description
groupedItemChildrenCount | Integer.
RowIndex | Returns the zero-based index of the specified row. Integer.
RestoreOriginalPosition | Optional: Returns the children within the first item of a group to their previous position. Boolean.


GetItemsCount Method (SparkListBase)

Class

SparkListBase.

Action

Gets the number of items in the ComboBox.

Syntax

C#
itemsCount = listBase.GetItemsCount()
VB
itemsCount = listBase.GetItemsCount()
Variable | Description
itemsCount | Integer.


GetRowData Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns data for the row of the item in the data provider.

Syntax

C#
rowData = advancedDataGrid.GetRowData(RowIndex, [RestoreOriginalPosition])
VB
rowData = advancedDataGrid.GetRowData(RowIndex, [RestoreOriginalPosition])
Variable | Description
rowData | String.
RowIndex | Returns the zero-based index of the item in the data provider. Integer.
RestoreOriginalPosition | Optional: Returns a row in the grid to its previous position. Boolean.


GetStyle Method (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Returns the style value for the given style. For available styles consider the Apache Flex sdk documentation.

Syntax

C#
style = displayObject.GetStyle(name)
VB
style = displayObject.GetStyle(name)
Variable | Description
style | String.
name | The name of the style. String.


GetValues Method (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = axisRenderer.GetValues(start, end)
VB
values = axisRenderer.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexChart)

Class

FlexChart.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = chart.GetValues(start, end)
VB
values = chart.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexChartLegend)

Class

FlexChartLegend.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = chartLegend.GetValues(start, end)
VB
values = chartLegend.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = chartSeries.GetValues(start, end)
VB
values = chartSeries.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexComboBox)

Class

FlexComboBox.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = comboBox.GetValues(start, end)
VB
values = comboBox.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexContainer)

Class

FlexContainer.

Action

Returns a matrix containing the automation values of all parts of the components. The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = container.GetValues(start, end)
VB
values = container.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexListBase)

Class

FlexListBase.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = listBase.GetValues(start, end)
VB
values = listBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexMenu)

Class

FlexMenu.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = menu.GetValues(start, end)
VB
values = menu.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = menuBar.GetValues(start, end)
VB
values = menuBar.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (FlexRepeater)

Class

FlexRepeater.

Action

Returns a matrix containing the automation values of all parts of the components.

The return value is an array of rows, each of which is an array of items.

Syntax

C#
values = repeater.GetValues(start, end)
VB
values = repeater.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = groupBase.GetValues(start, end)
VB
values = groupBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = richEditableText.GetValues(start, end)
VB
values = richEditableText.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = skinnableContainerBase.GetValues(start, end)
VB
values = skinnableContainerBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GetValues Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Returns a matrix containing the automation values of all parts of the components.

Syntax

C#
values = skinnableTextBase.GetValues(start, end)
VB
values = skinnableTextBase.GetValues(start, end)
Variable | Description
values | List(Of List(Of String)).
start | The index of the starting child. The default value is 0. Integer.
end | The index of the ending child. The default value is 0. Integer.


GroupName Property (FlexRadioButton)

Class

FlexRadioButton.

Action

Gets the name of the group to which this RadioButton control belongs, or specifies the value of the id property of a RadioButtonGroup control if this RadioButton is part of a group defined by a RadioButtonGroup control.

The default value is undefined.

Syntax

C#
protected String groupName { get; }
VB
'Declaration
Protected Read Property groupName As String

Access

Read only.


GroupName Property (SparkRadioButton)

Class

SparkRadioButton.

Action

Gets the name of the group to which this RadioButton component belongs, or specifies the value of the id property of a RadioButtonGroup component if this RadioButton is part of a group defined by a RadioButtonGroup component.

Syntax

C#
protected String groupName { get; }
VB
'Declaration
Protected Read Property groupName As String

Access

Read only.


GutterBottom Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the bottom of the chart data area and the bottom of the chart control.

Syntax

C#
protected Integer gutterBottom { get; }
VB
'Declaration
Protected Read Property gutterBottom As Integer

Access

Read only.


GutterLeft Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the left of the chart data area and the left of the chart control.

Syntax

C#
protected Integer gutterLeft { get; }
VB
'Declaration
Protected Read Property gutterLeft As Integer

Access

Read only.


GutterRight Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the right side of the chart data area and the outside of the chart control.

Syntax

C#
protected Integer gutterRight { get; }
VB
'Declaration
Protected Read Property gutterRight As Integer

Access

Read only.


GutterTop Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the size of the region, in pixels, between the top of the chart data area and the top of the chart control.

Syntax

C#
protected Integer gutterTop { get; }
VB
'Declaration
Protected Read Property gutterTop As Integer

Access

Read only.


HeaderClick Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.

Syntax

C#
advancedDataGrid.HeaderClick(columnIndex, [dataField, keyModifier])
VB
advancedDataGrid.HeaderClick(columnIndex, [dataField, keyModifier])
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.
dataField | Optional: The name of the field or property in the data associated with the column. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


HeaderClick Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Dispatched when the user releases the mouse button on a column header to request the control to sort the grid contents based on the contents of the column.

Only dispatched if the column is sortable and the data provider supports sorting.

Syntax

C#
dataGrid.HeaderClick(columnIndex)
VB
dataGrid.HeaderClick(columnIndex)
Variable | Description
columnIndex | The zero-based index of the item's column in the DataGrid object's columns array. Integer.


HeaderClick Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Clicks on the specified column header.

Syntax

C#
dataGrid.HeaderClick(columnIndex)
VB
dataGrid.HeaderClick(columnIndex)
Variable | Description
columnIndex | The index of the column header. Integer.


HeaderColors Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets an array of two colors used to draw the header background gradient.

The first color is the top color. The second color is the bottom color.

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets an array of two colors used to draw the header background gradient.

The first color is the top color. The second color is the bottom color. The default value is [0xFFFFFF, 0xE6E6E6].

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].

Deprecated Since 3.0: Use dateChooserStyleName

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexDateField)

Class

FlexDateField.

Action

Gets the colors of the band at the top of the DateChooser control. The default value is [ 0xE6EEEE, 0xFFFFFF ].

Deprecated Since 3.0: Use dateChooserStyleName

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderColors Property (FlexPanel)

Class

FlexPanel.

Action

Gets the array of two colors used to draw the header.

The first color is the top color. The second color is the bottom color. The default values are null (Nothing in Visual Basic), which makes the header background the same as the panel background. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected List(Of Color) headerColors { get; }
VB
'Declaration
Protected Read Property headerColors As List(Of Color)

Access

Read only.


HeaderHeight Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the height of each accordion header, in pixels.

The default value is automatically calculated based on the font styles for the header.

Syntax

C#
protected Integer headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Integer

Access

Read only.


HeaderHeight Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the height of the header cell of the column, in pixels.

Syntax

C#
protected Double headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Double

Access

Read only.


HeaderHeight Property (FlexPanel)

Class

FlexPanel.

Action

Gets the height of the header. The default value is based on the style of the title text.

Syntax

C#
protected Integer headerHeight { get; }
VB
'Declaration
Protected Read Property headerHeight As Integer

Access

Read only.


HeaderShift Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.

Syntax

C#
advancedDataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
VB
advancedDataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
Variable | Description
newIndex | The zero-based index of the header after the change. Integer.
oldIndex | The zero-based index of the header before the change. Integer.
triggerEvent | Optional: The event that triggered this event. FlexTriggerEvent.


HeaderShift Method (FlexDataGrid)

Class

FlexDataGrid.

Action

Dispatched when the user releases the mouse button on a column header after having dragged the column to a new location resulting in shifting the column to a new index.

Syntax

C#
dataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
VB
dataGrid.HeaderShift(newIndex, oldIndex, [triggerEvent])
Variable | Description
newIndex | The zero-based index of the header after the change. Integer.
oldIndex | The zero-based index of the header before the change. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.


HeaderStyleName Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the name of a CSS style declaration for controlling other aspects of the appearance of the column headers. The default value is dataGridStyles.

Syntax

C#
protected String headerStyleName { get; }
VB
'Declaration
Protected Read Property headerStyleName As String

Access

Read only.


HeightInLines Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the default height of the control, measured in lines.

Syntax

C#
protected Double heightInLines { get; }
VB
'Declaration
Protected Read Property heightInLines As Double

Access

Read only.


HeightInLines Property (SparkTextArea)

Class

SparkTextArea.

Action

Gets the default height of the control, measured in lines.

Syntax

C#
protected Double heightInLines { get; }
VB
'Declaration
Protected Read Property heightInLines As Double

Access

Read only.


HeightLimit Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the maximum amount of space, in pixels, that an axis renderer will take from a chart.

Syntax

C#
protected Double heightLimit { get; }
VB
'Declaration
Protected Read Property heightLimit As Double

Access

Read only.


Height Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the height of the display object, in pixels.

The height is calculated based on the bounds of the content of the display object. When you set the height property, the scaleY property is adjusted accordingly.

Syntax

C#
protected Double height { get; }
VB
'Declaration
Protected Read Property height As Double

Access

Read only.


Hide Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when a menu or submenu is dismissed.

Syntax

C#
menu.Hide()
VB
menu.Hide()


Hide Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Dispatched when a menu or submenu is dismissed.

Syntax

C#
menuBar.Hide()
VB
menuBar.Hide()


HighlightColor Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the highlight color of the drop-down list.

Syntax

C#
protected Color highlightColor { get; }
VB
'Declaration
Protected Read Property highlightColor As Color

Access

Read only.


HorizontalAlign Property (FlexBox)

Class

FlexBox.

Action

Gets the horizontal alignment of children in the container.

Possible values are: left, center, and right. The default value is left, but some containers, such as ButtonBar and ToggleButtonBar, have different default values.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAlign Property (FlexFormItem)

Class

FlexFormItem.

Action

Gets the horizontal alignment of children in the container.

Possible values are: left, center, and right. The default value is left.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAlign Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the horizontal positioning of tabs at the top of this TabNavigator container.

Possible values are: left, center, and right. The default value is left.

If the value is left, the left edge of the first tab is aligned with the left edge of the TabNavigator container. If the value is right, the right edge of the last tab is aligned with the right edge of the TabNavigator container. If the value is center, the tabs are centered on the top of the TabNavigator container.

To see a difference between the alignments, the total width of all the tabs must be less than the width of the TabNavigator container.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAlign Property (SparkImage)

Class

SparkImage.

Action

Gets the horizontal alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.

Syntax

C#
protected String horizontalAlign { get; }
VB
'Declaration
Protected Read Property horizontalAlign As String

Access

Read only.


HorizontalAxisRatio Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the height limit of the horiztonal axis.

The limit is the width of the axis times this ratio. The default value is 0.33.

Syntax

C#
protected Double horizontalAxisRatio { get; }
VB
'Declaration
Protected Read Property horizontalAxisRatio As Double

Access

Read only.


HorizontalGap Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between children in the horizontal direction. The default value is 8.

Syntax

C#
protected Double horizontalGap { get; }
VB
'Declaration
Protected Read Property horizontalGap As Double

Access

Read only.


HorizontalGap Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the separation between tabs, in pixels. The default value is -1, so that the borders of adjacent tabs overlap.

Syntax

C#
protected Double horizontalGap { get; }
VB
'Declaration
Protected Read Property horizontalGap As Double

Access

Read only.


HorizontalGridLineColor Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the color of the horizontal grid lines.

Syntax

C#
protected Color horizontalGridLineColor { get; }
VB
'Declaration
Protected Read Property horizontalGridLineColor As Color

Access

Read only.


HorizontalGridLineColor Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the color of the horizontal grid lines.

Syntax

C#
protected Color horizontalGridLineColor { get; }
VB
'Declaration
Protected Read Property horizontalGridLineColor As Color

Access

Read only.


HorizontalGridLines Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether to show horizontal grid lines between the rows.

If true, the data grid shows horizontal grid lines. If false, the data grid hides horizontal grid lines. The default value is false.

Syntax

C#
protected Boolean horizontalGridLines { get; }
VB
'Declaration
Protected Read Property horizontalGridLines As Boolean

Access

Read only.


HorizontalScrollPolicy Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether the horizontal scroll bar is always on (ScrollPolicy.ON), always off (ScrollPolicy.OFF), or turns on when needed (ScrollPolicy.AUTO).

The default value is ScrollPolicy.AUTO.

Syntax

C#
protected String horizontalScrollPolicy { get; }
VB
'Declaration
Protected Read Property horizontalScrollPolicy As String

Access

Read only.


HorizontalScrollPosition Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the x coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component.

Syntax

C#
protected Double horizontalScrollPosition { get; }
VB
'Declaration
Protected Read Property horizontalScrollPosition As Double

Access

Read only.


HorizontalScrollPosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the number of pixels by which the text is scrolled horizontally.

Syntax

C#
protected Double horizontalScrollPosition { get; }
VB
'Declaration
Protected Read Property horizontalScrollPosition As Double

Access

Read only.


HtmlText Property (FlexLabel)

Class

FlexLabel.

Action

Gets the text displayed by the Label control, including HTML markup that expresses the styles of that text.

When you specify HTML text in this property, you can use the subset of HTML tags that is supported by the Flash TextField control.

Syntax

C#
protected String htmlText { get; }
VB
'Declaration
Protected Read Property htmlText As String

Access

Read only.


HtmlText Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the text displayed by the TextInput control, including HTML markup that expresses the styles of that text.

When you specify HTML text in this property, you can use the subset of HTML tags that is supported by the Flash TextField control.

Syntax

C#
protected String htmlText { get; }
VB
'Declaration
Protected Read Property htmlText As String

Access

Read only.


IconField Property (FlexListBase)

Class

FlexListBase.

Action

Gets the name of the field in the data provider object that determines what to display as the icon.

By default, the list class does not try to display icons with the text in the rows. However, by specifying an icon field, you can specify a graphic that is created and displayed as an icon in the row. This property is ignored by DataGrid.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String iconField { get; }
VB
'Declaration
Protected Read Property iconField As String

Access

Read only.


Id Property (FlexObject)

Class

FlexObject.

Action

Gets the ID of the component.

This value becomes the instance name of the object and should not contain any white space or special characters. Each component throughout an application should have a unique id.

Syntax

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

Access

Read only.


Id Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets a string containing the automation identifier (ID) for the element.

Syntax

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

Access

Read only.


Id Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the ID of the component.

This value becomes the instance name of the object and should not contain any white space or special characters. Each component throughout an application should have a unique name. Assigning a meaningful name can make scripts more readable. For example, set the value of a button to close_button rather than b1 or button1.

Syntax

C#
protected String id { get; }
VB
'Declaration
Protected Read Property id As String

Access

Read only.


ImeMode Property (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Gets the IME (Input Method Editor) mode.

Syntax

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

Access

Read only.


ImeMode Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the IME (input method editor) mode.

Syntax

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

Access

Read only.


ImeMode Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the IME (input method editor) mode.

Syntax

C#
protected String imeMode { get; }
VB
'Declaration
Protected Read Property imeMode As String

Access

Read only.


Indentation Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the indentation for each node of the navigation tree, in pixels. The default value is 17.

Syntax

C#
protected Integer indentation { get; }
VB
'Declaration
Protected Read Property indentation As Integer

Access

Read only.


Indentation Property (FlexTree)

Class

FlexTree.

Action

Gets the indentation for each tree level, in pixels. The default value is 17.

Syntax

C#
protected Double indentation { get; }
VB
'Declaration
Protected Read Property indentation As Double

Access

Read only.


Indeterminate Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the ProgressBar control has a determinate or indeterminate appearance.

Use an indeterminate appearance when the progress status cannot be determined. If true, the appearance is indeterminate. The default value is false.

Syntax

C#
protected Boolean indeterminate { get; }
VB
'Declaration
Protected Read Property indeterminate As Boolean

Access

Read only.


InnerRadius Property (FlexPieChart)

Class

FlexPieChart.

Action

Gets the size of the hole in the center of the pie chart.

This property is a percentage value of the center circle's radius compared to the entire pie's radius. The default value is 0 percent. Use this property to create a doughnut-shaped chart.

Syntax

C#
protected Double innerRadius { get; }
VB
'Declaration
Protected Read Property innerRadius As Double

Access

Read only.


InnerRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets a number from 0 to 1 specifying the distance from the center of the series to the inner edge of the rendered wedges, as a percentage of the total radius assigned to the series.

This property is assigned directly to the series.

Syntax

C#
protected Double innerRadius { get; }
VB
'Declaration
Protected Read Property innerRadius As Double

Access

Read only.


Input Method (FlexComboBase)

Class

FlexComboBase.

Action

Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.

Syntax

C#
comboBase.Input(text)
VB
comboBase.Input(text)
Variable | Description
text | One or more characters of text entered by the user. Event listeners can access this information through the text property. String.


Input Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Creates an Event object that contains information about text events. Event objects are passed as parameters to event listeners.

Syntax

C#
numericStepper.Input(text)
VB
numericStepper.Input(text)
Variable | Description
text | One or more characters of text entered by the user. Event listeners can access this information through the text property. String.


Input Method (FlexTextArea)

Class

FlexTextArea.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
textArea.Input(text)
VB
textArea.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkComboBox)

Class

SparkComboBox.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
comboBox.Input(text)
VB
comboBox.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
numericStepper.Input(text)
VB
numericStepper.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
richEditableText.Input(text)
VB
richEditableText.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


Input Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when the user types, deletes, or pastes text into the control.

Syntax

C#
skinnableTextBase.Input(text)
VB
skinnableTextBase.Input(text)
Variable | Description
text | The character or sequence of characters entered by the user. String.


InsideLabelSizeLimit Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the font size threshold, in points, below which inside labels are considered illegible.

Below this threshold, Flex either removes labels entirely or renders them as callouts based on the setting of the labelPosition property.

Syntax

C#
protected Double insideLabelSizeLimit { get; }
VB
'Declaration
Protected Read Property insideLabelSizeLimit As Double

Access

Read only.


IsAIRWindow Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether this window is an AIR window.

Syntax

C#
protected Boolean isAIRWindow { get; }
VB
'Declaration
Protected Read Property isAIRWindow As Boolean

Access

Read only.


IsAIRWindow Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether this window is an AIR window.

Syntax

C#
protected Boolean isAIRWindow { get; }
VB
'Declaration
Protected Read Property isAIRWindow As Boolean

Access

Read only.


IsDropDownOpen Property (SparkDropDownListBase)

Class

SparkDropDownListBase.

Action

Gets a value whether the drop down is open.

Syntax

C#
protected Boolean isDropDownOpen { get; }
VB
'Declaration
Protected Read Property isDropDownOpen As Boolean

Access

Read only.


IsDropDownOpen Property (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Gets a value whether the volumebar is open.

Syntax

C#
protected Boolean isDropDownOpen { get; }
VB
'Declaration
Protected Read Property isDropDownOpen As Boolean

Access

Read only.


IsGroupedItem Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Returns a value that specifies whether the item is a member of a group.

Syntax

C#
groupedItem = advancedDataGrid.IsGroupedItem(RowIndex, [RestoreOriginalPosition])
VB
groupedItem = advancedDataGrid.IsGroupedItem(RowIndex, [RestoreOriginalPosition])
Variable | Description
groupedItem | Boolean.
RowIndex | The row index of the selected item. Integer.
RestoreOriginalPosition | Optional: Returns an item of a group to its previous position. Boolean.


IsOpen Property (SparkSkinnablePopUpContainer)

Class

SparkSkinnablePopUpContainer.

Action

Gets whether the container is open.

Syntax

C#
protected Boolean isOpen { get; }
VB
'Declaration
Protected Read Property isOpen As Boolean

Access

Read only.


IsTruncated Property (SparkTextBase)

Class

SparkTextBase.

Action

Gets whether the text has been truncated.

Syntax

C#
protected Boolean isTruncated { get; }
VB
'Declaration
Protected Read Property isTruncated As Boolean

Access

Read only.


LabelField Property (FlexListBase)

Class

FlexListBase.

Action

Gets the name of the field in the data provider items to display as the label.

By default the list looks for a property named label on each item and displays it. However, if the data objects do not contain a label property, you can set the labelField property to use a different property in the data object.

The default value is label.

Syntax

C#
protected String labelField { get; }
VB
'Declaration
Protected Read Property labelField As String

Access

Read only.


LabelField Property (SparkListBase)

Class

SparkListBase.

Action

Gets the name of the field in the data provider items to display as the label.

Syntax

C#
protected String labelField { get; }
VB
'Declaration
Protected Read Property labelField As String

Access

Read only.


LabelGap Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the gap between the end of the tick marks and the top of the labels, in pixels. The default value is 3.

Syntax

C#
protected Double labelGap { get; }
VB
'Declaration
Protected Read Property labelGap As Double

Access

Read only.


LabelPlacement Property (FlexButton)

Class

FlexButton.

Action

Gets the orientation of the label in relation to a specified icon.

Valid MXML values are: right, left, bottom, and top.

In ActionScript, you can use the following constants to set this property: ButtonLabelPlacement.RIGHT, ButtonLabelPlacement.LEFT, ButtonLabelPlacement.BOTTOM, and ButtonLabelPlacement.TOP.

The default value is ButtonLabelPlacement.RIGHT.

Syntax

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

Access

Read only.


LabelPlacement Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the label placement of the legend element. Valid values include: top, bottom, right, and left.

Syntax

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

Access

Read only.


LabelPlacement Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the placement of the label.

Valid values in MXML are: right, left, bottom, center, and top.

In ActionScript, you can use use the following constants to set this property: ProgressBarLabelPlacement.RIGHT, ProgressBarLabelPlacement.LEFT, ProgressBarLabelPlacement.BOTTOM, ProgressBarLabelPlacement.CENTER, and ProgressBarLabelPlacement.TOP.

The default value is ProgressBarLabelPlacement.BOTTOM.

Syntax

C#
protected String labelPlacement { get; }
VB
'Declaration
Protected Read Property labelPlacement As String

Access

Read only.


LabelPosition Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets how to render value labels.

Valid values include:
  • none - Do not draw labels.
  • outside - Draw labels around the boundary of the pie.
  • callout - Draw labels in two vertical stacks on either side of the pie. The pie is shrunk if necessary to make room for the labels (see maxLabelRadius). Draw key lines from each label to the associated wedge. Shrink labels as necessary to fit the space provided.
  • inside - Draw labels inside the chart, centered approximately seven tenths of the way along each wedge. Shrink labels to ensure that they do not interfere with each other. If labels are shrunk below the calloutPointSize property, remove them. When two labels overlap, Flex gives priority to labels for larger slices.
  • insideWithCallout - Draw labels inside the pie, but if labels are shrunk below a legible size, Flex converts them to callouts.

Syntax

C#
protected String labelPosition { get; }
VB
'Declaration
Protected Read Property labelPosition As String

Access

Read only.


Label Property (FlexButton)

Class

FlexButton.

Action

Gets the text to appear on the Button control.

If the label is wider than the Button control, the label is truncated and terminated by an ellipsis (...). The full label displays as a tooltip when the user moves the mouse over the Button control. If you have also set a tooltip by using the tooltip property, the tooltip is displayed rather than the label text.

The default value is "".

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the text that displays next to the legend element.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (FlexContainer)

Class

FlexContainer.

Action

Gets the text displayed by some navigator containers to represent this Container.

For example, if this Container is a child of a TabNavigator, this string appears in the corresponding tab. If this Container is a child of an Accordion, this string appears in the corresponding header.

The default value is "".

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the text that accompanies the progress bar.

You can include the following special characters in the text string:
  • %1 = current loaded bytes
  • %2 = total bytes
  • %3 = percent loaded
  • %% = "%" character

If a field is unknown, it is replaced by "??". If undefined, the label is not displayed.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (SparkButtonBase)

Class

SparkButtonBase.

Action

Gets the text to appear on the ButtonBase control.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (SparkFormItem)

Class

SparkFormItem.

Action

Gets the text of the form items label.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


Label Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets the label of the SparkListLabel.

Syntax

C#
protected String label { get; }
VB
'Declaration
Protected Read Property label As String

Access

Read only.


LabelRotation Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the label rotation.

If the labels are rendered with device fonts, the labels are always drawn horizontally. If this style is any negative value, the AxisRenderer determines an optimal angle to render the labels in the smallest area without overlapping.

Syntax

C#
protected Double labelRotation { get; }
VB
'Declaration
Protected Read Property labelRotation As Double

Access

Read only.


Labels Property (FlexSlider)

Class

FlexSlider.

Action

Gets an array of strings used for the slider labels.

Flex positions the labels at the beginning of the track, and spaces them evenly between the beginning of the track and the end of the track.

The default value is undefined.

Syntax

C#
protected List(Of String) labels { get; }
VB
'Declaration
Protected Read Property labels As List(Of String)

Access

Read only.


LabelStyleName Property (FlexSlider)

Class

FlexSlider.

Action

Gets the name of the style to use for the slider label. The default value is undefined.

Syntax

C#
protected String labelStyleName { get; }
VB
'Declaration
Protected Read Property labelStyleName As String

Access

Read only.


LabelWidth Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the width of the label in pixels.

If the value is NaN, the ProgressBar control sets it to the width of the control. The default value is NaN.

Syntax

C#
protected Double labelWidth { get; }
VB
'Declaration
Protected Read Property labelWidth As Double

Access

Read only.


LastVisibleRow Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexChart)

Class

FlexChart.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexContainer)

Class

FlexContainer.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexMenu)

Class

FlexMenu.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LastVisibleRow Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the index of the last visible child.

Syntax

C#
protected Integer lastVisibleRow { get; }
VB
'Declaration
Protected Read Property lastVisibleRow As Integer

Access

Read only.


LegendItemClick Method (FlexChartLegend)

Class

FlexChartLegend.

Action

Dispatched when the user clicks on a LegendItem in the Legend control, which indicates that the user clicked the mouse button over a legend item.

Syntax

C#
chartLegend.LegendItemClick(item)
VB
chartLegend.LegendItemClick(item)
Variable | Description
item | The item in the Legend on which this event was triggered. String.


Length Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the length of the axis, in screen coordinates.

Syntax

C#
protected Double length { get; }
VB
'Declaration
Protected Read Property length As Double

Access

Read only.


Length Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the number of characters of text displayed in the TextArea.

Syntax

C#
protected Double length { get; }
VB
'Declaration
Protected Read Property length As Double

Access

Read only.


LineScrollSize Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the amount to scroll when an arrow button is pressed, in pixels. The default value is 1.

Syntax

C#
protected Double lineScrollSize { get; }
VB
'Declaration
Protected Read Property lineScrollSize As Double

Access

Read only.


LiveDragging Property (FlexSlider)

Class

FlexSlider.

Action

Gets whether live dragging is enabled for the slider.

If false, Flex sets the value and values properties and dispatches the change event when the user stops dragging the slider thumb. If true, Flex sets the value and values properties and dispatches the change event continuously as the user moves the thumb.

The default value is false.

Syntax

C#
protected Boolean liveDragging { get; }
VB
'Declaration
Protected Read Property liveDragging As Boolean

Access

Read only.


LockedColumnCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the first column in the control that scrolls.

Syntax

C#
protected Integer lockedColumnCount { get; }
VB
'Declaration
Protected Read Property lockedColumnCount As Integer

Access

Read only.


LockedRowCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index of the first row in the control that scrolls.

Syntax

C#
protected Integer lockedRowCount { get; }
VB
'Declaration
Protected Read Property lockedRowCount As Integer

Access

Read only.


Loop Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the media should play again after playback has completed.

Syntax

C#
protected Boolean loop { get; }
VB
'Declaration
Protected Read Property loop As Boolean

Access

Read only.


LuminosityClip Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether the luminosity mask clips the masked content.

Syntax

C#
protected Boolean luminosityClip { get; }
VB
'Declaration
Protected Read Property luminosityClip As Boolean

Access

Read only.


LuminosityClip Property (SparkRichText)

Class

SparkRichText.

Action

Gets whether the luminosity mask clips the masked content.

Syntax

C#
protected Boolean luminosityClip { get; }
VB
'Declaration
Protected Read Property luminosityClip As Boolean

Access

Read only.


LuminosityInvert Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value that controls the calculation of the RGB color value of a graphic element being masked by a luminosity mask.

Syntax

C#
protected Boolean luminosityInvert { get; }
VB
'Declaration
Protected Read Property luminosityInvert As Boolean

Access

Read only.


LuminosityInvert Property (SparkRichText)

Class

SparkRichText.

Action

Gets whether the calculation of the RGB color value of a graphic element is masked by a luminosity mask.

Syntax

C#
protected Boolean luminosityInvert { get; }
VB
'Declaration
Protected Read Property luminosityInvert As Boolean

Access

Read only.


MarkerAspectRatio Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the aspect ratio for the marker associated with this legend item.

Some markers provided by chart series are intended for display at a particular aspect ratio. If this property is set, the legend item guarantees the aspect ratio of the marker during layout.

Syntax

C#
protected Double markerAspectRatio { get; }
VB
'Declaration
Protected Read Property markerAspectRatio As Double

Access

Read only.


MarkerHeight Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the height of the legend element.

Syntax

C#
protected Integer markerHeight { get; }
VB
'Declaration
Protected Read Property markerHeight As Integer

Access

Read only.


MarkerWidth Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the width of the legend element.

Syntax

C#
protected Integer markerWidth { get; }
VB
'Declaration
Protected Read Property markerWidth As Integer

Access

Read only.


MaskType Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the mask type.

Syntax

C#
protected String maskType { get; }
VB
'Declaration
Protected Read Property maskType As String

Access

Read only.


MaskType Property (SparkRichText)

Class

SparkRichText.

Action

Gets how the mask is applied to the component. The possible values are MaskType.CLIP, MaskType.ALPHA and MaskType.LUMINOSITY. Clip Masking When masking in clip mode, a clipping masks is reduced to 1-bit.

Syntax

C#
protected String maskType { get; }
VB
'Declaration
Protected Read Property maskType As String

Access

Read only.


MaxBarWidth Property (FlexBarChart)

Class

FlexBarChart.

Action

Gets how wide to draw the bars, in pixels.

The actual bar width used is the smaller of this property and the barWidthRatio property. Clustered bars divide this space proportionally among the bars in each cluster.

Syntax

C#
protected Double maxBarWidth { get; }
VB
'Declaration
Protected Read Property maxBarWidth As Double

Access

Read only.


MaxBarWidth Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the width of the bars, in pixels.

The actual bar width used is the smaller of this style and the barWidthRatio property. Clustered bars divide this space proportionally among the bars in each cluster.

Syntax

C#
protected Double maxBarWidth { get; }
VB
'Declaration
Protected Read Property maxBarWidth As Double

Access

Read only.


MaxChars Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the maximum number of characters that users can enter in the text field.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkComboBox)

Class

SparkComboBox.

Action

Gets the maximum number of characters that the prompt area can contain, as entered by a user.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Gets the maximum number of characters that can be entered in the field.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the maximum number of characters that the text field can contain, as entered by a user.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxChars Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the maximum number of characters that the text field can contain, as entered by a user.

Syntax

C#
protected Integer maxChars { get; }
VB
'Declaration
Protected Read Property maxChars As Integer

Access

Read only.


MaxColumnWidth Property (FlexCandlestickChart)

Class

FlexCandlestickChart.

Action

Gets how wide to draw the candlesticks, in pixels.

The actual column width used is the smaller of this property and the columnWidthRatio property. Multiple candlestick series divide this space proportionally.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexColumnChart)

Class

FlexColumnChart.

Action

Gets how wide to draw the columns, in pixels.

The actual column width used is the smaller of this property and the columnWidthRatio property. Clustered columns divide this space proportionally among the columns in each cluster.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the width of the columns, in pixels.

The actual column width used is the smaller of this style and the columnWidthRatio property. Clustered columns divide this space proportionally among the columns in each cluster.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexHLOCChart)

Class

FlexHLOCChart.

Action

Gets how wide to draw the HLOC lines, in pixels.

The actual width used is the smaller of this property and the columnWidthRatio property. Multiple HLOC series divide this space proportionally.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxColumnWidth Property (FlexHLOCSeriesBase)

Class

FlexHLOCSeriesBase.

Action

Gets the width of the elements, in pixels.

The actual element width used is the smaller of this style and the columnWidthRatio property. You typically do not set this value directly; it is assigned by the enclosing chart.

Syntax

C#
protected Double maxColumnWidth { get; }
VB
'Declaration
Protected Read Property maxColumnWidth As Double

Access

Read only.


MaxDisplayedLines Property (SparkTextBase)

Class

SparkTextBase.

Action

Gets an integer which determines whether, and where, the text gets truncated.

Syntax

C#
protected Integer maxDisplayedLines { get; }
VB
'Declaration
Protected Read Property maxDisplayedLines As Integer

Access

Read only.


MaxHeight Property (FlexWindow)

Class

FlexWindow.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


MaxHeight Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


MaxHeight Property (SparkWindow)

Class

SparkWindow.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


MaxHeight Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the maximum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxHeight { get; }
VB
'Declaration
Protected Read Property maxHeight As Double

Access

Read only.


Maximizable Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


Maximizable Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


Maximizable Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


Maximizable Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window can be maximized.

Syntax

C#
protected Boolean maximizable { get; }
VB
'Declaration
Protected Read Property maximizable As Boolean

Access

Read only.


MaximumDataTipCount Property (FlexChart)

Class

FlexChart.

Action

Gets the maximum number of datatips a chart will show.

If more datapoints are in range of the chart than allowed by this style, they will be prioritized by distance, with the closest showing first. The default value is NaN, which shows whatever datatips are within range.

Syntax

C#
protected Integer maximumDataTipCount { get; }
VB
'Declaration
Protected Read Property maximumDataTipCount As Integer

Access

Read only.


Maximum Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the maximum value of the NumericStepper.

The maximum can be any number, including a fractional value. The default value is 10.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


Maximum Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the largest progress value for the ProgressBar. You can only use this property in manual mode.

The default value is 0.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


Maximum Property (FlexSlider)

Class

FlexSlider.

Action

Gets the maximum allowed value on the slider. The default value is 10.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


Maximum Property (SparkRange)

Class

SparkRange.

Action

Gets the maximum valid value.

Syntax

C#
protected Double maximum { get; }
VB
'Declaration
Protected Read Property maximum As Double

Access

Read only.


MaxLabelRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the maximum amount of the PieSeries's radius that can be allocated to labels.

This value is only applicable when the series is rendering callout labels.

Syntax

C#
protected Double maxLabelRadius { get; }
VB
'Declaration
Protected Read Property maxLabelRadius As Double

Access

Read only.


MaxRadius Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the radius of the largest item renderered in this series.

When you use a BubbleSeries object in a BubbleChart, the chart automatically assigns its maxRadius style value to this property on all series in the chart. When you use BubbleSeries objects in CartesianChart controls, you manage this property manually.

Syntax

C#
protected Double maxRadius { get; }
VB
'Declaration
Protected Read Property maxRadius As Double

Access

Read only.


MaxWidth Property (FlexWindow)

Class

FlexWindow.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (SparkWindow)

Class

SparkWindow.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxWidth Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the maximum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double maxWidth { get; }
VB
'Declaration
Protected Read Property maxWidth As Double

Access

Read only.


MaxYear Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the last year selectable in the control.

Syntax

C#
protected Integer maxYear { get; }
VB
'Declaration
Protected Read Property maxYear As Integer

Access

Read only.


MaxYear Property (FlexDateField)

Class

FlexDateField.

Action

Gets the last year selectable in the control.

Syntax

C#
protected Integer maxYear { get; }
VB
'Declaration
Protected Read Property maxYear As Integer

Access

Read only.


MediaPlayerState Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the current state of the video.

Syntax

C#
protected String mediaPlayerState { get; }
VB
'Declaration
Protected Read Property mediaPlayerState As String

Access

Read only.


MinColumnWidth Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the minimum width of the columns, in pixels.

Syntax

C#
protected Double minColumnWidth { get; }
VB
'Declaration
Protected Read Property minColumnWidth As Double

Access

Read only.


MinColumnWidth Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the minimum width of the columns, in pixels. If not NaN, the DataGrid control applies this value as the minimum width for all columns. Otherwise, individual columns can have their own minimum widths. The default value is NaN.

Syntax

C#
protected Double minColumnWidth { get; }
VB
'Declaration
Protected Read Property minColumnWidth As Double

Access

Read only.


MinField Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the field of the dataProvider that determines the bottom boundary of the area.

If null (Nothing in Visual Basic), the area is based at the range minimum (or maximum, if the field value is negative). The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

Access

Read only.


MinField Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the field of the data provider that determines the bottom of each bar.

If null (Nothing in Visual Basic), the columns are based at the range minimum (or maximum, if the field value is negative). The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

Access

Read only.


MinField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the field of the data provider that determines the y-axis location of the bottom of a column.

If null (Nothing in Visual Basic), the columns are based at the range minimum (or maximum, if the field value is negative). The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String minField { get; }
VB
'Declaration
Protected Read Property minField As String

Access

Read only.


MinHeight Property (FlexWindow)

Class

FlexWindow.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


MinHeight Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


MinHeight Property (SparkWindow)

Class

SparkWindow.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


MinHeight Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the minimum recommended height of the component to be considered by the parent during layout.

Syntax

C#
protected Double minHeight { get; }
VB
'Declaration
Protected Read Property minHeight As Double

Access

Read only.


Minimizable Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimizable Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimizable Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimizable Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window can be minimized.

Syntax

C#
protected Boolean minimizable { get; }
VB
'Declaration
Protected Read Property minimizable As Boolean

Access

Read only.


Minimum Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the minimum value of the NumericStepper.

The minimum can be any number, including a fractional value. The default value is 0.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


Minimum Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the smallest progress value for the ProgressBar. This property is set by the developer only in manual mode.

The default value is 0.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


Minimum Property (FlexSlider)

Class

FlexSlider.

Action

Gets the minimum allowed value on the slider control. The default value is 0.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


Minimum Property (SparkRange)

Class

SparkRange.

Action

Gets the minimum valid value.

Syntax

C#
protected Double minimum { get; }
VB
'Declaration
Protected Read Property minimum As Double

Access

Read only.


MinorTickLength Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the length of the minor tick marks on the axis, in pixels. The default value is 0.

Syntax

C#
protected Double minorTickLength { get; }
VB
'Declaration
Protected Read Property minorTickLength As Double

Access

Read only.


MinorTickPlacement Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets a value where to draw the minor tick marks. Values include: inside, outside, cross, and none.

Syntax

C#
protected String minorTickPlacement { get; }
VB
'Declaration
Protected Read Property minorTickPlacement As String

Access

Read only.


MinorTicks Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets an array that specifies where Flex draws the minor tick marks along the axis. Each array element contains a value between 0 and 1.

Syntax

C#
protected List(Of Double) minorTicks { get; }
VB
'Declaration
Protected Read Property minorTicks As List(Of Double)

Access

Read only.


MinWidth Property (FlexWindow)

Class

FlexWindow.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinWidth Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinWidth Property (SparkWindow)

Class

SparkWindow.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinWidth Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the minimum recommended width of the component to be considered by the parent during layout.

Syntax

C#
protected Double minWidth { get; }
VB
'Declaration
Protected Read Property minWidth As Double

Access

Read only.


MinYear Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the first year selectable in the control.

Syntax

C#
protected Integer minYear { get; }
VB
'Declaration
Protected Read Property minYear As Integer

Access

Read only.


MinYear Property (FlexDateField)

Class

FlexDateField.

Action

Gets the first year selectable in the control.

Syntax

C#
protected Integer minYear { get; }
VB
'Declaration
Protected Read Property minYear As Integer

Access

Read only.


MouseEnabled Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether this object receives mouse messages. The default value is true, which means that by default any InteractiveObject instance that is on the display list receives mouse events. If mouseEnabled is set to false, the instance does not receive any mouse events. Any children of this instance on the display list are not affected. To change the mouseEnabled behavior for all children of an object on the display list, use flash.display.DisplayObjectContainer.mouseChildren.

No event is dispatched by setting this property. You must use the addEventListener method to create interactive functionality.

Syntax

C#
protected Boolean mouseEnabled { get; }
VB
'Declaration
Protected Read Property mouseEnabled As Boolean

Access

Read only.


MouseEnabledWhereTransparent Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets a value whether the entire bounds of the Group respond to mouse events such as click and roll over.

Syntax

C#
protected Boolean mouseEnabledWhereTransparent { get; }
VB
'Declaration
Protected Read Property mouseEnabledWhereTransparent As Boolean

Access

Read only.


MouseScroll Method (FlexContainer)

Class

FlexContainer.

Action

Dispatched when a mouse wheel is spun over an InteractiveObject instance.

If the target is a text field, the text scrolls as the default behavior. Only available on Microsoft Windows operating systems.

Defines the value of the type property of a mouseWheel event object.

Syntax

C#
container.MouseScroll([delta])
VB
container.MouseScroll([delta])
Variable | Description
delta | Optional: The number of lines that each notch on the mouse wheel represents. Integer.


MouseScroll Method (FlexScrollBase)

Class

FlexScrollBase.

Action

Dispatched when a mouse wheel is spun over an InteractiveObject instance.

If the target is a text field, the text scrolls as the default behavior. Only available on Microsoft Windows operating systems.

Defines the value of the type property of a mouseWheel event object.

Syntax

C#
scrollBase.MouseScroll([delta])
VB
scrollBase.MouseScroll([delta])
Variable | Description
delta | Optional: The number of lines that each notch on the mouse wheel represents. Integer.


MouseScroll Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the mouse is used to move the scroll bars on this container.

Syntax

C#
groupBase.MouseScroll([delta])
VB
groupBase.MouseScroll([delta])
Variable | Description
delta | Optional: The amount to scroll. Integer.


MouseScroll Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when the mouse is used to move the scroll bars on this container.

Syntax

C#
richEditableText.MouseScroll([delta])
VB
richEditableText.MouseScroll([delta])
Variable | Description
delta | Optional: The amount to scroll. Integer.


MouseScroll Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when the mouse is used to move the scroll bars on this container.

Syntax

C#
skinnableTextBase.MouseScroll([delta])
VB
skinnableTextBase.MouseScroll([delta])
Variable | Description
delta | Optional: The amount to scroll. Integer.


MouseSensitivity Property (FlexChart)

Class

FlexChart.

Action

Gets the distance, in pixels, that Flex considers a data point to be under the mouse pointer when the pointer moves around a chart.

Flex considers any data point less than mouseSensitivity pixels away to be under the mouse pointer. This value is also used by the findDataPoints method. The default value is 5.

Syntax

C#
protected Integer mouseSensitivity { get; }
VB
'Declaration
Protected Read Property mouseSensitivity As Integer

Access

Read only.


Move Method (FlexObject)

Class

FlexObject.

Action

Moves the component to a specified position within its parent. Calling this method is the same as setting the component's x and y properties.

Syntax

C#
object.Move([x, y])
VB
object.Move([x, y])
Variable | Description
x | Optional: Left position of the component within its parent. Integer.
y | Optional: Top position of the component within its parent. Integer.


Multiline Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets whether the user can enter multiline text.

Syntax

C#
protected Boolean multiline { get; }
VB
'Declaration
Protected Read Property multiline As Boolean

Access

Read only.


MultiSelect Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when an item is selected as part of an action that selects multiple items.

Syntax

C#
listBase.MultiSelect(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.MultiSelect(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the controls. ModifierKeys.


MuteChange Method (SparkMuteButton)

Class

SparkMuteButton.

Action

Toggles the muting of the control.

Syntax

C#
muteButton.MuteChange()
VB
muteButton.MuteChange()


MuteChange Method (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Dispatched when the mute status changes as a result of user interaction.

Syntax

C#
volumeBar.MuteChange()
VB
volumeBar.MuteChange()


Muted Property (SparkMuteButton)

Class

SparkMuteButton.

Action

Gets a value whether the control is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


Muted Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


Muted Property (SparkVideoPlayer)

Class

SparkVideoPlayer.

Action

Gets a value whether the control is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


Muted Property (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Gets a value whether the control is muted.

Syntax

C#
protected Boolean muted { get; }
VB
'Declaration
Protected Read Property muted As Boolean

Access

Read only.


NameField Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the field of the data provider that determines the name of each wedge of the PieChart control. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String nameField { get; }
VB
'Declaration
Protected Read Property nameField As String

Access

Read only.


NextValue Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the value that is one step larger than the current value property and not greater than the maximum property value.

Syntax

C#
protected Double nextValue { get; }
VB
'Declaration
Protected Read Property nextValue As Double

Access

Read only.


NumAutomationChildren Property (FlexObject)

Class

FlexObject.

Action

Gets the number of automation children this container has.

This sum should not include any composite children, though it does include those children not significant within the automation hierarchy.

Syntax

C#
protected Integer numAutomationChildren { get; }
VB
'Declaration
Protected Read Property numAutomationChildren As Integer

Access

Read only.


NumAutomationChildren Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the number of automation children this container has.

Syntax

C#
protected Integer numAutomationChildren { get; }
VB
'Declaration
Protected Read Property numAutomationChildren As Integer

Access

Read only.


NumChildren Property (FlexContainer)

Class

FlexContainer.

Action

Gets the number of child components in this container.

Syntax

C#
protected Integer numChildren { get; }
VB
'Declaration
Protected Read Property numChildren As Integer

Access

Read only.


NumChildren Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the number of children of this object.

Syntax

C#
protected Integer numChildren { get; }
VB
'Declaration
Protected Read Property numChildren As Integer

Access

Read only.


NumColumns Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexChart)

Class

FlexChart.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexContainer)

Class

FlexContainer.

Action

Gets the total number of columns of data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexListBase)

Class

FlexListBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexMenu)

Class

FlexMenu.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumColumns Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the total number of columns in the data available.

Syntax

C#
protected Integer numColumns { get; }
VB
'Declaration
Protected Read Property numColumns As Integer

Access

Read only.


NumElements Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the number of visual elements in this container.

Syntax

C#
protected Integer numElements { get; }
VB
'Declaration
Protected Read Property numElements As Integer

Access

Read only.


NumElements Property (SparkSkinnableContainer)

Class

SparkSkinnableContainer.

Action

Gets the number of visual elements in this container.

Syntax

C#
protected Integer numElements { get; }
VB
'Declaration
Protected Read Property numElements As Integer

Access

Read only.


NumRows Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexChart)

Class

FlexChart.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexContainer)

Class

FlexContainer.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexListBase)

Class

FlexListBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexMenu)

Class

FlexMenu.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkSkinnableContainerBase)

Class

SparkSkinnableContainerBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


NumRows Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the total number of rows of data available.

Syntax

C#
protected Integer numRows { get; }
VB
'Declaration
Protected Read Property numRows As Integer

Access

Read only.


Offset Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the amount to offset the center of the bars from the center of the available space, relative to the category width.

The range of values is a percentage in the range -100 to 100. Set to 0 to center the bars in the space. Set to -50 to center the column at the beginning of the available space. You typically do not set this property directly.

The default value is 0.

Syntax

C#
protected Double offset { get; }
VB
'Declaration
Protected Read Property offset As Double

Access

Read only.


Offset Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets how far to offset the center of the columns from the center of the available space, relative to the category width.

At the value of default 0, the columns are centered on the space. Set to -50 to center the column at the beginning of the available space. You typically do not set this property directly. The ColumnChart control manages this value based on its columnWidthRatio property.

Syntax

C#
protected Double offset { get; }
VB
'Declaration
Protected Read Property offset As Double

Access

Read only.


OpenDuration Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the length of an open or close transition for the navigation tree, in milliseconds. The default value is 250.

Syntax

C#
protected Integer openDuration { get; }
VB
'Declaration
Protected Read Property openDuration As Integer

Access

Read only.


Open Method (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Opens or expands an AdvancedDataGrid branch.

Syntax

C#
advancedDataGrid.Open(itemRenderer, [triggerEvent])
VB
advancedDataGrid.Open(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the item (node) that opened. String.
triggerEvent | Optional: If the item (node) opened in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


Open Method (FlexComboBase)

Class

FlexComboBase.

Action

Defines the value of the type property of the event object for a open event.

Syntax

C#
comboBase.Open([triggerEvent])
VB
comboBase.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Open Method (FlexPopUpButton)

Class

FlexPopUpButton.

Action

Dispatched when the specified UIComponent opens.

The DropdownEvent.OPEN constant defines the value of the type property of the event object for a open event.

Syntax

C#
popUpButton.Open([triggerEvent])
VB
popUpButton.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: A value indicating the type of input action that triggered the event. FlexTriggerEvent.


Open Method (FlexTree)

Class

FlexTree.

Action

Opens or expands a tree branch.

Syntax

C#
tree.Open(itemRenderer, [triggerEvent])
VB
tree.Open(itemRenderer, [triggerEvent])
Variable | Description
itemRenderer | The ListItemRenderer for the item (node) that opened. String.
triggerEvent | Optional: If the item (node) opened in response to a user action, identifies it as a keyboard action or a mouse action. FlexTriggerEvent.


Open Method (SparkDropDownListBase)

Class

SparkDropDownListBase.

Action

Dispatched when the user clicks the drop-down button to display the drop-down list.

Syntax

C#
dropDownListBase.Open([triggerEvent])
VB
dropDownListBase.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.


Open Method (SparkVolumeBar)

Class

SparkVolumeBar.

Action

Dispatched when the user clicks the drop-down button to display the drop-down list.

Syntax

C#
volumeBar.Open([triggerEvent])
VB
volumeBar.Open([triggerEvent])
Variable | Description
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.


OuterRadius Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the percentage of the total space available to the PieSeries to use when rendering the contents of the series.

This value is managed by the containing chart, and should not be assigned to directly. This value ranges from 0 to 1.

Syntax

C#
protected Double outerRadius { get; }
VB
'Declaration
Protected Read Property outerRadius As Double

Access

Read only.


PaddingBottom Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between the container's bottom border and its content area.

The default value is -1, so the bottom border of the last header overlaps the Accordion container's bottom border.

Syntax

C#
protected Double paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Double

Access

Read only.


PaddingBottom Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the bottom of the row and the bottom of the renderer in the row.

Syntax

C#
protected Integer paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Integer

Access

Read only.


PaddingBottom Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the chart's bottom border and its content area.

Syntax

C#
protected Integer paddingBottom { get; }
VB
'Declaration
Protected Read Property paddingBottom As Integer

Access

Read only.


PaddingLeft Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the control's left border and the left edge of its content area. The default value is 2.

Syntax

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

Access

Read only.


PaddingLeft Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the control's left border and the left edge of its content area. The default value is 2.

Syntax

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

Access

Read only.


PaddingLeft Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the number of pixels between the control's left border and the left edge of its content area. The default value is 2.

Syntax

C#
protected Integer paddingLeft { get; }
VB
'Declaration
Protected Read Property paddingLeft As Integer

Access

Read only.


PaddingRight Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the control's right border and the right edge of its content area. The default value is 0.

Syntax

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

Access

Read only.


PaddingRight Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the control's right border and the right edge of its content area. The default value is 0.

Syntax

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

Access

Read only.


PaddingRight Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the number of pixels between the control's right border and the right edge of its content area. The default value is 0.

Syntax

C#
protected Integer paddingRight { get; }
VB
'Declaration
Protected Read Property paddingRight As Integer

Access

Read only.


PaddingTop Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between the container's top border and its content area.

The default value is -1, so the top border of the first header overlaps the Accordion container's top border.

Syntax

C#
protected Double paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Double

Access

Read only.


PaddingTop Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the number of pixels between the top of the row and the top of the renderer in the row.

Syntax

C#
protected Integer paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Integer

Access

Read only.


PaddingTop Property (FlexChart)

Class

FlexChart.

Action

Gets the number of pixels between the chart's top border and its content area.

Syntax

C#
protected Integer paddingTop { get; }
VB
'Declaration
Protected Read Property paddingTop As Integer

Access

Read only.


PageScrollSize Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the amount to move the scroll thumb when the scroll bar track is pressed, in pixels. The default value is 0.

Syntax

C#
protected Double pageScrollSize { get; }
VB
'Declaration
Protected Read Property pageScrollSize As Double

Access

Read only.


PageSize Property (SparkScrollBar)

Class

SparkScrollBar.

Action

Gets the change in the value of the value property when you call the changeValueByPage() method.

Syntax

C#
protected Double pageSize { get; }
VB
'Declaration
Protected Read Property pageSize As Double

Access

Read only.


PauseWhenHidden Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets whether the video continues to play when it is "hidden".

Syntax

C#
protected Boolean pauseWhenHidden { get; }
VB
'Declaration
Protected Read Property pauseWhenHidden As Boolean

Access

Read only.


PercentComplete Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the percentage of process that is completed. The range is 0 to 100.

Syntax

C#
protected Double percentComplete { get; }
VB
'Declaration
Protected Read Property percentComplete As Double

Access

Read only.


PercentHeight Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the height of a component as a percentage of its parent's size.

Allowed values are 0-100. The default value is NaN. Setting the height or explicitHeight properties resets this property to NaN.

This property returns a numeric value only if the property was previously set; it does not reflect the exact size of the component in percent.

This property is always set to NaN for the UITextField control.

Syntax

C#
protected Double percentHeight { get; }
VB
'Declaration
Protected Read Property percentHeight As Double

Access

Read only.


PercentHeight Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the number that specifies the height of a component as a percentage of its parent's size. Valid values are 0 to 100.

Syntax

C#
protected Double percentHeight { get; }
VB
'Declaration
Protected Read Property percentHeight As Double

Access

Read only.


PercentWidth Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the width of a component as a percentage of its parent's size. Allowed values are 0-100. The default value is NaN. Setting the width or explicitWidth properties resets this property to NaN.

This property returns a numeric value only if the property was previously set; it does not reflect the exact size of the component in percent.

This property is always set to NaN for the UITextField control.

Syntax

C#
protected Double percentWidth { get; }
VB
'Declaration
Protected Read Property percentWidth As Double

Access

Read only.


PercentWidth Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the number that specifies the width of a component as a percentage of its parent's size. Valid values are 0 to 100.

Syntax

C#
protected Double percentWidth { get; }
VB
'Declaration
Protected Read Property percentWidth As Double

Access

Read only.


Placement Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the side of the chart that the axisRenderer appears on.

Syntax

C#
protected String placement { get; }
VB
'Declaration
Protected Read Property placement As String

Access

Read only.


Playing Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets a value whether the video is playing or is attempting to play.

Syntax

C#
protected Boolean playing { get; }
VB
'Declaration
Protected Read Property playing As Boolean

Access

Read only.


Playing Property (SparkVideoPlayer)

Class

SparkVideoPlayer.

Action

Gets a value if the video is playing or is attempting to play.

Syntax

C#
protected Boolean playing { get; }
VB
'Declaration
Protected Read Property playing As Boolean

Access

Read only.


PopUpHeightMatchesAnchorHeight Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets whether the height of the popUp control is set to the value of the PopUpAnchor's height.

Syntax

C#
protected Boolean popUpHeightMatchesAnchorHeight { get; }
VB
'Declaration
Protected Read Property popUpHeightMatchesAnchorHeight As Boolean

Access

Read only.


PopUpPosition Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets the position of the popUp control when it is opened, relative to the PopUpAnchor component.

Syntax

C#
protected String popUpPosition { get; }
VB
'Declaration
Protected Read Property popUpPosition As String

Access

Read only.


PopUpWidthMatchesAnchorWidth Property (SparkPopUpAnchor)

Class

SparkPopUpAnchor.

Action

Gets whether the width of the popUp control is set to the value of the PopUpAnchor's width.

Syntax

C#
protected Boolean popUpWidthMatchesAnchorWidth { get; }
VB
'Declaration
Protected Read Property popUpWidthMatchesAnchorWidth As Boolean

Access

Read only.


PreliminaryHeight Property (SparkImage)

Class

SparkImage.

Action

Gets an estimate to use for height when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.

Syntax

C#
protected Double preliminaryHeight { get; }
VB
'Declaration
Protected Read Property preliminaryHeight As Double

Access

Read only.


PreliminaryWidth Property (SparkImage)

Class

SparkImage.

Action

Gets an estimate to use for width when the "measured" bounds of the image is requested by layout, but the image data has yet to complete loading.

Syntax

C#
protected Double preliminaryWidth { get; }
VB
'Declaration
Protected Read Property preliminaryWidth As Double

Access

Read only.


Pressed Method (FlexDividedBox)

Class

FlexDividedBox.

Action

Dispatched when the user presses any divider in this container.

The dividerPress event is dispatched before any dividerDrag events are dispatched.

Syntax

C#
dividedBox.Pressed(dividerIndex, delta)
VB
dividedBox.Pressed(dividerIndex, delta)
Variable | Description
dividerIndex | Contains the zero-based index of the divider being dragged. The leftmost or topmost divider has a dividerIndex of 0. Integer.
delta | Contains the number of pixels that the divider has been dragged. Positive numbers represent a drag toward the right or bottom, negative numbers toward the left or top. Double.


PreviousValue Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the value that is one step smaller than the current value property and not smaller than the maximum property value.

Syntax

C#
protected Double previousValue { get; }
VB
'Declaration
Protected Read Property previousValue As Double

Access

Read only.


Prompt Property (SparkDropDownList)

Class

SparkDropDownList.

Action

Gets the prompt for the DropDownList control.

Syntax

C#
protected String prompt { get; }
VB
'Declaration
Protected Read Property prompt As String

Access

Read only.


RadiusField Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the field of the data provider that determines the radius of each symbol, relative to the other data points in the chart.

Syntax

C#
protected String radiusField { get; }
VB
'Declaration
Protected Read Property radiusField As String

Access

Read only.


Radius Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the radius, in pixels, of the chart elements for the data points.

This property only applies if you specify an itemRenderer property.

The default value is 4.

Syntax

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

Access

Read only.


Radius Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the radius, in pixels, of the chart elements for the data points.

This property applies only if you specify an item renderer using the itemRenderer property.

The default value is 4.

Syntax

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

Access

Read only.


Radius Property (FlexPlotSeries)

Class

FlexPlotSeries.

Action

Gets the radius style.

Specifies the radius, in pixels, of the chart element at each data point. By default, the PlotChart control draws a circle at each data point.

The default value is 4.

Syntax

C#
protected Double radius { get; }
VB
'Declaration
Protected Read Property radius As Double

Access

Read only.


RecycleChildren Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets whether this Repeater should re-use previously created children, or create new ones.

If true, when this Repeater's dataProvider, startingIndex, or count changes, it will recycle the existing children by binding the new data into them. If more children are required, they are created and added. If fewer children are required, the extra ones are removed and garbage collected.

If false, when this Repeater's dataProvider, startingIndex, or count changes, it will remove any previous children that it created and then create and add new children from the new data items.

This property is false by default. Setting it to true can increase performance, but is not appropriate in all situations. For example, if the previously created children have state information such as text typed in by a user, then this state will not be reset when the children are recycled.

Syntax

C#
protected Boolean recycleChildren { get; }
VB
'Declaration
Protected Read Property recycleChildren As Boolean

Access

Read only.


Released Method (FlexDividedBox)

Class

FlexDividedBox.

Action

Dispatched when the user releases a divider.

The dividerRelease event is dispatched after the dividerDrag events, but before the container's children are resized. The divider's x and y properties are not updated until after this event is triggered. As a result, a call to hDividerBox.getDividerAt(0).x will return the value of the original x position of the first divider. If you want the position of the divider after the move, you can access it when the DividerBox's updateComplete event has been triggered.

Syntax

C#
dividedBox.Released(dividerIndex, delta)
VB
dividedBox.Released(dividerIndex, delta)
Variable | Description
dividerIndex | Contains the zero-based index of the divider being dragged. The leftmost or topmost divider has a dividerIndex of 0. Integer.
delta | Contains the number of pixels that the divider has been dragged. Positive numbers represent a drag toward the right or bottom, negative numbers toward the left or top. Double.


Required Property (SparkFormItem)

Class

SparkFormItem.

Action

Gets whether the form item has to have a value to submit the form.

Syntax

C#
protected Boolean required { get; }
VB
'Declaration
Protected Read Property required As Boolean

Access

Read only.


RequireSelection Property (SparkListBase)

Class

SparkListBase.

Action

Gets a value if a data item must always be selected in the control.

Syntax

C#
protected Boolean requireSelection { get; }
VB
'Declaration
Protected Read Property requireSelection As Boolean

Access

Read only.


ResizableColumns Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets whether the user can change the size of the columns.

If true, the user can stretch or shrink the columns of the DataGrid control by dragging the grid lines between the header cells. If false, individual columns must also have their resizable properties set to false to prevent the user from resizing a particular column. The default value is true.

Syntax

C#
protected Boolean resizableColumns { get; }
VB
'Declaration
Protected Read Property resizableColumns As Boolean

Access

Read only.


ResizableColumns Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether the user can change the size of the columns.

If true, the user can stretch or shrink the columns of the DataGrid control by dragging the grid lines between the header cells. If false, individual columns must also have their resizable properties set to false to prevent the user from resizing a specific column.

The default value is true.

Syntax

C#
protected Boolean resizableColumns { get; }
VB
'Declaration
Protected Read Property resizableColumns As Boolean

Access

Read only.


Resizable Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


Resizable Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


Resizable Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


Resizable Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window can be resized.

Syntax

C#
protected Boolean resizable { get; }
VB
'Declaration
Protected Read Property resizable As Boolean

Access

Read only.


ResizeMode Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the ResizeMode for this container.

Syntax

C#
protected String resizeMode { get; }
VB
'Declaration
Protected Read Property resizeMode As String

Access

Read only.


ResizeToContent Property (FlexDividedBox)

Class

FlexDividedBox.

Action

Gets whether the DividedBox automatically resizes to the size of its children.

If true, the DividedBox automatically resizes to the size of its children. The default value is false.

Syntax

C#
protected Boolean resizeToContent { get; }
VB
'Declaration
Protected Read Property resizeToContent As Boolean

Access

Read only.


Restrict Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the set of characters that a user can or cannot enter into the text field.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the set of characters that a user can enter into the control.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (SparkComboBox)

Class

SparkComboBox.

Action

Gets the set of characters that a user can enter into the prompt area.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the set of characters that a user can enter into the text field.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


Restrict Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the set of characters that a user can enter into the text field.

Syntax

C#
protected String restrict { get; }
VB
'Declaration
Protected Read Property restrict As String

Access

Read only.


RollOverColor Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the rollOverColor of the drop-down list.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexDateField)

Class

FlexDateField.

Action

Gets the color of the highlight area of the date when the user holds the mouse pointer over a date in the DateChooser control. The default value is 0xE3FFD6.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the background of a renderer when the user rolls over it. The default value is 0xEEFEE6.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RollOverColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item background when a user rolls the mouse over it. The default value is 0xB2E1FF.

Syntax

C#
protected List(Of Color) rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As List(Of Color)

Access

Read only.


RollOverColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of the menu item background when a user rolls the mouse over it.

Syntax

C#
protected Color rollOverColor { get; }
VB
'Declaration
Protected Read Property rollOverColor As Color

Access

Read only.


RowCount Property (FlexListBase)

Class

FlexListBase.

Action

Gets the number of rows to be displayed.

If the height of the component has been explicitly set, this property might not have any effect.

For a DataGrid control, the rowCount property includes the header row. So, for a DataGrid control with 3 body rows and a header row, the rowCount property is 4.

The default value is 4.

Syntax

C#
protected Integer rowCount { get; }
VB
'Declaration
Protected Read Property rowCount As Integer

Access

Read only.


RowCount Property (FlexMenu)

Class

FlexMenu.

Action

Gets the number of rows to be displayed.

Syntax

C#
protected Integer rowCount { get; }
VB
'Declaration
Protected Read Property rowCount As Integer

Access

Read only.


RowHeight Property (FlexListBase)

Class

FlexListBase.

Action

Gets the height of the rows in pixels.

Unless the variableRowHeight property is true, all rows are the same height. If not specified, the row height is based on the font size and other properties of the renderer.

Syntax

C#
protected Double rowHeight { get; }
VB
'Declaration
Protected Read Property rowHeight As Double

Access

Read only.


RowHeight Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the height of the row.

Syntax

C#
protected Double rowHeight { get; }
VB
'Declaration
Protected Read Property rowHeight As Double

Access

Read only.


ScaleGridBottom Property (SparkGroup)

Class

SparkGroup.

Action

Gets the bottom coordinate of the scale grid.

Syntax

C#
protected Double scaleGridBottom { get; }
VB
'Declaration
Protected Read Property scaleGridBottom As Double

Access

Read only.


ScaleGridLeft Property (SparkGroup)

Class

SparkGroup.

Action

Gets the left coordinate of the scale grid.

Syntax

C#
protected Double scaleGridLeft { get; }
VB
'Declaration
Protected Read Property scaleGridLeft As Double

Access

Read only.


ScaleGridRight Property (SparkGroup)

Class

SparkGroup.

Action

Gets the right coordinate of the scale grid.

Syntax

C#
protected Double scaleGridRight { get; }
VB
'Declaration
Protected Read Property scaleGridRight As Double

Access

Read only.


ScaleGridTop Property (SparkGroup)

Class

SparkGroup.

Action

Gets the top coordinate of the scale grid.

Syntax

C#
protected Double scaleGridTop { get; }
VB
'Declaration
Protected Read Property scaleGridTop As Double

Access

Read only.


ScaleMode Property (SparkImage)

Class

SparkImage.

Action

Gets whether the image is scaled when fillMode is set to BitmapFillMode.SCALE.

Syntax

C#
protected String scaleMode { get; }
VB
'Declaration
Protected Read Property scaleMode As String

Access

Read only.


ScaleMode Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the different ways of sizing the video content.

Syntax

C#
protected String scaleMode { get; }
VB
'Declaration
Protected Read Property scaleMode As String

Access

Read only.


ScaleX Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the horizontal scaling factor.

The default value is 1.0, which means that the object is not scaled. A scaleX of 2.0 means the object has been magnified by a factor of 2, and a scaleX of 0.5 means the object has been reduced by a factor of 2.

A value of 0.0 is an invalid value. Rather than setting it to 0.0, set it to a small value, or set the visible property to false to hide the component.

The default value is 1.0.

This property can be used as the source for data binding. When this property is modified, it dispatches the scaleXChanged event.

Syntax

C#
protected Double scaleX { get; }
VB
'Declaration
Protected Read Property scaleX As Double

Access

Read only.


ScaleX Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the horizontal scale (percentage) of the object as applied from the registration point. The default registration point is (0,0). 1.0 equals 100% scale.

Syntax

C#
protected Double scaleX { get; }
VB
'Declaration
Protected Read Property scaleX As Double

Access

Read only.


ScaleY Property (FlexObject)

Class

FlexObject.

Action

Gets the number that specifies the vertical scaling factor.

The default value is 1.0, which means that the object is not scaled. A scaleY of 2.0 means the object has been magnified by a factor of 2, and a scaleY of 0.5 means the object has been reduced by a factor of 2.

A value of 0.0 is an invalid value. Rather than setting it to 0.0, set it to a small value, or set the visible property to false to hide the component.

The default value is 1.0.

This property can be used as the source for data binding. When this property is modified, it dispatches the scaleYChanged event.

Syntax

C#
protected Double scaleY { get; }
VB
'Declaration
Protected Read Property scaleY As Double

Access

Read only.


ScaleY Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the vertical scale (percentage) of an object as applied from the registration point of the object. The default registration point is (0,0). 1.0 is 100% scale.

Syntax

C#
protected Double scaleY { get; }
VB
'Declaration
Protected Read Property scaleY As Double

Access

Read only.


ScrollDate Method (FlexDateChooser)

Class

FlexDateChooser.

Action

The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.

Syntax

C#
dateChooser.ScrollDate(detail)
VB
dateChooser.ScrollDate(detail)
Variable | Description
detail | The scroll direction. FlexDateScrollDetail.


ScrollDate Method (FlexDateField)

Class

FlexDateField.

Action

The DateChooserEvent.SCROLL constant defines the value of the type property of the event object for a scrollevent.

Syntax

C#
dateField.ScrollDate(detail)
VB
dateField.ScrollDate(detail)
Variable | Description
detail | The scroll direction. FlexDateScrollDetail.


Scroll Method (FlexComboBase)

Class

FlexComboBase.

Action

Defines the value of the type property of the event object for a scroll event.

Syntax

C#
comboBase.Scroll(position, direction, detail)
VB
comboBase.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexContainer)

Class

FlexContainer.

Action

Dispatched when the user manually scrolls the container.

The event is dispatched when the scroll position is changed using either the mouse (e.g. clicking on the scrollbar's down button) or the keyboard (e.g., clicking on the down-arrow key). However, this event is not dispatched if the scroll position is changed programatically (e.g., setting the value of the horizontalScrollPosition property). The viewChanged event is delivered whenever the scroll position is changed, either manually or programatically.

At the time when this event is dispatched, the scrollbar has been updated to the new position, but the container's child objects have not been shifted to reflect the new scroll position.

Syntax

C#
container.Scroll(position, direction, detail)
VB
container.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for a scroll event.

Syntax

C#
listBase.Scroll(position, direction, detail)
VB
listBase.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexScrollBar)

Class

FlexScrollBar.

Action

Dispatched when the ScrollBar control scrolls through user initiated action or programmatically.

Syntax

C#
scrollBar.Scroll(position, direction, detail)
VB
scrollBar.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (FlexTextArea)

Class

FlexTextArea.

Action

Defines the value of the type property of the event object for a scroll event.

Syntax

C#
textArea.Scroll(position, direction, detail)
VB
textArea.Scroll(position, direction, detail)
Variable | Description
position | Contains the new scroll position. Integer.
direction | Contains the scroll direction, either ScrollEventDirection.HORIZONTAL or ScrollEventDirection.VERTICAL. FlexScrollDirection.
detail | Provides the specifics of the type of scroll activity. Constants for the possible values are provided in the ScrollEventDetail class. FlexScrollDetail.


Scroll Method (SparkAirHTML)

Class

SparkAirHTML.

Action

Dispatched when the scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.

Syntax

C#
airHTML.Scroll(position, direction, detail)
VB
airHTML.Scroll(position, direction, detail)
Variable | Description
position | The new scroll position. Integer.
direction | The direction of motion: ScrollEventDirection.VERTICAL or ScrollEventDirection.HORIZONTAL. FlexScrollDirection.
detail | Provides the details of the scroll activity. For most scroll activities the value is one of the listed constants, such as THUMB_TRACK. If the event indicates that the scrollbar has moved up, down, left, or right, the value is the string concatenation of the amount of motion (such as "Line" or "Page") and the constant that indicates the direction, such as LEFT. FlexScrollDetail.


Scroll Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the container's scroll events occur. This event is dispatched if the scrolling is done programmatically or by the user.

Syntax

C#
groupBase.Scroll(position, direction, detail)
VB
groupBase.Scroll(position, direction, detail)
Variable | Description
position | The new scroll position. Integer.
direction | The direction of motion: ScrollEventDirection.VERTICAL or ScrollEventDirection.HORIZONTAL. FlexScrollDirection.
detail | Provides the details of the scroll activity. For most scroll activities the value is one of the listed constants, such as THUMB_TRACK. If the event indicates that the scrollbar has moved up, down, left, or right, the value is the string concatenation of the amount of motion (such as "Line" or "Page") and the constant that indicates the direction, such as LEFT. FlexScrollDetail.


ScrollPosition Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the number that represents the current scroll position.

The value is between minScrollPosition and maxScrollPosition inclusively.

The default value is 0.

Syntax

C#
protected Double scrollPosition { get; }
VB
'Declaration
Protected Read Property scrollPosition As Double

Access

Read only.


ScrollToIndex Method (FlexListBase)

Class

FlexListBase.

Action

Ensures that the data provider item at the given index is visible.

If the item is visible, the verticalScrollPosition property is left unchanged even if the item is not the first visible item. If the item is not currently visible, the verticalScrollPosition property is changed to make the item the first visible item, unless there are not enough rows to do so because the verticalScrollPosition value is limited by the maxVerticalScrollPosition property.

Syntax

C#
result = listBase.ScrollToIndex(index)
VB
result = listBase.ScrollToIndex(index)
Variable | Description
result | Boolean.
index | The index of the item in the data provider. Integer.


Selectable Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether the list shows selected items as selected.

If true, the control supports selection. The Menu class, which subclasses ListBase, sets this property to false by default, because it does not show the chosen menu item as selected.

The default value is true.

Syntax

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

Access

Read only.


Selectable Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.

Syntax

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

Access

Read only.


Selectable Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a flag indicating whether the content is selectable with the mouse, or with the keyboard when the control has the keyboard focus.

Syntax

C#
protected Boolean selectable { get; }
VB
'Declaration
Protected Read Property selectable As Boolean

Access

Read only.


SelectedCell Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the selected cell.

Syntax

C#
protected String selectedCell { get; }
VB
'Declaration
Protected Read Property selectedCell As String

Access

Read only.


SelectedCells Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets an Array of cell locations as row and column indices.

Changing the value of the selectionMode property sets this property to null (Nothing in Visual Basic).

Syntax

C#
protected String selectedCells { get; }
VB
'Declaration
Protected Read Property selectedCells As String

Access

Read only.


SelectedCells Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the selected cells.

Syntax

C#
protected List(Of String) selectedCells { get; }
VB
'Declaration
Protected Read Property selectedCells As List(Of String)

Access

Read only.


SelectedChartItem Property (FlexChart)

Class

FlexChart.

Action

Gets the selected ChartItem in the chart. If multiple items are selected, this property specifies the most recently selected item.

Syntax

C#
protected Integer selectedChartItem { get; }
VB
'Declaration
Protected Read Property selectedChartItem As Integer

Access

Read only.


SelectedChartItems Property (FlexChart)

Class

FlexChart.

Action

Gets an array of all the selected ChartItem objects in the chart.

Syntax

C#
protected List(Of Integer) selectedChartItems { get; }
VB
'Declaration
Protected Read Property selectedChartItems As List(Of Integer)

Access

Read only.


SelectedChild Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets a reference to the currently visible child container.

The default value is a reference to the first child. If there are no children, this property is null (Nothing in Visual Basic).

Note: You can only set this property in an ActionScript statement, not in MXML.

Syntax

C#
protected String selectedChild { get; }
VB
'Declaration
Protected Read Property selectedChild As String

Access

Read only.


SelectedChild Property (FlexViewStack)

Class

FlexViewStack.

Action

Gets a reference to the currently visible child container.

The default is a reference to the first child. If there are no children, this property is null (Nothing in Visual Basic).

Syntax

C#
protected String selectedChild { get; }
VB
'Declaration
Protected Read Property selectedChild As String

Access

Read only.


SelectedColor Property (FlexColorPicker)

Class

FlexColorPicker.

Action

Gets the value of the currently selected color in the SwatchPanel object.

You can set this property to a standard string color name, such as "blue". If the dataProvider contains an entry for black (0x000000), the default value is 0; otherwise, the default value is the color of the item at index 0 of the data provider.

Syntax

C#
protected Color selectedColor { get; }
VB
'Declaration
Protected Read Property selectedColor As Color

Access

Read only.


SelectedDate Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the date as selected in the DateChooser control.

Syntax

C#
protected DateTime? selectedDate { get; }
VB
'Declaration
Protected Read Property selectedDate As DateTime?

Access

Read only.


SelectedDate Property (FlexDateField)

Class

FlexDateField.

Action

Gets the date as selected in the DateChooser control.

Syntax

C#
protected DateTime? selectedDate { get; }
VB
'Declaration
Protected Read Property selectedDate As DateTime?

Access

Read only.


SelectedIndex Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the zero-based index of the currently visible child container.

Child indexes are in the range 0, 1, 2, ..., n - 1, where n is the number of children.

The default value is 0, corresponding to the first child. If there are no children, this property is -1.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the index of the selected item in the data provider of the series.

If multiple items are selected, then this property refers to the most recently selected item.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the index in the data provider of the selected item.

If there is a prompt property, the selectedIndex value can be set to -1 to show the prompt. If there is no prompt, property then selectedIndex will be set to 0 once a dataProvider is set.

If the ComboBox control is editable, the selectedIndex property is -1 if the user types any text into the text field.

Unlike many other Flex properties that are invalidating (setting them does not have an immediate effect), the selectedIndex and selectedItem properties are synchronous; setting one immediately affects the other.

The default value is -1.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexListBase)

Class

FlexListBase.

Action

Gets the index in the data provider of the selected item.

The default value is -1 (no selected item).

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexMenu)

Class

FlexMenu.

Action

Gets the index in the data provider of the selected item.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the index in the MenuBar control of the currently open Menu or the last opened Menu if none are currently open.

Syntax

C#
protected Double selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Double

Access

Read only.


SelectedIndex Property (FlexNavigationBar)

Class

FlexNavigationBar.

Action

Gets the index of the active navigation item, where the first item is at an index of 0. The default value is -1.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (FlexViewStack)

Class

FlexViewStack.

Action

Gets the zero-based index of the currently visible child container.

Child indexes are in the range 0, 1, 2, ..., n - 1, where n is the number of children. The default value is 0, corresponding to the first child. If there are no children, the value of this property is -1.

Note: When you add a new child to a ViewStack container, the selectedIndex property is automatically adjusted, if necessary, so that the selected child remains selected.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the index of the selected row.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndex Property (SparkListBase)

Class

SparkListBase.

Action

Gets the 0-based index of the selected item, or -1 if no item is selected.

Syntax

C#
protected Integer selectedIndex { get; }
VB
'Declaration
Protected Read Property selectedIndex As Integer

Access

Read only.


SelectedIndices Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets an array of indexes of the selected items in the data provider of the series.

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedIndices Property (FlexListBase)

Class

FlexListBase.

Action

Gets an array of indices in the data provider of the selected items.

The items are in the reverse order that the user selected the items.

The default value is [ ].

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedIndices Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the indices of the selected rows.

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedIndices Property (SparkList)

Class

SparkList.

Action

Gets a list representing the indices of the currently selected item or items.

Syntax

C#
protected List(Of Integer) selectedIndices { get; }
VB
'Declaration
Protected Read Property selectedIndices As List(Of Integer)

Access

Read only.


SelectedItem Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets the chart item that is selected in the series.

If multiple items are selected, then this property refers to the most recently selected item.

Syntax

C#
protected Integer selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As Integer

Access

Read only.


SelectedItem Property (FlexListBase)

Class

FlexListBase.

Action

Gets a reference to the selected item in the data provider.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

Access

Read only.


SelectedItem Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the item of the selected row.

Syntax

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

Access

Read only.


SelectedItem Property (SparkListBase)

Class

SparkListBase.

Action

Gets the item that is currently selected.

Syntax

C#
protected String selectedItem { get; }
VB
'Declaration
Protected Read Property selectedItem As String

Access

Read only.


SelectedItems Property (FlexChartSeries)

Class

FlexChartSeries.

Action

Gets an array of chart items that are selected in the series.

Syntax

C#
protected List(Of Integer) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of Integer)

Access

Read only.


SelectedItems Property (FlexListBase)

Class

FlexListBase.

Action

Gets an array of references to the selected items in the data provider.

The items are in the reverse order that the user selected the items.

The default value is [ ].

Syntax

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

Access

Read only.


SelectedItems Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the items of the selected rows.

Syntax

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

Access

Read only.


SelectedItems Property (SparkList)

Class

SparkList.

Action

Gets a list of Objects representing the currently selected data items.

Syntax

C#
protected List(Of String) selectedItems { get; }
VB
'Declaration
Protected Read Property selectedItems As List(Of String)

Access

Read only.


Selected Property (FlexButton)

Class

FlexButton.

Action

Gets whether a toggle button is toggled on (true) or off (false).

This property can be set only if the toggle property is set to true.

For a CheckBox control, indicates whether the box is displaying a check mark. For a RadioButton control, indicates whether the control is selected.

The user can change this property by clicking the control, but you can also set the property programmatically.

In previous versions, if the toggle property was set to true, changing this property also dispatched a change event. Starting in version 3.0, setting this property programmatically only dispatches a valueCommit event.

The default value is false.

Syntax

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

Access

Read only.


Selected Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value whether the SparkListLabel is selected.

Syntax

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

Access

Read only.


Selected Property (SparkToggleButtonBase)

Class

SparkToggleButtonBase.

Action

Gets whether the button is in the down state, and false if it is in the up state.

Syntax

C#
protected Boolean selected { get; }
VB
'Declaration
Protected Read Property selected As Boolean

Access

Read only.


SelectedRanges Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the selected date ranges.

Syntax

C#
protected List(Of String) selectedRanges { get; }
VB
'Declaration
Protected Read Property selectedRanges As List(Of String)

Access

Read only.


SelectIndex Method (FlexComboBox)

Class

FlexComboBox.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
comboBox.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
comboBox.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The data provider index of the item to be selected. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


SelectIndex Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
listBase.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
listBase.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The data provider index of the item to be selected. Integer.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the index. ModifierKeys.


SelectIndex Method (SparkButtonBar)

Class

SparkButtonBar.

Action

Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.

Syntax

C#
buttonBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
buttonBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The index of the item which was selected. Integer.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


SelectIndex Method (SparkList)

Class

SparkList.

Action

Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.

Syntax

C#
list.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
list.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The index of the item which was selected. Integer.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


SelectIndex Method (SparkTabBar)

Class

SparkTabBar.

Action

Dispatched when the user clicks on an item in the list or navigates to the item using a keyboard.

Syntax

C#
tabBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
VB
tabBar.SelectIndex(itemIndex, [triggerEvent, keyModifier])
Variable | Description
itemIndex | The index of the item which was selected. Integer.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


SelectionActivePosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionActivePosition { get; }
VB
'Declaration
Protected Read Property selectionActivePosition As Integer

Access

Read only.


SelectionActivePosition Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that moves when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionActivePosition { get; }
VB
'Declaration
Protected Read Property selectionActivePosition As Integer

Access

Read only.


SelectionAnchorPosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionAnchorPosition { get; }
VB
'Declaration
Protected Read Property selectionAnchorPosition As Integer

Access

Read only.


SelectionAnchorPosition Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a character position, relative to the beginning of the text String, specifying the end of the selection that stays fixed when the selection is extended with the arrow keys.

Syntax

C#
protected Integer selectionAnchorPosition { get; }
VB
'Declaration
Protected Read Property selectionAnchorPosition As Integer

Access

Read only.


SelectionBeginIndex Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the zero-based character index value of the first character in the current selection.

Syntax

C#
protected Integer selectionBeginIndex { get; }
VB
'Declaration
Protected Read Property selectionBeginIndex As Integer

Access

Read only.


SelectionColor Property (FlexComboBox)

Class

FlexComboBox.

Action

Gets the selectionColor of the drop-down list.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of the highlight area of the currently selected date in the DateChooser control. The default value is 0xCDFFC1.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the background of a renderer when the user selects it. The default value is 0x7FCEFF.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item background when a menu item is selected. The default value is 0x7FCEFF.

Syntax

C#
protected List(Of Color) selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As List(Of Color)

Access

Read only.


SelectionColor Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the color of the menu item background when a menu item is selected.

Syntax

C#
protected Color selectionColor { get; }
VB
'Declaration
Protected Read Property selectionColor As Color

Access

Read only.


SelectionDisabledColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the background of a renderer when the component is disabled. The default value is 0xDDDDDD.

Syntax

C#
protected Color selectionDisabledColor { get; }
VB
'Declaration
Protected Read Property selectionDisabledColor As Color

Access

Read only.


SelectionEndIndex Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the zero-based index of the position after the last character in the current selection (equivalent to the one-based index of the last character).

Syntax

C#
protected Integer selectionEndIndex { get; }
VB
'Declaration
Protected Read Property selectionEndIndex As Integer

Access

Read only.


SelectionHighlighting Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets a value whether the text selection is highlighted.

Syntax

C#
protected String selectionHighlighting { get; }
VB
'Declaration
Protected Read Property selectionHighlighting As String

Access

Read only.


SelectionHighlighting Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets a value whether the text selection is highlighted.

Syntax

C#
protected String selectionHighlighting { get; }
VB
'Declaration
Protected Read Property selectionHighlighting As String

Access

Read only.


SelectionLength Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the number of selected rows.

Syntax

C#
protected Integer selectionLength { get; }
VB
'Declaration
Protected Read Property selectionLength As Integer

Access

Read only.


SelectionMode Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the selection mode of the control.

Possible values are: MULTIPLE_CELLS, MULTIPLE_ROWS, NONE, SINGLE_CELL, and SINGLE_ROW. Changing the value of this property sets the selectedCells property to null (Nothing in Visual Basic).

You must set the allowMultipleSelection property to true to select more than one item in the control at the same time.

Information about the selected cells is written to the selectedCells property.

The default value is SINGLE_ROW.

Syntax

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

Access

Read only.


SelectionMode Property (FlexChart)

Class

FlexChart.

Action

Gets whether ChartItem objects can be selected.

Possible values are none, single, or multiple. Set to none to prevent chart items from being selected. Set to single to allow only one item to be selected at a time. Set to multiple to allow one or more chart items to be selected at a time. The default value is none.

Syntax

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

Access

Read only.


SelectionMode Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets the selection mode (singlerow, multiplerows, singlecells or multiplecells).

Syntax

C#
protected String selectionMode { get; }
VB
'Declaration
Protected Read Property selectionMode As String

Access

Read only.


Select Method (FlexChart)

Class

FlexChart.

Action

Defines the value of the type property of the event object for a headerRelease event, which indicates that the user pressed and released the mouse on a column header.

Syntax

C#
chart.Select(selectionInfo)
VB
chart.Select(selectionInfo)
Variable | Description
selectionInfo | Whether the event can bubble up the display list hierarchy. List(Of String).


Select Method (FlexComboBox)

Class

FlexComboBox.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
comboBox.Select(itemRenderer, [triggerEvent, keyModifier])
VB
comboBox.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Select Method (FlexListBase)

Class

FlexListBase.

Action

Defines the value of the type property of the event object for an event that is dispatched when a single item is selected.

Syntax

C#
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The item renderer object for the item. String.
triggerEvent | Optional: The event, such as a mouse or keyboard event, that triggered the action. FlexTriggerEvent.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when selecting the control. ModifierKeys.


Select Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when a menu item is selected.

Syntax

C#
menu.Select(itemRenderer)
VB
menu.Select(itemRenderer)
Variable | Description
itemRenderer | The ListItemRenderer of the selected menu item. String.


Select Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Selects the specified data grid cell.

Syntax

C#
dataGrid.Select(itemRenderer, [triggerEvent, keyModifier])
VB
dataGrid.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The itemRenderer for the item which got selected. String.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard.. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Select Method (SparkDataGroup)

Class

SparkDataGroup.

Action

Dispatched when one or more items in the list are deselected.

Syntax

C#
dataGroup.Select(itemRenderer, [triggerEvent, keyModifier])
VB
dataGroup.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The itemRenderer for the item which got deselected. String.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Select Method (SparkListBase)

Class

SparkListBase.

Action

Dispatched when an item in the list is selected.

Syntax

C#
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
VB
listBase.Select(itemRenderer, [triggerEvent, keyModifier])
Variable | Description
itemRenderer | The itemRenderer for the item which got selected. String.
triggerEvent | Optional: Whether the event was triggered by mouse or keyboard.. FlexTriggerEvent.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.

Examples

VB

For example, you might select an item in a list box by typing:
    listBox.Select("apple")


SelectText Method (FlexComboBase)

Class

FlexComboBase.

Action

Lets you track selection within a text field.

Syntax

C#
comboBase.SelectText(beginIndex, endIndex)
VB
comboBase.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | Index at which selection starts. Integer.
endIndex | Index at which selection ends. Integer.


SelectText Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Lets you track selection within a text field.

Syntax

C#
numericStepper.SelectText(beginIndex, endIndex)
VB
numericStepper.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | Index at which selection starts. Integer.
endIndex | Index at which selection ends. Integer.


SelectText Method (FlexTextArea)

Class

FlexTextArea.

Action

Lets you track selection within a text field.

Syntax

C#
textArea.SelectText(beginIndex, endIndex)
VB
textArea.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | Index at which selection starts. Integer.
endIndex | Index at which selection ends. Integer.


SelectText Method (SparkComboBox)

Class

SparkComboBox.

Action

Dispatched when text is selected.

Syntax

C#
comboBox.SelectText(beginIndex, endIndex)
VB
comboBox.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first character in the selection. Integer.
endIndex | The index of the last character in the selection. Integer.


SelectText Method (SparkNumericStepper)

Class

SparkNumericStepper.

Action

Dispatched when text is selected.

Syntax

C#
numericStepper.SelectText(beginIndex, endIndex)
VB
numericStepper.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first selected character. Integer.
endIndex | The index of the last selected character. Integer.


SelectText Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when text is selected.

Syntax

C#
richEditableText.SelectText(beginIndex, endIndex)
VB
richEditableText.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first character selected. Integer.
endIndex | The index of the last character selected. Integer.


SelectText Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when text is selected.

Syntax

C#
skinnableTextBase.SelectText(beginIndex, endIndex)
VB
skinnableTextBase.SelectText(beginIndex, endIndex)
Variable | Description
beginIndex | The index of the first character selected. Integer.
endIndex | The index of the last character selected. Integer.


SequenceLabel Property (SparkFormItem)

Class

SparkFormItem.

Action

Gets the number of the form item in the form.

Syntax

C#
protected String sequenceLabel { get; }
VB
'Declaration
Protected Read Property sequenceLabel As String

Access

Read only.


SeriesClick Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Indicates that the user clicked the mouse button over a chart item representing data in the chart.

Syntax

C#
chartSeries.SeriesClick(hitSet)
VB
chartSeries.SeriesClick(hitSet)
Variable | Description
hitSet | An array of HitData structures describing the ChartItems that triggered the event. List(Of Integer).


SeriesDoubleClick Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Indicates that the user double-clicked the mouse button over a chart item representing data in the chart.

Syntax

C#
chartSeries.SeriesDoubleClick(hitSet)
VB
chartSeries.SeriesDoubleClick(hitSet)
Variable | Description
hitSet | An array of HitData structures describing the ChartItems that triggered the event. List(Of Integer).


SeriesItemRollOver Method (FlexChartSeries)

Class

FlexChartSeries.

Action

Indicates that the user rolled the mouse pointer over a chart item representing data in the chart.

Syntax

C#
chartSeries.SeriesItemRollOver(hitSet)
VB
chartSeries.SeriesItemRollOver(hitSet)
Variable | Description
hitSet | An array of HitData structures describing the ChartItems that triggered the event. List(Of Integer).


SetFocus Method (FlexObject)

Class

FlexObject.

Action

Sets the focus to this component. The component may in turn pass focus to a subcomponent.

Note: Only the TextInput and TextArea controls show a highlight when this method sets the focus. All controls show a highlight when the user tabs to the control.

Syntax

C#
object.SetFocus()
VB
object.SetFocus()


SetFocus Method (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Called by the FocusManager when the component receives focus. The component may in turn set focus to an internal component.

Syntax

C#
uIMovieClip.SetFocus()
VB
uIMovieClip.SetFocus()


ShowCloseButton Property (FlexTitleWindow)

Class

FlexTitleWindow.

Action

Gets whether to display a Close button in the TitleWindow container. The default value is false.\.

Syntax

C#
protected Boolean showCloseButton { get; }
VB
'Declaration
Protected Read Property showCloseButton As Boolean

Access

Read only.


ShowDataTip Property (FlexSlider)

Class

FlexSlider.

Action

Gets whether the data tip shows during user interaction.

If set to true, show a data tip during user interaction containing the current value of the slider.

The default value is true.

Syntax

C#
protected Boolean showDataTip { get; }
VB
'Declaration
Protected Read Property showDataTip As Boolean

Access

Read only.


ShowDataTips Property (FlexChart)

Class

FlexChart.

Action

Gets whether DataTip controls for the chart show.

DataTip controls are similar to tool tips, except that they display an appropriate value that represents the nearest chart data point under the mouse pointer.

Syntax

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

Access

Read only.


ShowDataTips Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether dataTips are displayed for text in the rows.

If true, dataTips are displayed. DataTips are tooltips designed to show the text that is too long for the row. If you set a dataTipFunction, dataTips are shown regardless of whether the text is too long for the row.

The default value is false.

Syntax

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

Access

Read only.


ShowDataTips Property (SparkDataGrid)

Class

SparkDataGrid.

Action

Gets whether data tips should be shown.

Syntax

C#
protected Boolean showDataTips { get; }
VB
'Declaration
Protected Read Property showDataTips As Boolean

Access

Read only.


ShowDataTipTargets Property (FlexChart)

Class

FlexChart.

Action

Gets whether to show targets over the datapoints when showDataTips is set to true.

Syntax

C#
protected Boolean showDataTipTargets { get; }
VB
'Declaration
Protected Read Property showDataTipTargets As Boolean

Access

Read only.


ShowLabels Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether labels appear along the axis. The default value is true.

Syntax

C#
protected Boolean showLabels { get; }
VB
'Declaration
Protected Read Property showLabels As Boolean

Access

Read only.


ShowLine Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets whether to display the axis. The default value is true.

Syntax

C#
protected Boolean showLine { get; }
VB
'Declaration
Protected Read Property showLine As Boolean

Access

Read only.


Show Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when a menu or submenu opens.

Syntax

C#
menu.Show(itemRenderer)
VB
menu.Show(itemRenderer)
Variable | Description
itemRenderer | This property is not set for this type of event. String.


Show Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Dispatched when a menu or submenu opens.

Syntax

C#
menuBar.Show(itemRenderer)
VB
menuBar.Show(itemRenderer)
Variable | Description
itemRenderer | This property is not set for this type of event. String.


ShowsCaret Property (SparkButtonBarButton)

Class

SparkButtonBarButton.

Action

Gets a value whether the item renderer can show itself as focused.

Syntax

C#
protected Boolean showsCaret { get; }
VB
'Declaration
Protected Read Property showsCaret As Boolean

Access

Read only.


ShowsCaret Property (SparkListLabel)

Class

SparkListLabel.

Action

Gets a value whether the caret is shown.

Syntax

C#
protected Boolean showsCaret { get; }
VB
'Declaration
Protected Read Property showsCaret As Boolean

Access

Read only.


ShowStatusBar Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowStatusBar Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowStatusBar Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowStatusBar Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the status bar is visible.

Syntax

C#
protected Boolean showStatusBar { get; }
VB
'Declaration
Protected Read Property showStatusBar As Boolean

Access

Read only.


ShowTextField Property (FlexColorPicker)

Class

FlexColorPicker.

Action

Gets whether to show the text box that displays the color label or hexadecimal color value. The default value is true.

Syntax

C#
protected Boolean showTextField { get; }
VB
'Declaration
Protected Read Property showTextField As Boolean

Access

Read only.


ShowToday Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether today's date is highlighted in the DataChooser control.

If true, specifies that today is highlighted in the DateChooser control. The default value is true.

Syntax

C#
protected Boolean showToday { get; }
VB
'Declaration
Protected Read Property showToday As Boolean

Access

Read only.


ShowToday Property (FlexDateField)

Class

FlexDateField.

Action

Gets the day highlighted in the DateChooser control.

If true, specifies that today is highlighted in the DateChooser control. Setting this property immediately changes the appearance of the DateChooser control. The default value is true.

Syntax

C#
protected Boolean showToday { get; }
VB
'Declaration
Protected Read Property showToday As Boolean

Access

Read only.


Smooth Property (SparkImage)

Class

SparkImage.

Action

Gets whether to apply a smoothing algorithm to the bitmap image.

Syntax

C#
protected Boolean smooth { get; }
VB
'Declaration
Protected Read Property smooth As Boolean

Access

Read only.


SnapInterval Property (FlexSlider)

Class

FlexSlider.

Action

Gets the increment value of the slider thumb as the user moves the thumb.

For example, if snapInterval is 2, the minimum value is 0, and the maximum value is 10, the thumb snaps to the values 0, 2, 4, 6, 8, and 10 as the user move the thumb. A value of 0, means that the slider moves continuously between the minimum and maximum values.

The default value is 0.

Syntax

C#
protected Double snapInterval { get; }
VB
'Declaration
Protected Read Property snapInterval As Double

Access

Read only.


SnapInterval Property (SparkRange)

Class

SparkRange.

Action

Gets the snapInterval.

Syntax

C#
protected Double snapInterval { get; }
VB
'Declaration
Protected Read Property snapInterval As Double

Access

Read only.


SortableColumns Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether the user can sort the data provider items by clicking on a column header cell.

If true, the user can sort the data provider items by clicking on a column header cell. The DataGridColumn.dataField property of the column or the DataGridColumn.sortCompareFunction property of the column is used as the sort field. If a column is clicked more than once the sort alternates between ascending and descending order. If true, individual columns can be made to not respond to a click on a header by setting the column's sortable property to false.

When a user releases the mouse button over a header cell, the DataGrid control dispatches a headerRelease event if both this property and the column's sortable property are true. If no handler calls the preventDefault() method on the event, the DataGrid sorts using that column's DataGridColumn.dataField or DataGridColumn.sortCompareFunction properties.

The default value is true.

Syntax

C#
protected Boolean sortableColumns { get; }
VB
'Declaration
Protected Read Property sortableColumns As Boolean

Access

Read only.


SortOnXField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets whether the columns are sorted from left to right before rendering.

By default, the ColumnSeries renders columns in the order they appear in the data provider.

If you use the xField property to determine the position of each column, columns can appear in a different order on the screen. Columns can be rendered in any order. However, some custom columns might rely on the columns being rendered from left to right.

The default value is false.

Syntax

C#
protected Boolean sortOnXField { get; }
VB
'Declaration
Protected Read Property sortOnXField As Boolean

Access

Read only.


SortOnXField Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets whether the line datapoints are sorted from left to right before rendering.

By default, the LineSeries renders points from left to right. Set this property to false to render the items in the order they appear in the data provider.

The default value is true.

Syntax

C#
protected Boolean sortOnXField { get; }
VB
'Declaration
Protected Read Property sortOnXField As Boolean

Access

Read only.


SourceHeight Property (SparkImage)

Class

SparkImage.

Action

Gets the unscaled height of the original image data.

Syntax

C#
protected Double sourceHeight { get; }
VB
'Declaration
Protected Read Property sourceHeight As Double

Access

Read only.


Source Property (FlexLoader)

Class

FlexLoader.

Action

Gets the URL, object, class or string name of a class to load as the content.

The value of the source property represents a relative or absolute URL; a ByteArray representing a SWF, GIF, JPEG, or PNG; an object that implements IFlexDisplayObject; a class whose type implements IFlexDisplayObject; or a String that represents a class.

Syntax

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

Access

Read only.


Source Property (FlexVideoDisplay)

Class

FlexVideoDisplay.

Action

Gets the relative path and filename of the FLV file to stream.

Syntax

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

Access

Read only.


Source Property (SparkImage)

Class

SparkImage.

Action

Gets the content location.

Syntax

C#
protected String source { get; }
VB
'Declaration
Protected Read Property source As String

Access

Read only.


SourceWidth Property (SparkImage)

Class

SparkImage.

Action

Gets the unscaled width of the original image data.

Syntax

C#
protected Double sourceWidth { get; }
VB
'Declaration
Protected Read Property sourceWidth As Double

Access

Read only.


StartAngle Property (FlexPieSeries)

Class

FlexPieSeries.

Action

Gets the starting angle for the first slice of the PieChart control.

The default value is 0, which is horizontal on the right side of the PieChart control.

Syntax

C#
protected Double startAngle { get; }
VB
'Declaration
Protected Read Property startAngle As Double

Access

Read only.


StartingIndex Property (FlexRepeater)

Class

FlexRepeater.

Action

Gets the index into the dataProvider at which this Repeater starts creating children.

Syntax

C#
protected Integer startingIndex { get; }
VB
'Declaration
Protected Read Property startingIndex As Integer

Access

Read only.


StateChange Method (FlexWindow)

Class

FlexWindow.

Action

Dispatched when the displaystatus of the window is changed.

Syntax

C#
window.StateChange(newWindowState)
VB
window.StateChange(newWindowState)
Variable | Description
newWindowState | Indicates the new State. String.


StateChange Method (SparkWindow)

Class

SparkWindow.

Action

Dispatched when the displaystatus of the window is changed.

Syntax

C#
window.StateChange(newWindowState)
VB
window.StateChange(newWindowState)
Variable | Description
newWindowState | Indicates the new State. String.


Status Property (FlexPanel)

Class

FlexPanel.

Action

Gets the text in the status area of the title bar. The default value is "".

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (FlexWindow)

Class

FlexWindow.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (SparkWindow)

Class

SparkWindow.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


Status Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the string that appears in the status bar, if it is visible.

Syntax

C#
protected String status { get; }
VB
'Declaration
Protected Read Property status As String

Access

Read only.


StepSize Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the non-zero unit of change between values.

The value property must be a multiple of this number. The default value is 1.

Syntax

C#
protected Double stepSize { get; }
VB
'Declaration
Protected Read Property stepSize As Double

Access

Read only.


StepSize Property (SparkRange)

Class

SparkRange.

Action

Gets the amount that the value property changes when the changeValueByStep() method is called.

Syntax

C#
protected Double stepSize { get; }
VB
'Declaration
Protected Read Property stepSize As Double

Access

Read only.


StickyHighlighting Property (SparkButtonBase)

Class

SparkButtonBase.

Action

Gets a value whether the button displays its down skin when the user presses it but changes to its over skin when the user drags the mouse off of it.

Syntax

C#
protected Boolean stickyHighlighting { get; }
VB
'Declaration
Protected Read Property stickyHighlighting As Boolean

Access

Read only.


StrokeWidth Property (FlexRule)

Class

FlexRule.

Action

Gets the thickness of the rule in pixels.

Syntax

C#
protected Double strokeWidth { get; }
VB
'Declaration
Protected Read Property strokeWidth As Double

Access

Read only.


SystemChrome Property (FlexWindow)

Class

FlexWindow.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


SystemChrome Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


SystemChrome Property (SparkWindow)

Class

SparkWindow.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


SystemChrome Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the type of system chrome (if any) the window has.

Syntax

C#
protected String systemChrome { get; }
VB
'Declaration
Protected Read Property systemChrome As String

Access

Read only.


TabChildren Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether the children of the display object are tab enabled. The default is true.

Syntax

C#
protected Boolean tabChildren { get; }
VB
'Declaration
Protected Read Property tabChildren As Boolean

Access

Read only.


TabEnabled Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether this object is in the tab order.

If this object is in the tab order, the value is true; otherwise, the value is false. By default, the value is false, except for the following: a SimpleButton object, a TextField object with type = input, or a Sprite object or MovieClip object with buttonMode = true.

Syntax

C#
protected Boolean tabEnabled { get; }
VB
'Declaration
Protected Read Property tabEnabled As Boolean

Access

Read only.


TabHeight Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the height of each tab, in pixels.

The default value is undefined. When this property is undefined, the height of each tab is determined by the font styles applied to this TabNavigator container. If you set this property, the specified value overrides this calculation.

Syntax

C#
protected Double tabHeight { get; }
VB
'Declaration
Protected Read Property tabHeight As Double

Access

Read only.


TabIndex Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the tab ordering of objects in a SWF file.

The tabIndex property is -1 by default, meaning no tab index is set for the object.

If any currently displayed object in the SWF file contains a tabIndex property, automatic tab ordering is disabled, and the tab ordering is calculated from the tabIndex properties of objects in the SWF file. The custom tab ordering includes only objects that have tabIndex properties.

The tabIndex property can be a non-negative integer. The objects are ordered according to their tabIndex properties, in ascending order. An object with a tabIndex value of 1 precedes an object with a tabIndex value of 2. Do not use the same tabIndex value for multiple objects.

The custom tab ordering that the tabIndex property defines is flat. This means that no attention is paid to the hierarchical relationships of objects in the SWF file. All objects in the SWF file with tabIndex properties are placed in the tab order, and the tab order is determined by the order of the tabIndex values.

Syntax

C#
protected Integer tabIndex { get; }
VB
'Declaration
Protected Read Property tabIndex As Integer

Access

Read only.


TabWidth Property (FlexTabNavigator)

Class

FlexTabNavigator.

Action

Gets the width of each tab, in pixels.

The default value is undefined. When this property is undefined, the width of each tab is determined by the width of its label text, using the font styles applied to this TabNavigator container. If the total width of the tabs would be greater than the width of the TabNavigator container, the calculated tab width is decreased, but only to a minimum of 30 pixels. If you set this property, the specified value overrides this calculation.

The label text on a tab is truncated if it does not fit in the tab. If a tab label is truncated, a tooltip with the full label text is displayed when a user rolls the mouse over the tab.

Syntax

C#
protected Double tabWidth { get; }
VB
'Declaration
Protected Read Property tabWidth As Double

Access

Read only.


TextAlign Property (FlexButton)

Class

FlexButton.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center. The default value for most components is left.

For the Button, LinkButton, and AccordionHeader components, the default value is center. For these components, this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the alignment of text within a container. Possible values are:left, right, or center.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is boldface.

Recognized values are normal and bold. The default value for Button controls is bold. The default value for all other controls is normal.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexLabel)

Class

FlexLabel.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the alignment of text within a container. Possible values are: left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexPieChart)

Class

FlexPieChart.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center. The default value for most components is left.

For the Button, LinkButton, and AccordionHeader components, the default value is center. For these components, this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextAlign Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the alignment of text within a container.

Possible values are:left, right, or center.

The default value for most components is left. For the FormItem component, the default value is right. For the Button, LinkButton, and AccordionHeader components, the default value is center, and this property is only recognized when the labelPlacement property is set to left or right. If labelPlacement is set to top or bottom, the text and any icon are centered.

Syntax

C#
protected String textAlign { get; }
VB
'Declaration
Protected Read Property textAlign As String

Access

Read only.


TextDecoration Property (FlexButton)

Class

FlexButton.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexLabel)

Class

FlexLabel.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets whether the text is underlined. Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextDecoration Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets whether the text is underlined.

Possible values are none and underline. The default value is none.

Syntax

C#
protected String textDecoration { get; }
VB
'Declaration
Protected Read Property textDecoration As String

Access

Read only.


TextIndent Property (FlexButton)

Class

FlexButton.

Action

Gets the offset of the first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Double textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Double

Access

Read only.


TextIndent Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexLabel)

Class

FlexLabel.

Action

Gets the offset of the first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexMenuBar)

Class

FlexMenuBar.

Action

Gets the offset of the first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Integer textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Integer

Access

Read only.


TextIndent Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the offset of first line of text from the left side of the container, in pixels. The default value is 0.

Syntax

C#
protected Double textIndent { get; }
VB
'Declaration
Protected Read Property textIndent As Double

Access

Read only.


Text Property (FlexAlert)

Class

FlexAlert.

Action

Gets the text to display in this alert dialog box. The default value is "".

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (FlexComboBase)

Class

FlexComboBase.

Action

Gets the contents of the text field.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (FlexLabel)

Class

FlexLabel.

Action

Gets the plain text displayed by this control. Its appearance is determined by the CSS styles of this Label control.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets the plain text that appears in the control.

Its appearance is determined by the CSS styles of this Label control.

The default value is "".

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the text String displayed by this component.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Gets the text String displayed by this component.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


Text Property (SparkTextBase)

Class

SparkTextBase.

Action

Gets the text displayed by this text component.

Syntax

C#
protected String text { get; }
VB
'Declaration
Protected Read Property text As String

Access

Read only.


TextRollOverColor Property (FlexButton)

Class

FlexButton.

Action

Gets the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.

Syntax

C#
protected Color textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As Color

Access

Read only.


TextRollOverColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the text color of the label as the user moves the mouse pointer over the button. The default value is 0x2B333C.

Syntax

C#
protected Color textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As Color

Access

Read only.


TextRollOverColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item text when a user rolls the mouse over the menu item. The default value is 0x2B333C.

Syntax

C#
protected List(Of Color) textRollOverColor { get; }
VB
'Declaration
Protected Read Property textRollOverColor As List(Of Color)

Access

Read only.


TextSelectedColor Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the color of selected text. The default value is 0x2B333C.

Syntax

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

Access

Read only.


TextSelectedColor Property (FlexButton)

Class

FlexButton.

Action

Gets the text color of the label as the user presses it. The default value is 0x000000.

Syntax

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

Access

Read only.


TextSelectedColor Property (FlexListBase)

Class

FlexListBase.

Action

Gets the color of the text of a renderer when the user selects it. The default value is 0x2B333C.

Syntax

C#
protected Color textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As Color

Access

Read only.


TextSelectedColor Property (FlexMenu)

Class

FlexMenu.

Action

Gets the color of the menu item text when the menu item is selected. The default value is 0x2B333C.

Syntax

C#
protected List(Of Color) textSelectedColor { get; }
VB
'Declaration
Protected Read Property textSelectedColor As List(Of Color)

Access

Read only.


ThemeColor Property (FlexObject)

Class

FlexObject.

Action

Gets the theme color of a component.

This property controls the appearance of highlights, appearance when a component is selected, and other similar visual cues, but it does not have any effect on the regular borders or background colors of the component. The preferred values are haloGreen, haloBlue, haloOrange, and haloSilver, although any valid color value can be used.

The default values of the rollOverColor and selectionColor styles are based on the themeColor value.

The default value is haloBlue.

Syntax

C#
protected Color themeColor { get; }
VB
'Declaration
Protected Read Property themeColor As Color

Access

Read only.


ThemeColor Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the theme color of a component.

Syntax

C#
protected Color themeColor { get; }
VB
'Declaration
Protected Read Property themeColor As Color

Access

Read only.


ThumbCount Property (FlexSlider)

Class

FlexSlider.

Action

Gets the number of thumbs allowed on the slider.

Possible values are 1 or 2. If set to 1, then the value property contains the current value of the slider. If set to 2, then the values property contains an array of values representing the value for each thumb.

The default value is 1.

Syntax

C#
protected Integer thumbCount { get; }
VB
'Declaration
Protected Read Property thumbCount As Integer

Access

Read only.


TickColor Property (FlexSlider)

Class

FlexSlider.

Action

Gets the color of the tick marks.

Use a hex color value or the string name of a known color. The default value is 0x6F7777.

Syntax

C#
protected Color tickColor { get; }
VB
'Declaration
Protected Read Property tickColor As Color

Access

Read only.


TickLength Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets the length of the tick marks on the axis, in pixels. The default value is 3.

Syntax

C#
protected Double tickLength { get; }
VB
'Declaration
Protected Read Property tickLength As Double

Access

Read only.


TickLength Property (FlexSlider)

Class

FlexSlider.

Action

Gets the length in pixels of the tick marks.

If direction is Direction.HORIZONTAL, then adjust the height of the tick marks. If direction is Direction.VERTICAL, then adjust the width. The default value is 3.

Syntax

C#
protected Double tickLength { get; }
VB
'Declaration
Protected Read Property tickLength As Double

Access

Read only.


TickPlacement Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets a value where to draw the tick marks. Values include: inside, outside, cross, and none.

Syntax

C#
protected String tickPlacement { get; }
VB
'Declaration
Protected Read Property tickPlacement As String

Access

Read only.


Ticks Property (FlexAxisRenderer)

Class

FlexAxisRenderer.

Action

Gets an array that specifies where Flex draws the tick marks along the axis. Each array element contains a value between 0 and 1.

Syntax

C#
protected List(Of Double) ticks { get; }
VB
'Declaration
Protected Read Property ticks As List(Of Double)

Access

Read only.


TickThickness Property (FlexSlider)

Class

FlexSlider.

Action

Gets the thickness in pixels of the tick marks.

If direction is horizontal, then adjust the width of the tick marks. If direction is vertical, then adjust the height. The default value is 1.

Syntax

C#
protected Double tickThickness { get; }
VB
'Declaration
Protected Read Property tickThickness As Double

Access

Read only.


Title Property (FlexPanel)

Class

FlexPanel.

Action

Gets the title or caption displayed in the title bar. The default value is "".

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (FlexWindow)

Class

FlexWindow.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (SparkPanel)

Class

SparkPanel.

Action

Gets the title or caption displayed in the title bar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (SparkWindow)

Class

SparkWindow.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


Title Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets the title that appears in the window title bar and the taskbar.

Syntax

C#
protected String title { get; }
VB
'Declaration
Protected Read Property title As String

Access

Read only.


TodayColor Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.

Syntax

C#
protected Color todayColor { get; }
VB
'Declaration
Protected Read Property todayColor As Color

Access

Read only.


TodayColor Property (FlexDateField)

Class

FlexDateField.

Action

Gets the color of the highlight of today's date in the DateChooser control. The default value is 0x2B333.

Syntax

C#
protected Color todayColor { get; }
VB
'Declaration
Protected Read Property todayColor As Color

Access

Read only.


Toggle Property (FlexButton)

Class

FlexButton.

Action

Gets whether a Button is in a toggle state or not.

If true, clicking the button toggles it between a selected and an unselected state. You can get or set this state programmatically by using the selected property. If false, the button does not stay pressed after the user releases it. In this case, its selected property is always false.

Buttons like this are used for performing actions. When toggle is set to false, selected is forced to false because only toggle buttons can be selected.

The default value is false.

Syntax

C#
protected Boolean toggle { get; }
VB
'Declaration
Protected Read Property toggle As Boolean

Access

Read only.


ToolTip Property (FlexObject)

Class

FlexObject.

Action

Gets the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String toolTip { get; }
VB
'Declaration
Protected Read Property toolTip As String

Access

Read only.


ToolTip Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets the text to display in the ToolTip. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String toolTip { get; }
VB
'Declaration
Protected Read Property toolTip As String

Access

Read only.


ToString Method (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Returns a string representation of the control.

Syntax

C#
result = displayObject.ToString()
VB
result = displayObject.ToString()
Variable | Description
result | String.


TotalTime Property (FlexVideoDisplay)

Class

FlexVideoDisplay.

Action

Gets the total length of the media, in seconds.

For FLV 1.0 video files, you manually set this property. For FLV 1.1 and later, the control calculates this value automatically.

Syntax

C#
protected Double totalTime { get; }
VB
'Declaration
Protected Read Property totalTime As Double

Access

Read only.


TrackColors Property (FlexScrollBar)

Class

FlexScrollBar.

Action

Gets the colors of the track, as an array of two colors.

You can use the same color twice for a solid track color. The default value is [0x94999b, 0xe7e7e7].

Syntax

C#
protected List(Of Color) trackColors { get; }
VB
'Declaration
Protected Read Property trackColors As List(Of Color)

Access

Read only.


TrackColors Property (FlexSlider)

Class

FlexSlider.

Action

Gets the colors of the track, as an array of two colors.

You can use the same color twice for a solid track color.

You use this property along with the fillAlphas property. Typically you set fillAlphas to [ 1.0, 1.0 ] when setting trackColors.

The default value is [ 0xE7E7E7, 0xE7E7E7 ].

Syntax

C#
protected List(Of Color) trackColors { get; }
VB
'Declaration
Protected Read Property trackColors As List(Of Color)

Access

Read only.


Transparent Property (FlexWindow)

Class

FlexWindow.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


Transparent Property (FlexWindowedApplication)

Class

FlexWindowedApplication.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


Transparent Property (SparkWindow)

Class

SparkWindow.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


Transparent Property (SparkWindowedApplication)

Class

SparkWindowedApplication.

Action

Gets a value whether the window is transparent.

Syntax

C#
protected Boolean transparent { get; }
VB
'Declaration
Protected Read Property transparent As Boolean

Access

Read only.


TrustedSource Property (SparkImage)

Class

SparkImage.

Action

Gets a flag denoting whether the currently loaded content is considered loaded from a source whose security policy allows for cross domain image access.

Syntax

C#
protected Boolean trustedSource { get; }
VB
'Declaration
Protected Read Property trustedSource As Boolean

Access

Read only.


Type Method (FlexAccordion)

Class

FlexAccordion.

Action

Dispatched when the user presses a key.

Mappings between keys and specific characters vary by device and operating system. This event type is generated after such a mapping occurs but before the processing of an input method editor (IME). IMEs are used to enter characters, such as Chinese ideographs, that the standard QWERTY keyboard is ill-equipped to produce.

Syntax

C#
accordion.Type(keyCode, [keyModifier])
VB
accordion.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the control. ModifierKeys.


Type Method (FlexAlert)

Class

FlexAlert.

Action

Dispatched when the user presses a key.

Syntax

C#
alert.Type(keyCode, [keyModifier])
VB
alert.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexButton)

Class

FlexButton.

Action

Dispatched when the user presses a key.

Mappings between keys and specific characters vary by device and operating system. This event type is generated after such a mapping occurs but before the processing of an input method editor (IME). IMEs are used to enter characters, such as Chinese ideographs, that the standard QWERTY keyboard is ill-equipped to produce.

Syntax

C#
button.Type(keyCode, [keyModifier])
VB
button.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the control. ModifierKeys.


Type Method (FlexComboBase)

Class

FlexComboBase.

Action

Dispatched when the user presses a key.

Syntax

C#
comboBase.Type(keyCode, [keyModifier])
VB
comboBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexDateChooser)

Class

FlexDateChooser.

Action

Dispatched when the user presses a key.

Syntax

C#
dateChooser.Type(keyCode, [keyModifier])
VB
dateChooser.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexListBase)

Class

FlexListBase.

Action

Dispatched when the user presses a key.

Mappings between keys and specific characters vary by device and operating system. This event type is generated after such a mapping occurs but before the processing of an input method editor (IME). IMEs are used to enter characters, such as Chinese ideographs, that the standard QWERTY keyboard is ill-equipped to produce.

Syntax

C#
listBase.Type(keyCode, [keyModifier])
VB
listBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use when clicking the controls. ModifierKeys.


Type Method (FlexMenu)

Class

FlexMenu.

Action

Dispatched when the user presses a key.

Syntax

C#
menu.Type(keyCode, [keyModifier])
VB
menu.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexMenuBar)

Class

FlexMenuBar.

Action

Dispatched when the user presses a key.

Syntax

C#
menuBar.Type(keyCode, [keyModifier])
VB
menuBar.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexNavigationBar)

Class

FlexNavigationBar.

Action

Dispatched when the user presses a key.

Syntax

C#
navigationBar.Type(keyCode, [keyModifier])
VB
navigationBar.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Dispatched when the user presses a key.

Syntax

C#
numericStepper.Type(keyCode, [keyModifier])
VB
numericStepper.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexTextArea)

Class

FlexTextArea.

Action

Dispatched when the user presses a key.

Syntax

C#
textArea.Type(keyCode, [keyModifier])
VB
textArea.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (FlexViewStack)

Class

FlexViewStack.

Action

Dispatched when the user presses a key.

Syntax

C#
viewStack.Type(keyCode, [keyModifier])
VB
viewStack.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed or released. String.
keyModifier | Optional: The key modifiers (for example, the Ctrl key) to use. ModifierKeys.


Type Method (SparkApplication)

Class

SparkApplication.

Action

Dispatched when the user presses a key.

Syntax

C#
application.Type(keyCode, [keyModifier])
VB
application.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkButtonBase)

Class

SparkButtonBase.

Action

Dispatched when the user presses a key.

Syntax

C#
buttonBase.Type(keyCode, [keyModifier])
VB
buttonBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkDataGrid)

Class

SparkDataGrid.

Action

Dispatched when the user presses a key.

Syntax

C#
dataGrid.Type(keyCode, [keyModifier])
VB
dataGrid.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkGroupBase)

Class

SparkGroupBase.

Action

Dispatched when the user presses a key.

Syntax

C#
groupBase.Type(keyCode, [keyModifier])
VB
groupBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkListBase)

Class

SparkListBase.

Action

Dispatched when the user presses a key.

Syntax

C#
listBase.Type(keyCode, [keyModifier])
VB
listBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkPanel)

Class

SparkPanel.

Action

Dispatched when the user presses a key.

Syntax

C#
panel.Type(keyCode, [keyModifier])
VB
panel.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Dispatched when the user presses a key.

Syntax

C#
richEditableText.Type(keyCode, [keyModifier])
VB
richEditableText.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkSkinnableTextBase)

Class

SparkSkinnableTextBase.

Action

Dispatched when the user presses a key.

Syntax

C#
skinnableTextBase.Type(keyCode, [keyModifier])
VB
skinnableTextBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkSpinner)

Class

SparkSpinner.

Action

Dispatched when the user presses a key.

Syntax

C#
spinner.Type(keyCode, [keyModifier])
VB
spinner.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkTextBase)

Class

SparkTextBase.

Action

Dispatched when the user presses a key.

Syntax

C#
textBase.Type(keyCode, [keyModifier])
VB
textBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Type Method (SparkTrackBase)

Class

SparkTrackBase.

Action

Dispatched when the user presses a key.

Syntax

C#
trackBase.Type(keyCode, [keyModifier])
VB
trackBase.Type(keyCode, [keyModifier])
Variable | Description
keyCode | The key code value of the key pressed. String.
keyModifier | Optional: A constant that indicates which key or key combination, if any, was pressed while this operation took place. One of: flexAlt, flexControl, flexControlAlt, flexControlShift, flexControlShiftAlt, flexShift, or flexShiftAlt. For example, if the Shift and Alt keys were pressed, then the value would be flexShiftAlt. ModifierKeys.


Url Property (FlexApplication)

Class

FlexApplication.

Action

Gets the URL from which this Application's SWF file was loaded.

Syntax

C#
protected String url { get; }
VB
'Declaration
Protected Read Property url As String

Access

Read only.


Url Property (SparkApplication)

Class

SparkApplication.

Action

Gets the URL from which this Application's SWF file was loaded.

Syntax

C#
protected String url { get; }
VB
'Declaration
Protected Read Property url As String

Access

Read only.


UseHandCursor Property (FlexObject)

Class

FlexObject.

Action

Gets whether the pointing hand cursor appears when the mouse rolls over an element. The default value is true. If useHandCursor is false, the arrow pointer is used instead.

Syntax

C#
protected Boolean useHandCursor { get; }
VB
'Declaration
Protected Read Property useHandCursor As Boolean

Access

Read only.


UseHandCursor Property (FlexUIMovieClip)

Class

FlexUIMovieClip.

Action

Gets whether the pointing hand (hand cursor) appears when the mouse rolls over a sprite in which the buttonMode property is set to true.

The default value is true. If useHandCursor is set to true, the pointing hand used for buttons appears when the mouse rolls over a button sprite. If useHandCursor is false, the arrow pointer is used instead.

Syntax

C#
protected Boolean useHandCursor { get; }
VB
'Declaration
Protected Read Property useHandCursor As Boolean

Access

Read only.


UseRollOver Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether items are highlighted as the mouse rolls over them.

If true, rows are highlighted as the mouse rolls over them. If false, rows are highlighted only when selected.

The default value is true.

Syntax

C#
protected Boolean useRollOver { get; }
VB
'Declaration
Protected Read Property useRollOver As Boolean

Access

Read only.


UseVirtualLayout Property (SparkListBase)

Class

SparkListBase.

Action

Gets the value of the useVirtualLayout property of the layout associated with this control.

Syntax

C#
protected Boolean useVirtualLayout { get; }
VB
'Declaration
Protected Read Property useVirtualLayout As Boolean

Access

Read only.


Value Property (FlexNumericStepper)

Class

FlexNumericStepper.

Action

Gets the value displayed in the text area of the NumericStepper control.

If a user enters number that is not a multiple of the stepSize property or is not in the range between the maximum and minimum properties, this property is set to the closest valid value.

The default value is 0.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Value Property (FlexProgressBar)

Class

FlexProgressBar.

Action

Gets the amount of progress that has been made between the minimum and maximum values.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Value Property (FlexSlider)

Class

FlexSlider.

Action

Gets the position of the thumb, and is a number between the minimum and maximum properties.

Use the value property when thumbCount is 1. When thumbCount is greater than 1, use the values property instead. The default value is equal to the minimum property.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Value Property (SparkRange)

Class

SparkRange.

Action

Gets the current value for this range.

Syntax

C#
protected Double value { get; }
VB
'Declaration
Protected Read Property value As Double

Access

Read only.


Values Property (FlexSlider)

Class

FlexSlider.

Action

Gets an array of values for each thumb when thumbCount is greater than 1.

Syntax

C#
protected List(Of Double) values { get; }
VB
'Declaration
Protected Read Property values As List(Of Double)

Access

Read only.


VariableRowHeight Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether the individual rows can have different height.

This property is ignored by TileList and HorizontalList. If true, individual rows can have different height values.

The default value is false.

Syntax

C#
protected Boolean variableRowHeight { get; }
VB
'Declaration
Protected Read Property variableRowHeight As Boolean

Access

Read only.


VerticalAlign Property (FlexBox)

Class

FlexBox.

Action

Gets the vertical alignment of children in the container.

Possible values are: top, middle, and bottom. The default value is top, but some containers, such as ButtonBar, ControlBar, LinkBar, and ToggleButtonBar, have different default values.

Syntax

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

Access

Read only.


VerticalAlign Property (FlexListBase)

Class

FlexListBase.

Action

Gets the vertical alignment of a renderer in a row.

Possible values are: top, middle, and bottom. The DataGrid positions the renderers in a row based on this style and the paddingTop and paddingBottom styles.

The default value is top.

Syntax

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

Access

Read only.


VerticalAlign Property (SparkImage)

Class

SparkImage.

Action

Gets the vertical alignment of the content when it does not have a one-to-one aspect ratio and scaleMode is set to BitmapScaleMode.LETTERBOX.

Syntax

C#
protected String verticalAlign { get; }
VB
'Declaration
Protected Read Property verticalAlign As String

Access

Read only.


VerticalAxisRatio Property (FlexCartesianChart)

Class

FlexCartesianChart.

Action

Gets the width limit of the vertical axis.

The limit is the width of the axis times this ratio. The default value is 0.33.

Syntax

C#
protected Double verticalAxisRatio { get; }
VB
'Declaration
Protected Read Property verticalAxisRatio As Double

Access

Read only.


VerticalGap Property (FlexAccordion)

Class

FlexAccordion.

Action

Gets the number of pixels between children in the vertical direction.

The default value is -1, so the top and bottom borders of adjacent headers overlap.

Syntax

C#
protected Double verticalGap { get; }
VB
'Declaration
Protected Read Property verticalGap As Double

Access

Read only.


VerticalGap Property (FlexChartLegend)

Class

FlexChartLegend.

Action

Gets the number of pixels between children in the vertical direction. The default value depends on the component class; if not overriden for the class, the default value is 6.

Syntax

C#
protected Integer verticalGap { get; }
VB
'Declaration
Protected Read Property verticalGap As Integer

Access

Read only.


VerticalGridLineColor Property (FlexAdvancedDataGrid)

Class

FlexAdvancedDataGrid.

Action

Gets the color of the vertical grid lines. The default value is 0x666666.

Syntax

C#
protected Color verticalGridLineColor { get; }
VB
'Declaration
Protected Read Property verticalGridLineColor As Color

Access

Read only.


VerticalGridLineColor Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets the color of the vertical grid lines. The default value is 0x666666.

Syntax

C#
protected Color verticalGridLineColor { get; }
VB
'Declaration
Protected Read Property verticalGridLineColor As Color

Access

Read only.


VerticalGridLines Property (FlexDataGrid)

Class

FlexDataGrid.

Action

Gets whether to show vertical grid lines between the columns.

If true, the data grid shows vertical grid lines. If false, the data grid hides vertical grid lines. The default value is true.

Syntax

C#
protected Boolean verticalGridLines { get; }
VB
'Declaration
Protected Read Property verticalGridLines As Boolean

Access

Read only.


VerticalScrollPosition Property (SparkGroupBase)

Class

SparkGroupBase.

Action

Gets the y coordinate of the origin of the viewport in the component's coordinate system, where the default value is (0,0) corresponding to the upper-left corner of the component.

Syntax

C#
protected Double verticalScrollPosition { get; }
VB
'Declaration
Protected Read Property verticalScrollPosition As Double

Access

Read only.


VerticalScrollPosition Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the number of pixels by which the text is scrolled vertically.

Syntax

C#
protected Double verticalScrollPosition { get; }
VB
'Declaration
Protected Read Property verticalScrollPosition As Double

Access

Read only.


ViewSourceURL Property (SparkApplication)

Class

SparkApplication.

Action

Gets the URL where the application's source can be viewed.

Syntax

C#
protected String viewSourceURL { get; }
VB
'Declaration
Protected Read Property viewSourceURL As String

Access

Read only.


Visible Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets whether the display object is visible.

Display objects that are not visible are disabled. For example, if visible=false for an InteractiveObject instance, it cannot be clicked.

Syntax

C#
protected Boolean visible { get; }
VB
'Declaration
Protected Read Property visible As Boolean

Access

Read only.


Volume Property (FlexVideoDisplay)

Class

FlexVideoDisplay.

Action

Gets the volume level, specified as an value between 0 and 1. The default value is 0.75.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


Volume Property (SparkMuteButton)

Class

SparkMuteButton.

Action

Gets the volume of the control.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


Volume Property (SparkVideoDisplay)

Class

SparkVideoDisplay.

Action

Gets the volume level, specified as a value between 0 and 1.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


Volume Property (SparkVideoPlayer)

Class

SparkVideoPlayer.

Action

Gets the volume level, specified as a value between 0 and 1.

Syntax

C#
protected Double volume { get; }
VB
'Declaration
Protected Read Property volume As Double

Access

Read only.


WidthInChars Property (SparkRichEditableText)

Class

SparkRichEditableText.

Action

Gets the default width of the control, measured in em units.

Syntax

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

Access

Read only.


WidthInChars Property (SparkTextArea)

Class

SparkTextArea.

Action

Gets the default width of the control, measured in em units.

Syntax

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

Access

Read only.


WidthInChars Property (SparkTextInput)

Class

SparkTextInput.

Action

Gets the default width of the control, measured in em units.

Syntax

C#
protected Double widthInChars { get; }
VB
'Declaration
Protected Read Property widthInChars As Double

Access

Read only.


Width Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the width of the display object, in pixels.

The width is calculated based on the bounds of the content of the display object. When you set the width property, the scaleX property is adjusted accordingly.

Syntax

C#
protected Double width { get; }
VB
'Declaration
Protected Read Property width As Double

Access

Read only.


WordWrap Property (FlexListBase)

Class

FlexListBase.

Action

Gets whether text in the row should be word wrapped.

If true, enables word wrapping for text in the rows. Only takes effect if the variableRowHeight property is also true.

The default value is false.

Syntax

C#
protected Boolean wordWrap { get; }
VB
'Declaration
Protected Read Property wordWrap As Boolean

Access

Read only.


WordWrap Property (FlexTextArea)

Class

FlexTextArea.

Action

Gets whether text in the row should be word wrapped.

If true, enables word wrapping for text in the rows. Only takes effect if the variableRowHeight property is also true. The default value is false.

Syntax

C#
protected Boolean wordWrap { get; }
VB
'Declaration
Protected Read Property wordWrap As Boolean

Access

Read only.


XField Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the field of the data provider that determines the position of the data points on the horizontal axis.

If null (Nothing in Visual Basic), the data points are rendered in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the field of the data provider that determines the x-axis location of the top of each bar.

If null (Nothing in Visual Basic), the BarSeries assumes that the data provider is an Array of numbers, and uses the numbers as values.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the field of the data provider that determines the x-axis location of each data point.

If null (Nothing in Visual Basic), Flex renders the data points in the order that they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the field of the data provider that determines the x-axis location of the column.

If null (Nothing in Visual Basic), Flex renders the columns in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexHLOCSeriesBase)

Class

FlexHLOCSeriesBase.

Action

Gets the field of the data provider that determines the x-axis location of the element.

If null (Nothing in Visual Basic), the data points are rendered in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the field of the data provider that determines the x-axis location of each data point.

If null (Nothing in Visual Basic), the data points are rendered in the order they appear in the data provider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


XField Property (FlexPlotSeries)

Class

FlexPlotSeries.

Action

Gets the field of the data provider that determines the x-axis location of each data point.

If null (Nothing in Visual Basic), Flex renders the data points in the order they appear in the dataProvider. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String xField { get; }
VB
'Declaration
Protected Read Property xField As String

Access

Read only.


X Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the x coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.

If the object is inside a DisplayObjectContainer that has transformations, it is in the local coordinate system of the enclosing DisplayObjectContainer. Thus, for a DisplayObjectContainer rotated 90 degrees counterclockwise, the DisplayObjectContainer's children inherit a coordinate system that is rotated 90 degrees counterclockwise. The object's coordinates refer to the registration point position.

Syntax

C#
protected Double x { get; }
VB
'Declaration
Protected Read Property x As Double

Access

Read only.


YearNavigationEnabled Property (FlexDateChooser)

Class

FlexDateChooser.

Action

Gets whether year navigation is enabled.

When true an up and down button appear to the right of the displayed year. You can use these buttons to change the current year. These button appear to the left of the year in locales where year comes before the month in the date format.

The default value is false.

Syntax

C#
protected Boolean yearNavigationEnabled { get; }
VB
'Declaration
Protected Read Property yearNavigationEnabled As Boolean

Access

Read only.


YearNavigationEnabled Property (FlexDateField)

Class

FlexDateField.

Action

Gets whether the year up and down buttons are available for navigation.

When true an up and down button appear to the right of the displayed year. You can use these buttons to change the current year. These button appear to the left of the year in locales where year comes before the month in the date format. The default value is false.

Syntax

C#
protected Boolean yearNavigationEnabled { get; }
VB
'Declaration
Protected Read Property yearNavigationEnabled As Boolean

Access

Read only.


YField Property (FlexAreaSeries)

Class

FlexAreaSeries.

Action

Gets the field of the data provider that determines the position of the data point on the vertical axis.

If null (Nothing in Visual Basic), the AreaSeries assumes the dataProvider is an array of numbers, and uses the numbers as values for the data points. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexBarSeries)

Class

FlexBarSeries.

Action

Gets the field of the data provider that determines the y-axis location of the bottom of each bar in the chart.

If null (Nothing in Visual Basic), Flex arranges the bars in the order of the data in the data provider.

The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexBubbleSeries)

Class

FlexBubbleSeries.

Action

Gets the field of the data provider that determines the y-axis location of each data point.

If null (Nothing in Visual Basic), the BubbleSeries assumes that the data provider is an Array of numbers, and uses the numbers as values for the data points. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexColumnSeries)

Class

FlexColumnSeries.

Action

Gets the field of the data provider that determines the y-axis location of the top of a column.

If null (Nothing in Visual Basic), the ColumnSeries assumes the data provider is an Array of numbers and uses the numbers as values. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexLineSeries)

Class

FlexLineSeries.

Action

Gets the field of the data provider that determines the y-axis location of each data point.

If null (Nothing in Visual Basic), the LineSeries assumes the data provider is an Array of numbers, and uses the numbers as values. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


YField Property (FlexPlotSeries)

Class

FlexPlotSeries.

Action

Gets the field of the data provider that determines the y-axis location of each data point.

If null (Nothing in Visual Basic), the PlotSeries assumes the data provider is an Array of numbers, and uses the numbers as values. The default value is null (Nothing in Visual Basic).

Syntax

C#
protected String yField { get; }
VB
'Declaration
Protected Read Property yField As String

Access

Read only.


Y Property (FlexDisplayObject)

Class

FlexDisplayObject.

Action

Gets the y coordinate of the DisplayObject instance relative to the local coordinates of the parent DisplayObjectContainer.

If the object is inside a DisplayObjectContainer that has transformations, it is in the local coordinate system of the enclosing DisplayObjectContainer. Thus, for a DisplayObjectContainer rotated 90 degrees counterclockwise, the DisplayObjectContainer's children inherit a coordinate system that is rotated 90 degrees counterclockwise. The object's coordinates refer to the registration point position.

Syntax

C#
protected Double y { get; }
VB
'Declaration
Protected Read Property y As Double

Access

Read only.


AlwaysShowScrollBars Property (ScrolledComposite)

Class

ScrolledComposite.

Action

Gets or sets whether the scrollbar shows.

Syntax

C#
protected Boolean AlwaysShowScrollBars { get; set; }
VB
'Declaration
Protected ReadWrite Property AlwaysShowScrollBars As Boolean

Access

Read and write.


Bottom Property (CBanner)

Class

CBanner.

Action

Gets the control located at the bottom of the banner.

Syntax

C#
protected TestObject Bottom { get; }
VB
'Declaration
Protected Read Property Bottom As TestObject

Access

Read only.


Close Method (CTabFolder)

Class

CTabFolder.

Action

Closes the visible page.

Syntax

C#
cTabFolder.Close(item)
VB
cTabFolder.Close(item)
Variable | Description
item | The page to close. ItemIdentifier.


Close Method (CTabItem)

Class

CTabItem.

Action

Closes the visible tab.

Syntax

C#
cTabItem.Close()
VB
cTabItem.Close()


Collapse Method (ExpandBar)

Class

ExpandBar.

Action

Collapses the ExpandBar.

Syntax

C#
expandBar.Collapse(item)
VB
expandBar.Collapse(item)
Variable | Description
item | The item to collapse. ItemIdentifier.


Collapse Method (ExpandItem)

Class

ExpandItem.

Action

Collapses the expandable items.

Syntax

C#
expandItem.Collapse()
VB
expandItem.Collapse()


ColumnCount Property (SWTTree)

Class

SWTTree.

Action

Gets the number of columns in the tree.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


Columns Property (SWTTree)

Class

SWTTree.

Action

Gets a list of columns in the tree.

Syntax

C#
protected List(Of SWTTreeColumn) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of SWTTreeColumn)

Access

Read only.


Content Property (CoolItem)

Class

CoolItem.

Action

Gets the content of the areas that can be dynamically positioned.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


Content Property (ExpandItem)

Class

ExpandItem.

Action

Gets the content of the item.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


Content Property (ScrolledComposite)

Class

ScrolledComposite.

Action

Gets the content of the areas that can be dynamically positioned.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


Content Property (ViewForm)

Class

ViewForm.

Action

Gets the content of the areas that can be dynamically positioned.

Syntax

C#
protected TestObject Content { get; }
VB
'Declaration
Protected Read Property Content As TestObject

Access

Read only.


CurrentDate Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the current date.

Syntax

C#
protected DateTime? CurrentDate { get; set; }
VB
'Declaration
Protected ReadWrite Property CurrentDate As DateTime?

Access

Read and write.


Day Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the day.

Syntax

C#
protected Integer Day { get; set; }
VB
'Declaration
Protected ReadWrite Property Day As Integer

Access

Read and write.


Decrement Method (Spinner)

Class

Spinner.

Action

Decreases the value when the spinner controls are pressed.

Syntax

C#
spinner.Decrement([value])
VB
spinner.Decrement([value])
Variable | Description
value | Optional: The amount to decrement. The default value is '1'. Integer.


Editable Property (StyledText)

Class

StyledText.

Action

Gets or sets whether the text is editable.

Syntax

C#
protected Boolean Editable { get; set; }
VB
'Declaration
Protected ReadWrite Property Editable As Boolean

Access

Read and write.


ExpandedItems Property (ExpandBar)

Class

ExpandBar.

Action

Gets a list of the items that are expanded.

Syntax

C#
protected List(Of ExpandItem) ExpandedItems { get; }
VB
'Declaration
Protected Read Property ExpandedItems As List(Of ExpandItem)

Access

Read only.


Expanded Property (ExpandItem)

Class

ExpandItem.

Action

Gets or sets whether the item is expanded.

Syntax

C#
protected Boolean Expanded { get; set; }
VB
'Declaration
Protected ReadWrite Property Expanded As Boolean

Access

Read and write.


Expand Method (ExpandBar)

Class

ExpandBar.

Action

Expands an ExpandBar.

Syntax

C#
expandBar.Expand(item)
VB
expandBar.Expand(item)
Variable | Description
item | The item to expand. ItemIdentifier.


Expand Method (ExpandItem)

Class

ExpandItem.

Action

Expands the expandable items.

Syntax

C#
expandItem.Expand()
VB
expandItem.Expand()


ExtendSelect Method (SWTTree)

Class

SWTTree.

Action

Selects a range of items by extending the selection.

Syntax

C#
tree.ExtendSelect(itemPath)
VB
tree.ExtendSelect(itemPath)
Variable | Description
itemPath | The item to select. ItemPath.


GetContentsOfColumn Method (SWTTree)

Class

SWTTree.

Action

Retrieves the contents of the specified column as a list. To retrieve the contents of any column greater than column one, you must specify the parameters rawMode and column.

Syntax

C#
contentsOfColumn = tree.GetContentsOfColumn(rawMode, [column])
VB
contentsOfColumn = tree.GetContentsOfColumn(rawMode, [column])
Variable | Description
contentsOfColumn | List(Of String).
rawMode | Prevents spaces from being trimmed from items. Boolean.
column | Optional: The column to get the contents from. The value is zero-based. Integer.

Examples

VB

tree.GetContentsOfColumn(true,3)


GetItemsOfColumn Method (SWTTree)

Class

SWTTree.

Action

Retrieve items of the specified column from Tree.

Syntax

C#
itemsOfColumn = tree.GetItemsOfColumn([allItems, column])
VB
itemsOfColumn = tree.GetItemsOfColumn([allItems, column])
Variable | Description
itemsOfColumn | TreeContent.
allItems | Optional: true if the result should include nonviewable items. Boolean.
column | Optional: The column to get the items from. The value is zero-based. Integer.


GetSelectedTextOfColumn Method (SWTTree)

Class

SWTTree.

Action

Retrieves selected text from the specified column.

Syntax

C#
selectedTextOfColumn = tree.GetSelectedTextOfColumn([column])
VB
selectedTextOfColumn = tree.GetSelectedTextOfColumn([column])
Variable | Description
selectedTextOfColumn | String.
column | Optional: The column to get the text from. The value is zero-based. Integer.


Horizontal Property (SashForm)

Class

SashForm.

Action

Gets or sets whether the sash form is horizontal.

Syntax

C#
protected Boolean Horizontal { get; set; }
VB
'Declaration
Protected ReadWrite Property Horizontal As Boolean

Access

Read and write.


Hours Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the hour.

Syntax

C#
protected Integer Hours { get; set; }
VB
'Declaration
Protected ReadWrite Property Hours As Integer

Access

Read and write.


IncrementCount Property (Spinner)

Class

Spinner.

Action

Gets or sets the amount to increase the position value of the spinner control after pressing it.

Syntax

C#
protected Integer IncrementCount { get; set; }
VB
'Declaration
Protected ReadWrite Property IncrementCount As Integer

Access

Read and write.


Increment Method (Spinner)

Class

Spinner.

Action

Increases the value when the spinner controls are pressed.

Syntax

C#
spinner.Increment([value])
VB
spinner.Increment([value])
Variable | Description
value | Optional: The amount to increment. The default value is '1'. Integer.


ItemCount Property (CoolBar)

Class

CoolBar.

Action

Gets the number of items in the coolbar.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (CTabFolder)

Class

CTabFolder.

Action

Gets the number of items in the tab folder.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (ExpandBar)

Class

ExpandBar.

Action

Gets the number of items in the expandbar.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (CoolBar)

Class

CoolBar.

Action

Gets a list of items in the coolbar.

Syntax

C#
protected List(Of CoolItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of CoolItem)

Access

Read only.


Items Property (CTabFolder)

Class

CTabFolder.

Action

Gets a list of items in the tab folder.

Syntax

C#
protected List(Of CTabItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of CTabItem)

Access

Read only.


Items Property (ExpandBar)

Class

ExpandBar.

Action

Gets a list of items in the expandbar.

Syntax

C#
protected List(Of ExpandItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ExpandItem)

Access

Read only.


Left Property (CBanner)

Class

CBanner.

Action

Gets the control located on the left side of the banner.

Syntax

C#
protected TestObject Left { get; }
VB
'Declaration
Protected Read Property Left As TestObject

Access

Read only.


MaximizedControl Property (SashForm)

Class

SashForm.

Action

Gets the sash window that is maximized in the form.

Syntax

C#
protected TestObject MaximizedControl { get; }
VB
'Declaration
Protected Read Property MaximizedControl As TestObject

Access

Read only.


Maximize Method (CTabFolder)

Class

CTabFolder.

Action

Resizes the CTabFolder to its full (maximized) size.

Syntax

C#
cTabFolder.Maximize()
VB
cTabFolder.Maximize()


Minimize Method (CTabFolder)

Class

CTabFolder.

Action

Resizes the CTabFolder to the minimum size allowed.

Syntax

C#
cTabFolder.Minimize()
VB
cTabFolder.Minimize()


Minutes Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the minute.

Syntax

C#
protected Integer Minutes { get; set; }
VB
'Declaration
Protected ReadWrite Property Minutes As Integer

Access

Read and write.


Month Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the month.

Syntax

C#
protected Integer Month { get; set; }
VB
'Declaration
Protected ReadWrite Property Month As Integer

Access

Read and write.


Move Method (Sash)

Class

Sash.

Action

Moves the window pane that the sash borders.

Syntax

C#
sash.Move(amount)
VB
sash.Move(amount)
Variable | Description
amount | The number of pixels to move the window pane. Integer.


MultiSelect Method (SWTTree)

Class

SWTTree.

Action

Adds an item from the tree to the set of selected items.

Syntax

C#
tree.MultiSelect(itemPath)
VB
tree.MultiSelect(itemPath)
Variable | Description
itemPath | The item to select. ItemPath.


MultiUnselect Method (SWTTree)

Class

SWTTree.

Action

Removes an item in the tree from the set of selected items.

Syntax

C#
tree.MultiUnselect(itemPath)
VB
tree.MultiUnselect(itemPath)
Variable | Description
itemPath | The item to select. ItemPath.


Origin Property (ScrolledComposite)

Class

ScrolledComposite.

Action

Gets or sets the point in the content that currently appears in the top left corner of the scrolled composite.

Syntax

C#
protected Point Origin { get; set; }
VB
'Declaration
Protected ReadWrite Property Origin As Point

Access

Read and write.


PageDecrement Method (Spinner)

Class

Spinner.

Action

Decreases the value when the page spinner controls are pressed.

Syntax

C#
spinner.PageDecrement([value])
VB
spinner.PageDecrement([value])
Variable | Description
value | Optional: The page amount to decrement. The default value is '1'. Integer.


PageIncrement Method (Spinner)

Class

Spinner.

Action

Increases the value when the page spinner controls are pressed.

Syntax

C#
spinner.PageIncrement([value])
VB
spinner.PageIncrement([value])
Variable | Description
value | Optional: The page amount to increment. The default value is '1'. Integer.


PageSize Property (Spinner)

Class

Spinner.

Action

Gets or sets the internal page size of the spinner control.

Syntax

C#
protected Integer PageSize { get; set; }
VB
'Declaration
Protected ReadWrite Property PageSize As Integer

Access

Read and write.


Position Property (Spinner)

Class

Spinner.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Range Property (Spinner)

Class

Spinner.

Action

Gets or sets the range of the spinner control.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Resize Method (SWTTreeColumn)

Class

SWTTreeColumn.

Action

Resizes a column of the tree.

Syntax

C#
treeColumn.Resize(width)
VB
treeColumn.Resize(width)
Variable | Description
width | The new width of the column, in pixels. Integer.


Restore Method (CTabFolder)

Class

CTabFolder.

Action

Restores the CTabFolder to its previous size.

Syntax

C#
cTabFolder.Restore()
VB
cTabFolder.Restore()


RightMinimumSize Property (CBanner)

Class

CBanner.

Action

Gets or sets the minimum size of the control located on the right side of the banner.

Syntax

C#
protected Point RightMinimumSize { get; set; }
VB
'Declaration
Protected ReadWrite Property RightMinimumSize As Point

Access

Read and write.


Right Property (CBanner)

Class

CBanner.

Action

Gets the control located on the right side of the banner.

Syntax

C#
protected TestObject Right { get; }
VB
'Declaration
Protected Read Property Right As TestObject

Access

Read only.


RightWidth Property (CBanner)

Class

CBanner.

Action

Gets or sets the width of the control located on the right side of the banner.

Syntax

C#
protected Integer RightWidth { get; set; }
VB
'Declaration
Protected ReadWrite Property RightWidth As Integer

Access

Read and write.


Seconds Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the second.

Syntax

C#
protected Integer Seconds { get; set; }
VB
'Declaration
Protected ReadWrite Property Seconds As Integer

Access

Read and write.


SelectedIndex Property (CTabFolder)

Class

CTabFolder.

Action

Gets or sets the index of the selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedItem Property (CTabFolder)

Class

CTabFolder.

Action

Gets the selected tab item.

Syntax

C#
protected CTabItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As CTabItem

Access

Read only.


SelectedItemText Property (CTabFolder)

Class

CTabFolder.

Action

Gets the text of the selected item or an empty string if no item is selected.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


Selected Property (CTabItem)

Class

CTabItem.

Action

Gets or sets whether the item is selected.

Syntax

C#
protected Boolean Selected { get; set; }
VB
'Declaration
Protected ReadWrite Property Selected As Boolean

Access

Read and write.


Selected Property (SWTTabItem)

Class

SWTTabItem.

Action

Gets or sets whether the item is selected.

Syntax

C#
protected Boolean Selected { get; set; }
VB
'Declaration
Protected ReadWrite Property Selected As Boolean

Access

Read and write.


SelectedTabItem Property (SWTTabControl)

Class

SWTTabControl.

Action

Gets the name of the selected item.

Syntax

C#
protected SWTTabItem SelectedTabItem { get; }
VB
'Declaration
Protected Read Property SelectedTabItem As SWTTabItem

Access

Read only.


SelectList Method (CTabFolder)

Class

CTabFolder.

Action

Selects one or more items in the tab.

Syntax

C#
cTabFolder.SelectList()
VB
cTabFolder.SelectList()


Select Method (CTabFolder)

Class

CTabFolder.

Action

Selects an item from the CTabFolder.

Syntax

C#
cTabFolder.Select(item)
VB
cTabFolder.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (CTabItem)

Class

CTabItem.

Action

Selects a tab.

Syntax

C#
cTabItem.Select()
VB
cTabItem.Select()


Select Method (SWTDateTime)

Class

SWTDateTime.

Action

Selects a date and time.

Syntax

C#
dateTime.Select(selectedDate)
VB
dateTime.Select(selectedDate)
Variable | Description
selectedDate | The date and time to select. DateTime?.


Select Method (SWTTabItem)

Class

SWTTabItem.

Action

Selects a tab.

Syntax

C#
tabItem.Select()
VB
tabItem.Select()


Select Method (SWTTreeColumn)

Class

SWTTreeColumn.

Action

Selects a tree column.

Syntax

C#
treeColumn.Select()
VB
treeColumn.Select()


SetValue Method (Spinner)

Class

Spinner.

Action

Sets the value for the spinner control.

Syntax

C#
spinner.SetValue(value)
VB
spinner.SetValue(value)
Variable | Description
value | The new value. Integer.


Simple Property (CBanner)

Class

CBanner.

Action

Gets or sets whether the banner is rendered with a simple, traditional shape.

Syntax

C#
protected Boolean Simple { get; set; }
VB
'Declaration
Protected ReadWrite Property Simple As Boolean

Access

Read and write.


TabItems Property (SWTTabControl)

Class

SWTTabControl.

Action

Gets a list of TabItems in the tab control.

Syntax

C#
protected List(Of SWTTabItem) TabItems { get; }
VB
'Declaration
Protected Read Property TabItems As List(Of SWTTabItem)

Access

Read only.


TopCenter Property (ViewForm)

Class

ViewForm.

Action

Gets the window located in the top center of the pane.

Syntax

C#
protected TestObject TopCenter { get; }
VB
'Declaration
Protected Read Property TopCenter As TestObject

Access

Read only.


TopLeft Property (ViewForm)

Class

ViewForm.

Action

Gets the window located in the top left of the pane.

Syntax

C#
protected TestObject TopLeft { get; }
VB
'Declaration
Protected Read Property TopLeft As TestObject

Access

Read only.


TopRight Property (ViewForm)

Class

ViewForm.

Action

Gets the window located in the top right of the pane.

Syntax

C#
protected TestObject TopRight { get; }
VB
'Declaration
Protected Read Property TopRight As TestObject

Access

Read only.


Vertical Property (SashForm)

Class

SashForm.

Action

Gets or sets whether the sash form is vertical.

Syntax

C#
protected Boolean Vertical { get; set; }
VB
'Declaration
Protected ReadWrite Property Vertical As Boolean

Access

Read and write.


Weights Property (SashForm)

Class

SashForm.

Action

Gets or sets the relative sizes of the children of the sash form window.

Syntax

C#
protected List(Of Integer) Weights { get; set; }
VB
'Declaration
Protected ReadWrite Property Weights As List(Of Integer)

Access

Read and write.


Width Property (SWTTreeColumn)

Class

SWTTreeColumn.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

Access

Read and write.


Year Property (SWTDateTime)

Class

SWTDateTime.

Action

Gets or sets the year.

Syntax

C#
protected Integer Year { get; set; }
VB
'Declaration
Protected ReadWrite Property Year As Integer

Access

Read and write.


ClearText Method (MobileTextField)

Class

MobileTextField.

Action

Clears all the content from the text field.

Syntax

C#
textField.ClearText()
VB
textField.ClearText()


Click Method (IMobileClickable)

Class

IMobileClickable.

Action

Clicks on the device at the specified coordinates.

Syntax

C#
iMobileClickable.Click([position])
VB
iMobileClickable.Click([position])
Variable | Description
position | Optional: The coordinates at which to click. Point.


CloseApp Method (MobileDevice)

Class

MobileDevice.

Action

Closes the app and releases the device, to make it available to other users.

Syntax

C#
device.CloseApp()
VB
device.CloseApp()


DeviceId Property (MobileDevice)

Class

MobileDevice.

Action

Gets the id of the device for the current connection.

Syntax

C#
protected String DeviceId { get; }
VB
'Declaration
Protected Read Property DeviceId As String

Access

Read only.


DisplayHeight Property (MobileDevice)

Class

MobileDevice.

Action

Gets the height of the display in pixels.

Syntax

C#
protected Integer DisplayHeight { get; }
VB
'Declaration
Protected Read Property DisplayHeight As Integer

Access

Read only.


DisplayOrientation Property (MobileDevice)

Class

MobileDevice.

Action

Gets the current orientation of the device.

Syntax

C#
protected DisplayOrientation DisplayOrientation { get; }
VB
'Declaration
Protected Read Property DisplayOrientation As DisplayOrientation

Access

Read only.


DisplayWidth Property (MobileDevice)

Class

MobileDevice.

Action

Gets the width of the display in pixels.

Syntax

C#
protected Integer DisplayWidth { get; }
VB
'Declaration
Protected Read Property DisplayWidth As Integer

Access

Read only.


DoubleClick Method (IMobileClickable)

Class

IMobileClickable.

Action

Double-clicks on the device at the specified coordinates.

Syntax

C#
iMobileClickable.DoubleClick([position])
VB
iMobileClickable.DoubleClick([position])
Variable | Description
position | Optional: The coordinates at which to double-click. Point.


Drag Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a drag operation between the two specified points.

Syntax

C#
iMobileGestures.Drag(start, end)
VB
iMobileGestures.Drag(start, end)
Variable | Description
start | The start point of the drag operation. Point.
end | The end point of the drag operation. Point.


DragTo Method (MobileObject)

Class

MobileObject.

Action

Drags this object to the specified point relative to the mobile device.

Syntax

C#
object.DragTo(destination)
VB
object.DragTo(destination)
Variable | Description
destination | The destination of the drag relative to the mobile device. Point.


DragToObject Method (MobileObject)

Class

MobileObject.

Action

Drags this object to the specified destination object.

Syntax

C#
object.DragToObject(destination)
VB
object.DragToObject(destination)
Variable | Description
destination | The destination object of the drag. MobileObject.


GenerateConnectionString Method (MobileDevice)

Class

MobileDevice.

Action

Generates a connection string for this mobile device.

Syntax

C#
result = device.GenerateConnectionString()
VB
result = device.GenerateConnectionString()
Variable | Description
result | String.


IsEmulator Property (MobileDevice)

Class

MobileDevice.

Action

Gets whether the connected device is an emulator.

Syntax

C#
protected Boolean IsEmulator { get; }
VB
'Declaration
Protected Read Property IsEmulator As Boolean

Access

Read only.


IsEnabled Property (MobileObject)

Class

MobileObject.

Action

Gets whether the mobile object is enabled.

Syntax

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

Access

Read only.


IsFocused Property (MobileObject)

Class

MobileObject.

Action

Gets whether the mobile object has focus. This property is not supported on iOS.

Syntax

C#
protected Boolean IsFocused { get; }
VB
'Declaration
Protected Read Property IsFocused As Boolean

Access

Read only.


IsSelected Property (MobileObject)

Class

MobileObject.

Action

Gets whether the mobile object is selected or checked.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


LongClick Method (IMobileClickable)

Class

IMobileClickable.

Action

Long-clicks on the device at the specified coordinates.

Syntax

C#
iMobileClickable.LongClick([position])
VB
iMobileClickable.LongClick([position])
Variable | Description
position | Optional: The coordinates at which to long-click. Point.


Model Property (MobileDevice)

Class

MobileDevice.

Action

Gets the device name of the connected device.

Syntax

C#
protected String Model { get; }
VB
'Declaration
Protected Read Property Model As String

Access

Read only.


MultiTouch Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a multi-touch operation with the given pointers. For every given pointer a swipe operation is executed at the same time.

Syntax

C#
iMobileGestures.MultiTouch(pointers)
VB
iMobileGestures.MultiTouch(pointers)
Variable | Description
pointers | A list of pointers where every pointer contains a list of points describing it's touch path. List(Of List(Of Point )).


OperatingSystem Property (MobileDevice)

Class

MobileDevice.

Action

Gets the operating system of the mobile device, Android or iOS.

Syntax

C#
protected MobileOperatingSystem OperatingSystem { get; }
VB
'Declaration
Protected Read Property OperatingSystem As MobileOperatingSystem

Access

Read only.


OsVersion Property (MobileDevice)

Class

MobileDevice.

Action

Gets the version of the operating system of the connected device.

Syntax

C#
protected String OsVersion { get; }
VB
'Declaration
Protected Read Property OsVersion As String

Access

Read only.


PinchIn Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a two-pointer gesture, where each pointer moves toward the other, from the edges to the center of this object. For example to zoom out on an image.

Syntax

C#
iMobileGestures.PinchIn([percent])
VB
iMobileGestures.PinchIn([percent])
Variable | Description
percent | Optional: percentage of the object's diagonal length for the pinch gesture. Integer.


PinchOut Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a two-pointer gesture, where each pointer moves opposite across the other, from the center out towards the edges of the this object. For example to zoom in on an image.

Syntax

C#
iMobileGestures.PinchOut([percent])
VB
iMobileGestures.PinchOut([percent])
Variable | Description
percent | Optional: percentage of the object's diagonal length for the pinch gesture. Integer.


PressBack Method (MobileDevice)

Class

MobileDevice.

Action

Presses the back button. This method is not supported on iOS.

Syntax

C#
device.PressBack()
VB
device.PressBack()


PressDelete Method (MobileDevice)

Class

MobileDevice.

Action

Presses the delete button.

Syntax

C#
device.PressDelete()
VB
device.PressDelete()


PressEnter Method (MobileDevice)

Class

MobileDevice.

Action

Presses the enter button.

Syntax

C#
device.PressEnter()
VB
device.PressEnter()


PressHome Method (MobileDevice)

Class

MobileDevice.

Action

Presses the home button.

Syntax

C#
device.PressHome()
VB
device.PressHome()


PressKeyCode Method (MobileDevice)

Class

MobileDevice.

Action

Presses a certain Android-specific key code. This method is not supported on iOS.

For additional information about the supported Android key codes, refer to the Appium documentation.

Syntax

C#
device.PressKeyCode(keyCode)
VB
device.PressKeyCode(keyCode)
Variable | Description
keyCode | The desired key code to press. Integer.


PressRecentApps Method (MobileDevice)

Class

MobileDevice.

Action

Presses the recent apps button.

Syntax

C#
device.PressRecentApps()
VB
device.PressRecentApps()


Rotate Method (MobileDevice)

Class

MobileDevice.

Action

Simulates rotating the device screen.

Syntax

C#
device.Rotate(orientation)
VB
device.Rotate(orientation)
Variable | Description
orientation | The desired device screen orientation. DisplayOrientation.


SetLocation Method (MobileDevice)

Class

MobileDevice.

Action

Sets the geographic location of the device, this method only works on Android devices (physical or emulated) and iOS simulators.

  • When testing a native mobile application on iOS, the SetLocation method is only supported for iOS simulators, not for physical iOS devices.
  • When testing a native mobile application on an Android version prior to Android 6.0, you have to enable Allow mock locations to use the SetLocation method. To do so, open the settings of the Android device or emulator and tap Developer Options.
  • When testing a native mobile application on Android 6.0 or later, you have to set the app to Appium Settings to use the SetLocation method. To do so, open the settings of the Android device or emulator and tap Developer Options > Select mock location app. Then choose Appium Settings. Note: The Appium Settings entry is only available if you have already executed a test with Appium on the Android device or emulator.

Syntax

C#
device.SetLocation(latitude, longitude)
VB
device.SetLocation(latitude, longitude)
Variable | Description
latitude | Latitude of the location in degrees and minutes represented as a double value. Double.
longitude | Longitude of the location in degrees and minutes represented as a double value. Double.


SetText Method (MobileTextField)

Class

MobileTextField.

Action

Substitutes new text for the text in the text field.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to set. String.


Sleep Method (MobileDevice)

Class

MobileDevice.

Action

Presses the power button if the screen is on. This method is not supported on iOS.

Syntax

C#
device.Sleep()
VB
device.Sleep()


SwipeDown Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a down-swipe.

Syntax

C#
iMobileGestures.SwipeDown([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeDown([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeLeft Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a left-swipe.

Syntax

C#
iMobileGestures.SwipeLeft([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeLeft([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


Swipe Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a swipe between the two specified points.

Syntax

C#
iMobileGestures.Swipe(start, end, [steps, delayBetweenSteps])
VB
iMobileGestures.Swipe(start, end, [steps, delayBetweenSteps])
Variable | Description
start | The start point of the swipe. Point.
end | The end point of the swipe. Point.
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeRight Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a right-swipe.

Syntax

C#
iMobileGestures.SwipeRight([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeRight([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeUp Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a up-swipe.

Syntax

C#
iMobileGestures.SwipeUp([steps, delayBetweenSteps])
VB
iMobileGestures.SwipeUp([steps, delayBetweenSteps])
Variable | Description
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


SwipeWithSegments Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a swipe between the specified points.

Syntax

C#
iMobileGestures.SwipeWithSegments(segments, [steps, delayBetweenSteps])
VB
iMobileGestures.SwipeWithSegments(segments, [steps, delayBetweenSteps])
Variable | Description
segments | The points between to swipe. List(Of Point ).
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the swipe operation. For iOS, a swipe operation is always performed in a single step. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


TwoPointerMultiTouch Method (IMobileGestures)

Class

IMobileGestures.

Action

Performs a multi-touch operation with two pointers. It executes two swipe operation at the same time.

Syntax

C#
iMobileGestures.TwoPointerMultiTouch(startPointer1, endPointer1, startPointer2, endPointer2, [steps, delayBetweenSteps])
VB
iMobileGestures.TwoPointerMultiTouch(startPointer1, endPointer1, startPointer2, endPointer2, [steps, delayBetweenSteps])
Variable | Description
startPointer1 | The start point of the first pointer. Point.
endPointer1 | The end point of the first pointer. Point.
startPointer2 | The start point of the second pointer. Point.
endPointer2 | The end point of the second pointer. Point.
steps | Optional: the number of steps between the specified points. The default number of steps for Android is 5. Increase the number of steps to increase the duration of the drag operation. Integer.
delayBetweenSteps | Optional: the delay in milliseconds for each swipe step. For example, when scrolling an application with a swipe operation, how far the application scrolls depends on the swipe speed. The default value is 5 milliseconds. Increase this delay, for example to 300 milliseconds, to create more reproducible results. Integer.


TypeKeys Method (IMobileKeyable)

Class

IMobileKeyable.

Action

Sends a set of keystrokes to the object.

Syntax

C#
iMobileKeyable.TypeKeys(keys, [delay, ensureFocus])
VB
iMobileKeyable.TypeKeys(keys, [delay, ensureFocus])
Variable | Description
keys | The keystrokes to type. String.
delay | Optional: The delay between keystrokes in milliseconds. Integer.
ensureFocus | Optional: Determines whether it should be ensured that the mobile object actually has the focus. The focus will be set with a click in the middle of the mobile object. Defaults to true. Boolean.


TypePasswordKeys Method (MobileTextField)

Class

MobileTextField.

Action

Types an encrypted password into a text field.

The text field is cleared of any existing text before typing the encrypted password.

Syntax

C#
textField.TypePasswordKeys(keys, [delay, ensureFocus])
VB
textField.TypePasswordKeys(keys, [delay, ensureFocus])
Variable | Description
keys | The encrypted password. String.
delay | Optional: The delay between keystrokes in milliseconds. Integer.
ensureFocus | Optional: Determines whether it should be ensured that the control actually has the keyboard focus. Defaults to true. Boolean.


WakeUp Method (MobileDevice)

Class

MobileDevice.

Action

Presses the power button if the screen is off. This method is not supported on iOS.

Syntax

C#
device.WakeUp()
VB
device.WakeUp()


AutoEnter Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is an AutoEnter field.

Syntax

C#
protected Boolean AutoEnter { get; }
VB
'Declaration
Protected Read Property AutoEnter As Boolean

Access

Read only.


AutoSkip Property (RumbaField)

Class

RumbaField.

Action

Gets a value that is true if the field is an AutoSkip field.

Syntax

C#
protected Boolean AutoSkip { get; }
VB
'Declaration
Protected Read Property AutoSkip As Boolean

Access

Read only.


BackgroundColor Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the background color of the display control.

Syntax

C#
protected Color BackgroundColor { get; }
VB
'Declaration
Protected Read Property BackgroundColor As Color

Access

Read only.


CharacterSetId Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that identifies the character set translation table used by the Display control.

Syntax

C#
protected Integer CharacterSetId { get; }
VB
'Declaration
Protected Read Property CharacterSetId As Integer

Access

Read only.


Clear Method (RumbaScreen)

Class

RumbaScreen.

Action

Clears the screen by sending the "clear" key. Equivalent to synchSendKeys(RumbaKey.CLEAR).

Syntax

C#
screen.Clear()
VB
screen.Clear()


ColumnCount Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates the number of columns on the current screen.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


Connect Method (RumbaScreen)

Class

RumbaScreen.

Action

Connects to the hosts in the current configuration.

Syntax

C#
screen.Connect([screenUpdateWaitCount, timeout])
VB
screen.Connect([screenUpdateWaitCount, timeout])
Variable | Description
screenUpdateWaitCount | Optional: The number of screen updates that need to be awaited until the first stable screen is ready for further interaction. Defaults to 1. If screenUpdateWaitCount is zero, no synchronization is done and the parameter timeout is ignored. Integer.
timeout | Optional: The timeout in milliseconds. Defaults to 30000ms. If timeout is exceeded, an exception is thrown. Integer.


CursorColumn Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the column position of the cursor on the screen.

Syntax

C#
protected Integer CursorColumn { get; }
VB
'Declaration
Protected Read Property CursorColumn As Integer

Access

Read only.


CursorLine Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the line position of the cursor on the screen.

Syntax

C#
protected Integer CursorLine { get; }
VB
'Declaration
Protected Read Property CursorLine As Integer

Access

Read only.


CursorPosition Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the current cursor position on the screen. Values are starting with 1 for the first line or column.

Syntax

C#
protected TextPosition CursorPosition { get; }
VB
'Declaration
Protected Read Property CursorPosition As TextPosition

Access

Read only.


Detectable Property (RumbaField)

Class

RumbaField.

Action

Gets a value is indicates true if the field is detectable.

Syntax

C#
protected Boolean Detectable { get; }
VB
'Declaration
Protected Read Property Detectable As Boolean

Access

Read only.


Disconnect Method (RumbaScreen)

Class

RumbaScreen.

Action

Disconnects the current connection.

Syntax

C#
screen.Disconnect()
VB
screen.Disconnect()


Dup Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is a dup field.

Syntax

C#
protected Boolean Dup { get; }
VB
'Declaration
Protected Read Property Dup As Boolean

Access

Read only.


EndColumn Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the ending column of the field.

Syntax

C#
protected Integer EndColumn { get; }
VB
'Declaration
Protected Read Property EndColumn As Integer

Access

Read only.


EndLine Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the ending line of the field.

Syntax

C#
protected Integer EndLine { get; }
VB
'Declaration
Protected Read Property EndLine As Integer

Access

Read only.


EndPosition Property (RumbaField)

Class

RumbaField.

Action

Gets the 1-based end position of the field, when the screen is seen as one sequence of characters.

Syntax

C#
protected Integer EndPosition { get; }
VB
'Declaration
Protected Read Property EndPosition As Integer

Access

Read only.


Enptui Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is an ENPTUI field.

Syntax

C#
protected Boolean Enptui { get; }
VB
'Declaration
Protected Read Property Enptui As Boolean

Access

Read only.


FieldExitRequired Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is required before exiting the screen.

Syntax

C#
protected Boolean FieldExitRequired { get; }
VB
'Declaration
Protected Read Property FieldExitRequired As Boolean

Access

Read only.


GetCharacterAttributes Method (RumbaField)

Class

RumbaField.

Action

Gets the character attributes for this field's characters.

Syntax

C#
characterAttributes = field.GetCharacterAttributes()
VB
characterAttributes = field.GetCharacterAttributes()
Variable | Description
characterAttributes | List(Of RumbaCharacterAttribute ).


GetCharacterAttributes Method (RumbaScreen)

Class

RumbaScreen.

Action

Gets the character attributes for length-number of characters starting at the given position.

Syntax

C#
characterAttributes = screen.GetCharacterAttributes(position, length)
VB
characterAttributes = screen.GetCharacterAttributes(position, length)
Variable | Description
characterAttributes | List(Of RumbaCharacterAttribute ).
position | The position where the retrieval should start. TextPosition.
length | The amount of characters whose attributes should be returned. Integer.


GetContent Method (RumbaScreen)

Class

RumbaScreen.

Action

Retrieves a string containing the screen without line breaks starting at the specified text position.

Position values must be greater than 0 and less than the corresponding screen dimension.

Syntax

C#
content = screen.GetContent(fromPosition, [length])
VB
content = screen.GetContent(fromPosition, [length])
Variable | Description
content | String.
fromPosition | The start position on the screen, starting with 1 for the first column or line. TextPosition.
length | Optional: The number of characters on the screen to read. A specified length must be greater than -1. Reading stops at the end of the screen. If omitted the content to the end of the screen is returned. Integer.


GetLines Method (RumbaScreen)

Class

RumbaScreen.

Action

Retrieves a clipping of the screen and returns the selected lines in a list of strings.

Syntax

C#
lines = screen.GetLines([fromPosition, toPosition])
VB
lines = screen.GetLines([fromPosition, toPosition])
Variable | Description
lines | List(Of String).
fromPosition | Optional: The upper left position of the clipping on the screen, starting with 1 for the first line or column. Position values must be greater than 0 and less than the corresponding screen dimension, otherwise an Exception will be thrown. TextPosition.
toPosition | Optional: The lower right position of the clipping on the screen. An exception will be thrown if the relative position to $fromPosition$ is invalid. Position values must be greater than 0 and less than the corresponding screen dimension, otherwise an Exception will be thrown. TextPosition.


Hidden Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates if the field is hidden.

Syntax

C#
protected Boolean Hidden { get; }
VB
'Declaration
Protected Read Property Hidden As Boolean

Access

Read only.


HostConnected Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates if the host is connected.

Syntax

C#
protected Boolean HostConnected { get; }
VB
'Declaration
Protected Read Property HostConnected As Boolean

Access

Read only.


HostDeviceName Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the host device name.

Syntax

C#
protected String HostDeviceName { get; }
VB
'Declaration
Protected Read Property HostDeviceName As String

Access

Read only.


HostIpAddress Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the host IP address.

Syntax

C#
protected String HostIpAddress { get; }
VB
'Declaration
Protected Read Property HostIpAddress As String

Access

Read only.


Intense Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is intense.

Syntax

C#
protected Boolean Intense { get; }
VB
'Declaration
Protected Read Property Intense As Boolean

Access

Read only.


KeyboardLocked Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates whether keyboard input is inhibited.

Syntax

C#
protected Boolean KeyboardLocked { get; }
VB
'Declaration
Protected Read Property KeyboardLocked As Boolean

Access

Read only.


Length Property (RumbaField)

Class

RumbaField.

Action

Gets the length of the field.

Syntax

C#
protected Integer Length { get; }
VB
'Declaration
Protected Read Property Length As Integer

Access

Read only.


LineCount Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates the number of lines on the current screen.

Syntax

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

Access

Read only.


ModifiedDataTag Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field has the ModifiedDataTag property set.

Syntax

C#
protected Boolean ModifiedDataTag { get; }
VB
'Declaration
Protected Read Property ModifiedDataTag As Boolean

Access

Read only.


Protected Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates true if the field is protected (i.e. a RumbaLabel).

Syntax

C#
protected Boolean Protected { get; }
VB
'Declaration
Protected Read Property Protected As Boolean

Access

Read only.


Reset Method (RumbaScreen)

Class

RumbaScreen.

Action

Resets the screen by sending the "reset" key. Equivalent to synchSendKeys(RumbaKey.RESET).

Syntax

C#
screen.Reset()
VB
screen.Reset()


ScreenId Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the screen id.

Syntax

C#
protected Integer ScreenId { get; }
VB
'Declaration
Protected Read Property ScreenId As Integer

Access

Read only.


ScreenSize Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the size of the screen in text lines and columns.

Syntax

C#
protected TextPosition ScreenSize { get; }
VB
'Declaration
Protected Read Property ScreenSize As TextPosition

Access

Read only.


SendKeys Method (RumbaObject)

Class

RumbaObject.

Action

Sends keys. Supports RDE mnemonics.

Syntax

C#
object.SendKeys(keys)
VB
object.SendKeys(keys)
Variable | Description
keys | The keys to send. The Rumba keyboard mnemonics can be used in this string. For additional information about the Rumba keyboard mnemonics, refer to the RDE .NET Help. String.

Examples

VB

The line
rumbaScreen.SendKeys(RumbaKey.Tab)
is equivalent to
rumbaScreen.SendKeys("@T");
RumbaKey constants can be combined with regular strings:
rumbaScreen.SendKeys("someone" & RumbaKey.At & "example.com");
For all available constants see the class RumbaKey.


SessionName Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets the session name.

Syntax

C#
protected String SessionName { get; }
VB
'Declaration
Protected Read Property SessionName As String

Access

Read only.


SetCursorPosition Method (RumbaScreen)

Class

RumbaScreen.

Action

Moves the cursor to the given position of the screen.

Syntax

C#
screen.SetCursorPosition(position)
VB
screen.SetCursorPosition(position)
Variable | Description
position | The position where the cursor should be moved to, starting with 1 for the first line or column. TextPosition.


SetText Method (RumbaTextField)

Class

RumbaTextField.

Action

Sets the text field's text.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to set. String.


StartColumn Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the column in which the field begins.

Syntax

C#
protected Integer StartColumn { get; }
VB
'Declaration
Protected Read Property StartColumn As Integer

Access

Read only.


StartLine Property (RumbaField)

Class

RumbaField.

Action

Gets a value that indicates the line in which the field begins.

Syntax

C#
protected Integer StartLine { get; }
VB
'Declaration
Protected Read Property StartLine As Integer

Access

Read only.


StartPosition Property (RumbaField)

Class

RumbaField.

Action

Gets the 1-based start position of the field, when the screen is seen as one sequence of characters.

Syntax

C#
protected Integer StartPosition { get; }
VB
'Declaration
Protected Read Property StartPosition As Integer

Access

Read only.


Submit Method (RumbaScreen)

Class

RumbaScreen.

Action

Submits the entered data to the server by sending the "submit" key. Equivalent to synchSendKeys(RumbaKey.SUBMIT).

Syntax

C#
screen.Submit()
VB
screen.Submit()


SupportsStructuredFields Property (RumbaScreen)

Class

RumbaScreen.

Action

Gets a value that indicates if the host supports structured field decoding.

Syntax

C#
protected Boolean SupportsStructuredFields { get; }
VB
'Declaration
Protected Read Property SupportsStructuredFields As Boolean

Access

Read only.


SynchSendKeys Method (RumbaObject)

Class

RumbaObject.

Action

Synchronously sends keys. Supports RDE mnemonics.

Syntax

C#
object.SynchSendKeys(keys, [screenUpdateWaitCount, timeout])
VB
object.SynchSendKeys(keys, [screenUpdateWaitCount, timeout])
Variable | Description
keys | The keys to send. The Rumba keyboard mnemonics can be used in this string. For additional information about the Rumba keyboard mnemonics, refer to the RDE .NET Help. String.
screenUpdateWaitCount | Optional: The number of screen updates that need to be awaited until the new screen is ready for further interaction. Integer.
timeout | Optional: The timeout in milliseconds. If set to 0, the Rumba APIs default timeout (currently 10000ms) is used. Integer.

Examples

VB

The line
rumbaScreen.SynchSendKeys(RumbaKey.PF3)
is equivalent to
rumbaScreen.SynchSendKeys("@3");
RumbaKey constants can be combined with regular strings:
rumbaScreen.SynchSendKeys("someone" & RumbaKey.At & "example.com" & RumbaKey.Enter);
For all available constants see the class RumbaKey.


Type Property (RumbaField)

Class

RumbaField.

Action

Gets a value that represents the input allowed for this field.

Syntax

C#
protected HostFieldEditConstants Type { get; }
VB
'Declaration
Protected Read Property Type As HostFieldEditConstants

Access

Read only.


WaitForHostConnected Method (RumbaScreen)

Class

RumbaScreen.

Action

Waits until the session is connected.

Syntax

C#
screen.WaitForHostConnected([timeout])
VB
screen.WaitForHostConnected([timeout])
Variable | Description
timeout | Optional: The timeout in milliseconds. Defaults to 30000ms. If timeout is exceeded, an exception is thrown. Integer.


WriteText Method (RumbaScreen)

Class

RumbaScreen.

Action

Writes text on the screen.

If no Position is specified the current cursor position is the place for insertion.

Syntax

C#
screen.WriteText(text, [position])
VB
screen.WriteText(text, [position])
Variable | Description
text | Text which is written to the screen. String.
position | Optional: The starting position of insertion, starting with 1 for the first line or column. TextPosition.


AccessibilityDescription Property (SapBarChart)

Class

SapBarChart.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityDescription Property (SapChart)

Class

SapChart.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityDescription Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityDescription Property (SapTree)

Class

SapTree.

Action

Gets the accessibility description of the shell.

Syntax

C#
protected String AccessibilityDescription { get; }
VB
'Declaration
Protected Read Property AccessibilityDescription As String

Access

Read only.


AccessibilityTextOnRequest Property (SapComponent)

Class

SapComponent.

Action

Gets an additional text for accessibility support.

Syntax

C#
protected String AccessibilityTextOnRequest { get; }
VB
'Declaration
Protected Read Property AccessibilityTextOnRequest As String

Access

Read only.


AccessibilityText Property (SapComponent)

Class

SapComponent.

Action

Gets an additional text for accessibility support.

Syntax

C#
protected String AccessibilityText { get; }
VB
'Declaration
Protected Read Property AccessibilityText As String

Access

Read only.


AccessibilityTooltip Property (SapComponent)

Class

SapComponent.

Action

Gets an additional tooltip text for accessibility support.

Syntax

C#
protected String AccessibilityTooltip { get; }
VB
'Declaration
Protected Read Property AccessibilityTooltip As String

Access

Read only.


BarCount Method (SapBarChart)

Class

SapBarChart.

Action

Returns the number of bars in the given chart.

Syntax

C#
result = barChart.BarCount(chartId)
VB
result = barChart.BarCount(chartId)
Variable | Description
result | Integer.
chartId | Index of the chart. Integer.


ButtonbarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the application toolbar, the lower toolbar within SAP GUI, is visible.

Syntax

C#
protected Boolean ButtonbarVisible { get; }
VB
'Declaration
Protected Read Property ButtonbarVisible As Boolean

Access

Read only.


ButtonCount Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the number of toolbar buttons including separators.

Syntax

C#
protected Integer ButtonCount { get; }
VB
'Declaration
Protected Read Property ButtonCount As Integer

Access

Read only.


Changeable Property (SapComponent)

Class

SapComponent.

Action

Gets whether an object is changeable.

Syntax

C#
protected Boolean Changeable { get; }
VB
'Declaration
Protected Read Property Changeable As Boolean

Access

Read only.


ChangeCheckbox Method (SapTree)

Class

SapTree.

Action

This method emulates changing a checkbox state.

Syntax

C#
tree.ChangeCheckbox(nodeKey, itemName, check)
VB
tree.ChangeCheckbox(nodeKey, itemName, check)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.
check | Whether the checkbox should be checked. Boolean.


ChangeSelection Method (SapColorSelector)

Class

SapColorSelector.

Action

Selects the color at the given index position.

Syntax

C#
colorSelector.ChangeSelection(index)
VB
colorSelector.ChangeSelection(index)
Variable | Description
index | The index of the color. Integer.


CharHeight Property (SapButton)

Class

SapButton.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapComboBox)

Class

SapComboBox.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharHeight Property (SapTable)

Class

SapTable.

Action

Gets the height of the element in character metric.

Syntax

C#
protected Integer CharHeight { get; }
VB
'Declaration
Protected Read Property CharHeight As Integer

Access

Read only.


CharLeft Property (SapButton)

Class

SapButton.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapComboBox)

Class

SapComboBox.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapLabel)

Class

SapLabel.

Action

Gets the left coordinate of the label in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


CharLeft Property (SapTable)

Class

SapTable.

Action

Gets the left coordinate of the element in character metric.

Syntax

C#
protected Integer CharLeft { get; }
VB
'Declaration
Protected Read Property CharLeft As Integer

Access

Read only.


ChartCount Property (SapBarChart)

Class

SapBarChart.

Action

Gets the number of charts.

Syntax

C#
protected Integer ChartCount { get; }
VB
'Declaration
Protected Read Property ChartCount As Integer

Access

Read only.


CharTop Property (SapButton)

Class

SapButton.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapComboBox)

Class

SapComboBox.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapLabel)

Class

SapLabel.

Action

Gets the top coordinate of the label in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharTop Property (SapTable)

Class

SapTable.

Action

Gets the top coordinate of the element in character metric.

Syntax

C#
protected Integer CharTop { get; }
VB
'Declaration
Protected Read Property CharTop As Integer

Access

Read only.


CharWidth Property (SapButton)

Class

SapButton.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapComboBox)

Class

SapComboBox.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapLabel)

Class

SapLabel.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


CharWidth Property (SapTable)

Class

SapTable.

Action

Gets the width of the element in character metric.

Syntax

C#
protected Integer CharWidth { get; }
VB
'Declaration
Protected Read Property CharWidth As Integer

Access

Read only.


Checked Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the checkbox is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Check Method (SapCheckBox)

Class

SapCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


ClearSelection Method (SapGridView)

Class

SapGridView.

Action

Removes all row, column and cell selections.

Syntax

C#
gridView.ClearSelection()
VB
gridView.ClearSelection()


ClickControlArea Method (SapPicture)

Class

SapPicture.

Action

clicks on the specified position.

Syntax

C#
picture.ClickControlArea(x, y)
VB
picture.ClickControlArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


ClickCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Clicks the current cell.

Syntax

C#
gridView.ClickCurrentCell()
VB
gridView.ClickCurrentCell()


Click Method (SapGridView)

Class

SapGridView.

Action

Clicks on the specified cell.

Syntax

C#
gridView.Click(row, column)
VB
gridView.Click(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


Click Method (SapPicture)

Class

SapPicture.

Action

clicks on a picture.

Syntax

C#
picture.Click()
VB
picture.Click()


ClickPictureArea Method (SapPicture)

Class

SapPicture.

Action

clicks on the specified position in the picture area.

Syntax

C#
picture.ClickPictureArea(x, y)
VB
picture.ClickPictureArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


Close Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Collapses the GuiOkCodeField.

Syntax

C#
okCodeField.Close()
VB
okCodeField.Close()


CollapseNode Method (SapTree)

Class

SapTree.

Action

This function closes the node with the key nodeKey.

Syntax

C#
tree.CollapseNode(nodeKey)
VB
tree.CollapseNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


ColorIndex Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the index of the list color of this element.

Syntax

C#
protected Integer ColorIndex { get; }
VB
'Declaration
Protected Read Property ColorIndex As Integer

Access

Read only.


ColorIndex Property (SapLabel)

Class

SapLabel.

Action

Gets the color index of the label.

Syntax

C#
protected Integer ColorIndex { get; }
VB
'Declaration
Protected Read Property ColorIndex As Integer

Access

Read only.


ColorIntensified Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the Intensified flag is set in screen painter for this element.

Syntax

C#
protected Boolean ColorIntensified { get; }
VB
'Declaration
Protected Read Property ColorIntensified As Boolean

Access

Read only.


ColorInverse Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the inverse color style is set in screen painter for the element.

Syntax

C#
protected Boolean ColorInverse { get; }
VB
'Declaration
Protected Read Property ColorInverse As Boolean

Access

Read only.


ColorInverse Property (SapLabel)

Class

SapLabel.

Action

Gets whether the inverse color style is set for the label.

Syntax

C#
protected Boolean ColorInverse { get; }
VB
'Declaration
Protected Read Property ColorInverse As Boolean

Access

Read only.


ColumnCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of columns.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnCount Property (SapTable)

Class

SapTable.

Action

Gets the number of columns in the table.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnHeaders Property (SapTree)

Class

SapTree.

Action

Gets a collection of the titles of the columns.

Syntax

C#
protected List(Of String) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of String)

Access

Read only.


ColumnNames Property (SapTree)

Class

SapTree.

Action

Gets a collection of the column names.

Syntax

C#
protected List(Of String) ColumnNames { get; }
VB
'Declaration
Protected Read Property ColumnNames As List(Of String)

Access

Read only.


ColumnOrder Property (SapGridView)

Class

SapGridView.

Action

Gets a list of strings which contains all the column identifiers in the order in which they are displayed.

Syntax

C#
protected List(Of String) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of String)

Access

Read only.


ColumnOrder Property (SapTree)

Class

SapTree.

Action

Gets the column order.

Syntax

C#
protected List(Of String) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of String)

Access

Read only.


ColumnSelectionMode Property (SapTable)

Class

SapTable.

Action

Gets the column selection mode.

Syntax

C#
protected TableSelectionType ColumnSelectionMode { get; }
VB
'Declaration
Protected Read Property ColumnSelectionMode As TableSelectionType

Access

Read only.


ColumnTitles Property (SapTree)

Class

SapTree.

Action

Gets a collection of the titles of the columns.

Syntax

C#
protected List(Of String) ColumnTitles { get; }
VB
'Declaration
Protected Read Property ColumnTitles As List(Of String)

Access

Read only.


ConfigureLayout Method (SapTable)

Class

SapTable.

Action

Opens the configuration layout dialog, in which the layout of the table can be changed.

Syntax

C#
table.ConfigureLayout()
VB
table.ConfigureLayout()


ContextMenu Method (SapCalendar)

Class

SapCalendar.

Action

Opens a context menu.

Syntax

C#
calendar.ContextMenu(contextMenuId, contextMenuCellRow, contextMenuCellColumn, startDate, endDate)
VB
calendar.ContextMenu(contextMenuId, contextMenuCellRow, contextMenuCellColumn, startDate, endDate)
Variable | Description
contextMenuId | Indicates the cell type of the cell in which the context menu was opened. CalendarCellType.
contextMenuCellRow | The context menu cell row. The value is zero-based. Integer.
contextMenuCellColumn | The context menu cell column. The value is zero-based. Integer.
startDate | The begin date. String.
endDate | The end date. String.


ContextMenu Method (SapGridView)

Class

SapGridView.

Action

Requests the context menu.

Syntax

C#
gridView.ContextMenu()
VB
gridView.ContextMenu()


ContextMenu Method (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Emulates the context menu request. Applies only to context menus provided by the backend.

Syntax

C#
hTMLViewer.ContextMenu()
VB
hTMLViewer.ContextMenu()


ContextMenu Method (SapPicture)

Class

SapPicture.

Action

The function opens a context menu on the given position. The coordinates should be given in pixels with respect to the picture control as it is displayed on the screen.

Syntax

C#
picture.ContextMenu(x, y)
VB
picture.ContextMenu(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


ContextMenu Method (SapTextEdit)

Class

SapTextEdit.

Action

Requests the context menu.

Syntax

C#
textEdit.ContextMenu()
VB
textEdit.ContextMenu()


CurrentCellColumn Property (SapGridView)

Class

SapGridView.

Action

Gets the current column.

Syntax

C#
protected String CurrentCellColumn { get; }
VB
'Declaration
Protected Read Property CurrentCellColumn As String

Access

Read only.


CurrentCellMoved Method (SapGridView)

Class

SapGridView.

Action

This function notifies the server that another cell was made the current cell. The function must be called whenever the current cell changes.

Syntax

C#
gridView.CurrentCellMoved()
VB
gridView.CurrentCellMoved()


CurrentCellRow Property (SapGridView)

Class

SapGridView.

Action

Gets the current row.

Syntax

C#
protected Integer CurrentCellRow { get; }
VB
'Declaration
Protected Read Property CurrentCellRow As Integer

Access

Read only.


CurrentColumn Property (SapTable)

Class

SapTable.

Action

Gets the index of the current column. The value is zero-based.

Syntax

C#
protected Integer CurrentColumn { get; }
VB
'Declaration
Protected Read Property CurrentColumn As Integer

Access

Read only.


CurrentColumn Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the column index in which the caret is currently positioned. The value is zero-based.

Syntax

C#
protected Integer CurrentColumn { get; }
VB
'Declaration
Protected Read Property CurrentColumn As Integer

Access

Read only.


CurrentContextMenu Property (SapBarChart)

Class

SapBarChart.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapCalendar)

Class

SapCalendar.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapChart)

Class

SapChart.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapColorSelector)

Class

SapColorSelector.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapGridView)

Class

SapGridView.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapOfficeIntegration)

Class

SapOfficeIntegration.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapPicture)

Class

SapPicture.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapSplitterContainer)

Class

SapSplitterContainer.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapTree)

Class

SapTree.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentContextMenu Property (SapUserArea)

Class

SapUserArea.

Action

Gets the current context menu. This is only set when a context menu is available at the shell object.

Syntax

C#
protected SapContextMenu CurrentContextMenu { get; }
VB
'Declaration
Protected Read Property CurrentContextMenu As SapContextMenu

Access

Read only.


CurrentLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the line index in which the caret is currently positioned. The value is zero-based.

Syntax

C#
protected Integer CurrentLine { get; }
VB
'Declaration
Protected Read Property CurrentLine As Integer

Access

Read only.


CurrentRow Property (SapTable)

Class

SapTable.

Action

Gets the index of the current row. The value is zero-based.

Syntax

C#
protected Integer CurrentRow { get; }
VB
'Declaration
Protected Read Property CurrentRow As Integer

Access

Read only.


Day Property (SapCalendar)

Class

SapCalendar.

Action

Gets the day of the month that is currently selected.

Syntax

C#
protected Integer Day { get; }
VB
'Declaration
Protected Read Property Day As Integer

Access

Read only.


DefaultContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for the whole Tree Control.

Syntax

C#
tree.DefaultContextMenu()
VB
tree.DefaultContextMenu()


DefaultTooltip Property (SapComponent)

Class

SapComponent.

Action

Gets the tooltip text which is generated from the short text defined in the data dictionary for the given screen element type.

Syntax

C#
protected String DefaultTooltip { get; }
VB
'Declaration
Protected Read Property DefaultTooltip As String

Access

Read only.


DeleteRows Method (SapGridView)

Class

SapGridView.

Action

Delete the given rows.

The parameter rows is a comma-separated string of indices or index ranges, for example '3,5-8,14,15'. The entries must be ordered and the ranges must not overlap.

Syntax

C#
gridView.DeleteRows(rows)
VB
gridView.DeleteRows(rows)
Variable | Description
rows | The rows to delete. String.


DeselectAllColumns Method (SapTable)

Class

SapTable.

Action

This function can be used for table controls with a button that allows to de-select all columns in one step.

Syntax

C#
table.DeselectAllColumns()
VB
table.DeselectAllColumns()


DeselectColumn Method (SapGridView)

Class

SapGridView.

Action

Removes the specified column from the list of selected columns.

Syntax

C#
gridView.DeselectColumn(column)
VB
gridView.DeselectColumn(column)
Variable | Description
column | Column identifier. String.


DeselectColumn Method (SapTable)

Class

SapTable.

Action

Deselects the given column.

Syntax

C#
table.DeselectColumn(column)
VB
table.DeselectColumn(column)
Variable | Description
column | Index of the column. The value is zero-based. Integer.


DeselectRow Method (SapTable)

Class

SapTable.

Action

Deselects the given row.

Syntax

C#
table.DeselectRow(row)
VB
table.DeselectRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


DisplayedText Property (SapLabel)

Class

SapLabel.

Action

Gets the text of the label.

Syntax

C#
protected String DisplayedText { get; }
VB
'Declaration
Protected Read Property DisplayedText As String

Access

Read only.


DisplayedText Property (SapTextField)

Class

SapTextField.

Action

Gets the text as it is displayed on the screen, including preceding or trailing blanks.

Syntax

C#
protected String DisplayedText { get; }
VB
'Declaration
Protected Read Property DisplayedText As String

Access

Read only.


DisplayMode Property (SapPicture)

Class

SapPicture.

Action

Gets the display mode of the picture, i.e. "Normal", "Stretch", "Fit", "NormalCenter", "FitCenter".

Syntax

C#
protected String DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As String

Access

Read only.


DocumentComplete Property (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Gets whether the document is complete.

Syntax

C#
protected Boolean DocumentComplete { get; }
VB
'Declaration
Protected Read Property DocumentComplete As Boolean

Access

Read only.


DoubleClickControlArea Method (SapPicture)

Class

SapPicture.

Action

double clicks on the specified position.

Syntax

C#
picture.DoubleClickControlArea(x, y)
VB
picture.DoubleClickControlArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


DoubleClickCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Double clicks on the current cell.

Syntax

C#
gridView.DoubleClickCurrentCell()
VB
gridView.DoubleClickCurrentCell()


DoubleClick Method (SapGridView)

Class

SapGridView.

Action

Double clicks the specified cell.

Syntax

C#
gridView.DoubleClick(row, column)
VB
gridView.DoubleClick(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


DoubleClick Method (SapPicture)

Class

SapPicture.

Action

double clicks on the picture.

Syntax

C#
picture.DoubleClick()
VB
picture.DoubleClick()


DoubleClick Method (SapStatusbar)

Class

SapStatusbar.

Action

double-clicks the statusbar.

Syntax

C#
statusbar.DoubleClick()
VB
statusbar.DoubleClick()


DoubleClick Method (SapTextEdit)

Class

SapTextEdit.

Action

Double clicks the text edit control.

Syntax

C#
textEdit.DoubleClick()
VB
textEdit.DoubleClick()


DoubleClickPictureArea Method (SapPicture)

Class

SapPicture.

Action

double clicks on the specified position in the picture area.

Syntax

C#
picture.DoubleClickPictureArea(x, y)
VB
picture.DoubleClickPictureArea(x, y)
Variable | Description
x | The x-coordinate. Integer.
y | The y-coordinate. Integer.


DoubleSelectItem Method (SapTree)

Class

SapTree.

Action

This function emulates double clicking on a text item.

Syntax

C#
tree.DoubleSelectItem(nodeKey, itemName)
VB
tree.DoubleSelectItem(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


DoubleSelectNode Method (SapTree)

Class

SapTree.

Action

This function emulates double clicking a node.

Syntax

C#
tree.DoubleSelectNode(nodeKey)
VB
tree.DoubleSelectNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


DragDropSupported Property (SapShell)

Class

SapShell.

Action

Gets whether the shell allows drag and drop operations.

Syntax

C#
protected Boolean DragDropSupported { get; }
VB
'Declaration
Protected Read Property DragDropSupported As Boolean

Access

Read only.


DuplicateRows Method (SapGridView)

Class

SapGridView.

Action

Duplicates the given range of rows.

The parameter rows is a comma-separated string of indices or index ranges, for example '3,5-8,14,15'. For any single index a copy of the row will be inserted at the given index. If a range of indexes is duplicated then all the new lines are inserted as a single block before the old lines. The entries must be ordered and the ranges must not overlap,

Syntax

C#
gridView.DuplicateRows(rows)
VB
gridView.DuplicateRows(rows)
Variable | Description
rows | The rows to duplicate. String.


EndSelection Property (SapCalendar)

Class

SapCalendar.

Action

Gets the end of the selection interval.

Syntax

C#
protected String EndSelection { get; }
VB
'Declaration
Protected Read Property EndSelection As String

Access

Read only.


EnsureVisibleHorizontalItem Method (SapTree)

Class

SapTree.

Action

This function scrolls the Tree horizontally until the Item is visible.

Syntax

C#
tree.EnsureVisibleHorizontalItem(nodeKey, itemName)
VB
tree.EnsureVisibleHorizontalItem(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


ExpandNode Method (SapTree)

Class

SapTree.

Action

This function expands the node with the key nodeKey.

Syntax

C#
tree.ExpandNode(nodeKey)
VB
tree.ExpandNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


FindNodeKeyByPath Method (SapTree)

Class

SapTree.

Action

Return the node key for the given path (e.g. 2\1\2).

Syntax

C#
result = tree.FindNodeKeyByPath(path)
VB
result = tree.FindNodeKeyByPath(path)
Variable | Description
result | String.
path | The node path. String.


FirstVisibleColumn Property (SapGridView)

Class

SapGridView.

Action

Gets the first visible column of the scrollable area of the grid view, fixed columns are ignored.

Syntax

C#
protected String FirstVisibleColumn { get; }
VB
'Declaration
Protected Read Property FirstVisibleColumn As String

Access

Read only.


FirstVisibleDate Property (SapCalendar)

Class

SapCalendar.

Action

Gets the earliest date visible in the calendar control.

Syntax

C#
protected String FirstVisibleDate { get; }
VB
'Declaration
Protected Read Property FirstVisibleDate As String

Access

Read only.


FirstVisibleLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the first visible line which is visualized at the top border of the text edit control. The value is zero-based.

Syntax

C#
protected Integer FirstVisibleLine { get; }
VB
'Declaration
Protected Read Property FirstVisibleLine As Integer

Access

Read only.


FirstVisibleRow Property (SapGridView)

Class

SapGridView.

Action

Gets the index of the first visible row in the grid. The value is zero-based.

Syntax

C#
protected Integer FirstVisibleRow { get; }
VB
'Declaration
Protected Read Property FirstVisibleRow As Integer

Access

Read only.


Flushing Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the value change causes a round trip.

Syntax

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

Access

Read only.


Flushing Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the value change causes a round trip.

Syntax

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

Access

Read only.


Flushing Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the value change causes a round trip.

Syntax

C#
protected Boolean Flushing { get; }
VB
'Declaration
Protected Read Property Flushing As Boolean

Access

Read only.


FocusedButton Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the zero-based index of the button that currently has the focus.

Syntax

C#
protected Integer FocusedButton { get; }
VB
'Declaration
Protected Read Property FocusedButton As Integer

Access

Read only.


FocusedNodeKey Property (SapTree)

Class

SapTree.

Action

Gets the key of the focused node.

Syntax

C#
protected String FocusedNodeKey { get; }
VB
'Declaration
Protected Read Property FocusedNodeKey As String

Access

Read only.


FrozenColumnCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of columns that are excluded from horizontal scrolling.

Syntax

C#
protected Integer FrozenColumnCount { get; }
VB
'Declaration
Protected Read Property FrozenColumnCount As Integer

Access

Read only.


GetAbapImage Method (SapTree)

Class

SapTree.

Action

Gets the abap image.

Syntax

C#
abapImage = tree.GetAbapImage(nodeKey, itemName)
VB
abapImage = tree.GetAbapImage(nodeKey, itemName)
Variable | Description
abapImage | String.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetBarContent Method (SapBarChart)

Class

SapBarChart.

Action

Returns the content of the bar.

Syntax

C#
barContent = barChart.GetBarContent(chartId, barId, textId)
VB
barContent = barChart.GetBarContent(chartId, barId, textId)
Variable | Description
barContent | String.
chartId | Index of the chart. Integer.
barId | Index of the bar within the given chart. Integer.
textId | The text id. Integer.


GetButtonIcon Method (SapToolbarControl)

Class

SapToolbarControl.

Action

the name of the icon of the specified toolbar button.

Syntax

C#
buttonIcon = toolbarControl.GetButtonIcon(buttonPosition)
VB
buttonIcon = toolbarControl.GetButtonIcon(buttonPosition)
Variable | Description
buttonIcon | String.
buttonPosition | The zero-based button position. Integer.


GetButtonType Method (SapToolbarControl)

Class

SapToolbarControl.

Action

the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox".

Syntax

C#
buttonType = toolbarControl.GetButtonType(buttonPosition)
VB
buttonType = toolbarControl.GetButtonType(buttonPosition)
Variable | Description
buttonType | ToolBarButtonType.
buttonPosition | The zero-based button position. Integer.


GetCellAbsolute Method (SapTable)

Class

SapTable.

Action

Returns a table cell. If the row is not visible, it will be scrolled into view.

Syntax

C#
cellAbsolute = table.GetCellAbsolute(row, column)
VB
cellAbsolute = table.GetCellAbsolute(row, column)
Variable | Description
cellAbsolute | SapComponent.
row | Index of the row. The value is zero-based. Integer.
column | Index of the column. The value is zero-based. Integer.


GetCellColor Method (SapGridView)

Class

SapGridView.

Action

Returns an identifier for the color of the cell.

This can be used to retrieve the color information using GetColorInfo.

Syntax

C#
gridView.GetCellColor(row, column)
VB
gridView.GetCellColor(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellHeight Method (SapGridView)

Class

SapGridView.

Action

Gets the height of the cell in pixels.

Syntax

C#
cellHeight = gridView.GetCellHeight(row, column)
VB
cellHeight = gridView.GetCellHeight(row, column)
Variable | Description
cellHeight | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellIcon Method (SapGridView)

Class

SapGridView.

Action

Gets the icon string of the specified cell.

Syntax

C#
cellIcon = gridView.GetCellIcon(row, column)
VB
cellIcon = gridView.GetCellIcon(row, column)
Variable | Description
cellIcon | String.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellLeft Method (SapGridView)

Class

SapGridView.

Action

Gets the left position of the cell.

Syntax

C#
cellLeft = gridView.GetCellLeft(row, column)
VB
cellLeft = gridView.GetCellLeft(row, column)
Variable | Description
cellLeft | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellMaxLength Method (SapGridView)

Class

SapGridView.

Action

Gets the maximum length of the cell in number of bytes.

Syntax

C#
cellMaxLength = gridView.GetCellMaxLength(row, column)
VB
cellMaxLength = gridView.GetCellMaxLength(row, column)
Variable | Description
cellMaxLength | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCell Method (SapTable)

Class

SapTable.

Action

Returns a visible table cell.

Syntax

C#
cell = table.GetCell(row, column)
VB
cell = table.GetCell(row, column)
Variable | Description
cell | SapComponent.
row | Index of the row, starting at the first visible row. The value is zero-based. Integer.
column | Index of the column. The value is zero-based. Integer.


GetCellsForRow Method (SapTable)

Class

SapTable.

Action

Returns the cells for the given row.

Syntax

C#
cellsForRow = table.GetCellsForRow(row)
VB
cellsForRow = table.GetCellsForRow(row)
Variable | Description
cellsForRow | List(Of SapComponent).
row | Index of the row. The value is zero-based. Integer.


GetCellState Method (SapGridView)

Class

SapGridView.

Action

Gets the state of the specified cell. Possible values are: Normal, Error, Warning, Info.

Syntax

C#
cellState = gridView.GetCellState(row, column)
VB
cellState = gridView.GetCellState(row, column)
Variable | Description
cellState | GridCellState.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellTooltip Method (SapGridView)

Class

SapGridView.

Action

Gets the tooltip of the specified cell.

Syntax

C#
cellTooltip = gridView.GetCellTooltip(row, column)
VB
cellTooltip = gridView.GetCellTooltip(row, column)
Variable | Description
cellTooltip | String.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellTop Method (SapGridView)

Class

SapGridView.

Action

Gets the top position of the specified cell.

Syntax

C#
cellTop = gridView.GetCellTop(row, column)
VB
cellTop = gridView.GetCellTop(row, column)
Variable | Description
cellTop | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellType Method (SapGridView)

Class

SapGridView.

Action

Gets the cell type of the specified cell.

Syntax

C#
cellType = gridView.GetCellType(row, column)
VB
cellType = gridView.GetCellType(row, column)
Variable | Description
cellType | GridCellType.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellValue Method (SapGridView)

Class

SapGridView.

Action

Gets the value of the specified cell.

Syntax

C#
cellValue = gridView.GetCellValue(row, column)
VB
cellValue = gridView.GetCellValue(row, column)
Variable | Description
cellValue | String.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCellWidth Method (SapGridView)

Class

SapGridView.

Action

Gets the width of the specified cell.

Syntax

C#
cellWidth = gridView.GetCellWidth(row, column)
VB
cellWidth = gridView.GetCellWidth(row, column)
Variable | Description
cellWidth | Integer.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


GetCheckBoxState Method (SapTree)

Class

SapTree.

Action

Retrieves the CheckBox state (true = Checked, false = Unchecked).

Syntax

C#
checkBoxState = tree.GetCheckBoxState(nodeKey, itemName)
VB
checkBoxState = tree.GetCheckBoxState(nodeKey, itemName)
Variable | Description
checkBoxState | Boolean.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetColorInfo Method (SapGridView)

Class

SapGridView.

Action

Returns the description for the color of the cell.

This function will only return a value when the accessibility mode of SAP GUI is enabled.

Syntax

C#
gridView.GetColorInfo(color)
VB
gridView.GetColorInfo(color)
Variable | Description
color | The color to get the description for. The value is zero-based. Integer.


GetColumnDataType Method (SapGridView)

Class

SapGridView.

Action

Gets the data type of the column.

Syntax

C#
columnDataType = gridView.GetColumnDataType(column)
VB
columnDataType = gridView.GetColumnDataType(column)
Variable | Description
columnDataType | String.
column | Column identifier. String.


GetColumnIndexFromName Method (SapTree)

Class

SapTree.

Action

Gets the column index for the given name.

Syntax

C#
columnIndexFromName = tree.GetColumnIndexFromName(columnName)
VB
columnIndexFromName = tree.GetColumnIndexFromName(columnName)
Variable | Description
columnIndexFromName | Integer.
columnName | The name of the column. String.


GetColumnKeys Method (SapTree)

Class

SapTree.

Action

The keys of all the items in the given column.

Syntax

C#
columnKeys = tree.GetColumnKeys(column)
VB
columnKeys = tree.GetColumnKeys(column)
Variable | Description
columnKeys | List(Of String).
column | The name of the column. String.


GetColumnPosition Method (SapGridView)

Class

SapGridView.

Action

Gets the position of the specified column.

Syntax

C#
columnPosition = gridView.GetColumnPosition(column)
VB
columnPosition = gridView.GetColumnPosition(column)
Variable | Description
columnPosition | Integer.
column | Column identifier. String.


GetColumnSortType Method (SapGridView)

Class

SapGridView.

Action

Gets the sort type of the column. Possible values are: None, Ascending, Descending.

Syntax

C#
columnSortType = gridView.GetColumnSortType(column)
VB
columnSortType = gridView.GetColumnSortType(column)
Variable | Description
columnSortType | GridColumnSortType.
column | Column identifier. String.


GetColumnTitleFromName Method (SapTree)

Class

SapTree.

Action

Gets the column title for the given name.

Syntax

C#
columnTitleFromName = tree.GetColumnTitleFromName(columnName)
VB
columnTitleFromName = tree.GetColumnTitleFromName(columnName)
Variable | Description
columnTitleFromName | String.
columnName | The name of the column. String.


GetColumnTitle Method (SapTable)

Class

SapTable.

Action

This method returns the title of the given column.

Syntax

C#
columnTitle = table.GetColumnTitle(column)
VB
columnTitle = table.GetColumnTitle(column)
Variable | Description
columnTitle | String.
column | Index of the column. The value is zero-based. Integer.


GetColumnTitles Method (SapGridView)

Class

SapGridView.

Action

Gets all column titles of the specified column.

Syntax

C#
columnTitles = gridView.GetColumnTitles(column)
VB
columnTitles = gridView.GetColumnTitles(column)
Variable | Description
columnTitles | List(Of String).
column | Column identifier. String.


GetColumnTooltip Method (SapGridView)

Class

SapGridView.

Action

Gets the tool tip text of the specified column.

Syntax

C#
columnTooltip = gridView.GetColumnTooltip(column)
VB
columnTooltip = gridView.GetColumnTooltip(column)
Variable | Description
columnTooltip | String.
column | Column identifier. String.


GetColumnTotalType Method (SapGridView)

Class

SapGridView.

Action

Gets the total type of the column. Possible values are: None, Total, Subtotal.

Syntax

C#
columnTotalType = gridView.GetColumnTotalType(column)
VB
columnTotalType = gridView.GetColumnTotalType(column)
Variable | Description
columnTotalType | GridColumnTotalType.
column | Column identifier. String.


GetCurrentEntryKey Method (SapComboBox)

Class

SapComboBox.

Action

the key of the current entry.

Syntax

C#
currentEntryKey = comboBox.GetCurrentEntryKey()
VB
currentEntryKey = comboBox.GetCurrentEntryKey()
Variable | Description
currentEntryKey | String.


GetCurrentEntryValue Method (SapComboBox)

Class

SapComboBox.

Action

the value of the current entry.

Syntax

C#
currentEntryValue = comboBox.GetCurrentEntryValue()
VB
currentEntryValue = comboBox.GetCurrentEntryValue()
Variable | Description
currentEntryValue | String.


GetDisplayedColumnTitle Method (SapGridView)

Class

SapGridView.

Action

Gets the currently displayed title of the specified column.

Syntax

C#
displayedColumnTitle = gridView.GetDisplayedColumnTitle(column)
VB
displayedColumnTitle = gridView.GetDisplayedColumnTitle(column)
Variable | Description
displayedColumnTitle | String.
column | Column identifier. String.


GetEntryKeys Method (SapComboBox)

Class

SapComboBox.

Action

a list of all entry keys.

Syntax

C#
entryKeys = comboBox.GetEntryKeys()
VB
entryKeys = comboBox.GetEntryKeys()
Variable | Description
entryKeys | List(Of String).


GetEntryValues Method (SapComboBox)

Class

SapComboBox.

Action

a list of all entry values.

Syntax

C#
entryValues = comboBox.GetEntryValues()
VB
entryValues = comboBox.GetEntryValues()
Variable | Description
entryValues | List(Of String).


GetGridLineContent Method (SapBarChart)

Class

SapBarChart.

Action

Returns the content of the grid line.

Syntax

C#
gridLineContent = barChart.GetGridLineContent(chartId, gridLineId, textId)
VB
gridLineContent = barChart.GetGridLineContent(chartId, gridLineId, textId)
Variable | Description
gridLineContent | String.
chartId | Index of the chart. Integer.
gridLineId | Index of the grid line within the given chart. Integer.
textId | The text id. Integer.


GetHierarchyLevel Method (SapTree)

Class

SapTree.

Action

Gets the hierarchy level for the given key.

Syntax

C#
hierarchyLevel = tree.GetHierarchyLevel(nodeKey)
VB
hierarchyLevel = tree.GetHierarchyLevel(nodeKey)
Variable | Description
hierarchyLevel | Integer.
nodeKey | The key of the node. String.


GetItemHeight Method (SapTree)

Class

SapTree.

Action

Returns the current item height.

Syntax

C#
itemHeight = tree.GetItemHeight(nodeKey, itemName)
VB
itemHeight = tree.GetItemHeight(nodeKey, itemName)
Variable | Description
itemHeight | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemLeft Method (SapTree)

Class

SapTree.

Action

The left position of the component.

Syntax

C#
itemLeft = tree.GetItemLeft(nodeKey, itemName)
VB
itemLeft = tree.GetItemLeft(nodeKey, itemName)
Variable | Description
itemLeft | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemStyle Method (SapTree)

Class

SapTree.

Action

The style of the given item.

Syntax

C#
itemStyle = tree.GetItemStyle(nodeKey, itemName)
VB
itemStyle = tree.GetItemStyle(nodeKey, itemName)
Variable | Description
itemStyle | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemTextColor Method (SapTree)

Class

SapTree.

Action

Returns the item text color.

Syntax

C#
itemTextColor = tree.GetItemTextColor(nodeKey, itemName)
VB
itemTextColor = tree.GetItemTextColor(nodeKey, itemName)
Variable | Description
itemTextColor | Color.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemText Method (SapTree)

Class

SapTree.

Action

For multi column trees, this function returns the text of the item specified by the key and name parameters.

Micro Focus generally recommends using SAPTree.GetNodeText() instead of SAPTree.GetItemText(), because it is easier to use, however SAPTree.GetNodeText() does not work for every SAPTree. For an example of how to use SapTree.GetItemText() for a multi colum list tree, see http://stackoverflow.com/questions/29741718/text-in-tree-does-not-match-text-which-is-displayed.

Syntax

C#
itemText = tree.GetItemText(nodeKey, itemName)
VB
itemText = tree.GetItemText(nodeKey, itemName)
Variable | Description
itemText | String.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemTooltip Method (SapTree)

Class

SapTree.

Action

Returns the item tooltip text.

Syntax

C#
itemTooltip = tree.GetItemTooltip(nodeKey, itemName)
VB
itemTooltip = tree.GetItemTooltip(nodeKey, itemName)
Variable | Description
itemTooltip | String.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemTop Method (SapTree)

Class

SapTree.

Action

The top position of the component.

Syntax

C#
itemTop = tree.GetItemTop(nodeKey, itemName)
VB
itemTop = tree.GetItemTop(nodeKey, itemName)
Variable | Description
itemTop | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemType Method (SapTree)

Class

SapTree.

Action

Returns the type of the given node.

Syntax

C#
itemType = tree.GetItemType(nodeKey, itemName)
VB
itemType = tree.GetItemType(nodeKey, itemName)
Variable | Description
itemType | ItemType.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetItemWidth Method (SapTree)

Class

SapTree.

Action

Returns the current item width.

Syntax

C#
itemWidth = tree.GetItemWidth(nodeKey, itemName)
VB
itemWidth = tree.GetItemWidth(nodeKey, itemName)
Variable | Description
itemWidth | Integer.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


GetLineText Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns the text of the specified line.

Syntax

C#
lineText = textEdit.GetLineText(line)
VB
lineText = textEdit.GetLineText(line)
Variable | Description
lineText | String.
line | Index of the line. The value is zero-based. Integer.


GetLinkContent Method (SapNetPlan)

Class

SapNetPlan.

Action

Returns the content of the link.

Syntax

C#
linkContent = netPlan.GetLinkContent(linkId, textId)
VB
linkContent = netPlan.GetLinkContent(linkId, textId)
Variable | Description
linkContent | String.
linkId | Index of the link. Integer.
textId | The text id. Integer.


GetListTreeNodeItemCount Method (SapTree)

Class

SapTree.

Action

Returns the node item count.

Syntax

C#
listTreeNodeItemCount = tree.GetListTreeNodeItemCount(nodeKey)
VB
listTreeNodeItemCount = tree.GetListTreeNodeItemCount(nodeKey)
Variable | Description
listTreeNodeItemCount | Integer.
nodeKey | The key of the node. String.


GetNextNodeKey Method (SapTree)

Class

SapTree.

Action

Returns the key of the next node.

Syntax

C#
nextNodeKey = tree.GetNextNodeKey(nodeKey)
VB
nextNodeKey = tree.GetNextNodeKey(nodeKey)
Variable | Description
nextNodeKey | String.
nodeKey | The key of the node. String.


GetNodeAbapImage Method (SapTree)

Class

SapTree.

Action

Returns the abap image for the given node.

Syntax

C#
nodeAbapImage = tree.GetNodeAbapImage(nodeKey)
VB
nodeAbapImage = tree.GetNodeAbapImage(nodeKey)
Variable | Description
nodeAbapImage | String.
nodeKey | The key of the node. String.


GetNodeChildrenCountByPath Method (SapTree)

Class

SapTree.

Action

This function returns the number of children of the node given by the path parameter (e.g. 2\1\2).

Syntax

C#
nodeChildrenCountByPath = tree.GetNodeChildrenCountByPath(path)
VB
nodeChildrenCountByPath = tree.GetNodeChildrenCountByPath(path)
Variable | Description
nodeChildrenCountByPath | Integer.
path | The node path. String.


GetNodeChildrenCount Method (SapTree)

Class

SapTree.

Action

This function returns the number of children of the node given.

Syntax

C#
nodeChildrenCount = tree.GetNodeChildrenCount(nodeKey)
VB
nodeChildrenCount = tree.GetNodeChildrenCount(nodeKey)
Variable | Description
nodeChildrenCount | Integer.
nodeKey | The key of the node. String.


GetNodeContent Method (SapNetPlan)

Class

SapNetPlan.

Action

Returns the content of the node.

Syntax

C#
nodeContent = netPlan.GetNodeContent(nodeId, textId)
VB
nodeContent = netPlan.GetNodeContent(nodeId, textId)
Variable | Description
nodeContent | String.
nodeId | Index of the node. Integer.
textId | The text id. Integer.


GetNodeHeight Method (SapTree)

Class

SapTree.

Action

The current height of the node.

Syntax

C#
nodeHeight = tree.GetNodeHeight(nodeKey)
VB
nodeHeight = tree.GetNodeHeight(nodeKey)
Variable | Description
nodeHeight | Integer.
nodeKey | The key of the node. String.


GetNodeIndex Method (SapTree)

Class

SapTree.

Action

The index of the given node.

Syntax

C#
nodeIndex = tree.GetNodeIndex(nodeKey)
VB
nodeIndex = tree.GetNodeIndex(nodeKey)
Variable | Description
nodeIndex | Integer.
nodeKey | The key of the node. String.


GetNodeItemHeaders Method (SapTree)

Class

SapTree.

Action

Returns the headers for the given node.

Syntax

C#
nodeItemHeaders = tree.GetNodeItemHeaders(nodeKey)
VB
nodeItemHeaders = tree.GetNodeItemHeaders(nodeKey)
Variable | Description
nodeItemHeaders | List(Of String).
nodeKey | The key of the node. String.


GetNodeLeft Method (SapTree)

Class

SapTree.

Action

The left position of the component.

Syntax

C#
nodeLeft = tree.GetNodeLeft(nodeKey)
VB
nodeLeft = tree.GetNodeLeft(nodeKey)
Variable | Description
nodeLeft | Integer.
nodeKey | The key of the node. String.


GetNodePathByKey Method (SapTree)

Class

SapTree.

Action

Given a node key, the path is retrieved (e.g. 2\1\2).

Syntax

C#
nodePathByKey = tree.GetNodePathByKey(nodeKey)
VB
nodePathByKey = tree.GetNodePathByKey(nodeKey)
Variable | Description
nodePathByKey | String.
nodeKey | The key of the node. String.


GetNodeStyle Method (SapTree)

Class

SapTree.

Action

Returns the style of the node.

Syntax

C#
nodeStyle = tree.GetNodeStyle(nodeKey)
VB
nodeStyle = tree.GetNodeStyle(nodeKey)
Variable | Description
nodeStyle | Integer.
nodeKey | The key of the node. String.


GetNodeTextByPath Method (SapTree)

Class

SapTree.

Action

The text of a node defined by the given path is returned.

Syntax

C#
nodeTextByPath = tree.GetNodeTextByPath(path)
VB
nodeTextByPath = tree.GetNodeTextByPath(path)
Variable | Description
nodeTextByPath | String.
path | The node path. String.


GetNodeTextColor Method (SapTree)

Class

SapTree.

Action

Returns the node text color.

Syntax

C#
nodeTextColor = tree.GetNodeTextColor(nodeKey)
VB
nodeTextColor = tree.GetNodeTextColor(nodeKey)
Variable | Description
nodeTextColor | Integer.
nodeKey | The key of the node. String.


GetNodeText Method (SapTree)

Class

SapTree.

Action

This function returns the text of the node specified by the given key.

Syntax

C#
nodeText = tree.GetNodeText(nodeKey)
VB
nodeText = tree.GetNodeText(nodeKey)
Variable | Description
nodeText | String.
nodeKey | The key of the node. String.


GetNodeTooltip Method (SapTree)

Class

SapTree.

Action

Returns the node tooltip text.

Syntax

C#
nodeTooltip = tree.GetNodeTooltip(nodeKey)
VB
nodeTooltip = tree.GetNodeTooltip(nodeKey)
Variable | Description
nodeTooltip | String.
nodeKey | The key of the node. String.


GetNodeTop Method (SapTree)

Class

SapTree.

Action

The top position of the component.

Syntax

C#
nodeTop = tree.GetNodeTop(nodeKey)
VB
nodeTop = tree.GetNodeTop(nodeKey)
Variable | Description
nodeTop | Integer.
nodeKey | The key of the node. String.


GetNodeWidth Method (SapTree)

Class

SapTree.

Action

Returns the current node width.

Syntax

C#
nodeWidth = tree.GetNodeWidth(nodeKey)
VB
nodeWidth = tree.GetNodeWidth(nodeKey)
Variable | Description
nodeWidth | Integer.
nodeKey | The key of the node. String.


GetParentNodeKey Method (SapTree)

Class

SapTree.

Action

Key of the parent node of the node specified by the given key.

Syntax

C#
parentNodeKey = tree.GetParentNodeKey(nodeKey)
VB
parentNodeKey = tree.GetParentNodeKey(nodeKey)
Variable | Description
parentNodeKey | String.
nodeKey | The key of the node. String.


GetPreviousNodeKey Method (SapTree)

Class

SapTree.

Action

Key of the previous node of the node specified by the given key.

Syntax

C#
previousNodeKey = tree.GetPreviousNodeKey(nodeKey)
VB
previousNodeKey = tree.GetPreviousNodeKey(nodeKey)
Variable | Description
previousNodeKey | String.
nodeKey | The key of the node. String.


GetRowTotalLevel Method (SapGridView)

Class

SapGridView.

Action

Gets the level of the row.

Syntax

C#
rowTotalLevel = gridView.GetRowTotalLevel(row)
VB
rowTotalLevel = gridView.GetRowTotalLevel(row)
Variable | Description
rowTotalLevel | Integer.
row | Index of the row. The value is zero-based. Integer.


GetStyleDescription Method (SapTree)

Class

SapTree.

Action

Returns the description for the given style.

Syntax

C#
styleDescription = tree.GetStyleDescription(style)
VB
styleDescription = tree.GetStyleDescription(style)
Variable | Description
styleDescription | String.
style | The style. Integer.


GetSubNodesKeys Method (SapTree)

Class

SapTree.

Action

Collection of the keys of all subnodes of the node specified by the given key.

Syntax

C#
subNodesKeys = tree.GetSubNodesKeys(nodeKey)
VB
subNodesKeys = tree.GetSubNodesKeys(nodeKey)
Variable | Description
subNodesKeys | List(Of String).
nodeKey | The key of the node. String.


GetSymbolInfo Method (SapGridView)

Class

SapGridView.

Action

Returns the description for the symbol in the cell.

This function will only return a value when the accessibility mode of SAP GUI is enabled.

Syntax

C#
gridView.GetSymbolInfo(symbol)
VB
gridView.GetSymbolInfo(symbol)
Variable | Description
symbol | The symbolic value of the cell. String.


GetToolbarButtonIcon Method (SapGridView)

Class

SapGridView.

Action

Gets the name of the icon of the specified toolbar button.

Syntax

C#
toolbarButtonIcon = gridView.GetToolbarButtonIcon(buttonpos)
VB
toolbarButtonIcon = gridView.GetToolbarButtonIcon(buttonpos)
Variable | Description
toolbarButtonIcon | String.
buttonpos | The position of the toolbar button. The value is zero-based. Integer.


GetToolbarButtonId Method (SapGridView)

Class

SapGridView.

Action

Gets the ID of the specified tool bar button.

Syntax

C#
toolbarButtonId = gridView.GetToolbarButtonId(buttonpos)
VB
toolbarButtonId = gridView.GetToolbarButtonId(buttonpos)
Variable | Description
toolbarButtonId | String.
buttonpos | The position of the tool bar button. The value is zero-based. Integer.


GetToolbarButtonText Method (SapGridView)

Class

SapGridView.

Action

Gets the text of the specified tool bar button.

Syntax

C#
toolbarButtonText = gridView.GetToolbarButtonText(buttonpos)
VB
toolbarButtonText = gridView.GetToolbarButtonText(buttonpos)
Variable | Description
toolbarButtonText | String.
buttonpos | The button position of the tool bar button. The value is zero-based. Integer.


GetToolbarButtonTooltip Method (SapGridView)

Class

SapGridView.

Action

Gets the tooltip of the specified tool bar button.

Syntax

C#
toolbarButtonTooltip = gridView.GetToolbarButtonTooltip(buttonpos)
VB
toolbarButtonTooltip = gridView.GetToolbarButtonTooltip(buttonpos)
Variable | Description
toolbarButtonTooltip | String.
buttonpos | The index of the tool bar button. The value is zero-based. Integer.


GetToolbarButtonType Method (SapGridView)

Class

SapGridView.

Action

Gets the type of the specified toolbar button. Possible values are: "Button", "ButtonAndMenu", "Menu", "Separator", "Group", "CheckBox".

Syntax

C#
toolbarButtonType = gridView.GetToolbarButtonType(buttonpos)
VB
toolbarButtonType = gridView.GetToolbarButtonType(buttonpos)
Variable | Description
toolbarButtonType | GridToolbarButtonType.
buttonpos | The index of the tool bar button. The value is zero-based. Integer.


GetToolbarFocusButton Method (SapGridView)

Class

SapGridView.

Action

Gets the position of the current focused tool bar button.

Syntax

C#
toolbarFocusButton = gridView.GetToolbarFocusButton()
VB
toolbarFocusButton = gridView.GetToolbarFocusButton()
Variable | Description
toolbarFocusButton | Integer.


GetVisibleCellsForColumn Method (SapTable)

Class

SapTable.

Action

Returns the visible cells for the given column.

Syntax

C#
visibleCellsForColumn = table.GetVisibleCellsForColumn(column)
VB
visibleCellsForColumn = table.GetVisibleCellsForColumn(column)
Variable | Description
visibleCellsForColumn | List(Of SapComponent).
column | Index of the column. The value is zero-based. Integer.


GridCount Method (SapBarChart)

Class

SapBarChart.

Action

Returns the number of grids within the chart.

Syntax

C#
result = barChart.GridCount(chartId)
VB
result = barChart.GridCount(chartId)
Variable | Description
result | Integer.
chartId | Index of the chart. Integer.


GuiFocus Property (SapWindow)

Class

SapWindow.

Action

Gets the element within SAP GUI that currently has the focus.

Syntax

C#
protected SapComponent GuiFocus { get; }
VB
'Declaration
Protected Read Property GuiFocus As SapComponent

Access

Read only.


HasCellF4Help Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified cell has a value help assigned.

Syntax

C#
cellF4Help = gridView.HasCellF4Help(row, column)
VB
cellF4Help = gridView.HasCellF4Help(row, column)
Variable | Description
cellF4Help | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


HeaderContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for a header.

Syntax

C#
tree.HeaderContextMenu(headerName)
VB
tree.HeaderContextMenu(headerName)
Variable | Description
headerName | The name of the header. String.


Height Property (SapComponent)

Class

SapComponent.

Action

Gets the current height of the component.

Syntax

C#
protected Integer Height { get; }
VB
'Declaration
Protected Read Property Height As Integer

Access

Read only.


HierarchyHeaderWidth Property (SapTree)

Class

SapTree.

Action

Gets the width of the hierarchy header in pixels.

Syntax

C#
protected Integer HierarchyHeaderWidth { get; }
VB
'Declaration
Protected Read Property HierarchyHeaderWidth As Integer

Access

Read only.


HierarchyTitle Property (SapTree)

Class

SapTree.

Action

Gets the hierarchy title.

Syntax

C#
protected String HierarchyTitle { get; }
VB
'Declaration
Protected Read Property HierarchyTitle As String

Access

Read only.


Highlighted Property (SapLabel)

Class

SapLabel.

Action

Gets whether the label has the 'highlighted' flag assigned.

Syntax

C#
protected Boolean Highlighted { get; }
VB
'Declaration
Protected Read Property Highlighted As Boolean

Access

Read only.


IconName Property (SapComponent)

Class

SapComponent.

Action

Gets whether the object has been assigned an icon, then this property is the name of the icon, otherwise it is an empty string.

Syntax

C#
protected String IconName { get; }
VB
'Declaration
Protected Read Property IconName As String

Access

Read only.


Icon Property (SapPicture)

Class

SapPicture.

Action

Gets the SAPGUI icon code e.g. ("@01@").

Syntax

C#
protected String Icon { get; }
VB
'Declaration
Protected Read Property Icon As String

Access

Read only.


InsertRows Method (SapGridView)

Class

SapGridView.

Action

Inserts a range of rows.

The parameter rows is a comma-separated string of indices or index ranges, for example '3,5-8,14,15'. For any single index, a new row will be added at the given index, moving the old row one line down. If a range of indexes is inserted then all the new lines are inserted as a single block before any of the old lines. The entries must be ordered and the ranges must not overlap.

Syntax

C#
gridView.InsertRows(rows)
VB
gridView.InsertRows(rows)
Variable | Description
rows | The rows to insert. String.


IsBreakpointLine Method (SapTextEdit)

Class

SapTextEdit.

Action

whether the specified line contains a breakpoint.

Syntax

C#
breakpointLine = textEdit.IsBreakpointLine(line)
VB
breakpointLine = textEdit.IsBreakpointLine(line)
Variable | Description
breakpointLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsButtonChecked Method (SapToolbarControl)

Class

SapToolbarControl.

Action

if the button is currently checked (pressed).

Syntax

C#
buttonChecked = toolbarControl.IsButtonChecked(buttonPosition)
VB
buttonChecked = toolbarControl.IsButtonChecked(buttonPosition)
Variable | Description
buttonChecked | Boolean.
buttonPosition | The zero-based button position. Integer.


IsButtonEnabled Method (SapToolbarControl)

Class

SapToolbarControl.

Action

if the button can be pressed.

Syntax

C#
buttonEnabled = toolbarControl.IsButtonEnabled(buttonPosition)
VB
buttonEnabled = toolbarControl.IsButtonEnabled(buttonPosition)
Variable | Description
buttonEnabled | Boolean.
buttonPosition | The zero-based button position. Integer.


IsCellChangeable Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified cell is changeable.

Syntax

C#
cellChangeable = gridView.IsCellChangeable(row, column)
VB
cellChangeable = gridView.IsCellChangeable(row, column)
Variable | Description
cellChangeable | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellCheckBoxChecked Method (SapGridView)

Class

SapGridView.

Action

Returns true if the check box at the specified position is checked.

Syntax

C#
cellCheckBoxChecked = gridView.IsCellCheckBoxChecked(row, column)
VB
cellCheckBoxChecked = gridView.IsCellCheckBoxChecked(row, column)
Variable | Description
cellCheckBoxChecked | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellHotspot Method (SapGridView)

Class

SapGridView.

Action

Returns true if the cell is a link.

Syntax

C#
cellHotspot = gridView.IsCellHotspot(row, column)
VB
cellHotspot = gridView.IsCellHotspot(row, column)
Variable | Description
cellHotspot | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellSymbol Method (SapGridView)

Class

SapGridView.

Action

Returns true if the text in the cell is displayed in the SAP symbol font.

Syntax

C#
cellSymbol = gridView.IsCellSymbol(row, column)
VB
cellSymbol = gridView.IsCellSymbol(row, column)
Variable | Description
cellSymbol | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsCellTotalExpander Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified cell contains a total expander button.

Syntax

C#
cellTotalExpander = gridView.IsCellTotalExpander(row, column)
VB
cellTotalExpander = gridView.IsCellTotalExpander(row, column)
Variable | Description
cellTotalExpander | Boolean.
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


IsColumnFiltered Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified column is filtered.

Syntax

C#
columnFiltered = gridView.IsColumnFiltered(column)
VB
columnFiltered = gridView.IsColumnFiltered(column)
Variable | Description
columnFiltered | Boolean.
column | Column identifier. String.


IsColumnKey Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified column is a key column.

Syntax

C#
columnKey = gridView.IsColumnKey(column)
VB
columnKey = gridView.IsColumnKey(column)
Variable | Description
columnKey | Boolean.
column | Column identifier. String.


IsColumnSelected Method (SapTable)

Class

SapTable.

Action

Returns true if the given column is selected.

Syntax

C#
columnSelected = table.IsColumnSelected(column)
VB
columnSelected = table.IsColumnSelected(column)
Variable | Description
columnSelected | Boolean.
column | Index of the column. The value is zero-based. Integer.


IsCommentLine Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns true if the specified line is a comment line.

Syntax

C#
commentLine = textEdit.IsCommentLine(line)
VB
commentLine = textEdit.IsCommentLine(line)
Variable | Description
commentLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsFolderExpandable Method (SapTree)

Class

SapTree.

Action

Whether the folder is expandable.

Syntax

C#
folderExpandable = tree.IsFolderExpandable(nodeKey)
VB
folderExpandable = tree.IsFolderExpandable(nodeKey)
Variable | Description
folderExpandable | Boolean.
nodeKey | The key of the node. String.


IsFolderExpanded Method (SapTree)

Class

SapTree.

Action

Whether the folder is expanded.

Syntax

C#
folderExpanded = tree.IsFolderExpanded(nodeKey)
VB
folderExpanded = tree.IsFolderExpanded(nodeKey)
Variable | Description
folderExpanded | Boolean.
nodeKey | The key of the node. String.


IsFolder Method (SapTree)

Class

SapTree.

Action

Whether the given node is a folder.

Syntax

C#
folder = tree.IsFolder(nodeKey)
VB
folder = tree.IsFolder(nodeKey)
Variable | Description
folder | Boolean.
nodeKey | The key of the node. String.


IsHighlightedLine Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns true if the specified line is highlighted.

Syntax

C#
highlightedLine = textEdit.IsHighlightedLine(line)
VB
highlightedLine = textEdit.IsHighlightedLine(line)
Variable | Description
highlightedLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsHighLighted Method (SapTree)

Class

SapTree.

Action

Whether the node is highlighted.

Syntax

C#
highLighted = tree.IsHighLighted(nodeKey, itemName)
VB
highLighted = tree.IsHighLighted(nodeKey, itemName)
Variable | Description
highLighted | Boolean.
nodeKey | The key of the node. String.
itemName | The name of the item. String.


IsHotspot Property (SapLabel)

Class

SapLabel.

Action

Gets whether a mouse click on the label causes a round trip.

Syntax

C#
protected Boolean IsHotspot { get; }
VB
'Declaration
Protected Read Property IsHotspot As Boolean

Access

Read only.


IsLeftLabel Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the component has the 'assign left' flag.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsLeftLabel Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the component has the 'assign left' flag.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsLeftLabel Property (SapLabel)

Class

SapLabel.

Action

Gets whether the component has the 'assign left' flag assigned.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsLeftLabel Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the component has the 'assign left' flag.

Syntax

C#
protected Boolean IsLeftLabel { get; }
VB
'Declaration
Protected Read Property IsLeftLabel As Boolean

Access

Read only.


IsListBoxActive Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the list box of the the combo box is currently open.

Syntax

C#
protected Boolean IsListBoxActive { get; }
VB
'Declaration
Protected Read Property IsListBoxActive As Boolean

Access

Read only.


IsListElement Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the element is on an ABAP list, not a screen.

Syntax

C#
protected Boolean IsListElement { get; }
VB
'Declaration
Protected Read Property IsListElement As Boolean

Access

Read only.


IsListElement Property (SapLabel)

Class

SapLabel.

Action

Gets whether the element is on an ABAP list.

Syntax

C#
protected Boolean IsListElement { get; }
VB
'Declaration
Protected Read Property IsListElement As Boolean

Access

Read only.


IsPassword Property (SapTextField)

Class

SapTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


IsProtectedLine Method (SapTextEdit)

Class

SapTextEdit.

Action

Returns true if the specified line is protected.

Syntax

C#
protectedLine = textEdit.IsProtectedLine(line)
VB
protectedLine = textEdit.IsProtectedLine(line)
Variable | Description
protectedLine | Boolean.
line | Index of the line. The value is zero-based. Integer.


IsRightLabel Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets whether the component has the 'assign right' flag.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRightLabel Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the component has the 'assign right' flag.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRightLabel Property (SapLabel)

Class

SapLabel.

Action

Gets whether the component has the 'assign right' flag assigned.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRightLabel Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the component has the 'assign right' flag.

Syntax

C#
protected Boolean IsRightLabel { get; }
VB
'Declaration
Protected Read Property IsRightLabel As Boolean

Access

Read only.


IsRowSelected Method (SapTable)

Class

SapTable.

Action

Returns true if the given row is selected.

Syntax

C#
rowSelected = table.IsRowSelected(row)
VB
rowSelected = table.IsRowSelected(row)
Variable | Description
rowSelected | Boolean.
row | Index of the row. The value is zero-based. Integer.


IsSymbolFont Property (SapComponent)

Class

SapComponent.

Action

Gets whether the component's text is visualized in the SAP symbol font.

Syntax

C#
protected Boolean IsSymbolFont { get; }
VB
'Declaration
Protected Read Property IsSymbolFont As Boolean

Access

Read only.


IsToolbarButtonChecked Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified tool bar button is checked.

Syntax

C#
toolbarButtonChecked = gridView.IsToolbarButtonChecked(buttonpos)
VB
toolbarButtonChecked = gridView.IsToolbarButtonChecked(buttonpos)
Variable | Description
toolbarButtonChecked | Boolean.
buttonpos | The button index in the tool bar. The value is zero-based. Integer.


IsToolbarButtonEnabled Method (SapGridView)

Class

SapGridView.

Action

Returns true if the specified button is enabled.

Syntax

C#
toolbarButtonEnabled = gridView.IsToolbarButtonEnabled(buttonpos)
VB
toolbarButtonEnabled = gridView.IsToolbarButtonEnabled(buttonpos)
Variable | Description
toolbarButtonEnabled | Boolean.
buttonpos | The button index in the tool bar. The value is zero-based. Integer.


IsTotalRowExpanded Method (SapGridView)

Class

SapGridView.

Action

whether the specified total row is expanded.

Syntax

C#
totalRowExpanded = gridView.IsTotalRowExpanded(row)
VB
totalRowExpanded = gridView.IsTotalRowExpanded(row)
Variable | Description
totalRowExpanded | Boolean.
row | Index of the row. The value is zero-based. Integer.


IsVkeyAllowed Method (SapWindow)

Class

SapWindow.

Action

The method returns True if the given virtual key can be executed on the current screen.

Syntax

C#
vkeyAllowed = window.IsVkeyAllowed(vkey)
VB
vkeyAllowed = window.IsVkeyAllowed(vkey)
Variable | Description
vkeyAllowed | Boolean.
vkey | The key to evaluate. VKey.


ItemContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for an item.

Syntax

C#
tree.ItemContextMenu(nodeKey, itemName)
VB
tree.ItemContextMenu(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


JumpBackward Method (SapWindow)

Class

SapWindow.

Action

Execute the Ctrl+Shift+Tab key on the window to jump backward one block.

Syntax

C#
window.JumpBackward()
VB
window.JumpBackward()


JumpForward Method (SapWindow)

Class

SapWindow.

Action

Execute the Ctrl+Tab key on the window to jump forward one block.

Syntax

C#
window.JumpForward()
VB
window.JumpForward()


Key Property (SapComboBox)

Class

SapComboBox.

Action

Gets the key of the currently selected item.

Syntax

C#
protected String Key { get; }
VB
'Declaration
Protected Read Property Key As String

Access

Read only.


LastVisibleDate Property (SapCalendar)

Class

SapCalendar.

Action

Gets the last date visible in the calendar control.

Syntax

C#
protected String LastVisibleDate { get; }
VB
'Declaration
Protected Read Property LastVisibleDate As String

Access

Read only.


LastVisibleLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the last visible line which is visualized at the bottom border of the text edit control. The value is zero-based.

Syntax

C#
protected Integer LastVisibleLine { get; }
VB
'Declaration
Protected Read Property LastVisibleLine As Integer

Access

Read only.


Left Property (SapComponent)

Class

SapComponent.

Action

Gets the left position of the element in screen coordinates.

Syntax

C#
protected Integer Left { get; }
VB
'Declaration
Protected Read Property Left As Integer

Access

Read only.


LineCount Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the number of all lines in the text edit control.

Syntax

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

Access

Read only.


LinkCount Method (SapBarChart)

Class

SapBarChart.

Action

Returns the number of links within the given chart.

Syntax

C#
result = barChart.LinkCount(chartId)
VB
result = barChart.LinkCount(chartId)
Variable | Description
result | Integer.
chartId | Index of the chart. Integer.


LinkCount Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the number of links in the net.

Syntax

C#
protected Integer LinkCount { get; }
VB
'Declaration
Protected Read Property LinkCount As Integer

Access

Read only.


Maximum Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the maximum scrollbar value.

Syntax

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

Access

Read only.


Maxlength Property (SapLabel)

Class

SapLabel.

Action

Gets the maximum text length of the label in code units.

Syntax

C#
protected Integer Maxlength { get; }
VB
'Declaration
Protected Read Property Maxlength As Integer

Access

Read only.


MessageId Property (SapStatusbar)

Class

SapStatusbar.

Action

Gets the name of the message class used in the ABAP message call.

Syntax

C#
protected String MessageId { get; }
VB
'Declaration
Protected Read Property MessageId As String

Access

Read only.


MessageNumber Property (SapStatusbar)

Class

SapStatusbar.

Action

Gets the message number used in the ABAP message call.

Syntax

C#
protected String MessageNumber { get; }
VB
'Declaration
Protected Read Property MessageNumber As String

Access

Read only.


MessageType Property (SapStatusbar)

Class

SapStatusbar.

Action

Gets the type of the displayed message in the statusbar, i.e. S (Success), W (Warning), E (Error), A (Abort), I (Information).

Syntax

C#
protected StatusBarMessageType MessageType { get; }
VB
'Declaration
Protected Read Property MessageType As StatusBarMessageType

Access

Read only.


Minimum Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the minimum scrollbar value.

Syntax

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

Access

Read only.


Modified Property (SapComponent)

Class

SapComponent.

Action

Gets whether the state has been changed by the user and this change has not yet been sent to the SAP system.

Syntax

C#
protected Boolean Modified { get; }
VB
'Declaration
Protected Read Property Modified As Boolean

Access

Read only.


ModifyCell Method (SapGridView)

Class

SapGridView.

Action

Modifies the value of the specified cell.

Syntax

C#
gridView.ModifyCell(row, column, value)
VB
gridView.ModifyCell(row, column, value)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.
value | The new value of the cell. String.


ModifyCheckBox Method (SapGridView)

Class

SapGridView.

Action

Modifies the value of the specified checkbox cell.

Syntax

C#
gridView.ModifyCheckBox(row, column, selected)
VB
gridView.ModifyCheckBox(row, column, selected)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.
selected | Specifies if the check box should be selected. Boolean.


Month Property (SapCalendar)

Class

SapCalendar.

Action

Gets the month of the year that is currently selected.

Syntax

C#
protected Integer Month { get; }
VB
'Declaration
Protected Read Property Month As Integer

Access

Read only.


MoveRows Method (SapGridView)

Class

SapGridView.

Action

Moves the rows with an index greater than or equal to fromRow up to an index less than or equal to toRow to the position of destRow.

Syntax

C#
gridView.MoveRows(fromRow, toRow, destRow)
VB
gridView.MoveRows(fromRow, toRow, destRow)
Variable | Description
fromRow | Index of the first row of the selection. The value is zero-based. Integer.
toRow | Index of the last row of the selection. The value is zero-based. Integer.
destRow | Index of the destination to which the rows should be moved. The value is zero-based. Integer.


Name Property (SapComponent)

Class

SapComponent.

Action

Gets the name of the component.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.


NodeContextMenu Method (SapTree)

Class

SapTree.

Action

This method requests a context menu for a node.

Syntax

C#
tree.NodeContextMenu(nodeKey)
VB
tree.NodeContextMenu(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


NodeCount Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the number of Nodes in the net.

Syntax

C#
protected Integer NodeCount { get; }
VB
'Declaration
Protected Read Property NodeCount As Integer

Access

Read only.


NodeKeys Property (SapTree)

Class

SapTree.

Action

Gets a collection containing either the node key of the root node, or the node keys of all nodes in the tree, depending on the application.

Syntax

C#
protected List(Of String) NodeKeys { get; }
VB
'Declaration
Protected Read Property NodeKeys As List(Of String)

Access

Read only.


Numerical Property (SapLabel)

Class

SapLabel.

Action

Gets whether the label may only contain numbers.

Syntax

C#
protected Boolean Numerical { get; }
VB
'Declaration
Protected Read Property Numerical As Boolean

Access

Read only.


Opened Property (SapOkCodeField)

Class

SapOkCodeField.

Action

Gets whether the GuiOkCodeField is collapsed.

Syntax

C#
protected Boolean Opened { get; }
VB
'Declaration
Protected Read Property Opened As Boolean

Access

Read only.


Open Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Expands the GuiOkCodeField.

Syntax

C#
okCodeField.Open()
VB
okCodeField.Open()


PageSize Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the scrollbar pagesize.

Syntax

C#
protected Integer PageSize { get; }
VB
'Declaration
Protected Read Property PageSize As Integer

Access

Read only.


Position Property (SapScrollbar)

Class

SapScrollbar.

Action

Gets the current scrollbar position.

Syntax

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

Access

Read only.


PressButtonCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Clicks a button placed in the current cell.

Syntax

C#
gridView.PressButtonCurrentCell()
VB
gridView.PressButtonCurrentCell()


PressButton Method (SapGridView)

Class

SapGridView.

Action

Presses the button placed in the specified cell.

Syntax

C#
gridView.PressButton(row, column)
VB
gridView.PressButton(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


PressColumnHeader Method (SapGridView)

Class

SapGridView.

Action

Clicks on the header of the specified column.

Syntax

C#
gridView.PressColumnHeader(column)
VB
gridView.PressColumnHeader(column)
Variable | Description
column | Column identifier. String.


PressContextButton Method (SapToolbarControl)

Class

SapToolbarControl.

Action

Press the context button with the given id.

Syntax

C#
toolbarControl.PressContextButton(id)
VB
toolbarControl.PressContextButton(id)
Variable | Description
id | The id of the button. String.


PressEnter Method (SapGridView)

Class

SapGridView.

Action

Presses the enter key.

Syntax

C#
gridView.PressEnter()
VB
gridView.PressEnter()


PressF1 Method (SapGridView)

Class

SapGridView.

Action

Presses the F1 key.

Syntax

C#
gridView.PressF1()
VB
gridView.PressF1()


PressF1 Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Emulate pressing the F1 key while the focus is on the GuiOkCodeField.

Syntax

C#
okCodeField.PressF1()
VB
okCodeField.PressF1()


PressF1 Method (SapTextEdit)

Class

SapTextEdit.

Action

Presses the F1 key.

Syntax

C#
textEdit.PressF1()
VB
textEdit.PressF1()


PressF4 Method (SapGridView)

Class

SapGridView.

Action

Presses the F4 key.

Syntax

C#
gridView.PressF4()
VB
gridView.PressF4()


PressF4 Method (SapTextEdit)

Class

SapTextEdit.

Action

Presses the F4 key.

Syntax

C#
textEdit.PressF4()
VB
textEdit.PressF4()


PressKey Method (SapTree)

Class

SapTree.

Action

This method emulates pressing a key.

Syntax

C#
tree.PressKey(key)
VB
tree.PressKey(key)
Variable | Description
key | Possible values are: F1, F4, Delete, Insert, Enter, Cut, Copy, and Paste. String.


PressToolbarButton Method (SapGridView)

Class

SapGridView.

Action

Clicks the specified button in the grid view's tool bar.

Syntax

C#
gridView.PressToolbarButton(id)
VB
gridView.PressToolbarButton(id)
Variable | Description
id | The id of the tool bar button. String.


PressToolbarContextButton Method (SapGridView)

Class

SapGridView.

Action

Opens the context menu of the specified button of the grid view's tool bar.

Syntax

C#
gridView.PressToolbarContextButton(id)
VB
gridView.PressToolbarContextButton(id)
Variable | Description
id | The id of the tool bar button. String.


PressTotalRowCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Presses the expansion button on the current cell.

Syntax

C#
gridView.PressTotalRowCurrentCell()
VB
gridView.PressTotalRowCurrentCell()


PressTotalRow Method (SapGridView)

Class

SapGridView.

Action

Presses the row button of the specified total row.

Syntax

C#
gridView.PressTotalRow(row, column)
VB
gridView.PressTotalRow(row, column)
Variable | Description
row | Index of the row. The value is zero-based. Integer.
column | Column identifier. String.


ReorderTable Method (SapTable)

Class

SapTable.

Action

This method re-orders the columns.

Syntax

C#
table.ReorderTable(permutation)
VB
table.ReorderTable(permutation)
Variable | Description
permutation | Describes a new ordering of the columns. For example "1 3 2" will move column 3 to second position. String.


Required Property (SapComboBox)

Class

SapComboBox.

Action

Gets whether the component is a required value for the screen.

Syntax

C#
protected Boolean Required { get; }
VB
'Declaration
Protected Read Property Required As Boolean

Access

Read only.


ResizeWorkingPaneEx Method (SapWindow)

Class

SapWindow.

Action

The ResizeWorkingPaneEx function will resize the window so that the available working area has the given width and height in pixels.

Syntax

C#
window.ResizeWorkingPaneEx(width, height, throwOnFail)
VB
window.ResizeWorkingPaneEx(width, height, throwOnFail)
Variable | Description
width | The new width of the working pane. Integer.
height | The new height of the working pane. Integer.
throwOnFail | Whether an exception should be thrown in case of an failure. Boolean.


ResizeWorkingPane Method (SapWindow)

Class

SapWindow.

Action

The ResizeWorkingPane function will resize the window so that the available working area has the given width and height in character metric.

Syntax

C#
window.ResizeWorkingPane(width, height, throwOnFail)
VB
window.ResizeWorkingPane(width, height, throwOnFail)
Variable | Description
width | The new width of the working pane. Integer.
height | The new height of the working pane. Integer.
throwOnFail | Whether an exception should be thrown in case of an failure. Boolean.


RowCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of rows.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowCount Property (SapTable)

Class

SapTable.

Action

Gets the number of rows in the table including invisible rows.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowSelectionMode Property (SapTable)

Class

SapTable.

Action

Gets the row selection mode.

Syntax

C#
protected TableSelectionType RowSelectionMode { get; }
VB
'Declaration
Protected Read Property RowSelectionMode As TableSelectionType

Access

Read only.


RowText Property (SapCheckBox)

Class

SapCheckBox.

Action

Gets the text of the while line containing the current component.

Syntax

C#
protected String RowText { get; }
VB
'Declaration
Protected Read Property RowText As String

Access

Read only.


SapEvent Method (SapHTMLViewer)

Class

SapHTMLViewer.

Action

This function submits an HTML form to the backend.

Syntax

C#
hTMLViewer.SapEvent(frameName, postData, url)
VB
hTMLViewer.SapEvent(frameName, postData, url)
Variable | Description
frameName | This is the name of the frame in which the HTML form that has been submitted lives. String.
postData | Contains the form data when a submit is made using the POST method. String.
url | This is the URL which is submitted to the backend. The protocol name for the URL string is "sapevent:". This is followed by the name of the event as defined in the Action Property of the HTML form which is called. String.


ScreenLeft Property (SapComponent)

Class

SapComponent.

Action

Gets the left position of the component in screen coordinates.

Syntax

C#
protected Integer ScreenLeft { get; }
VB
'Declaration
Protected Read Property ScreenLeft As Integer

Access

Read only.


ScreenTop Property (SapComponent)

Class

SapComponent.

Action

Gets the top position of the component in screen coordinates.

Syntax

C#
protected Integer ScreenTop { get; }
VB
'Declaration
Protected Read Property ScreenTop As Integer

Access

Read only.


ScrollTo Method (SapScrollbar)

Class

SapScrollbar.

Action

Scrolls to the given position.

Syntax

C#
scrollbar.ScrollTo(position)
VB
scrollbar.ScrollTo(position)
Variable | Description
position | The position. Integer.


SelectAllColumns Method (SapTable)

Class

SapTable.

Action

This function can be used for table controls with a button that allows to select all columns in one step.

Syntax

C#
table.SelectAllColumns()
VB
table.SelectAllColumns()


SelectAll Method (SapGridView)

Class

SapGridView.

Action

Selects the whole grid content (i.e. all rows and all columns).

Syntax

C#
gridView.SelectAll()
VB
gridView.SelectAll()


SelectButton Method (SapToolbarControl)

Class

SapToolbarControl.

Action

emulates pressing the button with the given id.

Syntax

C#
toolbarControl.SelectButton(id)
VB
toolbarControl.SelectButton(id)
Variable | Description
id | The id of the button. String.


SelectButton Method (SapTree)

Class

SapTree.

Action

This method emulates pressing a button.

Syntax

C#
tree.SelectButton(nodeKey, itemName)
VB
tree.SelectButton(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


SelectColumn Method (SapGridView)

Class

SapGridView.

Action

Adds the specified column to the list of the selected columns.

Syntax

C#
gridView.SelectColumn(column)
VB
gridView.SelectColumn(column)
Variable | Description
column | Column identifier. String.


SelectColumn Method (SapTable)

Class

SapTable.

Action

Selects the given column.

Syntax

C#
table.SelectColumn(column)
VB
table.SelectColumn(column)
Variable | Description
column | Index of the column. The value is zero-based. Integer.


SelectColumn Method (SapTree)

Class

SapTree.

Action

This function adds a column to the column selection. A node or item selection is removed.

Syntax

C#
tree.SelectColumn(columnName)
VB
tree.SelectColumn(columnName)
Variable | Description
columnName | The name of the column. String.


SelectContextMenuItemByPosition Method (ISapContextMenuable)

Class

ISapContextMenuable.

Action

This method allows you to select a context menu item using the position of the item.

Syntax

C#
iSapContextMenuable.SelectContextMenuItemByPosition(positionDescription)
VB
iSapContextMenuable.SelectContextMenuItemByPosition(positionDescription)
Variable | Description
positionDescription | A string containing the path to the item. If the context menu item is on the top level menu, this is just the zero-base index of the item. Otherwise, the positions on the menu and respective submenus should be concatenated, separated by "|". String.


SelectContextMenuItemByText Method (ISapContextMenuable)

Class

ISapContextMenuable.

Action

Select a menu item of a context menu using the text of the item and possible higher level menus.

Syntax

C#
iSapContextMenuable.SelectContextMenuItemByText(text)
VB
iSapContextMenuable.SelectContextMenuItemByText(text)
Variable | Description
text | The menu item text. String.


SelectContextMenuItem Method (ISapContextMenuable)

Class

ISapContextMenuable.

Action

Select an item from the controls context menu.

Syntax

C#
iSapContextMenuable.SelectContextMenuItem(functionCode)
VB
iSapContextMenuable.SelectContextMenuItem(functionCode)
Variable | Description
functionCode | The function code. String.


SelectedCells Property (SapGridView)

Class

SapGridView.

Action

Gets a list of strings that contains the selected cells, each of which has the format "<row>,<column id>".

Syntax

C#
protected List(Of String) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of String)

Access

Read only.


SelectedColumns Property (SapGridView)

Class

SapGridView.

Action

Gets a list of strings of currently selected columns.

Syntax

C#
protected List(Of String) SelectedColumns { get; }
VB
'Declaration
Protected Read Property SelectedColumns As List(Of String)

Access

Read only.


SelectedItemColumn Property (SapTree)

Class

SapTree.

Action

Gets the key of the currently selected item column.

Syntax

C#
protected String SelectedItemColumn { get; }
VB
'Declaration
Protected Read Property SelectedItemColumn As String

Access

Read only.


SelectedItemNode Property (SapTree)

Class

SapTree.

Action

Gets the key of the currently selected item node.

Syntax

C#
protected String SelectedItemNode { get; }
VB
'Declaration
Protected Read Property SelectedItemNode As String

Access

Read only.


SelectedNode Property (SapTree)

Class

SapTree.

Action

Gets the key of the currently selected node.

Syntax

C#
protected String SelectedNode { get; }
VB
'Declaration
Protected Read Property SelectedNode As String

Access

Read only.


SelectedNodes Property (SapTree)

Class

SapTree.

Action

Gets a collection containing the node keys of all the selected nodes in the tree.

Syntax

C#
protected List(Of String) SelectedNodes { get; }
VB
'Declaration
Protected Read Property SelectedNodes As List(Of String)

Access

Read only.


Selected Property (SapRadioButton)

Class

SapRadioButton.

Action

Gets whether the radio button is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.


SelectedRows Property (SapGridView)

Class

SapGridView.

Action

Gets a comma separated list of row index numbers or index ranges, such as "1,4,6-8".

Syntax

C#
protected String SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As String

Access

Read only.


SelectedTab Property (SapTabStrip)

Class

SapTabStrip.

Action

Gets the current selected tab.

Syntax

C#
protected SapTab SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As SapTab

Access

Read only.


SelectedText Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the currently selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectHeader Method (SapTree)

Class

SapTree.

Action

This method emulates clicking a header.

Syntax

C#
tree.SelectHeader(headerName)
VB
tree.SelectHeader(headerName)
Variable | Description
headerName | The name of the header. String.


SelectionChanged Method (SapGridView)

Class

SapGridView.

Action

Notifies the server that the selection has changed.

Syntax

C#
gridView.SelectionChanged()
VB
gridView.SelectionChanged()


SelectionEndColumn Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the column index in which the selection ends. The value is zero-based.

Syntax

C#
protected Integer SelectionEndColumn { get; }
VB
'Declaration
Protected Read Property SelectionEndColumn As Integer

Access

Read only.


SelectionEndLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the line index in which the selection ends. The value is zero-based.

Syntax

C#
protected Integer SelectionEndLine { get; }
VB
'Declaration
Protected Read Property SelectionEndLine As Integer

Access

Read only.


SelectionIndexEnd Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the overall end index of the text selection. The value is zero-based.

Syntax

C#
protected Integer SelectionIndexEnd { get; }
VB
'Declaration
Protected Read Property SelectionIndexEnd As Integer

Access

Read only.


SelectionIndexStart Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the overall start index of the text selection. The value is zero-based.

Syntax

C#
protected Integer SelectionIndexStart { get; }
VB
'Declaration
Protected Read Property SelectionIndexStart As Integer

Access

Read only.


SelectionInterval Property (SapCalendar)

Class

SapCalendar.

Action

Gets the interval that is currently selected.

Syntax

C#
protected String SelectionInterval { get; }
VB
'Declaration
Protected Read Property SelectionInterval As String

Access

Read only.


SelectionMode Property (SapGridView)

Class

SapGridView.

Action

Gets the selection mode. Possible values are: "RowsAndColumns", "ListboxSingle", ListboxMultiple", "Free".

Syntax

C#
protected GridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As GridSelectionMode

Access

Read only.


SelectionMode Property (SapTree)

Class

SapTree.

Action

Gets the selection mode.

Syntax

C#
protected TreeSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As TreeSelectionMode

Access

Read only.


SelectionStartColumn Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the column start index of the text selection. The value is zero-based.

Syntax

C#
protected Integer SelectionStartColumn { get; }
VB
'Declaration
Protected Read Property SelectionStartColumn As Integer

Access

Read only.


SelectionStartLine Property (SapTextEdit)

Class

SapTextEdit.

Action

Gets the line index in which the selection starts. The value is zero-based.

Syntax

C#
protected Integer SelectionStartLine { get; }
VB
'Declaration
Protected Read Property SelectionStartLine As Integer

Access

Read only.


SelectItem Method (SapComboBox)

Class

SapComboBox.

Action

Selects the specified item.

Syntax

C#
comboBox.SelectItem(item)
VB
comboBox.SelectItem(item)
Variable | Description
item | The item. String.


SelectItem Method (SapTree)

Class

SapTree.

Action

This function emulates the selection of an item. This selection removes all other selections.

Syntax

C#
tree.SelectItem(nodeKey, itemName)
VB
tree.SelectItem(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


SelectKey Method (SapComboBox)

Class

SapComboBox.

Action

Selects the list item with the specified key.

Syntax

C#
comboBox.SelectKey(key)
VB
comboBox.SelectKey(key)
Variable | Description
key | The key. String.


SelectLink Method (SapTree)

Class

SapTree.

Action

This function emulates triggering a link.

Syntax

C#
tree.SelectLink(nodeKey, itemName)
VB
tree.SelectLink(nodeKey, itemName)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.


SelectMenuItemByText Method (SapToolbarControl)

Class

SapToolbarControl.

Action

emulates selecting the menu item by menu item text.

Syntax

C#
toolbarControl.SelectMenuItemByText(text)
VB
toolbarControl.SelectMenuItemByText(text)
Variable | Description
text | The text of the menu item. String.


SelectMenuItem Method (SapToolbarControl)

Class

SapToolbarControl.

Action

emulates selecting the menu item with the given id.

Syntax

C#
toolbarControl.SelectMenuItem(id)
VB
toolbarControl.SelectMenuItem(id)
Variable | Description
id | The id of the menu. String.


Select Method (SapButton)

Class

SapButton.

Action

This emulates manually pressing a button. Pressing a button will always cause server communication to occur, rendering all references to elements below the window level invalid.

Syntax

C#
button.Select()
VB
button.Select()


Select Method (SapMenu)

Class

SapMenu.

Action

Select the menu.

Syntax

C#
menu.Select()
VB
menu.Select()


Select Method (SapRadioButton)

Class

SapRadioButton.

Action

Selects the radio button.

Syntax

C#
radioButton.Select()
VB
radioButton.Select()


Select Method (SapTab)

Class

SapTab.

Action

Selects the tab.

Syntax

C#
tab.Select()
VB
tab.Select()


SelectNode Method (SapTree)

Class

SapTree.

Action

The node with the key nodeKey is added to the Node Selection.

Syntax

C#
tree.SelectNode(nodeKey)
VB
tree.SelectNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


SelectRow Method (SapTable)

Class

SapTable.

Action

Selects the given row.

Syntax

C#
table.SelectRow(row)
VB
table.SelectRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


SelectToolbarMenuItem Method (SapGridView)

Class

SapGridView.

Action

Selects an item from the context menu of the grid view's tool bar.

Syntax

C#
gridView.SelectToolbarMenuItem(id)
VB
gridView.SelectToolbarMenuItem(id)
Variable | Description
id | The id of the menu item. String.


SendData Method (SapBarChart)

Class

SapBarChart.

Action

Send data to the server.

Syntax

C#
barChart.SendData(data)
VB
barChart.SendData(data)
Variable | Description
data | The data to be send. String.


SendData Method (SapNetPlan)

Class

SapNetPlan.

Action

This function emulates the output of each action triggered at the control side. The result of the action is sent to the server.

It is currently not possible to select - deselect single objects at the client-side and to replay/script these "local" actions.

Syntax

C#
netPlan.SendData(data)
VB
netPlan.SendData(data)
Variable | Description
data | The data to be send. String.


SendVKey Method (SapWindow)

Class

SapWindow.

Action

Send a virtual key to the system.

Syntax

C#
window.SendVKey(vkey)
VB
window.SendVKey(vkey)
Variable | Description
vkey | The virtual key to send. VKey.


SetCheckBoxState Method (SapTree)

Class

SapTree.

Action

Changes the state of the checkbox in the given node.

Syntax

C#
tree.SetCheckBoxState(nodeKey, itemName, check)
VB
tree.SetCheckBoxState(nodeKey, itemName, check)
Variable | Description
nodeKey | The key of the node. String.
itemName | The name of the item. String.
check | The new checkbox state. Boolean.


SetColumnOrder Method (SapGridView)

Class

SapGridView.

Action

Sets the order of the columns.

Syntax

C#
gridView.SetColumnOrder(columns)
VB
gridView.SetColumnOrder(columns)
Variable | Description
columns | A list of column identifiers in the desired order. List(Of String).


SetColumnOrder Method (SapTree)

Class

SapTree.

Action

Sets the order of the tree's column.

Syntax

C#
tree.SetColumnOrder(columns)
VB
tree.SetColumnOrder(columns)
Variable | Description
columns | A list of the column titles in the desired order. Each title must not occur more than once. List(Of String).


SetColumnWidth Method (SapGridView)

Class

SapGridView.

Action

Sets the width of the specified column.

Syntax

C#
gridView.SetColumnWidth(column, width)
VB
gridView.SetColumnWidth(column, width)
Variable | Description
column | Column identifier. String.
width | Width. Integer.


SetColumnWidth Method (SapTree)

Class

SapTree.

Action

This function sets the width of a column in pixels.

Syntax

C#
tree.SetColumnWidth(columnName, width)
VB
tree.SetColumnWidth(columnName, width)
Variable | Description
columnName | The name of the column. String.
width | The new width of the column. Integer.


SetCurrentCellColumn Method (SapGridView)

Class

SapGridView.

Action

Specifies the column of the current cell.

Syntax

C#
gridView.SetCurrentCellColumn(column)
VB
gridView.SetCurrentCellColumn(column)
Variable | Description
column | Column identifier. String.


SetCurrentCell Method (SapGridView)

Class

SapGridView.

Action

Sets the specified cell as the current cell.

Syntax

C#
gridView.SetCurrentCell(row, column)
VB
gridView.SetCurrentCell(row, column)
Variable | Description
row | Index of the row. Integer.
column | Column identifier. String.


SetCurrentCellRow Method (SapGridView)

Class

SapGridView.

Action

Sets the row of the current cell.

Syntax

C#
gridView.SetCurrentCellRow(row)
VB
gridView.SetCurrentCellRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


SetFirstVisibleColumn Method (SapGridView)

Class

SapGridView.

Action

Sets the first visible column.

Syntax

C#
gridView.SetFirstVisibleColumn(column)
VB
gridView.SetFirstVisibleColumn(column)
Variable | Description
column | Column identifier. String.


SetFirstVisibleDate Method (SapCalendar)

Class

SapCalendar.

Action

Sets the earliest date visible in the calendar control.

Syntax

C#
calendar.SetFirstVisibleDate(firstVisibleDate)
VB
calendar.SetFirstVisibleDate(firstVisibleDate)
Variable | Description
firstVisibleDate | The date as string. example: "20020228". String.


SetFirstVisibleRow Method (SapGridView)

Class

SapGridView.

Action

Sets the first visible row.

Syntax

C#
gridView.SetFirstVisibleRow(row)
VB
gridView.SetFirstVisibleRow(row)
Variable | Description
row | Index of the row. The value is zero-based. Integer.


SetFocusDate Method (SapCalendar)

Class

SapCalendar.

Action

Sets the date to be focused.

Syntax

C#
calendar.SetFocusDate(focusDate)
VB
calendar.SetFocusDate(focusDate)
Variable | Description
focusDate | The date to be focused as string (YYYYMMDD). String.


SetHierarchyHeaderWidth Method (SapTree)

Class

SapTree.

Action

Sets the width of the Hierarchy Header in pixels.

Syntax

C#
tree.SetHierarchyHeaderWidth(width)
VB
tree.SetHierarchyHeaderWidth(width)
Variable | Description
width | The new width of the header. Integer.


SetPasswordText Method (SapTextField)

Class

SapTextField.

Action

Sends an encrypted password to the object.

Syntax

C#
textField.SetPasswordText(password)
VB
textField.SetPasswordText(password)
Variable | Description
password | The encrypted password. String.


SetSelectedNode Method (SapTree)

Class

SapTree.

Action

Select the given node.

Syntax

C#
tree.SetSelectedNode(nodeKey)
VB
tree.SetSelectedNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


SetSelectedRows Method (SapGridView)

Class

SapGridView.

Action

Selects the specified rows.

Syntax

C#
gridView.SetSelectedRows(rows)
VB
gridView.SetSelectedRows(rows)
Variable | Description
rows | Specifies the rows as comma separated list of row index or index ranges, e.g. "1,3,6-8". String.


SetSelectionIndexes Method (SapTextEdit)

Class

SapTextEdit.

Action

Selects the text within the specified range.

Syntax

C#
textEdit.SetSelectionIndexes(start, end)
VB
textEdit.SetSelectionIndexes(start, end)
Variable | Description
start | Start index (inclusive). The value is zero-based. Integer.
end | End index (exclusive). The value is zero-based. Integer.


SetSelectionInterval Method (SapCalendar)

Class

SapCalendar.

Action

Selects the specified interval.

Syntax

C#
calendar.SetSelectionInterval(interval)
VB
calendar.SetSelectionInterval(interval)
Variable | Description
interval | The interval represented by two concatenated date strings (YYYYMMDD) separated by a comma. String.


SetText Method (SapOkCodeField)

Class

SapOkCodeField.

Action

Sets the text of the control to the specified text.

Syntax

C#
okCodeField.SetText(text)
VB
okCodeField.SetText(text)
Variable | Description
text | New text of the text component. String.


SetText Method (SapTextEdit)

Class

SapTextEdit.

Action

Sets the specified text in the text edit control.

Syntax

C#
textEdit.SetText(text)
VB
textEdit.SetText(text)
Variable | Description
text | Text. String.


SetText Method (SapTextField)

Class

SapTextField.

Action

Sets the text of the control to the specified text.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | New text of the text component. String.


SetTopNode Method (SapTree)

Class

SapTree.

Action

Sets the given key as top node.

Syntax

C#
tree.SetTopNode(nodeKey)
VB
tree.SetTopNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


ShowContextMenu Method (SapComponent)

Class

SapComponent.

Action

Shows the context menu of the control.

Syntax

C#
component.ShowContextMenu()
VB
component.ShowContextMenu()


StartSelection Property (SapCalendar)

Class

SapCalendar.

Action

Gets the start of the selection interval.

Syntax

C#
protected String StartSelection { get; }
VB
'Declaration
Protected Read Property StartSelection As String

Access

Read only.


StatusbarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the statusbar is visible.

Syntax

C#
protected Boolean StatusbarVisible { get; }
VB
'Declaration
Protected Read Property StatusbarVisible As Boolean

Access

Read only.


SystemFocus Property (SapWindow)

Class

SapWindow.

Action

Gets the element within SAP GUI that has the focus from the server application's perspective.

Syntax

C#
protected SapComponent SystemFocus { get; }
VB
'Declaration
Protected Read Property SystemFocus As SapComponent

Access

Read only.


TabBackward Method (SapWindow)

Class

SapWindow.

Action

Execute the Shift+Tab key on the window to jump backward one element.

Syntax

C#
window.TabBackward()
VB
window.TabBackward()


TabForward Method (SapWindow)

Class

SapWindow.

Action

Execute the Tab key on the window to jump forward one element.

Syntax

C#
window.TabForward()
VB
window.TabForward()


TableFieldName Property (SapTable)

Class

SapTable.

Action

Gets the table field name.

Syntax

C#
protected String TableFieldName { get; }
VB
'Declaration
Protected Read Property TableFieldName As String

Access

Read only.


Tabs Property (SapTabStrip)

Class

SapTabStrip.

Action

Gets all tabs of the tab pane.

Syntax

C#
protected List(Of SapTab) Tabs { get; }
VB
'Declaration
Protected Read Property Tabs As List(Of SapTab)

Access

Read only.


TitlebarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the titlebar is visible.

Syntax

C#
protected Boolean TitlebarVisible { get; }
VB
'Declaration
Protected Read Property TitlebarVisible As Boolean

Access

Read only.


Title Property (SapGridView)

Class

SapGridView.

Action

Gets the title of the grid control.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.


ToolbarButtonCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of tool bar buttons (separators included).

Syntax

C#
protected Integer ToolbarButtonCount { get; }
VB
'Declaration
Protected Read Property ToolbarButtonCount As Integer

Access

Read only.


ToolbarVisible Property (SapWindow)

Class

SapWindow.

Action

Gets whether the toolbar is visible.

Syntax

C#
protected Boolean ToolbarVisible { get; }
VB
'Declaration
Protected Read Property ToolbarVisible As Boolean

Access

Read only.


Tooltip Property (SapComponent)

Class

SapComponent.

Action

Gets the tooltip text.

Syntax

C#
protected String Tooltip { get; }
VB
'Declaration
Protected Read Property Tooltip As String

Access

Read only.


TopNode Property (SapTree)

Class

SapTree.

Action

Gets the key of the top node.

Syntax

C#
protected String TopNode { get; }
VB
'Declaration
Protected Read Property TopNode As String

Access

Read only.


Top Property (SapComponent)

Class

SapComponent.

Action

Gets the top coordinate of the element in screen coordinates.

Syntax

C#
protected Integer Top { get; }
VB
'Declaration
Protected Read Property Top As Integer

Access

Read only.


TreeType Property (SapTree)

Class

SapTree.

Action

Gets the tree type. (simple tree, list tree or column tree).

Syntax

C#
protected TreeType TreeType { get; }
VB
'Declaration
Protected Read Property TreeType As TreeType

Access

Read only.


TriggerModified Method (SapGridView)

Class

SapGridView.

Action

Notifies the server of multiple changes in cells. Typically this method should be called after multiple calls to ModifyCell.

Syntax

C#
gridView.TriggerModified()
VB
gridView.TriggerModified()


Uncheck Method (SapCheckBox)

Class

SapCheckBox.

Action

Un-checks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


UnselectAll Method (SapTree)

Class

SapTree.

Action

All selections are removed.

Syntax

C#
tree.UnselectAll()
VB
tree.UnselectAll()


UnselectColumn Method (SapTree)

Class

SapTree.

Action

This function removes a column from the column selection.

Syntax

C#
tree.UnselectColumn(columnName)
VB
tree.UnselectColumn(columnName)
Variable | Description
columnName | The name of the column. String.


UnselectNode Method (SapTree)

Class

SapTree.

Action

The node with the key nodeKey is removed from the Node Selection.

Syntax

C#
tree.UnselectNode(nodeKey)
VB
tree.UnselectNode(nodeKey)
Variable | Description
nodeKey | The key of the node. String.


Url Property (SapPicture)

Class

SapPicture.

Action

Gets the URL of the picture.

Syntax

C#
protected String Url { get; }
VB
'Declaration
Protected Read Property Url As String

Access

Read only.


ValueChange Method (SapChart)

Class

SapChart.

Action

Changes a value of the chart.

Syntax

C#
chart.ValueChange(series, point, xValue, yValue, dataChange, id, zValue, changeFlag)
VB
chart.ValueChange(series, point, xValue, yValue, dataChange, id, zValue, changeFlag)
Variable | Description
series | Number of the data set within the row that should be changed. Integer.
point | Number of the data point within the row that should be changed. Integer.
xValue | New x value. Double.
yValue | New y value. Double.
dataChange | Setting this parameter to True means the value was not changed interactively within the graphic but rather by entering the new value on the DataPoint property page. Boolean.
id | GFW data container id of the changed point. String.
zValue | New z value. Double.
changeFlag | Notify which value was changed or if it was a time value. ChartChangeFlag.


VisibleRowCount Property (SapGridView)

Class

SapGridView.

Action

Gets the number of visible rows of the grid view.

Syntax

C#
protected Integer VisibleRowCount { get; }
VB
'Declaration
Protected Read Property VisibleRowCount As Integer

Access

Read only.


VisibleRowCount Property (SapTable)

Class

SapTable.

Action

Gets the number of visible rows in the table.

Syntax

C#
protected Integer VisibleRowCount { get; }
VB
'Declaration
Protected Read Property VisibleRowCount As Integer

Access

Read only.


Week Property (SapCalendar)

Class

SapCalendar.

Action

Gets the week of the year that is currently selected.

Syntax

C#
protected Integer Week { get; }
VB
'Declaration
Protected Read Property Week As Integer

Access

Read only.


Width Property (SapComponent)

Class

SapComponent.

Action

Gets the current width of the component.

Syntax

C#
protected Integer Width { get; }
VB
'Declaration
Protected Read Property Width As Integer

Access

Read only.


WindowHandle Property (SapBarChart)

Class

SapBarChart.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapChart)

Class

SapChart.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapHTMLViewer)

Class

SapHTMLViewer.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapNetPlan)

Class

SapNetPlan.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapToolbarControl)

Class

SapToolbarControl.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WindowHandle Property (SapWindow)

Class

SapWindow.

Action

Gets the window handle of the control that is connected to the GuiShell.

Syntax

C#
protected Integer WindowHandle { get; }
VB
'Declaration
Protected Read Property WindowHandle As Integer

Access

Read only.


WorkingPaneHeight Property (SapWindow)

Class

SapWindow.

Action

Gets the current height of the working pane.

Syntax

C#
protected Integer WorkingPaneHeight { get; }
VB
'Declaration
Protected Read Property WorkingPaneHeight As Integer

Access

Read only.


WorkingPaneWidth Property (SapWindow)

Class

SapWindow.

Action

Gets the current width of the working pane.

Syntax

C#
protected Integer WorkingPaneWidth { get; }
VB
'Declaration
Protected Read Property WorkingPaneWidth As Integer

Access

Read only.


Year Property (SapCalendar)

Class

SapCalendar.

Action

Gets the year that is currently selected.

Syntax

C#
protected Integer Year { get; }
VB
'Declaration
Protected Read Property Year As Integer

Access

Read only.


AutomationId Property (SLBase)

Class

SLBase.

Action

Gets a string containing the UI Automation identifier (ID) for the element.

Syntax

C#
protected String AutomationId { get; }
VB
'Declaration
Protected Read Property AutomationId As String

Access

Read only.


CanSelectMultiple Property (SLCalendar)

Class

SLCalendar.

Action

Gets whether multiple dates can be selected.

Syntax

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

Access

Read only.


CanSelectMultiple Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets whether the data grid allows more than one row to be selected concurrently.

Syntax

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

Access

Read only.


CanSelectMultiple Property (SLListBox)

Class

SLListBox.

Action

Gets whether the list box allows more than one child element to be selected concurrently.

Syntax

C#
protected Boolean CanSelectMultiple { get; }
VB
'Declaration
Protected Read Property CanSelectMultiple As Boolean

Access

Read only.


Cells Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets the cells of the data grid row.

Syntax

C#
protected List(Of SLDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of SLDataGridCell)

Access

Read only.


CellTexts Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets the text of the cells of the data grid row.

Syntax

C#
protected List(Of String) CellTexts { get; }
VB
'Declaration
Protected Read Property CellTexts As List(Of String)

Access

Read only.


Check Method (SLCheckBox)

Class

SLCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


ClassName Property (SLBase)

Class

SLBase.

Action

Gets the simple class name of the element.

Syntax

C#
protected String ClassName { get; }
VB
'Declaration
Protected Read Property ClassName As String

Access

Read only.


Clear Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Removes all text from the password field.

Syntax

C#
passwordBox.Clear()
VB
passwordBox.Clear()


Clear Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Removes all text from the text box.

Syntax

C#
richTextBox.Clear()
VB
richTextBox.Clear()


Clear Method (SLTextBox)

Class

SLTextBox.

Action

Removes all text from the text field.

Syntax

C#
textBox.Clear()
VB
textBox.Clear()


CloseCalendar Method (SLDatePicker)

Class

SLDatePicker.

Action

Closes the drop-down Calendar.

Syntax

C#
datePicker.CloseCalendar()
VB
datePicker.CloseCalendar()


Close Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Closes the drop-down list that contains the matches if it is currently open.

Syntax

C#
autoCompleteBox.Close()
VB
autoCompleteBox.Close()


Close Method (SLComboBox)

Class

SLComboBox.

Action

Closes the combo box.

Syntax

C#
comboBox.Close()
VB
comboBox.Close()


Close Method (SLWindow)

Class

SLWindow.

Action

Closes the window.

Syntax

C#
window.Close()
VB
window.Close()


Collapse Method (SLTreeView)

Class

SLTreeView.

Action

Collapses the specified item.

Syntax

C#
treeView.Collapse(item)
VB
treeView.Collapse(item)
Variable | Description
item | The item to collapse. ItemPath.


Collapse Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Collapses the item.

Syntax

C#
treeViewItem.Collapse()
VB
treeViewItem.Collapse()


ColumnCount Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the number of columns in the data grid.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnHeaders Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list containing the header item for every column.

Syntax

C#
protected List(Of SLHeaderItem) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of SLHeaderItem)

Access

Read only.


ColumnHeaderTexts Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list containing the text of the header item for every column.

Syntax

C#
protected List(Of String) ColumnHeaderTexts { get; }
VB
'Declaration
Protected Read Property ColumnHeaderTexts As List(Of String)

Access

Read only.


CurrentPage Property (SLDataPager)

Class

SLDataPager.

Action

Gets the current page.

Syntax

C#
protected Integer CurrentPage { get; }
VB
'Declaration
Protected Read Property CurrentPage As Integer

Access

Read only.


DecreaseLarge Method (SLSlider)

Class

SLSlider.

Action

Decreases the value of the Slider by a large amount.

Syntax

C#
slider.DecreaseLarge()
VB
slider.DecreaseLarge()


DecreaseSmall Method (SLSlider)

Class

SLSlider.

Action

Decreases the value of the Slider by a small amount.

Syntax

C#
slider.DecreaseSmall()
VB
slider.DecreaseSmall()


DeselectAll Method (SLListBox)

Class

SLListBox.

Action

Deselects all list items.

Syntax

C#
listBox.DeselectAll()
VB
listBox.DeselectAll()


Deselect Method (SLListItem)

Class

SLListItem.

Action

Deselects the item.

Syntax

C#
listItem.Deselect()
VB
listItem.Deselect()


DisplayMode Property (SLCalendar)

Class

SLCalendar.

Action

Gets a value that indicates whether the calendar displays a month, year, or decade.

Syntax

C#
protected SLCalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As SLCalendarMode

Access

Read only.


ExpandAll Method (SLTreeView)

Class

SLTreeView.

Action

Expands all items in the tree.

Syntax

C#
treeView.ExpandAll()
VB
treeView.ExpandAll()


Expand Method (SLTreeView)

Class

SLTreeView.

Action

Expands the specified item.

Syntax

C#
treeView.Expand(item)
VB
treeView.Expand(item)
Variable | Description
item | The item to expand. ItemPath.


Expand Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Expands the item.

Syntax

C#
treeViewItem.Expand()
VB
treeViewItem.Expand()


ExpandSubTree Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Expands the sub tree under this tree item.

Syntax

C#
treeViewItem.ExpandSubTree()
VB
treeViewItem.ExpandSubTree()


GetRawChildren Method (SLBase)

Class

SLBase.

Action

Gets the raw child element of this element. This method can be used to access elements that would otherwise not be recognized as children. Optionally one of the MSUIA control types can be specified to only return children of a certain type.

Syntax

C#
rawChildren = base.GetRawChildren([automationControlType])
VB
rawChildren = base.GetRawChildren([automationControlType])
Variable | Description
rawChildren | List(Of SLBase).
automationControlType | Optional: optionally specifies that only children with this control type should be retrieved. String.

Examples

VB

In order to get all raw children of an element:
slBase.GetRawChildren()
In order to get only children of a certain control type. For a list of control types have a look at the control types provided by the MSUIA.
slBase.GetRawChildren("Text")


HeaderItems Property (SLHeader)

Class

SLHeader.

Action

Gets a list containing the header items of this header control.

Syntax

C#
protected List(Of SLHeaderItem) HeaderItems { get; }
VB
'Declaration
Protected Read Property HeaderItems As List(Of SLHeaderItem)

Access

Read only.


HorizontallyScrollable Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a value that indicates whether the combo box can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLComboBox)

Class

SLComboBox.

Action

Gets a value that indicates whether the combo box can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a value that indicates whether the data grid can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLListBox)

Class

SLListBox.

Action

Gets a value that indicates whether the list box can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLPane)

Class

SLPane.

Action

Gets a value that indicates whether the pane can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontallyScrollable Property (SLTreeView)

Class

SLTreeView.

Action

Gets a value that indicates whether the tree view can scroll horizontally.

Syntax

C#
protected Boolean HorizontallyScrollable { get; }
VB
'Declaration
Protected Read Property HorizontallyScrollable As Boolean

Access

Read only.


HorizontalScrollPercent Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLComboBox)

Class

SLComboBox.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLListBox)

Class

SLListBox.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLPane)

Class

SLPane.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


HorizontalScrollPercent Property (SLTreeView)

Class

SLTreeView.

Action

Gets the current horizontal scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double HorizontalScrollPercent { get; }
VB
'Declaration
Protected Read Property HorizontalScrollPercent As Double

Access

Read only.


IncreaseLarge Method (SLSlider)

Class

SLSlider.

Action

Increases the value of the Slider by a large amount.

Syntax

C#
slider.IncreaseLarge()
VB
slider.IncreaseLarge()


IncreaseSmall Method (SLSlider)

Class

SLSlider.

Action

Increases the value of the Slider by a small amount.

Syntax

C#
slider.IncreaseSmall()
VB
slider.IncreaseSmall()


IsCalendarOpen Property (SLDatePicker)

Class

SLDatePicker.

Action

Gets a value whether the drop-down Calendar is open.

Syntax

C#
protected Boolean IsCalendarOpen { get; }
VB
'Declaration
Protected Read Property IsCalendarOpen As Boolean

Access

Read only.


IsEnabled Property (SLBase)

Class

SLBase.

Action

Gets a value that indicates whether the element is enabled.

Syntax

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

Access

Read only.


IsExpanded Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a value that indicates whether the nested items in a tree item are expanded or collapsed.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsLeaf Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a value that indicates whether the tree view item is a leaf item.

Syntax

C#
protected Boolean IsLeaf { get; }
VB
'Declaration
Protected Read Property IsLeaf As Boolean

Access

Read only.


IsOpen Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a value that indicates whether the auto complete box is open.

Syntax

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

Access

Read only.


IsOpen Property (SLComboBox)

Class

SLComboBox.

Action

Gets a value that indicates whether the combo box is open.

Syntax

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

Access

Read only.


IsReadOnly Property (SLPasswordBox)

Class

SLPasswordBox.

Action

Gets whether the password box is read-only.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (SLTextBox)

Class

SLTextBox.

Action

Gets whether the text box is read-only.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsSelected Property (SLCalendarButton)

Class

SLCalendarButton.

Action

Gets a value that indicates whether the calendar button is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLCalendarDayButton)

Class

SLCalendarDayButton.

Action

Gets a value that indicates whether the calendar day button is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLComboBoxItem)

Class

SLComboBoxItem.

Action

Gets a value that indicates whether the combo box item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLDataGridCell)

Class

SLDataGridCell.

Action

Gets a value that indicates whether the cell is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets a value that indicates whether the row is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLListItem)

Class

SLListItem.

Action

Gets a value that indicates whether the list item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLRadioButton)

Class

SLRadioButton.

Action

Gets a value that indicates whether the radio button is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLTabItem)

Class

SLTabItem.

Action

Gets a value that indicates whether the tab item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a value that indicates whether a tree item is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelectionRequired Property (SLCalendar)

Class

SLCalendar.

Action

Gets whether at least one date has to be selected.

Syntax

C#
protected Boolean IsSelectionRequired { get; }
VB
'Declaration
Protected Read Property IsSelectionRequired As Boolean

Access

Read only.


Items Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a list containing items of the current matches. If nothing was entered in the control's text box an empty list is returned.

Syntax

C#
protected List(Of SLComboBoxItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

Access

Read only.


Items Property (SLComboBox)

Class

SLComboBox.

Action

Gets a complete list of items.

Syntax

C#
protected List(Of SLComboBoxItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLComboBoxItem)

Access

Read only.


Items Property (SLListBox)

Class

SLListBox.

Action

Gets the list of list box items.

Syntax

C#
protected List(Of SLListItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLListItem)

Access

Read only.


Items Property (SLTabControl)

Class

SLTabControl.

Action

Gets a complete list of tab items.

Syntax

C#
protected List(Of SLTabItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLTabItem)

Access

Read only.


Items Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a complete list of items.

Syntax

C#
protected List(Of SLTreeViewItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of SLTreeViewItem)

Access

Read only.


ItemTexts Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a list containing the texts of the current matches. If nothing was entered in the control's text box an empty list is returned.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


ItemTexts Property (SLComboBox)

Class

SLComboBox.

Action

Gets a complete list of item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.

Examples

VB

comboBox.Open()
Dim items = comboBox.ItemTexts
comboBox.Close()


ItemTexts Property (SLListBox)

Class

SLListBox.

Action

Gets the list of all item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


ItemTexts Property (SLTabControl)

Class

SLTabControl.

Action

Gets a complete list of tab item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


ItemTexts Property (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Gets a complete list of item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


LargeChange Property (SLSlider)

Class

SLSlider.

Action

Gets the value that is added to or subtracted from the Value property when a large change is made, such as with the PAGE DOWN key.

Syntax

C#
protected Double LargeChange { get; }
VB
'Declaration
Protected Read Property LargeChange As Double

Access

Read only.


Maximum Property (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Gets the maximum scroll position.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Maximum Property (SLProgressBar)

Class

SLProgressBar.

Action

Gets the maximum progress value.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Maximum Property (SLSlider)

Class

SLSlider.

Action

Gets the maximum progress value.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Maximum Property (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Gets the maximum scroll position.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


Minimum Property (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Gets the minimum scroll position.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


Minimum Property (SLProgressBar)

Class

SLProgressBar.

Action

Gets the minimum progress value.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


Minimum Property (SLSlider)

Class

SLSlider.

Action

Gets the minimum progress value.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


Minimum Property (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Gets the minimum scroll position.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


MoveHorizontal Method (SLGridSplitter)

Class

SLGridSplitter.

Action

Moves the splitter horizontally.

Syntax

C#
gridSplitter.MoveHorizontal(value)
VB
gridSplitter.MoveHorizontal(value)
Variable | Description
value | The amount of pixel to move the splitter. Double.


Move Method (SLWindow)

Class

SLWindow.

Action

Moves the window.

Syntax

C#
window.Move(x, y)
VB
window.Move(x, y)
Variable | Description
x | The x coordinate. Double.
y | The y coordinate. Double.


MoveToFirstPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the first page.

Syntax

C#
dataPager.MoveToFirstPage()
VB
dataPager.MoveToFirstPage()


MoveToLastPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the last page.

Syntax

C#
dataPager.MoveToLastPage()
VB
dataPager.MoveToLastPage()


MoveToNextPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the next page.

Syntax

C#
dataPager.MoveToNextPage()
VB
dataPager.MoveToNextPage()


MoveToPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the given page.

Syntax

C#
dataPager.MoveToPage(page)
VB
dataPager.MoveToPage(page)
Variable | Description
page | The page to move the data pager to. Integer.


MoveToPreviousPage Method (SLDataPager)

Class

SLDataPager.

Action

Moves the data pager to the previous page.

Syntax

C#
dataPager.MoveToPreviousPage()
VB
dataPager.MoveToPreviousPage()


MoveVertical Method (SLGridSplitter)

Class

SLGridSplitter.

Action

Moves the splitter vertically.

Syntax

C#
gridSplitter.MoveVertical(value)
VB
gridSplitter.MoveVertical(value)
Variable | Description
value | The amount of pixel to move the splitter. Double.


Name Property (SLBase)

Class

SLBase.

Action

Gets a string containing the UI Automation name for the element.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.


NumericValue Property (SLSpinner)

Class

SLSpinner.

Action

Gets the current numeric value of the spinner.

Syntax

C#
protected Double NumericValue { get; }
VB
'Declaration
Protected Read Property NumericValue As Double

Access

Read only.


OpenCalendar Method (SLDatePicker)

Class

SLDatePicker.

Action

Opens the drop-down Calendar.

Syntax

C#
datePicker.OpenCalendar()
VB
datePicker.OpenCalendar()


Open Method (SLComboBox)

Class

SLComboBox.

Action

Opens the combo box.

Syntax

C#
comboBox.Open()
VB
comboBox.Open()


PageCount Property (SLDataPager)

Class

SLDataPager.

Action

Gets the count of the pages.

Syntax

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

Access

Read only.


RootItems Property (SLTreeView)

Class

SLTreeView.

Action

Gets a complete list of all root tree items.

Syntax

C#
protected List(Of SLTreeViewItem) RootItems { get; }
VB
'Declaration
Protected Read Property RootItems As List(Of SLTreeViewItem)

Access

Read only.


RootItemTexts Property (SLTreeView)

Class

SLTreeView.

Action

Gets a complete list of the texts of all root tree items.

Syntax

C#
protected List(Of String) RootItemTexts { get; }
VB
'Declaration
Protected Read Property RootItemTexts As List(Of String)

Access

Read only.


RowCount Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the number of rows in the data grid.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowHeader Property (SLDataGridRow)

Class

SLDataGridRow.

Action

Gets the header for this row.

Syntax

C#
protected SLHeaderItem RowHeader { get; }
VB
'Declaration
Protected Read Property RowHeader As SLHeaderItem

Access

Read only.


Rows Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list of rows in the data grid.

If the data grid has a vertical scroll bar, rows which are not in the visible area of the data grid do not expose any information (e.g. text, caption). In order to interact with such a row or retrieve information about the row it needs to be scrolled into view first.

Syntax

C#
protected List(Of SLDataGridRow) Rows { get; }
VB
'Declaration
Protected Read Property Rows As List(Of SLDataGridRow)

Access

Read only.


RowTexts Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list of row texts in the data grid. The text for every row is returned as a string that contains the text of every cell separated with a blank character.

If the data grid has a vertical scroll bar, rows which are not in the visible area of the data grid return an empty text. In order to retrieve the text of such a row it needs to be scrolled into view first.

Syntax

C#
protected List(Of String) RowTexts { get; }
VB
'Declaration
Protected Read Property RowTexts As List(Of String)

Access

Read only.


ScrollHorizontal Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
autoCompleteBox.ScrollHorizontal(scrollAmount)
VB
autoCompleteBox.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLComboBox)

Class

SLComboBox.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
comboBox.ScrollHorizontal(scrollAmount)
VB
comboBox.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLDataGrid)

Class

SLDataGrid.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
dataGrid.ScrollHorizontal(scrollAmount)
VB
dataGrid.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLListBox)

Class

SLListBox.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
listBox.ScrollHorizontal(scrollAmount)
VB
listBox.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLPane)

Class

SLPane.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
pane.ScrollHorizontal(scrollAmount)
VB
pane.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollHorizontal Method (SLTreeView)

Class

SLTreeView.

Action

Scrolls the currently visible region of the content area, horizontally, the specified ScrollAmount.

Syntax

C#
treeView.ScrollHorizontal(scrollAmount)
VB
treeView.ScrollHorizontal(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollIntoView Method (SLDataGrid)

Class

SLDataGrid.

Action

Scrolls the specified row or cell into view.

Syntax

C#
dataGrid.ScrollIntoView(row, [column])
VB
dataGrid.ScrollIntoView(row, [column])
Variable | Description
row | The row where to scroll to. ItemIdentifier.
column | Optional: The column where to scroll to. ItemIdentifier.


ScrollIntoView Method (SLDataGridCell)

Class

SLDataGridCell.

Action

Scroll the cell into view.

Syntax

C#
dataGridCell.ScrollIntoView()
VB
dataGridCell.ScrollIntoView()


ScrollIntoView Method (SLDataGridRow)

Class

SLDataGridRow.

Action

Scrolls the row into view.

Syntax

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


ScrollIntoView Method (SLListItem)

Class

SLListItem.

Action

Scroll the list item into view.

Syntax

C#
listItem.ScrollIntoView()
VB
listItem.ScrollIntoView()


ScrollIntoView Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Scrolls the tree item into view.

Syntax

C#
treeViewItem.ScrollIntoView()
VB
treeViewItem.ScrollIntoView()


Scroll Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar by the specified amount.

Syntax

C#
horizontalScrollBar.Scroll(scrollAmount)
VB
horizontalScrollBar.Scroll(scrollAmount)
Variable | Description
scrollAmount | The amount to scroll. ScrollAmount.


Scroll Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar by the specified amount.

Syntax

C#
verticalScrollBar.Scroll(scrollAmount)
VB
verticalScrollBar.Scroll(scrollAmount)
Variable | Description
scrollAmount | The amount to scroll. ScrollAmount.


ScrollPosition Property (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Gets the current scroll position.

Syntax

C#
protected Double ScrollPosition { get; }
VB
'Declaration
Protected Read Property ScrollPosition As Double

Access

Read only.


ScrollPosition Property (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Gets the current scroll position.

Syntax

C#
protected Double ScrollPosition { get; }
VB
'Declaration
Protected Read Property ScrollPosition As Double

Access

Read only.


ScrollToMaximum Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar to the right end.

Syntax

C#
horizontalScrollBar.ScrollToMaximum()
VB
horizontalScrollBar.ScrollToMaximum()


ScrollToMaximum Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar to the bottom.

Syntax

C#
verticalScrollBar.ScrollToMaximum()
VB
verticalScrollBar.ScrollToMaximum()


ScrollToMinimum Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar to the left end.

Syntax

C#
horizontalScrollBar.ScrollToMinimum()
VB
horizontalScrollBar.ScrollToMinimum()


ScrollToMinimum Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar to the top.

Syntax

C#
verticalScrollBar.ScrollToMinimum()
VB
verticalScrollBar.ScrollToMinimum()


ScrollToPosition Method (SLHorizontalScrollBar)

Class

SLHorizontalScrollBar.

Action

Scrolls the scroll bar to the specific position.

Syntax

C#
horizontalScrollBar.ScrollToPosition(position)
VB
horizontalScrollBar.ScrollToPosition(position)
Variable | Description
position | The position. Must be within the minimum and the maximum position for this scroll bar. Double.


ScrollToPosition Method (SLVerticalScrollBar)

Class

SLVerticalScrollBar.

Action

Scrolls the scroll bar to the specific position.

Syntax

C#
verticalScrollBar.ScrollToPosition(position)
VB
verticalScrollBar.ScrollToPosition(position)
Variable | Description
position | The position. Must be within the minimum and the maximum position for this scroll bar. Double.


ScrollVertical Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
autoCompleteBox.ScrollVertical(scrollAmount)
VB
autoCompleteBox.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLComboBox)

Class

SLComboBox.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
comboBox.ScrollVertical(scrollAmount)
VB
comboBox.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLDataGrid)

Class

SLDataGrid.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
dataGrid.ScrollVertical(scrollAmount)
VB
dataGrid.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLListBox)

Class

SLListBox.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
listBox.ScrollVertical(scrollAmount)
VB
listBox.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | =The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLPane)

Class

SLPane.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
pane.ScrollVertical(scrollAmount)
VB
pane.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | The direction and distance to scroll. ScrollAmount.


ScrollVertical Method (SLTreeView)

Class

SLTreeView.

Action

Scrolls the currently visible region of the content area, vertically, the specified ScrollAmount.

Syntax

C#
treeView.ScrollVertical(scrollAmount)
VB
treeView.ScrollVertical(scrollAmount)
Variable | Description
scrollAmount | =The direction and distance to scroll. ScrollAmount.


SelectAll Method (SLListBox)

Class

SLListBox.

Action

Selects all items in the list.

Syntax

C#
listBox.SelectAll()
VB
listBox.SelectAll()


SelectCell Method (SLDataGrid)

Class

SLDataGrid.

Action

Selects the specified cell.

Syntax

C#
dataGrid.SelectCell(row, column, [modifiers])
VB
dataGrid.SelectCell(row, column, [modifiers])
Variable | Description
row | The row to select. ItemIdentifier.
column | The cell to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the cell. Use a modifier to select multiple cells. ModifierKeys.

Examples

VB

In order to select a cell with the text "cell 1" in the third row type:
dataGrid.SelectCell(2, "cell 1")


SelectDate Method (SLCalendar)

Class

SLCalendar.

Action

Selects the given date.

Syntax

C#
calendar.SelectDate(dateToSelect)
VB
calendar.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDates Method (SLCalendar)

Class

SLCalendar.

Action

Selects the given dates.

This method will only work if the calendar supports the MultipleRange selection mode.

Syntax

C#
calendar.SelectDates(dates)
VB
calendar.SelectDates(dates)
Variable | Description
dates | The dates to select. List(Of DateTime?).


SelectedCell Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the currently selected cell or null (Nothing in Visual Basic) if no cell is selected.

Syntax

C#
protected SLDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As SLDataGridCell

Access

Read only.


SelectedCellText Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the text of the currently selected cell or an empty string if no cell is selected.

Syntax

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

Access

Read only.


SelectedDate Property (SLCalendar)

Class

SLCalendar.

Action

Gets the currently selected date in the currently displayed view.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (SLDatePicker)

Class

SLDatePicker.

Action

Gets the selected date or null (Nothing in Visual Basic) if no date is selected.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDates Property (SLCalendar)

Class

SLCalendar.

Action

Gets a list of selected dates in the currently displayed view.

Syntax

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

Access

Read only.


SelectedIndex Property (SLComboBox)

Class

SLComboBox.

Action

Gets the index of the selected item or negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndex Property (SLListBox)

Class

SLListBox.

Action

Gets the index of the first item in the current selection or returns negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndex Property (SLTabControl)

Class

SLTabControl.

Action

Gets the index of the selected item or negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndices Property (SLListBox)

Class

SLListBox.

Action

Gets the indices of the currently selected items. An empty list is returned if no items are currently selected.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.


SelectedItemPath Property (SLTreeView)

Class

SLTreeView.

Action

Gets the selected item path or an empty item path if nothing is selected.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.


SelectedItem Property (SLComboBox)

Class

SLComboBox.

Action

Gets the selected item or null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLComboBoxItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLComboBoxItem

Access

Read only.


SelectedItem Property (SLListBox)

Class

SLListBox.

Action

Gets the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLListItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLListItem

Access

Read only.


SelectedItem Property (SLTabControl)

Class

SLTabControl.

Action

Gets the selected item or null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLTabItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLTabItem

Access

Read only.


SelectedItem Property (SLTreeView)

Class

SLTreeView.

Action

Gets the selected item or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected SLTreeViewItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As SLTreeViewItem

Access

Read only.


SelectedItems Property (SLListBox)

Class

SLListBox.

Action

Gets the currently selected items. An empty list is returned, if no items are currently selected.

Syntax

C#
protected List(Of SLListItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of SLListItem)

Access

Read only.


SelectedItemText Property (SLComboBox)

Class

SLComboBox.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (SLListBox)

Class

SLListBox.

Action

Gets the text of the first selected item.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (SLTabControl)

Class

SLTabControl.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (SLTreeView)

Class

SLTreeView.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemTexts Property (SLListBox)

Class

SLListBox.

Action

Gets the texts of the currently selected items. An empty list is returned if no items are currently selected.

Syntax

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

Access

Read only.


SelectedRow Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the currently selected row or null (Nothing in Visual Basic) if no row is selected.

Syntax

C#
protected SLDataGridRow SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As SLDataGridRow

Access

Read only.


SelectedRows Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a list of currently selected rows or an empty list if no row is selected.

Syntax

C#
protected List(Of SLDataGridRow) SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As List(Of SLDataGridRow)

Access

Read only.


SelectedRowText Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the text of the currently selected row or an empty string if no row is selected.

Syntax

C#
protected String SelectedRowText { get; }
VB
'Declaration
Protected Read Property SelectedRowText As String

Access

Read only.


SelectedRowTexts Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the text of the currently selected rows or an empty list if no row is selected.

Syntax

C#
protected List(Of String) SelectedRowTexts { get; }
VB
'Declaration
Protected Read Property SelectedRowTexts As List(Of String)

Access

Read only.


SelectedText Property (SLRichTextBox)

Class

SLRichTextBox.

Action

Gets the selected text.

if the selection contains non-text elements, e.g. an image, those elements are represented as blank character

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


Select Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Types the given text into the auto box complete box and selects a match.

If there is no match after entering the text an exception is thrown. If value of the parameter matchIndex is less than 0 or greater than the number of matches an exception is thrown as well.

Syntax

C#
autoCompleteBox.Select(text, [matchIndex])
VB
autoCompleteBox.Select(text, [matchIndex])
Variable | Description
text | The text to type into the text box. String.
matchIndex | Optional: The index of the match to select. The value is zero-based. Integer.

Examples

VB

In order to select the first match starting with the text "Apple" type:
autoCompletBox.Select("Apple")
In order to select the third match starting with the text "A" type:
autoCompletBox.Select("A", 2)


Select Method (SLButton)

Class

SLButton.

Action

Clicks the button.

Syntax

C#
button.Select()
VB
button.Select()


Select Method (SLCalendarButton)

Class

SLCalendarButton.

Action

Clicks the button.

Syntax

C#
calendarButton.Select()
VB
calendarButton.Select()


Select Method (SLCalendarDayButton)

Class

SLCalendarDayButton.

Action

Clicks the button.

Syntax

C#
calendarDayButton.Select()
VB
calendarDayButton.Select()


Select Method (SLComboBox)

Class

SLComboBox.

Action

Selects an item in the combo box.

Syntax

C#
comboBox.Select(item)
VB
comboBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.

Examples

VB

In order to select the item with the text "item 1" from a combo box type:
comboBox.Select("item 1")
In order to select the third item from a combo box type:
comboBox.Select(2)


Select Method (SLComboBoxItem)

Class

SLComboBoxItem.

Action

Selects the combo box item.

Syntax

C#
comboBoxItem.Select()
VB
comboBoxItem.Select()


Select Method (SLDataGrid)

Class

SLDataGrid.

Action

Selects the specified row.

Syntax

C#
dataGrid.Select(item, [modifiers])
VB
dataGrid.Select(item, [modifiers])
Variable | Description
item | The row to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the row. Use a modifier to select multiple rows. ModifierKeys.

Examples

VB

In order to select the row that contains two cells with the text "cell 1" and "cell 2" type:
dataGrid.Select("cell 1 cell 2")
or
dataGrid.Select("*cell 1*")
In order to select the third row from a data grid type:
dataGrid.Select(2)
In order to select multiple rows in a data grid use modifier keys (such as Ctrl or Shift). For selecting the fist and the third row in a data grid that supports multiple selections, type the following:
dataGrid.Select(0)
dataGrid.Select(2, ModifierKeys.Control)


Select Method (SLDataGridCell)

Class

SLDataGridCell.

Action

Selects the cell.

Syntax

C#
dataGridCell.Select()
VB
dataGridCell.Select()


Select Method (SLDataGridRow)

Class

SLDataGridRow.

Action

Selects the row.

Syntax

C#
dataGridRow.Select()
VB
dataGridRow.Select()


Select Method (SLHeaderItem)

Class

SLHeaderItem.

Action

Selects the header item.

Syntax

C#
headerItem.Select()
VB
headerItem.Select()


Select Method (SLHyperlinkButton)

Class

SLHyperlinkButton.

Action

Clicks the hyperlink button.

Syntax

C#
hyperlinkButton.Select()
VB
hyperlinkButton.Select()


Select Method (SLListBox)

Class

SLListBox.

Action

Selects the given list box item.

Syntax

C#
listBox.Select(item, [modifiers])
VB
listBox.Select(item, [modifiers])
Variable | Description
item | The name or index of the item to select. ItemIdentifier.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while selecting an item. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

In order to select the item with the text "item 1" from a list box type:
listBox.Select("item 1")
In order to select the third item from a list box type:
listBox.Select(2)
In order to select multiple items in a list box use modifier keys (such as Ctrl or Shift). For selecting both the items with the text "item 1" and "item 3" in a multi-select list box (that has the extended selection style), type the following:
listBox.Select("item 1")
listBox.Select("item 3", ModifierKeys.Control)
In a multi-select list box with the multiple selection style a user can deselect a selected item by clicking on it. The following code selects two items in such a list box and then deselects the first one.
listBox.Select("item 1")
listBox.Select("item 3")
listBox.Select("item 1") ' deselects "item 1"


Select Method (SLListItem)

Class

SLListItem.

Action

Selects the list item.

Syntax

C#
listItem.Select()
VB
listItem.Select()


Select Method (SLRadioButton)

Class

SLRadioButton.

Action

Deselects any selected items and then selects the current element.

Syntax

C#
radioButton.Select()
VB
radioButton.Select()


Select Method (SLRepeatButton)

Class

SLRepeatButton.

Action

Clicks the button.

Syntax

C#
repeatButton.Select()
VB
repeatButton.Select()


Select Method (SLTabControl)

Class

SLTabControl.

Action

Selects an item in the tab control.

Syntax

C#
tabControl.Select(item)
VB
tabControl.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (SLTabItem)

Class

SLTabItem.

Action

Selects the tab item.

Syntax

C#
tabItem.Select()
VB
tabItem.Select()


Select Method (SLTreeView)

Class

SLTreeView.

Action

Selects the specified item.

Syntax

C#
treeView.Select(item)
VB
treeView.Select(item)
Variable | Description
item | The item to select. ItemPath.


Select Method (SLTreeViewItem)

Class

SLTreeViewItem.

Action

Selects the item.

Syntax

C#
treeViewItem.Select()
VB
treeViewItem.Select()


SelectRange Method (SLCalendar)

Class

SLCalendar.

Action

Selects a range of dates.

Syntax

C#
calendar.SelectRange(startDate, endDate)
VB
calendar.SelectRange(startDate, endDate)
Variable | Description
startDate | The start date of the selection. DateTime?.
endDate | The end date of the selection. DateTime?.


SetHorizontalScrollPercent Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Sets the horizontal scroll position as a percentage of the total content area within the combo box.

Syntax

C#
autoCompleteBox.SetHorizontalScrollPercent(percent)
VB
autoCompleteBox.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLComboBox)

Class

SLComboBox.

Action

Sets the horizontal scroll position as a percentage of the total content area within the combo box.

Syntax

C#
comboBox.SetHorizontalScrollPercent(percent)
VB
comboBox.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLDataGrid)

Class

SLDataGrid.

Action

Sets the horizontal scroll position as a percentage of the total content area within the data grid.

Syntax

C#
dataGrid.SetHorizontalScrollPercent(percent)
VB
dataGrid.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLListBox)

Class

SLListBox.

Action

Sets the horizontal scroll position as a percentage of the total content area within the list box.

Syntax

C#
listBox.SetHorizontalScrollPercent(percent)
VB
listBox.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLPane)

Class

SLPane.

Action

Sets the horizontal scroll position as a percentage of the total content area within the pane.

Syntax

C#
pane.SetHorizontalScrollPercent(percent)
VB
pane.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetHorizontalScrollPercent Method (SLTreeView)

Class

SLTreeView.

Action

Sets the horizontal scroll position as a percentage of the total content area within the tree view.

Syntax

C#
treeView.SetHorizontalScrollPercent(percent)
VB
treeView.SetHorizontalScrollPercent(percent)
Variable | Description
percent | The percentage of the total horizontal content area. Double.


SetIndeterminate Method (SLCheckBox)

Class

SLCheckBox.

Action

Set the check box to the indeterminate state.

Syntax

C#
checkBox.SetIndeterminate()
VB
checkBox.SetIndeterminate()


SetPosition Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Sets the insertion point in the password field.

Syntax

C#
passwordBox.SetPosition(position)
VB
passwordBox.SetPosition(position)
Variable | Description
position | The position of the caret within the password field. The value is zero-based. Integer.


SetPosition Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Sets the insertion point in the text box.

Syntax

C#
richTextBox.SetPosition(position)
VB
richTextBox.SetPosition(position)
Variable | Description
position | The position of the caret within the text box. The value is zero-based. Integer.


SetPosition Method (SLTextBox)

Class

SLTextBox.

Action

Sets the insertion point in the text field.

Syntax

C#
textBox.SetPosition(position)
VB
textBox.SetPosition(position)
Variable | Description
position | The position of the caret within the text field. The value is zero-based. Integer.


SetSelection Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Selects a range of text in the password box.

Syntax

C#
passwordBox.SetSelection(startPosition, length)
VB
passwordBox.SetSelection(startPosition, length)
Variable | Description
startPosition | The start index for the selection. The value is zero-based. Integer.
length | The number of characters to select from the start position. Integer.


SetSelection Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
richTextBox.SetSelection(startPosition, length)
VB
richTextBox.SetSelection(startPosition, length)
Variable | Description
startPosition | The start index for the selection. The value is zero-based. Integer.
length | The number of characters to select from the start position. Integer.


SetSelection Method (SLTextBox)

Class

SLTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
textBox.SetSelection(startPosition, length)
VB
textBox.SetSelection(startPosition, length)
Variable | Description
startPosition | The start index for the selection. The value is zero-based. Integer.
length | The number of characters to select from the start position. Integer.


SetText Method (SLPasswordBox)

Class

SLPasswordBox.

Action

Replaces the text in the password field with the given text.

Syntax

C#
passwordBox.SetText(text)
VB
passwordBox.SetText(text)
Variable | Description
text | The new text. String.


SetText Method (SLRichTextBox)

Class

SLRichTextBox.

Action

Replaces the content in the text box with the given text.

Syntax

C#
richTextBox.SetText(text)
VB
richTextBox.SetText(text)
Variable | Description
text | The new text. String.


SetText Method (SLTextBox)

Class

SLTextBox.

Action

Replaces the text in the text field with the given text.

Syntax

C#
textBox.SetText(text)
VB
textBox.SetText(text)
Variable | Description
text | The new text. String.


SetValue Method (SLSlider)

Class

SLSlider.

Action

Sets the value of the slider.

Syntax

C#
slider.SetValue(value)
VB
slider.SetValue(value)
Variable | Description
value | The new slider value. Double.


SetValueToMaximum Method (SLSlider)

Class

SLSlider.

Action

Sets the Slider to the maximum position.

Syntax

C#
slider.SetValueToMaximum()
VB
slider.SetValueToMaximum()


SetValueToMinimum Method (SLSlider)

Class

SLSlider.

Action

Sets the Slider to the minimum position.

Syntax

C#
slider.SetValueToMinimum()
VB
slider.SetValueToMinimum()


SetVerticalScrollPercent Method (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Sets the vertical scroll position as a percentage of the total content area within the combo box.

Syntax

C#
autoCompleteBox.SetVerticalScrollPercent(percent)
VB
autoCompleteBox.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLComboBox)

Class

SLComboBox.

Action

Sets the vertical scroll position as a percentage of the total content area within the combo box.

Syntax

C#
comboBox.SetVerticalScrollPercent(percent)
VB
comboBox.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLDataGrid)

Class

SLDataGrid.

Action

Sets the vertical scroll position as a percentage of the total content area within the data grid.

Syntax

C#
dataGrid.SetVerticalScrollPercent(percent)
VB
dataGrid.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLListBox)

Class

SLListBox.

Action

Sets the vertical scroll position as a percentage of the total content area within the list box.

Syntax

C#
listBox.SetVerticalScrollPercent(percent)
VB
listBox.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLPane)

Class

SLPane.

Action

Sets the vertical scroll position as a percentage of the total content area within the pane.

Syntax

C#
pane.SetVerticalScrollPercent(percent)
VB
pane.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SetVerticalScrollPercent Method (SLTreeView)

Class

SLTreeView.

Action

Sets the vertical scroll position as a percentage of the total content area within the tree view.

Syntax

C#
treeView.SetVerticalScrollPercent(percent)
VB
treeView.SetVerticalScrollPercent(percent)
Variable | Description
percent | The percentage of the total vertical content area. Double.


SmallChange Property (SLSlider)

Class

SLSlider.

Action

Gets the value that is added to or subtracted from the Value property when a small change is made, such as with an arrow key.

Syntax

C#
protected Double SmallChange { get; }
VB
'Declaration
Protected Read Property SmallChange As Double

Access

Read only.


SupportedDisplayModes Property (SLCalendar)

Class

SLCalendar.

Action

Gets a list of supported display modes.

Syntax

C#
protected List(Of SLCalendarMode) SupportedDisplayModes { get; }
VB
'Declaration
Protected Read Property SupportedDisplayModes As List(Of SLCalendarMode)

Access

Read only.


SwitchToDecadeView Method (SLCalendar)

Class

SLCalendar.

Action

Switches the calendar display mode to 'decade', if supported.

Syntax

C#
calendar.SwitchToDecadeView()
VB
calendar.SwitchToDecadeView()


SwitchToMonthView Method (SLCalendar)

Class

SLCalendar.

Action

Switches the calendar display mode to 'month', if supported.

Syntax

C#
calendar.SwitchToMonthView()
VB
calendar.SwitchToMonthView()


SwitchToYearView Method (SLCalendar)

Class

SLCalendar.

Action

Switches the calendar display mode to 'year', if supported.

Syntax

C#
calendar.SwitchToYearView()
VB
calendar.SwitchToYearView()


Toggle Method (SLCheckBox)

Class

SLCheckBox.

Action

Cycles through the toggle states of the check box in this order: On, Off and, if supported, Indeterminate.

Syntax

C#
checkBox.Toggle()
VB
checkBox.Toggle()


Toggle Method (SLToggleButton)

Class

SLToggleButton.

Action

Cycles through the toggle states of the button in this order: On, Off and, if supported, Indeterminate.

Syntax

C#
toggleButton.Toggle()
VB
toggleButton.Toggle()


ToggleState Property (SLCheckBox)

Class

SLCheckBox.

Action

Gets the toggle state of the check box.

Syntax

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

Access

Read only.


ToggleState Property (SLToggleButton)

Class

SLToggleButton.

Action

Gets the toggle state of the button.

Syntax

C#
protected ToggleState ToggleState { get; }
VB
'Declaration
Protected Read Property ToggleState As ToggleState

Access

Read only.


Uncheck Method (SLCheckBox)

Class

SLCheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


VerticallyScrollable Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets a value that indicates whether the combo box can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLComboBox)

Class

SLComboBox.

Action

Gets a value that indicates whether the combo box can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets a value that indicates whether the data grid can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLListBox)

Class

SLListBox.

Action

Gets a value that indicates whether the list box can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLPane)

Class

SLPane.

Action

Gets a value that indicates whether the pane can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticallyScrollable Property (SLTreeView)

Class

SLTreeView.

Action

Gets a value that indicates whether the tree view can scroll vertically.

Syntax

C#
protected Boolean VerticallyScrollable { get; }
VB
'Declaration
Protected Read Property VerticallyScrollable As Boolean

Access

Read only.


VerticalScrollPercent Property (SLAutoCompleteBox)

Class

SLAutoCompleteBox.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLComboBox)

Class

SLComboBox.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLDataGrid)

Class

SLDataGrid.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLListBox)

Class

SLListBox.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLPane)

Class

SLPane.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VerticalScrollPercent Property (SLTreeView)

Class

SLTreeView.

Action

Gets the current vertical scroll position or negative one (-1) if there is no valid scroll position.

Syntax

C#
protected Double VerticalScrollPercent { get; }
VB
'Declaration
Protected Read Property VerticalScrollPercent As Double

Access

Read only.


VisibleItemPaths Property (SLTreeView)

Class

SLTreeView.

Action

Gets the visible items in the tree as item paths.

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


AccessibleName Property (AWTComponent)

Class

AWTComponent.

Action

Gets the accessible name of the component.

Syntax

C#
protected String AccessibleName { get; }
VB
'Declaration
Protected Read Property AccessibleName As String

Access

Read only.

Examples

VB

Dim accessibleName As String = component.AccessibleName


AccessibleName Property (AWTMenuItem)

Class

AWTMenuItem.

Action

Gets the accessible name of the component.

Syntax

C#
protected String AccessibleName { get; }
VB
'Declaration
Protected Read Property AccessibleName As String

Access

Read only.

Examples

VB

Dim accessibleName As String = openFileMenuItem.AccessibleName


AccessibleRole Property (AWTComponent)

Class

AWTComponent.

Action

Gets the accessible role of the component.

Syntax

C#
protected String AccessibleRole { get; }
VB
'Declaration
Protected Read Property AccessibleRole As String

Access

Read only.

Examples

VB

Dim accessibleRole As String = component.AccessibleRole


Alignment Property (AWTLabel)

Class

AWTLabel.

Action

Gets the alignment of the label.

Syntax

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

Access

Read only.

Examples

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment = labelInfo.Alignment


Alignment Property (JLabel)

Class

JLabel.

Action

Gets the alignment of the label.

Syntax

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

Access

Read only.

Examples

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment.Left = label.Alignment


Alignment Property (JTextField)

Class

JTextField.

Action

Gets the alignment of the text field.

Syntax

C#
protected Alignment Alignment { get; }
VB
'Declaration
Protected Read Property Alignment As Alignment

Access

Read only.

Examples

VB

Dim alignment As SilkTest.Ntf.Swing.Alignment = textField.Alignment


AllCellTexts Property (JTable)

Class

JTable.

Action

Gets the text values of all cells in the table. The cells are grouped in rows, where each row contains the texts of its cells.

Syntax

C#
protected List(Of List(Of String)) AllCellTexts { get; }
VB
'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

Access

Read only.

Examples

VB

Dim allCellTexts As List(of List(of String)) = table.AllCellTexts


AllCellTexts Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the text values of all cells in the listview. The cells are grouped in rows, where each row contains the texts of its cells.

Only the values that have been visible to the user at least once are available.

Syntax

C#
protected List(Of List(Of String)) AllCellTexts { get; }
VB
'Declaration
Protected Read Property AllCellTexts As List(Of List(Of String))

Access

Read only.


AllCellValues Property (JTable)

Class

JTable.

Action

Gets the values of all cells in the table. The cells are grouped in rows, where each row contains the values of its cells.

Syntax

C#
protected List(Of List(Of Object)) AllCellValues { get; }
VB
'Declaration
Protected Read Property AllCellValues As List(Of List(Of Object))

Access

Read only.

Examples

VB

Dim allCellValues As List(of List(of Object)) = table.AllCellValues


Background Property (AWTComponent)

Class

AWTComponent.

Action

Gets the background color of the component.

Syntax

C#
protected Color Background { get; }
VB
'Declaration
Protected Read Property Background As Color

Access

Read only.

Examples

VB

Dim backgroundColor As SilkTest.Ntf.Color = component.Background


CancelEditing Method (JTree)

Class

JTree.

Action

Cancels the current editing session.

Syntax

C#
tree.CancelEditing()
VB
tree.CancelEditing()

Examples

VB

tree.CancelEditing()


CaretPosition Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the position of the text insertion caret for the text component. The value is zero-based.

Syntax

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

Access

Read only.

Examples

VB

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition Property (JTextComponent)

Class

JTextComponent.

Action

Gets the position of the text insertion caret for the text component. The value is zero-based.

Syntax

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

Access

Read only.

Examples

VB

Dim caretPosition As Integer = textComponent.CaretPosition


CaretPosition Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the position of the text insertion caret for the text field. The value is zero-based.

Syntax

C#
protected Integer CaretPosition { get; }
VB
'Declaration
Protected Read Property CaretPosition As Integer

Access

Read only.


CharacterAttributes Property (JTextPane)

Class

JTextPane.

Action

Gets the character attributes in effect at the location of the caret.

Syntax

C#
protected List(Of String) CharacterAttributes { get; }
VB
'Declaration
Protected Read Property CharacterAttributes As List(Of String)

Access

Read only.

Examples

VB

Dim characterAttributes As IList = textPane.CharacterAttributes


Checked Property (AWTCheckbox)

Class

AWTCheckbox.

Action

Gets whether the check box is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = caseSensitiveCheckBox.Checked


Checked Property (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Gets whether the check box of the menu item is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isMenuItemChecked As Boolean = checkMenuItem.Checked


Checked Property (AWTRadioButton)

Class

AWTRadioButton.

Action

Gets whether the radio button is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = leftAligmentRadioButton.Checked


Checked Property (IOracleFormsMenuBase)

Class

IOracleFormsMenuBase.

Action

Gets whether the MenuItem is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Checked Property (JCheckBoxMenuItem)

Class

JCheckBoxMenuItem.

Action

Gets whether the check box in a menu item is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = checkBoxMenuItem.Checked


Checked Property (JRadioButtonMenuItem)

Class

JRadioButtonMenuItem.

Action

Gets whether the radio button in a menu item is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.

Examples

VB

Dim isChecked As Boolean = leftAligmentMenuItem.Checked


Checked Property (OracleFormsCheckbox)

Class

OracleFormsCheckbox.

Action

Gets whether the check box is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Checked Property (OracleFormsRadioButton)

Class

OracleFormsRadioButton.

Action

Gets whether the radio button is checked.

Syntax

C#
protected Boolean Checked { get; }
VB
'Declaration
Protected Read Property Checked As Boolean

Access

Read only.


Check Method (AWTCheckbox)

Class

AWTCheckbox.

Action

Checks the check box.

Syntax

C#
checkbox.Check()
VB
checkbox.Check()

Examples

VB

caseSensitiveCheckBox.Check()


Check Method (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Checks the check box of the menu item.

Syntax

C#
checkboxMenuItem.Check()
VB
checkboxMenuItem.Check()

Examples

VB

checkMenuItem.Check()


Check Method (AWTRadioButton)

Class

AWTRadioButton.

Action

Checks the radio button.

Syntax

C#
radioButton.Check()
VB
radioButton.Check()

Examples

VB

leftAligmentRadioButton.Check()


Check Method (JCheckBox)

Class

JCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()

Examples

VB

forwardCheckBox.Check()


Check Method (JRadioButton)

Class

JRadioButton.

Action

Checks the radio button.

Syntax

C#
radioButton.Check()
VB
radioButton.Check()

Examples

VB

leftAligmentRadioButton.Check()


Check Method (OracleFormsCheckbox)

Class

OracleFormsCheckbox.

Action

Checks the check box.

Syntax

C#
oracleFormsCheckbox.Check()
VB
oracleFormsCheckbox.Check()


Check Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

Checks a menu item.

Syntax

C#
oracleFormsMenu.Check(item)
VB
oracleFormsMenu.Check(item)
Variable | Description
item | The menu item to check. Can be either a top-level menu item or a menu item that can be found in a submenu. For checking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


Check Method (OracleFormsMenuItem)

Class

OracleFormsMenuItem.

Action

Checks a menu item.

Syntax

C#
oracleFormsMenuItem.Check()
VB
oracleFormsMenuItem.Check()


Check Method (OracleFormsRadioButton)

Class

OracleFormsRadioButton.

Action

Checks the radio button.

Syntax

C#
oracleFormsRadioButton.Check()
VB
oracleFormsRadioButton.Check()


Clear Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Removes all the text from the text component.

Syntax

C#
textComponent.Clear()
VB
textComponent.Clear()

Examples

VB

textComponent.Clear()


Clear Method (JTextComponent)

Class

JTextComponent.

Action

Removes all the text from text component.

Syntax

C#
textComponent.Clear()
VB
textComponent.Clear()

Examples

VB

textComponent.Clear()


Clear Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Removes all the text from the text field.

Syntax

C#
oracleFormsTextField.Clear()
VB
oracleFormsTextField.Clear()


ClearSelection Method (JTable)

Class

JTable.

Action

Deselects all selected columns and rows.

Syntax

C#
table.ClearSelection()
VB
table.ClearSelection()

Examples

VB

table.ClearSelection()


ClearSelection Method (JTree)

Class

JTree.

Action

Clears the selection.

Syntax

C#
tree.ClearSelection()
VB
tree.ClearSelection()

Examples

VB

tree.ClearSelection()


ClearSelection Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Clears the selection.

Syntax

C#
oracleFormsListView.ClearSelection()
VB
oracleFormsListView.ClearSelection()


ClickCell Method (JTable)

Class

JTable.

Action

Clicks the specified cell in the table.

Syntax

C#
table.ClickCell(row, column, [button, position, modifiers])
VB
table.ClickCell(row, column, [button, position, modifiers])
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the table cell. If the position is omitted, the click is done in the center of the table cell. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the table cell. Use a modifier to click multiple table cells. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

table.ClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.ClickCell(1, "Street")
table.ClickCell(1, 5)


ClickColumnHeader Method (JTableHeader)

Class

JTableHeader.

Action

Clicks the column header of the table.

Syntax

C#
tableHeader.ClickColumnHeader(column, [button, position, modifiers])
VB
tableHeader.ClickColumnHeader(column, [button, position, modifiers])
Variable | Description
column | The name or index of the column. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the column header. (default: column header center). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the column header. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

tableHeader.ClickColumnHeader("Product Name", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader(4, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tableHeader.ClickColumnHeader("Product Name")
tableHeader.ClickColumnHeader(4)


ClickItem Method (JList)

Class

JList.

Action

Clicks the specified list item.

Syntax

C#
list.ClickItem(item, [button, position, modifiers])
VB
list.ClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the list item. Use a modifier to click multiple list items. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

colorsList.ClickItem("green", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem(3, MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
colorsList.ClickItem("green")
colorsList.ClickItem(3)


ClickItem Method (OracleFormsListBox)

Class

OracleFormsListBox.

Action

Clicks the specified list item.

Syntax

C#
oracleFormsListBox.ClickItem(item, [button, position, modifiers])
VB
oracleFormsListBox.ClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the list item. Use a modifier to click multiple list items. Default: Don't use modifier keys. ModifierKeys.


ClickItem Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Clicks on a tree node specified by the item path.

Syntax

C#
oracleFormsTree.ClickItem(item, [button, position, modifiers])
VB
oracleFormsTree.ClickItem(item, [button, position, modifiers])
Variable | Description
item | The path of the item to click on. ItemPath.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to click. If the position is omitted, the click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the tree node. Default: Don't use modifier keys. ModifierKeys.


ClickNode Method (JTree)

Class

JTree.

Action

Clicks on a tree node specified by the item path.

Syntax

C#
tree.ClickNode(item, [button, position, modifiers])
VB
tree.ClickNode(item, [button, position, modifiers])
Variable | Description
item | The item path to click on. ItemPath.
button | Optional: The button used for clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to click. If the position is omitted, the click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while clicking the tree node. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

tree.ClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.ClickNode("/level_1-1/level_2-1/level_3-4")


CollapseAll Method (JTree)

Class

JTree.

Action

Collapses all tree nodes.

Syntax

C#
tree.CollapseAll()
VB
tree.CollapseAll()

Examples

VB

tree.CollapseAll()


CollapseAll Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Collapses all tree nodes.

Syntax

C#
oracleFormsTree.CollapseAll()
VB
oracleFormsTree.CollapseAll()


Collapse Method (JTree)

Class

JTree.

Action

Collapses the tree node identified by the specified item path.

Syntax

C#
tree.Collapse(item)
VB
tree.Collapse(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.Collapse("/level_1-1/level_2-1/level_3-4")


Collapse Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Collapses the tree node identified by the specified item path.

Syntax

C#
oracleFormsTree.Collapse(item)
VB
oracleFormsTree.Collapse(item)
Variable | Description
item | The item path. ItemPath.


Color Property (JColorChooser)

Class

JColorChooser.

Action

Gets the current color value from the color chooser.

Syntax

C#
protected Color Color { get; }
VB
'Declaration
Protected Read Property Color As Color

Access

Read only.

Examples

VB

Dim colorRed As SilkTest.Ntf.Color = ColorChooser.Color


ColumnCount Property (JTable)

Class

JTable.

Action

Gets the number of columns in the table.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.

Examples

VB

Dim columnCount As Integer = table.ColumnCount


ColumnCount Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the number of columns in the listview.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


Columns Property (AWTTextArea)

Class

AWTTextArea.

Action

Gets the number of columns in the text area. The value is zero-based.

Syntax

C#
protected Integer Columns { get; }
VB
'Declaration
Protected Read Property Columns As Integer

Access

Read only.

Examples

VB

Dim columns As Integer = colorsTextArea.Columns


Columns Property (JTextArea)

Class

JTextArea.

Action

Gets the number of columns in the text area. The value is zero-based.

Syntax

C#
protected Integer Columns { get; }
VB
'Declaration
Protected Read Property Columns As Integer

Access

Read only.

Examples

VB

Dim columns As Integer = textArea.Columns


ContentType Property (JEditorPane)

Class

JEditorPane.

Action

Gets the type of content that this editor is currently set to deal with.

Syntax

C#
protected String ContentType { get; }
VB
'Declaration
Protected Read Property ContentType As String

Access

Read only.

Examples

VB

Dim contentType As String = editorPane.ContentType


Cursor Property (AWTComponent)

Class

AWTComponent.

Action

Gets the name of the cursor set in the component.

Syntax

C#
protected String Cursor { get; }
VB
'Declaration
Protected Read Property Cursor As String

Access

Read only.

Examples

VB

Dim cursor As String = component.Cursor


Default Property (OracleFormsButton)

Class

OracleFormsButton.

Action

Gets whether the button is the default button.

Syntax

C#
protected Boolean Default { get; }
VB
'Declaration
Protected Read Property Default As Boolean

Access

Read only.


DeselectAll Method (AWTList)

Class

AWTList.

Action

Deselects all list items.

Syntax

C#
list.DeselectAll()
VB
list.DeselectAll()

Examples

VB

colorsList.DeselectAll()


DeselectAll Method (JList)

Class

JList.

Action

Deselects all list items.

Syntax

C#
list.DeselectAll()
VB
list.DeselectAll()

Examples

VB

colorsList.DeselectAll()


Deselect Method (AWTList)

Class

AWTList.

Action

Deselects the specified list item.

Syntax

C#
list.Deselect(item)
VB
list.Deselect(item)
Variable | Description
item | The name or index of the item to deselect. ItemIdentifier.

Examples

VB

colorsList.Deselect("blue")
colorsList.Deselect(3)


Deselect Method (JList)

Class

JList.

Action

Deselects the specified list item.

Syntax

C#
list.Deselect(item)
VB
list.Deselect(item)
Variable | Description
item | The name or index of the list item. ItemIdentifier.

Examples

VB

colorsList.Deselect("red")
colorsList.Deselect(1)


Direction Property (BasicArrowButton)

Class

BasicArrowButton.

Action

Gets the direction the arrow points to.

Syntax

C#
protected Direction Direction { get; }
VB
'Declaration
Protected Read Property Direction As Direction

Access

Read only.

Examples

VB

Dim direction As SilkTest.Ntf.Swing.Direction = arrowButton.Direction


DividerLocation Property (JSplitPane)

Class

JSplitPane.

Action

Gets the current divider location.

Syntax

C#
protected Integer DividerLocation { get; }
VB
'Declaration
Protected Read Property DividerLocation As Integer

Access

Read only.

Examples

VB

Dim dividerLocation As Integer = splitPane.DividerLocation


DividerSize Property (JSplitPane)

Class

JSplitPane.

Action

Gets the size of the divider.

Syntax

C#
protected Integer DividerSize { get; }
VB
'Declaration
Protected Read Property DividerSize As Integer

Access

Read only.

Examples

VB

Dim dividerSize As Integer = splitPane.DividerSize


DoubleClickCell Method (JTable)

Class

JTable.

Action

Double-clicks the specified cell in the table.

Syntax

C#
table.DoubleClickCell(row, column, [button, position, modifiers])
VB
table.DoubleClickCell(row, column, [button, position, modifiers])
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The double-clicked position within the table cell. If the position is omitted, the double-click is done in the center of the table cell. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the table cell. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

table.DoubleClickCell(1, "Street", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
table.DoubleClickCell(1, "Street")
table.DoubleClickCell(1, 5)


DoubleClickItem Method (AWTList)

Class

AWTList.

Action

Double-clicks a list item.

Syntax

C#
list.DoubleClickItem(item, [modifiers])
VB
list.DoubleClickItem(item, [modifiers])
Variable | Description
item | The name or index of the item to double-click. ItemIdentifier.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking an item. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

colorsList.DoubleClickItem("red", SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("red")
colorsList.DoubleClickItem(1, SilkTest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem(1)


DoubleClickItem Method (JList)

Class

JList.

Action

Double-clicks a list item.

Syntax

C#
list.DoubleClickItem(item, [button, position, modifiers])
VB
list.DoubleClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The double-clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the list item. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

colorsList.DoubleClickItem("green", MouseButton.Left, New Point(10, 10), Silktest.Ntf.ModifierKeys.Control)
colorsList.DoubleClickItem("green")
colorsList.DoubleClickItem(3)


DoubleClickItem Method (OracleFormsListBox)

Class

OracleFormsListBox.

Action

Double-clicks a list item.

Syntax

C#
oracleFormsListBox.DoubleClickItem(item, [button, position, modifiers])
VB
oracleFormsListBox.DoubleClickItem(item, [button, position, modifiers])
Variable | Description
item | The name or index of the list item. ItemIdentifier.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The double-clicked position within the list. (default: center of the list item). Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the list item. Default: Don't use modifier keys. ModifierKeys.


DoubleClickItem Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Double-clicks on a tree node specified by the item path.

Syntax

C#
oracleFormsTree.DoubleClickItem(item, [button, position, modifiers])
VB
oracleFormsTree.DoubleClickItem(item, [button, position, modifiers])
Variable | Description
item | The path of the item to double-click on. ItemPath.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to double-click. If the position is omitted, the double-click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the tree node. Default: Don't use modifier keys. ModifierKeys.


DoubleClickNode Method (JTree)

Class

JTree.

Action

Double-clicks on a tree node specified by the item path.

Syntax

C#
tree.DoubleClickNode(item, [button, position, modifiers])
VB
tree.DoubleClickNode(item, [button, position, modifiers])
Variable | Description
item | The item path to double-click on. ItemPath.
button | Optional: The button used for double-clicking. Valid values are: left (=1, the default value), right (=2), middle (=3). MouseButton.
position | Optional: The position to double-click. If the position is omitted, the double-click is done in the center of the tree node. Point.
modifiers | Optional: The modifier keys (Alt, Shift and Ctrl) to press while double-clicking the tree node. Default: Don't use modifier keys. ModifierKeys.

Examples

VB

tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4", MouseButton.Left, New Point(10, 10), SilkTest.Ntf.ModifierKeys.Control)
tree.DoubleClickNode("/level_1-1/level_2-1/level_3-4")


DropDownOpen Property (OracleFormsComboBox)

Class

OracleFormsComboBox.

Action

Gets whether the drop down is currently open.

Syntax

C#
protected Boolean DropDownOpen { get; }
VB
'Declaration
Protected Read Property DropDownOpen As Boolean

Access

Read only.


DropDownOpen Property (OracleFormsPopList)

Class

OracleFormsPopList.

Action

Gets whether the drop down is currently open.

Syntax

C#
protected Boolean DropDownOpen { get; }
VB
'Declaration
Protected Read Property DropDownOpen As Boolean

Access

Read only.


EchoChar Property (AWTTextField)

Class

AWTTextField.

Action

Gets the character that is displayed instead of the characters that are actually typed.

Syntax

C#
protected String EchoChar { get; }
VB
'Declaration
Protected Read Property EchoChar As String

Access

Read only.

Examples

VB

Dim echoChar As String = passwordTextField.EchoChar


EchoChar Property (JPasswordField)

Class

JPasswordField.

Action

Gets the character that is displayed instead of the characters that are actually typed.

Syntax

C#
protected String EchoChar { get; }
VB
'Declaration
Protected Read Property EchoChar As String

Access

Read only.

Examples

VB

Dim echoChar As String = passwordField.EchoChar


EchoCharSet Property (AWTTextField)

Class

AWTTextField.

Action

Gets whether EchoChar is set to a value other than 0.

Syntax

C#
protected Boolean EchoCharSet { get; }
VB
'Declaration
Protected Read Property EchoCharSet As Boolean

Access

Read only.

Examples

VB

Dim isEchoCharSet As Boolean = passwordTextField.EchoCharSet


EchoCharSet Property (JPasswordField)

Class

JPasswordField.

Action

Gets whether EchoChar is set to a value other than 0.

Syntax

C#
protected Boolean EchoCharSet { get; }
VB
'Declaration
Protected Read Property EchoCharSet As Boolean

Access

Read only.

Examples

VB

Dim isEchoCharSet As Boolean = passwordField.EchoCharSet


Editable Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets whether the text of the text component can be changed by the user.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = textComponent.Editable


Editable Property (JComboBox)

Class

JComboBox.

Action

Gets whether the combo box is editable.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = colorsComboBox.Editable


Editable Property (JTextComponent)

Class

JTextComponent.

Action

Gets whether the text of the text component can be changed by the user.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = textComponent.Editable


Editable Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets whether the text of the text field can be changed by the user.

Syntax

C#
protected Boolean Editable { get; }
VB
'Declaration
Protected Read Property Editable As Boolean

Access

Read only.


EditingColumn Property (JTable)

Class

JTable.

Action

Gets the name or index of the column that contains the cell currently being edited.

Syntax

C#
protected ItemIdentifier EditingColumn { get; }
VB
'Declaration
Protected Read Property EditingColumn As ItemIdentifier

Access

Read only.

Examples

VB

Dim editingColumn As String = table.EditingColumn


EditingRow Property (JTable)

Class

JTable.

Action

Gets the index of the row that contains the cell currently being edited. The value is zero-based.

Syntax

C#
protected Integer EditingRow { get; }
VB
'Declaration
Protected Read Property EditingRow As Integer

Access

Read only.

Examples

VB

Dim editingRow As Integer = table.EditingRow


Enabled Property (AWTComponent)

Class

AWTComponent.

Action

Gets whether the component is enabled.

Syntax

C#
protected Boolean Enabled { get; }
VB
'Declaration
Protected Read Property Enabled As Boolean

Access

Read only.

Examples

VB

Dim isEnabled As Boolean = component.Enabled


Enabled Property (AWTMenuItem)

Class

AWTMenuItem.

Action

Gets whether the menu item is enabled.

Syntax

C#
protected Boolean Enabled { get; }
VB
'Declaration
Protected Read Property Enabled As Boolean

Access

Read only.

Examples

VB

Dim isEnabled As Boolean = openFileMenuItem.Enabled


ExpandAll Method (JTree)

Class

JTree.

Action

Expands all tree nodes.

Syntax

C#
tree.ExpandAll()
VB
tree.ExpandAll()

Examples

VB

tree.ExpandAll()


ExpandAll Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Expands all tree nodes.

Syntax

C#
oracleFormsTree.ExpandAll()
VB
oracleFormsTree.ExpandAll()


Expand Method (JTree)

Class

JTree.

Action

Expands the tree node identified by the specified item path.

Syntax

C#
tree.Expand(item)
VB
tree.Expand(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.Expand("/level_1-1/level_2-1/level_3-4")


Expand Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Expands the tree node identified by the specified item path.

Syntax

C#
oracleFormsTree.Expand(item)
VB
oracleFormsTree.Expand(item)
Variable | Description
item | The item path. ItemPath.


FindCell Method (JTable)

Class

JTable.

Action

Returns the cell containing the specified text.

FindCell searches cells for text starting in the 1st row, 1st column. It searches each cell in the first row, then searches the second row, and so on, until it finds a match or it reaches the end of the table. You can use wildcards in your search text.

Syntax

C#
result = table.FindCell(text)
VB
result = table.FindCell(text)
Variable | Description
result | A list containing the row and column index of the cell (in this order). If the cell is not found the list is empty . List(Of Integer).
text | The text in a cell in the table. String.

Examples

VB

Dim findCell As IList = table.findCell("SilkTest")


FindItem Method (JList)

Class

JList.

Action

Returns the index of an item in the list.

Syntax

C#
result = list.FindItem(itemText)
VB
result = list.FindItem(itemText)
Variable | Description
result | The index of the first matching item or -1 (4Test: 0) if no item was not found. The value is zero-based. Integer.
itemText | The item to find. String.

Examples

VB

Dim index As Integer = ColorsList.FindItem("green")


Focusable Property (AWTComponent)

Class

AWTComponent.

Action

Gets whether the component can be focused.

Syntax

C#
protected Boolean Focusable { get; }
VB
'Declaration
Protected Read Property Focusable As Boolean

Access

Read only.

Examples

VB

Dim isFocusable As Boolean = component.Focusable


FocusedRow Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the index of the focused row, -1 (4Test: 0) is returned if no row is focused. The value is zero-based.

Syntax

C#
protected Integer FocusedRow { get; }
VB
'Declaration
Protected Read Property FocusedRow As Integer

Access

Read only.


Font Property (AWTComponent)

Class

AWTComponent.

Action

Gets the font of the component.

Syntax

C#
protected String Font { get; }
VB
'Declaration
Protected Read Property Font As String

Access

Read only.

Examples

VB

Dim font As String = component.Font


Foreground Property (AWTComponent)

Class

AWTComponent.

Action

Gets the foreground color of the component.

Syntax

C#
protected Color Foreground { get; }
VB
'Declaration
Protected Read Property Foreground As Color

Access

Read only.

Examples

VB

Dim foregroundColor As SilkTest.Ntf.Color = component.Foreground


FormattedText Property (JEditorPane)

Class

JEditorPane.

Action

Gets the text of the editor pane.

Syntax

C#
protected String FormattedText { get; }
VB
'Declaration
Protected Read Property FormattedText As String

Access

Read only.

Examples

VB

Dim formattedText As String = editorPane.FormattedText


GetCellText Method (JTable)

Class

JTable.

Action

Returns the cell text.

Syntax

C#
cellText = table.GetCellText(row, column)
VB
cellText = table.GetCellText(row, column)
Variable | Description
cellText | The cell text. String.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim cellText As String = table.GetCellText(1, "Product")
cellText = table.GetCellText(1, 3)


GetCellText Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns the cell text.

Only the values that have been visible to the user at least once are available.

Syntax

C#
cellText = oracleFormsListView.GetCellText(row, column)
VB
cellText = oracleFormsListView.GetCellText(row, column)
Variable | Description
cellText | String.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.


GetCellValue Method (JTable)

Class

JTable.

Action

Returns the cell value.

Use "GetCellText" to retrieve the displayed cell text.

Syntax

C#
cellValue = table.GetCellValue(row, column)
VB
cellValue = table.GetCellValue(row, column)
Variable | Description
cellValue | The value object of the cell. If the type of the table cell is not recognized, the object String value is returned. If the cell is empty a null (Nothing in Visual Basic) object is returned. Object.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim cellValue As Object = table.GetCellValue(1, "SilkTest")
cellValue = Table.GetCellValue(1, 3)


GetColumnName Method (JTable)

Class

JTable.

Action

Returns the name of the column at the specified index.

Syntax

C#
columnName = table.GetColumnName(column)
VB
columnName = table.GetColumnName(column)
Variable | Description
columnName | The name of the column. String.
column | The index of the column. The value is zero-based. Integer.

Examples

VB

Dim columnName As String = table.GetColumnName(5)


GetColumnName Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns the name of the column at the specified index.

Syntax

C#
columnName = oracleFormsListView.GetColumnName(index)
VB
columnName = oracleFormsListView.GetColumnName(index)
Variable | Description
columnName | String.
index | The index of the column. The value is zero-based. Integer.


GetColumnWidth Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns the width of the specified column.

Syntax

C#
columnWidth = oracleFormsListView.GetColumnWidth(column)
VB
columnWidth = oracleFormsListView.GetColumnWidth(column)
Variable | Description
columnWidth | Integer.
column | The name or index of the column. ItemIdentifier.


GetHorizontalBar Method (IAWTScrollable)

Class

IAWTScrollable.

Action

Gets the horizontal scroll bar.

Syntax

C#
horizontalBar = iAWTScrollable.GetHorizontalBar()
VB
horizontalBar = iAWTScrollable.GetHorizontalBar()
Variable | Description
horizontalBar | The horizontal scroll bar control. AWTHorizontalScrollbar.


GetHorizontalBar Method (JScrollPane)

Class

JScrollPane.

Action

Gets the horizontal scroll bar.

Syntax

C#
horizontalBar = scrollPane.GetHorizontalBar()
VB
horizontalBar = scrollPane.GetHorizontalBar()
Variable | Description
horizontalBar | JHorizontalScrollBar.


GetHorizontalScrollbar Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the horizontal scroll bar.

Syntax

C#
horizontalScrollbar = iOracleFormsScrollable.GetHorizontalScrollbar()
VB
horizontalScrollbar = iOracleFormsScrollable.GetHorizontalScrollbar()
Variable | Description
horizontalScrollbar | The horizontal scroll bar control. OracleFormsHorizontalScrollbar.


GetItem Method (AWTChoice)

Class

AWTChoice.

Action

Returns the item at the specified index.

Syntax

C#
item = choice.GetItem(index)
VB
item = choice.GetItem(index)
Variable | Description
item | The name of the item. String.
index | The index of the item. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsChoice.GetItem(1)


GetItem Method (AWTList)

Class

AWTList.

Action

Returns the list item at the specified index.

Syntax

C#
item = list.GetItem(index)
VB
item = list.GetItem(index)
Variable | Description
item | The name of the list item. String.
index | The index of the list item. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsList.GetItem(1)


GetItem Method (JComboBox)

Class

JComboBox.

Action

Returns the item at the specified index.

Syntax

C#
item = comboBox.GetItem(index)
VB
item = comboBox.GetItem(index)
Variable | Description
item | The name of the item. String.
index | The item index. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsComboBox.GetItem(1)


GetItem Method (JList)

Class

JList.

Action

Returns the item at the specified index.

Syntax

C#
item = list.GetItem(index)
VB
item = list.GetItem(index)
Variable | Description
item | The name of the item. String.
index | The item index. The value is zero-based. Integer.

Examples

VB

Dim item As String = colorsList.GetItem(2)


GetItemRect Method (JList)

Class

JList.

Action

Returns the size and position of the item relative to the list.

Syntax

C#
itemRect = list.GetItemRect(item)
VB
itemRect = list.GetItemRect(item)
Variable | Description
itemRect | The rectangle returned includes the item's X and Y position relative to the list, its width, and its height. Rectangle.
item | The name or index of the item. ItemIdentifier.

Examples

VB

Dim rect As Rectangle = ColorsList.GetItemRect("green")
rect = ColorsList.GetItemRect(2)


GetItemRect Method (JTree)

Class

JTree.

Action

Returns the size and position of the item relative to the tree.

Syntax

C#
itemRect = tree.GetItemRect(item)
VB
itemRect = tree.GetItemRect(item)
Variable | Description
itemRect | The rectangle returned includes the item's X and Y position relative to the tree, its width, and its height. Rectangle.
item | The item path. ItemPath.

Examples

VB

Dim rect As Rectangle = tree.GetItemRect("/level_1-1/level_2-1/level_3-4")


GetItemText Method (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Returns the item at the specified index.

Syntax

C#
itemText = oracleFormsChoice.GetItemText(index)
VB
itemText = oracleFormsChoice.GetItemText(index)
Variable | Description
itemText | The name of the item. String.
index | The index of the item. The value is zero-based. Integer.


GetItemValue Method (JList)

Class

JList.

Action

Returns the value object of the list item.

Syntax

C#
itemValue = list.GetItemValue(item)
VB
itemValue = list.GetItemValue(item)
Variable | Description
itemValue | The value object of the list item. Object.
item | The name or index of the list item. ItemIdentifier.

Examples

VB

Dim item As Object = colorsList.GetItemValue("green")
item = colorsList.GetItemValue(2)


GetTabIndex Method (JTabbedPane)

Class

JTabbedPane.

Action

Returns the tab index.

Syntax

C#
tabIndex = tabbedPane.GetTabIndex(title)
VB
tabIndex = tabbedPane.GetTabIndex(title)
Variable | Description
tabIndex | The tab index. The value is zero-based. Integer.
title | The title of the tab. String.

Examples

VB

Dim tabIndex As Integer = tabbedPane.GetTabIndex("Alignment")


GetTabIndex Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Returns the tab index.

Syntax

C#
tabIndex = oracleFormsTabBar.GetTabIndex(title)
VB
tabIndex = oracleFormsTabBar.GetTabIndex(title)
Variable | Description
tabIndex | The tab index. The value is zero-based. Integer.
title | The title of the tab. String.


GetTabTitle Method (JTabbedPane)

Class

JTabbedPane.

Action

Returns the tab title.

Syntax

C#
tabTitle = tabbedPane.GetTabTitle(index)
VB
tabTitle = tabbedPane.GetTabTitle(index)
Variable | Description
tabTitle | The title of the tab. String.
index | The index of the tab. The value is zero-based. Integer.

Examples

VB

Dim tabTitle As String = tabbedPane.GetTabTitle(1)


GetTabTitle Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Returns the tab title.

Syntax

C#
tabTitle = oracleFormsTabBar.GetTabTitle(index)
VB
tabTitle = oracleFormsTabBar.GetTabTitle(index)
Variable | Description
tabTitle | The title of the tab. String.
index | The index of the tab. The value is zero-based. Integer.


GetVerticalBar Method (IAWTScrollable)

Class

IAWTScrollable.

Action

Gets the vertical scroll bar.

Syntax

C#
verticalBar = iAWTScrollable.GetVerticalBar()
VB
verticalBar = iAWTScrollable.GetVerticalBar()
Variable | Description
verticalBar | The vertical scroll bar control. AWTVerticalScrollbar.


GetVerticalBar Method (JScrollPane)

Class

JScrollPane.

Action

Gets the vertical scroll bar.

Syntax

C#
verticalBar = scrollPane.GetVerticalBar()
VB
verticalBar = scrollPane.GetVerticalBar()
Variable | Description
verticalBar | JVerticalScrollBar.


GetVerticalScrollbar Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the vertical scroll bar.

Syntax

C#
verticalScrollbar = iOracleFormsScrollable.GetVerticalScrollbar()
VB
verticalScrollbar = iOracleFormsScrollable.GetVerticalScrollbar()
Variable | Description
verticalScrollbar | The vertical scroll bar control. OracleFormsVerticalScrollbar.


Height Property (AWTComponent)

Class

AWTComponent.

Action

Gets the current height of the component.

Syntax

C#
protected Integer Height { get; }
VB
'Declaration
Protected Read Property Height As Integer

Access

Read only.

Examples

VB

Dim height As Integer = component.Height


HorizontalScrollbarPage Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified number of pages.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarPage(pageCount)
VB
iOracleFormsScrollable.HorizontalScrollbarPage(pageCount)
Variable | Description
pageCount | The number of pages to increment. Integer.


HorizontalScrollbarPageSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the block increment value of the scroll bar.

Syntax

C#
protected Integer HorizontalScrollbarPageSize { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarPageSize As Integer

Access

Read only.


HorizontalScrollbarPosition Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the current position of the scroll bar.

Syntax

C#
protected Integer HorizontalScrollbarPosition { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarPosition As Integer

Access

Read only.


HorizontalScrollbarRange Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the range value of the scroll bar.

Syntax

C#
protected Range HorizontalScrollbarRange { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarRange As Range

Access

Read only.


HorizontalScrollbarScrollToMax Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the maximum position of the scroller.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarScrollToMax()
VB
iOracleFormsScrollable.HorizontalScrollbarScrollToMax()


HorizontalScrollbarScrollTo Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the specified position.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarScrollTo(position)
VB
iOracleFormsScrollable.HorizontalScrollbarScrollTo(position)
Variable | Description
position | The position to scroll to. Integer.


HorizontalScrollbarScrollToMin Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the minimum position of the scroller.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarScrollToMin()
VB
iOracleFormsScrollable.HorizontalScrollbarScrollToMin()


HorizontalScrollbarStep Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified steps.

Syntax

C#
iOracleFormsScrollable.HorizontalScrollbarStep(stepCount)
VB
iOracleFormsScrollable.HorizontalScrollbarStep(stepCount)
Variable | Description
stepCount | The number of steps to increment. Integer.


HorizontalScrollbarStepSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the unit increment value of the scroll bar.

Syntax

C#
protected Integer HorizontalScrollbarStepSize { get; }
VB
'Declaration
Protected Read Property HorizontalScrollbarStepSize As Integer

Access

Read only.


Indeterminate Property (JProgressBar)

Class

JProgressBar.

Action

Gets whether the progress bar is indeterminate.

Syntax

C#
protected Boolean Indeterminate { get; }
VB
'Declaration
Protected Read Property Indeterminate As Boolean

Access

Read only.

Examples

VB

Dim isIndeterminate As Boolean = progressBar.Indeterminate


Insert Method (AWTTextArea)

Class

AWTTextArea.

Action

Inserts the specified text at the specified position.

Syntax

C#
textArea.Insert(text, pos)
VB
textArea.Insert(text, pos)
Variable | Description
text | The text to insert. String.
pos | The position at which to insert. The value is zero-based. Integer.

Examples

VB

colorsTextArea.Insert("yellow", 16)


Insert Method (JTextArea)

Class

JTextArea.

Action

Inserts the specified text at the specified position.

Syntax

C#
textArea.Insert(text, pos)
VB
textArea.Insert(text, pos)
Variable | Description
text | The text to insert. String.
pos | The position at which to insert text. The value is zero-based. Integer.

Examples

VB

textArea.Insert("magenta", 5)


Inverted Property (JSlider)

Class

JSlider.

Action

Gets the value is true if the value-range shown for the slider is reversed.

Syntax

C#
protected Boolean Inverted { get; }
VB
'Declaration
Protected Read Property Inverted As Boolean

Access

Read only.

Examples

VB

Dim isInverted As Boolean = verticalSlider.Inverted


IsCellEditable Method (JTable)

Class

JTable.

Action

Returns true if the specified cell is editable.

Syntax

C#
cellEditable = table.IsCellEditable(row, column)
VB
cellEditable = table.IsCellEditable(row, column)
Variable | Description
cellEditable | True if the cell is editable; otherwise false. Boolean.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim isCellEditable As Boolean = table.IsCellEditable(1, "Street")
isCellEditable = table.IsCellEditable(1, 4)


IsCellSelected Method (JTable)

Class

JTable.

Action

Returns true if the specified cell is selected; otherwise false.

Syntax

C#
cellSelected = table.IsCellSelected(row, column)
VB
cellSelected = table.IsCellSelected(row, column)
Variable | Description
cellSelected | True if the cell is selected; otherwise false. Boolean.
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim isCellSelected As Boolean = table.IsCellSelected(1, "Street")
isCellSelected = Table.IsCellSelected(1, 4)


IsChecked Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

a value that indicates whether the MenuItem is checked.

Syntax

C#
checked = oracleFormsMenu.IsChecked(item)
VB
checked = oracleFormsMenu.IsChecked(item)
Variable | Description
checked | Boolean.
item | The menu item to check. Can be either a top-level menu item or a menu item that can be found in a submenu. For checking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


IsColumnSelected Method (JTable)

Class

JTable.

Action

Returns true if the specified column is selected.

Syntax

C#
columnSelected = table.IsColumnSelected(column)
VB
columnSelected = table.IsColumnSelected(column)
Variable | Description
columnSelected | True if the column is selected; otherwise false. Boolean.
column | The name or index of the column. ItemIdentifier.

Examples

VB

Dim isColumnSelected As Boolean = table.IsColumnSelected("Product Name")
isColumnSelected = table.IsColumnSelected(3)


IsEditable Property (JTree)

Class

JTree.

Action

Gets whether the tree is editable.

Syntax

C#
protected Boolean IsEditable { get; }
VB
'Declaration
Protected Read Property IsEditable As Boolean

Access

Read only.

Examples

VB

Dim isEditable As Boolean = tree.IsEditable


IsEditing Property (JTree)

Class

JTree.

Action

Gets whether the tree is being edited.

Syntax

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

Access

Read only.

Examples

VB

Dim isEditing As Boolean = tree.IsEditing


IsExpanded Method (JTree)

Class

JTree.

Action

Returns 'true' if the specified item path is expanded.

Syntax

C#
expanded = tree.IsExpanded(item)
VB
expanded = tree.IsExpanded(item)
Variable | Description
expanded | True if the specified item path is expanded; otherwise false. Boolean.
item | The item path. ItemPath.

Examples

VB

Dim isExpanded As Boolean = tree.IsExpanded("/level_1-1/level_2-1/level_3-4")


IsExpanded Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Returns 'true' if the specified item path is expanded.

Syntax

C#
expanded = oracleFormsTree.IsExpanded(item)
VB
expanded = oracleFormsTree.IsExpanded(item)
Variable | Description
expanded | True if the specified item path is expanded; otherwise false. Boolean.
item | The item path. ItemPath.


IsPassword Property (AWTTextField)

Class

AWTTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


IsPassword Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


IsPathEditable Method (JTree)

Class

JTree.

Action

whether an item path is editable.

Syntax

C#
pathEditable = tree.IsPathEditable(item)
VB
pathEditable = tree.IsPathEditable(item)
Variable | Description
pathEditable | True if the specified item path is editable; otherwise false. Boolean.
item | The item path. ItemPath.

Examples

VB

Dim isPathEditable As Boolean = tree.IsPathEditable("/level_1-1/level_2-1/level_3-4")


IsRowSelected Method (JTable)

Class

JTable.

Action

Returns true if the specified row is selected.

Syntax

C#
rowSelected = table.IsRowSelected(row)
VB
rowSelected = table.IsRowSelected(row)
Variable | Description
rowSelected | True if the row is selected; otherwise false. Boolean.
row | The index of the row. The value is zero-based. Integer.

Examples

VB

Dim isRowSelected As Boolean = table.IsRowSelected(1)


IsRowVisible Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Returns whether the specified row is visible.

Syntax

C#
rowVisible = oracleFormsListView.IsRowVisible(index)
VB
rowVisible = oracleFormsListView.IsRowVisible(index)
Variable | Description
rowVisible | Boolean.
index | The index of the row. The value is zero-based. Integer.


IsTabEnabled Method (JTabbedPane)

Class

JTabbedPane.

Action

Returns whether or not the tab is currently enabled.

Syntax

C#
tabEnabled = tabbedPane.IsTabEnabled(tab)
VB
tabEnabled = tabbedPane.IsTabEnabled(tab)
Variable | Description
tabEnabled | True if the tab is enabled; otherwise false. Boolean.
tab | The name or index of the tab. ItemIdentifier.

Examples

VB

Dim isTabEnabled As Boolean = tabbedPane.IsTabEnabled("Alignment")
isTabEnabled = tabbedPane.IsTabEnabled(1)


IsTabEnabled Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Returns whether or not the tab is currently enabled.

Syntax

C#
tabEnabled = oracleFormsTabBar.IsTabEnabled(tab)
VB
tabEnabled = oracleFormsTabBar.IsTabEnabled(tab)
Variable | Description
tabEnabled | True if the tab is enabled; otherwise false. Boolean.
tab | The name or index of the tab. ItemIdentifier.


IsVisible Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Returns 'true' if the specified item path is visible.

Syntax

C#
visible = oracleFormsTree.IsVisible(item)
VB
visible = oracleFormsTree.IsVisible(item)
Variable | Description
visible | True if the specified item path is visible; otherwise false. Boolean.
item | The item path. ItemPath.


ItemCount Property (AWTChoice)

Class

AWTChoice.

Action

Gets the number of items in the combo box.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsChoice.ItemCount


ItemCount Property (AWTList)

Class

AWTList.

Action

Gets the number of list items.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsList.ItemCount


ItemCount Property (JComboBox)

Class

JComboBox.

Action

Gets the number of items in the list.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsComboBox.ItemCount


ItemCount Property (JList)

Class

JList.

Action

Gets the number of list items.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.

Examples

VB

Dim itemCount As Integer = colorsList.ItemCount


ItemCount Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the number of items in the choice.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (AWTChoice)

Class

AWTChoice.

Action

Gets the list of combo box items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsChoice.Items


Items Property (AWTList)

Class

AWTList.

Action

Gets a list of items in the list.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsList.Items


Items Property (JComboBox)

Class

JComboBox.

Action

Gets the list of all contained items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsComboBox.Items


Items Property (JList)

Class

JList.

Action

Gets the list of all contained list items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim items As IList = colorsList.Items


Items Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the list of choice items.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


LogicalStyle Property (JTextPane)

Class

JTextPane.

Action

Gets the logical style assigned to the current paragraph in effect at the location of the caret.

Syntax

C#
protected String LogicalStyle { get; }
VB
'Declaration
Protected Read Property LogicalStyle As String

Access

Read only.

Examples

VB

Dim logicalStyle As String = textPane.LogicalStyle


MaximumDividerLocation Property (JSplitPane)

Class

JSplitPane.

Action

Gets the maximum location of the divider.

Syntax

C#
protected Integer MaximumDividerLocation { get; }
VB
'Declaration
Protected Read Property MaximumDividerLocation As Integer

Access

Read only.

Examples

VB

Dim maximumDividerLocation As Integer = splitPane.MaximumDividerLocation


Maximum Property (JProgressBar)

Class

JProgressBar.

Action

Gets the progress bar's maximum value.

Syntax

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

Access

Read only.

Examples

VB

Dim maximum As Integer = progressBar.Maximum


Maximum Property (JSlider)

Class

JSlider.

Action

Gets the maximum value supported by the slider.

Syntax

C#
protected Integer Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Integer

Access

Read only.

Examples

VB

Dim maximum As Integer = verticalSlider.Maximum


MinimumDividerLocation Property (JSplitPane)

Class

JSplitPane.

Action

Gets the minimum location of the divider.

Syntax

C#
protected Integer MinimumDividerLocation { get; }
VB
'Declaration
Protected Read Property MinimumDividerLocation As Integer

Access

Read only.

Examples

VB

Dim minimumDividerLocation As Integer = splitPane.MinimumDividerLocation


Minimum Property (JProgressBar)

Class

JProgressBar.

Action

Gets the progress bar's minimum value.

Syntax

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

Access

Read only.

Examples

VB

Dim minimum As Integer = progressBar.Minimum


Minimum Property (JSlider)

Class

JSlider.

Action

Gets the minimum value supported by the slider.

Syntax

C#
protected Integer Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Integer

Access

Read only.

Examples

VB

Dim minimum As Integer = verticalSlider.Minimum


Modal Property (AWTDialog)

Class

AWTDialog.

Action

Gets whether the dialog is modal.

Syntax

C#
protected Boolean Modal { get; }
VB
'Declaration
Protected Read Property Modal As Boolean

Access

Read only.

Examples

VB

Dim isModal As Boolean = optionsDialog.Modal


MoveColumn Method (JTable)

Class

JTable.

Action

Moves the column to the position of the target column.

Syntax

C#
table.MoveColumn(column, targetColumn)
VB
table.MoveColumn(column, targetColumn)
Variable | Description
column | The name or index of the column to move. ItemIdentifier.
targetColumn | The name or index of the target column. ItemIdentifier.

Examples

VB

table.MoveColumn(5, 3)


MultipleMode Property (AWTList)

Class

AWTList.

Action

Gets whether the list allows multiple selection.

Syntax

C#
protected Boolean MultipleMode { get; }
VB
'Declaration
Protected Read Property MultipleMode As Boolean

Access

Read only.

Examples

VB

Dim isMultipleMode As Boolean = colorsList.MultipleMode


Name Property (AWTComponent)

Class

AWTComponent.

Action

Gets the name of the component.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.

Examples

VB

Dim name As String = component.Name


Next Method (JSpinner)

Class

JSpinner.

Action

Sets the spinner to the object in the sequence that comes after the object returned by the Value property.

Syntax

C#
spinner.Next()
VB
spinner.Next()

Examples

VB

monthSpinner.Next()


OpenContextMenu Method (AWTComponent)

Class

AWTComponent.

Action

Opens a context menu at the specified position.

Syntax

C#
component.OpenContextMenu([pos])
VB
component.OpenContextMenu([pos])
Variable | Description
pos | Optional: The coordinates to open the context menu relative to the control on which this function is called. Point.


Page Method (IAWTScroller)

Class

IAWTScroller.

Action

Increments the current scroll position by specified number of pages.

Syntax

C#
iAWTScroller.Page(pageCount)
VB
iAWTScroller.Page(pageCount)
Variable | Description
pageCount | The number of pages to increment. Integer.

Examples

VB

scrollBar.Page(1)


Page Property (JEditorPane)

Class

JEditorPane.

Action

Gets the current URL being displayed.

Syntax

C#
protected String Page { get; }
VB
'Declaration
Protected Read Property Page As String

Access

Read only.

Examples

VB

Dim page As String = editorPane.Page


PageSize Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the block increment value of the scroll bar.

Syntax

C#
protected Integer PageSize { get; }
VB
'Declaration
Protected Read Property PageSize As Integer

Access

Read only.

Examples

VB

Dim pageSize As Integer = scrollBar.PageSize


ParagraphAttributes Property (JTextPane)

Class

JTextPane.

Action

Gets the attributes of the current paragraph in effect at the location of the caret.

Syntax

C#
protected List(Of String) ParagraphAttributes { get; }
VB
'Declaration
Protected Read Property ParagraphAttributes As List(Of String)

Access

Read only.

Examples

VB

Dim paragraphAttributes As IList = TextPane.ParagraphAttributes


PasswordChar Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the character that is displayed instead of the characters that are actually typed, if the text field is a password text field.

Syntax

C#
protected String PasswordChar { get; }
VB
'Declaration
Protected Read Property PasswordChar As String

Access

Read only.


Position Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the current position of the scroll bar.

Syntax

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

Access

Read only.

Examples

VB

Dim position As Integer = scrollBar.Position


Position Property (IBaseScrollable)

Class

IBaseScrollable.

Action

Gets the current scroll position of the scrollable component.

Syntax

C#
protected Point Position { get; }
VB
'Declaration
Protected Read Property Position As Point

Access

Read only.


Position Property (JSlider)

Class

JSlider.

Action

Gets the position of the slider.

Syntax

C#
protected Integer Position { get; }
VB
'Declaration
Protected Read Property Position As Integer

Access

Read only.

Examples

VB

Dim position As Integer = verticalSlider.Position


Previous Method (JSpinner)

Class

JSpinner.

Action

Sets the spinner to the object in the sequence that comes before the object returned by the Value property.

Syntax

C#
spinner.Previous()
VB
spinner.Previous()

Examples

VB

monthSpinner.Previous()


ProgressString Property (JProgressBar)

Class

JProgressBar.

Action

Gets the string representation of the current progress.

Syntax

C#
protected String ProgressString { get; }
VB
'Declaration
Protected Read Property ProgressString As String

Access

Read only.

Examples

VB

Dim progress As String = progressBar.ProgressString


Range Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the range value of the scroll bar.

Syntax

C#
protected Range Range { get; }
VB
'Declaration
Protected Read Property Range As Range

Access

Read only.

Examples

VB

Dim range As Integer = scrollBar.Range


ReplaceRange Method (AWTTextArea)

Class

AWTTextArea.

Action

Replaces text between the specified start and end positions with the specified replacement text.

Syntax

C#
textArea.ReplaceRange(text, start, end)
VB
textArea.ReplaceRange(text, start, end)
Variable | Description
text | The text to use as the replacement. String.
start | The start position. The value is zero-based. Integer.
end | The end position. The value is zero-based. Integer.

Examples

VB

colorsTextArea.ReplaceRange("blue", 31, 37)


ReplaceRange Method (JTextArea)

Class

JTextArea.

Action

Replaces text within the specified range with the new text specified.

Syntax

C#
textArea.ReplaceRange(text, start, end)
VB
textArea.ReplaceRange(text, start, end)
Variable | Description
text | The text to use as the replacement. String.
start | The start position. The value is zero-based. Integer.
end | The end position. The value is zero-based. Integer.

Examples

VB

textArea.ReplaceRange("yellow", 5, 9)


Resizable Property (AWTDialog)

Class

AWTDialog.

Action

Gets whether the dialog is resizable by the user.

Syntax

C#
protected Boolean Resizable { get; }
VB
'Declaration
Protected Read Property Resizable As Boolean

Access

Read only.

Examples

VB

Dim isResizable As Boolean = optionsDialog.Resizable


Resizable Property (AWTFrame)

Class

AWTFrame.

Action

Gets whether the frame is resizable by the user.

Syntax

C#
protected Boolean Resizable { get; }
VB
'Declaration
Protected Read Property Resizable As Boolean

Access

Read only.

Examples

VB

Dim isResizable As Boolean = frameWindow.Resizable


ResizeColumn Method (JTable)

Class

JTable.

Action

Resizes the specified column.

Syntax

C#
table.ResizeColumn(column, width)
VB
table.ResizeColumn(column, width)
Variable | Description
column | The name or index of the column to resize. ItemIdentifier.
width | The new width for the column. Integer.

Examples

VB

table.ResizeColumn("Street", 150)
table.ResizeColumn(3, 150)


RowCount Property (JTable)

Class

JTable.

Action

Gets the number of rows that can be shown in the table.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.

Examples

VB

Dim rowCount As Integer = table.RowCount


RowCount Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the number of rows in the listview.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


Rows Property (AWTTextArea)

Class

AWTTextArea.

Action

Gets the number of rows in the text area. The value is zero-based.

Syntax

C#
protected Integer Rows { get; }
VB
'Declaration
Protected Read Property Rows As Integer

Access

Read only.

Examples

VB

Dim rows As Integer = colorsTextArea.Rows


Rows Property (JTextArea)

Class

JTextArea.

Action

Gets the number of rows in the text area. The value is zero-based.

Syntax

C#
protected Integer Rows { get; }
VB
'Declaration
Protected Read Property Rows As Integer

Access

Read only.

Examples

VB

Dim rows As Integer = textArea.Rows


ScrollCellIntoView Method (JTable)

Class

JTable.

Action

Scrolls the specified cell into view.

Syntax

C#
table.ScrollCellIntoView(row, column)
VB
table.ScrollCellIntoView(row, column)
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.

Examples

VB

table.ScrollCellIntoView(25, "Street")
table.ScrollCellIntoView(25, 4)


ScrollIntoView Method (AWTComponent)

Class

AWTComponent.

Action

Scrolls the component into view if it is hidden and a child of a scroll pane.

Syntax

C#
component.ScrollIntoView()
VB
component.ScrollIntoView()

Examples

VB

component.ScrollIntoView()


ScrollItemIntoView Method (JList)

Class

JList.

Action

Scrolls an item into view.

Syntax

C#
list.ScrollItemIntoView(item)
VB
list.ScrollItemIntoView(item)
Variable | Description
item | The name or index of the item to scroll into view. ItemIdentifier.

Examples

VB

colorsList.ScrollItemIntoView("orange")
colorsList.ScrollItemIntoView(10)


ScrollItemIntoView Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Scrolls the given item path to a visible position.

Syntax

C#
oracleFormsTree.ScrollItemIntoView(item)
VB
oracleFormsTree.ScrollItemIntoView(item)
Variable | Description
item | The item path. ItemPath.


ScrollPathIntoView Method (JTree)

Class

JTree.

Action

Scrolls the given item path to a visible position.

Syntax

C#
tree.ScrollPathIntoView(item)
VB
tree.ScrollPathIntoView(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.ScrollPathIntoView("/level_1-1/level_2-1/level_3-4")


ScrollToMax Method (IOracleFormsScroller)

Class

IOracleFormsScroller.

Action

Scrolls to the maximum position of the scroller.

Syntax

C#
iOracleFormsScroller.ScrollToMax()
VB
iOracleFormsScroller.ScrollToMax()


ScrollTo Method (IAWTScroller)

Class

IAWTScroller.

Action

Scrolls to the specified position.

Syntax

C#
iAWTScroller.ScrollTo(position)
VB
iAWTScroller.ScrollTo(position)
Variable | Description
position | The position to scroll to. Integer.

Examples

VB

scrollBar.ScrollTo(2)


ScrollTo Method (IBaseScrollable)

Class

IBaseScrollable.

Action

Scrolls to the specified position.

Syntax

C#
iBaseScrollable.ScrollTo(position)
VB
iBaseScrollable.ScrollTo(position)
Variable | Description
position | The position to scroll to. Point.


ScrollToMin Method (IOracleFormsScroller)

Class

IOracleFormsScroller.

Action

Scrolls to the minimum position of the scroller.

Syntax

C#
iOracleFormsScroller.ScrollToMin()
VB
iOracleFormsScroller.ScrollToMin()


ScrollToRow Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Scrolls to the specified row.

Syntax

C#
oracleFormsListView.ScrollToRow(index)
VB
oracleFormsListView.ScrollToRow(index)
Variable | Description
index | The row to scroll to. The value is zero-based. Integer.


SelectAll Method (AWTList)

Class

AWTList.

Action

Selects all items in the list.

Syntax

C#
list.SelectAll()
VB
list.SelectAll()

Examples

VB

colorsList.SelectAll()


SelectAll Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Selects all the text in the text component.

Syntax

C#
textComponent.SelectAll()
VB
textComponent.SelectAll()

Examples

VB

textComponent.SelectAll()


SelectAll Method (JList)

Class

JList.

Action

Selects all list elements.

Syntax

C#
list.SelectAll()
VB
list.SelectAll()

Examples

VB

colorsList.SelectAll()


SelectAll Method (JTable)

Class

JTable.

Action

Selects all rows, columns, and cells in the table.

Syntax

C#
table.SelectAll()
VB
table.SelectAll()

Examples

VB

table.SelectAll()


SelectAll Method (JTextComponent)

Class

JTextComponent.

Action

Selects all the content in the text component.

Syntax

C#
textComponent.SelectAll()
VB
textComponent.SelectAll()

Examples

VB

textComponent.SelectAll()


SelectAll Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Selects all the text in the text field.

Syntax

C#
oracleFormsTextField.SelectAll()
VB
oracleFormsTextField.SelectAll()


SelectColumn Method (JTable)

Class

JTable.

Action

Selects the specified column.

Syntax

C#
table.SelectColumn(column, [clearSelection])
VB
table.SelectColumn(column, [clearSelection])
Variable | Description
column | The name or index of the column to select. ItemIdentifier.
clearSelection | Optional: Whether to clear the previous selection. The default is true. Boolean.

Examples

VB

table.SelectColumn("Street", False)
table.SelectColumn(5, False)


SelectedColumn Property (JTable)

Class

JTable.

Action

Gets the index or name of the selected column. -1 (4Test: 0) is returned if no column is selected.

If multiple column selection is allowed, returns the index or name of the first selected column.

Syntax

C#
protected ItemIdentifier SelectedColumn { get; }
VB
'Declaration
Protected Read Property SelectedColumn As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedColumn As String = table.SelectedColumn


SelectedColumns Property (JTable)

Class

JTable.

Action

Gets the list of indices of all selected columns.

Syntax

C#
protected List(Of ItemIdentifier) SelectedColumns { get; }
VB
'Declaration
Protected Read Property SelectedColumns As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim selectedColumns As IList = table.SelectedColumns


SelectedIndex Property (AWTChoice)

Class

AWTChoice.

Action

Gets the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsChoice.SelectedIndex


SelectedIndex Property (AWTList)

Class

AWTList.

Action

Gets the index of the currently selected item. -1 (4Test: 0) is returned, if no item is currently selected. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex Property (JComboBox)

Class

JComboBox.

Action

Gets the index of the currently selected item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsComboBox.SelectedIndex


SelectedIndex Property (JList)

Class

JList.

Action

Gets the index of the selected list item. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.

Examples

VB

Dim selectedIndex As Integer = colorsList.SelectedIndex


SelectedIndex Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the index of the selected item. -1 (4Test: 0) is returned, if no item is currently selected. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedIndices Property (AWTList)

Class

AWTList.

Action

Gets the indices of the currently selected items. An empty list is returned, if no items are currently selected.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.

Examples

VB

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedIndices Property (JList)

Class

JList.

Action

Gets the list of indices of the selected list items.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.

Examples

VB

Dim selectedIndices As IList = colorsList.SelectedIndices


SelectedItemPath Property (JTree)

Class

JTree.

Action

Gets the selected item path.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.

Examples

VB

Dim selectedItemPath As String = tree.SelectedItemPath


SelectedItemPath Property (OracleFormsTree)

Class

OracleFormsTree.

Action

Gets the list of selected item path.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.


SelectedItemPaths Property (JTree)

Class

JTree.

Action

Gets the list of selected item paths.

Syntax

C#
protected List(Of ItemPath) SelectedItemPaths { get; }
VB
'Declaration
Protected Read Property SelectedItemPaths As List(Of ItemPath)

Access

Read only.

Examples

VB

Dim selectedItemPaths As IList = tree.SelectedItemPaths


SelectedItem Property (AWTChoice)

Class

AWTChoice.

Action

Gets the selected item. NULL is returned, if no item is currently selected.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsChoice.SelectedItem


SelectedItem Property (AWTList)

Class

AWTList.

Action

Gets the currently selected list item. NULL is returned, if no item is currently selected.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem Property (JComboBox)

Class

JComboBox.

Action

Gets the current selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsComboBox.SelectedItem


SelectedItem Property (JList)

Class

JList.

Action

Gets the name or index of the selected list item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedItem As String = colorsList.SelectedItem


SelectedItem Property (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Gets the selected item.

Syntax

C#
protected ItemIdentifier SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As ItemIdentifier

Access

Read only.


SelectedItems Property (AWTList)

Class

AWTList.

Action

Gets the currently selected list items. An empty list is returned, if no items are currently selected.

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItems Property (JList)

Class

JList.

Action

Gets the list of names or indices of the selected list items.

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

Access

Read only.

Examples

VB

Dim selectedItems As IList = colorsList.SelectedItems


SelectedItemText Property (JTree)

Class

JTree.

Action

Gets the selected item text.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.

Examples

VB

Dim selectedItemText As String = tree.SelectedItemText


SelectedItemText Property (OracleFormsTree)

Class

OracleFormsTree.

Action

Gets the selected item text.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


Selected Property (JToggleButton)

Class

JToggleButton.

Action

Gets whether the toggle button is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.

Examples

VB

Dim isSelected As Boolean = toggleButton.Selected


SelectedRow Property (JTable)

Class

JTable.

Action

Gets the index of the selected row, -1 (4Test: 0) is returned if no row is selected. The value is zero-based.

If multiple row selection is allowed, returns the index of the first selected row.

Syntax

C#
protected Integer SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As Integer

Access

Read only.

Examples

VB

Dim selectedRow As Integer = table.SelectedRow


SelectedRow Property (OracleFormsListView)

Class

OracleFormsListView.

Action

Gets the index of the selected row, -1 (4Test: 0) is returned if no row is selected. The value is zero-based.

Syntax

C#
protected Integer SelectedRow { get; }
VB
'Declaration
Protected Read Property SelectedRow As Integer

Access

Read only.


SelectedRows Property (JTable)

Class

JTable.

Action

Gets the list of indices of all selected rows.

Syntax

C#
protected List(Of Integer) SelectedRows { get; }
VB
'Declaration
Protected Read Property SelectedRows As List(Of Integer)

Access

Read only.

Examples

VB

Dim selectedRows As IList = table.SelectedRows


SelectedTabIndex Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the index of the currently selected tab or -1 (4Test: 0) if no tab is selected. The value is zero-based.

Syntax

C#
protected Integer SelectedTabIndex { get; }
VB
'Declaration
Protected Read Property SelectedTabIndex As Integer

Access

Read only.


SelectedTab Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the currently selected tab.

Syntax

C#
protected ItemIdentifier SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As ItemIdentifier

Access

Read only.

Examples

VB

Dim selectedTab As String = tabbedPane.SelectedTab
selectedTab = tabbedPane.SelectedTab


SelectedTab Property (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Gets the currently selected tab.

Syntax

C#
protected ItemIdentifier SelectedTab { get; }
VB
'Declaration
Protected Read Property SelectedTab As ItemIdentifier

Access

Read only.


SelectedText Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the current selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.

Examples

VB

Dim selectedText As String = textComponent.SelectedText


SelectedText Property (JTextComponent)

Class

JTextComponent.

Action

Gets the current selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.

Examples

VB

Dim selectedText As String = textComponent.SelectedText


SelectedText Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the current selected text.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectionCount Property (JTree)

Class

JTree.

Action

Gets the number of tree nodes selected.

Syntax

C#
protected Integer SelectionCount { get; }
VB
'Declaration
Protected Read Property SelectionCount As Integer

Access

Read only.

Examples

VB

Dim selectionCount As Integer = tree.SelectionCount


SelectionEnd Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the end position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

Access

Read only.

Examples

VB

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd Property (JTextComponent)

Class

JTextComponent.

Action

Gets the end position of the selection. The value is zero-based.

Syntax

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

Access

Read only.

Examples

VB

Dim selectionEnd As Integer = textComponent.SelectionEnd


SelectionEnd Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the end position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Integer

Access

Read only.


SelectionStart Property (AWTTextComponent)

Class

AWTTextComponent.

Action

Gets the start position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.

Examples

VB

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart Property (JTextComponent)

Class

JTextComponent.

Action

Gets the start position of the selection. The value is zero-based.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.

Examples

VB

Dim selectionStart As Integer = textComponent.SelectionStart


SelectionStart Property (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Gets the start position of the selected text. The value is zero-based.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.


Select Method (AbstractButton)

Class

AbstractButton.

Action

Selects the button.

Syntax

C#
abstractButton.Select()
VB
abstractButton.Select()


Select Method (AWTButton)

Class

AWTButton.

Action

Selects the button.

Syntax

C#
button.Select()
VB
button.Select()

Examples

VB

okButton.Select()


Select Method (AWTChoice)

Class

AWTChoice.

Action

Selects the specified item in the combo box.

Syntax

C#
choice.Select(item)
VB
choice.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.

Examples

VB

colorsChoice.Select("yellow")
colorsChoice.Select(1)


Select Method (AWTList)

Class

AWTList.

Action

Selects the specified item.

Syntax

C#
list.Select(item)
VB
list.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.

Examples

VB

colorsList.Select("red")
colorsList.Select(1)


Select Method (AWTMenuItem)

Class

AWTMenuItem.

Action

Selects the menu item.

Syntax

C#
menuItem.Select()
VB
menuItem.Select()

Examples

VB

openFileMenuItem.Select()


Select Method (JComboBox)

Class

JComboBox.

Action

Selects the specified item.

Syntax

C#
comboBox.Select(item)
VB
comboBox.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.

Examples

VB

colorsComboBox.Select("red")
colorsComboBox.Select(1)


Select Method (JList)

Class

JList.

Action

Selects a list item.

Syntax

C#
list.Select(item)
VB
list.Select(item)
Variable | Description
item | The name or index of the list item. ItemIdentifier.

Examples

VB

colorsList.Select("orange")
colorsList.Select(10)


Select Method (JTabbedPane)

Class

JTabbedPane.

Action

Selects the specified tab.

Syntax

C#
tabbedPane.Select(tab)
VB
tabbedPane.Select(tab)
Variable | Description
tab | The name or index of the tab to select. ItemIdentifier.

Examples

VB

tabbedPane.Select("Alignment")
tabbedPane.Select(1)


Select Method (JTree)

Class

JTree.

Action

Selects a tree node identified by the specified item path.

Syntax

C#
tree.Select(item)
VB
tree.Select(item)
Variable | Description
item | The item path. ItemPath.

Examples

VB

tree.Select("/level_1-1/level_2-1/level_3-4")


Select Method (OracleFormsButton)

Class

OracleFormsButton.

Action

Selects the button.

Syntax

C#
oracleFormsButton.Select()
VB
oracleFormsButton.Select()


Select Method (OracleFormsChoice)

Class

OracleFormsChoice.

Action

Selects the specified item in the choice.

Syntax

C#
oracleFormsChoice.Select(item)
VB
oracleFormsChoice.Select(item)
Variable | Description
item | The name or index of the item to select. ItemIdentifier.


Select Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

Selects a menu item.

Syntax

C#
oracleFormsMenu.Select(item)
VB
oracleFormsMenu.Select(item)
Variable | Description
item | The menu item to select. Can be either a top-level menu item or a menu item that can be found in a submenu. For selecting a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


Select Method (OracleFormsMenuItem)

Class

OracleFormsMenuItem.

Action

Selects a menu item.

Syntax

C#
oracleFormsMenuItem.Select()
VB
oracleFormsMenuItem.Select()


Select Method (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Selects the specified tab.

Syntax

C#
oracleFormsTabBar.Select(tab)
VB
oracleFormsTabBar.Select(tab)
Variable | Description
tab | The name or index of the tab to select. ItemIdentifier.


Select Method (OracleFormsTabBarItem)

Class

OracleFormsTabBarItem.

Action

Selects the tab.

Syntax

C#
oracleFormsTabBarItem.Select()
VB
oracleFormsTabBarItem.Select()


Select Method (OracleFormsToolBarItem)

Class

OracleFormsToolBarItem.

Action

Selects the element.

Syntax

C#
oracleFormsToolBarItem.Select()
VB
oracleFormsToolBarItem.Select()


Select Method (OracleFormsTree)

Class

OracleFormsTree.

Action

Selects a tree node identified by the specified item path.

Syntax

C#
oracleFormsTree.Select(item)
VB
oracleFormsTree.Select(item)
Variable | Description
item | The item path. ItemPath.


SelectRange Method (AWTList)

Class

AWTList.

Action

Selects all items within the specified range.

Syntax

C#
list.SelectRange(fromElement, toElement)
VB
list.SelectRange(fromElement, toElement)
Variable | Description
fromElement | The first element to select. ItemIdentifier.
toElement | The last element to select. ItemIdentifier.

Examples

VB

colorsList.SelectRange(3, 5)


SelectRange Method (JList)

Class

JList.

Action

Selects a specified range of list elements.

Syntax

C#
list.SelectRange(fromElement, toElement)
VB
list.SelectRange(fromElement, toElement)
Variable | Description
fromElement | The name or index of the start element. ItemIdentifier.
toElement | The name or index of the end element. ItemIdentifier.

Examples

VB

colorsList.SelectRange("red", "green")
colorsList.SelectRange(1, 2)


SelectRow Method (JTable)

Class

JTable.

Action

Selects the specified row.

Syntax

C#
table.SelectRow(row, [clearSelection])
VB
table.SelectRow(row, [clearSelection])
Variable | Description
row | The row to select. The value is zero-based. Integer.
clearSelection | Optional: Whether to clear the previous selection. The default is true. Boolean.

Examples

VB

table.SelectRow(1, False)


SelectRow Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Selects the specified row.

Syntax

C#
oracleFormsListView.SelectRow(index)
VB
oracleFormsListView.SelectRow(index)
Variable | Description
index | The row to select. The value is zero-based. Integer.


SetCaretPosition Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Sets the position of the text insertion caret for this text component.

Syntax

C#
textComponent.SetCaretPosition(index)
VB
textComponent.SetCaretPosition(index)
Variable | Description
index | New position of the text insertion caret. The value is zero-based. Integer.

Examples

VB

textComponent.SetCaretPosition(7)


SetCaretPosition Method (JTextComponent)

Class

JTextComponent.

Action

Sets the position of the text insertion caret for this text component.

Syntax

C#
textComponent.SetCaretPosition(index)
VB
textComponent.SetCaretPosition(index)
Variable | Description
index | The position of the text caret. The value is zero-based. Integer.

Examples

VB

textComponent.SetCaretPosition(15)


SetCaretPosition Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Sets the position of the text insertion caret for this text field.

Syntax

C#
oracleFormsTextField.SetCaretPosition(index)
VB
oracleFormsTextField.SetCaretPosition(index)
Variable | Description
index | New position of the text insertion caret. The value is zero-based. Integer.


SetCellValue Method (JTable)

Class

JTable.

Action

Sets the specified value for the specified cell in the table.

Syntax

C#
table.SetCellValue(row, column, value)
VB
table.SetCellValue(row, column, value)
Variable | Description
row | The index of the row. The value is zero-based. Integer.
column | The name or index of the column. ItemIdentifier.
value | The cell value object. Object.

Examples

VB

table.SetCellValue(1, "Product Name", "SilkTest")
table.SetCellValue(1, 4, "SilkTest")


SetColor Method (JColorChooser)

Class

JColorChooser.

Action

Sets the current color of the color chooser to the specified color.

Syntax

C#
colorChooser.SetColor(color)
VB
colorChooser.SetColor(color)
Variable | Description
color | The color to set. Color.

Examples

VB

Dim colorRed As SilkTest.Ntf.Color = New SilkTest.Ntf.Color(255, 0, 0, 0)
ColorChooser.SetColor(colorRed)


SetColumnWidth Method (OracleFormsListView)

Class

OracleFormsListView.

Action

Sets the width of the specified column.

Syntax

C#
oracleFormsListView.SetColumnWidth(column, width)
VB
oracleFormsListView.SetColumnWidth(column, width)
Variable | Description
column | The name or index of the column to resize. ItemIdentifier.
width | The new width for the column. Integer.


SetPosition Method (JSlider)

Class

JSlider.

Action

Sets the current position of the slider.

Syntax

C#
slider.SetPosition(position)
VB
slider.SetPosition(position)
Variable | Description
position | The current value of the slider position. Integer.

Examples

VB

verticalSlider.SetPosition(10)


SetPosition Method (JSplitPane)

Class

JSplitPane.

Action

Sets the position of the divider.

Syntax

C#
splitPane.SetPosition(position)
VB
splitPane.SetPosition(position)
Variable | Description
position | The new position of the divider. Integer.

Examples

VB

splitPane.SetPosition(100)


SetSelectionRange Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Selects the text within the specified range.

Syntax

C#
textComponent.SetSelectionRange(selectionStart, selectionEnd)
VB
textComponent.SetSelectionRange(selectionStart, selectionEnd)
Variable | Description
selectionStart | The start position of the selection. The value is zero-based. Integer.
selectionEnd | The end position of the selection. The value is zero-based. Integer.

Examples

VB

textComponent.SetSelectionRange(11, 15)


SetSelectionRange Method (JTextComponent)

Class

JTextComponent.

Action

Selects the text within the specified range.

Syntax

C#
textComponent.SetSelectionRange(selectionStart, selectionEnd)
VB
textComponent.SetSelectionRange(selectionStart, selectionEnd)
Variable | Description
selectionStart | The start index of the selection. The value is zero-based. Integer.
selectionEnd | The end index of the selection. The value is zero-based. Integer.

Examples

VB

textComponent.SetSelectionRange(8, 13)


SetSelectionRange Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Selects the text within the specified range.

Syntax

C#
oracleFormsTextField.SetSelectionRange(selectionStart, selectionEnd)
VB
oracleFormsTextField.SetSelectionRange(selectionStart, selectionEnd)
Variable | Description
selectionStart | The start position of the selection. The value is zero-based. Integer.
selectionEnd | The end position of the selection. The value is zero-based. Integer.


SetText Method (AWTTextComponent)

Class

AWTTextComponent.

Action

Sets the text of the text component to the specified text.

Syntax

C#
textComponent.SetText(text)
VB
textComponent.SetText(text)
Variable | Description
text | New text of the text component. String.

Examples

VB

textComponent.SetText("SilkTest")


SetText Method (JTextComponent)

Class

JTextComponent.

Action

Sets the text content to the specified text.

Syntax

C#
textComponent.SetText(text)
VB
textComponent.SetText(text)
Variable | Description
text | The new text content. String.

Examples

VB

textComponent.SetText("blue")


SetText Method (OracleFormsComboBox)

Class

OracleFormsComboBox.

Action

Sets the text of the combo box to the specified text.

Syntax

C#
oracleFormsComboBox.SetText(text)
VB
oracleFormsComboBox.SetText(text)
Variable | Description
text | New text of the combo box. String.


SetText Method (OracleFormsTextField)

Class

OracleFormsTextField.

Action

Sets the text of the text field to the specified text.

Syntax

C#
oracleFormsTextField.SetText(text)
VB
oracleFormsTextField.SetText(text)
Variable | Description
text | New text of the text field. String.


SplashScreenRunning Property (OracleFormsApplication)

Class

OracleFormsApplication.

Action

Gets whether the application currently displays a splash screen.

Syntax

C#
protected Boolean SplashScreenRunning { get; }
VB
'Declaration
Protected Read Property SplashScreenRunning As Boolean

Access

Read only.


StartEditing Method (JTree)

Class

JTree.

Action

Starts editing at given item path or current selection.

Syntax

C#
tree.StartEditing([item])
VB
tree.StartEditing([item])
Variable | Description
item | Optional: The item path. ItemPath.

Examples

VB

tree.StartEditing("/level_1-1/level_2-1/level_3-4")


Step Method (IAWTScroller)

Class

IAWTScroller.

Action

Increments the current scroll position by specified steps.

Syntax

C#
iAWTScroller.Step(stepCount)
VB
iAWTScroller.Step(stepCount)
Variable | Description
stepCount | The number of steps to increment. Integer.

Examples

VB

scrollBar.Step(1)


StepSize Property (IAWTScroller)

Class

IAWTScroller.

Action

Gets the unit increment value of the scroll bar.

Syntax

C#
protected Integer StepSize { get; }
VB
'Declaration
Protected Read Property StepSize As Integer

Access

Read only.

Examples

VB

Dim stepSize As Integer = scrollBar.StepSize


StopEditing Method (JTree)

Class

JTree.

Action

Stops the current editing session.

Syntax

C#
tree.StopEditing()
VB
tree.StopEditing()

Examples

VB

tree.StopEditing()


TabCount Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the number of tabs.

Syntax

C#
protected Integer TabCount { get; }
VB
'Declaration
Protected Read Property TabCount As Integer

Access

Read only.

Examples

VB

Dim tabCount As Integer = tabbedPane.TabCount


TabCount Property (OracleFormsTabBar)

Class

OracleFormsTabBar.

Action

Gets the number of tabs.

Syntax

C#
protected Integer TabCount { get; }
VB
'Declaration
Protected Read Property TabCount As Integer

Access

Read only.


TabRunCount Property (JTabbedPane)

Class

JTabbedPane.

Action

Gets the number of tab runs currently used to display the tabs.

Syntax

C#
protected Integer TabRunCount { get; }
VB
'Declaration
Protected Read Property TabRunCount As Integer

Access

Read only.

Examples

VB

Dim tabRunCount As Integer = tabbedPane.TabRunCount


Title Property (AWTDialog)

Class

AWTDialog.

Action

Gets the title of the dialog.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.

Examples

VB

Dim title As String = optionsDialog.Title


Title Property (AWTFrame)

Class

AWTFrame.

Action

Gets the title of the frame.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.

Examples

VB

Dim title As String = frameWindow.Title


Toggle Method (AWTCheckbox)

Class

AWTCheckbox.

Action

Toggles the check box state.

Syntax

C#
checkbox.Toggle()
VB
checkbox.Toggle()

Examples

VB

caseSensitiveCheckBox.Toggle()


Toggle Method (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Toggles the check box state of the menu item.

Syntax

C#
checkboxMenuItem.Toggle()
VB
checkboxMenuItem.Toggle()

Examples

VB

checkMenuItem.Toggle()


Toggle Method (JToggleButton)

Class

JToggleButton.

Action

Toggles the button.

Syntax

C#
toggleButton.Toggle()
VB
toggleButton.Toggle()

Examples

VB

toggleButton.Toggle()


ToolTipText Property (JComponent)

Class

JComponent.

Action

Gets the tool tip text of a Swing component.

Syntax

C#
protected String ToolTipText { get; }
VB
'Declaration
Protected Read Property ToolTipText As String

Access

Read only.

Examples

VB

Dim toolTipText As String = Component.ToolTipText


Uncheck Method (AWTCheckbox)

Class

AWTCheckbox.

Action

Unchecks the check box.

Syntax

C#
checkbox.Uncheck()
VB
checkbox.Uncheck()

Examples

VB

caseSensitiveCheckBox.Uncheck()


Uncheck Method (AWTCheckboxMenuItem)

Class

AWTCheckboxMenuItem.

Action

Unchecks the check box of the menu item.

Syntax

C#
checkboxMenuItem.Uncheck()
VB
checkboxMenuItem.Uncheck()

Examples

VB

checkMenuItem.Uncheck()


Uncheck Method (JCheckBox)

Class

JCheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()

Examples

VB

forwardCheckBox.Uncheck()


Uncheck Method (OracleFormsCheckbox)

Class

OracleFormsCheckbox.

Action

Unchecks the check box.

Syntax

C#
oracleFormsCheckbox.Uncheck()
VB
oracleFormsCheckbox.Uncheck()


Uncheck Method (OracleFormsMenu)

Class

OracleFormsMenu.

Action

Unchecks a menu item.

Syntax

C#
oracleFormsMenu.Uncheck(item)
VB
oracleFormsMenu.Uncheck(item)
Variable | Description
item | The menu item to uncheck. Can be either a top-level menu item or a menu item that can be found in a submenu. For unchecking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.


Uncheck Method (OracleFormsMenuItem)

Class

OracleFormsMenuItem.

Action

Unchecks a menu item.

Syntax

C#
oracleFormsMenuItem.Uncheck()
VB
oracleFormsMenuItem.Uncheck()


VerticalScrollbarPage Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified number of pages.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarPage(pageCount)
VB
iOracleFormsScrollable.VerticalScrollbarPage(pageCount)
Variable | Description
pageCount | The number of pages to increment. Integer.


VerticalScrollbarPageSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the block increment value of the scroll bar.

Syntax

C#
protected Integer VerticalScrollbarPageSize { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarPageSize As Integer

Access

Read only.


VerticalScrollbarPosition Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the current position of the scroll bar.

Syntax

C#
protected Integer VerticalScrollbarPosition { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarPosition As Integer

Access

Read only.


VerticalScrollbarRange Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the range value of the scroll bar.

Syntax

C#
protected Range VerticalScrollbarRange { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarRange As Range

Access

Read only.


VerticalScrollbarScrollToMax Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the maximum position of the scroller.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarScrollToMax()
VB
iOracleFormsScrollable.VerticalScrollbarScrollToMax()


VerticalScrollbarScrollTo Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the specified position.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarScrollTo(position)
VB
iOracleFormsScrollable.VerticalScrollbarScrollTo(position)
Variable | Description
position | The position to scroll to. Integer.


VerticalScrollbarScrollToMin Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Scrolls to the minimum position of the scroller.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarScrollToMin()
VB
iOracleFormsScrollable.VerticalScrollbarScrollToMin()


VerticalScrollbarStep Method (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Increments the current scroll position by specified steps.

Syntax

C#
iOracleFormsScrollable.VerticalScrollbarStep(stepCount)
VB
iOracleFormsScrollable.VerticalScrollbarStep(stepCount)
Variable | Description
stepCount | The number of steps to increment. Integer.


VerticalScrollbarStepSize Property (IOracleFormsScrollable)

Class

IOracleFormsScrollable.

Action

Gets the unit increment value of the scroll bar.

Syntax

C#
protected Integer VerticalScrollbarStepSize { get; }
VB
'Declaration
Protected Read Property VerticalScrollbarStepSize As Integer

Access

Read only.


ViewRectangle Property (JViewport)

Class

JViewport.

Action

Gets the visible part of the view, in view coordinates.

Syntax

C#
protected Rectangle ViewRectangle { get; }
VB
'Declaration
Protected Read Property ViewRectangle As Rectangle

Access

Read only.

Examples

VB

Dim rect As Rectangle = viewport.ViewRectangle


VisibleItemPaths Property (JTree)

Class

JTree.

Action

Gets the visible items in the tree as item paths.

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


Width Property (AWTComponent)

Class

AWTComponent.

Action

Gets the current width of the component.

Syntax

C#
protected Integer Width { get; }
VB
'Declaration
Protected Read Property Width As Integer

Access

Read only.

Examples

VB

Dim width As Integer = component.Width


AllowsCheck Property (ListView)

Class

ListView.

Action

Gets whether this list view supports checking items.

Syntax

C#
protected Boolean AllowsCheck { get; }
VB
'Declaration
Protected Read Property AllowsCheck As Boolean

Access

Read only.


AllowsMultiSelect Property (ListView)

Class

ListView.

Action

Gets whether the list view supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


CheckedIndices Property (ListView)

Class

ListView.

Action

Gets a list containing the indices of the checked items.

Syntax

C#
protected List(Of Integer) CheckedIndices { get; }
VB
'Declaration
Protected Read Property CheckedIndices As List(Of Integer)

Access

Read only.


CheckedItems Property (ListView)

Class

ListView.

Action

Gets a list containing the checked items.

Syntax

C#
protected List(Of ItemIdentifier) CheckedItems { get; }
VB
'Declaration
Protected Read Property CheckedItems As List(Of ItemIdentifier)

Access

Read only.


Check Method (ListView)

Class

ListView.

Action

Checks an item.

Syntax

C#
listView.Check(item)
VB
listView.Check(item)
Variable | Description
item | The item to check. ItemIdentifier.


ColumnCount Property (Header)

Class

Header.

Action

Gets the number of columns in the header.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnCount Property (ListView)

Class

ListView.

Action

Gets the number of columns per item.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnOrder Property (Header)

Class

Header.

Action

Gets the header's item indices as they are currently ordered.

Syntax

C#
protected List(Of Integer) ColumnOrder { get; }
VB
'Declaration
Protected Read Property ColumnOrder As List(Of Integer)

Access

Read only.


Decrement Method (UpDown)

Class

UpDown.

Action

Decreases the position value of the up/down control.

Syntax

C#
upDown.Decrement([amount])
VB
upDown.Decrement([amount])
Variable | Description
amount | Optional: The amount to decrement. The default value is '1'. Integer.


Description Property (AccessibleControl)

Class

AccessibleControl.

Action

Gets the description text of the accessible object.

Syntax

C#
protected String Description { get; }
VB
'Declaration
Protected Read Property Description As String

Access

Read only.


DividerDoubleSelect Method (Header)

Class

Header.

Action

Double-clicks the divider on the right side of the specified item.

Syntax

C#
header.DividerDoubleSelect(item, button)
VB
header.DividerDoubleSelect(item, button)
Variable | Description
item | The path or index of the item to select. ItemIdentifier.
button | The button to select. 1=left,2=right,3=middle,... MouseButton.


DoDefaultAction Method (AccessibleControl)

Class

AccessibleControl.

Action

Executes the default action of the underlying accessible control supports a default action.

Syntax

C#
accessibleControl.DoDefaultAction()
VB
accessibleControl.DoDefaultAction()


DoubleSelect Method (Header)

Class

Header.

Action

Double-clicks an item.

Syntax

C#
header.DoubleSelect(item, button)
VB
header.DoubleSelect(item, button)
Variable | Description
item | The path or index of the item to double-click. ItemIdentifier.
button | The index of the mouse button to use to perform the double-click. 1=left, 2=right, 3=middle,... MouseButton.


DoubleSelect Method (ListView)

Class

ListView.

Action

Double-clicks an item.

Syntax

C#
listView.DoubleSelect(item, [modifiers])
VB
listView.DoubleSelect(item, [modifiers])
Variable | Description
item | The item to double-click. ItemIdentifier.
modifiers | Optional: The modifier to double-click. ModifierKeys.


ExtendSelect Method (ListView)

Class

ListView.

Action

Selects a range of items by extending the selection in the extend-selection listview.

Syntax

C#
listView.ExtendSelect(item)
VB
listView.ExtendSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


ExtendSelect Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects a range of dates and times.

Syntax

C#
monthCalendar.ExtendSelect(selectedDate)
VB
monthCalendar.ExtendSelect(selectedDate)
Variable | Description
selectedDate | The DateTime that you want to select. DateTime?.


GetColumnTitle Method (Header)

Class

Header.

Action

Returns the title of a specified header item.

Syntax

C#
columnTitle = header.GetColumnTitle(itemIndex)
VB
columnTitle = header.GetColumnTitle(itemIndex)
Variable | Description
columnTitle | String.
itemIndex | The index of the item. The value is zero-based. Integer.


GetColumnWidth Method (Header)

Class

Header.

Action

Returns the width of a specified column.

Syntax

C#
columnWidth = header.GetColumnWidth(item)
VB
columnWidth = header.GetColumnWidth(item)
Variable | Description
columnWidth | Integer.
item | The item to return the width for. ItemIdentifier.


GetItemImageIndex Method (ListView)

Class

ListView.

Action

Returns the index into the image list of a list view that contains icons. This allows to verify that the correct image is used for an item.

Syntax

C#
itemImageIndex = listView.GetItemImageIndex(item, [fromStateImageList])
VB
itemImageIndex = listView.GetItemImageIndex(item, [fromStateImageList])
Variable | Description
itemImageIndex | Integer.
item | The item to get the image index from. ItemIdentifier.
fromStateImageList | Optional: Whether to retrieve the index from the state image list or from the image list. Boolean.


GetItemIndex Method (ListView)

Class

ListView.

Action

Returns the index of the list view item or -1 if is not found.

Syntax

C#
itemIndex = listView.GetItemIndex(item)
VB
itemIndex = listView.GetItemIndex(item)
Variable | Description
itemIndex | Integer.
item | The item to get the index for. ItemIdentifier.


GetItemRect Method (ListView)

Class

ListView.

Action

Returns rectangle of the item. If getIconRect is set then the rectangle of the icon of the item will be returned otherwise the rectangle of the item text is returned. If a columnIndex is specified the rectangle of this column is returned.

Syntax

C#
itemRect = listView.GetItemRect(item, [getIconRect, columnIndex])
VB
itemRect = listView.GetItemRect(item, [getIconRect, columnIndex])
Variable | Description
itemRect | Rectangle.
item | The item to get the rectangle from. ItemIdentifier.
getIconRect | Optional: Whether to retrieve the rectangle of the icon or the text of the item. Boolean.
columnIndex | Optional: The column position of the item. The value is zero-based. Integer.


GetItemText Method (ListView)

Class

ListView.

Action

Returns the text of an item.

Syntax

C#
itemText = listView.GetItemText(item, [columnIndex])
VB
itemText = listView.GetItemText(item, [columnIndex])
Variable | Description
itemText | String.
item | The item to get the text from. ItemIdentifier.
columnIndex | Optional: The column position of the item. The value is zero-based. Integer.


Horizontal Property (Pager)

Class

Pager.

Action

Gets whether the up/down control is horizontal.

Syntax

C#
protected Boolean Horizontal { get; }
VB
'Declaration
Protected Read Property Horizontal As Boolean

Access

Read only.


Horizontal Property (UpDown)

Class

UpDown.

Action

Gets whether the up/down control is horizontal.

Syntax

C#
protected Boolean Horizontal { get; }
VB
'Declaration
Protected Read Property Horizontal As Boolean

Access

Read only.


Increment Method (UpDown)

Class

UpDown.

Action

Increases the position value of the up/down control.

Syntax

C#
upDown.Increment([amount])
VB
upDown.Increment([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Integer.


ItemCount Property (ListView)

Class

ListView.

Action

Gets the number of items contained in the list view.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (ListView)

Class

ListView.

Action

Gets a list containing all items of the listview.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


MultiSelect Method (ListView)

Class

ListView.

Action

Adds an item in the list to the set of currently selected items.

Syntax

C#
listView.MultiSelect(item)
VB
listView.MultiSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


MultiUnselect Method (ListView)

Class

ListView.

Action

Removes an item in the list from the set of selected items.

Syntax

C#
listView.MultiUnselect(item)
VB
listView.MultiUnselect(item)
Variable | Description
item | The item to select. ItemIdentifier.


OpenMonthMenu Method (MonthCalendar)

Class

MonthCalendar.

Action

Opens a calendar menu to a specific month.

Syntax

C#
monthCalendar.OpenMonthMenu()
VB
monthCalendar.OpenMonthMenu()


Position Property (ProgressBar)

Class

ProgressBar.

Action

Gets or sets the current position.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Position Property (UpDown)

Class

UpDown.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected Integer Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Integer

Access

Read and write.


Range Property (ProgressBar)

Class

ProgressBar.

Action

Gets or sets the range of the progress bar control.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Range Property (UpDown)

Class

UpDown.

Action

Gets or sets the range of the up/down control.

Syntax

C#
protected Range Range { get; set; }
VB
'Declaration
Protected ReadWrite Property Range As Range

Access

Read and write.


Resize Method (Header)

Class

Header.

Action

Resizes an item of the header.

Syntax

C#
header.Resize(item, width)
VB
header.Resize(item, width)
Variable | Description
item | The item to resize. ItemIdentifier.
width | The new width of the header, in pixels. Integer.


Role Property (AccessibleControl)

Class

AccessibleControl.

Action

Gets the role of this accessible object.

Syntax

C#
protected String Role { get; }
VB
'Declaration
Protected Read Property Role As String

Access

Read only.


ScrollDown Method (Pager)

Class

Pager.

Action

Moves the scroll bar down.

Syntax

C#
pager.ScrollDown()
VB
pager.ScrollDown()


ScrollUp Method (Pager)

Class

Pager.

Action

Moves the scroll bar up.

Syntax

C#
pager.ScrollUp()
VB
pager.ScrollUp()


SelectedIndices Property (ListView)

Class

ListView.

Action

Gets a list containing the indices of the selected items.

Syntax

C#
protected List(Of Integer) SelectedIndices { get; }
VB
'Declaration
Protected Read Property SelectedIndices As List(Of Integer)

Access

Read only.


SelectedItems Property (ListView)

Class

ListView.

Action

Gets a list containing the selected items.

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of ItemIdentifier)

Access

Read only.


Select Method (Header)

Class

Header.

Action

Selects an item or button.

Syntax

C#
header.Select(item, button)
VB
header.Select(item, button)
Variable | Description
item | The path or index of the item to select. ItemIdentifier.
button | The index of the mouse button to use for selection. 1=left, 2=right, 3=middle,... MouseButton.


Select Method (ListView)

Class

ListView.

Action

Selects an item.

Syntax

C#
listView.Select(item)
VB
listView.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects a date and time.

Syntax

C#
monthCalendar.Select(selectedDate)
VB
monthCalendar.Select(selectedDate)
Variable | Description
selectedDate | The date and time to select. DateTime?.


SelectNextMonth Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects the next month.

Syntax

C#
monthCalendar.SelectNextMonth(selectedYear, selectedMonth)
VB
monthCalendar.SelectNextMonth(selectedYear, selectedMonth)
Variable | Description
selectedYear | The year to select. Integer.
selectedMonth | The month to select. Integer.


SelectPreviousMonth Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects the previous month.

Syntax

C#
monthCalendar.SelectPreviousMonth(selectedYear, selectedMonth)
VB
monthCalendar.SelectPreviousMonth(selectedYear, selectedMonth)
Variable | Description
selectedYear | The year to select. Integer.
selectedMonth | The month to select. Integer.


SelectToday Method (MonthCalendar)

Class

MonthCalendar.

Action

Selects the date for today.

Syntax

C#
monthCalendar.SelectToday()
VB
monthCalendar.SelectToday()


SetItemFocus Method (ListView)

Class

ListView.

Action

Gives focus to the item in the list.

Syntax

C#
listView.SetItemFocus(item)
VB
listView.SetItemFocus(item)
Variable | Description
item | The item to focus on. ItemIdentifier.


State Property (AccessibleControl)

Class

AccessibleControl.

Action

Gets the state string that describes the different states of this accessible object.

Syntax

C#
protected String State { get; }
VB
'Declaration
Protected Read Property State As String

Access

Read only.


Uncheck Method (ListView)

Class

ListView.

Action

Unchecks an item.

Syntax

C#
listView.Uncheck(item)
VB
listView.Uncheck(item)
Variable | Description
item | The item to uncheck. ItemIdentifier.


WrapAround Property (UpDown)

Class

UpDown.

Action

Gets whether values are wrapped if smaller than minimum or larger than maximum.

Syntax

C#
protected Boolean WrapAround { get; }
VB
'Declaration
Protected Read Property WrapAround As Boolean

Access

Read only.


AllowsMultiSelect Property (DataGrid)

Class

DataGrid.

Action

Gets whether the table supports selecting multiple items.

Syntax

C#
protected Boolean AllowsMultiSelect { get; }
VB
'Declaration
Protected Read Property AllowsMultiSelect As Boolean

Access

Read only.


AutoResize Method (DataGridColumn)

Class

DataGridColumn.

Action

Automatically resizes a column by double clicking its divider.

Syntax

C#
dataGridColumn.AutoResize()
VB
dataGridColumn.AutoResize()


CheckedIndices Property (CheckedListBox)

Class

CheckedListBox.

Action

Gets or sets the indices of the checked item(s).

Syntax

C#
protected List(Of Integer) CheckedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property CheckedIndices As List(Of Integer)

Access

Read and write.


CheckedItems Property (CheckedListBox)

Class

CheckedListBox.

Action

Gets or sets the names of the checked item(s).

Syntax

C#
protected List(Of ItemIdentifier) CheckedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property CheckedItems As List(Of ItemIdentifier)

Access

Read and write.


Check Method (CheckedListBox)

Class

CheckedListBox.

Action

Selects an item from the checked list box.

Syntax

C#
checkedListBox.Check(item)
VB
checkedListBox.Check(item)
Variable | Description
item | The item to select. ItemIdentifier.


ColumnCount Property (DataGrid)

Class

DataGrid.

Action

Gets the number of columns in the DataGrid.

Syntax

C#
protected Integer ColumnCount { get; }
VB
'Declaration
Protected Read Property ColumnCount As Integer

Access

Read only.


ColumnItems Property (DataGrid)

Class

DataGrid.

Action

Gets a list of all items in the column.

Syntax

C#
protected List(Of DataGridColumn) ColumnItems { get; }
VB
'Declaration
Protected Read Property ColumnItems As List(Of DataGridColumn)

Access

Read only.


Column Property (DataGridItem)

Class

DataGridItem.

Action

Gets the column of the item in the data grid. The value is zero-based.

Syntax

C#
protected Integer Column { get; }
VB
'Declaration
Protected Read Property Column As Integer

Access

Read only.


DecrementDecimal Method (NumericUpDown)

Class

NumericUpDown.

Action

Decreases the position value of the up/down control.

Syntax

C#
numericUpDown.DecrementDecimal([amount])
VB
numericUpDown.DecrementDecimal([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Double.


Decrement Method (DomainUpDown)

Class

DomainUpDown.

Action

Decreases the position value of the up/down control.

Syntax

C#
domainUpDown.Decrement([amount])
VB
domainUpDown.Decrement([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Integer.


DoubleSelectItem Method (DataGrid)

Class

DataGrid.

Action

Double-clicks an item.

Syntax

C#
dataGrid.DoubleSelectItem(column, row, [modifiers])
VB
dataGrid.DoubleSelectItem(column, row, [modifiers])
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


ExtendSelectItem Method (DataGrid)

Class

DataGrid.

Action

Expands the selection to the given item.

Syntax

C#
dataGrid.ExtendSelectItem(column, row)
VB
dataGrid.ExtendSelectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


Height Property (DataGridRow)

Class

DataGridRow.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Height { get; set; }
VB
'Declaration
Protected ReadWrite Property Height As Integer

Access

Read and write.


IncrementDecimal Method (NumericUpDown)

Class

NumericUpDown.

Action

Increases the position value of the up/down control.

Syntax

C#
numericUpDown.IncrementDecimal([amount])
VB
numericUpDown.IncrementDecimal([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Double.


Increment Method (DomainUpDown)

Class

DomainUpDown.

Action

Increases the position value of the up/down control.

Syntax

C#
domainUpDown.Increment([amount])
VB
domainUpDown.Increment([amount])
Variable | Description
amount | Optional: The amount to increment. The default value is '1'. Integer.


ItemCount Property (DataGridRow)

Class

DataGridRow.

Action

Gets the number of items in the row.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


ItemCount Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets the number of items contained in the list view.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (DataGrid)

Class

DataGrid.

Action

Gets a list of all items in the column.

Syntax

C#
protected List(Of DataGridItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of DataGridItem)

Access

Read only.


Items Property (DataGridRow)

Class

DataGridRow.

Action

Gets a list of items in the row.

Syntax

C#
protected List(Of DataGridItem) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of DataGridItem)

Access

Read only.


Items Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets the items in the domain up/down control.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


LoadAssembly Method (FormsWindow)

Class

FormsWindow.

Action

Loads the assembly on the specified path in the Windows Forms application.

The main use case to load an additional assembly that contains utility methods that can be called via the "Dynamic Invoke" feature.

Syntax

C#
formsWindow.LoadAssembly(assemblyFile)
VB
formsWindow.LoadAssembly(assemblyFile)
Variable | Description
assemblyFile | The path of the assembly file to load. String.


Maximum Property (NumericUpDown)

Class

NumericUpDown.

Action

Gets or sets the maximum value of the up/down control.

Syntax

C#
protected Double Maximum { get; set; }
VB
'Declaration
Protected ReadWrite Property Maximum As Double

Access

Read and write.


Minimum Property (NumericUpDown)

Class

NumericUpDown.

Action

Gets or sets the minimum value of the up/down control.

Syntax

C#
protected Double Minimum { get; set; }
VB
'Declaration
Protected ReadWrite Property Minimum As Double

Access

Read and write.


MultiSelectItem Method (DataGrid)

Class

DataGrid.

Action

Adds a row from the table to the set of selected rows.

Syntax

C#
dataGrid.MultiSelectItem(column, row)
VB
dataGrid.MultiSelectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


MultiUnselectItem Method (DataGrid)

Class

DataGrid.

Action

Removes a item from the set of selected items.

Syntax

C#
dataGrid.MultiUnselectItem(column, row)
VB
dataGrid.MultiUnselectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


PositionDecimal Property (NumericUpDown)

Class

NumericUpDown.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected Double PositionDecimal { get; set; }
VB
'Declaration
Protected ReadWrite Property PositionDecimal As Double

Access

Read and write.


Resize Method (DataGridColumn)

Class

DataGridColumn.

Action

Resizes a column.

Syntax

C#
dataGridColumn.Resize(width)
VB
dataGridColumn.Resize(width)
Variable | Description
width | The new width of the column, in pixels. Integer.


Resize Method (DataGridRow)

Class

DataGridRow.

Action

Resizes a column.

Syntax

C#
dataGridRow.Resize(height)
VB
dataGridRow.Resize(height)
Variable | Description
height | The new height of the row, in pixels. Integer.


RowCount Property (DataGrid)

Class

DataGrid.

Action

Gets the number of rows in the DataGrid.

Syntax

C#
protected Integer RowCount { get; }
VB
'Declaration
Protected Read Property RowCount As Integer

Access

Read only.


RowItems Property (DataGrid)

Class

DataGrid.

Action

Gets a list of all items in the row.

Syntax

C#
protected List(Of DataGridRow) RowItems { get; }
VB
'Declaration
Protected Read Property RowItems As List(Of DataGridRow)

Access

Read only.


Row Property (DataGridItem)

Class

DataGridItem.

Action

Gets the row of the item in the data grid. The value is zero-based.

Syntax

C#
protected Integer Row { get; }
VB
'Declaration
Protected Read Property Row As Integer

Access

Read only.


ScrollIntoView Method (DataGrid)

Class

DataGrid.

Action

Tries to bring the item to the top left corner of the datagrid.

Syntax

C#
dataGrid.ScrollIntoView(column, row)
VB
dataGrid.ScrollIntoView(column, row)
Variable | Description
column | The index of the column. The value is zero-based. Integer.
row | The index of the row. The value is zero-based. Integer.


ScrollIntoView Method (DataGridColumn)

Class

DataGridColumn.

Action

Tries to bring the column to the left by scrolling the data grid.

Syntax

C#
dataGridColumn.ScrollIntoView()
VB
dataGridColumn.ScrollIntoView()


ScrollIntoView Method (DataGridItem)

Class

DataGridItem.

Action

Tries to bring the item to the top left corner of the datagrid.

Syntax

C#
dataGridItem.ScrollIntoView()
VB
dataGridItem.ScrollIntoView()


ScrollIntoView Method (DataGridRow)

Class

DataGridRow.

Action

Tries to bring the row to the top by scrolling the data grid.

Syntax

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


SelectAllItems Method (DataGrid)

Class

DataGrid.

Action

Selects all items in the datagrid.

Syntax

C#
dataGrid.SelectAllItems()
VB
dataGrid.SelectAllItems()


SelectedIndex Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets or sets the position for the up/down control. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndex As Integer

Access

Read and write.


SelectedItem Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets or sets the position for the up/down control.

Syntax

C#
protected ItemIdentifier SelectedItem { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItem As ItemIdentifier

Access

Read and write.


SelectedItems Property (DataGrid)

Class

DataGrid.

Action

Gets the selected item(s).

Syntax

C#
protected List(Of DataGridItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of DataGridItem)

Access

Read only.


Selected Property (DataGridItem)

Class

DataGridItem.

Action

Gets whether the item is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.


SelectItem Method (DataGrid)

Class

DataGrid.

Action

Selects an item.

Syntax

C#
dataGrid.SelectItem(column, row)
VB
dataGrid.SelectItem(column, row)
Variable | Description
column | The index of the column to select. The value is zero-based. Integer.
row | The index of the row to select. The value is zero-based. Integer.


Select Method (DataGridColumn)

Class

DataGridColumn.

Action

Selects a column.

Syntax

C#
dataGridColumn.Select([modifiers])
VB
dataGridColumn.Select([modifiers])
Variable | Description
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


Select Method (DataGridItem)

Class

DataGridItem.

Action

Selects an item.

Syntax

C#
dataGridItem.Select([modifiers])
VB
dataGridItem.Select([modifiers])
Variable | Description
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


Select Method (DataGridRow)

Class

DataGridRow.

Action

Selects a column.

Syntax

C#
dataGridRow.Select([modifiers])
VB
dataGridRow.Select([modifiers])
Variable | Description
modifiers | Optional: The active modifier key state while selecting the item. ModifierKeys.


Select Method (DomainUpDown)

Class

DomainUpDown.

Action

Selects an item.

Syntax

C#
domainUpDown.Select(item)
VB
domainUpDown.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Uncheck Method (CheckedListBox)

Class

CheckedListBox.

Action

Selects an item from the checked list box.

Syntax

C#
checkedListBox.Uncheck(item)
VB
checkedListBox.Uncheck(item)
Variable | Description
item | The item to select. ItemIdentifier.


Width Property (DataGridColumn)

Class

DataGridColumn.

Action

Gets or sets the width of the column.

Syntax

C#
protected Integer Width { get; set; }
VB
'Declaration
Protected ReadWrite Property Width As Integer

Access

Read and write.


WrapAround Property (DomainUpDown)

Class

DomainUpDown.

Action

Gets whether values are wrapped if smaller than minimum or larger than maximum.

Syntax

C#
protected Boolean WrapAround { get; }
VB
'Declaration
Protected Read Property WrapAround As Boolean

Access

Read only.


AcceptsReturn Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates how the text editing control responds when the user presses the ENTER key.

Syntax

C#
protected Boolean AcceptsReturn { get; }
VB
'Declaration
Protected Read Property AcceptsReturn As Boolean

Access

Read only.


AcceptsTab Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates how the text editing control responds when the user presses the TAB key.

Syntax

C#
protected Boolean AcceptsTab { get; }
VB
'Declaration
Protected Read Property AcceptsTab As Boolean

Access

Read only.


Activate Method (WPFWindow)

Class

WPFWindow.

Action

Attempts to bring the window to the foreground and activates it.

Syntax

C#
result = window.Activate()
VB
result = window.Activate()
Variable | Description
result | Boolean.


ActualHeight Property (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Gets the rendered height of this element.

Syntax

C#
protected Double ActualHeight { get; }
VB
'Declaration
Protected Read Property ActualHeight As Double

Access

Read only.


ActualWidth Property (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Gets the rendered width of this element.

Syntax

C#
protected Double ActualWidth { get; }
VB
'Declaration
Protected Read Property ActualWidth As Double

Access

Read only.


AppendText Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Appends a string to the contents of a text control.

Syntax

C#
textBoxBase.AppendText(textData)
VB
textBoxBase.AppendText(textData)
Variable | Description
textData | A string that specifies the text to append to the current contents of the text control. String.


Author Property (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Gets the name of the author who created the sticky note.

Syntax

C#
protected String Author { get; }
VB
'Declaration
Protected Read Property Author As String

Access

Read only.


AutoWordSelection Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that determines if a user selects part of a word by dragging across it with the mouse, whether the rest of the word is selected.

Syntax

C#
protected Boolean AutoWordSelection { get; }
VB
'Declaration
Protected Read Property AutoWordSelection As Boolean

Access

Read only.


Balance Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets a ratio of volume across speakers.

Syntax

C#
protected Double Balance { get; set; }
VB
'Declaration
Protected ReadWrite Property Balance As Double

Access

Read and write.


BeginEdit Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Begins to edit the specified cell.

Syntax

C#
dataGrid.BeginEdit(row, column)
VB
dataGrid.BeginEdit(row, column)
Variable | Description
row | The row to edit. ItemIdentifier.
column | The column to edit. ItemIdentifier.


BeginEdit Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Begins to edit the specified cell.

Syntax

C#
toolkitDataGrid.BeginEdit(row, column)
VB
toolkitDataGrid.BeginEdit(row, column)
Variable | Description
row | The row to edit. ItemIdentifier.
column | The column to edit. ItemIdentifier.


BlackoutDates Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a list of dates that are marked as not selectable.

Syntax

C#
protected List(Of DateTime?) BlackoutDates { get; }
VB
'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

Access

Read only.


BlackoutDates Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a list of dates that are marked as not selectable.

Syntax

C#
protected List(Of DateTime?) BlackoutDates { get; }
VB
'Declaration
Protected Read Property BlackoutDates As List(Of DateTime?)

Access

Read only.


BringIntoView Method (WPFBase)

Class

WPFBase.

Action

Attempts to bring this element into view.

Syntax

C#
base.BringIntoView()
VB
base.BringIntoView()


CancelEdit Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Cancels the edited cell.

Syntax

C#
dataGrid.CancelEdit()
VB
dataGrid.CancelEdit()


CancelEdit Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Cancels the edited cell.

Syntax

C#
toolkitDataGrid.CancelEdit()
VB
toolkitDataGrid.CancelEdit()


CanDecreaseZoom Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets a value that indicates whether the DocumentViewer can zoom out more.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanDecreaseZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets a value that indicates whether the Zoom level can be decreased.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanDecreaseZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether the Zoom level can be decreased.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanDecreaseZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets a value that indicates whether the Zoom level can be decreased.

Syntax

C#
protected Boolean CanDecreaseZoom { get; }
VB
'Declaration
Protected Read Property CanDecreaseZoom As Boolean

Access

Read only.


CanGoBack Property (WPFFrame)

Class

WPFFrame.

Action

Gets a value that indicates whether there is at least one entry in back navigation history.

Syntax

C#
protected Boolean CanGoBack { get; }
VB
'Declaration
Protected Read Property CanGoBack As Boolean

Access

Read only.


CanGoBack Property (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Gets a value that indicates whether there is at least one entry in back navigation history.

Syntax

C#
protected Boolean CanGoBack { get; }
VB
'Declaration
Protected Read Property CanGoBack As Boolean

Access

Read only.


CanGoForward Property (WPFFrame)

Class

WPFFrame.

Action

Gets a value that indicates whether there is at least one entry in forward navigation history.

Syntax

C#
protected Boolean CanGoForward { get; }
VB
'Declaration
Protected Read Property CanGoForward As Boolean

Access

Read only.


CanGoForward Property (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Gets a value that indicates whether there is at least one entry in forward navigation history.

Syntax

C#
protected Boolean CanGoForward { get; }
VB
'Declaration
Protected Read Property CanGoForward As Boolean

Access

Read only.


CanGoToNextPage Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets a value that indicates whether or not the viewer can jump to the next page in the current Document.

Syntax

C#
protected Boolean CanGoToNextPage { get; }
VB
'Declaration
Protected Read Property CanGoToNextPage As Boolean

Access

Read only.


CanGoToNextPage Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether or not the viewer can jump to the next page in the current Document.

Syntax

C#
protected Boolean CanGoToNextPage { get; }
VB
'Declaration
Protected Read Property CanGoToNextPage As Boolean

Access

Read only.


CanGoToPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Returns a value that indicates whether or the viewer is able to jump to the specified page number.

Syntax

C#
result = documentViewerBase.CanGoToPage(pageNumber)
VB
result = documentViewerBase.CanGoToPage(pageNumber)
Variable | Description
result | Boolean.
pageNumber | The page number. Integer.


CanGoToPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Returns a value that indicates whether or the viewer is able to jump to the specified page number.

Syntax

C#
result = flowDocumentReader.CanGoToPage(pageNumber)
VB
result = flowDocumentReader.CanGoToPage(pageNumber)
Variable | Description
result | Boolean.
pageNumber | The page number. Integer.


CanGoToPreviousPage Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets a value that indicates whether or not the viewer can jump to the previous page in the current Document.

Syntax

C#
protected Boolean CanGoToPreviousPage { get; }
VB
'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

Access

Read only.


CanGoToPreviousPage Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether or not the viewer can jump to the previous page in the current Document.

Syntax

C#
protected Boolean CanGoToPreviousPage { get; }
VB
'Declaration
Protected Read Property CanGoToPreviousPage As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets a value that indicates whether the DocumentViewer can zoom in more.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets a value that indicates whether the Zoom level can be increased.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets a value that indicates whether the Zoom level can be increased.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanIncreaseZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets a value that indicates whether the Zoom level can be increased.

Syntax

C#
protected Boolean CanIncreaseZoom { get; }
VB
'Declaration
Protected Read Property CanIncreaseZoom As Boolean

Access

Read only.


CanPause Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating whether the media can be paused.

Syntax

C#
protected Boolean CanPause { get; }
VB
'Declaration
Protected Read Property CanPause As Boolean

Access

Read only.


CanRedo Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether the most recent undo action can be redone.

Syntax

C#
protected Boolean CanRedo { get; }
VB
'Declaration
Protected Read Property CanRedo As Boolean

Access

Read only.


CanUndo Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether the most recent action can be undone.

Syntax

C#
protected Boolean CanUndo { get; }
VB
'Declaration
Protected Read Property CanUndo As Boolean

Access

Read only.


CaretIndex Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets the insertion position index of the caret.

Syntax

C#
protected Integer CaretIndex { get; }
VB
'Declaration
Protected Read Property CaretIndex As Integer

Access

Read only.


CaretIndex Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the insertion position index of the caret.

Syntax

C#
protected Integer CaretIndex { get; }
VB
'Declaration
Protected Read Property CaretIndex As Integer

Access

Read only.


Cells Property (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Gets the cells of the data grid row.

Syntax

C#
protected List(Of WPFDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of WPFDataGridCell)

Access

Read only.


Cells Property (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Gets the Cells of the data grid.

Syntax

C#
protected List(Of WPFToolkitDataGridCell) Cells { get; }
VB
'Declaration
Protected Read Property Cells As List(Of WPFToolkitDataGridCell)

Access

Read only.


CharacterCasing Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a value that indicates how characters are cased when they are manually entered into the text box.

Syntax

C#
protected CharacterCasing CharacterCasing { get; }
VB
'Declaration
Protected Read Property CharacterCasing As CharacterCasing

Access

Read only.


Check Method (WPFMenuBase)

Class

WPFMenuBase.

Action

Checks a menu item.

Syntax

C#
menuBase.Check(item)
VB
menuBase.Check(item)
Variable | Description
item | The menu item to check. Can be either a top-level menu item or a menu item that can be found in a submenu. For checking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.

Examples

VB

' Check the menu item 'Word Wrap' from the 'Format' menu
menu.Check("Format/Word Wrap")


Check Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Checks the menu item.

Syntax

C#
menuItem.Check()
VB
menuItem.Check()


Check Method (WPFToggleButton)

Class

WPFToggleButton.

Action

Checks the button.

Syntax

C#
toggleButton.Check()
VB
toggleButton.Check()


Clear Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Clears the value of the Password property.

Syntax

C#
passwordBox.Clear()
VB
passwordBox.Clear()


Clear Method (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Clears all the content from the RichTextBox.

Syntax

C#
richTextBox.Clear()
VB
richTextBox.Clear()


Clear Method (WPFTextBox)

Class

WPFTextBox.

Action

Clears all the content from the text box.

Syntax

C#
textBox.Clear()
VB
textBox.Clear()


ClearSelection Method (WPFDatePicker)

Class

WPFDatePicker.

Action

Clears the selection.

Syntax

C#
datePicker.ClearSelection()
VB
datePicker.ClearSelection()


ClearSelection Method (WPFToolkitDatePicker)

Class

WPFToolkitDatePicker.

Action

Clears the selection.

Syntax

C#
toolkitDatePicker.ClearSelection()
VB
toolkitDatePicker.ClearSelection()


ClickMode Property (WPFButtonBase)

Class

WPFButtonBase.

Action

Gets a value that specifies how the button can be clicked.

Syntax

C#
protected ClickMode ClickMode { get; }
VB
'Declaration
Protected Read Property ClickMode As ClickMode

Access

Read only.


Close Method (WPFComboBox)

Class

WPFComboBox.

Action

Closes the ComboBox.

Syntax

C#
comboBox.Close()
VB
comboBox.Close()


Close Method (WPFContextMenu)

Class

WPFContextMenu.

Action

Closes the ContextMenu.

Syntax

C#
contextMenu.Close()
VB
contextMenu.Close()


Close Method (WPFPopup)

Class

WPFPopup.

Action

Closes the pop-up window.

Syntax

C#
popup.Close()
VB
popup.Close()


CloseOverflowItems Method (WPFToolBar)

Class

WPFToolBar.

Action

Closes the overflow toolbar items area.

Syntax

C#
toolBar.CloseOverflowItems()
VB
toolBar.CloseOverflowItems()


CloseSubmenu Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Closes the submenu if available.

Syntax

C#
menuItem.CloseSubmenu()
VB
menuItem.CloseSubmenu()


Collapse Method (WPFExpander)

Class

WPFExpander.

Action

Collapses the Expander control. Only the header is visible.

Syntax

C#
expander.Collapse()
VB
expander.Collapse()


Collapse Method (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Collapses the sticky note.

Syntax

C#
stickyNoteControl.Collapse()
VB
stickyNoteControl.Collapse()


Collapse Method (WPFTreeView)

Class

WPFTreeView.

Action

Collapses the specified item.

Syntax

C#
treeView.Collapse(item)
VB
treeView.Collapse(item)
Variable | Description
item | The item to collapse. ItemPath.


Collapse Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Collapses the item.

Syntax

C#
treeViewItem.Collapse()
VB
treeViewItem.Collapse()


ColumnHeaders Property (WPFListView)

Class

WPFListView.

Action

Gets the header columns.

Syntax

C#
protected List(Of WPFColumnHeader) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

Access

Read only.


ColumnHeaders Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the header columns.

Syntax

C#
protected List(Of WPFColumnHeader) ColumnHeaders { get; }
VB
'Declaration
Protected Read Property ColumnHeaders As List(Of WPFColumnHeader)

Access

Read only.


Columns Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a collection that contains all the columns in the data grid.

Syntax

C#
protected List(Of WPFDataGridColumnHeader) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of WPFDataGridColumnHeader)

Access

Read only.


Columns Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a collection that contains all the columns in the data grid.

Syntax

C#
protected List(Of WPFToolkitDataGridColumnHeader) Columns { get; }
VB
'Declaration
Protected Read Property Columns As List(Of WPFToolkitDataGridColumnHeader)

Access

Read only.


CommitEdit Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Commits the edited cell.

Syntax

C#
dataGrid.CommitEdit()
VB
dataGrid.CommitEdit()


CommitEdit Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Commits the edited cell.

Syntax

C#
toolkitDataGrid.CommitEdit()
VB
toolkitDataGrid.CommitEdit()


Content Property (WPFContentControl)

Class

WPFContentControl.

Action

Gets the content of the control.

Syntax

C#
protected Object Content { get; }
VB
'Declaration
Protected Read Property Content As Object

Access

Read only.


Copy Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Copies the current selection of the text editing control to the Clipboard.

Syntax

C#
textBoxBase.Copy()
VB
textBoxBase.Copy()


CurrentCell Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the cell that has focus.

Syntax

C#
protected WPFDataGridCell CurrentCell { get; }
VB
'Declaration
Protected Read Property CurrentCell As WPFDataGridCell

Access

Read only.


CurrentCell Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the cell that has focus.

Syntax

C#
protected WPFToolkitDataGridCell CurrentCell { get; }
VB
'Declaration
Protected Read Property CurrentCell As WPFToolkitDataGridCell

Access

Read only.


Cut Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Removes the current selection from the text editing control and copies it to the Clipboard.

Syntax

C#
textBoxBase.Cut()
VB
textBoxBase.Cut()


DecreaseLarge Method (WPFSlider)

Class

WPFSlider.

Action

Decreases the value of the Slider by a large amount.

Syntax

C#
slider.DecreaseLarge()
VB
slider.DecreaseLarge()


DecreaseSmall Method (WPFSlider)

Class

WPFSlider.

Action

Decreases the value of the Slider by a small amount.

Syntax

C#
slider.DecreaseSmall()
VB
slider.DecreaseSmall()


DecreaseZoom Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Zooms out of the document content by one zoom step.

Syntax

C#
documentViewer.DecreaseZoom()
VB
documentViewer.DecreaseZoom()


DecreaseZoom Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Decreases the zoom.

Syntax

C#
flowDocumentPageViewer.DecreaseZoom()
VB
flowDocumentPageViewer.DecreaseZoom()


DecreaseZoom Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Decreases the zoom.

Syntax

C#
flowDocumentReader.DecreaseZoom()
VB
flowDocumentReader.DecreaseZoom()


DecreaseZoom Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Decreases the zoom.

Syntax

C#
flowDocumentScrollViewer.DecreaseZoom()
VB
flowDocumentScrollViewer.DecreaseZoom()


Delay Property (WPFRepeatButton)

Class

WPFRepeatButton.

Action

Gets the amount of time, in milliseconds, the RepeatButton waits while it is pressed before it starts repeating.

Syntax

C#
protected Integer Delay { get; }
VB
'Declaration
Protected Read Property Delay As Integer

Access

Read only.


Delay Property (WPFSlider)

Class

WPFSlider.

Action

Gets the amount of time in milliseconds that a RepeatButton waits, while it is pressed, before a command to move the Thumb executes.

Syntax

C#
protected Integer Delay { get; }
VB
'Declaration
Protected Read Property Delay As Integer

Access

Read only.


DeselectAll Method (WPFListBox)

Class

WPFListBox.

Action

Clears the selections in multi-select ListBox.

Syntax

C#
listBox.DeselectAll()
VB
listBox.DeselectAll()


Deselect Method (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Deselects the cell.

Syntax

C#
dataGridCell.Deselect()
VB
dataGridCell.Deselect()


Deselect Method (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Deselects the row.

Syntax

C#
dataGridRow.Deselect()
VB
dataGridRow.Deselect()


Deselect Method (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Deselects the ListBoxItem.

Syntax

C#
listBoxItem.Deselect()
VB
listBoxItem.Deselect()


Deselect Method (WPFTabItem)

Class

WPFTabItem.

Action

Deselects the item.

Syntax

C#
tabItem.Deselect()
VB
tabItem.Deselect()


Deselect Method (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Deselects the cell.

Syntax

C#
toolkitDataGridCell.Deselect()
VB
toolkitDataGridCell.Deselect()


Deselect Method (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Deselects the row.

Syntax

C#
toolkitDataGridRow.Deselect()
VB
toolkitDataGridRow.Deselect()


DisplayDateEnd Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the last date in the date range that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateEnd { get; }
VB
'Declaration
Protected Read Property DisplayDateEnd As DateTime?

Access

Read only.


DisplayDateEnd Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the last date in the date range that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateEnd { get; }
VB
'Declaration
Protected Read Property DisplayDateEnd As DateTime?

Access

Read only.


DisplayDate Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the date to display.

Syntax

C#
protected DateTime? DisplayDate { get; }
VB
'Declaration
Protected Read Property DisplayDate As DateTime?

Access

Read only.


DisplayDate Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the date to display.

Syntax

C#
protected DateTime? DisplayDate { get; }
VB
'Declaration
Protected Read Property DisplayDate As DateTime?

Access

Read only.


DisplayDateStart Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the first date that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateStart { get; }
VB
'Declaration
Protected Read Property DisplayDateStart As DateTime?

Access

Read only.


DisplayDateStart Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the first date that is available in the calendar.

Syntax

C#
protected DateTime? DisplayDateStart { get; }
VB
'Declaration
Protected Read Property DisplayDateStart As DateTime?

Access

Read only.


DisplayMode Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a value that indicates whether the calendar displays a month, year, or decade.

Syntax

C#
protected CalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As CalendarMode

Access

Read only.


DisplayMode Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a value that indicates whether the calendar displays a month, year, or decade.

Syntax

C#
protected CalendarMode DisplayMode { get; }
VB
'Declaration
Protected Read Property DisplayMode As CalendarMode

Access

Read only.


DragCancel Method (WPFThumb)

Class

WPFThumb.

Action

Cancels the drag operation.

Syntax

C#
thumb.DragCancel()
VB
thumb.DragCancel()


DragComplete Method (WPFThumb)

Class

WPFThumb.

Action

Completes the drag operation.

Syntax

C#
thumb.DragComplete(horizontalChange, verticalChange)
VB
thumb.DragComplete(horizontalChange, verticalChange)
Variable | Description
horizontalChange | The horizontal distance that the mouse has moved. Double.
verticalChange | The vertical distance that the mouse has moved. Double.


DragDelta Method (WPFThumb)

Class

WPFThumb.

Action

The delta of the current drag operation.

Syntax

C#
thumb.DragDelta(horizontalChange, verticalChange)
VB
thumb.DragDelta(horizontalChange, verticalChange)
Variable | Description
horizontalChange | The horizontal distance that the mouse has moved. Double.
verticalChange | The vertical distance that the mouse has moved. Double.


DragStart Method (WPFThumb)

Class

WPFThumb.

Action

Starts a drag operation.

Syntax

C#
thumb.DragStart(horizontalOffset, verticalOffset)
VB
thumb.DragStart(horizontalOffset, verticalOffset)
Variable | Description
horizontalOffset | The horizontal offset of the mouse click. Double.
verticalOffset | The vertical offset of the mouse click. Double.


ExpandAll Method (WPFTreeView)

Class

WPFTreeView.

Action

Expands all items in the tree.

Syntax

C#
treeView.ExpandAll()
VB
treeView.ExpandAll()


ExpandDirection Property (WPFExpander)

Class

WPFExpander.

Action

Gets the direction in which the Expander content window opens.

Syntax

C#
protected ExpandDirection ExpandDirection { get; }
VB
'Declaration
Protected Read Property ExpandDirection As ExpandDirection

Access

Read only.


Expand Method (WPFExpander)

Class

WPFExpander.

Action

Expands the Expander control.

Syntax

C#
expander.Expand()
VB
expander.Expand()


Expand Method (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Expands the sticky note.

Syntax

C#
stickyNoteControl.Expand()
VB
stickyNoteControl.Expand()


Expand Method (WPFTreeView)

Class

WPFTreeView.

Action

Expands the specified item.

Syntax

C#
treeView.Expand(item)
VB
treeView.Expand(item)
Variable | Description
item | The item to expand. ItemPath.


Expand Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Expands the item.

Syntax

C#
treeViewItem.Expand()
VB
treeViewItem.Expand()


ExpandSubTree Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Expands the sub tree under this tree item.

Syntax

C#
treeViewItem.ExpandSubTree()
VB
treeViewItem.ExpandSubTree()


FirstDayOfWeek Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the day that is considered the beginning of the week.

Syntax

C#
protected CalendarDayOfWeek FirstDayOfWeek { get; }
VB
'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

Access

Read only.


FirstDayOfWeek Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the day that is considered the beginning of the week.

Syntax

C#
protected CalendarDayOfWeek FirstDayOfWeek { get; }
VB
'Declaration
Protected Read Property FirstDayOfWeek As CalendarDayOfWeek

Access

Read only.


FirstPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the first page.

Syntax

C#
documentViewerBase.FirstPage()
VB
documentViewerBase.FirstPage()


FirstPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the first page.

Syntax

C#
flowDocumentReader.FirstPage()
VB
flowDocumentReader.FirstPage()


FitToHeight Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Fits a single page to the height of the current viewport.

Syntax

C#
documentViewer.FitToHeight()
VB
documentViewer.FitToHeight()


FitToWidth Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Fits a single page to the width of the current viewport.

Syntax

C#
documentViewer.FitToWidth()
VB
documentViewer.FitToWidth()


FontFamily Property (WPFControl)

Class

WPFControl.

Action

Gets the preferred top-level font family for the TextBlock.

Syntax

C#
protected String FontFamily { get; }
VB
'Declaration
Protected Read Property FontFamily As String

Access

Read only.


FontFamily Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets the preferred top-level font family for the TextBlock.

Syntax

C#
protected String FontFamily { get; }
VB
'Declaration
Protected Read Property FontFamily As String

Access

Read only.


FontSize Property (WPFControl)

Class

WPFControl.

Action

Gets the top-level font size for the TextBlock.

Syntax

C#
protected Double FontSize { get; }
VB
'Declaration
Protected Read Property FontSize As Double

Access

Read only.


FontSize Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets the top-level font size for the TextBlock.

Syntax

C#
protected Double FontSize { get; }
VB
'Declaration
Protected Read Property FontSize As Double

Access

Read only.


GetCharacterIndexFromLineIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the zero-based character index for the first character in the specified line.

Syntax

C#
characterIndexFromLineIndex = textBox.GetCharacterIndexFromLineIndex(lineIndex)
VB
characterIndexFromLineIndex = textBox.GetCharacterIndexFromLineIndex(lineIndex)
Variable | Description
characterIndexFromLineIndex | Integer.
lineIndex | The zero-based index of the line to retrieve the initial character index for. Integer.


GetFirstVisibleLineIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the line index for the first line that is currently visible in the text box.

Syntax

C#
firstVisibleLineIndex = textBox.GetFirstVisibleLineIndex()
VB
firstVisibleLineIndex = textBox.GetFirstVisibleLineIndex()
Variable | Description
firstVisibleLineIndex | Integer.


GetLastVisibleLineIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the line index for the last line that is currently visible in the text box.

Syntax

C#
lastVisibleLineIndex = textBox.GetLastVisibleLineIndex()
VB
lastVisibleLineIndex = textBox.GetLastVisibleLineIndex()
Variable | Description
lastVisibleLineIndex | Integer.


GetLineIndexFromCharacterIndex Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the zero-based line index for the line that contains the specified character index.

Syntax

C#
lineIndexFromCharacterIndex = textBox.GetLineIndexFromCharacterIndex(charIndex)
VB
lineIndexFromCharacterIndex = textBox.GetLineIndexFromCharacterIndex(charIndex)
Variable | Description
lineIndexFromCharacterIndex | Integer.
charIndex | The zero-based character index for which to retrieve the associated line index. Integer.


GetLineLength Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the number of characters in the specified line.

Syntax

C#
lineLength = textBox.GetLineLength(lineIndex)
VB
lineLength = textBox.GetLineLength(lineIndex)
Variable | Description
lineLength | Integer.
lineIndex | The zero-based line index for which to return a character count. Integer.


GetLineText Method (WPFTextBox)

Class

WPFTextBox.

Action

Returns the text that is currently displayed on the specified line.

Syntax

C#
lineText = textBox.GetLineText(lineIndex)
VB
lineText = textBox.GetLineText(lineIndex)
Variable | Description
lineText | String.
lineIndex | The zero-based line index for which to retrieve the currently displayed text. Integer.


GetMaximumScrollPosition Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Retrieves the maximum position of the ScrollViewer.

Syntax

C#
maximumScrollPosition = iWPFScrollable.GetMaximumScrollPosition(orientation)
VB
maximumScrollPosition = iWPFScrollable.GetMaximumScrollPosition(orientation)
Variable | Description
maximumScrollPosition | Double.
orientation | GetMaximumScrollPosition of either the horizontal or vertical scrollbar. Orientation.


GetScrollPosition Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Return the position of the ScrollViewer.

Syntax

C#
scrollPosition = iWPFScrollable.GetScrollPosition(orientation)
VB
scrollPosition = iWPFScrollable.GetScrollPosition(orientation)
Variable | Description
scrollPosition | Double.
orientation | GetScrollPosition of either the horizontal or vertical scrollbar. Orientation.


GoBack Method (WPFFrame)

Class

WPFFrame.

Action

Navigates to the most recent item in back navigation history.

Syntax

C#
frame.GoBack()
VB
frame.GoBack()


GoBack Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Navigates to the most recent item in back navigation history.

Syntax

C#
navigationWindow.GoBack()
VB
navigationWindow.GoBack()


GoForward Method (WPFFrame)

Class

WPFFrame.

Action

Navigates to the most recent item in forward navigation history.

Syntax

C#
frame.GoForward()
VB
frame.GoForward()


GoForward Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Navigates to the most recent item in forward navigation history.

Syntax

C#
navigationWindow.GoForward()
VB
navigationWindow.GoForward()


GoToPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the specified page.

Syntax

C#
documentViewerBase.GoToPage(pageNumber)
VB
documentViewerBase.GoToPage(pageNumber)
Variable | Description
pageNumber | The page number. Integer.


GoToPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the specified page.

Syntax

C#
flowDocumentReader.GoToPage(pageNumber)
VB
flowDocumentReader.GoToPage(pageNumber)
Variable | Description
pageNumber | The page number. Integer.


GroupName Property (WPFRadioButton)

Class

WPFRadioButton.

Action

Gets the group name of this radio button.

Syntax

C#
protected String GroupName { get; }
VB
'Declaration
Protected Read Property GroupName As String

Access

Read only.


HasAudio Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating whether the media has audio.

Syntax

C#
protected Boolean HasAudio { get; }
VB
'Declaration
Protected Read Property HasAudio As Boolean

Access

Read only.


HasContent Property (WPFContentControl)

Class

WPFContentControl.

Action

Gets a value that indicates whether the ContentControl contains content.

Syntax

C#
protected Boolean HasContent { get; }
VB
'Declaration
Protected Read Property HasContent As Boolean

Access

Read only.


HasItems Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a value that indicates whether the ItemsControl contains items.

Syntax

C#
protected Boolean HasItems { get; }
VB
'Declaration
Protected Read Property HasItems As Boolean

Access

Read only.


HasOverflowItems Property (WPFToolBar)

Class

WPFToolBar.

Action

Gets a value that indicates whether the ToolBar has items that are not visible.

Syntax

C#
protected Boolean HasOverflowItems { get; }
VB
'Declaration
Protected Read Property HasOverflowItems As Boolean

Access

Read only.


HasSubmenu Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets whether a menu item has a submenu.

Syntax

C#
protected Boolean HasSubmenu { get; }
VB
'Declaration
Protected Read Property HasSubmenu As Boolean

Access

Read only.


HasVideo Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating whether the media has video.

Syntax

C#
protected Boolean HasVideo { get; }
VB
'Declaration
Protected Read Property HasVideo As Boolean

Access

Read only.


HorizontalOffset Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the horizontal distance between the target origin and the popup alignment point. This is a dependency property.

Syntax

C#
protected Double HorizontalOffset { get; }
VB
'Declaration
Protected Read Property HorizontalOffset As Double

Access

Read only.


HorizontalOffset Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the horizontal scroll position.

Syntax

C#
protected Double HorizontalOffset { get; }
VB
'Declaration
Protected Read Property HorizontalOffset As Double

Access

Read only.


HorizontalScrollBarVisibility Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether a horizontal scroll bar is shown.

Syntax

C#
protected ScrollBarVisibility HorizontalScrollBarVisibility { get; }
VB
'Declaration
Protected Read Property HorizontalScrollBarVisibility As ScrollBarVisibility

Access

Read only.


IncreaseLarge Method (WPFSlider)

Class

WPFSlider.

Action

Increases the value of the Slider by a large amount.

Syntax

C#
slider.IncreaseLarge()
VB
slider.IncreaseLarge()


IncreaseSmall Method (WPFSlider)

Class

WPFSlider.

Action

Increases the value of the Slider by a small amount.

Syntax

C#
slider.IncreaseSmall()
VB
slider.IncreaseSmall()


IncreaseZoom Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Zooms in on the document content by one zoom step.

Syntax

C#
documentViewer.IncreaseZoom()
VB
documentViewer.IncreaseZoom()


IncreaseZoom Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Increases the zoom.

Syntax

C#
flowDocumentPageViewer.IncreaseZoom()
VB
flowDocumentPageViewer.IncreaseZoom()


IncreaseZoom Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Increases the zoom.

Syntax

C#
flowDocumentReader.IncreaseZoom()
VB
flowDocumentReader.IncreaseZoom()


IncreaseZoom Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Increases the zoom.

Syntax

C#
flowDocumentScrollViewer.IncreaseZoom()
VB
flowDocumentScrollViewer.IncreaseZoom()


Interval Property (WPFRepeatButton)

Class

WPFRepeatButton.

Action

Gets the amount of time, in milliseconds, between repeats once repeating starts.

Syntax

C#
protected Integer Interval { get; }
VB
'Declaration
Protected Read Property Interval As Integer

Access

Read only.


IsCancel Property (WPFButton)

Class

WPFButton.

Action

Gets a value that indicates whether a Button is a Cancel button. A user can activate the Cancel button by pressing the ESC key. This is a dependency property.

Syntax

C#
protected Boolean IsCancel { get; }
VB
'Declaration
Protected Read Property IsCancel As Boolean

Access

Read only.


IsChecked Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates whether the MenuItem is checked.

Syntax

C#
protected Boolean IsChecked { get; }
VB
'Declaration
Protected Read Property IsChecked As Boolean

Access

Read only.


IsChecked Property (WPFToggleButton)

Class

WPFToggleButton.

Action

Gets whether the button is checked.

Syntax

C#
protected Boolean IsChecked { get; }
VB
'Declaration
Protected Read Property IsChecked As Boolean

Access

Read only.


IsDefaulted Property (WPFButton)

Class

WPFButton.

Action

Gets a value that indicates whether a Button is the button that is activated when a user presses ENTER. This is a dependency property.

Syntax

C#
protected Boolean IsDefaulted { get; }
VB
'Declaration
Protected Read Property IsDefaulted As Boolean

Access

Read only.


IsDefault Property (WPFButton)

Class

WPFButton.

Action

Gets a value that indicates whether a Button is the default button. A user invokes the default button by pressing the ENTER key. This is a dependency property.

Syntax

C#
protected Boolean IsDefault { get; }
VB
'Declaration
Protected Read Property IsDefault As Boolean

Access

Read only.


IsDirectionReversed Property (WPFSlider)

Class

WPFSlider.

Action

Gets the direction of increasing value.

Syntax

C#
protected Boolean IsDirectionReversed { get; }
VB
'Declaration
Protected Read Property IsDirectionReversed As Boolean

Access

Read only.


IsDropDownOpen Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets a value that indicates whether the drop-down for a combo box is currently open.

Syntax

C#
protected Boolean IsDropDownOpen { get; }
VB
'Declaration
Protected Read Property IsDropDownOpen As Boolean

Access

Read only.


IsEditable Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets a value that enables or disables editing of the text in text box of the ComboBox.

Syntax

C#
protected Boolean IsEditable { get; }
VB
'Declaration
Protected Read Property IsEditable As Boolean

Access

Read only.


IsEditing Property (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Gets a value that indicates whether the cell is in edit mode.

Syntax

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

Access

Read only.


IsEditing Property (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Gets a value that indicates whether the cell is in edit mode.

Syntax

C#
protected Boolean IsEditing { get; }
VB
'Declaration
Protected Read Property IsEditing As Boolean

Access

Read only.


IsEnabled Property (WPFBase)

Class

WPFBase.

Action

Gets a value that indicates whether this element is enabled in the user interface (UI).

Syntax

C#
protected Boolean IsEnabled { get; }
VB
'Declaration
Protected Read Property IsEnabled As Boolean

Access

Read only.


IsExpanded Property (WPFExpander)

Class

WPFExpander.

Action

Gets whether the Expander content window is visible.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsExpanded Property (WPFStickyNoteControl)

Class

WPFStickyNoteControl.

Action

Gets a value indicating whether the StickyNoteControl is expanded.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsExpanded Property (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Gets a value that indicates whether the nested items in a TreeViewItem are expanded or collapsed.

Syntax

C#
protected Boolean IsExpanded { get; }
VB
'Declaration
Protected Read Property IsExpanded As Boolean

Access

Read only.


IsLocked Property (WPFToolBarTray)

Class

WPFToolBarTray.

Action

Gets a value that indicates whether a ToolBar can be moved inside a ToolBarTray.

Syntax

C#
protected Boolean IsLocked { get; }
VB
'Declaration
Protected Read Property IsLocked As Boolean

Access

Read only.


IsMainMenu Property (WPFMenu)

Class

WPFMenu.

Action

Gets a value that indicates whether this Menu receives a main menu activation notification.

Syntax

C#
protected Boolean IsMainMenu { get; }
VB
'Declaration
Protected Read Property IsMainMenu As Boolean

Access

Read only.


IsMediaLoaded Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets a value indicating the content is loaded.

Syntax

C#
protected Boolean IsMediaLoaded { get; }
VB
'Declaration
Protected Read Property IsMediaLoaded As Boolean

Access

Read only.


IsMoveToPointEnabled Property (WPFSlider)

Class

WPFSlider.

Action

Gets a value that indicates whether the Thumb of a Slider moves immediately to the location of the mouse click that occurs while the mouse pointer pauses on the Slider track.

Syntax

C#
protected Boolean IsMoveToPointEnabled { get; }
VB
'Declaration
Protected Read Property IsMoveToPointEnabled As Boolean

Access

Read only.


IsMuted Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets a value indicating whether the audio is muted.

Syntax

C#
protected Boolean IsMuted { get; set; }
VB
'Declaration
Protected ReadWrite Property IsMuted As Boolean

Access

Read and write.


IsOpen Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets a value that indicates whether the ContextMenu is open.

Syntax

C#
protected Boolean IsOpen { get; }
VB
'Declaration
Protected Read Property IsOpen As Boolean

Access

Read only.


IsOverflowOpen Property (WPFToolBar)

Class

WPFToolBar.

Action

Gets a value that indicates whether the ToolBar overflow area is currently visible.

Syntax

C#
protected Boolean IsOverflowOpen { get; }
VB
'Declaration
Protected Read Property IsOverflowOpen As Boolean

Access

Read only.


IsPressed Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates whether a MenuItem is pressed.

Syntax

C#
protected Boolean IsPressed { get; }
VB
'Declaration
Protected Read Property IsPressed As Boolean

Access

Read only.


IsReadOnly Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets whether the combo box is in selection-only mode, in which the contents of the combo box are selectable but not editable.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a value that indicates whether the user can edit values in the data grid.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Gets a value that indicates whether the cell can be put in edit mode.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether the text editing control is read-only to a user interacting with the control.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a value that indicates whether the user can edit values in the data grid.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsReadOnly Property (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Gets a value that indicates whether the cell can be put in edit mode.

Syntax

C#
protected Boolean IsReadOnly { get; }
VB
'Declaration
Protected Read Property IsReadOnly As Boolean

Access

Read only.


IsSelected Property (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Gets a value that indicates whether the cell is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Gets a value that indicates whether the row is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Gets a value that indicates whether a ListBoxItem is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFTabItem)

Class

WPFTabItem.

Action

Gets a value that indicates whether the TabItem is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Gets a value that indicates whether the cell is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Gets a value that indicates whether the row is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelected Property (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Gets a value that indicates whether a TreeViewItem is selected.

Syntax

C#
protected Boolean IsSelected { get; }
VB
'Declaration
Protected Read Property IsSelected As Boolean

Access

Read only.


IsSelectionRangeEnabled Property (WPFSlider)

Class

WPFSlider.

Action

Gets a value that indicates whether the Slider displays a selection range along the Slider.

Syntax

C#
protected Boolean IsSelectionRangeEnabled { get; }
VB
'Declaration
Protected Read Property IsSelectionRangeEnabled As Boolean

Access

Read only.


IsSnapToTickEnabled Property (WPFSlider)

Class

WPFSlider.

Action

Gets a value that indicates whether the Slider automatically moves the Thumb to the closest tick mark.

Syntax

C#
protected Boolean IsSnapToTickEnabled { get; }
VB
'Declaration
Protected Read Property IsSnapToTickEnabled As Boolean

Access

Read only.


IsSpellCheckEnabled Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets whether spell checking is enabled.

Syntax

C#
protected Boolean IsSpellCheckEnabled { get; }
VB
'Declaration
Protected Read Property IsSpellCheckEnabled As Boolean

Access

Read only.


IsSubmenuOpen Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates whether the submenu of the MenuItem is open.

Syntax

C#
protected Boolean IsSubmenuOpen { get; }
VB
'Declaration
Protected Read Property IsSubmenuOpen As Boolean

Access

Read only.


IsTabStop Property (WPFControl)

Class

WPFControl.

Action

Gets a value that indicates whether a control is included in tab navigation.

Syntax

C#
protected Boolean IsTabStop { get; }
VB
'Declaration
Protected Read Property IsTabStop As Boolean

Access

Read only.


IsTextSearchEnabled Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a value that indicates whether TextSearch is enabled on the ItemsControl instance.

Syntax

C#
protected Boolean IsTextSearchEnabled { get; }
VB
'Declaration
Protected Read Property IsTextSearchEnabled As Boolean

Access

Read only.


IsThreeState Property (WPFToggleButton)

Class

WPFToggleButton.

Action

Gets whether the control supports two or three states.

Syntax

C#
protected Boolean IsThreeState { get; }
VB
'Declaration
Protected Read Property IsThreeState As Boolean

Access

Read only.


IsTodayHighlighted Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a value that indicates whether the current date is highlighted.

Syntax

C#
protected Boolean IsTodayHighlighted { get; }
VB
'Declaration
Protected Read Property IsTodayHighlighted As Boolean

Access

Read only.


IsTodayHighlighted Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a value that indicates whether the current date is highlighted.

Syntax

C#
protected Boolean IsTodayHighlighted { get; }
VB
'Declaration
Protected Read Property IsTodayHighlighted As Boolean

Access

Read only.


IsUndoEnabled Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether undo support is enabled for the text-editing control.

Syntax

C#
protected Boolean IsUndoEnabled { get; }
VB
'Declaration
Protected Read Property IsUndoEnabled As Boolean

Access

Read only.


Items Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a complete list of items.

Syntax

C#
protected List(Of WPFBase) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of WPFBase)

Access

Read only.


ItemTexts Property (WPFItemsControl)

Class

WPFItemsControl.

Action

Gets a complete list of item texts.

Syntax

C#
protected List(Of String) ItemTexts { get; }
VB
'Declaration
Protected Read Property ItemTexts As List(Of String)

Access

Read only.


LargeChange Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets a value to be added to or subtracted from the value of a RangeBase control.

Syntax

C#
protected Double LargeChange { get; }
VB
'Declaration
Protected Read Property LargeChange As Double

Access

Read only.


LastPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the last page.

Syntax

C#
documentViewerBase.LastPage()
VB
documentViewerBase.LastPage()


LastPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the last page.

Syntax

C#
flowDocumentReader.LastPage()
VB
flowDocumentReader.LastPage()


Length Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets the natural duration of the media in seconds.

Syntax

C#
protected Double Length { get; }
VB
'Declaration
Protected Read Property Length As Double

Access

Read only.


LineCount Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the total number of lines in the text box.

Syntax

C#
protected Integer LineCount { get; }
VB
'Declaration
Protected Read Property LineCount As Integer

Access

Read only.


LoadAssembly Method (WPFWindow)

Class

WPFWindow.

Action

Loads the assembly on the specified path in the WPF application.

The main use case to load an additional assembly that contains utility methods that can be called via the "Dynamic Invoke" feature.

Syntax

C#
window.LoadAssembly(assemblyFile)
VB
window.LoadAssembly(assemblyFile)
Variable | Description
assemblyFile | The path of the assembly file to load. String.


MasterPageNumber Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets the page number for the current master page.

Syntax

C#
protected Integer MasterPageNumber { get; }
VB
'Declaration
Protected Read Property MasterPageNumber As Integer

Access

Read only.


MaxDropDownHeight Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets the maximum height for a combo box drop-down.

Syntax

C#
protected Double MaxDropDownHeight { get; }
VB
'Declaration
Protected Read Property MaxDropDownHeight As Double

Access

Read only.


Maximum Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets the highest possible value of the range element.

Syntax

C#
protected Double Maximum { get; }
VB
'Declaration
Protected Read Property Maximum As Double

Access

Read only.


MaxLength Property (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Gets the maximum length for passwords to be handled by this PasswordBox.

Syntax

C#
protected Integer MaxLength { get; }
VB
'Declaration
Protected Read Property MaxLength As Integer

Access

Read only.


MaxLength Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the maximum number of characters that can be manually entered into the text box.

Syntax

C#
protected Integer MaxLength { get; }
VB
'Declaration
Protected Read Property MaxLength As Integer

Access

Read only.


MaxLines Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the maximum number of visible lines.

Syntax

C#
protected Integer MaxLines { get; }
VB
'Declaration
Protected Read Property MaxLines As Integer

Access

Read only.


MaxZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the maximum allowable Zoom level for the FlowDocumentPageViewer.

Syntax

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

Access

Read only.


MaxZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the maximum allowable Zoom level for the FlowDocumentReader.

Syntax

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

Access

Read only.


MaxZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the maximum allowable Zoom level for the FlowDocumentScrollViewer.

Syntax

C#
protected Double MaxZoom { get; }
VB
'Declaration
Protected Read Property MaxZoom As Double

Access

Read only.


Minimum Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets the minimum possible value of the range element.

Syntax

C#
protected Double Minimum { get; }
VB
'Declaration
Protected Read Property Minimum As Double

Access

Read only.


MinLines Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the minimum number of visible lines.

Syntax

C#
protected Integer MinLines { get; }
VB
'Declaration
Protected Read Property MinLines As Integer

Access

Read only.


MinZoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the minimum allowable Zoom level for the FlowDocumentPageViewer.

Syntax

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

Access

Read only.


MinZoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the minimum allowable Zoom level for the FlowDocumentReader.

Syntax

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

Access

Read only.


MinZoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the minimum allowable Zoom level for the FlowDocumentScrollViewer.

Syntax

C#
protected Double MinZoom { get; }
VB
'Declaration
Protected Read Property MinZoom As Double

Access

Read only.


MoveDown Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content down 16 device independent pixels.

Syntax

C#
documentViewer.MoveDown()
VB
documentViewer.MoveDown()


MoveLeft Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content left 16 device independent pixels.

Syntax

C#
documentViewer.MoveLeft()
VB
documentViewer.MoveLeft()


MoveRight Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content right 16 device independent pixels.

Syntax

C#
documentViewer.MoveRight()
VB
documentViewer.MoveRight()


MoveUp Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls the document content up 16 device independent pixels.

Syntax

C#
documentViewer.MoveUp()
VB
documentViewer.MoveUp()


Name Property (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Gets the identifying name of the element.

Syntax

C#
protected String Name { get; }
VB
'Declaration
Protected Read Property Name As String

Access

Read only.


Navigate Method (WPFFrame)

Class

WPFFrame.

Action

Navigates asynchronously to the specified source content.

Syntax

C#
result = frame.Navigate(uri)
VB
result = frame.Navigate(uri)
Variable | Description
result | True if a navigation is not canceled; otherwise, false. Boolean.
uri | The URI for the desired content. String.


Navigate Method (WPFHyperlink)

Class

WPFHyperlink.

Action

Performs a click on the Hyperlink.

Syntax

C#
hyperlink.Navigate()
VB
hyperlink.Navigate()


Navigate Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Navigates asynchronously to the specified source content.

Syntax

C#
result = navigationWindow.Navigate(uri)
VB
result = navigationWindow.Navigate(uri)
Variable | Description
result | True if a navigation is not canceled; otherwise, false. Boolean.
uri | The URI for the desired content. String.


NavigateUri Property (WPFHyperlink)

Class

WPFHyperlink.

Action

Gets a URI to navigate to when the Hyperlink is activated.

Syntax

C#
protected String NavigateUri { get; }
VB
'Declaration
Protected Read Property NavigateUri As String

Access

Read only.


NextPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the next page.

Syntax

C#
documentViewerBase.NextPage()
VB
documentViewerBase.NextPage()


NextPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the next page.

Syntax

C#
flowDocumentReader.NextPage()
VB
flowDocumentReader.NextPage()


OpenContextMenu Method (WPFBase)

Class

WPFBase.

Action

Opens a context menu at the specified position.

Syntax

C#
base.OpenContextMenu([pos])
VB
base.OpenContextMenu([pos])
Variable | Description
pos | Optional: The coordinates to open the context menu relative to the element on which this function is called. Point.


OpenContextMenuSelect Method (WPFBase)

Class

WPFBase.

Action

Opens a context menu and selects a menu item from the context menu.

Syntax

C#
base.OpenContextMenuSelect(item, [pos])
VB
base.OpenContextMenuSelect(item, [pos])
Variable | Description
item | The menu item to select. Can be either a top-level menu item or a menu item that can be found in a submenu. For selecting a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.
pos | Optional: The coordinates to open the context menu relative to the element on which this function is called. Point.

Examples

VB

' Open the context menu at the specified position and select the menu item 'Copy'
window.OpenContextMenuSelect("Copy", New Point(100, 50))

' Open the context menu by right clicking in the middle of the window and select the 'Mail Recipient' menu item in the submenu of the 'Send To' menu item
window.OpenContextMenuSelect("Send To/Mail Recipient")

' Open the context menu at the specified position and select the 4th menu item in the submenu of 'Send To' menu item
window.OpenContextMenuSelect("Send To/[3]", New Point(100, 50))


Open Method (WPFComboBox)

Class

WPFComboBox.

Action

Opens the ComboBox.

Syntax

C#
comboBox.Open()
VB
comboBox.Open()


OpenOverflowItems Method (WPFToolBar)

Class

WPFToolBar.

Action

Opens the overflow toolbar items area.

Syntax

C#
toolBar.OpenOverflowItems()
VB
toolBar.OpenOverflowItems()


OpenSubmenu Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Opens the submenu if available.

Syntax

C#
menuItem.OpenSubmenu()
VB
menuItem.OpenSubmenu()


Orientation Property (WPFScrollBar)

Class

WPFScrollBar.

Action

Gets whether the ScrollBar is displayed horizontally or vertically.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


Orientation Property (WPFSlider)

Class

WPFSlider.

Action

Gets whether the Slider is displayed horizontally or vertically.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


Orientation Property (WPFToolBar)

Class

WPFToolBar.

Action

Gets the orientation of the ToolBar.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


Orientation Property (WPFToolBarTray)

Class

WPFToolBarTray.

Action

Gets the orientation of a ToolBarTray.

Syntax

C#
protected Orientation Orientation { get; }
VB
'Declaration
Protected Read Property Orientation As Orientation

Access

Read only.


PageCount Property (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Gets the total number of pages in the current Document.

Syntax

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

Access

Read only.


PageCount Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the total number of pages in the current Document.

Syntax

C#
protected Integer PageCount { get; }
VB
'Declaration
Protected Read Property PageCount As Integer

Access

Read only.


PageNumber Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the page number for the current master page.

Syntax

C#
protected Integer PageNumber { get; }
VB
'Declaration
Protected Read Property PageNumber As Integer

Access

Read only.


PasswordChar Property (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Gets the masking character for the PasswordBox.

Syntax

C#
protected String PasswordChar { get; }
VB
'Declaration
Protected Read Property PasswordChar As String

Access

Read only.


Paste Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Pastes the contents of the clipboard over the current selection in the text editing control.

Syntax

C#
passwordBox.Paste()
VB
passwordBox.Paste()


Paste Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Pastes the contents of the Clipboard over the current selection in the text editing control.

Syntax

C#
textBoxBase.Paste()
VB
textBoxBase.Paste()


Pause Method (WPFMediaElement)

Class

WPFMediaElement.

Action

Pauses media at the current position. This method has an effect only if the LoadedBehavior property is set to Manual.

Syntax

C#
mediaElement.Pause()
VB
mediaElement.Pause()


Placement Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the Placement property of a ContextMenu. This is a dependency property.

Syntax

C#
protected PlacementMode Placement { get; }
VB
'Declaration
Protected Read Property Placement As PlacementMode

Access

Read only.


PlacementRectangle Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the area relative to which the context menu is positioned when it opens. This is a dependency property.

Syntax

C#
protected Rectangle PlacementRectangle { get; }
VB
'Declaration
Protected Read Property PlacementRectangle As Rectangle

Access

Read only.


Play Method (WPFMediaElement)

Class

WPFMediaElement.

Action

Plays media from the current position. This method has an effect only if the LoadedBehavior property is set to Manual.

Syntax

C#
mediaElement.Play()
VB
mediaElement.Play()


PointFromScreen Method (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Converts a Point in screen coordinates into a Point that represents the current coordinate system of the Visual.

Syntax

C#
result = frameworkElement.PointFromScreen(point)
VB
result = frameworkElement.PointFromScreen(point)
Variable | Description
result | The converted Point. Point.
point | The Point value in screen coordinates. Point.


PointToScreen Method (WPFFrameworkElement)

Class

WPFFrameworkElement.

Action

Converts a Point that represents the current coordinate system of the Visual into a Point in screen coordinates.

Syntax

C#
result = frameworkElement.PointToScreen(point)
VB
result = frameworkElement.PointToScreen(point)
Variable | Description
result | The converted Point. Point.
point | The Point value that represents the current coordinate system of the Visual. Point.


Position Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets the current position of progress through the media's playback time in seconds.

Syntax

C#
protected Double Position { get; set; }
VB
'Declaration
Protected ReadWrite Property Position As Double

Access

Read and write.


PreviousPage Method (WPFDocumentViewerBase)

Class

WPFDocumentViewerBase.

Action

Jumps to the previous page.

Syntax

C#
documentViewerBase.PreviousPage()
VB
documentViewerBase.PreviousPage()


PreviousPage Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Jumps to the previous page.

Syntax

C#
flowDocumentReader.PreviousPage()
VB
flowDocumentReader.PreviousPage()


Redo Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Undoes the most recent undo command. In other words, redoes the most recent undo unit on the undo stack.

Syntax

C#
result = textBoxBase.Redo()
VB
result = textBoxBase.Redo()
Variable | Description
result | Boolean.


Refresh Method (WPFFrame)

Class

WPFFrame.

Action

Reloads the current content.

Syntax

C#
frame.Refresh()
VB
frame.Refresh()


Refresh Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Reloads the current content.

Syntax

C#
navigationWindow.Refresh()
VB
navigationWindow.Refresh()


Resize Method (WPFColumnHeader)

Class

WPFColumnHeader.

Action

Resizes the column header.

Syntax

C#
columnHeader.Resize(value)
VB
columnHeader.Resize(value)
Variable | Description
value | The new width. Double.


Role Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates the role of a MenuItem.

Syntax

C#
protected MenuItemRole Role { get; }
VB
'Declaration
Protected Read Property Role As MenuItemRole

Access

Read only.


ScrollIntoView Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Scrolls the specified cell into view.

Syntax

C#
dataGrid.ScrollIntoView(row, [column])
VB
dataGrid.ScrollIntoView(row, [column])
Variable | Description
row | The row where to scroll to. ItemIdentifier.
column | Optional: The column where to scroll to. ItemIdentifier.


ScrollIntoView Method (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Scrolls the cell into view.

Syntax

C#
dataGridCell.ScrollIntoView()
VB
dataGridCell.ScrollIntoView()


ScrollIntoView Method (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Scrolls the row into view.

Syntax

C#
dataGridRow.ScrollIntoView()
VB
dataGridRow.ScrollIntoView()


ScrollIntoView Method (WPFListBox)

Class

WPFListBox.

Action

Scrolls an item into view.

Syntax

C#
listBox.ScrollIntoView(item)
VB
listBox.ScrollIntoView(item)
Variable | Description
item | The item to scroll into view. ItemIdentifier.


ScrollIntoView Method (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Scrolls the item into the view.

Syntax

C#
listBoxItem.ScrollIntoView()
VB
listBoxItem.ScrollIntoView()


ScrollIntoView Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Scrolls the specified cell into view.

Syntax

C#
toolkitDataGrid.ScrollIntoView(row, [column])
VB
toolkitDataGrid.ScrollIntoView(row, [column])
Variable | Description
row | The row where to scroll to. ItemIdentifier.
column | Optional: The column where to scroll to. ItemIdentifier.


ScrollIntoView Method (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Scrolls the cell into view.

Syntax

C#
toolkitDataGridCell.ScrollIntoView()
VB
toolkitDataGridCell.ScrollIntoView()


ScrollIntoView Method (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Scrolls the row into view.

Syntax

C#
toolkitDataGridRow.ScrollIntoView()
VB
toolkitDataGridRow.ScrollIntoView()


Scroll Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Sets the value of the ScrollViewer to a specific scrolldestination.

Syntax

C#
iWPFScrollable.Scroll(scrolldestination)
VB
iWPFScrollable.Scroll(scrolldestination)
Variable | Description
scrolldestination | The value to set the ScrollViewer. ScrollDestination.


ScrollPageDown Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls down one viewport.

Syntax

C#
documentViewer.ScrollPageDown()
VB
documentViewer.ScrollPageDown()


ScrollPageLeft Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls left one viewport.

Syntax

C#
documentViewer.ScrollPageLeft()
VB
documentViewer.ScrollPageLeft()


ScrollPageRight Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls right one viewport.

Syntax

C#
documentViewer.ScrollPageRight()
VB
documentViewer.ScrollPageRight()


ScrollPageUp Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Scrolls up one viewport.

Syntax

C#
documentViewer.ScrollPageUp()
VB
documentViewer.ScrollPageUp()


ScrollToLine Method (WPFTextBox)

Class

WPFTextBox.

Action

Scrolls the line at the specified line index into view.

Syntax

C#
textBox.ScrollToLine(lineIndex)
VB
textBox.ScrollToLine(lineIndex)
Variable | Description
lineIndex | The zero-based line index of the line to scroll into view. Integer.


ScrollToPosition Method (IWPFScrollable)

Class

IWPFScrollable.

Action

Sets the position of the ScrollViewer.

Syntax

C#
iWPFScrollable.ScrollToPosition(offset, orientation)
VB
iWPFScrollable.ScrollToPosition(offset, orientation)
Variable | Description
offset | The value of the ScrollViewer. Double.
orientation | ScrollToPosition of either the horizontal or vertical scrollbar. Orientation.


SelectAll Method (WPFListBox)

Class

WPFListBox.

Action

Selects all the items in the ListBox.

Syntax

C#
listBox.SelectAll()
VB
listBox.SelectAll()


SelectAll Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Selects the entire contents of the PasswordBox.

Syntax

C#
passwordBox.SelectAll()
VB
passwordBox.SelectAll()


SelectAll Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Selects the entire contents of the text editing control.

Syntax

C#
textBoxBase.SelectAll()
VB
textBoxBase.SelectAll()


SelectCell Method (WPFDataGrid)

Class

WPFDataGrid.

Action

Selects the specified cell.

Syntax

C#
dataGrid.SelectCell(row, column, [modifiers])
VB
dataGrid.SelectCell(row, column, [modifiers])
Variable | Description
row | The row to select. ItemIdentifier.
column | The cell to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the cell. Use a modifier to select multiple items. ModifierKeys.


SelectCell Method (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Selects the specified cell.

Syntax

C#
toolkitDataGrid.SelectCell(row, column, [modifiers])
VB
toolkitDataGrid.SelectCell(row, column, [modifiers])
Variable | Description
row | The row to select. ItemIdentifier.
column | The cell to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the cell. Use a modifier to select multiple items. ModifierKeys.


SelectDate Method (WPFCalendar)

Class

WPFCalendar.

Action

Selects the given date and clears the current selection.

Syntax

C#
calendar.SelectDate(dateToSelect)
VB
calendar.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDate Method (WPFDatePicker)

Class

WPFDatePicker.

Action

Selects the given date.

Syntax

C#
datePicker.SelectDate(dateToSelect)
VB
datePicker.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDate Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Selects the given date and clears the current selection.

Syntax

C#
toolkitCalendar.SelectDate(dateToSelect)
VB
toolkitCalendar.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDate Method (WPFToolkitDatePicker)

Class

WPFToolkitDatePicker.

Action

Selects the given date.

Syntax

C#
toolkitDatePicker.SelectDate(dateToSelect)
VB
toolkitDatePicker.SelectDate(dateToSelect)
Variable | Description
dateToSelect | The date to select. DateTime?.


SelectDates Method (WPFCalendar)

Class

WPFCalendar.

Action

Selects the given dates and clears the current selection.

Syntax

C#
calendar.SelectDates(dates)
VB
calendar.SelectDates(dates)
Variable | Description
dates | The dates to select. List(Of DateTime?).


SelectDates Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Selects the given dates and clears the current selection.

Syntax

C#
toolkitCalendar.SelectDates(dates)
VB
toolkitCalendar.SelectDates(dates)
Variable | Description
dates | The dates to select. List(Of DateTime?).


SelectedCell Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the selected cells in the data grid.

Syntax

C#
protected WPFDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As WPFDataGridCell

Access

Read only.


SelectedCell Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the selected cells in the data grid.

Syntax

C#
protected WPFToolkitDataGridCell SelectedCell { get; }
VB
'Declaration
Protected Read Property SelectedCell As WPFToolkitDataGridCell

Access

Read only.


SelectedCells Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the list of cells that are currently selected.

Syntax

C#
protected List(Of WPFDataGridCell) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of WPFDataGridCell)

Access

Read only.


SelectedCells Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the list of cells that are currently selected.

Syntax

C#
protected List(Of WPFToolkitDataGridCell) SelectedCells { get; }
VB
'Declaration
Protected Read Property SelectedCells As List(Of WPFToolkitDataGridCell)

Access

Read only.


SelectedCellText Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the text of the selected cells in the data grid or an empty string if no cell is selected.

Syntax

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

Access

Read only.


SelectedCellText Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the text of the selected cells in the data grid or an empty string if no cell is selected.

Syntax

C#
protected String SelectedCellText { get; }
VB
'Declaration
Protected Read Property SelectedCellText As String

Access

Read only.


SelectedCellTexts Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets the texts of the selected cells in the data grid or an empty list if no cells are selected.

Syntax

C#
protected List(Of String) SelectedCellTexts { get; }
VB
'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

Access

Read only.


SelectedCellTexts Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets the texts of the selected cells in the data grid or an empty list if no cells are selected.

Syntax

C#
protected List(Of String) SelectedCellTexts { get; }
VB
'Declaration
Protected Read Property SelectedCellTexts As List(Of String)

Access

Read only.


SelectedDate Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (WPFDatePicker)

Class

WPFDatePicker.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDate Property (WPFToolkitDatePicker)

Class

WPFToolkitDatePicker.

Action

Gets the currently selected date.

Syntax

C#
protected DateTime? SelectedDate { get; }
VB
'Declaration
Protected Read Property SelectedDate As DateTime?

Access

Read only.


SelectedDates Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a list of selected dates.

Syntax

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

Access

Read only.


SelectedDates Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a list of selected dates.

Syntax

C#
protected List(Of DateTime?) SelectedDates { get; }
VB
'Declaration
Protected Read Property SelectedDates As List(Of DateTime?)

Access

Read only.


SelectedIndex Property (WPFSelector)

Class

WPFSelector.

Action

Gets the index of the first item in the current selection or returns negative one (-1) if the selection is empty. The value is zero-based.

Syntax

C#
protected Integer SelectedIndex { get; }
VB
'Declaration
Protected Read Property SelectedIndex As Integer

Access

Read only.


SelectedItemPath Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the selected item path or an empty item path if nothing is selected.

Syntax

C#
protected ItemPath SelectedItemPath { get; }
VB
'Declaration
Protected Read Property SelectedItemPath As ItemPath

Access

Read only.


SelectedItem Property (WPFSelector)

Class

WPFSelector.

Action

Gets the first item in the current selection or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected WPFBase SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As WPFBase

Access

Read only.


SelectedItem Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the selected item or returns null (Nothing in Visual Basic) if the selection is empty.

Syntax

C#
protected WPFTreeViewItem SelectedItem { get; }
VB
'Declaration
Protected Read Property SelectedItem As WPFTreeViewItem

Access

Read only.


SelectedItems Property (WPFListBox)

Class

WPFListBox.

Action

Gets the currently selected items. A complete list of items can be retrieved with the "Items" property.

Syntax

C#
protected List(Of WPFListBoxItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

Access

Read only.


SelectedItems Property (WPFMultiSelector)

Class

WPFMultiSelector.

Action

Gets the items in the MultiSelector that are selected.

Syntax

C#
protected List(Of WPFListBoxItem) SelectedItems { get; }
VB
'Declaration
Protected Read Property SelectedItems As List(Of WPFListBoxItem)

Access

Read only.


SelectedItemText Property (WPFSelector)

Class

WPFSelector.

Action

Gets the text of the first item in the current selection or returns an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemText Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the text of the selected item or an empty string if the selection is empty.

Syntax

C#
protected String SelectedItemText { get; }
VB
'Declaration
Protected Read Property SelectedItemText As String

Access

Read only.


SelectedItemTexts Property (WPFListBox)

Class

WPFListBox.

Action

Gets a list of string containing the text of every currently selected item.

Syntax

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

Access

Read only.


SelectedItemTexts Property (WPFMultiSelector)

Class

WPFMultiSelector.

Action

Gets the text of the items in the MultiSelector that are selected.

Syntax

C#
protected List(Of String) SelectedItemTexts { get; }
VB
'Declaration
Protected Read Property SelectedItemTexts As List(Of String)

Access

Read only.


SelectedText Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets the content of the current selection in the text box. Getting this property returns a string copy of the current. Setting this property replaces the current selection with the specified string.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectedText Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the content of the current selection in the text box. Getting this property returns a string copy of the current text. Setting this property replaces the current selection with the specified string.

Syntax

C#
protected String SelectedText { get; }
VB
'Declaration
Protected Read Property SelectedText As String

Access

Read only.


SelectionEnd Property (WPFSlider)

Class

WPFSlider.

Action

Gets the largest value of a specified selection for a Slider.

Syntax

C#
protected Double SelectionEnd { get; }
VB
'Declaration
Protected Read Property SelectionEnd As Double

Access

Read only.


SelectionLength Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets a value indicating the number of characters in the current selection in the text box.

Syntax

C#
protected Integer SelectionLength { get; }
VB
'Declaration
Protected Read Property SelectionLength As Integer

Access

Read only.


SelectionLength Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a value that indicates the number of characters in the current selection in the text box.

Syntax

C#
protected Integer SelectionLength { get; }
VB
'Declaration
Protected Read Property SelectionLength As Integer

Access

Read only.


SelectionMode Property (WPFCalendar)

Class

WPFCalendar.

Action

Gets a value that indicates what kind of selections are allowed.

Syntax

C#
protected CalendarSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

Access

Read only.


SelectionMode Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a value that indicates how rows and cells are selected in the data grid.

Syntax

C#
protected DataGridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

Access

Read only.


SelectionMode Property (WPFListBox)

Class

WPFListBox.

Action

Gets the selection behavior for a ListBox.

Syntax

C#
protected SelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As SelectionMode

Access

Read only.


SelectionMode Property (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Gets a value that indicates what kind of selections are allowed.

Syntax

C#
protected CalendarSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As CalendarSelectionMode

Access

Read only.


SelectionMode Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a value that indicates how rows and cells are selected in the data grid.

Syntax

C#
protected DataGridSelectionMode SelectionMode { get; }
VB
'Declaration
Protected Read Property SelectionMode As DataGridSelectionMode

Access

Read only.


Selection Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the selected content of the DocumentViewer.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


Selection Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the selected content of the FlowDocumentPageViewer.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


Selection Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the selected content of the FlowDocumentReader.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


Selection Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the selected content of the FlowDocumentScrollViewer.

Syntax

C#
protected String Selection { get; }
VB
'Declaration
Protected Read Property Selection As String

Access

Read only.


SelectionStart Property (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Gets a character index for the beginning of the current selection.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.


SelectionStart Property (WPFSlider)

Class

WPFSlider.

Action

Gets the smallest value of a specified selection for a Slider.

Syntax

C#
protected Double SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Double

Access

Read only.


SelectionStart Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a character index for the beginning of the current selection.

Syntax

C#
protected Integer SelectionStart { get; }
VB
'Declaration
Protected Read Property SelectionStart As Integer

Access

Read only.


SelectionUnit Property (WPFDataGrid)

Class

WPFDataGrid.

Action

Gets a value that indicates whether rows, cells, or both can be selected in the data grid.

Syntax

C#
protected DataGridSelectionUnit SelectionUnit { get; }
VB
'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

Access

Read only.


SelectionUnit Property (WPFToolkitDataGrid)

Class

WPFToolkitDataGrid.

Action

Gets a value that indicates whether rows, cells, or both can be selected in the data grid.

Syntax

C#
protected DataGridSelectionUnit SelectionUnit { get; }
VB
'Declaration
Protected Read Property SelectionUnit As DataGridSelectionUnit

Access

Read only.


Select Method (WPFButtonBase)

Class

WPFButtonBase.

Action

Selects the Button.

Syntax

C#
buttonBase.Select()
VB
buttonBase.Select()


Select Method (WPFDataGridCell)

Class

WPFDataGridCell.

Action

Selects the cell.

Syntax

C#
dataGridCell.Select()
VB
dataGridCell.Select()


Select Method (WPFDataGridRow)

Class

WPFDataGridRow.

Action

Selects the row.

Syntax

C#
dataGridRow.Select()
VB
dataGridRow.Select()


Select Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Selects a range of text.

Syntax

C#
documentViewer.Select(text, [occurrence])
VB
documentViewer.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Selects a range of text.

Syntax

C#
flowDocumentPageViewer.Select(text, [occurrence])
VB
flowDocumentPageViewer.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Selects a range of text.

Syntax

C#
flowDocumentReader.Select(text, [occurrence])
VB
flowDocumentReader.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Selects a range of text.

Syntax

C#
flowDocumentScrollViewer.Select(text, [occurrence])
VB
flowDocumentScrollViewer.Select(text, [occurrence])
Variable | Description
text | The text to be selected. String.
occurrence | Optional: The zero based occurrence of the specified text to be selected. The value is zero-based. Integer.


Select Method (WPFListBoxItem)

Class

WPFListBoxItem.

Action

Selects the ListBoxItem.

Syntax

C#
listBoxItem.Select()
VB
listBoxItem.Select()


Select Method (WPFMenuBase)

Class

WPFMenuBase.

Action

Selects a menu item.

Syntax

C#
menuBase.Select(item)
VB
menuBase.Select(item)
Variable | Description
item | The menu item to select. Can be either a top-level menu item or a menu item that can be found in a submenu. For selecting a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.

Examples

VB

' Select the 'Open' menu item from the 'File' menu
menu.Select("File/Open")


Select Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Selects the menu item.

Syntax

C#
menuItem.Select()
VB
menuItem.Select()


Select Method (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
richTextBox.Select(start, length)
VB
richTextBox.Select(start, length)
Variable | Description
start | The start position for the selection. Integer.
length | The number of characters to select from the start position. Integer.


Select Method (WPFSelector)

Class

WPFSelector.

Action

Selects an item in the ListBox. If the item is not visible, it is scrolled into view.

Syntax

C#
selector.Select(item, [modifiers])
VB
selector.Select(item, [modifiers])
Variable | Description
item | The item to select. ItemIdentifier.
modifiers | Optional: The modifier keys to press while selecting the item. Use a modifier to select multiple items in a multi-select ListBox. ModifierKeys.


Select Method (WPFTabItem)

Class

WPFTabItem.

Action

Selects the item.

Syntax

C#
tabItem.Select()
VB
tabItem.Select()


Select Method (WPFTextBox)

Class

WPFTextBox.

Action

Selects a range of text in the text box.

Syntax

C#
textBox.Select(start, length)
VB
textBox.Select(start, length)
Variable | Description
start | The zero-based character index of the first character in the selection. Integer.
length | The length of the selection, in characters. Integer.


Select Method (WPFToolkitDataGridCell)

Class

WPFToolkitDataGridCell.

Action

Selects the cell.

Syntax

C#
toolkitDataGridCell.Select()
VB
toolkitDataGridCell.Select()


Select Method (WPFToolkitDataGridRow)

Class

WPFToolkitDataGridRow.

Action

Selects the row.

Syntax

C#
toolkitDataGridRow.Select()
VB
toolkitDataGridRow.Select()


Select Method (WPFTreeView)

Class

WPFTreeView.

Action

Selects the specified item.

Syntax

C#
treeView.Select(item)
VB
treeView.Select(item)
Variable | Description
item | The item to select. ItemPath.


Select Method (WPFTreeViewItem)

Class

WPFTreeViewItem.

Action

Selects the item.

Syntax

C#
treeViewItem.Select()
VB
treeViewItem.Select()


SelectRange Method (WPFCalendar)

Class

WPFCalendar.

Action

Selects a range of dates.

Syntax

C#
calendar.SelectRange(startDate, endDate, [extend])
VB
calendar.SelectRange(startDate, endDate, [extend])
Variable | Description
startDate | The start date of the selection. DateTime?.
endDate | The end date of the selection. DateTime?.
extend | Optional: Whether to extend the currently present selection. Boolean.


SelectRange Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Selects a range of dates.

Syntax

C#
toolkitCalendar.SelectRange(startDate, endDate, [extend])
VB
toolkitCalendar.SelectRange(startDate, endDate, [extend])
Variable | Description
startDate | The start date of the selection. DateTime?.
endDate | The end date of the selection. DateTime?.
extend | Optional: Whether to extend the currently present selection. Boolean.


SetDisplayDate Method (WPFCalendar)

Class

WPFCalendar.

Action

Sets the date to display.

Syntax

C#
calendar.SetDisplayDate(dateToDisplay)
VB
calendar.SetDisplayDate(dateToDisplay)
Variable | Description
dateToDisplay | The date to set. DateTime?.


SetDisplayDate Method (WPFToolkitCalendar)

Class

WPFToolkitCalendar.

Action

Sets the date to display.

Syntax

C#
toolkitCalendar.SetDisplayDate(dateToDisplay)
VB
toolkitCalendar.SetDisplayDate(dateToDisplay)
Variable | Description
dateToDisplay | The date to set. DateTime?.


SetIndeterminate Method (WPFToggleButton)

Class

WPFToggleButton.

Action

Set the button to the indeterminate state.

Syntax

C#
toggleButton.SetIndeterminate()
VB
toggleButton.SetIndeterminate()


SetText Method (WPFPasswordBox)

Class

WPFPasswordBox.

Action

Sets the text.

Syntax

C#
passwordBox.SetText(text)
VB
passwordBox.SetText(text)
Variable | Description
text | The text to set. String.


SetText Method (WPFRichTextBox)

Class

WPFRichTextBox.

Action

Sets the text.

Syntax

C#
richTextBox.SetText(text)
VB
richTextBox.SetText(text)
Variable | Description
text | The text to set. String.


SetText Method (WPFTextBox)

Class

WPFTextBox.

Action

Sets the text.

Syntax

C#
textBox.SetText(text)
VB
textBox.SetText(text)
Variable | Description
text | The text to set. String.


SetValue Method (WPFScrollBar)

Class

WPFScrollBar.

Action

Sets the value of the ScrollBar.

Syntax

C#
scrollBar.SetValue(value)
VB
scrollBar.SetValue(value)
Variable | Description
value | The value the ScrollBar is set to. Double.


SetValue Method (WPFSlider)

Class

WPFSlider.

Action

Sets the value of the Slider.

Syntax

C#
slider.SetValue(value)
VB
slider.SetValue(value)
Variable | Description
value | The value the Slider is set to. Double.


SetValueToMaximum Method (WPFScrollBar)

Class

WPFScrollBar.

Action

Sets the ScrollBar to maximum.

Syntax

C#
scrollBar.SetValueToMaximum()
VB
scrollBar.SetValueToMaximum()


SetValueToMaximum Method (WPFSlider)

Class

WPFSlider.

Action

Sets the Slider to the maximum position.

Syntax

C#
slider.SetValueToMaximum()
VB
slider.SetValueToMaximum()


SetValueToMinimum Method (WPFScrollBar)

Class

WPFScrollBar.

Action

Sets the ScrollBar to minimum.

Syntax

C#
scrollBar.SetValueToMinimum()
VB
scrollBar.SetValueToMinimum()


SetValueToMinimum Method (WPFSlider)

Class

WPFSlider.

Action

Sets the Slider to the minimum position.

Syntax

C#
slider.SetValueToMinimum()
VB
slider.SetValueToMinimum()


SmallChange Property (WPFRangeBase)

Class

WPFRangeBase.

Action

Gets a value to be added to or subtracted from the value of a RangeBase control.

Syntax

C#
protected Double SmallChange { get; }
VB
'Declaration
Protected Read Property SmallChange As Double

Access

Read only.


Source Property (WPFFrame)

Class

WPFFrame.

Action

Gets the uniform resource identifier (URI) of the current content.

Syntax

C#
protected String Source { get; }
VB
'Declaration
Protected Read Property Source As String

Access

Read only.


Source Property (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Gets the uniform resource identifier (URI) of the current content.

Syntax

C#
protected String Source { get; }
VB
'Declaration
Protected Read Property Source As String

Access

Read only.


SpeedRatio Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets the speed ratio of the media.

Syntax

C#
protected Double SpeedRatio { get; set; }
VB
'Declaration
Protected ReadWrite Property SpeedRatio As Double

Access

Read and write.


State Property (WPFToggleButton)

Class

WPFToggleButton.

Action

Gets the state of the button.

Syntax

C#
protected ButtonState State { get; }
VB
'Declaration
Protected Read Property State As ButtonState

Access

Read only.


StaysOpenOnClick Property (WPFMenuItem)

Class

WPFMenuItem.

Action

Gets a value that indicates that the submenu in which this MenuItem is located should not close when this item is clicked.

Syntax

C#
protected Boolean StaysOpenOnClick { get; }
VB
'Declaration
Protected Read Property StaysOpenOnClick As Boolean

Access

Read only.


StaysOpenOnEdit Property (WPFComboBox)

Class

WPFComboBox.

Action

Gets whether a ComboBox that is open and displays a drop-down control will remain open when a user clicks the TextBox.

Syntax

C#
protected Boolean StaysOpenOnEdit { get; }
VB
'Declaration
Protected Read Property StaysOpenOnEdit As Boolean

Access

Read only.


StaysOpen Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets a value that indicates whether the ContextMenu should close automatically. This is a dependency property.

Syntax

C#
protected Boolean StaysOpen { get; }
VB
'Declaration
Protected Read Property StaysOpen As Boolean

Access

Read only.


StaysOpen Property (WPFPopup)

Class

WPFPopup.

Action

Gets a value that indicates whether the Popup control closes when the control is no longer in focus.

Syntax

C#
protected Boolean StaysOpen { get; }
VB
'Declaration
Protected Read Property StaysOpen As Boolean

Access

Read only.


StopLoading Method (WPFFrame)

Class

WPFFrame.

Action

Stops further downloading of content for the current navigation request.

Syntax

C#
frame.StopLoading()
VB
frame.StopLoading()


StopLoading Method (WPFNavigationWindow)

Class

WPFNavigationWindow.

Action

Stops further downloading of content for the current navigation request.

Syntax

C#
navigationWindow.StopLoading()
VB
navigationWindow.StopLoading()


Stop Method (WPFMediaElement)

Class

WPFMediaElement.

Action

Stops and resets media to be played from the beginning. This method has an effect only if the LoadedBehavior property is set to Manual.

Syntax

C#
mediaElement.Stop()
VB
mediaElement.Stop()


SwitchViewingMode Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Switches the viewing mode.

Syntax

C#
flowDocumentReader.SwitchViewingMode(viewingMode)
VB
flowDocumentReader.SwitchViewingMode(viewingMode)
Variable | Description
viewingMode | The viewing mode to switch to. ViewingMode.


TabIndex Property (WPFControl)

Class

WPFControl.

Action

Gets a value that determines the order in which elements receive focus when the user navigates through controls by using the TAB key.

Syntax

C#
protected Integer TabIndex { get; }
VB
'Declaration
Protected Read Property TabIndex As Integer

Access

Read only.


TargetName Property (WPFHyperlink)

Class

WPFHyperlink.

Action

Gets the name of a target window or frame for the Hyperlink.

Syntax

C#
protected String TargetName { get; }
VB
'Declaration
Protected Read Property TargetName As String

Access

Read only.


TextAlignment Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets a value that indicates the horizontal alignment of text content.

Syntax

C#
protected TextAlignment TextAlignment { get; }
VB
'Declaration
Protected Read Property TextAlignment As TextAlignment

Access

Read only.


TextAlignment Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets the horizontal alignment of the contents of the text box.

Syntax

C#
protected TextAlignment TextAlignment { get; }
VB
'Declaration
Protected Read Property TextAlignment As TextAlignment

Access

Read only.


TextTrimming Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets the text trimming behavior to employ when content overflows the content area.

Syntax

C#
protected TextTrimming TextTrimming { get; }
VB
'Declaration
Protected Read Property TextTrimming As TextTrimming

Access

Read only.


TextWrapping Property (WPFTextBlock)

Class

WPFTextBlock.

Action

Gets a value that indicates how the TextBlock wraps text.

Syntax

C#
protected TextWrapping TextWrapping { get; }
VB
'Declaration
Protected Read Property TextWrapping As TextWrapping

Access

Read only.


TextWrapping Property (WPFTextBox)

Class

WPFTextBox.

Action

Gets a value indicating how the text box should wrap text.

Syntax

C#
protected TextWrapping TextWrapping { get; }
VB
'Declaration
Protected Read Property TextWrapping As TextWrapping

Access

Read only.


TickFrequency Property (WPFSlider)

Class

WPFSlider.

Action

Gets the interval between tick marks.

Syntax

C#
protected Double TickFrequency { get; }
VB
'Declaration
Protected Read Property TickFrequency As Double

Access

Read only.


TickPlacement Property (WPFSlider)

Class

WPFSlider.

Action

Gets the position of tick marks with respect to the Track of the Slider.

Syntax

C#
protected TickPlacement TickPlacement { get; }
VB
'Declaration
Protected Read Property TickPlacement As TickPlacement

Access

Read only.


Title Property (WPFPage)

Class

WPFPage.

Action

Gets the title of the Page.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.


Title Property (WPFWindow)

Class

WPFWindow.

Action

Gets a window's title.

Syntax

C#
protected String Title { get; }
VB
'Declaration
Protected Read Property Title As String

Access

Read only.


ToggleFindDialog Method (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Toggles the Find dialog.

Syntax

C#
flowDocumentPageViewer.ToggleFindDialog()
VB
flowDocumentPageViewer.ToggleFindDialog()


ToggleFindDialog Method (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Toggles the Find dialog.

Syntax

C#
flowDocumentReader.ToggleFindDialog()
VB
flowDocumentReader.ToggleFindDialog()


ToggleFindDialog Method (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Toggles the Find dialog.

Syntax

C#
flowDocumentScrollViewer.ToggleFindDialog()
VB
flowDocumentScrollViewer.ToggleFindDialog()


ToolBars Property (WPFToolBarTray)

Class

WPFToolBarTray.

Action

Gets the collection of ToolBar elements in the ToolBarTray.

Syntax

C#
protected List(Of WPFToolBar) ToolBars { get; }
VB
'Declaration
Protected Read Property ToolBars As List(Of WPFToolBar)

Access

Read only.


ToolTip Property (WPFBase)

Class

WPFBase.

Action

Gets the tool tip that is displayed for this element in the user interface (UI).

Syntax

C#
protected String ToolTip { get; }
VB
'Declaration
Protected Read Property ToolTip As String

Access

Read only.


Uncheck Method (WPFMenuBase)

Class

WPFMenuBase.

Action

Unchecks a menu item.

Syntax

C#
menuBase.Uncheck(item)
VB
menuBase.Uncheck(item)
Variable | Description
item | The menu item to uncheck. Can be either a top-level menu item or a menu item that can be found in a submenu. For unchecking a menu item from a submenu separate the menu item names with a slash. The item can contain the wildcards '?' (matches one character) or '*' (matches 0 to many characters). ItemPath.

Examples

VB

' Uncheck the menu item 'Word Wrap' from the 'Format' menu
menu.Uncheck("Format/Word Wrap")


Uncheck Method (WPFMenuItem)

Class

WPFMenuItem.

Action

Unchecks the menu item.

Syntax

C#
menuItem.Uncheck()
VB
menuItem.Uncheck()


Uncheck Method (WPFToggleButton)

Class

WPFToggleButton.

Action

Unchecks the button.

Syntax

C#
toggleButton.Uncheck()
VB
toggleButton.Uncheck()


Undo Method (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Undoes the most recent undo command. In other words, undoes the most recent undo unit on the undo stack.

Syntax

C#
result = textBoxBase.Undo()
VB
result = textBoxBase.Undo()
Variable | Description
result | Boolean.


VerticalOffset Property (WPFContextMenu)

Class

WPFContextMenu.

Action

Gets the vertical distance between the target origin and the popup alignment point. This is a dependency property.

Syntax

C#
protected Double VerticalOffset { get; }
VB
'Declaration
Protected Read Property VerticalOffset As Double

Access

Read only.


VerticalOffset Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the vertical scroll position.

Syntax

C#
protected Double VerticalOffset { get; }
VB
'Declaration
Protected Read Property VerticalOffset As Double

Access

Read only.


VerticalScrollBarVisibility Property (WPFTextBoxBase)

Class

WPFTextBoxBase.

Action

Gets a value that indicates whether a vertical scroll bar is shown.

Syntax

C#
protected ScrollBarVisibility VerticalScrollBarVisibility { get; }
VB
'Declaration
Protected Read Property VerticalScrollBarVisibility As ScrollBarVisibility

Access

Read only.


ViewingMode Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the viewing mode for the FlowDocumentReader.

Syntax

C#
protected ViewingMode ViewingMode { get; }
VB
'Declaration
Protected Read Property ViewingMode As ViewingMode

Access

Read only.


ViewportSize Property (WPFScrollBar)

Class

WPFScrollBar.

Action

Gets the amount of the scrollable content that is currently visible. This is a dependency property.

Syntax

C#
protected Double ViewportSize { get; }
VB
'Declaration
Protected Read Property ViewportSize As Double

Access

Read only.


VisibleItemPaths Property (WPFTreeView)

Class

WPFTreeView.

Action

Gets the visible items in the tree as item paths.

Syntax

C#
protected List(Of ItemPath) VisibleItemPaths { get; }
VB
'Declaration
Protected Read Property VisibleItemPaths As List(Of ItemPath)

Access

Read only.


Volume Property (WPFMediaElement)

Class

WPFMediaElement.

Action

Gets or sets the media's volume.

Syntax

C#
protected Double Volume { get; set; }
VB
'Declaration
Protected ReadWrite Property Volume As Double

Access

Read and write.


ZoomIncrement Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the zoom increment.

Syntax

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

Access

Read only.


ZoomIncrement Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the zoom increment.

Syntax

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

Access

Read only.


ZoomIncrement Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the zoom increment.

Syntax

C#
protected Double ZoomIncrement { get; }
VB
'Declaration
Protected Read Property ZoomIncrement As Double

Access

Read only.


Zoom Property (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Gets the document zoom percentage.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


Zoom Property (WPFFlowDocumentPageViewer)

Class

WPFFlowDocumentPageViewer.

Action

Gets the current zoom level for the FlowDocumentPageViewer.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


Zoom Property (WPFFlowDocumentReader)

Class

WPFFlowDocumentReader.

Action

Gets the current zoom level for the FlowDocumentReader.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


Zoom Property (WPFFlowDocumentScrollViewer)

Class

WPFFlowDocumentScrollViewer.

Action

Gets the current zoom level for the FlowDocumentScrollViewer.

Syntax

C#
protected Double Zoom { get; }
VB
'Declaration
Protected Read Property Zoom As Double

Access

Read only.


ZoomToActualSize Method (WPFDocumentViewer)

Class

WPFDocumentViewer.

Action

Zooms to 100%.

Syntax

C#
documentViewer.ZoomToActualSize()
VB
documentViewer.ZoomToActualSize()


AcceptAlert Method (BrowserWindow)

Class

BrowserWindow.

Action

Accepts a JavaScript alert by pressing OK.

Syntax

C#
browserWindow.AcceptAlert([promptInput])
VB
browserWindow.AcceptAlert([promptInput])
Variable | Description
promptInput | Optional: If the JavaScript alert is a prompt, this text is passed to the alert. String.


AllowsMultiSelect Property (DomListBox)

Class

DomListBox.

Action

Gets or sets whether the control is multiselectable.

Syntax

C#
protected Boolean AllowsMultiSelect { get; set; }
VB
'Declaration
Protected ReadWrite Property AllowsMultiSelect As Boolean

Access

Read and write.


Back Method (BrowserWindow)

Class

BrowserWindow.

Action

Goes back in the history.

Syntax

C#
browserWindow.Back()
VB
browserWindow.Back()


Check Method (DomCheckBox)

Class

DomCheckBox.

Action

Checks the check box.

Syntax

C#
checkBox.Check()
VB
checkBox.Check()


ClearCache Method (BrowserApplication)

Class

BrowserApplication.

Action

Clears the browser's cache.

This method is only supported for Internet Explorer.

Syntax

C#
webBrowser.ClearCache([option])
VB
webBrowser.ClearCache([option])
Variable | Description
option | Optional: 0: Delete all. 1: Delete temporary internet files. 3: Delete cookies. Integer.


ClearText Method (DomTextField)

Class

DomTextField.

Action

Clears the textfield's text.

Syntax

C#
textField.ClearText()
VB
textField.ClearText()


Close Method (BrowserWindow)

Class

BrowserWindow.

Action

Close a modal browser dialog, a tab of the browser, or the browser itself if it is the last tab (or IE6).

Syntax

C#
browserWindow.Close()
VB
browserWindow.Close()


CloseOtherTabs Method (BrowserApplication)

Class

BrowserApplication.

Action

Closes all tabs except the active one. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. This method closes all other tabs except for the selected one, including the tabs that are not currently visible. This method is not supported for mobile Web applications.

Syntax

C#
webBrowser.CloseOtherTabs()
VB
webBrowser.CloseOtherTabs()


CloseTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Closes the specified tab. If no tab is specified, the active tab is closed. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be closed. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.CloseTab([tab])
VB
result = webBrowser.CloseTab([tab])
Variable | Description
result | The active BrowserWindow after closing the tab. BrowserWindow.
tab | Optional: The tab to close. A tab name may contain the wildcards '*' and '?'. ItemIdentifier.


DismissAlert Method (BrowserWindow)

Class

BrowserWindow.

Action

Dismisses a JavaScript alert.

Syntax

C#
browserWindow.DismissAlert()
VB
browserWindow.DismissAlert()


DomClick Method (DomElement)

Class

DomElement.

Action

Invokes a click using the DOM API. Alternatively you can invoke the Click function which will use low level replay for DomElements and subclasses.

Syntax

C#
element.DomClick([button, pos])
VB
element.DomClick([button, pos])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the window) at which to click. Point.


DomDoubleClick Method (DomElement)

Class

DomElement.

Action

Invokes a double click using the DOM API. Alternatively you can invoke the DoubleClick function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.

Syntax

C#
element.DomDoubleClick([button, pos, modifiers])
VB
element.DomDoubleClick([button, pos, modifiers])
Variable | Description
button | Optional: The mouse button to press. Values include: 1=left, 2=right,3=center,... MouseButton.
pos | Optional: The coordinates (relative to the window) at which to click. Point.
modifiers | Optional: currently has no effect, and will be removed in future versions of Silk Test. ModifierKeys.


DomMouseMove Method (DomElement)

Class

DomElement.

Action

Invokes a mouse move using the DOM API. Alternatively you can use MouseMove function which will use low level replay for DomElements and subclasses. This method is not supported for mobile Web applications.

Syntax

C#
element.DomMouseMove([pos])
VB
element.DomMouseMove([pos])
Variable | Description
pos | Optional: The coordinates (relative to the window) of the new location. Point.


ExecuteJavaScript Method (BrowserWindow)

Class

BrowserWindow.

Action

Evaluates JavaScript code within the top-level document context.

Syntax

C#
browserWindow.ExecuteJavaScript(code)
VB
browserWindow.ExecuteJavaScript(code)
Variable | Description
code | The JavaScript code to evaluate. String.


ExecuteJavaScript Method (DomElement)

Class

DomElement.

Action

Evaluates the given JavaScript code within the parent document's context.

Syntax

C#
element.ExecuteJavaScript(code, [elementName])
VB
element.ExecuteJavaScript(code, [elementName])
Variable | Description
code | The JavaScript code to evaluate. String.
elementName | Optional: An optional name for the current element that can be used in the script, such as 'alert(currentElement.tagName);' opens a message box and displays the tag name of the current element. String.


ExistsTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns true if the tab exists and false otherwise. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.ExistsTab(tab)
VB
result = webBrowser.ExistsTab(tab)
Variable | Description
result | True if the tab exists and false otherwise. Boolean.
tab | The item identifier to locate the tab. ItemIdentifier.


Forward Method (BrowserWindow)

Class

BrowserWindow.

Action

Goes forward in the history.

Syntax

C#
browserWindow.Forward()
VB
browserWindow.Forward()


GetActiveTab Method (BrowserApplication)

Class

BrowserApplication.

Action

The GetActiveTab method is deprecated. In Silk Test 2011 or later use the GetSelectedTab method instead.

Returns the active tab. This method is not supported for mobile Web applications.

Syntax

C#
activeTab = webBrowser.GetActiveTab()
VB
activeTab = webBrowser.GetActiveTab()
Variable | Description
activeTab | The BrowserWindow that is currently active. BrowserWindow.


GetAlertText Method (BrowserWindow)

Class

BrowserWindow.

Action

Retrieves the message text of a JavaScript alert.

Syntax

C#
alertText = browserWindow.GetAlertText()
VB
alertText = browserWindow.GetAlertText()
Variable | Description
alertText | String.


GetBrowserMajorVersion Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the browser's major version number.

Syntax

C#
browserMajorVersion = browserWindow.GetBrowserMajorVersion()
VB
browserMajorVersion = browserWindow.GetBrowserMajorVersion()
Variable | Description
browserMajorVersion | Integer.


GetCellCount Method (DomTableRow)

Class

DomTableRow.

Action

Returns the number of cells in this table row.

Syntax

C#
cellCount = tableRow.GetCellCount()
VB
cellCount = tableRow.GetCellCount()
Variable | Description
cellCount | Integer.


GetCell Method (DomTable)

Class

DomTable.

Action

Returns the specified cell.

Syntax

C#
cell = table.GetCell(row, col)
VB
cell = table.GetCell(row, col)
Variable | Description
cell | DomElement.
row | Index of the row. ItemIdentifier.
col | Index of the column. ItemIdentifier.


GetCell Method (DomTableRow)

Class

DomTableRow.

Action

Returns the DOM element in the given cell.

Syntax

C#
cell = tableRow.GetCell(itemIdentifier)
VB
cell = tableRow.GetCell(itemIdentifier)
Variable | Description
cell | DomElement.
itemIdentifier | Index of the cell. ItemIdentifier.


GetCellText Method (DomTable)

Class

DomTable.

Action

Returns the content of a cell element.

Syntax

C#
cellText = table.GetCellText(row, col)
VB
cellText = table.GetCellText(row, col)
Variable | Description
cellText | String.
row | Index of the row. ItemIdentifier.
col | Index of the column. ItemIdentifier.


GetColumnCount Method (DomTable)

Class

DomTable.

Action

Number of columns of the table.

Syntax

C#
columnCount = table.GetColumnCount()
VB
columnCount = table.GetColumnCount()
Variable | Description
columnCount | Integer.


GetCssStyle Method (DomElement)

Class

DomElement.

Action

Retrieves the computed CSS style with the specified style name.

Syntax

C#
cssStyle = element.GetCssStyle(styleName)
VB
cssStyle = element.GetCssStyle(styleName)
Variable | Description
cssStyle | String.
styleName | The CSS style name, for example 'text-decoration'. String.


GetDomAttributeList Method (DomElement)

Class

DomElement.

Action

Returns the names of all DOM attributes that are available for this element. This method is not supported for mobile Web applications.

Syntax

C#
domAttributeList = element.GetDomAttributeList([specifiedOnly])
VB
domAttributeList = element.GetDomAttributeList([specifiedOnly])
Variable | Description
domAttributeList | List(Of String).
specifiedOnly | Optional: return only attributes specified for that DOM element. Since IE9 this is always true. Boolean.


GetDomAttribute Method (DomElement)

Class

DomElement.

Action

Gets the value of an object specific DOM attribute.

Syntax

C#
domAttribute = element.GetDomAttribute(attributeName)
VB
domAttribute = element.GetDomAttribute(attributeName)
Variable | Description
domAttribute | The value of the attribute. Object.
attributeName | The name of the attribute. String.


GetHtmlRect Method (BrowserWindow)

Class

BrowserWindow.

Action

Retrieves the rectangle of the BrowserWindow in HTML pixels. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not affected by changing zoom levels on mobile browsers.

Syntax

C#
htmlRect = browserWindow.GetHtmlRect()
VB
htmlRect = browserWindow.GetHtmlRect()
Variable | Description
htmlRect | Rectangle.


GetHtmlRect Method (DomElement)

Class

DomElement.

Action

Retrieves the rectangle of a DomElement relative to the BrowserWindow in HTML pixels. In contrast to the screen coordinates that are provided by the GetRect function, the coordinates provided by GetHtmlRect are not affected by the zoom level on mobile browsers. The click function also uses HTML pixel coordinates for all DomElements. We recommend to use GetHtmlRect for all position calculations within the browser. This will ensure that your scripts are cross-browser capable and your position calculations are not effected by changing zoom levels on mobile browsers.

Syntax

C#
htmlRect = element.GetHtmlRect()
VB
htmlRect = element.GetHtmlRect()
Variable | Description
htmlRect | Rectangle.


GetPageSource Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the page source of the web site.

Syntax

C#
pageSource = browserWindow.GetPageSource()
VB
pageSource = browserWindow.GetPageSource()
Variable | Description
pageSource | String.


GetRowCount Method (DomTable)

Class

DomTable.

Action

Returns the number of rows.

Syntax

C#
rowCount = table.GetRowCount()
VB
rowCount = table.GetRowCount()
Variable | Description
rowCount | Integer.


GetRow Method (DomTable)

Class

DomTable.

Action

Returns the DOM element for the specified row.

Syntax

C#
row = table.GetRow(itemIdentifier)
VB
row = table.GetRow(itemIdentifier)
Variable | Description
row | DomTableRow.
itemIdentifier | Index of the row. ItemIdentifier.


GetRows Method (DomTable)

Class

DomTable.

Action

Returns a list of rows (DomTableRows).

Syntax

C#
rows = table.GetRows()
VB
rows = table.GetRows()
Variable | Description
rows | List(Of DomTableRow).


GetRowText Method (DomTable)

Class

DomTable.

Action

Returns the content of all cell elements of a specified row.

Syntax

C#
rowText = table.GetRowText(row)
VB
rowText = table.GetRowText(row)
Variable | Description
rowText | List(Of String).
row | Index of the row. ItemIdentifier.


GetSelectedTabIndex Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the index of the active tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the index relative to the currently visible tabs. Index 0 identifies the first visible tab. This method is not supported for mobile Web applications.

Syntax

C#
selectedTabIndex = webBrowser.GetSelectedTabIndex()
VB
selectedTabIndex = webBrowser.GetSelectedTabIndex()
Variable | Description
selectedTabIndex | Integer.


GetSelectedTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the currently selected tab. This method is not supported for mobile Web applications.

Syntax

C#
selectedTab = webBrowser.GetSelectedTab()
VB
selectedTab = webBrowser.GetSelectedTab()
Variable | Description
selectedTab | The BrowserWindow that is currently selected. BrowserWindow.


GetSelectedTabName Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the name of the active tab. This method is not supported for mobile Web applications.

Syntax

C#
selectedTabName = webBrowser.GetSelectedTabName()
VB
selectedTabName = webBrowser.GetSelectedTabName()
Variable | Description
selectedTabName | String.


GetTabCount Method (BrowserApplication)

Class

BrowserApplication.

Action

Returns the number of open tabs. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, this method only returns the number of currently visible tabs. This method is not supported for mobile Web applications.

Syntax

C#
tabCount = webBrowser.GetTabCount()
VB
tabCount = webBrowser.GetTabCount()
Variable | Description
tabCount | Integer.


GetText Method (DomElement)

Class

DomElement.

Action

Gets the visible text of a DOM element.

Syntax

C#
text = element.GetText()
VB
text = element.GetText()
Variable | Description
text | String.


GetUrl Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the URL for the main document.

Syntax

C#
url = browserWindow.GetUrl()
VB
url = browserWindow.GetUrl()
Variable | Description
url | String.


GetUserAgent Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns the browser's user agent string.

Syntax

C#
userAgent = browserWindow.GetUserAgent()
VB
userAgent = browserWindow.GetUserAgent()
Variable | Description
userAgent | String.


Highlight Method (DomElement)

Class

DomElement.

Action

Highlights a DOM element.

Syntax

C#
element.Highlight(foregroundColor, backgroundColor)
VB
element.Highlight(foregroundColor, backgroundColor)
Variable | Description
foregroundColor | Foreground color for highlighted DOM element. You can use any valid HTML color, for example red or #ff0000. String.
backgroundColor | Background color for highlighted DOM element. You can use any valid HTML color, for example red or #ff0000. String.


IsAlertPresent Method (BrowserWindow)

Class

BrowserWindow.

Action

Returns true if a JavaScript alert is open.

Syntax

C#
alertPresent = browserWindow.IsAlertPresent()
VB
alertPresent = browserWindow.IsAlertPresent()
Variable | Description
alertPresent | Boolean.


IsChecked Method (DomCheckBox)

Class

DomCheckBox.

Action

Returns true if the checkbox is checked and false otherwise.

Syntax

C#
checked = checkBox.IsChecked()
VB
checked = checkBox.IsChecked()
Variable | Description
checked | Boolean.


IsPassword Property (DomTextField)

Class

DomTextField.

Action

Gets whether the text field is a password text field.

Syntax

C#
protected Boolean IsPassword { get; }
VB
'Declaration
Protected Read Property IsPassword As Boolean

Access

Read only.


ItemCount Property (DomListBox)

Class

DomListBox.

Action

Gets the number of items in the listbox.

Syntax

C#
protected Integer ItemCount { get; }
VB
'Declaration
Protected Read Property ItemCount As Integer

Access

Read only.


Items Property (DomListBox)

Class

DomListBox.

Action

Gets the list of items in the listbox.

In Silk Test 14.0 or later, whitespace in the list is trimmed consistently across all supported browsers. For some browser versions, this whitespace handling differs to Silk Test versions prior to Silk Test 13.5. You can re-enable the old behavior by setting the OPT_COMPATIBILITY option to a version lower than 13.5.0.

Syntax

C#
protected List(Of ItemIdentifier) Items { get; }
VB
'Declaration
Protected Read Property Items As List(Of ItemIdentifier)

Access

Read only.


MultiSelect Method (DomListBox)

Class

DomListBox.

Action

Selects a list of items.

Syntax

C#
listBox.MultiSelect(items)
VB
listBox.MultiSelect(items)
Variable | Description
items | The items to select. List(Of ItemIdentifier ).


Navigate Method (BrowserApplication)

Class

BrowserApplication.

Action

Navigate to the specified URL in the currently active tab/window.

Syntax

C#
webBrowser.Navigate(url)
VB
webBrowser.Navigate(url)
Variable | Description
url | The URL to navigate to. String.


Navigate Method (BrowserWindow)

Class

BrowserWindow.

Action

Navigates the main document to an URL.

Syntax

C#
browserWindow.Navigate(url)
VB
browserWindow.Navigate(url)
Variable | Description
url | The URL to navigate to. String.


OpenTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Opens a new tab and navigates to the given URL. If no URL is given, the tab navigates to about:blank. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.OpenTab([url])
VB
result = webBrowser.OpenTab([url])
Variable | Description
result | The opened BrowserWindow. BrowserWindow.
url | Optional: The URL to navigate the new tab to. String.


RadioListItemCount Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the number of items in the radiolist. This property is not supported for mobile Web applications.

Syntax

C#
protected Integer RadioListItemCount { get; }
VB
'Declaration
Protected Read Property RadioListItemCount As Integer

Access

Read only.


RadioListItems Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the list of items in the radio list.

In Silk Test 14.0 or later, whitespace in the list is trimmed consistently across all supported browsers. For some browser versions, this whitespace handling differs to Silk Test versions prior to Silk Test 13.5. You can re-enable the old behavior by setting the OPT_COMPATIBILITY option to a version lower than 13.5.0. This property is not supported for mobile Web applications.

Syntax

C#
protected List(Of ItemIdentifier) RadioListItems { get; }
VB
'Declaration
Protected Read Property RadioListItems As List(Of ItemIdentifier)

Access

Read only.


RadioListSelectedIndex Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the index of the selected item. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications. The value is zero-based.

Syntax

C#
protected Integer RadioListSelectedIndex { get; }
VB
'Declaration
Protected Read Property RadioListSelectedIndex As Integer

Access

Read only.


RadioListSelectedItem Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets the item that is selected in the radiolist. Setter for this property was removed with Silk Test 17.5, as it was never functional. This property is not supported for mobile Web applications.

Syntax

C#
protected ItemIdentifier RadioListSelectedItem { get; }
VB
'Declaration
Protected Read Property RadioListSelectedItem As ItemIdentifier

Access

Read only.


RadioListSelect Method (DomRadioButton)

Class

DomRadioButton.

Action

Selects an item in the radio list.

In Silk Test 14.0 or later, whitespace in the list is trimmed consistently across all supported browsers. For some browser versions, this whitespace handling differs to Silk Test versions prior to Silk Test 13.5. You can re-enable the old behavior by setting the OPT_COMPATIBILITY option to a version lower than 13.5.0.

Syntax

C#
radioButton.RadioListSelect(item)
VB
radioButton.RadioListSelect(item)
Variable | Description
item | The item to select. ItemIdentifier.


Reload Method (BrowserWindow)

Class

BrowserWindow.

Action

Reloads the main document as the reload button in the browser does.

Syntax

C#
browserWindow.Reload([bypassCache])
VB
browserWindow.Reload([bypassCache])
Variable | Description
bypassCache | Optional: Set to true to by-pass the cache. This is equivalent to pressing Ctrl+F5 in Windows Internet Explorer and Mozilla Firefox. When you are using Google Chrome, setting this parameter has no effect. Boolean.


ScrollIntoView Method (DomElement)

Class

DomElement.

Action

Scrolls the DOM element into the visible area of the browser window.

Syntax

C#
element.ScrollIntoView()
VB
element.ScrollIntoView()


SelectedIndices Property (DomListBox)

Class

DomListBox.

Action

Gets or sets the indices of the selected item(s).

Syntax

C#
protected List(Of Integer) SelectedIndices { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedIndices As List(Of Integer)

Access

Read and write.


SelectedItems Property (DomListBox)

Class

DomListBox.

Action

Gets or sets the names of the selected item(s).

Syntax

C#
protected List(Of ItemIdentifier) SelectedItems { get; set; }
VB
'Declaration
Protected ReadWrite Property SelectedItems As List(Of ItemIdentifier)

Access

Read and write.


Selected Property (DomRadioButton)

Class

DomRadioButton.

Action

Gets whether the radio button is selected.

Syntax

C#
protected Boolean Selected { get; }
VB
'Declaration
Protected Read Property Selected As Boolean

Access

Read only.


Select Method (DomButton)

Class

DomButton.

Action

Clicks a button.

Syntax

C#
button.Select()
VB
button.Select()


Select Method (DomCheckBox)

Class

DomCheckBox.

Action

Selects the check box.

Syntax

C#
checkBox.Select(state)
VB
checkBox.Select(state)
Variable | Description
state | The state of a check box. Values include: 1=checked,2=unchecked,3=undecided. Integer.


Select Method (DomLink)

Class

DomLink.

Action

Clicks a link.

Syntax

C#
link.Select()
VB
link.Select()


Select Method (DomListBox)

Class

DomListBox.

Action

Selects an item.

Syntax

C#
listBox.Select(item)
VB
listBox.Select(item)
Variable | Description
item | The item to select. ItemIdentifier.


Select Method (DomRadioButton)

Class

DomRadioButton.

Action

Selects the radio button.

Syntax

C#
radioButton.Select()
VB
radioButton.Select()


SelectTab Method (BrowserApplication)

Class

BrowserApplication.

Action

Selects the specified tab. When several tabs are open, Internet Explorer only displays some of the tabs and scroll buttons. As a result, only the currently visible tabs work with this method, which affects index semantics. For example, only the currently visible tabs can be selected. Index 0 selects the first visible tab. This method is not supported for mobile Web applications.

Syntax

C#
result = webBrowser.SelectTab(tab)
VB
result = webBrowser.SelectTab(tab)
Variable | Description
result | The selected tab. BrowserWindow.
tab | The tab to select. A tab name may contain the wildcards '*' and '?'. ItemIdentifier.


SetDomAttribute Method (DomElement)

Class

DomElement.

Action

Sets the value of an object specific DOM attribute.

Syntax

C#
element.SetDomAttribute(attributeName, attributeValue)
VB
element.SetDomAttribute(attributeName, attributeValue)
Variable | Description
attributeName | The name of the attribute. String.
attributeValue | The value that should be set. Object.


SetFocus Method (BrowserObject)

Class

BrowserObject.

Action

Gives focus to the control.

Syntax

C#
browserObject.SetFocus()
VB
browserObject.SetFocus()


SetText Method (DomTextField)

Class

DomTextField.

Action

Sets the text.

Syntax

C#
textField.SetText(text)
VB
textField.SetText(text)
Variable | Description
text | The text to set. String.


SetUndecided Method (DomCheckBox)

Class

DomCheckBox.

Action

Sets the check box to the undecided state.

Syntax

C#
checkBox.SetUndecided()
VB
checkBox.SetUndecided()


SetViewportName Method (BrowserWindow)

Class

BrowserWindow.

Action

Set the size of the browser window to the specified size from your Browser Size list.

Syntax

C#
browserWindow.SetViewportName(viewportName, [orientation])
VB
browserWindow.SetViewportName(viewportName, [orientation])
Variable | Description
viewportName | The name of the browser size in your Browser Size list. String.
orientation | Optional: The orientation of the browser window. DisplayOrientation.


SetViewportSize Method (BrowserWindow)

Class

BrowserWindow.

Action

Sets the size of the browser window to the specified width and height.

Syntax

C#
browserWindow.SetViewportSize(width, height)
VB
browserWindow.SetViewportSize(width, height)
Variable | Description
width | The new width of the browser window. Integer.
height | The new height of the browser window. Integer.


State Property (DomCheckBox)

Class

DomCheckBox.

Action

Gets or sets the state of a check box. Values include: 1=checked,2=unchecked,3=undecided.

Syntax

C#
protected Integer State { get; set; }
VB
'Declaration
Protected ReadWrite Property State As Integer

Access

Read and write.


Submit Method (DomForm)

Class

DomForm.

Action

Submits the form.

Syntax

C#
form.Submit()
VB
form.Submit()


Toggle Method (DomCheckBox)

Class

DomCheckBox.

Action

Toggles the state of the check box. If the checkbox is checked it is unchecked and vice versa. If the checkbox is in the undecided state it is left undecided.

Syntax

C#
checkBox.Toggle()
VB
checkBox.Toggle()


Uncheck Method (DomCheckBox)

Class

DomCheckBox.

Action

Unchecks the check box.

Syntax

C#
checkBox.Uncheck()
VB
checkBox.Uncheck()


Unhighlight Method (DomElement)

Class

DomElement.

Action

Restores the original foreground and background colors.

Syntax

C#
element.Unhighlight()
VB
element.Unhighlight()


Unselect Method (DomListBox)

Class

DomListBox.

Action

Unselects an item.

Syntax

C#
listBox.Unselect(item)
VB
listBox.Unselect(item)
Variable | Description
item | The item to unselect. ItemIdentifier.


ViewportHeight Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the height of the browser viewport.

Syntax

C#
protected Integer ViewportHeight { get; }
VB
'Declaration
Protected Read Property ViewportHeight As Integer

Access

Read only.


ViewportName Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the name of the viewport that matches the innerWidth and innerHeight of the browser window.

Syntax

C#
protected String ViewportName { get; }
VB
'Declaration
Protected Read Property ViewportName As String

Access

Read only.


ViewportOrientation Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the orientation of the browser viewport, this can be portrait or landscape.

Syntax

C#
protected DisplayOrientation ViewportOrientation { get; }
VB
'Declaration
Protected Read Property ViewportOrientation As DisplayOrientation

Access

Read only.


ViewportWidth Property (BrowserWindow)

Class

BrowserWindow.

Action

Gets the width of the browser viewport.

Syntax

C#
protected Integer ViewportWidth { get; }
VB
'Declaration
Protected Read Property ViewportWidth As Integer

Access

Read only.


Visible Property (BrowserObject)

Class

BrowserObject.

Action

Gets whether the object is visible. You can only locate visible objects, so by default the value is always true. However, you might need this property when an already located object in the application under test gets invisible during replay.

Syntax

C#
protected Boolean Visible { get; }
VB
'Declaration
Protected Read Property Visible As Boolean

Access

Read only.